#
# This file is part of the Chemical Data Processing Toolkit
#
# Copyright (C) Thomas Seidel <thomas.seidel@univie.ac.at>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program; see the file COPYING. If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
#

##
# \brief Provides constants for the identification of BRICS fragmentation rules.
# 
# \see [\ref BRICS]
# 
class BRICSRuleID(Boost.Python.instance):

    ##
    # \brief 
    #
    NONE = 0

    ##
    # \brief 
    #
    L1_L2 = 1

    ##
    # \brief 
    #
    L1_L3 = 2

    ##
    # \brief 
    #
    L1_L10 = 3

    ##
    # \brief 
    #
    L2_L12 = 4

    ##
    # \brief 
    #
    L2_L14 = 5

    ##
    # \brief 
    #
    L2_L16 = 6

    ##
    # \brief 
    #
    L3_L4 = 7

    ##
    # \brief 
    #
    L3_L13 = 8

    ##
    # \brief 
    #
    L3_L14 = 9

    ##
    # \brief 
    #
    L3_L15 = 10

    ##
    # \brief 
    #
    L3_L16 = 11

    ##
    # \brief 
    #
    L4_L5 = 12

    ##
    # \brief 
    #
    L4_L11 = 13

    ##
    # \brief 
    #
    L5_L13 = 14

    ##
    # \brief 
    #
    L5_L15 = 15

    ##
    # \brief 
    #
    L6_L13 = 16

    ##
    # \brief 
    #
    L6_L14 = 17

    ##
    # \brief 
    #
    L6_L15 = 18

    ##
    # \brief 
    #
    L6_L16 = 19

    ##
    # \brief 
    #
    L7_L7 = 20

    ##
    # \brief 
    #
    L8_L9 = 21

    ##
    # \brief 
    #
    L8_L10 = 22

    ##
    # \brief 
    #
    L8_L13 = 23

    ##
    # \brief 
    #
    L8_L14 = 24

    ##
    # \brief 
    #
    L8_L15 = 25

    ##
    # \brief 
    #
    L8_L16 = 26

    ##
    # \brief 
    #
    L9_L15 = 27

    ##
    # \brief 
    #
    L9_L16 = 28

    ##
    # \brief 
    #
    L10_L13 = 29

    ##
    # \brief 
    #
    L10_L14 = 30

    ##
    # \brief 
    #
    L10_L15 = 31

    ##
    # \brief 
    #
    L10_L16 = 32

    ##
    # \brief 
    #
    L11_L13 = 33

    ##
    # \brief 
    #
    L11_L14 = 34

    ##
    # \brief 
    #
    L11_L15 = 35

    ##
    # \brief 
    #
    L11_L16 = 36

    ##
    # \brief 
    #
    L13_L14 = 37

    ##
    # \brief 
    #
    L13_L15 = 38

    ##
    # \brief 
    #
    L13_L16 = 39

    ##
    # \brief 
    #
    L14_L15 = 40

    ##
    # \brief 
    #
    L14_L16 = 41

    ##
    # \brief 
    #
    L15_L16 = 42
