#
# This file is part of the Chemical Data Processing Toolkit
#
# Copyright (C) Thomas Seidel <thomas.seidel@univie.ac.at>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program; see the file COPYING. If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
#

##
# \brief Provides constants used to specify the structural class of H-bond acceptor atoms.
# 
class HBondAcceptorAtomType(Boost.Python.instance):

    ##
    # \brief Specifies that the H-bond acceptor type of the atom is undefined.
    # 
    UNDEF = 0

    ##
    # \brief Specifies that the atom is not a H-bond acceptor.
    # 
    NONE = 1

    ##
    # \brief 
    #
    O_H2O = 2

    ##
    # \brief 
    #
    O_UREA = 3

    ##
    # \brief 
    #
    O_BARBITURIC_ACID = 4

    ##
    # \brief 
    #
    O_URIC_ACID = 5

    ##
    # \brief 
    #
    O_ETHER = 6

    ##
    # \brief 
    #
    O_AMIDE = 7

    ##
    # \brief 
    #
    O_N_OXIDE = 8

    ##
    # \brief 
    #
    O_ACID = 9

    ##
    # \brief 
    #
    O_ESTER = 10

    ##
    # \brief 
    #
    O_SULFOXIDE = 11

    ##
    # \brief 
    #
    O_NITRO = 12

    ##
    # \brief 
    #
    O_SELEN_OXIDE = 13

    ##
    # \brief 
    #
    O_ALDEHYD = 14

    ##
    # \brief 
    #
    O_KETONE = 15

    ##
    # \brief 
    #
    O_ALCOHOL = 16

    ##
    # \brief 
    #
    N_NH3 = 17

    ##
    # \brief 
    #
    N_DIAMINE = 18

    ##
    # \brief 
    #
    N_MONO_DI_NITRO_ANILINE = 19

    ##
    # \brief 
    #
    N_TRI_NITRO_ANILINE = 20

    ##
    # \brief 
    #
    N_HALOGENO_ANILINE = 21

    ##
    # \brief 
    #
    N_ANILINE = 22

    ##
    # \brief 
    #
    N_NITRILE = 23

    ##
    # \brief 
    #
    N_AZOLE = 24

    ##
    # \brief 
    #
    N_AMINE = 25

    ##
    # \brief 
    #
    N_AMIDINE = 26

    ##
    # \brief 
    #
    N_IMINE = 30

    ##
    # \brief 
    #
    N_AZO = 27

    ##
    # \brief 
    #
    N_AZINE = 28

    ##
    # \brief 
    #
    N_DIAZINE = 29

    ##
    # \brief 
    #
    S_SULFIDE = 31

    ##
    # \brief 
    #
    S_THIOUREA = 32

    ##
    # \brief 
    #
    P_MONO_DI_PHOSPHINE = 33

    ##
    # \brief 
    #
    P_TRI_PHOSPHINE = 34

    ##
    # \brief 
    #
    MAX_TYPE = 34
