#
# This file is part of the Chemical Data Processing Toolkit
#
# Copyright (C) Thomas Seidel <thomas.seidel@univie.ac.at>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program; see the file COPYING. If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
#

##
# \brief Provides constants used to specify the structural class of H-bond donor atoms.
# 
class HBondDonorAtomType(Boost.Python.instance):

    ##
    # \brief Specifies that the H-bond donor type of the atom is undefined.
    # 
    UNDEF = 0

    ##
    # \brief Specifies that the atom is not a H-bond donor.
    # 
    NONE = 1

    ##
    # \brief 
    #
    I_HI = 2

    ##
    # \brief 
    #
    BR_HBR = 3

    ##
    # \brief 
    #
    CL_HCL = 4

    ##
    # \brief 
    #
    S_HSCN = 5

    ##
    # \brief 
    #
    F_HF = 6

    ##
    # \brief 
    #
    H_H2 = 7

    ##
    # \brief 
    #
    C_HCN = 8

    ##
    # \brief 
    #
    C_ETHINE = 9

    ##
    # \brief 
    #
    N_HN3 = 10

    ##
    # \brief 
    #
    N_NH3 = 11

    ##
    # \brief 
    #
    N_NH4 = 12

    ##
    # \brief 
    #
    N_AMINE = 13

    ##
    # \brief 
    #
    N_AMINIUM = 14

    ##
    # \brief 
    #
    N_ANILINE = 15

    ##
    # \brief 
    #
    N_MONO_DI_NITRO_ANILINE = 16

    ##
    # \brief 
    #
    N_TRI_NITRO_ANILINE = 17

    ##
    # \brief 
    #
    N_PYRROLE = 18

    ##
    # \brief 
    #
    N_AMIDE = 19

    ##
    # \brief 
    #
    N_IMINE = 20

    ##
    # \brief 
    #
    N_IMINIUM = 21

    ##
    # \brief 
    #
    S_H2S = 22

    ##
    # \brief 
    #
    S_HS = 23

    ##
    # \brief 
    #
    S_THIOL = 24

    ##
    # \brief 
    #
    O_H3PO4 = 25

    ##
    # \brief 
    #
    O_H2CO3 = 26

    ##
    # \brief 
    #
    O_HCO3 = 27

    ##
    # \brief 
    #
    O_H2O2 = 28

    ##
    # \brief 
    #
    O_H2O = 29

    ##
    # \brief 
    #
    O_CF3SO3H = 30

    ##
    # \brief 
    #
    O_HCLO4 = 31

    ##
    # \brief 
    #
    O_H2SO4 = 32

    ##
    # \brief 
    #
    O_HNO3 = 33

    ##
    # \brief 
    #
    O_HSO4 = 34

    ##
    # \brief 
    #
    O_HNO2 = 35

    ##
    # \brief 
    #
    O_NH2OH = 36

    ##
    # \brief 
    #
    O_H2PO4 = 37

    ##
    # \brief 
    #
    O_H3BO3 = 38

    ##
    # \brief 
    #
    O_H4SIO4 = 39

    ##
    # \brief 
    #
    O_HPO4 = 40

    ##
    # \brief 
    #
    O_H2BO3 = 41

    ##
    # \brief 
    #
    O_HO = 42

    ##
    # \brief 
    #
    O_SULFONIC_ACID = 43

    ##
    # \brief 
    #
    O_MONO_DI_NITRO_PHENOL = 44

    ##
    # \brief 
    #
    O_HALOGENO_ALCOHOL = 45

    ##
    # \brief 
    #
    O_ALCOHOL = 46

    ##
    # \brief 
    #
    O_TRI_NITRO_PHENOL = 47

    ##
    # \brief 
    #
    O_HALOGENO_PHENOL = 48

    ##
    # \brief 
    #
    O_PHENOL = 49

    ##
    # \brief 
    #
    O_CARBOXYLIC_ACID = 50

    ##
    # \brief 
    #
    O_HALOGENO_CARBOXYCLIC_ACID = 51

    ##
    # \brief 
    #
    O_ENOL = 52

    ##
    # \brief 
    #
    O_OXIME = 53

    ##
    # \brief 
    #
    O_CL5_PHENOL = 54

    ##
    # \brief 
    #
    MAX_TYPE = 54
