#
# This file is part of the Chemical Data Processing Toolkit
#
# Copyright (C) Thomas Seidel <thomas.seidel@univie.ac.at>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program; see the file COPYING. If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
#

##
# \brief Provides preinitialized color tables for the visualization of atomic properties.
# 
class AtomColorTable(Boost.Python.instance):

    ##
    # \brief Provides colors for frequently occurring chemical elements.
    # 
    # The table is used for the element dependent coloring of atom labels in 2D depictions of chemical structures. Currently, colors for the following elements are provided: <em>C, H, N, O, S, P, F, Cl, Br, I, Li, Na, B, Fe, Ba, Mg, Zn, Cu, Ni, Ca, Mn, Al, Ti, Cr, Ag, Si, Au</em> and <em>He</em>.
    # 
    ELEMENT_COLORS_2D = ColorTable({1: (0.392157, 0.392157, 0.392157, 1), 2: (1, 0.752941, 0.796078, 1), 3: (0.698039, 0.133333, 0.133333, 1), 5: (0, 1, 0, 1), 6: (0.156863, 0.156863, 0.156863, 1), 7: (0.560784, 0.560784, 1, 1), 8: (0.941176, 0, 0, 1), 9: (0.854902, 0.647059, 0.12549, 1), 11: (0, 0, 1, 1), 12: (0.133333, 0.545098, 0.133333, 1), 13: (0.501961, 0.501961, 0.564706, 1), 14: (0.854902, 0.647059, 0.12549, 1), 15: (1, 0.647059, 0, 1), 16: (1, 0.784314, 0.196078, 1), 17: (0, 1, 0, 1), 20: (0.501961, 0.501961, 0.564706, 1), 22: (0.501961, 0.501961, 0.564706, 1), 24: (0.501961, 0.501961, 0.564706, 1), 25: (0.501961, 0.501961, 0.564706, 1), 26: (1, 0.647059, 0, 1), 28: (0.647059, 0.164706, 0.164706, 1), 29: (0.647059, 0.164706, 0.164706, 1), 30: (0.647059, 0.164706, 0.164706, 1), 35: (0.647059, 0.164706, 0.164706, 1), 47: (0.501961, 0.501961, 0.564706, 1), 53: (0.627451, 0.12549, 0.941176, 1), 56: (1, 0.647059, 0, 1), 79: (0.854902, 0.647059, 0.12549, 1)})
