/* 
 * Base.hpp 
 *
 * This file is part of the Chemical Data Processing Toolkit
 *
 * Copyright (C) 2003 Thomas Seidel <thomas.seidel@univie.ac.at>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; see the file COPYING. If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/**
 * \file
 * \brief A convenience header including everything that is defined in namespace CDPL::Base.
 */

#ifndef CDPL_BASE_HPP
#define CDPL_BASE_HPP

#include "CDPL/Base/Exceptions.hpp"
#include "CDPL/Base/Any.hpp"
#include "CDPL/Base/LookupKey.hpp"
#include "CDPL/Base/LookupKeyDefinition.hpp"
#include "CDPL/Base/ControlParameterContainer.hpp"
#include "CDPL/Base/ControlParameterList.hpp"
#include "CDPL/Base/PropertyContainer.hpp"
#include "CDPL/Base/DataIOBase.hpp"
#include "CDPL/Base/DataReader.hpp"
#include "CDPL/Base/DataWriter.hpp"
#include "CDPL/Base/DataIOManager.hpp"
#include "CDPL/Base/DataFormat.hpp"
#include "CDPL/Base/DataInputHandler.hpp"
#include "CDPL/Base/DataOutputHandler.hpp"

#endif // CDPL_BASE_HPP
