/* 
 * GRAIL.hpp 
 *
 * This file is part of the Chemical Data Processing Toolkit
 *
 * Copyright (C) 2003 Thomas Seidel <thomas.seidel@univie.ac.at>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; see the file COPYING. If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/**
 * \file
 * \brief A convenience header including everything that is defined in namespace CDPL::GRAIL.
 */

#ifndef CDPL_GRAIL_HPP
#define CDPL_GRAIL_HPP

#include "CDPL/GRAIL/AttributedGridProperty.hpp"
#include "CDPL/GRAIL/AttributedGridPropertyDefault.hpp"
#include "CDPL/GRAIL/FeatureType.hpp"
#include "CDPL/GRAIL/GeneralizedBellAtomDensity.hpp"
#include "CDPL/GRAIL/AtomDensityGridCalculator.hpp"
#include "CDPL/GRAIL/BuriednessScore.hpp"
#include "CDPL/GRAIL/BuriednessGridCalculator.hpp"
#include "CDPL/GRAIL/FeatureInteractionScoreGridCalculator.hpp"
#include "CDPL/GRAIL/GRAILDataSetGenerator.hpp"
#include "CDPL/GRAIL/GRAILDescriptorCalculator.hpp"
#include "CDPL/GRAIL/BindingAffinityCalculator.hpp"
#include "CDPL/GRAIL/AttributedGridFunctions.hpp"
#include "CDPL/GRAIL/FeatureFunctions.hpp"
#include "CDPL/GRAIL/MoleculeFunctions.hpp"

#endif // CDPL_GRAIL_HPP
