// clang-format off

const ResidueDataEntry RESIDUE_DATA[] = {
	{ "000", "", "", ResidueType::NON_POLYMER, false, "methyl hydrogen carbonate", 0 },
	{ "001", "", "", ResidueType::NON_POLYMER, false, "1-[2,2-DIFLUORO-2-(3,4,5-TRIMETHOXY-PHENYL)-ACETYL]-PIPERIDINE-2-CARBOXYLIC ACID 4-PHENYL-1-(3-PYRIDIN-3-YL-PROPYL)-BUTYL ESTER", 1 },
	{ "002", "", "", ResidueType::NON_POLYMER, false, "N-[(2R)-2-BENZYL-4-(HYDROXYAMINO)-4-OXOBUTANOYL]-L-ISOLEUCYL-L-LEUCINE", 2 },
	{ "003", "", "", ResidueType::NON_POLYMER, false, "5-METHYL-7-(2-METHYLPROPYL)-2-(NAPHTHALEN-1-YLMETHYL)-3-PYRIDIN-4-YL-2H-PYRAZOLO[3,4-D]PYRIMIDINE-4,6(5H,7H)-DIONE", 3 },
	{ "004", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-amino(phenyl)ethanoic acid", 4 },
	{ "005", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S,3S)-3-amino-2-hydroxy-4-phenylbutanoic acid", 5 },
	{ "006", "", "", ResidueType::PEPTIDE_LIKE, false, "(4R)-3-[(2S,3S)-3-{[(2,6-dimethylphenoxy)acetyl]amino}-2-hydroxy-4-phenylbutanoyl]-N-[(1S,2R)-2-hydroxy-2,3-dihydro-1H-inden-1-yl]-5,5-dimethyl-1,3-thiazolidine-4-carboxamide", 6 },
	{ "007", "", "", ResidueType::NON_POLYMER, false, "1-METHYLAMINE-1-BENZYL-CYCLOPENTANE", 7 },
	{ "008", "", "", ResidueType::NON_POLYMER, false, "(S)-2-[(R)-3-AMINO-4-(2-FLUORO-PHENYL)-BUTYRYL]-1,2,3,4-TETRAHYDRO-ISOQUINOLINE-3-CARBOXYLIC ACID AMIDE", 8 },
	{ "009", "", "", ResidueType::NON_POLYMER, false, "(4S)-1,4-dibenzyl-N-[(1S,2R)-1-benzyl-3-{[3-(dimethylamino)benzyl]amino}-2-hydroxypropyl]-2-oxoimidazolidine-4-carboxamide", 9 },
	{ "00A", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-{[(4-chlorophenyl)carbonyl]oxy}(hydroxy)phosphoryl]adenosine", 10 },
	{ "00B", "", "", ResidueType::PEPTIDE_LINKING, false, "(4R)-5,5-dimethyl-1,3-thiazolidine-4-carboxylic acid", 11 },
	{ "00C", "", "", ResidueType::PEPTIDE_LINKING, false, "3-sulfo-D-alanine", 12 },
	{ "00D", "", "", ResidueType::NON_POLYMER, false, "(2R)-3,3-dimethylbutan-2-amine", 13 },
	{ "00E", "", "", ResidueType::PEPTIDE_LINKING, false, "morpholin-4-ylacetic acid", 14 },
	{ "00F", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-3-[(R)-[(1R)-1-amino-2-phenylethyl](hydroxy)phosphoryl]-2-methylpropanoic acid", 15 },
	{ "00G", "", "", ResidueType::NON_POLYMER, false, "5-[2-(1H-pyrrol-1-yl)ethoxy]-1H-indole", 16 },
	{ "00H", "", "", ResidueType::PEPTIDE_LIKE, false, "3-[(R)-[(1R)-1-amino-2-phenylethyl](hydroxy)phosphoryl]propanoic acid", 17 },
	{ "00I", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(1R)-1-(4-carbamimidoylbenzyl)-2-oxo-2-piperidin-1-ylethyl]-N~2~-(naphthalen-2-ylsulfonyl)-L-alpha-glutamine", 18 },
	{ "00J", "", "", ResidueType::NON_POLYMER, false, "N,2-DIMETHYL-6-{[7-(2-MORPHOLIN-4-YLETHOXY)QUINOLIN-4-YL]OXY}-1-BENZOFURAN-3-CARBOXAMIDE", 19 },
	{ "00K", "", "", ResidueType::PEPTIDE_LIKE, false, "(1S,7S)-7-amino-N-[(2R,3S)-7-amino-1-(cyclohexylamino)-2-hydroxy-1-oxoheptan-3-yl]-7-benzyl-8-oxohexahydro-1H-pyrazolo[1,2-a]pyridazine-1-carboxamide", 20 },
	{ "00L", "", "", ResidueType::PEPTIDE_LIKE, false, "(1S,7S)-7-amino-7-benzyl-N-[(1S)-4-carbamimidamido-1-{(1S)-1-hydroxy-2-oxo-2-[(2-phenylethyl)amino]ethyl}butyl]-8-oxohexahydro-1H-pyrazolo[1,2-a]pyridazine-1-carboxamide", 21 },
	{ "00M", "", "", ResidueType::PEPTIDE_LIKE, false, "(2R,3S)-3-amino-2-hydroxy-4-phenylbutanoic acid", 22 },
	{ "00N", "", "", ResidueType::PEPTIDE_LIKE, false, "(1S,7S)-7-amino-7-benzyl-N-{(1S)-4-carbamimidamido-1-[(S)-hydroxy(1,3-thiazol-2-yl)methyl]butyl}-8-oxohexahydro-1H-pyrazolo[1,2-a]pyridazine-1-carboxamide", 23 },
	{ "00O", "", "", ResidueType::PEPTIDE_LINKING, false, "beta-phenyl-D-phenylalanine", 24 },
	{ "00P", "", "", ResidueType::PEPTIDE_LIKE, false, "(5S)-N-[(trans-4-aminocyclohexyl)methyl]-1,3-dioxo-2-[2-(phenylsulfonyl)ethyl]-2,3,5,8-tetrahydro-1H-[1,2,4]triazolo[1,2-a]pyridazine-5-carboxamide", 25 },
	{ "00Q", "", "", ResidueType::PEPTIDE_LIKE, false, "D-phenylalanyl-N-{(1S)-1-[(S)-1,3-benzothiazol-2-yl(hydroxy)methyl]-4-carbamimidamidobutyl}-L-prolinamide", 26 },
	{ "00R", "", "", ResidueType::PEPTIDE_LIKE, false, "(5S)-N-[trans-4-(2-amino-1H-imidazol-5-yl)cyclohexyl]-1,3-dioxo-2-[2-(phenylsulfonyl)ethyl]-2,3,5,8-tetrahydro-1H-[1,2,4]triazolo[1,2-a]pyridazine-5-carboxamide", 27 },
	{ "00S", "", "", ResidueType::NON_POLYMER, false, "4-(aminomethyl)benzenecarboximidamide", 28 },
	{ "00T", "", "", ResidueType::NON_POLYMER, false, "(4-chlorobenzene-1,2-diyl)dimethanamine", 29 },
	{ "00U", "", "", ResidueType::PEPTIDE_LIKE, false, "(1S,7S)-7-amino-7-benzyl-8-oxohexahydro-1H-pyrazolo[1,2-a]pyridazine-1-carboxylic acid", 30 },
	{ "00V", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S,3S)-3,7-diamino-2-hydroxyheptanoic acid", 31 },
	{ "00W", "", "", ResidueType::PEPTIDE_LIKE, false, "3-amino-6-carbamimidamido-3,4,5,6-tetradeoxy-L-erythro-hexonic acid", 32 },
	{ "00X", "", "", ResidueType::NON_POLYMER, false, "(1S,2R)-1-amino-2,3-dihydro-1H-inden-2-ol", 33 },
	{ "00Y", "", "", ResidueType::PEPTIDE_LIKE, false, "1-[(4S,5S)-4-amino-5-hydroxy-5-(1,3-thiazol-2-yl)pentyl]guanidine", 34 },
	{ "010", "", "", ResidueType::NON_POLYMER, false, "phenylmethanol", 35 },
	{ "011", "", "", ResidueType::PEPTIDE_LIKE, false, "7-aminoheptanoic acid", 36 },
	{ "012", "", "", ResidueType::NON_POLYMER, false, "(4S)-N-[(1S,2R)-1-benzyl-3-{[3-(dimethylamino)benzyl]amino}-2-hydroxypropyl]-1-(3-methoxybenzyl)-2-oxoimidazolidine-4-carboxamide", 37 },
	{ "013", "", "", ResidueType::NON_POLYMER, false, "1,3-thiazol-5-ylmethyl hydrogen carbonate", 38 },
	{ "014", "", "", ResidueType::NON_POLYMER, false, "1-(5-chloro-6-fluoro-1H-benzimidazol-2-yl)-1H-pyrazole-4-carboxylic acid", 39 },
	{ "015", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S,3S,5S)-2,5-diamino-1,6-diphenylhexan-3-ol", 40 },
	{ "016", "", "", ResidueType::PEPTIDE_LIKE, false, "(4R)-3-[(2R,3S)-3-{[(2,6-dimethylphenoxy)acetyl]amino}-2-hydroxy-4-phenylbutanoyl]-N-[(1S,2R)-2-hydroxy-2,3-dihydro-1H-inden-1-yl]-5,5-dimethyl-1,3-thiazolidine-4-carboxamide", 41 },
	{ "017", "", "", ResidueType::NON_POLYMER, false, "(3R,3AS,6AR)-HEXAHYDROFURO[2,3-B]FURAN-3-YL(1S,2R)-3-[[(4-AMINOPHENYL)SULFONYL](ISOBUTYL)AMINO]-1-BENZYL-2-HYDROXYPROPYLCARBAMATE", 42 },
	{ "018", "", "", ResidueType::NON_POLYMER, false, "2-nitro-N-(thiophen-3-ylmethyl)-4-(trifluoromethyl)aniline", 43 },
	{ "019", "", "", ResidueType::PEPTIDE_LIKE, false, "methyl{[2-(propan-2-yl)-1,3-thiazol-4-yl]methyl}carbamic acid", 44 },
	{ "01A", "", "", ResidueType::NON_POLYMER, false, "4-Chlorophenacyl-coenzyme A", 45 },
	{ "01B", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S,3R)-3-amino-2-hydroxy-4-phenylbutanoic acid", 46 },
	{ "01C", "", "", ResidueType::PEPTIDE_LIKE, false, "(4S)-4-amino-1,1,1,2,2-pentafluoro-5-(1H-indol-3-yl)pentan-3-one", 47 },
	{ "01E", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-2-(3,3-dimethylbutanoylamino)-N-[(2S)-1-[[(2S,3S)-3-hydroxy-4-[(4-iodophenyl)methylamino]-4-oxo-butan-2-yl]amino]-1,4-dioxo-4-pyrrol-1-yl-butan-2-yl]-3,3-dimethyl-butanamide", 48 },
	{ "01F", "", "", ResidueType::NON_POLYMER, false, "ethyl hydrogen carbonate", 49 },
	{ "01G", "", "", ResidueType::NON_POLYMER, false, "", 50 },
	{ "01H", "", "", ResidueType::NON_POLYMER, false, "4-hydrazinylbutan-1-amine", 51 },
	{ "01I", "", "", ResidueType::NON_POLYMER, false, "", 52 },
	{ "01J", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(S)-hydroxy(morpholin-4-yl)methyl]-beta-phenyl-D-phenylalanine", 53 },
	{ "01K", "", "", ResidueType::NON_POLYMER, false, "", 54 },
	{ "01L", "", "", ResidueType::PEPTIDE_LIKE, false, "[(1R)-1-amino-4-methoxybutyl]boronic acid", 55 },
	{ "01M", "", "", ResidueType::PEPTIDE_LIKE, false, "(3S)-1-carbamimidoylpiperidine-3-carboxylic acid", 56 },
	{ "01N", "", "", ResidueType::PEPTIDE_LINKING, false, "N-(carboxymethyl)-3-cyclohexyl-D-alanine", 57 },
	{ "01O", "", "", ResidueType::NON_POLYMER, false, "4-(aminomethyl)-1-methyl-1H-pyrrole-2-carboximidamide", 58 },
	{ "01P", "", "", ResidueType::NON_POLYMER, false, "N~2~-[3-methoxy-4-(morpholin-4-yl)phenyl]-N~4~-(quinolin-3-yl)pyrimidine-2,4-diamine", 59 },
	{ "01Q", "", "", ResidueType::NON_POLYMER, false, "5-(aminomethyl)-1-methyl-1H-pyrrole-2-carboximidamide", 60 },
	{ "01R", "", "", ResidueType::NON_POLYMER, false, "N-(pyridin-4-yl)ethane-1,2-diamine", 61 },
	{ "01S", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2R)-2-(hydroxycarbamoyl)-4-methylpentanoyl]-L-alanylglycinamide", 62 },
	{ "01T", "", "", ResidueType::NON_POLYMER, false, "[5-(aminomethyl)-6-(2,2-dimethylpropyl)-2-ethyl-4-(4-methylphenyl)pyridin-3-yl]acetic acid", 63 },
	{ "01U", "", "", ResidueType::NON_POLYMER, false, "1,3-benzothiazole-2,6-diamine", 64 },
	{ "01V", "", "", ResidueType::NON_POLYMER, false, "1-(2,5-dichlorophenyl)methanamine", 65 },
	{ "01W", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-ammonio-4-[(2,4-dinitrophenyl)amino]butanoate", 66 },
	{ "01X", "", "", ResidueType::PEPTIDE_LIKE, false, "[2-(aminomethyl)-4-chlorophenoxy]acetic acid", 67 },
	{ "01Y", "", "", ResidueType::NON_POLYMER, false, "(cyclopentyloxy)acetic acid", 68 },
	{ "01Z", "", "", ResidueType::NON_POLYMER, false, "(cyclohexyloxy)acetic acid", 69 },
	{ "020", "", "", ResidueType::NON_POLYMER, false, "N-(furan-2-ylmethyl)-2-nitro-4-(trifluoromethyl)aniline", 70 },
	{ "021", "", "", ResidueType::PEPTIDE_LIKE, false, "N-cyclopentylglycine", 71 },
	{ "022", "", "", ResidueType::NON_POLYMER, false, "3-{1-(4-carbamoyl-2-methylphenyl)-5-[4-(1H-imidazol-1-yl)phenyl]-1H-pyrrol-2-yl}propanoic acid", 72 },
	{ "023", "", "", ResidueType::NON_POLYMER, false, "N^2^-[(2R)-2-{(1S)-1-[FORMYL(HYDROXY)AMINO]ETHYL}-5-PHENYLPENTANOYL]-N,3-DIMETHYL-L-VALINAMIDE", 73 },
	{ "024", "", "", ResidueType::NON_POLYMER, false, "4-BROMO-3-(CARBOXYMETHOXY)-5-[3-(CYCLOHEXYLAMINO)PHENYL]THIOPHENE-2-CARBOXYLIC ACID", 74 },
	{ "025", "", "", ResidueType::NON_POLYMER, false, "3-(trifluoromethyl)benzenesulfonic acid", 75 },
	{ "026", "", "", ResidueType::NON_POLYMER, false, "3-(piperazin-1-yl)propan-1-amine", 76 },
	{ "027", "", "", ResidueType::NON_POLYMER, false, "7-(4-methylpiperazin-1-yl)-4-[(5-methyl-1H-pyrazol-3-yl)amino]-2-(propan-2-yl)phthalazin-1(2H)-one", 77 },
	{ "028", "", "", ResidueType::NON_POLYMER, false, "(1-HYDROXYHEPTANE-1,1-DIYL)BIS(PHOSPHONIC ACID)", 78 },
	{ "029", "", "", ResidueType::PEPTIDE_LIKE, false, "cis-4-(carbamimidamidomethyl)cyclohexanecarboxylic acid", 79 },
	{ "02A", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-azetidine-2-carboxylic acid", 80 },
	{ "02B", "", "", ResidueType::NON_POLYMER, false, "4-methoxy-2,3,6-trimethylbenzenesulfonic acid", 81 },
	{ "02C", "", "", ResidueType::NON_POLYMER, false, "2-(aminomethyl)-1,3-thiazole-4-carboximidamide", 82 },
	{ "02D", "", "", ResidueType::NON_POLYMER, false, "5-(aminomethyl)thiophene-2-carboximidamide", 83 },
	{ "02E", "", "", ResidueType::NON_POLYMER, false, "(E,1S)-1-[dihydroxy(diphenoxy)-$l^{5}-phosphanyl]-4-methoxy-but-3-en-1-amine", 84 },
	{ "02F", "", "", ResidueType::NON_POLYMER, false, "[(1S)-1-amino-4-methoxybutyl]phosphonic acid", 85 },
	{ "02G", "", "", ResidueType::NON_POLYMER, false, "(3S,4E)-3-hydroxy-7-sulfanylhept-4-enoic acid", 86 },
	{ "02H", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,5S)-2,5-diamino-6-phenyl-1-[4-(pyridin-3-yl)phenyl]hexan-3-ol", 87 },
	{ "02I", "", "", ResidueType::DNA_LINKING, false, "(6S,7S,8S,10R)-4-amino-8-hydroxy-7,8,9,10-tetrahydro-6H-7,10-epoxyazepino[1,2-e]purin-6-yl dihydrogen phosphate", 88 },
	{ "02J", "", "", ResidueType::PEPTIDE_LIKE, false, "5-methyl-1,2-oxazole-3-carboxylic acid", 89 },
	{ "02K", "", "", ResidueType::PEPTIDE_LINKING, false, "1-aminocyclohexanecarboxylic acid", 90 },
	{ "02L", "", "", ResidueType::PEPTIDE_LINKING, false, "N-(2,2-dimethylpropyl)-L-asparagine", 91 },
	{ "02N", "", "", ResidueType::NON_POLYMER, false, "1-(4-methylphenyl)methanamine", 92 },
	{ "02O", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(3-tert-butyl-1,2,4-oxadiazol-5-yl)-L-alanine", 93 },
	{ "02P", "", "", ResidueType::PEPTIDE_LIKE, false, "D-phenylalanyl-N-[(4-chloro-1-methylpyridinium-2-yl)methyl]-L-prolinamide", 94 },
	{ "02Q", "", "", ResidueType::NON_POLYMER, false, "3-(2-methylphenyl)propanoic acid", 95 },
	{ "02R", "", "", ResidueType::NON_POLYMER, false, "1-(2-chlorophenyl)methanamine", 96 },
	{ "02S", "", "", ResidueType::NON_POLYMER, false, "4-(benzyloxy)benzoic acid", 97 },
	{ "02T", "", "", ResidueType::NON_POLYMER, false, "1-(3-methylthiophen-2-yl)methanamine", 98 },
	{ "02U", "", "", ResidueType::NON_POLYMER, false, "14-methylhexadec-9-enoic acid", 99 },
	{ "02V", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-(3,4-dihydroxyphenyl)(methylamino)ethanoic acid", 100 },
	{ "02W", "", "", ResidueType::NON_POLYMER, false, "2-(2-methyl-1H-benzimidazol-1-yl)ethanamine", 101 },
	{ "02X", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(propan-2-yl)butanedioic acid", 102 },
	{ "02Y", "", "", ResidueType::PEPTIDE_LINKING, false, "6-diazonio-5-oxo-L-norleucine", 103 },
	{ "02Z", "", "", ResidueType::NON_POLYMER, false, "4-amino-2-(phenylamino)-1,3-thiazole-5-carboxamide", 104 },
	{ "030", "", "", ResidueType::NON_POLYMER, false, "(3R,3aR,5R,6aR)-3-hydroxyhexahydro-2H-cyclopenta[b]furan-5-yl hydrogen carbonate", 105 },
	{ "031", "", "", ResidueType::NON_POLYMER, false, "(3aS,5R,6aR)-hexahydro-2H-cyclopenta[b]furan-5-yl [(1S,2R)-1-benzyl-2-hydroxy-3-([(4-methoxyphenyl)sulfonyl]{[(2R)-5-oxopyrrolidin-2-yl]methyl}amino)propyl]carbamate", 106 },
	{ "032", "", "", ResidueType::NON_POLYMER, false, "N-(3-{[5-(4-chlorophenyl)-1H-pyrrolo[2,3-b]pyridin-3-yl]carbonyl}-2,4-difluorophenyl)propane-1-sulfonamide", 107 },
	{ "033", "", "", ResidueType::NON_POLYMER, false, "N-({4'-[(1-BENZOFURAN-2-YLCARBONYL)AMINO]-1,1'-BIPHENYL-4-YL}SULFONYL)-L-VALINE", 108 },
	{ "034", "", "", ResidueType::NON_POLYMER, false, "5-(4-{[3-(2,6-dichlorophenyl)-5-(propan-2-yl)-1,2-oxazol-4-yl]methoxy}phenyl)-1H-indole-2-carboxylic acid", 109 },
	{ "035", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,7-bis(phosphonooxy)heptanoic acid", 110 },
	{ "036", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,7-bis(phosphonooxy)heptanoic acid", 111 },
	{ "037", "", "", ResidueType::PEPTIDE_LINKING, false, "(1S,3aR,6aS)-octahydrocyclopenta[c]pyrrole-1-carboxylic acid", 112 },
	{ "038", "", "", ResidueType::PEPTIDE_LIKE, false, "", 113 },
	{ "039", "", "", ResidueType::NON_POLYMER, false, "2-((9H-PURIN-6-YLTHIO)METHYL)-5-CHLORO-3-(2-METHOXYPHENYL)QUINAZOLIN-4(3H)-ONE", 114 },
	{ "03A", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-amino-N-cyclopropyl-2-oxohexanamide", 115 },
	{ "03B", "", "", ResidueType::NON_POLYMER, false, "5-(4-chlorophenyl)-4-{3-[4-(4-{[(4-{[(2R)-4-(dimethylamino)-1-(phenylsulfanyl)butan-2-yl]amino}-3-nitrophenyl)sulfonyl]amino}phenyl)piperazin-1-yl]phenyl}-1,2-dimethyl-1H-pyrrole-3-carboxylic acid", 116 },
	{ "03C", "", "", ResidueType::NON_POLYMER, false, "[5-amino-1-(2-methylphenyl)-1H-pyrazol-4-yl]{3-[1-(methylsulfonyl)piperidin-4-yl]phenyl}methanone", 117 },
	{ "03D", "", "", ResidueType::NON_POLYMER, false, "(2R,4S,5S)-N-[(2S,3R,4S)-1-cyclohexyl-3,4-dihydroxy-6-methylheptan-2-yl]-2-(cyclopropylmethyl)-4,5-dihydroxy-6-phenylhexanamide", 118 },
	{ "03E", "", "", ResidueType::PEPTIDE_LINKING, false, "1-aminocycloheptanecarboxylic acid", 119 },
	{ "03F", "", "", ResidueType::NON_POLYMER, false, "(9Z)-N-[(2S,3R,4E)-1-(beta-D-glucopyranosyloxy)-3-hydroxyoctadec-4-en-2-yl]octadec-9-enamide", 120 },
	{ "03G", "", "", ResidueType::NON_POLYMER, false, "N-(4-chlorophenyl)-N'-(2,2,6,6-tetramethylpiperidin-4-yl)ethanediamide", 121 },
	{ "03H", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-chloro-4-methylpentanoic acid", 122 },
	{ "03I", "", "", ResidueType::NON_POLYMER, false, "(2R)-N-hydroxy-2-methyl-2-(methylsulfonyl)-4-{4'-[3-(morpholin-4-yl)propoxy]biphenyl-4-yl}butanamide", 123 },
	{ "03J", "", "", ResidueType::NON_POLYMER, false, "3-[4-(4-phenylthiophen-2-yl)phenyl]propanoic acid", 124 },
	{ "03K", "", "", ResidueType::NON_POLYMER, false, "N-(5-cyclopropyl-1H-pyrazol-3-yl)benzene-1,4-dicarboxamide", 125 },
	{ "03L", "", "", ResidueType::NON_POLYMER, false, "2-({2-chloro-6-[(2,4-dichlorophenyl)sulfanyl]benzyl}carbamoyl)benzoic acid", 126 },
	{ "03M", "", "", ResidueType::NON_POLYMER, false, "(5Z)-5-[(6-chloro-7-methyl-1H-indol-3-yl)methylidene]-3-(3,4-difluorobenzyl)imidazolidine-2,4-dione", 127 },
	{ "03N", "", "", ResidueType::NON_POLYMER, false, "4-(aminomethyl)piperidine-1-carboximidamide", 128 },
	{ "03O", "", "", ResidueType::NON_POLYMER, false, "4-({[(6S)-2-amino-5-methyl-4-oxo-3,4,5,6,7,8-hexahydropteridin-6-yl]methyl}amino)benzoic acid", 129 },
	{ "03P", "", "", ResidueType::NON_POLYMER, false, "N-{2-[4-({3-chloro-4-[3-(trifluoromethyl)phenoxy]phenyl}amino)-5H-pyrrolo[3,2-d]pyrimidin-5-yl]ethyl}-3-hydroxy-3-methylbutanamide", 130 },
	{ "03Q", "", "", ResidueType::NON_POLYMER, false, "2-{2-[4-({5-chloro-6-[3-(trifluoromethyl)phenoxy]pyridin-3-yl}amino)-5H-pyrrolo[3,2-d]pyrimidin-5-yl]ethoxy}ethanol", 131 },
	{ "03R", "", "", ResidueType::NON_POLYMER, false, "2-({6-{3-[AMINO(IMINO)METHYL]PHENOXY}-3,5-DIFLUORO-4-[(1-METHYL-3-PHENYLPROPYL)AMINO]-2-PYRIDINYL}OXY)BENZOIC ACID", 132 },
	{ "03S", "", "", ResidueType::NON_POLYMER, false, "methanesulfonic acid", 133 },
	{ "03T", "", "", ResidueType::NON_POLYMER, false, "1-benzothiophene-2-sulfonamide", 134 },
	{ "03U", "", "", ResidueType::NON_POLYMER, false, "", 135 },
	{ "03V", "", "", ResidueType::NON_POLYMER, false, "naphthalen-2-ol", 136 },
	{ "03W", "", "", ResidueType::NON_POLYMER, false, "(2R)-propane-1,1,2,3-tetrol", 137 },
	{ "03X", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(6,7-dimethoxyquinolin-4-yl)oxy]-3-fluorophenyl}-1,5-dimethyl-3-oxo-2-phenyl-2,3-dihydro-1H-pyrazole-4-carboxamide", 138 },
	{ "03Y", "", "", ResidueType::PEPTIDE_LINKING, false, "2-methyl-L-cysteine", 139 },
	{ "03Z", "", "", ResidueType::NON_POLYMER, false, "4-[(4-amino-5-benzoyl-1,3-thiazol-2-yl)amino]benzenesulfonamide", 140 },
	{ "040", "", "", ResidueType::NON_POLYMER, false, "4-(2-methylphenyl)-2,4-dioxobutanoic acid", 141 },
	{ "041", "", "", ResidueType::NON_POLYMER, false, "2-(3-FLUORO-4-HYDROXYPHENYL)-7-VINYL-1,3-BENZOXAZOL-5-OL", 142 },
	{ "042", "", "", ResidueType::NON_POLYMER, false, "N-{[(2S,3S)-3-(ETHOXYCARBONYL)OXIRAN-2-YL]CARBONYL}-L-THREONYL-L-ISOLEUCINE", 143 },
	{ "043", "", "", ResidueType::NON_POLYMER, false, "4-(3-bromophenyl)-2,4-dioxobutanoic acid", 144 },
	{ "044", "", "", ResidueType::NON_POLYMER, false, "N-{3-fluoro-4-[(7-methoxyquinolin-4-yl)oxy]phenyl}-1-[(2R)-2-hydroxypropyl]-5-methyl-3-oxo-2-phenyl-2,3-dihydro-1H-pyrazole-4-carboxamide", 145 },
	{ "045", "", "", ResidueType::SACCHARIDE, false, "beta-D-fructofuranosyl-(2->6)-beta-D-fructofuranosyl alpha-D-glucopyranoside", 146 },
	{ "046", "", "", ResidueType::NON_POLYMER, false, "5-{[6-(acetylamino)pyrimidin-4-yl]oxy}-N-{4-[(4-methylpiperazin-1-yl)methyl]-3-(trifluoromethyl)phenyl}-2,3-dihydro-1H-indole-1-carboxamide", 147 },
	{ "047", "", "", ResidueType::NON_POLYMER, false, "1-CYCLOHEXYL-N-{[1-(4-METHYLPHENYL)-1H-INDOL-3-YL]METHYL}METHANAMINE", 148 },
	{ "048", "", "", ResidueType::NON_POLYMER, false, "N-{2-fluoro-5-[(5-oxo-6,7,8,9-tetrahydro-5H-benzo[7]annulen-2-yl)amino]phenyl}benzamide", 149 },
	{ "049", "", "", ResidueType::NON_POLYMER, false, "2-(acetylamino)-4,5-anhydro-1,2-dideoxy-4-methyl-1-phenyl-D-xylitol", 150 },
	{ "04A", "", "", ResidueType::NON_POLYMER, false, "N,N'-[sulfanediylbis(ethane-2,1-diyl-1,3,4-thiadiazole-5,2-diyl)]bis(2-phenylacetamide)", 151 },
	{ "04B", "", "", ResidueType::NON_POLYMER, false, "2-amino-1,2,4-trideoxy-4-methyl-1-phenyl-D-xylitol", 152 },
	{ "04C", "", "", ResidueType::PEPTIDE_LIKE, false, "1,2,4-trideoxy-4-methyl-2-{[N-(morpholin-4-ylacetyl)-L-alanyl-O-methyl-L-tyrosyl]amino}-1-phenyl-D-xylitol", 153 },
	{ "04D", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S)-4-amino-2,6-dimethylheptane-1,3-diol", 154 },
	{ "04E", "", "", ResidueType::NON_POLYMER, false, "iodoacetic acid", 155 },
	{ "04F", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-2-amino-1-hydroxy-3-[(3S)-2-oxopyrrolidin-3-yl]propane-1-sulfonic acid", 156 },
	{ "04G", "", "", ResidueType::NON_POLYMER, false, "7-hydroxy-3H-phenoxazin-3-one", 157 },
	{ "04H", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-(aminomethyl)piperidine-1-carboximidamide", 158 },
	{ "04J", "", "", ResidueType::NON_POLYMER, false, "Aminopterin", 159 },
	{ "04K", "", "", ResidueType::NON_POLYMER, false, "2-({4-[2-(diethylamino)ethoxy]phenyl}amino)-6-(4-fluorophenoxy)-8-methylpyrido[2,3-d]pyrimidin-7(8H)-one", 160 },
	{ "04L", "", "", ResidueType::NON_POLYMER, false, "2-methyl-N-(2-phenyl-3H-imidazo[4,5-b]pyridin-6-yl)-5-{[(2E)-3-phenylprop-2-enoyl]amino}benzamide", 161 },
	{ "04M", "", "", ResidueType::NON_POLYMER, false, "5-(morpholin-4-ylsulfonyl)-2-{[3-(octyloxy)benzyl]oxy}benzoic acid", 162 },
	{ "04N", "", "", ResidueType::NON_POLYMER, false, "2-amino-2-deoxy-4,6-O-(phenylmethylidene)-alpha-D-glucopyranose", 163 },
	{ "04O", "", "", ResidueType::NON_POLYMER, false, "2-amino-2-deoxy-4,6-O-[(1R)-3-phenylpropylidene]-alpha-D-glucopyranose", 164 },
	{ "04P", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-(hydroxymethyl)piperidine-1-carboximidamide", 165 },
	{ "04Q", "", "", ResidueType::NON_POLYMER, false, "N-benzylglycine", 166 },
	{ "04R", "", "", ResidueType::PEPTIDE_LINKING, false, "[3-(trifluoromethyl)-4,5,6,7-tetrahydro-1H-indazol-1-yl]acetic acid", 167 },
	{ "04S", "", "", ResidueType::NON_POLYMER, false, "(3R)-pyrrolidin-3-amine", 168 },
	{ "04T", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[4-(methylsulfonyl)-2-nitrophenyl]amino}phenyl)acetamide", 169 },
	{ "04U", "", "", ResidueType::PEPTIDE_LINKING, false, "azanylidene-[(3S,5S)-5-carboxypyrrolidin-3-yl]imino-azanium", 170 },
	{ "04V", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-pyrrolidine-2-carboximidic acid", 171 },
	{ "04W", "", "", ResidueType::NON_POLYMER, false, "2-{[3-(decyloxy)benzyl]oxy}-5-nitrobenzoic acid", 172 },
	{ "04X", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-5-(morpholin-4-ylmethyl)-1,2,3,6-tetrahydropyridine-2-carboxylic acid", 173 },
	{ "04Z", "", "", ResidueType::NON_POLYMER, false, "4-{[4-amino-5-(3-methoxybenzoyl)-1,3-thiazol-2-yl]amino}benzenesulfonamide", 174 },
	{ "051", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,4S)-4-[({6-[(4-CYANO-2-FLUOROBENZYL)OXY]NAPHTHALEN-2-YL}SULFONYL)AMINO]CYCLOHEXANE-1,3-DICARBOXYLIC ACID", 175 },
	{ "052", "", "", ResidueType::NON_POLYMER, false, "N-cyclopropyl-2-methyl-4-(7-{[2-(morpholin-4-yl)ethyl]amino}-5-phenoxypyrazolo[1,5-a]pyrimidin-3-yl)benzamide", 176 },
	{ "053", "", "", ResidueType::NON_POLYMER, false, "1-[(2-aminopyridin-4-yl)methyl]-3-(2-oxo-1,2-dihydropyridin-3-yl)-5-(trifluoromethyl)-1H-indole-2-carboxylic acid", 177 },
	{ "054", "", "", ResidueType::NON_POLYMER, false, "1-[(2-aminopyridin-4-yl)methyl]-3-(2,4-dioxo-1,2-dihydrothieno[3,4-d]pyrimidin-3(4H)-yl)-5-(trifluoromethyl)-1H-indole-2-carboxylic acid", 178 },
	{ "055", "", "", ResidueType::NON_POLYMER, false, "(2S)-{[(3-{[(2-chloro-6-methylphenyl)carbamoyl]amino}naphthalen-2-yl)carbonyl]amino}(phenyl)ethanoic acid", 179 },
	{ "056", "", "", ResidueType::NON_POLYMER, false, "3-[(2,4-DICHLOROPHENYL)METHYLSULFANYLMETHYL]BENZOIC ACID", 180 },
	{ "057", "", "", ResidueType::NON_POLYMER, false, "N-(2-hydroxy-1,1-dimethylethyl)-1-methyl-3-(1H-pyrrolo[2,3-b]pyridin-2-yl)-1H-indole-5-carboxamide", 181 },
	{ "058", "", "", ResidueType::NON_POLYMER, false, "1-benzyl-5-chloro-3-(2-fluorophenyl)-1H-indole-2-carboxylic acid", 182 },
	{ "059", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[3-(AMINOMETHYL)PHENYL]-3-{(S)-HYDROXY[(1R)-2-METHYL-1-{[(2-PHENYLETHYL)SULFONYL]AMINO}PROPYL]PHOSPHORYL}PROPANOIC ACID", 183 },
	{ "05B", "", "", ResidueType::NON_POLYMER, false, "2'-[2-(1,3-benzodioxol-5-yl)pyrimidin-4-yl]-5',6'-dihydrospiro[piperidine-4,7'-pyrrolo[3,2-c]pyridin]-4'(1'H)-one", 184 },
	{ "05L", "", "", ResidueType::NON_POLYMER, false, "heptyl 1-seleno-beta-D-glucopyranoside", 185 },
	{ "05N", "", "", ResidueType::PEPTIDE_LINKING, false, "(3R,4R)-4-hydroxy-3-methyl-L-proline", 186 },
	{ "05R", "", "", ResidueType::NON_POLYMER, false, "2-(3,4-dichlorophenyl)ethanoic acid", 187 },
	{ "05S", "", "", ResidueType::NON_POLYMER, false, "(6S)-6,15,15,18-tetramethyl-17-oxo-2,3,4,5,6,7,14,15,16,17-decahydro-1H-8,12-(metheno)[1,4,9]triazacyclotetradecino[9,8-a]indole-9-carboxamide", 188 },
	{ "05T", "", "", ResidueType::NON_POLYMER, false, "1-[4-(aminomethyl)cyclohexyl]guanidine", 189 },
	{ "05U", "", "", ResidueType::NON_POLYMER, false, "(3S,4S)-4-azanyl-2,6-dimethyl-heptan-3-ol", 190 },
	{ "05W", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,4S)-4-azanyl-2,6-dimethyl-heptane-1,3-diol", 191 },
	{ "060", "", "", ResidueType::PEPTIDE_LINKING, false, "S-methyl-D-cysteine", 192 },
	{ "061", "", "", ResidueType::NON_POLYMER, false, "2-BUTYL-6-HYDROXY-3-[2'-(1H-TETRAZOL-5-YL)-BIPHENYL-4-YLMETHYL]-3H-QUINAZOLIN-4-ONE", 193 },
	{ "062", "", "", ResidueType::NON_POLYMER, false, "3-AZA-9-HYDROXY-9-FLUORENYLCARBONYL-L-PROLYL-2-AMINOMETHYL-5-CHLOROBENZYLAMIDE, N-OXIDE", 194 },
	{ "064", "", "", ResidueType::NON_POLYMER, false, "3-[(E)-2-(2-chloro-4-{[3-(2,6-dichlorophenyl)-5-(1-methylethyl)isoxazol-4-yl]methoxy}phenyl)ethenyl]benzoic acid", 195 },
	{ "065", "", "", ResidueType::NON_POLYMER, false, "(3R,3AS,6AR)-HEXAHYDROFURO[2,3-B]FURAN-3-YL(2S,3R)-3-HYDROXY-4-(N-ISOBUTYLBENZO[D][1,3]DIOXOLE-5-SULFONAMIDO)-1-PHENYLBUTAN-2-YLCARBAMATE", 196 },
	{ "066", "", "", ResidueType::NON_POLYMER, false, "6-{[3-(dimethylcarbamoyl)phenyl]sulfonyl}-4-[(3-methoxyphenyl)amino]-8-methylquinoline-3-carboxamide", 197 },
	{ "067", "", "", ResidueType::NON_POLYMER, false, "p-(4-ruthenocenyl-1H-1,2,3-triazol-1-yl)benzenesulfonamide", 198 },
	{ "068", "", "", ResidueType::NON_POLYMER, false, "", 199 },
	{ "069", "", "", ResidueType::NON_POLYMER, false, "N,3-DIHYDROXYBENZAMIDE", 200 },
	{ "06B", "", "", ResidueType::NON_POLYMER, false, "3-bromo-2,6-dimethoxybenzoic acid", 201 },
	{ "06C", "", "", ResidueType::NON_POLYMER, false, "Iodomethane", 202 },
	{ "06F", "", "", ResidueType::NON_POLYMER, false, "1-[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]-3-{3-[(5-oxo-6,7,8,9-tetrahydro-5H-benzo[7]annulen-2-yl)amino]phenyl}urea", 203 },
	{ "06H", "", "", ResidueType::NON_POLYMER, false, "(6S)-4,6,15,15,18-pentamethyl-5,17-dioxo-2,3,4,5,6,7,14,15,16,17-decahydro-1H-12,8-(metheno)[1,4,9]triazacyclotetradecino[9,8-a]indole-9-carboxamide", 204 },
	{ "06J", "", "", ResidueType::NON_POLYMER, false, "(3aR)-13,13,16-trimethyl-15-oxo-1,2,3,3a,4,5,12,14,15,17,18,19-dodecahydro-13H-10,6-(metheno)pyrrolo[2',1':3,4][1,4,9]triazacyclotetradecino[9,8-a]indole-7-carboxamide", 205 },
	{ "06P", "", "", ResidueType::PEPTIDE_LIKE, false, "D-phenylalanyl-N-[(1-methylpyridinium-4-yl)methyl]-L-prolinamide", 206 },
	{ "06R", "", "", ResidueType::NON_POLYMER, false, "2-[4-(trifluoromethyl)phenyl]-3H-quinazolin-4-one", 207 },
	{ "06S", "", "", ResidueType::NON_POLYMER, false, "", 208 },
	{ "06T", "", "", ResidueType::NON_POLYMER, false, "(5R,6S)-3-(L-alanyl)-5,6,15,15,18-pentamethyl-17-oxo-2,3,4,5,6,7,14,15,16,17-decahydro-1H-12,8-(metheno)[1,5,9]triazacyclotetradecino[1,2-a]indole-9-carboxamide", 209 },
	{ "06U", "", "", ResidueType::NON_POLYMER, false, "6-ethyl-5-{(3R)-3-[3-methoxy-5-(pyridin-4-yl)phenyl]but-1-yn-1-yl}pyrimidine-2,4-diamine", 210 },
	{ "06V", "", "", ResidueType::NON_POLYMER, false, "6-ethyl-5-{(3R)-3-[3-methoxy-5-(morpholin-4-yl)phenyl]but-1-yn-1-yl}pyrimidine-2,4-diamine", 211 },
	{ "06W", "", "", ResidueType::NON_POLYMER, false, "6-ethyl-5-{(3S)-3-[3-methoxy-5-(pyridin-4-yl)phenyl]but-1-yn-1-yl}pyrimidine-2,4-diamine", 212 },
	{ "06X", "", "", ResidueType::NON_POLYMER, false, "Amlodipine", 213 },
	{ "06Y", "", "", ResidueType::NON_POLYMER, false, "2-phenoxyethanoic acid", 214 },
	{ "06Z", "", "", ResidueType::NON_POLYMER, false, "{4-amino-2-[(3-fluorophenyl)amino]-1,3-thiazol-5-yl}(phenyl)methanone", 215 },
	{ "070", "", "", ResidueType::NON_POLYMER, false, "(1R,2S)-2-azanyl-3-phenyl-1-[(2R,3R)-3-(phenylmethyl)oxiran-2-yl]propan-1-ol", 216 },
	{ "071", "", "", ResidueType::NON_POLYMER, false, "8-{[2-methoxy-5-(4-methylpiperazin-1-yl)phenyl]amino}-1-methyl-4,5-dihydro-1H-pyrazolo[4,3-h]quinazoline-3-carboxamide", 217 },
	{ "072", "", "", ResidueType::NON_POLYMER, false, "(+/-)(2S,5S)-3-(4-(4-CARBOXYPHENYL)BUTYL)-2-HEPTYL-4-OXO-5-THIAZOLIDINE", 218 },
	{ "073", "", "", ResidueType::NON_POLYMER, false, "(4-{(2S,4E)-2-(1H-1,2,3-BENZOTRIAZOL-1-YL)-2-[4-(METHOXYCARBONYL)PHENYL]-5-PHENYLPENT-4-ENYL}PHENYL)(DIFLUORO)METHYLPHOSPHONIC ACID", 219 },
	{ "074", "", "", ResidueType::PEPTIDE_LIKE, false, "[PROPYLAMINO-3-HYDROXY-BUTAN-1,4-DIONYL]-ISOLEUCYL-PROLINE", 220 },
	{ "075", "", "", ResidueType::PEPTIDE_LIKE, false, "", 221 },
	{ "076", "", "", ResidueType::PEPTIDE_LIKE, false, "(S)-N-((1R,2S)-1-((2R,3R)-3-benzyloxiran-2-yl)-1-hydroxy-3-phenylpropan-2-yl)-3-methyl-2-(2-phenoxyacetamido)butanamide", 222 },
	{ "077", "", "", ResidueType::NON_POLYMER, false, "(3S)-5-biphenyl-4-yl-3-hydroxypentanoic acid", 223 },
	{ "078", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4R,5S)-3,5-bis(azanyl)-1,6-diphenyl-hexane-2,4-diol", 224 },
	{ "079", "", "", ResidueType::PEPTIDE_LIKE, false, "(S)-N-((2S,3S,4R,5R)-4-amino-3,5-dihydroxy-1,6-diphenylhexan-2-yl)-3-methyl-2-(2-phenoxyacetamido)butanamide", 225 },
	{ "07B", "", "", ResidueType::NON_POLYMER, false, "dimethyl (1S,2S,4S,5S)-4,5-dihydroxycyclohexane-1,2-dicarboxylate", 226 },
	{ "07E", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-hydroxybutyl beta-D-xylopyranoside", 227 },
	{ "07G", "", "", ResidueType::NON_POLYMER, false, "2-(tert-butylamino)-1-(2-carboxy-6-chloro-1H-indol-3-yl)-1-[(3,4-difluorobenzyl)(formyl)amino]-2-oxoethylium", 228 },
	{ "07H", "", "", ResidueType::NON_POLYMER, false, "[4-(2H-chromen-3-ylmethyl)piperazin-1-yl]-[3-(1H-pyrazol-5-yl)phenyl]methanone", 229 },
	{ "07J", "", "", ResidueType::NON_POLYMER, false, "3-(2,6-dichloro-3,5-dimethoxyphenyl)-1-(6-{[4-(4-ethylpiperazin-1-yl)phenyl]amino}pyrimidin-4-yl)-1-methylurea", 230 },
	{ "07K", "", "", ResidueType::NON_POLYMER, false, "8-methylquinolin-4-amine", 231 },
	{ "07L", "", "", ResidueType::NON_POLYMER, false, "7-hydroxy-2H-chromen-2-one", 232 },
	{ "07M", "", "", ResidueType::NON_POLYMER, false, "8-{[(2-cyanopyridin-3-yl)methyl]sulfanyl}-6-hydroxy-3,4-dihydro-1H-pyrano[3,4-c]pyridine-5-carbonitrile", 233 },
	{ "07N", "", "", ResidueType::NON_POLYMER, false, "2-[(3S,4R)-4-{[(3,4-dichloro-5-methyl-1H-pyrrol-2-yl)carbonyl]amino}-3-fluoropiperidin-1-yl]-1,3-thiazole-5-carboxylic acid", 234 },
	{ "07O", "", "", ResidueType::PEPTIDE_LINKING, false, "S-[(2S)-2-phenylpropanoyl]-L-cysteine", 235 },
	{ "07P", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3R)-10-[(1R,2R)-2-decylcyclopropyl]-1-(alpha-D-galactopyranosyloxy)-3-hydroxydecan-2-yl]hexacosanamide", 236 },
	{ "07Q", "", "", ResidueType::NON_POLYMER, false, "1-[(1R)-1-(3-methoxyphenyl)ethyl]-3-(4-pyridin-4-yl-1,3-thiazol-2-yl)urea", 237 },
	{ "07R", "", "", ResidueType::NON_POLYMER, false, "1-[(3-hydroxyphenyl)methyl]-3-(4-pyridin-4-yl-1,3-thiazol-2-yl)urea", 238 },
	{ "07S", "", "", ResidueType::NON_POLYMER, false, "1-(morpholin-4-yl)-2-[4-(2-{[5-(pyridin-3-yl)-1,3-thiazol-2-yl]amino}pyridin-4-yl)piperazin-1-yl]ethanone", 239 },
	{ "07T", "", "", ResidueType::NON_POLYMER, false, "6-(3-aminobenzyl)-4-methyl-2-methylsulfinyl-4,6-dihydro-5H-thieno[2',3':4,5]pyrrolo[2,3-d]pyridazin-5-one", 240 },
	{ "07U", "", "", ResidueType::NON_POLYMER, false, "2-methyl-N~1~-[3-(pyridin-4-yl)-2,6-naphthyridin-1-yl]propane-1,2-diamine", 241 },
	{ "07V", "", "", ResidueType::NON_POLYMER, false, "(5R)-2-methyl-5-(prop-1-en-2-yl)cyclohex-2-en-1-one", 242 },
	{ "07Z", "", "", ResidueType::NON_POLYMER, false, "4-{[4-amino-5-(pyridin-3-ylcarbonyl)-1,3-thiazol-2-yl]amino}benzoic acid", 243 },
	{ "082", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-(3-{[3-(6-methoxy-1,2-benzoxazol-3-yl)-2-oxo-2,3-dihydro-1H-benzimidazol-1-yl]methyl}phenyl)-5-methyl-1,3-oxazolidine-2,4-dione", 244 },
	{ "083", "", "", ResidueType::NON_POLYMER, false, "4,6-dimethyl-N'-(3-pyridin-2-ylisoquinolin-1-yl)pyrimidine-2-carboximidamide", 245 },
	{ "084", "", "", ResidueType::NON_POLYMER, false, "4-[5-[2-(1-PHENYL-ETHYLAMINO)-PYRIMIDIN-4-YL]-1-METHYL-4-(3-TRIFLUOROMETHYLPHENYL)-1H-IMIDAZOL-2-YL]-PIPERIDINE", 246 },
	{ "085", "", "", ResidueType::NON_POLYMER, false, "4-[5-(1,3-benzodioxol-5-yl)-4-(pyridin-2-yl)-1H-imidazol-2-yl]benzamide", 247 },
	{ "087", "", "", ResidueType::NON_POLYMER, false, "2-chloro-6-(4-{[(3,4-dichloro-5-methyl-1H-pyrrol-2-yl)carbonyl]amino}piperidin-1-yl)pyridine-4-carboxamide", 248 },
	{ "088", "", "", ResidueType::NON_POLYMER, false, "3-[(5-{[3-(2,6-dichlorophenyl)-5-(1-methylethyl)isoxazol-4-yl]methoxy}-1H-indol-1-yl)methyl]benzoic acid", 249 },
	{ "08B", "", "", ResidueType::NON_POLYMER, false, "4-bromo-5-methyl-N-[1-(3-nitropyridin-2-yl)piperidin-4-yl]-1H-pyrrole-2-carboxamide", 250 },
	{ "08C", "", "", ResidueType::NON_POLYMER, false, "2-(4-methoxyphenyl)-3,4-dihydroquinazolin-4-one", 251 },
	{ "08D", "", "", ResidueType::NON_POLYMER, false, "Sulfamethoxazole", 252 },
	{ "08E", "", "", ResidueType::NON_POLYMER, false, "1-[(2-aminopyridin-4-yl)methyl]-5-chloro-3-(2-oxo-1,2-dihydropyridin-3-yl)-1H-indole-2-carboxylic acid", 253 },
	{ "08F", "", "", ResidueType::NON_POLYMER, false, "1-[(2-aminopyridin-4-yl)methyl]-5-chloro-N-({3-[(methylsulfonyl)amino]phenyl}sulfonyl)-3-(2-oxo-1,2-dihydropyridin-3-yl)-1H-indole-2-carboxamide", 254 },
	{ "08H", "", "", ResidueType::NON_POLYMER, false, "8-chloro-1-methyl-6-phenyl-4H-[1,2,4]triazolo[4,3-a][1,4]benzodiazepine", 255 },
	{ "08J", "", "", ResidueType::NON_POLYMER, false, "8-chloro-6-(2-fluorophenyl)-1-methyl-4H-imidazo[1,5-a][1,4]benzodiazepine", 256 },
	{ "08K", "", "", ResidueType::NON_POLYMER, false, "8-chloro-1,4-dimethyl-6-phenyl-4H-[1,2,4]triazolo[4,3-a][1,3,4]benzotriazepine", 257 },
	{ "08L", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S,5S,8S,13S,16Z)-5-benzyl-2-(cyclohexylmethyl)-3,6,9,15,18-pentaoxo-8-{3-[(pyrazin-2-ylcarbonyl)amino]propyl}-1,4,7,10,14-pentaazacyclooctadec-16-ene-13-carboxylic acid", 258 },
	{ "08M", "", "", ResidueType::PEPTIDE_LINKING, false, "N~5~-(pyrazin-2-ylcarbonyl)-L-ornithine", 259 },
	{ "08P", "", "", ResidueType::PEPTIDE_LINKING, false, "N-(carboxycarbonyl)-D-cysteine", 260 },
	{ "08Q", "", "", ResidueType::NON_POLYMER, false, "5'-O-{(S)-hydroxy[(2-sulfanylethyl)amino]phosphoryl}thymidine", 261 },
	{ "08R", "", "", ResidueType::NON_POLYMER, false, "6-{[(3S,4S)-4-{2-[(2-methoxybenzyl)amino]ethoxy}pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 262 },
	{ "08S", "", "", ResidueType::NON_POLYMER, false, "3-CHLORO-6-FLUORO-N-[2-[4-[(5-PROPAN-2-YL-1,3,4-THIADIAZOL-2-YL)SULFAMOYL]PHENYL]ETHYL]-1-BENZOTHIOPHENE-2-CARBOXAMIDE", 263 },
	{ "08T", "", "", ResidueType::NON_POLYMER, false, "[[[(2R,3S,4R,5R)-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methoxy-oxidanyl-phosphoryl]oxy-oxidanyl-phosphoryl]oxy-tris(fluoranyl)beryllium ", 264 },
	{ "08W", "", "", ResidueType::NON_POLYMER, false, "N-methyl-1-{3-[(methylsulfonyl)amino]-2,4-dioxo-7-(trifluoromethyl)-1,2,3,4-tetrahydroquinazolin-6-yl}-1H-imidazole-4-carboxamide", 265 },
	{ "08X", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S,5S,8S,13S,16Z)-5-(cyclohexylmethyl)-3,6,9,15,18-pentaoxo-2-(3-phenylprop-2-en-1-yl)-8-{3-[(pyrazin-2-ylcarbonyl)amino]propyl}-1,4,7,10,14-pentaazacyclooctadec-16-ene-13-carboxamide", 266 },
	{ "08Y", "", "", ResidueType::NON_POLYMER, false, "bromoergocryptine", 267 },
	{ "08Z", "", "", ResidueType::NON_POLYMER, false, "4-{[4-amino-5-(pyridin-3-ylcarbonyl)-1,3-thiazol-2-yl]amino}benzamide", 268 },
	{ "090", "", "", ResidueType::NON_POLYMER, false, "N-(2,3-DIHYDRO-7,8-DIMETHOXYIMIDAZO[1,2-C] QUINAZOLIN-5-YL)NICOTINAMIDE", 269 },
	{ "091", "", "", ResidueType::NON_POLYMER, false, "(3S)-spiro[indole-3,3'-pyrrolidin]-2(1H)-one", 270 },
	{ "092", "", "", ResidueType::NON_POLYMER, false, "", 271 },
	{ "093", "", "", ResidueType::NON_POLYMER, false, "N-(5-(4-CHLORO-3-(2-HYDROXY-ETHYLSULFAMOYL)- PHENYLTHIAZOLE-2-YL)-ACETAMIDE", 272 },
	{ "094", "", "", ResidueType::NON_POLYMER, false, "1-(2,6-DICHLOROPHENYL)-6-[(2,4-DIFLUOROPHENYL)SULFANYL]-7-(1,2,3,6-TETRAHYDRO-4-PYRIDINYL)-3,4-DIHYDROPYRIDO[3,2-D]PYRIMIDIN-2(1H)-ONE", 273 },
	{ "095", "", "", ResidueType::NON_POLYMER, false, "", 274 },
	{ "096", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-{4-hydroxy-5-methoxy-2-[3-(4-methylpiperazin-1-yl)propyl]phenyl}-3-pyridin-3-yl-1,3-thiazolidin-4-one", 275 },
	{ "097", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-N~4~-[(1S)-2,2-dimethyl-1-(methylcarbamoyl)propyl]-N~1~,2-dihydroxy-3-(2-methylpropyl)butanediamide", 276 },
	{ "098", "", "", ResidueType::NON_POLYMER, false, "(3R)-N~2~-(cyclopropylmethyl)-N~1~-hydroxy-3-(3-hydroxybenzyl)-N~4~-[(1S,2R)-2-hydroxy-2,3-dihydro-1H-inden-1-yl]-L-aspartamide", 277 },
	{ "099", "", "", ResidueType::NON_POLYMER, false, "(2R)-N~4~-hydroxy-2-(3-hydroxybenzyl)-N~1~-[(1S,2R)-2-hydroxy-2,3-dihydro-1H-inden-1-yl]butanediamide", 278 },
	{ "09A", "", "", ResidueType::NON_POLYMER, false, "", 279 },
	{ "09B", "", "", ResidueType::NON_POLYMER, false, "", 280 },
	{ "09C", "", "", ResidueType::NON_POLYMER, false, "(3S,5R)-3,5-bis(6-bromo-1H-indol-3-yl)piperazin-2-one", 281 },
	{ "09D", "", "", ResidueType::NON_POLYMER, false, "", 282 },
	{ "09E", "", "", ResidueType::NON_POLYMER, false, "", 283 },
	{ "09F", "", "", ResidueType::NON_POLYMER, false, "", 284 },
	{ "09G", "", "", ResidueType::NON_POLYMER, false, "", 285 },
	{ "09H", "", "", ResidueType::NON_POLYMER, false, "2-(2,3-dihydro-1-benzofuran-5-yl)-N-[2-(piperazin-1-yl)phenyl]-1,3-thiazole-4-carboxamide", 286 },
	{ "09J", "", "", ResidueType::NON_POLYMER, false, "3-[3-(2-chloro-6-fluorophenyl)-5-ethyl-6-oxo-5,6-dihydro[1,2,4]triazolo[4,3-b]pyridazin-7-yl]-N-cyclopropyl-4-methylbenzamide", 287 },
	{ "09K", "", "", ResidueType::NON_POLYMER, false, "N-(5-cyclopropyl-1H-pyrazol-3-yl)-2-[4-(trifluoromethoxy)phenyl]acetamide", 288 },
	{ "09L", "", "", ResidueType::NON_POLYMER, false, "4-(3-{[4-(cyclopropylcarbonyl)piperazin-1-yl]carbonyl}-4-fluorobenzyl)phthalazin-1(2H)-one", 289 },
	{ "09M", "", "", ResidueType::NON_POLYMER, false, "(5-hydroxy-4-{[(1-hydroxy-2-oxo-1,2-dihydroquinolin-3-yl)amino]methyl}-6-methylpyridin-3-yl)methyl dihydrogen phosphate", 290 },
	{ "09N", "", "", ResidueType::NON_POLYMER, false, "(11Z,14Z)-N-[(2S,3S,4R)-1-(alpha-D-galactopyranosyloxy)-3,4-dihydroxyoctadecan-2-yl]icosa-11,14-dienamide", 291 },
	{ "09O", "", "", ResidueType::NON_POLYMER, false, "1-(pyridin-3-yl)-1,4-diazepane", 292 },
	{ "09P", "", "", ResidueType::NON_POLYMER, false, "1-(5-ethoxypyridin-3-yl)-1,4-diazepane", 293 },
	{ "09Q", "", "", ResidueType::NON_POLYMER, false, "1-(5-phenylpyridin-3-yl)-1,4-diazepane", 294 },
	{ "09R", "", "", ResidueType::NON_POLYMER, false, "1-(6-bromopyridin-3-yl)-1,4-diazepane", 295 },
	{ "09S", "", "", ResidueType::NON_POLYMER, false, "1-(6-bromo-5-ethoxypyridin-3-yl)-1,4-diazepane", 296 },
	{ "09T", "", "", ResidueType::NON_POLYMER, false, "1-(3,4-dichlorobenzyl)-5,6-dimethyl-1H-benzimidazole", 297 },
	{ "09U", "", "", ResidueType::NON_POLYMER, false, "(methoxymethyl)cyclopropane", 298 },
	{ "09V", "", "", ResidueType::NON_POLYMER, false, "cyclopropylmethanol", 299 },
	{ "09Z", "", "", ResidueType::NON_POLYMER, false, "[4-amino-2-(propan-2-ylamino)-1,3-thiazol-5-yl](pyridin-3-yl)methanone", 300 },
	{ "0A", "", "", ResidueType::RNA_LINKING, false, "L-ADENOSINE-5'-MONOPHOSPHATE", 301 },
	{ "0A0", "", "", ResidueType::PEPTIDE_LINKING, false, "2-methyl-L-aspartic acid", 302 },
	{ "0A1", "", "", ResidueType::PEPTIDE_LINKING, false, "O-methyl-L-tyrosine", 303 },
	{ "0A2", "", "", ResidueType::PEPTIDE_LINKING, false, "[(1R)-1,5-diaminopentyl][bis(ethanolato)]hydroxyborate(1-)", 304 },
	{ "0A3", "", "CEF", ResidueType::NON_POLYMER, true, "(2R)-2-[(R)-{[(2Z)-2-(2-amino-1,3-thiazol-4-yl)-2-(methoxyimino)acetyl]amino}(carboxy)methyl]-5-methyl-3,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 305 },
	{ "0A4", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-{(R)-carboxy[(thiophen-2-ylacetyl)amino]methyl}-5-methylidene-5,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 306 },
	{ "0A5", "", "", ResidueType::NON_POLYMER, true, "4-bromobutanoic acid", 307 },
	{ "0A6", "", "", ResidueType::NON_POLYMER, false, "(3R)-4-ethoxy-3-hydroxy-4-oxobutanoic acid", 308 },
	{ "0A7", "", "", ResidueType::NON_POLYMER, false, "2-(carboxymethyl)benzoic acid", 309 },
	{ "0A8", "", "", ResidueType::PEPTIDE_LINKING, false, "S-[(2-chloroethyl)carbamoyl]-L-cysteine", 310 },
	{ "0A9", "", "", ResidueType::PEPTIDE_LINKING, false, "methyl L-phenylalaninate", 311 },
	{ "0AA", "", "VME", ResidueType::PEPTIDE_LINKING, true, "methyl L-valinate", 312 },
	{ "0AB", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S,4S)-3-amino-4-methyl-3,4-dihydro-2H-pyran-2-one", 313 },
	{ "0AC", "", "FOG", ResidueType::PEPTIDE_LINKING, true, "(4S,5S)-5-amino-4-hydroxy-6-phenylhexanoic acid", 314 },
	{ "0AD", "", "", ResidueType::DNA_LINKING, false, "", 315 },
	{ "0AF", "", "", ResidueType::PEPTIDE_LINKING, false, "7-hydroxy-L-tryptophan", 316 },
	{ "0AG", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(ethoxycarbonyl)-L-leucine", 317 },
	{ "0AH", "", "", ResidueType::PEPTIDE_LINKING, false, "O-(bromoacetyl)-L-serine", 318 },
	{ "0AI", "", "", ResidueType::NON_POLYMER, false, "methyl 2-(acetylamino)-2-deoxy-alpha-D-galactopyranosiduronic acid", 319 },
	{ "0AJ", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-(ethylsulfanyl)-1-(methylsulfanyl)ethane", 320 },
	{ "0AK", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-4-(2-chloroethoxy)-4-oxobutanoic acid", 321 },
	{ "0AL", "", "GPO", ResidueType::NON_POLYMER, true, "4-O-phosphono-D-glycero-beta-D-manno-heptopyranose", 322 },
	{ "0AM", "", "", ResidueType::DNA_LINKING, true, "", 323 },
	{ "0AO", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-3-naphthalen-1-ylpropanal", 324 },
	{ "0AP", "", "", ResidueType::DNA_LINKING, false, "", 325 },
	{ "0AR", "", "", ResidueType::PEPTIDE_LINKING, false, "N-[N-[(4S)-4-azanyl-5-hydroxy-5-oxo-pentyl]carbamimidoyl]ethanamide", 326 },
	{ "0AS", "", "", ResidueType::NON_POLYMER, false, "asiatic acid", 327 },
	{ "0AT", "", "16G", ResidueType::SACCHARIDE, true, "2-(acetylamino)-2-deoxy-6-O-phosphono-alpha-D-glucopyranose", 328 },
	{ "0AU", "", "IU", ResidueType::DNA_LINKING, true, "", 329 },
	{ "0AV", "", "A2M", ResidueType::DNA_LINKING, true, "", 330 },
	{ "0AY", "", "", ResidueType::PEPTIDE_LIKE, false, "diethyl [(1R)-1,5-diaminopentyl]boronate", 331 },
	{ "0AZ", "", "", ResidueType::PEPTIDE_LINKING, true, "(4R)-4-hydroxy-D-proline", 332 },
	{ "0B1", "", "", ResidueType::NON_POLYMER, false, "2-amino-6-[(1S,2R)-2-(3'-methoxybiphenyl-3-yl)cyclopropyl]-3-methylpyrimidin-4(3H)-one", 333 },
	{ "0B2", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-2-amino-1-cyclohexyl-5-hydroxy-4-methylpentan-3-one", 334 },
	{ "0B3", "", "", ResidueType::NON_POLYMER, false, "(6R)-2-amino-3,6-dimethyl-6-(2-phenylethyl)-5,6-dihydropyrimidin-4(3H)-one", 335 },
	{ "0B4", "", "", ResidueType::NON_POLYMER, false, "(6S)-2-amino-3,6-dimethyl-6-[(1R,2R)-2-phenylcyclopropyl]-5,6-dihydropyrimidin-4(3H)-one", 336 },
	{ "0B6", "", "", ResidueType::NON_POLYMER, false, "~{N}-[3-[(4~{S})-2-azanyl-6-(fluoranylmethyl)-4-methyl-1,3-oxazin-4-yl]-4-fluoranyl-phenyl]-5-cyano-pyridine-2-carboxamide", 337 },
	{ "0BB", "", "", ResidueType::NON_POLYMER, false, "4-{3-[(4-methyl-1-benzothiophen-3-yl)methyl]-2-oxo-2,3-dihydro-1H-benzimidazol-1-yl}butanoic acid", 338 },
	{ "0BC", "", "", ResidueType::NON_POLYMER, false, "~{N}-(5-ethanoyl-2-ethoxy-phenyl)-3-(2~{H}-1,2,3,4-tetrazol-5-yl)-5-(1,3-thiazol-4-yl)benzamide", 339 },
	{ "0BD", "", "", ResidueType::SACCHARIDE, false, "3-methyl-1-(2-methylpropyl)butyl 4-O-beta-L-gulopyranosyl-beta-D-glucopyranoside", 340 },
	{ "0BE", "", "", ResidueType::NON_POLYMER, false, "BERYLLIUM", 341 },
	{ "0BI", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-[(1R)-1-hydroxy-2-({1-[3-(1-methylethyl)phenyl]cyclopropyl}amino)ethyl]-19-(methoxymethyl)-11-oxa-3,16-diazatricyclo[15.3.1.1~6,10~]docosa-1(21),6(22),7,9,17,19-hexaen-2-one", 342 },
	{ "0BM", "", "", ResidueType::NON_POLYMER, false, "N-(methylsulfonyl)-D-phenylalanyl-N-[(1-carbamimidoylpiperidin-4-yl)methyl]-L-prolinamide", 343 },
	{ "0BN", "", "", ResidueType::PEPTIDE_LINKING, false, "4-carbamimidoyl-L-phenylalanine", 344 },
	{ "0BP", "", "", ResidueType::NON_POLYMER, false, "2,2'-bipyridine", 345 },
	{ "0BR", "", "", ResidueType::NON_POLYMER, false, "(4beta,8alpha,9R)-6'-methoxy-10,11-dihydrocinchonan-9-ol", 346 },
	{ "0BT", "", "", ResidueType::NON_POLYMER, false, "1-{2-deoxy-3,5-O-[(4-iodophenyl)(phosphono)methylidene]-beta-D-threo-pentofuranosyl}-5-methylpyrimidine-2,4(1H,3H)-dione", 347 },
	{ "0BU", "", "", ResidueType::NON_POLYMER, false, "8-({3-[({3-[(4,6,8-trisulfonaphthalen-1-yl)carbamoyl]phenyl}carbamoyl)amino]benzoyl}amino)naphthalene-1,3,5-trisulfonic acid", 348 },
	{ "0BV", "", "", ResidueType::NON_POLYMER, false, "phenanthren-9-ylacetaldehyde", 349 },
	{ "0BW", "", "", ResidueType::NON_POLYMER, false, "methyl 3-[(3-methoxybenzoyl)amino]-4-(4-methylpiperazin-1-yl)benzoate", 350 },
	{ "0BX", "", "", ResidueType::NON_POLYMER, false, "4-{[4-(phenylamino)pyrimidin-2-yl]amino}benzoic acid", 351 },
	{ "0BY", "", "", ResidueType::NON_POLYMER, false, "4-({4-[(2-chlorophenyl)amino]pyrimidin-2-yl}amino)benzoic acid", 352 },
	{ "0BZ", "", "", ResidueType::NON_POLYMER, false, "4-({4-[(2-fluorophenyl)amino]pyrimidin-2-yl}amino)benzoic acid", 353 },
	{ "0C", "", "", ResidueType::RNA_LINKING, false, "L-CYTIDINE-5'-MONOPHOSPHATE", 354 },
	{ "0C0", "", "", ResidueType::NON_POLYMER, false, "4-{[4-(biphenyl-2-ylamino)pyrimidin-2-yl]amino}benzoic acid", 355 },
	{ "0C1", "", "", ResidueType::NON_POLYMER, false, "6-(2,5-difluorobenzyl)-N-(methylsulfonyl)-8-(2-oxo-1,2-dihydropyridin-3-yl)-3,6-dihydro-2H-furo[2,3-e]indole-7-carboxamide", 356 },
	{ "0C2", "", "", ResidueType::NON_POLYMER, false, "(3S)-6-(2,5-difluorobenzyl)-3-methyl-N-(methylsulfonyl)-8-(2-oxo-1,2-dihydropyridin-3-yl)-3,6-dihydro-2H-furo[2,3-e]indole-7-carboxamide", 357 },
	{ "0C3", "", "", ResidueType::NON_POLYMER, false, "4-[(4-{[2-(trifluoromethyl)phenyl]amino}pyrimidin-2-yl)amino]benzoic acid", 358 },
	{ "0C4", "", "", ResidueType::NON_POLYMER, false, "4-({4-[(2-bromophenyl)amino]pyrimidin-2-yl}amino)benzoic acid", 359 },
	{ "0C5", "", "", ResidueType::NON_POLYMER, false, "4-({4-[(2-cyanophenyl)amino]pyrimidin-2-yl}amino)benzoic acid", 360 },
	{ "0C6", "", "", ResidueType::NON_POLYMER, false, "4-({4-[(2-chlorophenyl)amino]-5-fluoropyrimidin-2-yl}amino)benzoic acid", 361 },
	{ "0C7", "", "", ResidueType::NON_POLYMER, false, "N~4~-(2-chlorophenyl)-N~2~-[4-(1H-tetrazol-5-yl)phenyl]pyrimidine-2,4-diamine", 362 },
	{ "0C8", "", "", ResidueType::NON_POLYMER, false, "4-[(4-{[2-(trifluoromethoxy)phenyl]amino}pyrimidin-2-yl)amino]benzoic acid", 363 },
	{ "0C9", "", "", ResidueType::NON_POLYMER, false, "2-({2-[(4-carboxyphenyl)amino]pyrimidin-4-yl}amino)benzoic acid", 364 },
	{ "0CA", "", "", ResidueType::NON_POLYMER, false, "1-[(7-carbamimidoylnaphthalen-2-yl)methyl]-6-({1-[(1Z)-ethanimidoyl]piperidin-4-yl}oxy)-2-(propan-2-yl)-1H-indole-4-carboxylic acid", 365 },
	{ "0CB", "", "", ResidueType::NON_POLYMER, false, "{[(7-carbamimidoylnaphthalen-2-yl)methyl][4-({1-[(1E)-ethanimidoyl]piperidin-4-yl}oxy)phenyl]sulfamoyl}acetic acid", 366 },
	{ "0CE", "", "", ResidueType::NON_POLYMER, false, "2-methyl-11-(1-methylethyl)-8-[(2S)-tetrahydro-2H-pyran-2-yl]-2,11,12,13-tetrahydro-4H-indazolo[5,4-a]pyrrolo[3,4-c]carbazol-4-one", 367 },
	{ "0CG", "", "", ResidueType::NON_POLYMER, false, "prop-2-yn-1-yl trihydrogen diphosphate", 368 },
	{ "0CH", "", "", ResidueType::NON_POLYMER, false, "4-hydroxybutyl trihydrogen diphosphate", 369 },
	{ "0CJ", "", "", ResidueType::NON_POLYMER, false, "4-oxopentyl trihydrogen diphosphate", 370 },
	{ "0CK", "", "", ResidueType::NON_POLYMER, false, "4-[1-cyclohexyl-4-(4-fluorophenyl)-1H-imidazol-5-yl]pyrimidin-2-amine", 371 },
	{ "0CL", "", "", ResidueType::NON_POLYMER, false, "1,3-dichloropropane", 372 },
	{ "0CM", "", "", ResidueType::NON_POLYMER, false, "but-2-yn-1-yl trihydrogen diphosphate", 373 },
	{ "0CN", "", "", ResidueType::NON_POLYMER, false, "buta-2,3-dien-1-yl trihydrogen diphosphate", 374 },
	{ "0CO", "", "", ResidueType::NON_POLYMER, false, "(1S,3R,5Z,7E,14beta,17alpha,23R)-23-(2-hydroxy-2-methylpropyl)-20,24-epoxy-9,10-secochola-5,7,10-triene-1,3-diol", 375 },
	{ "0CP", "", "", ResidueType::NON_POLYMER, false, "5-{3-[(1S,2S,4R)-bicyclo[2.2.1]hept-2-yloxy]-4-methoxyphenyl}tetrahydropyrimidin-2(1H)-one", 376 },
	{ "0CR", "", "", ResidueType::NON_POLYMER, false, "MoMo-2-[4-(2-(4-(methoxy)-1H-1,2,3-triazol-1-yl)ethyl)benzenesulfonamide]-7,12-bis-[3-(4-(methoxy)-1H-1,2,3-triazol-1-yl)propanoic acid]-cryptophane-A", 377 },
	{ "0CS", "", "", ResidueType::PEPTIDE_LINKING, false, "3-[(S)-HYDROPEROXYSULFINYL]-L-ALANINE", 378 },
	{ "0CT", "", "", ResidueType::NON_POLYMER, false, "1H-benzotriazole", 379 },
	{ "0CU", "", "", ResidueType::NON_POLYMER, false, "5,7-dichloro-1H-benzotriazole", 380 },
	{ "0CV", "", "", ResidueType::NON_POLYMER, false, "6-methoxy-3,8-dimethyl-4-(piperazin-1-yl)-1H-pyrazolo[3,4-b]quinoline", 381 },
	{ "0CX", "", "", ResidueType::NON_POLYMER, false, "(2R,3aS,5aR,5bS,9S,13S,14R,16aS,16bR)-9-ethyl-2,13-dihydroxy-14-methyl-2,3,3a,5a,5b,6,9,10,11,12,13,14,16a,16b-tetradecahydro-1H-as-indaceno[3,2-d]oxacyclododecine-7,15-dione", 382 },
	{ "0CZ", "", "", ResidueType::NON_POLYMER, false, "4,4'-(1,1,1,3,3,3-hexafluoropropane-2,2-diyl)diphenol", 383 },
	{ "0D1", "", "", ResidueType::NON_POLYMER, false, "4,4'-(2,2-dichloroethene-1,1-diyl)diphenol", 384 },
	{ "0D2", "", "", ResidueType::NON_POLYMER, false, "(4R,4'S)-4,4'-diphenyl-4,4'-biimidazolidine-2,2',5,5'-tetrone", 385 },
	{ "0D3", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S)-2-benzyl-3-sulfanylpropanoyl]-L-alanylglycinamide", 386 },
	{ "0D6", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{(1R)-3-phenyl-1-[2-(phenylsulfonyl)ethyl]propyl}-N~2~-(piperazin-1-ylcarbonyl)-L-leucinamide", 387 },
	{ "0D8", "", "", ResidueType::NON_POLYMER, false, "3-aminopropan-1-ol", 388 },
	{ "0DA", "A", "", ResidueType::DNA_LINKING, false, "", 389 },
	{ "0DB", "", "", ResidueType::PEPTIDE_LIKE, false, "N-({1-[(2S)-2-carboxy-4-phenylbutyl]cyclopentyl}carbonyl)-L-tryptophan", 390 },
	{ "0DC", "", "", ResidueType::DNA_LINKING, false, "", 391 },
	{ "0DF", "", "", ResidueType::NON_POLYMER, false, "1-methyl-6-phenyl-1,3-dihydro-2H-imidazo[4,5-b]pyridin-2-one", 392 },
	{ "0DG", "", "", ResidueType::DNA_LINKING, false, "", 393 },
	{ "0DI", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-amino-3-(3-chlorophenyl)-1-[4-(2,5-difluorobenzoyl)piperazin-1-yl]propan-1-one", 394 },
	{ "0DJ", "", "", ResidueType::NON_POLYMER, false, "3-(1-methyl-2-oxo-2,3-dihydro-1H-imidazo[4,5-b]pyridin-6-yl)benzamide", 395 },
	{ "0DN", "", "", ResidueType::NON_POLYMER, false, "5'-deoxy-5'-fluorothymidine", 396 },
	{ "0DO", "", "", ResidueType::PEPTIDE_LIKE, false, "(2R,4S)-N-tert-butyl-1-[(2S,3S)-3-{[(2,6-dimethylphenoxy)acetyl]amino}-2-hydroxy-4-phenylbutyl]-4-(pyridin-4-ylsulfonyl)piperidine-2-carboxamide", 397 },
	{ "0DQ", "", "", ResidueType::NON_POLYMER, false, "4-phenyl-1,2,3-thiadiazol-5-amine", 398 },
	{ "0DS", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{(2R)-2-[2-(hydroxyamino)-2-oxoethyl]-4-methylpentanoyl}-L-leucyl-L-phenylalaninamide", 399 },
	{ "0DT", "DRT", "", ResidueType::DNA_LINKING, false, "", 400 },
	{ "0DU", "", "", ResidueType::NON_POLYMER, false, "N-(2,6-dichlorobenzoyl)-4-[1,6-dimethyl-2-oxo-4-(trifluoromethyl)-1,2-dihydropyridin-3-yl]-L-phenylalanine", 401 },
	{ "0DV", "", "", ResidueType::NON_POLYMER, false, "(4R,5R,6R,6aS,9S,9aE,10aR)-5-hydroxy-9-(hydroxymethyl)-6,10a-dimethyl-3-(propan-2-yl)-1,2,4,5,6,6a,7,8,9,10a-decahydrodicyclopenta[a,d][8]annulen-4-yl alpha-D-gulopyranoside", 402 },
	{ "0DX", "", "", ResidueType::NON_POLYMER, false, "4,9-bis{[3-(4-methylpiperazin-1-yl)propyl]amino}-2,7-bis[3-(morpholin-4-yl)propyl]benzo[lmn][3,8]phenanthroline-1,3,6,8(2H,7H)-tetrone", 403 },
	{ "0DY", "", "", ResidueType::PEPTIDE_LIKE, false, "N~1~-(3-aminobenzyl)-N~2~-[(2R)-2-(hydroxycarbamoyl)-4-methylpentanoyl]-L-aspartamide", 404 },
	{ "0E0", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-(1-hydroxy-2-methylpropan-2-yl)-1,3,4,5-tetrahydro-6H-pyrano[4,3-c]isoquinolin-6-one", 405 },
	{ "0E1", "", "", ResidueType::NON_POLYMER, false, "(7R)-2-hydroxy-7-(propan-2-yl)-7,8-dihydro-5H-pyrano[4,3-b]pyridine-3-carbonitrile", 406 },
	{ "0E5", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,3R)-2-azanyl-3-methyl-3-oxidanyl-pentanoic acid", 407 },
	{ "0E6", "", "", ResidueType::PEPTIDE_LIKE, false, "amino{[(4S)-4-{[(benzyloxy)carbonyl]amino}-5-{[(2S)-1-(benzyloxy)-4-chloro-3-oxobutan-2-yl]amino}-5-oxopentyl]amino}methaniminium", 408 },
	{ "0E7", "", "", ResidueType::PEPTIDE_LIKE, false, "methyl N-(4-carbamimidamidobutanoyl)-L-phenylalanyl-L-allothreonyl-L-phenylalaninate", 409 },
	{ "0E8", "", "", ResidueType::PEPTIDE_LIKE, false, "di-tert-butyl {iminobis[(2S,3S)-3-hydroxy-1-phenylbutane-4,2-diyl]}biscarbamate", 410 },
	{ "0E9", "", "", ResidueType::PEPTIDE_LIKE, false, "benzyl [(1R,4S,6S,9R)-4,6-dibenzyl-5-hydroxy-1,9-bis(1-methylethyl)-2,8,11-trioxo-13-phenyl-12-oxa-3,7,10-triazatridec-1-yl]carbamate", 411 },
	{ "0EA", "", "", ResidueType::PEPTIDE_LINKING, false, "(betaR)-beta,3-dihydroxy-N-methyl-L-tyrosine", 412 },
	{ "0EC", "", "", ResidueType::NON_POLYMER, false, "6,7-dimethoxy-2-(piperazin-1-yl)quinazolin-4-amine", 413 },
	{ "0ED", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(1S)-3-{[(benzyloxy)carbonyl]amino}-1-carboxypropyl]-L-leucyl-N-(2-morpholin-4-ylethyl)-L-phenylalaninamide", 414 },
	{ "0EF", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(tert-butoxycarbonyl)-L-alanyl-N-[(1R)-1-(carboxyamino)-2-phenylethyl]-L-prolinamide", 415 },
	{ "0EG", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(tert-butoxycarbonyl)-L-alanyl-N-[(1R)-1-(dihydroxyboranyl)-2-methylpropyl]-L-prolinamide", 416 },
	{ "0EH", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-2-amino-2-methylnonanoic acid", 417 },
	{ "0EJ", "", "", ResidueType::NON_POLYMER, false, "(2-oxo-2-{[(1s,2R,3S,4s,5R,6S)-2,3,4,5,6-pentakis(phosphonooxy)cyclohexyl]oxy}ethyl)phosphonic acid", 418 },
	{ "0EK", "", "", ResidueType::PEPTIDE_LIKE, false, "6-ammonio-N-{[(2R,3R)-3-{[N-(tert-butoxycarbonyl)-L-phenylalanyl-3-(1H-imidazol-3-ium-4-yl)-L-alanyl]amino}-4-cyclohexyl-2-hydroxybutyl](2-methylpropyl)carbamoyl}-L-norleucyl-L-phenylalanine", 419 },
	{ "0EL", "", "", ResidueType::PEPTIDE_LIKE, false, "6-ammonio-N-[(2R,4R,5R)-5-{[N-(tert-butoxycarbonyl)-L-phenylalanyl-3-(1H-imidazol-3-ium-4-yl)-L-alanyl]amino}-6-cyclohexyl-4-hydroxy-2-(2-methylpropyl)hexanoyl]-L-norleucylphenylalanine", 420 },
	{ "0EM", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(tert-butoxycarbonyl)-L-phenylalanyl-N-{(1S)-1-[(R)-hydroxy(2-{[(2S)-2-methylbutyl]amino}-2-oxoethyl)phosphoryl]-3-methylbutyl}-3-(1H-imidazol-3-ium-4-yl)-L-alaninamide", 421 },
	{ "0EN", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-2-(tert-butylamino)-2-oxo-1-(pyridin-3-yl)ethyl]-N-(4-tert-butylphenyl)furan-2-carboxamide", 422 },
	{ "0EO", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-2-[[(3S,4S)-5-cyclohexyl-4-[[(4S,5S)-5-[(2-methylpropan-2-yl)oxycarbonylamino]-4-oxidanyl-6-phenyl-hexanoyl]amino]-3-oxidanyl-pentanoyl]amino]-4-methyl-pentanoic acid", 423 },
	{ "0ET", "", "", ResidueType::NON_POLYMER, false, "", 424 },
	{ "0EU", "", "", ResidueType::NON_POLYMER, false, "1-[3-({4-[(5S)-3,3-dimethyl-1-oxo-2-oxa-7-azaspiro[4.5]dec-7-yl]piperidin-1-yl}carbonyl)-1-benzothiophen-2-yl]-3-ethylurea", 425 },
	{ "0EV", "", "", ResidueType::NON_POLYMER, false, "4-{2-[(cyclohexylmethyl)amino]ethyl}-2-[(2-phenylethyl)amino]-3,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 426 },
	{ "0EX", "", "", ResidueType::NON_POLYMER, false, "6-amino-4-[2-(benzylamino)ethyl]-2-[(2-phenylethyl)amino]-1,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 427 },
	{ "0EY", "", "", ResidueType::NON_POLYMER, false, "1-{[1-(alpha-L-arabinofuranosyl)-1H-1,2,3-triazol-4-yl]methyl}-2,4-dioxo-1,2,3,4-tetrahydropyrimidine", 428 },
	{ "0EZ", "", "PI6", ResidueType::PEPTIDE_LIKE, true, "tert-butyl [(1S,2S)-1-benzyl-2-hydroxy-3-{[(8S,11R)-8-[(1R)-1-methylpropyl]-7,10-dioxo-2-oxa-6,9-diazabicyclo[11.2.2]heptadeca-1(15),13,16-trien-11-yl]amino}propyl]carbamate", 429 },
	{ "0F0", "", "", ResidueType::NON_POLYMER, false, "3-{[4-(dimethylamino)butanoyl]amino}-N-(4-{[4-(pyridin-3-yl)pyrimidin-2-yl]amino}phenyl)benzamide", 430 },
	{ "0F1", "", "", ResidueType::NON_POLYMER, false, "3,6-dichloro-1-benzothiophene-2-carboxylic acid", 431 },
	{ "0F2", "", "", ResidueType::NON_POLYMER, false, "3-{4-[2-(morpholin-4-yl)ethoxy]-2-(4lambda~4~-thieno[3,2-c]pyrazol-3-yl)-1H-indol-6-yl}pentan-3-ol", 432 },
	{ "0F3", "", "", ResidueType::NON_POLYMER, false, "4-(sulfamoylamino)benzenesulfonamide", 433 },
	{ "0F4", "", "", ResidueType::NON_POLYMER, false, "1-(3-{[(3Z)-2-oxo-3-(1H-pyrrol-2-ylmethylidene)-2,3-dihydro-1H-indol-6-yl]amino}phenyl)-3-[3-(trifluoromethyl)phenyl]urea", 434 },
	{ "0F5", "", "", ResidueType::NON_POLYMER, false, "5-(3-{6-[(trans-4-aminocyclohexyl)amino]pyrazin-2-yl}benzyl)-2H-1lambda~4~,3-thiazole-2,4(3H)-dione", 435 },
	{ "0F7", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(benzyloxy)carbonyl]-L-isoleucyl-N-[(1R)-1-(carboxycarbonyl)-3,3-difluoropropyl]-L-leucinamide", 436 },
	{ "0F9", "", "", ResidueType::NON_POLYMER, false, "4-chloro-2-(1H-pyrazol-3-yl)phenol", 437 },
	{ "0FA", "", "", ResidueType::PEPTIDE_LIKE, false, "N~2~-phosphono-L-leucinamide", 438 },
	{ "0FG", "", "", ResidueType::PEPTIDE_LIKE, false, "D-leucyl-N-(4-fluorobenzyl)-L-phenylalaninamide", 439 },
	{ "0FI", "", "", ResidueType::NON_POLYMER, false, "N-phenylthioformamide", 440 },
	{ "0FK", "", "", ResidueType::NON_POLYMER, false, "8-hydroxyquinoline-2-carboxamide", 441 },
	{ "0FL", "", "", ResidueType::PEPTIDE_LINKING, false, "3-amino-N-formyl-L-alanine", 442 },
	{ "0FN", "", "", ResidueType::NON_POLYMER, false, "1,3-dioxo-2,3-dihydro-1H-indene-2-carbonitrile", 443 },
	{ "0FO", "", "", ResidueType::NON_POLYMER, false, "6-bromo-4-hydroxy-2H-chromen-2-one", 444 },
	{ "0FP", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(6-aminohexanoyl)-3-methyl-L-valyl-3-methyl-L-valyl-N~1~-[(2S,3S)-3-hydroxy-4-oxo-4-{[(1R)-1-phenylpropyl]amino}butan-2-yl]-N~4~,N~4~-dimethyl-L-aspartamide", 445 },
	{ "0FQ", "", "", ResidueType::NON_POLYMER, false, "phenacyl coenzyme A", 446 },
	{ "0FR", "", "", ResidueType::NON_POLYMER, false, "furan-2-yl(1H-indol-3-yl)methanone", 447 },
	{ "0FS", "", "", ResidueType::NON_POLYMER, false, "(5Z)-5-[3-(trifluoromethyl)benzylidene]-1,3-thiazolidine-2,4-dione", 448 },
	{ "0FT", "", "", ResidueType::NON_POLYMER, false, "1-{[1-(alpha-L-arabinofuranosyl)-1H-1,2,3-triazol-4-yl]methyl}-5-methyl-2,4-dioxo-1,2,3,4-tetrahydropyrimidine", 449 },
	{ "0FU", "", "", ResidueType::NON_POLYMER, false, "2,5,6-triaminopyrimidin-4-ol", 450 },
	{ "0FV", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-fluoro-3,7-dimethylocta-2,6-dien-1-yl trihydrogen diphosphate", 451 },
	{ "0FW", "", "", ResidueType::NON_POLYMER, false, "4-{3-[(biphenyl-4-ylcarbonyl)amino]phenoxy}benzene-1,2-dicarboxylic acid", 452 },
	{ "0FX", "", "", ResidueType::NON_POLYMER, false, "dTDP-4-amino-4,6-dideoxyglucose", 453 },
	{ "0FY", "", "", ResidueType::NON_POLYMER, false, "3-(1-{2-[(3-fluoropyridinium-4-yl)amino]-2-oxoethyl}-1H-pyrazol-4-yl)-6-methyl-8-[(3-{[(1R,3R)-3-methylpiperidinium-1-yl]methyl}-1,2-thiazol-5-yl)amino]imidazo[1,2-a]pyrazin-1-ium", 454 },
	{ "0FZ", "", "", ResidueType::NON_POLYMER, false, "4-(6-methoxy-3,4-dihydroisoquinolin-1-yl)benzenesulfonamide", 455 },
	{ "0G", "", "", ResidueType::RNA_LINKING, false, "L-GUANOSINE-5'-MONOPHOSPHATE", 456 },
	{ "0G0", "", "", ResidueType::NON_POLYMER, false, "1-{[1-(alpha-L-arabinofuranosyl)-1H-1,2,3-triazol-4-yl]methyl}-5-fluoro-2,4-dioxo-1,2,3,4-tetrahydropyrimidine", 457 },
	{ "0G1", "", "", ResidueType::NON_POLYMER, false, "3-[3-(4-methoxyphenyl)-2-(1H-thieno[3,2-c]pyrazol-3-yl)-1H-indol-6-yl]pentan-3-ol", 458 },
	{ "0G2", "", "", ResidueType::NON_POLYMER, false, "3-[2-(5-phenyl-2H-thieno[3,2-c]pyrazol-3-yl)-1H-indol-6-yl]pentan-3-ol", 459 },
	{ "0G4", "", "", ResidueType::NON_POLYMER, false, "[[[[(2R,5S)-5-(4-azanyl-5-fluoranyl-2-oxidanylidene-pyrimidin-1-yl)-1,3-oxathiolan-2-yl]methoxy-oxidanyl-phosphoryl]oxy-oxidanyl-phosphoryl]amino]phosphonic acid", 460 },
	{ "0G5", "", "", ResidueType::PEPTIDE_LINKING, false, "N~5~-(3-iodobenzoyl)-L-ornithine", 461 },
	{ "0G6", "", "", ResidueType::PEPTIDE_LIKE, false, "D-phenylalanyl-N-[(2S,3S)-6-{[amino(iminio)methyl]amino}-1-chloro-2-hydroxyhexan-3-yl]-L-prolinamide", 462 },
	{ "0G7", "", "", ResidueType::PEPTIDE_LIKE, false, "D-phenylalanyl-N-[(3S)-6-carbamimidamido-1-chloro-2-oxohexan-3-yl]-L-prolinamide", 463 },
	{ "0G8", "", "", ResidueType::NON_POLYMER, false, "[(2R,5S)-5-(4-amino-2-oxopyrimidin-1(2H)-yl)-1,3-oxathiolan-2-yl]methyl trihydrogen diphosphate", 464 },
	{ "0GA", "", "", ResidueType::NON_POLYMER, false, "3-{[(1Z)-1-carboxyprop-1-en-1-yl]oxy}-2-hydroxybenzoic acid", 465 },
	{ "0GD", "", "", ResidueType::NON_POLYMER, false, "6-[4-({[2-(3-fluorophenyl)ethyl]amino}methyl)phenyl]-4-methylpyridin-2-amine", 466 },
	{ "0GE", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{[5-(dimethylamino)naphthalen-1-yl]sulfonyl}-L-alpha-glutamyl-N-[(2S,3S)-6-carbamimidamido-1-chloro-2-hydroxyhexan-3-yl]glycinamide", 467 },
	{ "0GF", "", "", ResidueType::NON_POLYMER, false, "4-bromo-3-methylbenzoic acid", 468 },
	{ "0GG", "", "", ResidueType::PEPTIDE_LINKING, false, "3-{[(4-hydroxy-3-methoxyphenyl)acetyl]amino}-D-alanine", 469 },
	{ "0GH", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-1-({(2S,3R)-3-hydroxy-1-[(2-methylpropyl)amino]-1-oxobutan-2-yl}amino)-3-phenylpropan-2-yl]-5-[methyl(methylsulfonyl)amino]-N'-[(1R)-1-phenylethyl]benzene-1,3-dicarboxamide", 470 },
	{ "0GJ", "", "", ResidueType::PEPTIDE_LIKE, false, "L-alpha-glutamyl-N-{(1S)-4-{[amino(iminio)methyl]amino}-1-[(1S)-2-chloro-1-hydroxyethyl]butyl}glycinamide", 471 },
	{ "0GM", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(5S,9S,10S,13S)-9-hydroxy-5,10-bis(2-methylpropyl)-4,7,12,16-tetraoxo-3,6,11,17-tetraazabicyclo[17.3.1]tricosa-1(23),19,21-trien-13-yl]-3-(naphthalen-1-yl)-2-(naphthalen-1-ylmethyl)propanamide", 472 },
	{ "0GO", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-[(2S,3R)-3-hydroxy-1-phenyl-4-{[3-(propan-2-yl)benzyl]amino}butan-2-yl]-2-[(5S)-6-oxo-1-propyl-1,7-diazaspiro[4.4]non-7-yl]propanamide", 473 },
	{ "0GQ", "", "", ResidueType::PEPTIDE_LIKE, false, "4-amino-N-{(1R,8R,9R,13R)-16-(4-amino-2-methylpyrimidin-5-yl)-1-benzyl-8-(cyclohexylmethyl)-9-hydroxy-13-[(1S)-1-methylpropyl]-2,6,11,14-tetraoxo-3,7,12,15-tetraazahexadec-1-yl}piperidine-1-carboxamide", 474 },
	{ "0GR", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(furan-2-ylcarbonyl)-L-leucyl-L-tryptophan", 475 },
	{ "0GS", "", "", ResidueType::NON_POLYMER, false, "(3S,4S,5R)-3-(4-amino-3-bromo-5-fluorobenzyl)-5-{[3-(1,1-difluoroethyl)benzyl]amino}tetrahydro-2H-thiopyran-4-ol 1,1-dioxide", 476 },
	{ "0GT", "", "", ResidueType::NON_POLYMER, false, "(3R,4S,5S)-3-[(3-tert-butylbenzyl)amino]-5-{[3-(2,2-difluoroethyl)-1H-indol-5-yl]methyl}tetrahydro-2H-thiopyran-4-ol 1,1-dioxide", 477 },
	{ "0GU", "", "", ResidueType::NON_POLYMER, false, "", 478 },
	{ "0GV", "", "", ResidueType::NON_POLYMER, false, "(3beta,8alpha,9beta)-3-hydroxycholest-5-en-7-one", 479 },
	{ "0GX", "", "", ResidueType::NON_POLYMER, false, "{(3-exo)-3-[5-(aminomethyl)-2-fluorophenyl]-8-azabicyclo[3.2.1]oct-8-yl}(4-bromo-3-methyl-5-propoxythiophen-2-yl)methanone", 480 },
	{ "0GY", "", "", ResidueType::NON_POLYMER, false, "(1E,3Z)-4-hydroxybuta-1,3-diene-1,2,4-tricarboxylic acid", 481 },
	{ "0GZ", "", "", ResidueType::NON_POLYMER, false, "2-oxo-2H-pyran-4,6-dicarboxylic acid", 482 },
	{ "0H2", "", "", ResidueType::NON_POLYMER, false, "[1,3-dioxo-6-(pyridin-2-yl-kappaN)-2,3-dihydro-1H-isoindol-5-yl-kappaC~5~][(thioxomethylidene)azanido-kappaN](1,4,7-trithionane-kappa~3~S~1~,S~4~,S~7~)ruthenium", 483 },
	{ "0H3", "", "", ResidueType::NON_POLYMER, false, "7-(6-methoxypyridin-3-yl)-4-{[2-(propan-2-yloxy)ethyl]amino}-1-(2-propoxyethyl)pyrido[4,3-d]pyrimidin-2(1H)-one", 484 },
	{ "0H4", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-cyclopentyl-N-(5-methylpyridin-2-yl)-2-[2-oxo-4-(trifluoromethyl)pyridin-1(2H)-yl]propanamide", 485 },
	{ "0H5", "", "", ResidueType::NON_POLYMER, false, "6-methoxy-N-(1-methyl-1H-pyrazol-3-yl)quinazolin-4-amine", 486 },
	{ "0H6", "", "", ResidueType::NON_POLYMER, false, "6-({(2S)-3-cyclopentyl-2-[4-(trifluoromethyl)-1H-imidazol-1-yl]propanoyl}amino)pyridine-3-carboxylic acid", 487 },
	{ "0H7", "", "", ResidueType::NON_POLYMER, false, "(3R)-1-azabicyclo[2.2.2]oct-3-yl[bis(5-chlorothiophen-2-yl)]methanol", 488 },
	{ "0H8", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(3-carboxypropanoyl)-L-valyl-N-[(1R)-5-amino-1-phosphonopentyl]-L-prolinamide", 489 },
	{ "0H9", "", "", ResidueType::NON_POLYMER, false, "2-[(4-methoxybenzyl)amino]ethanesulfonic acid", 490 },
	{ "0HD", "", "", ResidueType::NON_POLYMER, false, "1-(1H-indazol-5-yl)-3-(2-phenylethyl)urea", 491 },
	{ "0HG", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(4S)-4-ammonio-4-carboxybutanoyl]-S-(4-bromobenzyl)-L-cysteinylglycine", 492 },
	{ "0HH", "", "", ResidueType::PEPTIDE_LIKE, false, "L-gamma-glutamyl-S-nonyl-L-cysteinylglycine", 493 },
	{ "0HK", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,4S,5S,7S)-7-{[hydroxy(dithiophen-2-yl)acetyl]oxy}-9,9-dimethyl-3-oxa-9-azoniatricyclo[3.3.1.0~2,4~]nonane", 494 },
	{ "0HL", "", "", ResidueType::NON_POLYMER, false, "4-{[(3R)-3-{[(7-methoxynaphthalen-2-yl)sulfonyl](thiophen-3-ylmethyl)amino}-2-oxopyrrolidin-1-yl]methyl}thiophene-2-carboximidamide", 495 },
	{ "0HM", "", "", ResidueType::NON_POLYMER, false, "2-{[4-(aminomethyl)phenyl]carbamoyl}-1-[(1-benzyl-1H-imidazol-2-yl)methyl]-3-hydroxypyridinium", 496 },
	{ "0HN", "", "", ResidueType::NON_POLYMER, false, "1,3-benzodioxole-5-carboxylic acid", 497 },
	{ "0HO", "", "", ResidueType::NON_POLYMER, false, "2,1,3-benzothiadiazole-5-carboxylic acid", 498 },
	{ "0HQ", "", "", ResidueType::NON_POLYMER, false, "diazomethane", 499 },
	{ "0HT", "", "", ResidueType::PEPTIDE_LIKE, false, "methyl N-[(2S,3S)-3-amino-2-hydroxy-5-methylhexyl]-L-valyl-L-isoleucyl-L-phenylalaninate", 500 },
	{ "0HV", "", "", ResidueType::NON_POLYMER, false, "3-[(4-nitronaphthalen-1-yl)amino]benzoic acid", 501 },
	{ "0HW", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(3S)-4-ethoxy-3-hydroxy-4-oxobutanoyl]-L-isoleucyl-L-proline", 502 },
	{ "0HX", "", "", ResidueType::NON_POLYMER, false, "pentan-3-yl 2-(acetylamino)-2,4-dideoxy-alpha-L-threo-hex-4-enopyranosiduronic acid", 503 },
	{ "0HY", "", "", ResidueType::NON_POLYMER, false, "methyl (3R)-3-(7-amino-4,5-dioxo-1,4,5,6-tetrahydropyrimido[4,5-c]pyridazin-3-yl)butanoate", 504 },
	{ "0HZ", "", "", ResidueType::PEPTIDE_LIKE, false, "amino({3-[(3S,8aS)-1,4-dioxooctahydropyrrolo[1,2-a]pyrazin-3-yl]propyl}amino)methaniminium", 505 },
	{ "0I5", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(3S)-1-fluoro-2-oxo-5-phenylpentan-3-yl]-N~2~-(morpholin-4-ylcarbonyl)-L-leucinamide", 506 },
	{ "0IN", "", "", ResidueType::NON_POLYMER, false, "7-(pyridin-3-ylmethyl)quinolin-8-ol", 507 },
	{ "0IT", "", "", ResidueType::PEPTIDE_LIKE, false, "amino({(4S)-4-[({(3S)-3-[(benzylsulfonyl)amino]-2-oxopiperidin-1-yl}acetyl)amino]-5-oxopentyl}amino)methaniminium", 508 },
	{ "0IU", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[(2-amino-1,3-thiazol-4-yl)methyl]-N~1~-[(1S,2R,3R)-1-(cyclohexylmethyl)-2,3-dihydroxy-5-methylhexyl]-N~4~-[2-(dimethylamino)-2-oxoethyl]-N~4~-[(1S)-1-phenylethyl]butanediamide", 509 },
	{ "0IV", "", "", ResidueType::PEPTIDE_LIKE, false, "2-{(3S)-3-[(benzylsulfonyl)amino]-2-oxopiperidin-1-yl}-N-{(2S)-1-[(3R)-1-carbamimidoylpiperidin-3-yl]-3-oxopropan-2-yl}acetamide", 510 },
	{ "0IW", "", "", ResidueType::PEPTIDE_LIKE, false, "Nalpha-[(4-methylpiperazin-1-yl)carbonyl]-N-[(3S)-1-phenyl-5-(phenylsulfonyl)pentan-3-yl]-L-phenylalaninamide", 511 },
	{ "0J0", "", "", ResidueType::NON_POLYMER, false, "(3-exo)-8,8-dimethyl-3-(4-{[(1-methyl-2-oxo-1,2-dihydroquinolin-4-yl)oxy]methyl}-1H-1,2,3-triazol-1-yl)-8-azoniabicyclo[3.2.1]octane", 512 },
	{ "0J2", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-(7-amino-4,5-dioxo-1,4,5,6-tetrahydropyrimido[4,5-c]pyridazin-3-yl)butanoic acid", 513 },
	{ "0J3", "", "", ResidueType::NON_POLYMER, false, "3-(4-methylpiperazin-1-yl)-N-(3-nitrobenzyl)-7-(trifluoromethyl)quinolin-5-amine", 514 },
	{ "0J4", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(7-amino-4,5-dioxo-1,4,5,6-tetrahydropyrimido[4,5-c]pyridazin-3-yl)propanoic acid", 515 },
	{ "0J5", "", "", ResidueType::NON_POLYMER, false, "(7-amino-4,5-dioxo-1,4,5,6-tetrahydropyrimido[4,5-c]pyridazin-3-yl)acetic acid", 516 },
	{ "0J6", "", "", ResidueType::NON_POLYMER, false, "N-[3-(1H-tetrazol-5-yl)phenyl]-2H-indazole-5-carboxamide", 517 },
	{ "0J7", "", "", ResidueType::NON_POLYMER, false, "3-(pyrimidin-2-yl)-N-[3-(1H-tetrazol-5-yl)phenyl]benzamide", 518 },
	{ "0J8", "", "", ResidueType::NON_POLYMER, false, "N-(3-nitrobenzyl)-6-[1-(piperidin-4-yl)-1H-pyrazol-4-yl]-2-(trifluoromethyl)pyrido[2,3-d]pyrimidin-4-amine", 519 },
	{ "0J9", "", "", ResidueType::NON_POLYMER, false, "1-tert-butyl-3-(naphthalen-1-yl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 520 },
	{ "0JA", "", "", ResidueType::NON_POLYMER, false, "2-chloro-3-(1-cyanocyclopropyl)-N-[5-({2-[(cyclopropylcarbonyl)amino][1,3]thiazolo[5,4-b]pyridin-5-yl}oxy)-2-fluorophenyl]benzamide", 521 },
	{ "0JB", "", "", ResidueType::NON_POLYMER, false, "N-[3-(1H-tetrazol-5-yl)phenyl]-1H-benzimidazole-7-carboxamide", 522 },
	{ "0JC", "", "", ResidueType::NON_POLYMER, false, "Di-mu-iodobis(ethylenediamine)diplatinum(II)", 523 },
	{ "0JD", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,3-dihydro-1,4-benzodioxine-2-carboxylic acid", 524 },
	{ "0JE", "", "", ResidueType::NON_POLYMER, false, "3-[5-(5-ethoxy-6-fluoro-1H-benzimidazol-2-yl)-1H-pyrazol-4-yl]-1,1-diethylurea", 525 },
	{ "0JF", "", "", ResidueType::NON_POLYMER, false, "(3S)-N-(4-methylbenzyl)-1-{2-[(3,4,5-trimethoxyphenyl)amino]pyrimidin-4-yl}piperidine-3-carboxamide", 526 },
	{ "0JG", "", "", ResidueType::NON_POLYMER, false, "methyl (2S)-3-{4-amino-7-[(1E)-3-hydroxyprop-1-en-1-yl]-5-(4-methylphenyl)-7H-pyrrolo[2,3-d]pyrimidin-6-yl}-2-cyanopropanoate", 527 },
	{ "0JH", "", "", ResidueType::NON_POLYMER, false, "tert-butyl (2S)-3-[4-amino-7-(3-hydroxypropyl)-5-(4-methylphenyl)-7H-pyrrolo[2,3-d]pyrimidin-6-yl]-2-cyanopropanoate", 528 },
	{ "0JJ", "", "", ResidueType::NON_POLYMER, false, "7-methoxy-N-{[6-(3-methyl-1,2-thiazol-5-yl)[1,2,4]triazolo[4,3-b]pyridazin-3-yl]methyl}-1,5-naphthyridin-4-amine", 529 },
	{ "0JK", "", "", ResidueType::NON_POLYMER, false, "5-phenyl-3-(quinolin-6-ylmethyl)-3,5,6,7-tetrahydro-4H-[1,2,3]triazolo[4,5-c]pyridin-4-one", 530 },
	{ "0JL", "", "", ResidueType::NON_POLYMER, false, "3-{(1S)-1-[3-(2-methoxyethoxy)quinolin-6-yl]ethyl}-5-(3-methyl-1,2-thiazol-5-yl)-3,5-dihydro-4H-[1,2,3]triazolo[4,5-c]pyridin-4-one", 531 },
	{ "0JM", "", "", ResidueType::NON_POLYMER, false, "(2S,5R,6R,7R)-6-{[(2R)-2-carboxy-2-phenylacetyl]amino}-7-hydroxy-3,3-dimethyl-4-thia-1-azabicyclo[3.2.0]heptane-2-carboxylic acid", 532 },
	{ "0JN", "", "", ResidueType::NON_POLYMER, false, "1-tert-butyl-3-(naphthalen-1-ylmethyl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 533 },
	{ "0JO", "", "", ResidueType::NON_POLYMER, false, "2-{[(E)-{3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methylidene]amino}prop-2-enoic acid", 534 },
	{ "0JP", "", "", ResidueType::NON_POLYMER, false, "8,9-dimethoxy-1-(1,3-thiazol-5-yl)-5,6-dihydroimidazo[5,1-a]isoquinoline", 535 },
	{ "0JQ", "", "", ResidueType::NON_POLYMER, false, "2-{1-[5-(6,7-dimethoxycinnolin-4-yl)-3-methylpyridin-2-yl]piperidin-4-yl}propan-2-ol", 536 },
	{ "0JR", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,4-dihydroxy-3,3-dimethyl-N-{3-oxo-3-[(pyridin-3-ylmethyl)amino]propyl}butanamide", 537 },
	{ "0JT", "", "", ResidueType::PEPTIDE_LIKE, false, "(4R)-4-amino-5-methylhexanoic acid", 538 },
	{ "0JU", "", "", ResidueType::NON_POLYMER, false, "(4S,5Z)-4-amino-5-iminopentanamide", 539 },
	{ "0JV", "", "", ResidueType::NON_POLYMER, false, "methyl N-[(3S,3aR,5R,6aR)-5-[[(2S,3R)-4-[(4-methoxyphenyl)sulfonyl-(2-methylpropyl)amino]-3-oxidanyl-1-phenyl-butan-2-yl]carbamoyloxy]-3,3a,4,5,6,6a-hexahydro-2H-cyclopenta[b]furan-3-yl]carbamate", 540 },
	{ "0JW", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-[(R)-amino(hydroxy)methyl]-3-(3,4-dihydroxyphenyl)prop-2-enenitrile", 541 },
	{ "0JX", "", "", ResidueType::NON_POLYMER, false, "(3E)-4-hydroxybut-3-en-1-yl trihydrogen diphosphate", 542 },
	{ "0JY", "", "", ResidueType::NON_POLYMER, false, "4-methyl-L-leucine", 543 },
	{ "0JZ", "", "", ResidueType::NON_POLYMER, false, "(4R,11R,18R)-4,11,18-tri(propan-2-yl)-6,13,20-triselena-3,10,17,22,23,24-hexaazatetracyclo[17.2.1.1~5,8~.1~12,15~]tetracosa-1(21),5(24),7,12(23),14,19(22)-hexaene-2,9,16-trione", 544 },
	{ "0K0", "", "", ResidueType::NON_POLYMER, false, "3-amino-6-{3-[(methylsulfonyl)amino]phenyl}-N-(piperidin-4-ylmethyl)pyrazine-2-carboxamide", 545 },
	{ "0K1", "", "", ResidueType::NON_POLYMER, false, "3-amino-6-[3-(1-methyl-1H-pyrazol-4-yl)phenyl]-N-[(1R,2r,3S,5s,7s)-5-hydroxyadamantan-2-yl]pyrazine-2-carboxamide", 546 },
	{ "0K2", "", "", ResidueType::NON_POLYMER, false, "4-oxobutyl trihydrogen diphosphate", 547 },
	{ "0K3", "", "", ResidueType::NON_POLYMER, false, "(2Z,6Z,10Z,14Z,18Z,22Z,26Z)-3,7,11,15,19,23,27,31-octamethyldotriaconta-2,6,10,14,18,22,26,30-octaen-1-yl dihydrogen phosphate", 548 },
	{ "0K5", "", "", ResidueType::NON_POLYMER, false, "(5-hydroxy-4-{[(1-hydroxy-2-oxo-6-phenoxy-1,2-dihydroquinolin-3-yl)amino]methyl}-6-methylpyridin-3-yl)methyl dihydrogen phosphate", 549 },
	{ "0K6", "", "", ResidueType::NON_POLYMER, false, "7-cyclopentyl-2-({1-methyl-5-[(4-methylpiperazin-1-yl)carbonyl]-1H-pyrrol-3-yl}amino)-7H-pyrrolo[2,3-d]pyrimidine-6-carboxamide", 550 },
	{ "0K7", "", "", ResidueType::NON_POLYMER, false, "2-(4-methylphenyl)-1,3-thiazole-4-carboxylic acid", 551 },
	{ "0K9", "", "", ResidueType::NON_POLYMER, false, "(2R)-N-{(2S,3R)-4-{[(4'S)-6'-(2,2-dimethylpropyl)-3',4'-dihydrospiro[cyclobutane-1,2'-pyrano[2,3-b]pyridin]-4'-yl]amino}-3-hydroxy-1-[3-(1,3-thiazol-2-yl)phenyl]butan-2-yl}-2-methoxypropanamide", 552 },
	{ "0KA", "", "", ResidueType::NON_POLYMER, false, "SILVER/IRON/SULFUR CLUSTER", 553 },
	{ "0KB", "", "", ResidueType::NON_POLYMER, false, "[2-(2-oxo-2-{[3-(trifluoromethyl)phenyl]amino}ethoxy)phenyl]phosphonic acid", 554 },
	{ "0KC", "", "", ResidueType::NON_POLYMER, false, "{2-[2-(cyclopentylamino)-2-oxoethoxy]phenyl}phosphonic acid", 555 },
	{ "0KD", "", "", ResidueType::NON_POLYMER, false, "N-(pyridin-3-yl)-2-(thiophen-3-yl)-3H-imidazo[4,5-b]pyridine-7-carboxamide", 556 },
	{ "0KE", "", "", ResidueType::NON_POLYMER, false, "(5-hydroxy-4-{[(1-hydroxy-7-methoxy-2-oxo-1,2-dihydroquinolin-3-yl)amino]methyl}-6-methylpyridin-3-yl)methyl dihydrogen phosphate", 557 },
	{ "0KF", "", "", ResidueType::NON_POLYMER, false, "N-[3-({2-[(cyclopropylcarbonyl)amino]imidazo[1,2-b]pyridazin-6-yl}oxy)phenyl]-1,3-dimethyl-1H-pyrazole-5-carboxamide", 558 },
	{ "0KG", "", "", ResidueType::NON_POLYMER, false, "{2-[2-(cyclohexylamino)-2-oxoethoxy]phenyl}phosphonic acid", 559 },
	{ "0KH", "", "", ResidueType::NON_POLYMER, false, "(2-{2-[(2,3-dichlorophenyl)amino]-2-oxoethoxy}phenyl)phosphonic acid", 560 },
	{ "0KJ", "", "", ResidueType::NON_POLYMER, false, "[(2S)-5-oxopyrrolidin-2-yl]methyl [(2S,3R)-4-{(1,3-benzothiazol-6-ylsulfonyl)[(2S)-2-methylbutyl]amino}-3-hydroxy-1-phenylbutan-2-yl]carbamate", 561 },
	{ "0KK", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-imino-3-methyl-5,5-diphenylimidazolidin-4-one", 562 },
	{ "0KL", "", "", ResidueType::NON_POLYMER, false, "", 563 },
	{ "0KM", "", "", ResidueType::NON_POLYMER, false, "(2E,5R)-2-imino-5-(3'-methoxybiphenyl-3-yl)-3-methyl-5-phenylimidazolidin-4-one", 564 },
	{ "0KN", "", "", ResidueType::NON_POLYMER, false, "(2R)-N-[(2S,3R)-1-(1,3-benzodioxol-5-yl)-4-{[(4'S)-6'-(2,2-dimethylpropyl)-3',4'-dihydrospiro[cyclobutane-1,2'-pyrano[2,3-b]pyridin]-4'-yl]amino}-3-hydroxybutan-2-yl]-2-methoxypropanamide", 565 },
	{ "0KO", "", "", ResidueType::NON_POLYMER, false, "4-(2-[(6-methoxypyridin-3-yl)amino]-5-{[4-(methylsulfonyl)piperazin-1-yl]methyl}pyridin-3-yl)-6-methyl-1,3,5-triazin-2-amine", 566 },
	{ "0KP", "", "", ResidueType::NON_POLYMER, false, "(2E,5R)-2-imino-3-methyl-5-phenyl-5-[3-(pyridin-3-yl)phenyl]imidazolidin-4-one", 567 },
	{ "0KQ", "", "", ResidueType::NON_POLYMER, false, "(2E,5R)-5-[3-(5-chloropyridin-3-yl)phenyl]-5-cyclopropyl-2-imino-3-methylimidazolidin-4-one", 568 },
	{ "0KR", "", "", ResidueType::NON_POLYMER, false, "(2E,5R)-5-cyclopropyl-2-imino-3-methyl-5-{3-[5-(prop-1-yn-1-yl)pyridin-3-yl]phenyl}imidazolidin-4-one", 569 },
	{ "0KS", "", "", ResidueType::NON_POLYMER, false, "N-[4-(1,1,1,3,3,3-hexafluoro-2-hydroxypropan-2-yl)phenyl]-N-methylbenzenesulfonamide", 570 },
	{ "0KT", "", "", ResidueType::NON_POLYMER, false, "N-methyl-N-(4-{(1S)-2,2,2-trifluoro-1-hydroxy-1-[1-(2-methoxyethyl)-1H-pyrrol-2-yl]ethyl}phenyl)benzenesulfonamide", 571 },
	{ "0KU", "", "", ResidueType::NON_POLYMER, false, "N-(4-chlorophenyl)-N'-{(S)-[5-(hydroxymethyl)-4-methyl-1,3-thiazol-2-yl][(2S)-piperidin-2-yl]methyl}ethanediamide", 572 },
	{ "0KV", "", "", ResidueType::PEPTIDE_LIKE, false, "2-{(3S)-3-[(benzylsulfonyl)amino]-2-oxopiperidin-1-yl}-N-{(2S)-1-[(3S)-1-carbamimidoylpiperidin-3-yl]-3-oxopropan-2-yl}acetamide", 573 },
	{ "0KW", "", "", ResidueType::NON_POLYMER, false, "N-(4-chlorophenyl)-N'-{(S)-[5-(2-hydroxyethyl)-4-methyl-1,3-thiazol-2-yl][(2S)-piperidin-2-yl]methyl}ethanediamide", 574 },
	{ "0KX", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-[(R)-hydroxy{[(R)-hydroxy(phosphonooxy)phosphoryl]amino}phosphoryl]cytidine", 575 },
	{ "0KY", "", "", ResidueType::NON_POLYMER, false, "3-[(2R)-2-ethoxypropyl]-2-thioxo-1,2,3,9-tetrahydro-6H-purin-6-one", 576 },
	{ "0KZ", "", "", ResidueType::DNA_LINKING, false, "[(1R,2S,4S,5S)-2-hydroxy-4-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)bicyclo[3.1.0]hex-1-yl]methyl dihydrogen phosphate", 577 },
	{ "0L0", "", "", ResidueType::NON_POLYMER, false, "(4-{[(6-benzyl-1-hydroxy-7-methoxy-2-oxo-1,2-dihydroquinolin-3-yl)amino]methyl}-5-hydroxy-6-methylpyridin-3-yl)methyl dihydrogen phosphate", 578 },
	{ "0L1", "", "", ResidueType::NON_POLYMER, false, "hexanedioic acid", 579 },
	{ "0L3", "", "", ResidueType::NON_POLYMER, false, "7-{2-deoxy-5-O-[(S)-hydroxy{[(S)-hydroxy(phosphonooxy)phosphoryl]oxy}phosphoryl]-beta-D-erythro-pentofuranosyl}-5-{5-[(10-hydroxydecanoyl)amino]pent-1-yn-1-yl}-7H-pyrrolo[2,3-d]pyrimidin-4-amine", 580 },
	{ "0L4", "", "", ResidueType::NON_POLYMER, false, "5-(5-aminopent-1-yn-1-yl)-7-{2-deoxy-5-O-[(S)-hydroxy{[(S)-hydroxy(phosphonooxy)phosphoryl]oxy}phosphoryl]-beta-D-erythro-pentofuranosyl}-7H-pyrrolo[2,3-d]pyrimidin-4-amine", 581 },
	{ "0L5", "", "", ResidueType::NON_POLYMER, false, "", 582 },
	{ "0L6", "", "", ResidueType::NON_POLYMER, false, "", 583 },
	{ "0L7", "", "", ResidueType::NON_POLYMER, false, "2-amino-5-(5-aminopent-1-yn-1-yl)-7-{2-deoxy-5-O-[(S)-hydroxy{[(S)-hydroxy(phosphonooxy)phosphoryl]oxy}phosphoryl]-beta-D-erythro-pentofuranosyl}-3,7-dihydro-4H-pyrrolo[2,3-d]pyrimidin-4-one", 584 },
	{ "0L8", "", "", ResidueType::NON_POLYMER, false, "2'-bromo-6'-(furan-3-yl)-4'-(hydroxymethyl)biphenyl-4-ol", 585 },
	{ "0L9", "", "", ResidueType::NON_POLYMER, false, "(2S)-[6-bromo-4-(4-chlorophenyl)-2-methylquinolin-3-yl](methoxy)ethanoic acid", 586 },
	{ "0LA", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(6-chloro-9H-carbazol-2-yl)propanoic acid", 587 },
	{ "0LB", "", "", ResidueType::NON_POLYMER, false, "(1R,2R)-N-(1-cyanocyclopropyl)-2-{[4-(4-fluorophenyl)piperazin-1-yl]carbonyl}cyclohexanecarboxamide", 588 },
	{ "0LC", "", "", ResidueType::NON_POLYMER, false, "(1R,2R)-N-(1-cyanocyclopropyl)-2-[(8-fluoro-1,3,4,5-tetrahydro-2H-pyrido[4,3-b]indol-2-yl)carbonyl]cyclohexanecarboxamide", 589 },
	{ "0LD", "", "", ResidueType::NON_POLYMER, false, "(5-hydroxy-4-{[(7-hydroxy-6-oxo-2-phenyl-6,7-dihydro-2H-pyrazolo[3,4-b]pyridin-5-yl)amino]methyl}-6-methylpyridin-3-yl)methyl dihydrogen phosphate", 590 },
	{ "0LF", "", "", ResidueType::PEPTIDE_LINKING, false, "(4R)-4-(4-phenylbutoxy)-L-proline", 591 },
	{ "0LG", "", "", ResidueType::NON_POLYMER, false, "N-[(4S,8E,11S)-4-[(1R)-1-hydroxy-2-{[3-(propan-2-yl)benzyl]amino}ethyl]-2,13-dioxo-11-phenyl-6-oxa-3,12-diazabicyclo[12.3.1]octadeca-1(18),8,14,16-tetraen-16-yl]-N-methylmethanesulfonamide", 592 },
	{ "0LH", "", "", ResidueType::NON_POLYMER, false, "2-(1H-indol-1-yl)ethanamine", 593 },
	{ "0LI", "", "", ResidueType::NON_POLYMER, false, "3-(imidazo[1,2-b]pyridazin-3-ylethynyl)-4-methyl-N-{4-[(4-methylpiperazin-1-yl)methyl]-3-(trifluoromethyl)phenyl}benzamide", 594 },
	{ "0LJ", "", "", ResidueType::NON_POLYMER, false, "N-[(1R,2R)-2-carbamimidamido-2,3-dihydro-1H-inden-1-yl]-N'-(4-chloro-3-fluorophenyl)ethanediamide", 595 },
	{ "0LK", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2S)-2-carbamimidamido-2,3-dihydro-1H-inden-1-yl]-N'-(4-chloro-3-fluorophenyl)ethanediamide", 596 },
	{ "0LL", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2S)-2-amino-2,3-dihydro-1H-inden-1-yl]-N'-(4-chloro-3-fluorophenyl)ethanediamide", 597 },
	{ "0LM", "", "", ResidueType::NON_POLYMER, false, "N-(4-chloro-3-fluorophenyl)-N'-(1,2,2,6,6-pentamethylpiperidin-4-yl)ethanediamide", 598 },
	{ "0LN", "", "", ResidueType::NON_POLYMER, false, "13-cyclohexyl-3-methoxy-17,22-dimethyl-7H-10,6-(methanoiminothioiminobutanoiminomethano)indolo[2,1-a][2]benzazepine-14,23-dione 16,16-dioxide", 599 },
	{ "0LO", "", "", ResidueType::NON_POLYMER, false, "5-phenylpyridine-3-carboxylic acid", 600 },
	{ "0LP", "", "", ResidueType::NON_POLYMER, false, "5-(acetylamino)-2,6-anhydro-3,5-dideoxy-3-[(2E)-3-phenylprop-2-en-1-yl]-D-glycero-L-altro-non-2-enonic acid", 601 },
	{ "0LQ", "", "", ResidueType::NON_POLYMER, false, "(4aS,7aS)-1,4-bis(diphenylmethyl)hexahydro-1H-pyrrolo[3,4-b]pyrazine-2,3-dione", 602 },
	{ "0LR", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-3-(naphthalen-2-ylmethoxy)-4-phenylpiperidine", 603 },
	{ "0LS", "", "", ResidueType::NON_POLYMER, false, "N-{[(3S,4S)-4-benzylpyrrolidin-3-yl]methyl}-4-chloro-N-phenylaniline", 604 },
	{ "0LT", "", "", ResidueType::NON_POLYMER, false, "N-{[(3S,4S)-4-benzylpyrrolidin-3-yl]methyl}-4-methoxy-3-(3-methoxypropoxy)-N-(propan-2-yl)benzamide", 605 },
	{ "0LU", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-(pyrrolidin-1-yl)-3-(9H-thioxanthen-9-yl)propan-2-ol", 606 },
	{ "0LV", "", "", ResidueType::NON_POLYMER, false, "(2,2-dimethyl-2,3-dihydro-1-benzofuran-7-yl)methanol", 607 },
	{ "0LW", "", "", ResidueType::NON_POLYMER, false, "(2R)-1-(pyrrolidin-1-yl)-3-(9H-thioxanthen-9-yl)propan-2-ol", 608 },
	{ "0LX", "", "", ResidueType::NON_POLYMER, false, "(2S)-6-[(4-fluorobenzyl)amino]-2-[(2R)-2-(4-fluorophenyl)-2-methoxyethyl]-N-hydroxyhexanamide", 609 },
	{ "0LY", "", "", ResidueType::NON_POLYMER, false, "N-(4-bromophenyl)-N'-(2,2,6,6-tetramethylpiperidin-4-yl)ethanediamide", 610 },
	{ "0LZ", "", "", ResidueType::NON_POLYMER, false, "N-(4-chloro-3-fluorophenyl)-N'-[(1S)-1,2,3,4-tetrahydroisoquinolin-1-ylmethyl]ethanediamide", 611 },
	{ "0M1", "", "", ResidueType::NON_POLYMER, false, "N-{[(4S,5S)-5-(aminomethyl)-2,2-dimethyl-1,3-dioxolan-4-yl]methyl}-N'-(4-chloro-3-fluorophenyl)ethanediamide", 612 },
	{ "0M2", "", "", ResidueType::NON_POLYMER, false, "(2R)-1-(3,8-dihydrodibenzo[b,f]pyrrolo[3,4-d]azepin-2(1H)-yl)propan-2-ol", 613 },
	{ "0M3", "", "", ResidueType::NON_POLYMER, false, "(3S,5R)-N-(2,2-diphenylethyl)-5-{[(4-methylphenyl)sulfonyl]amino}piperidine-3-carboxamide", 614 },
	{ "0M4", "", "", ResidueType::NON_POLYMER, false, "N-(4-chloro-3-fluorophenyl)-N'-[(3aS,6aS)-hexahydrocyclopenta[c]pyrrol-3a(1H)-ylmethyl]ethanediamide", 615 },
	{ "0M5", "", "", ResidueType::NON_POLYMER, false, "N-(4-chloro-3-fluorophenyl)-N'-{[(3R)-1-cyclopropylpyrrolidin-3-yl]methyl}ethanediamide", 616 },
	{ "0M6", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-1,4-dihydroxybutan-2-yl]-N~2~-(phenylcarbamothioyl)-L-leucinamide", 617 },
	{ "0M7", "", "", ResidueType::NON_POLYMER, false, "[2-(pentylamino)ethane-1,1-diyl]bis(phosphonic acid)", 618 },
	{ "0M8", "", "", ResidueType::NON_POLYMER, false, "[2-(heptylamino)ethane-1,1-diyl]bis(phosphonic acid)", 619 },
	{ "0M9", "", "", ResidueType::NON_POLYMER, false, "[2-(propylamino)ethane-1,1-diyl]bis(phosphonic acid)", 620 },
	{ "0MA", "", "", ResidueType::NON_POLYMER, false, "maslinic acid", 621 },
	{ "0MB", "", "", ResidueType::NON_POLYMER, false, "1-(3-PHENYL-1,2,4-THIADIAZOL-5-YL)-1,4-DIAZEPANE", 622 },
	{ "0MC", "", "", ResidueType::NON_POLYMER, false, "{3-[(1R)-3-(3,4-dimethoxyphenyl)-1-({[(2S)-1-{[(1S,2R)-2-ethyl-1-hydroxycyclohexyl](oxo)acetyl}piperidin-2-yl]carbonyl}oxy)propyl]phenoxy}acetic acid", 623 },
	{ "0MD", "", "", ResidueType::NON_POLYMER, false, "{3-[(1R)-3-(3,4-dimethoxyphenyl)-1-({[(2S)-1-{[(1R,2S)-2-ethyl-1-hydroxycyclohexyl](oxo)acetyl}piperidin-2-yl]carbonyl}oxy)propyl]phenoxy}acetic acid", 624 },
	{ "0ME", "", "", ResidueType::NON_POLYMER, false, "(3S)-N-(9H-xanthen-9-ylmethyl)piperidine-3-carboxamide", 625 },
	{ "0MF", "", "", ResidueType::NON_POLYMER, false, "N-[4-chloranyl-5-[4-[[3-(2-methoxyphenyl)-5-methyl-1,2-oxazol-4-yl]carbonyl]piperazin-1-yl]-2-nitro-phenyl]furan-2-carboxamide", 626 },
	{ "0MG", "", "", ResidueType::PEPTIDE_LIKE, false, "amino{[(4S)-4-amino-5-carboxy-5-oxopentyl]amino}methaniminium", 627 },
	{ "0MH", "", "", ResidueType::NON_POLYMER, false, "N-[4-chloranyl-5-[4-[[3-(2-methoxyphenyl)-5-methyl-1,2-oxazol-4-yl]carbonyl]piperazin-1-yl]-2-nitro-phenyl]thiophene-2-carboxamide", 628 },
	{ "0MJ", "", "", ResidueType::NON_POLYMER, false, "(3S,5R)-5-{[(4-methylphenyl)sulfonyl]amino}-N-(9H-xanthen-9-ylmethyl)piperidine-3-carboxamide", 629 },
	{ "0MK", "", "", ResidueType::SACCHARIDE, false, "L-ribopyranose", 630 },
	{ "0ML", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S,3S)-3-amino-2-hydroxy-N-(4-iodobenzyl)butanamide", 631 },
	{ "0MM", "", "", ResidueType::NON_POLYMER, false, "[4-(2-chloro-4-nitrophenyl)piperazin-1-yl][3-(2-chloropyridin-3-yl)-5-methyl-1,2-oxazol-4-yl]methanone", 632 },
	{ "0MN", "", "", ResidueType::NON_POLYMER, false, "N-[4-(1,3-benzothiazol-2-yl)phenyl]-2-(3-methoxyphenoxy)acetamide", 633 },
	{ "0MO", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-(3-butoxy-4-methoxybenzyl)imidazolidin-2-one", 634 },
	{ "0MP", "", "", ResidueType::NON_POLYMER, false, "N-((2S,3R)-1-(4-fluorophenyl)-3-hydroxy-4-((6'-neopentyl-3',4'-dihydrospiro[cyclobutane-1,2'-pyrano[2,3-b]pyridin]-4'-yl)amino)butan-2-yl)acetamide", 635 },
	{ "0MQ", "", "", ResidueType::NON_POLYMER, false, "[2-(cyclohexylamino)ethane-1,1-diyl]bisphosphonic acid", 636 },
	{ "0MR", "", "", ResidueType::NON_POLYMER, false, "N-[4-chloranyl-5-[4-[[3-(2-methoxyphenyl)-5-methyl-1,2-oxazol-4-yl]carbonyl]piperazin-1-yl]-2-nitro-phenyl]pyridine-2-carboxamide", 637 },
	{ "0MS", "", "", ResidueType::NON_POLYMER, false, "[4-(5-bromanyl-3-methyl-pyridin-2-yl)piperazin-1-yl]-[3-(2-chlorophenyl)-5-methyl-1,2-oxazol-4-yl]methanone", 638 },
	{ "0MT", "", "", ResidueType::NON_POLYMER, false, "4-[(4R)-4-(4-nitrophenyl)-6-oxidanylidene-3-phenyl-1,4-dihydropyrrolo[3,4-c]pyrazol-5-yl]benzoic acid", 639 },
	{ "0MU", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-5-(acetyloxymethyl)-2-[(1R)-1-[[(5R)-5-azanyl-6-oxidanyl-6-oxidanylidene-hexanoyl]amino]-2-oxidanylidene-ethyl]-5,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 640 },
	{ "0MV", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-(1H-indol-3-ylmethyl)-3,4-dihydro-1H-1,4-benzodiazepine-2,5-dione", 641 },
	{ "0MW", "", "", ResidueType::NON_POLYMER, false, "[2-(hexylamino)ethane-1,1-diyl]bis(phosphonic acid)", 642 },
	{ "0MX", "", "", ResidueType::NON_POLYMER, false, "N-[5-(4-{[(3-chlorophenyl)sulfonyl]amino}phenyl)-1H-indazol-3-yl]furan-2-carboxamide", 643 },
	{ "0MY", "", "", ResidueType::NON_POLYMER, false, "N-[4-(3-amino-1H-indazol-5-yl)phenyl]-3-chlorobenzenesulfonamide", 644 },
	{ "0MZ", "", "", ResidueType::NON_POLYMER, false, "2-{(2Z,5S)-4-hydroxy-2-[(2E)-(2-hydroxybenzylidene)hydrazinylidene]-2,5-dihydro-1,3-thiazol-5-yl}-N-[3-(trifluoromethyl)phenyl]acetamide", 645 },
	{ "0N0", "", "", ResidueType::NON_POLYMER, false, "(3S,5R)-N-{[9-(4-methoxybutyl)-9H-xanthen-9-yl]methyl}-5-{[(4-methylphenyl)sulfonyl]amino}piperidine-3-carboxamide", 646 },
	{ "0N1", "", "", ResidueType::NON_POLYMER, false, "(4S,8E,11R)-4-[(1R)-1-hydroxy-2-{[3-(propan-2-yl)benzyl]amino}ethyl]-16-methyl-11-phenyl-6-oxa-3,12-diazabicyclo[12.3.1]octadeca-1(18),8,14,16-tetraene-2,13-dione", 647 },
	{ "0N2", "", "", ResidueType::NON_POLYMER, false, "(2R,4S,5R,6R)-4-amino-5-hydroxy-6-methyltetrahydro-2H-pyran-2-yl [(2R,3S,5R)-3-hydroxy-5-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)tetrahydrofuran-2-yl]methyl dihydrogen diphosphate", 648 },
	{ "0N3", "", "", ResidueType::NON_POLYMER, false, "3-({[(dihydroxyboranyl)methyl]sulfamoyl}methyl)benzoic acid", 649 },
	{ "0N4", "", "", ResidueType::NON_POLYMER, false, "[({[4-(1H-tetrazol-5-yl)phenyl]sulfonyl}amino)methyl]boronic acid", 650 },
	{ "0N5", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(7-hydroxy-6-methoxyquinazolin-4-yl)amino]phenyl}benzamide", 651 },
	{ "0N6", "", "", ResidueType::NON_POLYMER, false, "(R)-(3-(3-cyanophenyl)-1-oxo-1-(pyrrolidin-1-yl)propan-2-yl)-1,2,3,4-tetrahydroisoquinoline-6-sulfonamide", 652 },
	{ "0N7", "", "", ResidueType::NON_POLYMER, false, "2-hydroxyisoquinoline-1,3(2H,4H)-dione", 653 },
	{ "0N8", "", "", ResidueType::NON_POLYMER, false, "(2Z)-4-[1-benzyl-4-(4-chlorobenzyl)piperidin-4-yl]-2-hydroxy-4-oxobut-2-enoic acid", 654 },
	{ "0N9", "", "", ResidueType::NON_POLYMER, false, "5-hydroxy-2-(1-methyl-1H-imidazol-4-yl)-6-oxo-1,6-dihydropyrimidine-4-carboxylic acid", 655 },
	{ "0NA", "", "", ResidueType::NON_POLYMER, false, "[({[6-(1H-tetrazol-5-yl)pyridin-3-yl]sulfonyl}amino)methyl]boronic acid", 656 },
	{ "0NB", "", "", ResidueType::NON_POLYMER, false, "[({[3-chloro-4-(1H-tetrazol-5-yl)phenyl]sulfonyl}amino)methyl]boronic acid", 657 },
	{ "0NC", "", "", ResidueType::PEPTIDE_AMINO_TERMINUS, false, "N-methyl-L-alaninamide", 658 },
	{ "0ND", "", "", ResidueType::NON_POLYMER, false, "[({[2-chloro-4-(1H-tetrazol-5-yl)phenyl]sulfonyl}amino)methyl]boronic acid", 659 },
	{ "0NE", "", "", ResidueType::NON_POLYMER, false, "[({[4-(1H-tetrazol-5-yl)-2-(trifluoromethyl)phenyl]sulfonyl}amino)methyl]boronic acid", 660 },
	{ "0NF", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-[3-(2-aminopropan-2-yl)-5-(trifluoromethyl)phenyl]-7-[(7-oxo-5,6,7,8-tetrahydro-1,8-naphthyridin-4-yl)oxy]-1,2,3,4-tetrahydronaphthalene-2-carboxamide", 661 },
	{ "0NG", "", "", ResidueType::NON_POLYMER, false, "({[(chloromethyl)sulfonyl]amino}methyl)boronic acid", 662 },
	{ "0NH", "", "", ResidueType::NON_POLYMER, false, "1-[4-methyl-1-(methylsulfonyl)piperidin-4-yl]-1,6-dihydroimidazo[4,5-d]pyrrolo[2,3-b]pyridine", 663 },
	{ "0NJ", "", "", ResidueType::NON_POLYMER, false, "2-(2-fluorophenyl)-6-methoxy-1,3-benzothiazole", 664 },
	{ "0NK", "", "", ResidueType::NON_POLYMER, false, "6,7,8-trimethoxy-N-(pentan-3-yl)quinazolin-4-amine", 665 },
	{ "0NL", "", "", ResidueType::NON_POLYMER, false, "tert-butyl [(1R,3R)-3-(imidazo[4,5-d]pyrrolo[2,3-b]pyridin-1(6H)-yl)cyclopentyl]carbamate", 666 },
	{ "0NM", "", "", ResidueType::NON_POLYMER, false, "cyanic acid", 667 },
	{ "0NN", "", "", ResidueType::NON_POLYMER, false, "1-benzyl-N-[3-(1'H,3H-spiro[2-benzofuran-1,4'-piperidin]-1'-yl)propyl]-D-prolinamide", 668 },
	{ "0NP", "", "", ResidueType::NON_POLYMER, false, "2',3'-dideoxy-2'-fluoro-3'-triaza-1,2-dien-2-ium-1-yluridine", 669 },
	{ "0NQ", "", "", ResidueType::NON_POLYMER, false, "N-{(1S)-3-[(5S)-5-tert-butyl-1-(3,3-dimethylbutyl)-4-hydroxy-2-oxo-2,5-dihydro-1H-pyrrol-3-yl]-1-ethoxy-1-oxido-1,4-dihydro-2,4,1-benzodiazaphosphinin-7-yl}methanesulfonamide", 670 },
	{ "0NR", "", "", ResidueType::NON_POLYMER, false, "methyl 3-(4-{[(1R,2S,3S,5S,7s)-5-aminotricyclo[3.3.1.1~3,7~]dec-2-yl]carbamoyl}benzyl)-4-oxo-1-phenyl-1,4-dihydro-1,8-naphthyridine-2-carboxylate", 671 },
	{ "0NS", "", "", ResidueType::NON_POLYMER, false, "2-methoxy-N-(3-methyl-2-oxo-1,2,3,4-tetrahydroquinazolin-6-yl)benzenesulfonamide", 672 },
	{ "0NT", "", "", ResidueType::NON_POLYMER, false, "[4-(imidazo[4,5-d]pyrrolo[2,3-b]pyridin-1(6H)-yl)piperidin-1-yl][(2S)-1-(propan-2-yl)pyrrolidin-2-yl]methanone", 673 },
	{ "0NU", "", "", ResidueType::NON_POLYMER, false, "3-[(3R)-3-(imidazo[4,5-d]pyrrolo[2,3-b]pyridin-1(6H)-yl)piperidin-1-yl]-3-oxopropanenitrile", 674 },
	{ "0NV", "", "", ResidueType::NON_POLYMER, false, "1-(1-benzylpiperidin-4-yl)-1,6-dihydroimidazo[4,5-d]pyrrolo[2,3-b]pyridine", 675 },
	{ "0NW", "", "", ResidueType::NON_POLYMER, false, "3-[(2S)-3-[4-(2-aminoethyl)piperidin-1-yl]-2-{[(2',4'-dichlorobiphenyl-3-yl)sulfonyl]amino}-3-oxopropyl]benzenecarboximidamide", 676 },
	{ "0NX", "", "", ResidueType::NON_POLYMER, false, "(5-phenyl-1,2-oxazol-3-yl)methanol", 677 },
	{ "0NY", "", "", ResidueType::NON_POLYMER, false, "7,8-dimethoxy-N-[(2S)-1-(3-methyl-1H-pyrazol-5-yl)propan-2-yl]quinazolin-4-amine", 678 },
	{ "0NZ", "", "", ResidueType::SACCHARIDE, false, "2-deoxy-6-O-phosphono-beta-D-arabino-hexopyranose", 679 },
	{ "0O1", "", "", ResidueType::NON_POLYMER, false, "6-amino-4-{2-[(cyclopentylmethyl)amino]ethyl}-2-[(2-phenylethyl)amino]-3,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 680 },
	{ "0O2", "", "", ResidueType::NON_POLYMER, false, "", 681 },
	{ "0O3", "", "", ResidueType::NON_POLYMER, false, "3-(hydroxymethyl)but-3-en-1-yl trihydrogen diphosphate", 682 },
	{ "0O4", "", "", ResidueType::NON_POLYMER, false, "4-(isoquinolin-1-yl)-N-[2-(morpholin-4-yl)ethyl]benzamide", 683 },
	{ "0O5", "", "", ResidueType::NON_POLYMER, false, "4-(3-methylisoquinolin-1-yl)-N-[2-(morpholin-4-yl)ethyl]benzamide", 684 },
	{ "0O6", "", "", ResidueType::NON_POLYMER, false, "", 685 },
	{ "0O7", "", "", ResidueType::NON_POLYMER, false, "8-(4-ethylphenyl)-5-methyl-2,5-dihydropyrazolo[4,3-c][2,1]benzothiazine 4,4-dioxide", 686 },
	{ "0O8", "", "", ResidueType::NON_POLYMER, false, "(1,1-dimethylpiperidin-1-ium-4-yl) octadecyl hydrogen phosphate", 687 },
	{ "0O9", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-methoxy-3-(octadecyloxy)propyl (1R,2R,3R,4S,6S)-2,3,4-trihydroxy-6-(2-methylpropoxy)cyclohexyl hydrogen (S)-phosphate", 688 },
	{ "0OA", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3R,4S,6S)-6-(cyclohexylmethoxy)-2,3,4-trihydroxycyclohexyl (2R)-2-methoxy-3-(octadecyloxy)propyl hydrogen (S)-phosphate", 689 },
	{ "0OB", "", "", ResidueType::NON_POLYMER, false, "3-(1-benzothiophen-2-yl)propanoic acid", 690 },
	{ "0OC", "", "", ResidueType::NON_POLYMER, false, "N,N-dimethylthiophene-3-sulfonamide", 691 },
	{ "0OD", "", "", ResidueType::NON_POLYMER, false, "trichloro{(1,2,3,4,5-eta)-1,2,3,4-tetramethyl-5-[2-({5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoyl}amino)ethyl]cyclopentadienyl}rhodium(1+)", 692 },
	{ "0OE", "", "", ResidueType::NON_POLYMER, false, "4-{2-[5-(3-chlorophenyl)-1H-pyrazol-4-yl]-1-[3-(1H-imidazol-1-yl)propyl]-1H-benzimidazol-5-yl}benzoic acid", 693 },
	{ "0OF", "", "", ResidueType::NON_POLYMER, false, "(3S)-1-ethyl-3-[3-hydroxy-5-(pyridin-3-yl)phenyl]-5-phenyl-7-(trifluoromethyl)-1H-1,5-benzodiazepine-2,4(3H,5H)-dione", 694 },
	{ "0OG", "", "", ResidueType::NON_POLYMER, false, "3-{5-[3-ethyl-5-(5-methylfuran-2-yl)-1H-pyrazol-1-yl]-1-[(6-oxo-1,6-dihydropyridin-3-yl)methyl]-1H-benzimidazol-2-yl}-4-hydroxybenzoic acid", 695 },
	{ "0OH", "", "", ResidueType::NON_POLYMER, false, "", 696 },
	{ "0OJ", "", "", ResidueType::NON_POLYMER, false, "", 697 },
	{ "0OK", "", "", ResidueType::NON_POLYMER, false, "3-phenylquinazolin-4(3H)-one", 698 },
	{ "0OL", "", "", ResidueType::NON_POLYMER, false, "phenyl(piperidin-1-yl)methanone", 699 },
	{ "0OM", "", "", ResidueType::NON_POLYMER, false, "benzyl pyridine-3-carboxylate", 700 },
	{ "0ON", "", "", ResidueType::NON_POLYMER, false, "N-phenylpyridine-3-carboxamide", 701 },
	{ "0OO", "", "", ResidueType::NON_POLYMER, false, "(3-phenoxyphenyl)methanol", 702 },
	{ "0OP", "", "", ResidueType::NON_POLYMER, false, "[3-(benzyloxy)phenyl]methanol", 703 },
	{ "0OQ", "", "", ResidueType::NON_POLYMER, false, "(1R,5S)-3-[4-(trifluoromethyl)benzoyl]-1,2,3,4,5,6-hexahydro-8H-1,5-methanopyrido[1,2-a][1,5]diazocin-8-one", 704 },
	{ "0OR", "", "", ResidueType::NON_POLYMER, false, "N~3~-[(2R)-2-hydroxy-4-{[(S)-hydroxy(phosphonooxy)phosphoryl]oxy}-3,3-dimethylbutanoyl]-beta-alaninamide", 705 },
	{ "0OS", "", "", ResidueType::NON_POLYMER, false, "{3-[(1S)-1-[({(2S)-1-[(3,5-dichlorophenyl)sulfonyl]piperidin-2-yl}carbonyl)oxy]-3-(3,4-dimethoxyphenyl)propyl]phenoxy}acetic acid", 706 },
	{ "0OT", "", "", ResidueType::NON_POLYMER, false, "2-({3-[(3,5-dibromo-2-ethoxybenzyl)amino]propyl}amino)quinolin-4(1H)-one", 707 },
	{ "0OU", "", "", ResidueType::NON_POLYMER, false, "2-({3-[(3,5-dichlorobenzyl)amino]propyl}amino)quinolin-4(1H)-one", 708 },
	{ "0OV", "", "", ResidueType::NON_POLYMER, false, "[4-amino-2-{[(1S,2R)-2-methylcyclohexyl]oxy}-5-oxopyrido[2,3-d]pyrimidin-8(5H)-yl]acetonitrile", 709 },
	{ "0OW", "", "", ResidueType::NON_POLYMER, false, "4-amino-2-(cyclopentyloxy)-6-{[(1R,2S)-2-hydroxycyclopentyl]oxy}pyrimidine-5-carboxamide", 710 },
	{ "0OX", "", "", ResidueType::NON_POLYMER, false, "4-amino-2-(cyclopentyloxy)pyrimidine-5-carboxamide", 711 },
	{ "0OY", "", "", ResidueType::NON_POLYMER, false, "(4-hydroxyphenyl)(morpholin-4-yl)methanone", 712 },
	{ "0P0", "", "", ResidueType::PEPTIDE_LIKE, true, "N-[(4R)-4-ammonio-4-carboxybutanoyl]-L-cysteinylglycine", 713 },
	{ "0P1", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(benzyloxy)carbonyl]-L-alanyl-N-{(1S)-1-[(R)-[(1R)-1-benzyl-2-methoxy-2-oxoethoxy](hydroxy)phosphoryl]-3-methylbutyl}-L-alaninamide", 714 },
	{ "0P2", "", "", ResidueType::PEPTIDE_LIKE, false, "N~2~-[(benzyloxy)carbonyl]-N-[(1R,2S)-1-(dihydroxyboranyl)-2-methylbutyl]-L-alaninamide", 715 },
	{ "0P4", "", "", ResidueType::NON_POLYMER, false, "N-(1H-benzimidazol-2-yl)-N'-(3,5-dichlorobenzyl)propane-1,3-diamine", 716 },
	{ "0P5", "", "", ResidueType::NON_POLYMER, false, "4-{4-[(1H-benzimidazol-2-ylmethyl)amino]-6-(2-chloro-4-methoxyphenoxy)pyrimidin-2-yl}piperazin-2-one", 717 },
	{ "0P6", "", "", ResidueType::NON_POLYMER, false, "2-aminoquinolin-8-ol", 718 },
	{ "0P8", "", "", ResidueType::NON_POLYMER, false, "2-({3-[(3,5-dibromo-2-methoxybenzyl)amino]propyl}amino)quinolin-4(1H)-one", 719 },
	{ "0PA", "", "", ResidueType::NON_POLYMER, false, "cyclopentylacetic acid", 720 },
	{ "0PC", "", "", ResidueType::PEPTIDE_LIKE, false, "Nalpha-[(benzyloxy)carbonyl]-N-[(1S)-3-chloro-1-methyl-2-oxopropyl]-L-phenylalaninamide", 721 },
	{ "0PF", "", "", ResidueType::NON_POLYMER, false, "1-ethyl-8-(4-ethylphenyl)-5-methyl-1,5-dihydropyrazolo[4,3-c][2,1]benzothiazine 4,4-dioxide", 722 },
	{ "0PI", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2R,4S)-4-hydroxy-2-(2-methylpropyl)-4-oxido-7-oxo-9-phenyl-3,8-dioxa-6-aza-4-phosphanonan-1-oyl]-L-leucine", 723 },
	{ "0PJ", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(S)-({[(benzyloxy)carbonyl]amino}methyl)(hydroxy)phosphoryl]-L-leucyl-L-leucine", 724 },
	{ "0PK", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(S)-[(1R)-1-{[(benzyloxy)carbonyl]amino}-2-phenylethyl](hydroxy)phosphoryl]-L-leucyl-L-alanine", 725 },
	{ "0PL", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-{4-Chloro-3-[(N-methylbenzenesulfonamido) methyl]phenyl}-3-(1-methyl-1H-1,2,3-benzotriazol-5-yl)propanoic acid", 726 },
	{ "0PO", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(1R)-1-{[(1S,2S)-1-benzyl-3-{(2R,4S)-2-(tert-butylcarbamoyl)-4-[(pyridin-3-ylmethyl)sulfanyl]piperidin-1-yl}-2-hydroxypropyl]carbamoyl}-2-methylpropyl]quinoline-2-carboxamide", 727 },
	{ "0PP", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-2-tert-butyl-N~4~-(1-ethylpropyl)-N~1~-[(2R,3S)-2-hydroxy-4-phenyl-3-{[N-(quinolin-2-ylcarbonyl)-L-threonyl]amino}butyl]butanediamide", 728 },
	{ "0PQ", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{(2R)-3-[(S)-[(1R)-1-amino-2-phenylethyl](hydroxy)phosphoryl]-2-benzylpropanoyl}-L-phenylalanine", 729 },
	{ "0PX", "", "", ResidueType::PEPTIDE_LIKE, false, "N~1~-{(1S,2S,4S)-1-(cyclohexylmethyl)-4-[(2,2-dimethylpropyl)carbamoyl]-2-hydroxy-5-methylhexyl}-N~2~-(quinolin-2-ylcarbonyl)-L-aspartamide", 730 },
	{ "0PY", "", "", ResidueType::NON_POLYMER, false, "pyridine", 731 },
	{ "0PZ", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-butyloxirane", 732 },
	{ "0Q1", "", "", ResidueType::NON_POLYMER, false, "(1R)-6-(3,5-dimethyl-1,2-oxazol-4-yl)-1-phenyl-2,3-dihydro-1H-inden-1-ol", 733 },
	{ "0Q2", "", "", ResidueType::NON_POLYMER, false, "(1R,3R)-3-(2-methylimidazo[4,5-d]pyrrolo[2,3-b]pyridin-1(8H)-yl)cyclohexanol", 734 },
	{ "0Q4", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2R)-2-({N~5~-[amino(iminio)methyl]-L-ornithyl-L-valyl}amino)-4-methylpentyl]-L-phenylalanyl-L-alpha-glutamyl-L-alanyl-L-norleucinamide", 735 },
	{ "0Q5", "", "", ResidueType::NON_POLYMER, false, "4-[5-butyl-3-(hydroxymethyl)-1-phenyl-1H-pyrazol-4-yl]-3-(3,4-dihydroisoquinolin-2(1H)-ylcarbonyl)-N-{[2-(trimethylsilyl)ethyl]sulfonyl}benzamide", 736 },
	{ "0QA", "", "", ResidueType::NON_POLYMER, false, "4-[methyl(nitroso)amino]-1-(pyridin-3-yl)butan-1-one", 737 },
	{ "0QB", "", "", ResidueType::NON_POLYMER, false, "", 738 },
	{ "0QE", "", "", ResidueType::NON_POLYMER, false, "chloromethane", 739 },
	{ "0QF", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(1R)-2-{[(1R,2R,3S)-1-(cyclohexylmethyl)-2,3-dihydroxy-5-methylhexyl]amino}-1-(ethylsulfanyl)-2-oxoethyl]-Nalpha-(morpholin-4-ylsulfonyl)-D-phenylalaninamide", 740 },
	{ "0QG", "", "", ResidueType::PEPTIDE_LIKE, false, "3-methyl-L-valyl-L-prolyl-L-isoleucine", 741 },
	{ "0QH", "", "", ResidueType::PEPTIDE_LIKE, false, "(1R)-1-benzyl-1-methyl-1-(2-{[4-(1-methylethyl)phenyl]amino}-2-oxoethyl)-2-{(2S)-4-methyl-2-[(trifluoroacetyl)amino]pentanoyl}diazanium", 742 },
	{ "0QI", "", "", ResidueType::PEPTIDE_LIKE, false, "O-methyl-N-[(2S)-4-methyl-2-(sulfanylmethyl)pentanoyl]-L-tyrosine", 743 },
	{ "0QJ", "", "", ResidueType::NON_POLYMER, false, "5'-[(3-{[(4-tert-butylphenyl)carbamoyl]amino}propyl)(methyl)amino]-5'-deoxyadenosine", 744 },
	{ "0QK", "", "", ResidueType::NON_POLYMER, false, "7-{5-[(3-{[(4-tert-butylphenyl)carbamoyl]amino}propyl)(propan-2-yl)amino]-5-deoxy-beta-D-ribofuranosyl}-7H-pyrrolo[2,3-d]pyrimidin-4-amine", 745 },
	{ "0QL", "", "", ResidueType::PEPTIDE_LINKING, false, "3-[(2-aminoethyl)disulfanyl]-L-alanine", 746 },
	{ "0QN", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(trifluoroacetyl)-L-valyl-N-[4-(trifluoromethyl)phenyl]-L-alaninamide", 747 },
	{ "0QR", "", "", ResidueType::NON_POLYMER, false, "N-(6-aminopyridin-2-yl)-4-fluorobenzenesulfonamide", 748 },
	{ "0QS", "", "", ResidueType::PEPTIDE_LIKE, false, "N~2~-[(2R)-2-benzyl-3-(tert-butylsulfonyl)propanoyl]-N-{(1R)-1-(cyclohexylmethyl)-3,3-difluoro-2,2-dihydroxy-4-[(2-morpholin-4-ylethyl)amino]-4-oxobutyl}-3-(1H-imidazol-3-ium-4-yl)-L-alaninamide", 749 },
	{ "0QV", "", "", ResidueType::NON_POLYMER, false, "(4-hydroxypiperidin-1-yl)(1H-indol-3-yl)methanethione", 750 },
	{ "0QW", "", "", ResidueType::NON_POLYMER, false, "(2-hydroxyphenyl)(pyrrolidin-1-yl)methanethione", 751 },
	{ "0QX", "", "", ResidueType::NON_POLYMER, false, "2-(1H-indol-3-ylmethyl)-1H-imidazo[4,5-c]pyridine", 752 },
	{ "0QY", "", "", ResidueType::NON_POLYMER, false, "N-[2-(1H-indol-3-ylmethyl)-1H-benzimidazol-5-yl]-L-prolinamide", 753 },
	{ "0QZ", "", "", ResidueType::PEPTIDE_LINKING, false, "D-Isoserine", 754 },
	{ "0R0", "", "", ResidueType::NON_POLYMER, false, "2-hydroxybenzonitrile", 755 },
	{ "0R1", "", "", ResidueType::NON_POLYMER, false, "1,2-benzisoxazole", 756 },
	{ "0R2", "", "", ResidueType::NON_POLYMER, false, "[(3R,5R,6S)-1-[(2S)-1-tert-butoxy-1-oxobutan-2-yl]-5-(3-chlorophenyl)-6-(4-chlorophenyl)-2-oxopiperidin-3-yl]acetic acid", 757 },
	{ "0R3", "", "", ResidueType::NON_POLYMER, false, "{(3R,5R,6S)-5-(3-chlorophenyl)-6-(4-chlorophenyl)-1-[(2S,3S)-2-hydroxypentan-3-yl]-3-methyl-2-oxopiperidin-3-yl}acetic acid", 758 },
	{ "0R4", "", "", ResidueType::NON_POLYMER, false, "N-(4-{5-[3-(acetylamino)phenyl]-2-(2-aminopyridin-3-yl)-3H-imidazo[4,5-b]pyridin-3-yl}benzyl)-3-fluorobenzamide", 759 },
	{ "0R5", "", "", ResidueType::NON_POLYMER, false, "", 760 },
	{ "0R6", "", "", ResidueType::NON_POLYMER, false, "", 761 },
	{ "0R7", "", "", ResidueType::NON_POLYMER, false, "[[(2S,5R)-5-[4-azanyl-5-[2-(4-ethynylphenyl)ethynyl]-2-oxidanylidene-pyrimidin-1-yl]oxolan-2-yl]methoxy-oxidanyl-phosphoryl] phosphono hydrogen phosphate", 762 },
	{ "0R8", "", "", ResidueType::DNA_LINKING, false, "[(2S,5R)-5-{4-amino-5-[(4-ethynylphenyl)ethynyl]-2-oxopyrimidin-1(2H)-yl}tetrahydrofuran-2-yl]methyl dihydrogen phosphate", 763 },
	{ "0R9", "", "", ResidueType::NON_POLYMER, false, "5-{2-(ethylcarbamoyl)-4-[3-(trifluoromethyl)-1H-pyrazol-1-yl]-1H-pyrrolo[2,3-b]pyridin-5-yl}pyridine-3-carboxylic acid", 764 },
	{ "0RA", "", "", ResidueType::NON_POLYMER, false, "3-[3-(1H-pyrrolo[2,3-b]pyridin-5-yl)phenyl]propanoic acid", 765 },
	{ "0RB", "", "", ResidueType::NON_POLYMER, false, "2-amino-4-oxo-N-(1H-1,2,3-triazol-5-ylmethyl)-1,4-dihydropteridine-7-carboxamide", 766 },
	{ "0RD", "", "", ResidueType::NON_POLYMER, false, "4-[({1-[(5-chloro-2-methoxyphenyl)sulfonyl]-4-methyl-2,3-dihydro-1H-indol-6-yl}carbonyl)amino]benzoic acid", 767 },
	{ "0RE", "", "", ResidueType::NON_POLYMER, false, "(2S)-hexane-1,2-diol", 768 },
	{ "0RF", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(4-chlorophenyl)-1-{4-[(5R,7R)-7-hydroxy-5-methyl-6,7-dihydro-5H-cyclopenta[d]pyrimidin-4-yl]piperazin-1-yl}-3-(propan-2-ylamino)propan-1-one", 769 },
	{ "0RJ", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(formylamino)-L-alanine", 770 },
	{ "0RK", "", "", ResidueType::NON_POLYMER, false, "2-chloro-4-[({1-[(5-chloro-2-methoxyphenyl)sulfonyl]-4-methyl-2,3-dihydro-1H-indol-6-yl}carbonyl)amino]benzoic acid", 771 },
	{ "0RM", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-2-{(R)-carboxy[(2,6-dimethoxybenzoyl)amino]methyl}-5,5-dimethyl-1,3-thiazolidine-4-carboxylic acid", 772 },
	{ "0RN", "", "", ResidueType::NON_POLYMER, false, "SULBACTAM", 773 },
	{ "0RO", "", "", ResidueType::NON_POLYMER, false, "4-[4-(5,5-dimethyl-4,5-dihydro-1,3-thiazol-2-yl)piperazin-1-yl]-6-propylthieno[2,3-d]pyrimidine", 774 },
	{ "0RP", "", "", ResidueType::NON_POLYMER, false, "ethyl (2R,4S)-4-{[3,5-bis(trifluoromethyl)benzyl](methoxycarbonyl)amino}-2-ethyl-6-(trifluoromethyl)-3,4-dihydroquinoline-1(2H)-carboxylate", 775 },
	{ "0RQ", "", "", ResidueType::NON_POLYMER, false, "", 776 },
	{ "0RR", "", "", ResidueType::NON_POLYMER, false, "3-{(5Z)-5-[5-chloro-1-(2,6-dichlorobenzyl)-2-oxo-1,2-dihydro-3H-indol-3-ylidene]-4-oxo-2-thioxo-1,3-thiazolidin-3-yl}propanoic acid", 777 },
	{ "0RS", "", "", ResidueType::NON_POLYMER, false, "{5-[4-(dimethylamino)piperidin-1-yl]-1H-imidazo[4,5-b]pyridin-2-yl}[2-(isoquinolin-4-yl)pyridin-4-yl]methanone", 778 },
	{ "0RT", "", "", ResidueType::NON_POLYMER, false, "4-[4-(5,5-dimethyl-4,5-dihydro-1,3-thiazol-2-yl)piperazin-1-yl]-6-(2,2,2-trifluoroethyl)thieno[2,3-d]pyrimidine", 779 },
	{ "0RU", "", "", ResidueType::NON_POLYMER, false, "8-methyl-2-[(pyrimidin-2-ylsulfanyl)methyl]quinazolin-4(1H)-one", 780 },
	{ "0RV", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[(1S,2R)-1-carboxy-2-hydroxypropyl]-4-{[(3S,5S)-5-(dimethylcarbamoyl)pyrrolidin-3-yl]sulfanyl}-3-methyl-2H-pyrrole-5-carboxylic acid", 781 },
	{ "0RW", "", "", ResidueType::NON_POLYMER, false, "3-methyl-2H-indazole", 782 },
	{ "0RX", "", "", ResidueType::NON_POLYMER, false, "2-(morpholin-4-yl)-N-[4-(pyridin-4-yloxy)phenyl]pyridine-4-carboxamide", 783 },
	{ "0RY", "", "", ResidueType::NON_POLYMER, false, "(2Z)-4-[(3-carbamoylphenyl)amino]-4-oxobut-2-enoic acid", 784 },
	{ "0RZ", "", "", ResidueType::NON_POLYMER, false, "(2E)-4-[(3-carbamoylphenyl)amino]-4-oxobut-2-enoic acid", 785 },
	{ "0S0", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-(6-hydroxy-2-oxo-1,2-dihydropyridin-3-yl)diazenyl]benzenesulfonamide", 786 },
	{ "0S1", "", "", ResidueType::NON_POLYMER, false, "N-((1R,2S)-2-allyl-4-oxocyclobutyl)-4-methylbenzenesulfonamide, bound form", 787 },
	{ "0S2", "", "", ResidueType::NON_POLYMER, false, "5-(3,3-dimethylbut-1-yn-1-yl)-3-{[(trans-4-methylcyclohexyl)carbonyl](propan-2-yl)amino}thiophene-2-carboxylic acid", 788 },
	{ "0S3", "", "", ResidueType::NON_POLYMER, false, "5-(3,3-dimethylbut-1-yn-1-yl)-3-{2,2-dimethyl-1-[(trans-4-methylcyclohexyl)carbonyl]hydrazinyl}thiophene-2-carboxylic acid", 789 },
	{ "0S4", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-2-{4-[3-(4-{[(2R)-2-hydroxy-3,3-dimethylbutyl]oxy}-3-methylphenyl)pentan-3-yl]-2-methylphenoxy}acetamide", 790 },
	{ "0S5", "", "", ResidueType::NON_POLYMER, false, "N-benzoyl-1-[(2R)-3-cyclopentyl-2-{[formyl(hydroxy)amino]methyl}propanoyl]-L-prolinamide", 791 },
	{ "0S6", "", "", ResidueType::NON_POLYMER, false, "methyl [(6S)-4-(4-chlorophenyl)-2,3,9-trimethyl-6H-thieno[3,2-f][1,2,4]triazolo[4,3-a][1,4]diazepin-6-yl]acetate", 792 },
	{ "0S7", "", "", ResidueType::NON_POLYMER, false, "5-bromo-N~4~-(3-methyl-1H-pyrazol-5-yl)-N~2~-[2-(pyridin-3-yl)ethyl]pyrimidine-2,4-diamine", 793 },
	{ "0S8", "", "", ResidueType::NON_POLYMER, false, "5-bromo-N~4~-[3-(3-methoxypropyl)-1H-pyrazol-5-yl]-N~2~-[(3-methyl-1,2-oxazol-5-yl)methyl]pyrimidine-2,4-diamine", 794 },
	{ "0S9", "", "", ResidueType::NON_POLYMER, false, "5-bromo-N~2~-[(3-methyl-1,2-oxazol-5-yl)methyl]-N~4~-[3-(2-phenylethyl)-1H-pyrazol-5-yl]pyrimidine-2,4-diamine", 795 },
	{ "0SA", "", "", ResidueType::NON_POLYMER, false, "undecyl 4-O-alpha-D-glucopyranosyl-1-thio-beta-D-glucopyranoside", 796 },
	{ "0SB", "", "", ResidueType::NON_POLYMER, false, "N-{6-[3-(piperazin-1-yl)phenyl]pyridin-2-yl}-4-(trifluoromethyl)pyridin-2-amine", 797 },
	{ "0SC", "", "", ResidueType::NON_POLYMER, false, "2-(1-{[2-(5-fluoro-1H-indol-4-yl)-4-(morpholin-4-yl)pyrido[3,2-d]pyrimidin-6-yl]methyl}piperidin-4-yl)propan-2-ol", 798 },
	{ "0SD", "", "", ResidueType::NON_POLYMER, false, "2-(1-{[2-(2H-indazol-4-yl)-4-(morpholin-4-yl)pyrido[3,2-d]pyrimidin-6-yl]methyl}piperidin-4-yl)propan-2-ol", 799 },
	{ "0SE", "", "", ResidueType::NON_POLYMER, false, "2-(1-{[2-(2-aminopyrimidin-5-yl)-4-(morpholin-4-yl)pyrido[3,2-d]pyrimidin-6-yl]methyl}piperidin-4-yl)propan-2-ol", 800 },
	{ "0SF", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-{[4-(4-chloro-3-ethylphenoxy)pyrimidin-2-yl][3-(1,1,2,2-tetrafluoroethoxy)benzyl]amino}-1,1,1-trifluoropropan-2-ol", 801 },
	{ "0SG", "", "", ResidueType::NON_POLYMER, false, "N-{(2S,3R,4E)-1-[(3,6-di-O-sulfo-beta-D-galactopyranosyl)oxy]-3-hydroxyoctadec-4-en-2-yl}dodecanamide", 802 },
	{ "0SH", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3S,4R)-1-(alpha-D-galactopyranosyloxy)-3,4-dihydroxyoctadecan-2-yl]hexadecanamide", 803 },
	{ "0SJ", "", "", ResidueType::NON_POLYMER, false, "(1R,5S)-3-(4-chlorobenzoyl)-1,2,3,4,5,6-hexahydro-8H-1,5-methanopyrido[1,2-a][1,5]diazocin-8-one", 804 },
	{ "0SK", "", "", ResidueType::NON_POLYMER, false, "8-(hydroxyamino)-2-[(2S)-2-methyl-1,4-dioxa-8-azaspiro[4.5]dec-8-yl]-6-(trifluoromethyl)-4H-1,3-benzothiazin-4-one", 805 },
	{ "0SL", "", "", ResidueType::NON_POLYMER, false, "(3R)-1-(naphthalen-2-ylsulfonyl)piperidine-3-carboxylic acid", 806 },
	{ "0SM", "", "", ResidueType::NON_POLYMER, false, "TRIMETHYL-[2-[[(2S,3S)-2-(OCTADECANOYLAMINO)-3-OXIDANYL-BUTOXY]-OXIDANYL-PHOSPHORYL]OXYETHYL]AZANIUM", 807 },
	{ "0SN", "", "88N", ResidueType::NON_POLYMER, true, "{4-[4-({3-[(2-METHYL-1,3-BENZOTHIAZOL-6-YL)AMINO]-3-OXOPROPYL}AMINO)-4-OXOBUTYL]BENZYL}PROPANEDIOIC ACID", 808 },
	{ "0SO", "", "", ResidueType::NON_POLYMER, false, "tert-butyl [3-({[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]carbamoyl}amino)propyl]carbamate", 809 },
	{ "0SP", "", "", ResidueType::DNA_LINKING, true, "", 810 },
	{ "0SQ", "", "", ResidueType::NON_POLYMER, false, "1-[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]urea", 811 },
	{ "0SR", "", "", ResidueType::NON_POLYMER, false, "1-[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]-3-[3-(morpholin-4-yl)propyl]urea", 812 },
	{ "0SS", "", "", ResidueType::NON_POLYMER, false, "N-[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]-4-[2-({[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]carbamoyl}amino)ethyl]piperazine-1-carboxamide", 813 },
	{ "0ST", "", "", ResidueType::NON_POLYMER, false, "1-[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]-3-[2-(morpholin-4-yl)ethyl]urea", 814 },
	{ "0SU", "", "", ResidueType::NON_POLYMER, false, "1-[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]-3-(2-hydroxyethyl)urea", 815 },
	{ "0SV", "", "", ResidueType::NON_POLYMER, false, "1-[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]-3-(5-hydroxypentyl)urea", 816 },
	{ "0SW", "", "", ResidueType::NON_POLYMER, false, "N-(2-phenylethyl)quinazolin-4-amine", 817 },
	{ "0SX", "", "", ResidueType::NON_POLYMER, false, "8-chloro-2-[(2S)-pyrrolidin-2-yl][1]benzofuro[3,2-d]pyrimidin-4(3H)-one", 818 },
	{ "0SY", "", "", ResidueType::NON_POLYMER, false, "2-(pyridin-4-yl)-1,5,6,7-tetrahydro-4H-pyrrolo[3,2-c]pyridin-4-one", 819 },
	{ "0SZ", "", "", ResidueType::NON_POLYMER, false, "3-(3,4-dihydroisoquinolin-2(1H)-ylsulfonyl)benzoic acid", 820 },
	{ "0T0", "", "", ResidueType::NON_POLYMER, false, "3-(3,4-dihydroisoquinolin-2(1H)-ylsulfonyl)-N-methylbenzamide", 821 },
	{ "0T1", "", "", ResidueType::NON_POLYMER, false, "", 822 },
	{ "0T2", "", "", ResidueType::NON_POLYMER, false, "2-chloro-3-[(2-cyanopropan-2-yl)oxy]-N-{5-[{2-[(cyclopropylcarbonyl)amino][1,3]thiazolo[5,4-b]pyridin-5-yl}(methyl)amino]-2-fluorophenyl}benzamide", 823 },
	{ "0T3", "", "", ResidueType::NON_POLYMER, false, "4-[(5R)-5,6,7,8-tetrahydroimidazo[1,5-a]pyridin-5-yl]benzonitrile", 824 },
	{ "0T4", "", "", ResidueType::NON_POLYMER, false, "3-(hydroxyamino)-N-[(1R)-1-phenylethyl]-5-(trifluoromethyl)benzamide", 825 },
	{ "0T5", "", "", ResidueType::NON_POLYMER, false, "3-nitro-N-[(1R)-1-phenylethyl]-5-(trifluoromethyl)benzamide", 826 },
	{ "0T6", "", "", ResidueType::NON_POLYMER, false, "1-(2-chlorophenyl)-6,8-dimethoxy-3-methylimidazo[5,1-c][1,2,4]benzotriazine", 827 },
	{ "0T7", "", "", ResidueType::NON_POLYMER, false, "3,4-dimethyl-1-propyl-7-(quinolin-2-ylmethoxy)imidazo[1,5-a]quinoxaline", 828 },
	{ "0T8", "", "", ResidueType::NON_POLYMER, false, "4-(cyclopentylamino)-N-[3-(2-oxopyrrolidin-1-yl)propyl]-2-{[2-(pyridin-4-yl)ethyl]amino}pyrimidine-5-carboxamide", 829 },
	{ "0T9", "", "", ResidueType::NON_POLYMER, false, " (3S,8S,9S,10R,13S,14S,17R)-3-hydroxy-10,13-dimethyl-17-[(2S,6S)-6-methyl-3-oxooctan-2-yl]-1,2,3,4,7,8,9,10,11,12,13,14,15,17-tetradecahydro-16H-cyclopenta[a]phenanthren-16-one", 830 },
	{ "0TA", "", "", ResidueType::NON_POLYMER, false, "2-amino-8-cyclopentyl-4-methyl-6-(1H-pyrazol-4-yl)pyrido[2,3-d]pyrimidin-7(8H)-one", 831 },
	{ "0TB", "", "", ResidueType::NON_POLYMER, false, "2-amino-6-(5-fluoro-6-methoxypyridin-3-yl)-4-methyl-8-(pyrrolidin-1-yl)pyrido[2,3-d]pyrimidin-7(8H)-one", 832 },
	{ "0TD", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3-(methylsulfanyl)-L-aspartic acid", 833 },
	{ "0TE", "", "", ResidueType::NON_POLYMER, false, "chloro{methyl hydrogenato(3-)-kappa~2~N,S [pyridin-2-yl(pyridin-2(1H)-ylidene-kappaN)methyl]carbonodithiohydrazonate}copper", 834 },
	{ "0TF", "", "", ResidueType::NON_POLYMER, false, "N~6~-D-ornithyl-L-lysine", 835 },
	{ "0TH", "", "", ResidueType::PEPTIDE_LINKING, false, "N-(propylsulfonyl)-D-threonine", 836 },
	{ "0TI", "", "", ResidueType::NON_POLYMER, false, "(3R)-5-fluoro-3-hydroxy-1,3-dihydro-2H-indol-2-one", 837 },
	{ "0TJ", "", "", ResidueType::NON_POLYMER, false, "N-(6-oxohexyl)-2-(4,5,6,7-tetrabromo-1H-benzimidazol-1-yl)acetamide", 838 },
	{ "0TK", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,5-diaminopentanoyl dihydrogen phosphate", 839 },
	{ "0TM", "", "", ResidueType::NON_POLYMER, false, "2-{[4-(2-chloro-4,5-dimethoxyphenyl)-5-cyano-7H-pyrrolo[2,3-d]pyrimidin-2-yl]sulfanyl}-N,N-dimethylacetamide", 840 },
	{ "0TN", "", "", ResidueType::NON_POLYMER, false, "Delta-Ru(phen)2(dppz) complex", 841 },
	{ "0TO", "", "", ResidueType::NON_POLYMER, false, "N-(3-chlorophenyl)-6,7-dimethoxyquinazolin-4-amine", 842 },
	{ "0TP", "", "", ResidueType::NON_POLYMER, false, "4-amino-N-methyl-2-[4-(morpholin-4-yl)phenyl]thieno[3,2-c]pyridine-7-carboxamide", 843 },
	{ "0TQ", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-yl {(2S,3R)-3-hydroxy-4-[({(3Z)-3-[1-(methylamino)ethylidene]-2-oxo-2,3-dihydro-1H-indol-5-yl}sulfonyl)(2-methylpropyl)amino]-1-phenylbutan-2-yl}carbamate", 844 },
	{ "0TR", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXYCYCLOHEPTA-2,4,6-TRIEN-1-ONE", 845 },
	{ "0TS", "", "", ResidueType::SACCHARIDE_LINKING, false, "beta-D-glucopyranosyl-(1->4)-4-thio-beta-D-glucopyranosyl-(1->4)-beta-D-glucopyranosyl-(1->4)-4-thio-beta-D-glucopyranosyl-(1->4)-1-thio-beta-D-glucopyranose", 846 },
	{ "0TT", "", "", ResidueType::NON_POLYMER, false, "1-[(2R,4S,5R)-5-(hydroxymethyl)-4-oxidanyl-oxolan-2-yl]-5-[[(5R)-1-[(2R,4S,5R)-5-(hydroxymethyl)-4-oxidanyl-oxolan-2-yl]-5-methyl-2,4-bis(oxidanylidene)-1,3-diazinan-5-yl]methyl]pyrimidine-2,4-dione", 847 },
	{ "0TU", "", "", ResidueType::NON_POLYMER, false, "6-chloroquinolin-2(1H)-one", 848 },
	{ "0TX", "", "", ResidueType::NON_POLYMER, false, "(4S)-N~4~-(7-chloroquinolin-4-yl)-N~1~,N~1~-diethylpentane-1,4-diamine", 849 },
	{ "0TZ", "", "", ResidueType::NON_POLYMER, false, "3-(4-amino-6-methyl-1,3,5-triazin-2-yl)-N-(1H-pyrazol-5-yl)imidazo[1,2-a]pyridin-2-amine", 850 },
	{ "0U", "", "", ResidueType::RNA_LINKING, false, "L-URIDINE-5'-MONOPHOSPHATE", 851 },
	{ "0U0", "", "", ResidueType::NON_POLYMER, false, "3-[2-methyl-6-(pyrazin-2-ylamino)pyrimidin-4-yl]-N-(1H-pyrazol-3-yl)imidazo[1,2-b]pyridazin-2-amine", 852 },
	{ "0U1", "", "", ResidueType::RNA_LINKING, false, "2'-METHYLSELENYL-2'-DEOXY-L-URIDINE-5'-MONOPHOSPHATE", 853 },
	{ "0U3", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-2-{4-[3-(4-{[(2S)-2-hydroxy-3,3-dimethylbutyl]oxy}-3-methylphenyl)pentan-3-yl]-2-methylphenoxy}acetamide", 854 },
	{ "0U4", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3R)-4-{[2-(1-benzylpiperidin-4-yl)ethyl]amino}-3-hydroxy-1-phenylbutan-2-yl]-5-[methyl(methylsulfonyl)amino]-N'-[(1R)-1-phenylethyl]benzene-1,3-dicarboxamide", 855 },
	{ "0U5", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-{5-[(2,4-diamino-6-propylpyrimidin-5-yl)methyl]-2,3-dimethoxyphenyl}-1-[(1S)-1-(2-methylprop-1-en-1-yl)phthalazin-2(1H)-yl]prop-2-en-1-one", 856 },
	{ "0U6", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-{5-[(2,4-diamino-6-ethylpyrimidin-5-yl)methyl]-2,3-dimethoxyphenyl}-1-[(1S)-1-(2-methylprop-1-en-1-yl)phthalazin-2(1H)-yl]prop-2-en-1-one", 857 },
	{ "0U7", "", "", ResidueType::NON_POLYMER, false, "3-[5-(3,5-dichlorophenyl)-1,3,4-oxadiazol-2-yl]benzenesulfonyl fluoride", 858 },
	{ "0U8", "", "", ResidueType::NON_POLYMER, false, "(1R,4R,5S,6S,7R,10R,11S,12S)-1,7-bis(hydroxymethyl)-2,8,13,14-tetraoxatricyclo[8.2.1.1~4,7~]tetradecane-5,6,11,12-tetrol", 859 },
	{ "0U9", "", "", ResidueType::NON_POLYMER, false, "S-bicalutamide", 860 },
	{ "0UA", "", "", ResidueType::NON_POLYMER, false, "3-[5-(3,5-dichloro-4-hydroxyphenyl)-1,3,4-oxadiazol-2-yl]benzenesulfonyl fluoride", 861 },
	{ "0UB", "", "", ResidueType::NON_POLYMER, false, "beta-D-fructofuranosyl-(2->6)-beta-D-fructofuranosyl-(2->6)-beta-D-fructofuranose", 862 },
	{ "0UC", "", "", ResidueType::NON_POLYMER, false, "4-bromo-3-[5-(3,5-dichloro-4-hydroxyphenyl)-1,3,4-oxadiazol-2-yl]benzenesulfonyl fluoride", 863 },
	{ "0UE", "", "", ResidueType::NON_POLYMER, false, "Ferrioxamine B", 864 },
	{ "0UF", "", "", ResidueType::NON_POLYMER, false, "3-[(2E)-2-[(2Z)-4-(1,3-dibutyl-4,6-dioxo-2-thioxotetrahydropyrimidin-5(2H)-ylidene)but-2-en-1-ylidene]-1,3-benzoxazol-3(2H)-yl]propane-1-sulfonic acid", 865 },
	{ "0UH", "", "IGU", ResidueType::DNA_LINKING, true, "", 866 },
	{ "0UJ", "", "", ResidueType::NON_POLYMER, false, "N-({1-[(1R,2R,4S)-bicyclo[2.2.1]hept-2-yl]-1,6-dihydroimidazo[4,5-d]pyrrolo[2,3-b]pyridin-2-yl}methyl)methanesulfonamide", 867 },
	{ "0UK", "", "", ResidueType::NON_POLYMER, false, "", 868 },
	{ "0UL", "", "", ResidueType::NON_POLYMER, false, "6-phenyl[1,2,4]triazolo[1,5-a]pyrazin-2-amine", 869 },
	{ "0UM", "", "", ResidueType::NON_POLYMER, false, "(2S,5S)-2-amino-6-[(2R,3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]-5-(propylamino)hexanoic acid", 870 },
	{ "0UN", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(5-chloro-2-{[2-methoxy-4-(4-methylpiperazin-1-yl)phenyl]amino}pyrimidin-4-yl)oxy]phenyl}prop-2-enamide", 871 },
	{ "0UO", "", "", ResidueType::PEPTIDE_LIKE, false, "4-methoxy-L-tryptophan", 872 },
	{ "0UP", "", "", ResidueType::NON_POLYMER, false, "4-{[(5R,7S)-1-(3-fluorophenyl)-3,7-dimethyl-2,2-dioxido-2-thia-1,3,8-triazaspiro[4.5]dec-8-yl]methyl}-2-(propan-2-yloxy)phenol", 873 },
	{ "0UQ", "", "", ResidueType::NON_POLYMER, false, "(5R,7S)-1-(3-fluorophenyl)-3,7-dimethyl-8-[3-(propan-2-yloxy)benzyl]-2-thia-1,3,8-triazaspiro[4.5]decane 2,2-dioxide", 874 },
	{ "0US", "", "", ResidueType::NON_POLYMER, false, "N-{1-[cis-4-(hydroxymethyl)cyclohexyl]-5-(piperidin-1-ylmethyl)-1H-benzimidazol-2-yl}-3-(prop-2-en-1-ylsulfamoyl)benzamide", 875 },
	{ "0UT", "", "", ResidueType::NON_POLYMER, false, "hydroxy(diphenyl)acetic acid", 876 },
	{ "0UU", "", "", ResidueType::NON_POLYMER, false, "methyl cis-4-[2-(benzoylamino)-6-(piperidin-1-ylmethyl)-1H-benzimidazol-1-yl]cyclohexanecarboxylate", 877 },
	{ "0UV", "", "", ResidueType::NON_POLYMER, false, "4-fluoro-N-{(2E)-6-{[4-(2-hydroxypropan-2-yl)piperidin-1-yl]methyl}-1-[cis-4-(propan-2-ylcarbamoyl)cyclohexyl]-1,3-dihydro-2H-benzimidazol-2-ylidene}benzamide", 878 },
	{ "0UX", "", "", ResidueType::NON_POLYMER, false, "6-amino-2-(methylamino)-4-(2-{[(3S,5S,7S)-tricyclo[3.3.1.1~3,7~]dec-1-ylmethyl]amino}ethyl)-1,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 879 },
	{ "0UZ", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-amino(3-chloro-4-hydroxyphenyl)ethanoic acid", 880 },
	{ "0V0", "", "", ResidueType::NON_POLYMER, false, "(2-ethoxy-4-{[3-(isoquinolin-7-yl)prop-2-yn-1-yl]oxy}phenyl)methanaminium", 881 },
	{ "0V2", "", "", ResidueType::NON_POLYMER, false, "6-amino-4-[2-({[trans-4-(biphenyl-4-ylethynyl)cyclohexyl]methyl}amino)ethyl]-2-(methylamino)-1,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 882 },
	{ "0V3", "", "", ResidueType::NON_POLYMER, false, "6-amino-2-(methylamino)-4-[2-({[trans-4-(pyridin-3-ylethynyl)cyclohexyl]methyl}amino)ethyl]-1,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 883 },
	{ "0V4", "", "", ResidueType::SACCHARIDE, false, "(4R,5R,6R,6aS,9S,9aE,10aR)-5-hydroxy-9-(methoxymethyl)-6,10a-dimethyl-3-(propan-2-yl)-1,2,4,5,6,6a,7,8,9,10a-decahydrodicyclopenta[a,d][8]annulen-4-yl alpha-D-glucopyranoside", 884 },
	{ "0V5", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(phosphonooxy)propanoic acid", 885 },
	{ "0V6", "", "", ResidueType::NON_POLYMER, false, "(2Z,6S)-6-{3-chloro-5-[5-(prop-1-yn-1-yl)pyridin-3-yl]thiophen-2-yl}-2-imino-3,6-dimethyltetrahydropyrimidin-4(1H)-one", 886 },
	{ "0V7", "", "", ResidueType::NON_POLYMER, false, "2-[(3-fluorobenzyl)amino]ethanesulfonic acid", 887 },
	{ "0V8", "", "", ResidueType::NON_POLYMER, false, "2-[(3-bromobenzyl)amino]ethanesulfonic acid", 888 },
	{ "0VA", "", "", ResidueType::NON_POLYMER, false, "N-[N-(4-amino-3,5-dichlorobenzyl)carbamimidoyl]-3-(4-methoxyphenyl)-5-methyl-1,2-thiazole-4-carboxamide", 889 },
	{ "0VB", "", "", ResidueType::NON_POLYMER, false, "N-{N-[4-(acetylamino)-3-chloro-5-methylbenzyl]carbamimidoyl}-3-(4-methoxyphenyl)-5-methyl-1,2-thiazole-4-carboxamide", 890 },
	{ "0VC", "", "", ResidueType::NON_POLYMER, false, "3-[(2S)-azetidin-2-ylmethoxy]-5-[(1S,2R)-2-(2-methoxyethyl)cyclopropyl]pyridine", 891 },
	{ "0VD", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-amino-1-[4-(benzyloxy)phenyl]-4-(1H-imidazol-4-yl)butan-2-one", 892 },
	{ "0VE", "", "", ResidueType::NON_POLYMER, false, "3-[8-({4-[ethyl(2-hydroxyethyl)amino]phenyl}amino)imidazo[1,2-a]pyrazin-5-yl]phenol", 893 },
	{ "0VF", "", "", ResidueType::NON_POLYMER, false, "4-{[(3S)-1-{7-[(3,4-dimethoxyphenyl)amino][1,3]thiazolo[5,4-d]pyrimidin-5-yl}pyrrolidin-3-yl]carbamoyl}benzoic acid", 894 },
	{ "0VG", "", "", ResidueType::NON_POLYMER, false, "N-{6-[(2S)-2-methylpyrrolidin-1-yl]pyridin-2-yl}-6-phenylimidazo[1,2-b]pyridazin-8-amine", 895 },
	{ "0VH", "", "", ResidueType::NON_POLYMER, false, "6-{[(1R,2S)-2-aminocyclohexyl]amino}-4-[(6-ethylpyridin-2-yl)amino]pyridazine-3-carboxamide", 896 },
	{ "0VJ", "", "", ResidueType::NON_POLYMER, false, "2-hydroxy-3-(4-methoxybenzyl)naphthalene-1,4-dione", 897 },
	{ "0VK", "", "", ResidueType::NON_POLYMER, false, "3-(5'-{[3,4-bis(hydroxymethyl)benzyl]oxy}-2'-methyl-2-propylbiphenyl-4-yl)pentan-3-ol", 898 },
	{ "0VM", "", "", ResidueType::NON_POLYMER, false, "2-[(4-{[3-(trifluoromethyl)pyridin-2-yl]oxy}phenyl)amino]-1H-benzimidazole-6-carbonitrile", 899 },
	{ "0VN", "", "", ResidueType::NON_POLYMER, false, "2-[(4-tert-butylphenyl)amino]-1H-benzimidazole-6-carbonitrile", 900 },
	{ "0VO", "", "", ResidueType::NON_POLYMER, false, "(4E,6Z)-7-(3-{[3,4-bis(hydroxymethyl)benzyl]oxy}phenyl)-3-ethylnona-4,6-dien-3-ol", 901 },
	{ "0VP", "", "", ResidueType::NON_POLYMER, false, "3-(5'-{[3,4-bis(hydroxymethyl)benzyl]oxy}-2'-ethyl-2-propylbiphenyl-4-yl)pentan-3-ol", 902 },
	{ "0VQ", "", "", ResidueType::NON_POLYMER, false, "(3E,5E)-6-(3-{2-[3,4-bis(hydroxymethyl)phenyl]ethyl}phenyl)-1,1,1-trifluoro-2-(trifluoromethyl)octa-3,5-dien-2-ol", 903 },
	{ "0VR", "", "", ResidueType::NON_POLYMER, false, "1-(O-carboxy-phenylamino)-1-deoxy-D-ribulose-5-phosphate", 904 },
	{ "0VS", "", "", ResidueType::NON_POLYMER, false, "L-gamma-glutamyl-S-(3-methyl-1,4-dioxo-1,4-dihydronaphthalen-2-yl)-L-cysteinylglycine", 905 },
	{ "0VT", "", "", ResidueType::NON_POLYMER, false, "6-methylhept-5-en-2-one", 906 },
	{ "0VU", "", "", ResidueType::NON_POLYMER, false, "4-({4-[3-(piperidin-1-ylcarbonyl)phenyl]pyrimidin-2-yl}amino)benzenesulfonamide", 907 },
	{ "0VV", "", "", ResidueType::NON_POLYMER, false, "N-[(2E)-3,4-dihydroquinazolin-2(1H)-ylidene]sulfuric diamide", 908 },
	{ "0VW", "", "", ResidueType::NON_POLYMER, false, "N-(tetrahydropyrimidin-2(1H)-ylidene)sulfuric diamide", 909 },
	{ "0VX", "", "", ResidueType::NON_POLYMER, false, "N-[(2Z)-1,3-oxazolidin-2-ylidene]sulfuric diamide", 910 },
	{ "0VY", "", "", ResidueType::NON_POLYMER, false, "N'-sulfamoylpyrrolidine-1-carboximidamide", 911 },
	{ "0VZ", "", "", ResidueType::NON_POLYMER, false, "ethyl (2Z,4R)-2-(sulfamoylimino)-1,3-thiazolidine-4-carboxylate", 912 },
	{ "0W0", "", "", ResidueType::NON_POLYMER, false, "(4R,5S,8Z)-8-(2-amino-1,3-thiazol-4-yl)-1-[3-(1,5-dihydroxy-4-oxo-1,4-dihydropyridin-2-yl)-1,2-oxazol-5-yl]-5-formyl-11,11-dimethyl-1,7-dioxo-4-(sulfoamino)-10-oxa-2,6,9-triazadodec-8-en-12-oic acid", 913 },
	{ "0W1", "", "", ResidueType::NON_POLYMER, false, "1,3-dimethyl-1H-thieno[2,3-c]pyrazole-5-carboxylic acid", 914 },
	{ "0W2", "", "", ResidueType::NON_POLYMER, false, "1-{(2S)-1-[(3R)-3-(2-chlorophenyl)-2-(2-fluorophenyl)pyrazolidin-1-yl]-1-oxopropan-2-yl}-3-[(1R,3S,5R,7R)-tricyclo[3.3.1.1~3,7~]dec-2-yl]urea", 915 },
	{ "0W3", "", "", ResidueType::NON_POLYMER, false, "", 916 },
	{ "0W5", "", "", ResidueType::NON_POLYMER, false, "(2E,4E)-11-methyldodeca-2,4-dienoic acid", 917 },
	{ "0W6", "", "", ResidueType::PEPTIDE_LINKING, false, "(4S)-4-aminopentanoic acid", 918 },
	{ "0W7", "", "", ResidueType::NON_POLYMER, false, "2-[4-(morpholin-4-yl)-6-oxo-1,6-dihydropyrimidin-2-yl]-N-phenylacetamide", 919 },
	{ "0W8", "", "", ResidueType::NON_POLYMER, false, "1-ethyl-1,3-dihydro-2H-benzimidazol-2-one", 920 },
	{ "0WA", "", "", ResidueType::NON_POLYMER, false, "4-fluoro-2-{[4-(pyridin-4-yl)-1,3-thiazol-2-yl]amino}phenol", 921 },
	{ "0WB", "", "", ResidueType::NON_POLYMER, false, "3-{2-[(5-fluoro-2-hydroxyphenyl)amino]-1,3-thiazol-4-yl}benzonitrile", 922 },
	{ "0WC", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-[1-(2-amino-5-chloropyrimidin-4-yl)-2,3-dihydro-1H-indol-6-yl]-2-(1,3-thiazol-2-yl)but-3-yn-2-ol", 923 },
	{ "0WD", "", "", ResidueType::NON_POLYMER, false, "", 924 },
	{ "0WE", "", "", ResidueType::NON_POLYMER, false, "N-methyl-N-[(3-methyl-1-benzofuran-2-yl)methyl]-3-(7-oxo-5,6,7,8-tetrahydro-1,8-naphthyridin-3-yl)propanamide", 925 },
	{ "0WF", "", "", ResidueType::NON_POLYMER, false, "1-cyclopentyl-6-[(1R)-1-(3-phenoxyazetidin-1-yl)ethyl]-1,5-dihydro-4H-pyrazolo[3,4-d]pyrimidin-4-one", 926 },
	{ "0WG", "", "", ResidueType::NON_POLYMER, false, "7-amino-6-(aminomethyl)-5-(2-bromophenyl)-1,3-dimethylpyrido[2,3-d]pyrimidine-2,4(1H,3H)-dione", 927 },
	{ "0WH", "", "", ResidueType::NON_POLYMER, false, "1-[5-(4-amino-7-methyl-7H-pyrrolo[2,3-d]pyrimidin-5-yl)-2,3-dihydro-1H-indol-1-yl]-2-[3-(trifluoromethyl)phenyl]ethanone", 928 },
	{ "0WK", "", "", ResidueType::NON_POLYMER, false, "1,5-anhydro-6-O-phosphono-D-glucitol", 929 },
	{ "0WL", "", "", ResidueType::NON_POLYMER, false, "1-cyclopentyl-6-{(1R)-1-[3-(pyrimidin-2-yl)azetidin-1-yl]ethyl}-1,5-dihydro-4H-pyrazolo[3,4-d]pyrimidin-4-one", 930 },
	{ "0WM", "", "", ResidueType::NON_POLYMER, false, "(2E)-N-{4-[(3-chloro-4-fluorophenyl)amino]-7-[(3S)-tetrahydrofuran-3-yloxy]quinazolin-6-yl}-4-(dimethylamino)but-2-enamide", 931 },
	{ "0WN", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(3-chloro-4-fluorophenyl)amino]-7-[(3S)-tetrahydrofuran-3-yloxy]quinazolin-6-yl}-4-(dimethylamino)butanamide", 932 },
	{ "0WO", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-2-[(R)-carboxy{[(5-methyl-3-phenyl-1,2-oxazol-4-yl)carbonyl]amino}methyl]-5,5-dimethyl-1,3-thiazolidine-4-carboxylic acid", 933 },
	{ "0WP", "", "", ResidueType::NON_POLYMER, false, "3-{[3-(2-cyanopropan-2-yl)benzoyl]amino}-2,6-difluoro-N-(3-methoxy-2H-pyrazolo[3,4-b]pyridin-5-yl)benzamide", 934 },
	{ "0WR", "", "", ResidueType::NON_POLYMER, false, "2-[1-({2-[2-(dimethylamino)-1H-benzimidazol-1-yl]-9-methyl-6-(morpholin-4-yl)-9H-purin-8-yl}methyl)piperidin-4-yl]propan-2-ol", 935 },
	{ "0WS", "", "", ResidueType::NON_POLYMER, false, "2-(1H-pyrazol-3-yl)pyridine-4-carboxylic acid", 936 },
	{ "0WT", "", "", ResidueType::NON_POLYMER, false, "(1R,5S,6s)-3-[5-chloro-6-ethyl-2-(pyrimidin-5-yloxy)-7H-pyrrolo[2,3-d]pyrimidin-4-yl]-3-azabicyclo[3.1.0]hexan-6-amine", 937 },
	{ "0WU", "", "", ResidueType::NON_POLYMER, false, "(5S)-2-methyl-5-(prop-1-en-2-yl)cyclohex-2-en-1-one", 938 },
	{ "0WV", "", "", ResidueType::NON_POLYMER, false, "2-methyl-5-(prop-1-en-2-yl)phenol", 939 },
	{ "0WW", "", "", ResidueType::NON_POLYMER, false, "4-{2-[(cyclohexylmethyl)amino]ethyl}-2-[(thiophen-2-ylmethyl)amino]-3,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 940 },
	{ "0WX", "", "", ResidueType::NON_POLYMER, false, "4-{2-[(cyclohexylmethyl)amino]ethyl}-2-{[2-(morpholin-4-yl)ethyl]amino}-3,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 941 },
	{ "0WY", "", "", ResidueType::NON_POLYMER, false, "6-amino-4-{2-[(cyclohexylmethyl)amino]ethyl}-2-[(2-phenylethyl)amino]-3,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 942 },
	{ "0WZ", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(1H-pyrazol-1-yl)-L-tyrosine", 943 },
	{ "0X0", "", "", ResidueType::NON_POLYMER, false, "2-[(3,4-dimethoxyphenyl)-(4-methylphenyl)sulfonyl-amino]-N-(2,4-dimethylpentan-3-yl)ethanamide", 944 },
	{ "0X1", "", "", ResidueType::NON_POLYMER, false, "(5-hydroxy-6-methyl-4-{[(1-oxo-7-phenoxy-1,2-dihydro[1,2,4]triazolo[4,3-a]quinolin-4-yl)amino]methyl}pyridin-3-yl)methyl dihydrogen phosphate", 945 },
	{ "0X2", "", "", ResidueType::NON_POLYMER, false, "2,6-dichloro-N-(2-oxo-2,5-dihydropyridin-4-yl)benzamide", 946 },
	{ "0X3", "", "", ResidueType::NON_POLYMER, false, "N-(3-chloro-5-fluorophenyl)-4-nitro-2,1,3-benzoxadiazol-5-amine", 947 },
	{ "0X5", "", "", ResidueType::NON_POLYMER, false, "2,6-dichloro-N-{2-[(cyclopropylcarbonyl)amino]pyridin-4-yl}benzamide", 948 },
	{ "0X6", "", "", ResidueType::NON_POLYMER, false, "2,6-dichloro-4-cyano-N-{2-[(cyclopropylcarbonyl)amino]pyridin-4-yl}benzamide", 949 },
	{ "0X9", "", "", ResidueType::PEPTIDE_LINKING, false, "N~2~-sulfamoyl-L-arginine", 950 },
	{ "0XA", "", "", ResidueType::NON_POLYMER, false, "(4S,8E)-4-[(1R)-2-{[2-(5-tert-butyl-1,3-oxazol-2-yl)propan-2-yl]amino}-1-hydroxyethyl]-16-methyl-6-oxa-3-azabicyclo[12.3.1]octadeca-1(18),8,14,16-tetraene-2,13-dione", 951 },
	{ "0XB", "", "", ResidueType::NON_POLYMER, false, "N-(3-fluorophenyl)-4-nitro-2,1,3-benzoxadiazol-5-amine", 952 },
	{ "0XC", "", "", ResidueType::NON_POLYMER, false, "(2E)-6-amino-2-iminohexanoic acid", 953 },
	{ "0XD", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-imino-4-(methylsulfanyl)butanoic acid", 954 },
	{ "0XE", "", "", ResidueType::NON_POLYMER, false, "5,6-dihydroxy-4-oxo-2-phenyl-4H-chromen-7-yl beta-D-glucopyranosiduronic acid", 955 },
	{ "0XF", "", "", ResidueType::NON_POLYMER, false, "6-{[(1R,2S)-2-aminocyclohexyl]amino}-4-[(5,6-dimethylpyridin-2-yl)amino]pyridazine-3-carboxamide", 956 },
	{ "0XG", "", "", ResidueType::NON_POLYMER, false, "5-(2-{[4-(dimethylcarbamoyl)phenyl]amino}-4-methoxypyrimidin-5-yl)thiophene-3-carboxylic acid", 957 },
	{ "0XH", "", "", ResidueType::NON_POLYMER, false, "2,6-dichloro-N-[2-({[(1R,2R)-2-fluorocyclopropyl]carbonyl}amino)pyridin-4-yl]benzamide", 958 },
	{ "0XJ", "", "", ResidueType::NON_POLYMER, false, "(6alpha,8alpha)-6-(pent-2-yn-1-yloxy)androsta-1,4-diene-3,17-dione", 959 },
	{ "0XL", "", "", ResidueType::PEPTIDE_LINKING, false, "2-amino-2-ethylbutanoic acid", 960 },
	{ "0XM", "", "", ResidueType::NON_POLYMER, false, "1,1-diphenylmethanamine", 961 },
	{ "0XN", "", "", ResidueType::NON_POLYMER, false, "1,1-bis(4-fluorophenyl)methanamine", 962 },
	{ "0XO", "", "", ResidueType::PEPTIDE_LINKING, false, "2-methyl-D-lysine", 963 },
	{ "0XP", "", "", ResidueType::NON_POLYMER, false, "2,6-dichloro-4-cyano-N-[2-({[(1R,2R)-2-fluorocyclopropyl]carbonyl}amino)pyridin-4-yl]benzamide", 964 },
	{ "0XQ", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-2,8-diamino-2-methyloctanoic acid", 965 },
	{ "0XR", "", "", ResidueType::NON_POLYMER, false, "ethyl (2E)-3-(3,4-dihydroxyphenyl)prop-2-enoate", 966 },
	{ "0XS", "", "", ResidueType::NON_POLYMER, false, "2-amino-6-bromo-7-(trifluoromethyl)-1,8-naphthyridine-3-carboxamide", 967 },
	{ "0XT", "", "", ResidueType::NON_POLYMER, false, "7-methoxy-6-methylpteridine-2,4-diamine", 968 },
	{ "0XU", "", "", ResidueType::NON_POLYMER, false, "(2S,5S,6E)-2,5-diamino-6-[(3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxydihydrofuran-2(3H)-ylidene]hexanoic acid", 969 },
	{ "0XV", "", "", ResidueType::NON_POLYMER, false, "(4-hydroxy-3,5-dimethylphenyl)(2-methyl-1-benzofuran-3-yl)methanone", 970 },
	{ "0XW", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-4-hydroxy-1,1-dimethylpyrrolidinium-2-carboxylate", 971 },
	{ "0XX", "", "", ResidueType::NON_POLYMER, false, "", 972 },
	{ "0XY", "", "", ResidueType::SACCHARIDE, false, "N-[(2S,3R,4R,5S,6S)-6-fluoro-2,4,5-trihydroxy-6-(hydroxymethyl)tetrahydro-2H-pyran-3-yl]acetamide", 973 },
	{ "0XZ", "", "", ResidueType::NON_POLYMER, false, "4-amino-N-[(1S)-1-(4-chlorophenyl)-3-hydroxypropyl]-1-(7H-pyrrolo[2,3-d]pyrimidin-4-yl)piperidine-4-carboxamide", 974 },
	{ "0Y0", "", "", ResidueType::NON_POLYMER, false, "5'-{[(3S)-3-amino-3-carboxypropyl]amino}-5'-deoxyadenosine", 975 },
	{ "0Y1", "", "", ResidueType::NON_POLYMER, false, "5'-{[(3S)-3-amino-3-carboxypropyl][2-(1H-indol-3-yl)ethyl]amino}-5'-deoxyadenosine", 976 },
	{ "0Y2", "", "", ResidueType::NON_POLYMER, false, "5'-{[(3S)-3-amino-3-carboxypropyl][2-(1-benzothiophen-3-yl)ethyl]amino}-5'-deoxyadenosine", 977 },
	{ "0Y3", "", "", ResidueType::NON_POLYMER, false, "N,N'-bis(4-{[(3R)-3-[(biphenyl-4-ylsulfonyl)(propan-2-yloxy)amino]-4-(hydroxyamino)-4-oxobutyl]amino}-4-oxobutyl)benzene-1,3-dicarboxamide", 978 },
	{ "0Y4", "", "", ResidueType::NON_POLYMER, false, "N-[5-({3-cyano-7-[(1-methyl-1H-imidazol-4-yl)amino]pyrazolo[1,5-a]pyrimidin-5-yl}amino)-2-methylphenyl]acetamide", 979 },
	{ "0Y5", "", "", ResidueType::NON_POLYMER, false, "4-{[(3S)-3-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)piperidin-1-yl]methyl}-2-[3-(trifluoromethyl)phenoxy]benzoic acid", 980 },
	{ "0Y7", "", "", ResidueType::NON_POLYMER, false, "{(3R,5R,6S)-5-(3-chlorophenyl)-6-(4-chlorophenyl)-1-[(2S)-1-hydroxybutan-2-yl]-2-oxopiperidin-3-yl}acetic acid", 981 },
	{ "0Y8", "", "", ResidueType::PEPTIDE_LINKING, false, "(4R)-4-[(7-bromoisoquinolin-1-yl)oxy]-L-proline", 982 },
	{ "0Y9", "", "", ResidueType::PEPTIDE_LINKING, false, "(1R,2S)-1-amino-2-ethenylcyclopropanecarboxylic acid", 983 },
	{ "0YA", "", "", ResidueType::NON_POLYMER, false, "cyclopropanesulfonamide", 984 },
	{ "0YB", "", "", ResidueType::NON_POLYMER, false, "2-(3-bromophenoxy)-4-{(1R)-3,3-dimethyl-1-[(3S)-3-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)piperidin-1-yl]butyl}benzoic acid", 985 },
	{ "0YC", "", "", ResidueType::NON_POLYMER, false, "1-(pyridin-3-yl)methanamine", 986 },
	{ "0YD", "", "", ResidueType::NON_POLYMER, false, "", 987 },
	{ "0YE", "", "", ResidueType::NON_POLYMER, false, "3-(3-phenyl-1,2-oxazol-5-yl)propanoic acid", 988 },
	{ "0YF", "", "", ResidueType::NON_POLYMER, false, "3-(biphenyl-4-yl)propanoic acid", 989 },
	{ "0YG", "", "", ResidueType::PEPTIDE_AMINO_TERMINUS, false, "N-[(2Z)-2-amino-3-(4-hydroxyphenyl)prop-2-enoyl]glycine", 990 },
	{ "0YH", "", "", ResidueType::NON_POLYMER, false, "1-[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]-3-[3-(4-methoxy-2-methylphenyl)-1H-pyrazol-5-yl]urea", 991 },
	{ "0YJ", "", "", ResidueType::NON_POLYMER, false, "7-({[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]carbamoyl}amino)-N-(propan-2-yl)-1H-indole-2-carboxamide", 992 },
	{ "0YL", "", "", ResidueType::NON_POLYMER, false, "", 993 },
	{ "0YN", "", "", ResidueType::NON_POLYMER, false, "2-{4-[(4-amino-2-methylpyrimidin-5-yl)methyl]-3-methylthiophen-2-yl}ethanol", 994 },
	{ "0YO", "", "", ResidueType::NON_POLYMER, false, "2-[5-methoxy-2-(quinolin-3-yl)pyrimidin-4-yl]-1,5,6,7-tetrahydro-4H-pyrrolo[3,2-c]pyridin-4-one", 995 },
	{ "0YP", "", "", ResidueType::NON_POLYMER, false, "N-[(1E)-1-bromo-1-(2-methoxyphenyl)-3-oxo-3-(piperidin-1-yl)prop-1-en-2-yl]-4-nitrobenzamide", 996 },
	{ "0YQ", "", "", ResidueType::NON_POLYMER, false, "", 997 },
	{ "0YR", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4R)-N,2,3,4,5-pentakis(oxidanyl)pentanamide", 998 },
	{ "0YS", "", "", ResidueType::NON_POLYMER, false, "(5R)-2-[(1S,2R)-2-amino-2-carboxy-1-hydroxyethyl]-5-{(2S)-2-carboxy-2-[(3,5-dichloro-4-hydroxybenzoyl)amino]ethyl}-L-proline", 999 },
	{ "0YT", "", "", ResidueType::SACCHARIDE, false, "2-(acetylamino)-2-deoxy-5-thio-beta-D-glucopyranose", 1000 },
	{ "0YU", "", "", ResidueType::NON_POLYMER, false, "N~4~-[4-(4,5-dihydro-1H-imidazol-2-yl)phenyl]-N~1~-[4-(1H-imidazol-2-yl)phenyl]-2-nitrobenzene-1,4-dicarboxamide", 1001 },
	{ "0YV", "", "", ResidueType::NON_POLYMER, false, "2,2'-{benzene-1,3-diylbis[ethyne-2,1-diyl(5-bromobenzene-3,1-diyl)]}diethanamine", 1002 },
	{ "0YW", "", "", ResidueType::NON_POLYMER, false, "2-{[3-(decyloxy)benzoyl]amino}-5-nitrobenzoic acid", 1003 },
	{ "0YX", "", "", ResidueType::NON_POLYMER, false, "(5-bromo-2-{[3-(octyloxy)benzyl]oxy}phenyl)phosphonic acid", 1004 },
	{ "0YY", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-hydroxy-4-[4-(octyloxy)phenyl]-4-oxobut-2-enoic acid", 1005 },
	{ "0YZ", "", "", ResidueType::NON_POLYMER, false, "(2Z)-4-[3-(decyloxy)phenyl]-2-hydroxy-4-oxobut-2-enoic acid", 1006 },
	{ "0Z0", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(trifluoroacetyl)-L-phenylalanyl-N-[4-(trifluoromethyl)phenyl]-L-alaninamide", 1007 },
	{ "0Z1", "", "", ResidueType::PEPTIDE_LIKE, false, "6-ammonio-N-(trifluoroacetyl)-L-norleucyl-N-[4-(1-methylethyl)phenyl]-L-prolinamide", 1008 },
	{ "0Z2", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(trifluoroacetyl)-L-leucyl-N-[4-(trifluoromethyl)phenyl]-L-alaninamide", 1009 },
	{ "0Z3", "", "", ResidueType::PEPTIDE_LIKE, false, "6-ammonio-N-(trifluoroacetyl)-L-norleucyl-N-[4-(1-methylethyl)phenyl]-L-phenylalaninamide", 1010 },
	{ "0Z4", "", "", ResidueType::PEPTIDE_LIKE, false, "6-ammonio-N-(trifluoroacetyl)-L-norleucyl-N-[4-(1-methylethyl)phenyl]-L-leucinamide", 1011 },
	{ "0Z6", "", "", ResidueType::PEPTIDE_LIKE, false, "D-phenylalanyl-N-[(2S,3S)-6-{[amino(iminio)methyl]amino}-1-chloro-2-hydroxyhexan-3-yl]-L-phenylalaninamide", 1012 },
	{ "0Z7", "", "", ResidueType::NON_POLYMER, false, "N-acetyl-D-phenylalanyl-N-[(2S,3S)-6-carbamimidamido-1-chloro-2-hydroxyhexan-3-yl]-L-phenylalaninamide", 1013 },
	{ "0Z9", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(benzyloxy)carbonyl]-L-leucyl-N-hydroxy-L-alaninamide", 1014 },
	{ "0ZA", "", "", ResidueType::NON_POLYMER, false, "3-{(1S)-1-[(6-chloro-3,3-dimethyl-3,4-dihydroisoquinolin-1-yl)amino]-2-phenylethyl}-1,2,4-oxadiazol-5(2H)-one", 1015 },
	{ "0ZB", "", "", ResidueType::PEPTIDE_LIKE, false, "N-benzyl-N~2~-[(2R)-2-(hydroxycarbamoyl)-4-methylpentanoyl]-L-alpha-asparagine", 1016 },
	{ "0ZC", "", "", ResidueType::PEPTIDE_LIKE, false, "(3R)-2-[N-(furan-2-ylcarbonyl)-L-leucyl]-2,3,4,9-tetrahydro-1H-beta-carboline-3-carboxylic acid", 1017 },
	{ "0ZD", "", "", ResidueType::NON_POLYMER, false, "N,N'-bis(2-[(biphenyl-4ylsulfonyl)[(2R)-1-hydroxy-3-methyl-1-oxobutan-2-yl]-amino]ethyl)benzene-1,3-dicarboxamide", 1018 },
	{ "0ZE", "", "", ResidueType::PEPTIDE_LIKE, false, "[[[(4S,5S)-4-[[(3S,6S,8aR)-6-azanyl-5-oxo-6-(phenylmethyl)-1,2,3,7,8,8a-hexahydroindolizin-3-yl]carbonylamino]-5-(1,3-benzothiazol-2-yl)-5-hydroxy-pentyl]amino]-azanyl-methylidene]azanium", 1019 },
	{ "0ZG", "", "", ResidueType::PEPTIDE_LIKE, false, "3-[(2S)-2-{[(4-methylphenyl)sulfonyl]amino}-3-oxo-3-piperidin-1-ylpropyl]benzenecarboximidamide", 1020 },
	{ "0ZI", "", "", ResidueType::PEPTIDE_LIKE, false, "amino{[(4S)-4-({[5-(dimethylamino)naphthalen-1-yl]sulfonyl}amino)-5-(4-ethylpiperidin-1-yl)-5-oxopentyl]amino}methaniminium", 1021 },
	{ "0ZJ", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(sulfanylacetyl)-D-phenylalanyl-N-[(2S,3S)-6-{[amino(iminio)methyl]amino}-1-chloro-2-hydroxyhexan-3-yl]-L-prolinamide", 1022 },
	{ "0ZL", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(ethoxycarbonyl)-L-leucyl-N-[(1R,2S,3S)-1-(cyclohexylmethyl)-2,3-dihydroxy-5-methylhexyl]-L-leucinamide", 1023 },
	{ "0ZN", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(1R)-1-carboxy-3-phenylpropyl]-L-leucyl-L-tryptophan", 1024 },
	{ "0ZO", "", "K7J", ResidueType::PEPTIDE_LIKE, true, "N-(3-carboxypropanoyl)-L-alanyl-L-alanyl-N-[(2S,3S)-4-chloro-3-hydroxy-1-phenylbutan-2-yl]-L-prolinamide", 1025 },
	{ "0ZP", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(1R,2R,4R)-1-(cyclohexylmethyl)-2-hydroxy-6-methyl-4-{[(2R)-2-methylbutyl]carbamoyl}heptyl]-3-(1H-imidazol-3-ium-4-yl)-N~2~-[3-naphthalen-1-yl-2-(naphthalen-1-ylmethyl)propanoyl]-L-alaninamide", 1026 },
	{ "0ZQ", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{(3S)-3-[(tert-butoxycarbonyl)amino]-4-phenylbutyl}-L-phenylalanyl-L-alpha-glutamyl-L-phenylalaninamide", 1027 },
	{ "0ZR", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{(2R,3S)-3-[(tert-butoxycarbonyl)amino]-2-hydroxy-4-phenylbutyl}-L-phenylalanyl-L-glutaminyl-L-phenylalaninamide", 1028 },
	{ "0ZS", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{(2R,3S)-3-[(tert-butoxycarbonyl)amino]-2-hydroxy-4-phenylbutyl}-L-phenylalanyl-L-alpha-glutamyl-L-phenylalaninamide", 1029 },
	{ "0ZT", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{(2S,3S)-3-[(tert-butoxycarbonyl)amino]-2-hydroxy-4-phenylbutyl}-L-phenylalanyl-L-alpha-glutamyl-L-phenylalaninamide", 1030 },
	{ "0ZW", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(tert-butoxycarbonyl)-L-alanyl-N-{(1S)-5-ammonio-1-[hydroxy(3-hydroxypropoxy)boranyl]pentyl}-L-valinamide", 1031 },
	{ "0ZX", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(tert-butoxycarbonyl)-L-alanyl-N-[(1S)-5-amino-1-(diethoxyboranyl)pentyl]-L-valinamide", 1032 },
	{ "0ZY", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(tert-butoxycarbonyl)-L-alanyl-N-{(1R)-5-ammonio-1-[hydroxy(methoxy)boranyl]pentyl}-L-valinamide", 1033 },
	{ "0ZZ", "", "", ResidueType::PEPTIDE_LIKE, false, "5-S-benzyl-3-({N-[(5-bromo-2-methoxyphenyl)acetyl]-L-valyl}amino)-2,3-dideoxy-5-thio-D-erythro-pentonic acid", 1034 },
	{ "100", "", "", ResidueType::NON_POLYMER, false, "1-(5-CHLOROINDOL-3-YL)-3-HYDROXY-3-(2H-TETRAZOL-5-YL)-PROPENONE", 1035 },
	{ "101", "", "", ResidueType::NON_POLYMER, false, "", 1036 },
	{ "102", "", "", ResidueType::NON_POLYMER, true, "GAMMA-DEOXY-GAMMA-SULFO-GUANOSINE-5'-TRIPHOSPHATE", 1037 },
	{ "103", "", "", ResidueType::NON_POLYMER, false, "", 1038 },
	{ "104", "", "", ResidueType::NON_POLYMER, false, "N,N'-BIS(2-AMINOETHYL)-1,2-ETHANEDIAMINE", 1039 },
	{ "105", "", "", ResidueType::NON_POLYMER, false, "N-[5-METHYL-3-O-TOLYL-ISOXAZOLE-4-CARBOXYLIC ACID AMIDE] BORONIC ACID", 1040 },
	{ "106", "", "", ResidueType::NON_POLYMER, false, "4-(5-BROMO-2-OXO-2H-INDOL-3-YLAZO)-BENZENESULFONAMIDE", 1041 },
	{ "107", "", "", ResidueType::NON_POLYMER, false, "4-[(7-OXO-7H-THIAZOLO[5,4-E]INDOL-8-YLMETHYL)-AMINO]-N-PYRIDIN-2-YL-BENZENESULFONAMIDE", 1042 },
	{ "108", "", "", ResidueType::NON_POLYMER, false, "2-(5-CARBAMIMIDOYL-2-HYDROXY-BENZYLAMINO)-PROPIONIC ACID", 1043 },
	{ "109", "", "", ResidueType::NON_POLYMER, false, "2-(4-CARBAMIMIDOYL-2-HYDROXY-BENZYLAMINO)-PROPIONIC ACID", 1044 },
	{ "10A", "", "", ResidueType::NON_POLYMER, false, "DIDECYL-DIMETHYL-AMMONIUM", 1045 },
	{ "10B", "", "", ResidueType::NON_POLYMER, false, "N-2-(biphenyl-4-ylsulfonyl)-N-2-(isopropyloxy)-acetohydroxamic acid", 1046 },
	{ "10C", "", "", ResidueType::RNA_LINKING, false, "4-AMINO-1-{2,5-ANHYDRO-4-[(PHOSPHONOOXY)METHYL]-ALPHA-L-LYXOFURANOSYL}PYRIMIDIN-2(1H)-ONE", 1047 },
	{ "10D", "", "", ResidueType::NON_POLYMER, false, "(2E)-4-fluoro-3-methylbut-2-en-1-yl trihydrogen diphosphate", 1048 },
	{ "10E", "", "", ResidueType::NON_POLYMER, false, "(2E)-4-amino-3-methylbut-2-en-1-yl trihydrogen diphosphate", 1049 },
	{ "10F", "", "", ResidueType::NON_POLYMER, false, "N-({4-[{[(2R,4S,4aR,6S,8aS)-2-amino-4-hydroxydecahydropteridin-6-yl]methyl}(formyl)amino]phenyl}carbonyl)-D-glutamic acid", 1050 },
	{ "10G", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-methyl-4-sulfanylbut-2-en-1-yl trihydrogen diphosphate", 1051 },
	{ "10H", "", "", ResidueType::NON_POLYMER, false, "1-(4-{[(2R)-2-methylpiperidin-1-yl]sulfonyl}phenyl)-1,3-dihydro-2H-pyrrol-2-one", 1052 },
	{ "10J", "", "", ResidueType::NON_POLYMER, false, "3-{5-[(2E,4aR,7aR)-6-benzoyl-2-imino-3-methyl-4-oxooctahydro-7aH-pyrrolo[3,4-d]pyrimidin-7a-yl]thiophen-3-yl}benzonitrile", 1053 },
	{ "10K", "", "", ResidueType::NON_POLYMER, false, "N-(3-cyclopropyl-1H-pyrazol-5-yl)-2-[4-(thiophen-2-yl)phenyl]acetamide", 1054 },
	{ "10L", "", "", ResidueType::NON_POLYMER, false, "1H-indazol-7-amine", 1055 },
	{ "10M", "", "", ResidueType::SACCHARIDE, false, "decyl 4-O-alpha-D-glucopyranosyl-1-thio-beta-D-glucopyranoside", 1056 },
	{ "10N", "", "", ResidueType::NON_POLYMER, false, "N-(3-{[(5-cyano-2-phenyl-1H-pyrrolo[2,3-b]pyridin-4-yl)amino]methyl}pyridin-2-yl)-N-methylmethanesulfonamide", 1057 },
	{ "10O", "", "", ResidueType::NON_POLYMER, false, "3-{5-[(2E,4aR,7aR)-2-imino-6-(6-methoxypyridin-2-yl)-3-methyl-4-oxooctahydro-7aH-pyrrolo[3,4-d]pyrimidin-7a-yl]thiophen-3-yl}benzonitrile", 1058 },
	{ "10P", "", "", ResidueType::PEPTIDE_LIKE, false, "D-phenylalanyl-N-[(1-methylpyridinium-3-yl)methyl]-L-prolinamide", 1059 },
	{ "10Q", "", "", ResidueType::NON_POLYMER, false, "2-{(2E,4aR,7aR)-7a-[4-(3-cyanophenyl)thiophen-2-yl]-2-imino-3-methyl-4-oxooctahydro-6H-pyrrolo[3,4-d]pyrimidin-6-yl}pyridine-3-carbonitrile", 1060 },
	{ "10R", "", "", ResidueType::NON_POLYMER, false, "1-(2-[(R)-2,4-Dihydroxybutoxy]ethyl)-12-(5-ethyl-5-hydroxyheptyl)-1,12-dicarba-closo-dodecaborane", 1061 },
	{ "10S", "", "", ResidueType::NON_POLYMER, false, "1-(2-[(S)-2,4-Dihydroxybutoxy]ethyl)-12-(5-ethyl-5-hydroxyheptyl)-1,12-dicarba-closo-dodecaborane", 1062 },
	{ "10T", "", "", ResidueType::NON_POLYMER, false, "5-(aminomethyl)-2-methyl-4-(4-methylphenyl)-6-(2-methylpropyl)pyridine-3-carboxic acid", 1063 },
	{ "10U", "", "", ResidueType::PEPTIDE_LIKE, false, "(S)-N-(4-carbamimidoylbenzyl)-1-(2-(cyclopentylamino)ethanoyl)pyrrolidine-2-carboxamide", 1064 },
	{ "10V", "", "", ResidueType::NON_POLYMER, false, "3-{5-[(2E,4aR,7aR)-2-imino-6-(3-methoxypyridin-2-yl)-3-methyl-4-oxooctahydro-7aH-pyrrolo[3,4-d]pyrimidin-7a-yl]thiophen-3-yl}benzonitrile", 1065 },
	{ "10W", "", "", ResidueType::NON_POLYMER, false, "2-fluoro-5-{5-[(2E,4aR,7aR)-2-imino-3-methyl-4-oxo-6-phenyloctahydro-7aH-pyrrolo[3,4-d]pyrimidin-7a-yl]thiophen-2-yl}benzonitrile", 1066 },
	{ "10X", "", "", ResidueType::NON_POLYMER, false, "(9Z)-11-{(2S,3S)-3-[(2Z)-pent-2-en-1-yl]oxiran-2-yl}undec-9-enoic acid", 1067 },
	{ "10Y", "", "", ResidueType::NON_POLYMER, false, "(9Z)-11-{(2R,3S)-3-[(2Z)-pent-2-en-1-yl]oxiran-2-yl}undec-9-enoic acid", 1068 },
	{ "10Z", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[(2-methoxyethyl)amino]methyl}phenyl)-6-(pyridin-4-yl)quinazolin-2-amine", 1069 },
	{ "110", "", "", ResidueType::NON_POLYMER, false, "3-(4-AMINO-CYCLOHEXYL)-2-HYDROXY-3-[(4-OXO-2-PHENYLMETHANESULFONYL-1,2,3,4-TETRAHYDRO-PYRROLO[1,2-A]PYRAZINE-6-CARBONYL)-AMINO]-PROPIONIC ACID BUTYL ESTER", 1070 },
	{ "111", "", "", ResidueType::NON_POLYMER, false, "(1N)-4-N-BUTOXYPHENYLSULFONYL-(2R)-N-HYDROXYCARBOXAMIDO-(4S)-METHANESULFONYLAMINO-PYRROLIDINE", 1071 },
	{ "112", "", "", ResidueType::NON_POLYMER, false, "THIOPHOSPHORIC ACID O-((ADENOSYL-PHOSPHO)PHOSPHO)-S-ACETAMIDYL-DIESTER", 1072 },
	{ "113", "", "", ResidueType::NON_POLYMER, false, "7,8-DIHYDROXY-1-METHOXY-3-METHYL-10-OXO-4,10-DIHYDRO-1H,3H-PYRANO[4,3-B]CHROMENE-9-CARBOXYLIC ACID", 1073 },
	{ "114", "", "", ResidueType::NON_POLYMER, false, "(3R,5R)-3,5-dihydroxy-7-[(1S,2S,8S,8aR)-2-methyl-8-{[(2S)-2-methylbutanoyl]oxy}-1,2,6,7,8,8a-hexahydronaphthalen-1-yl]heptanoic acid", 1074 },
	{ "115", "", "", ResidueType::NON_POLYMER, false, "(3R,5S,6E)-7-[3-(4-fluorophenyl)-1-(propan-2-yl)-1H-indol-2-yl]-3,5-dihydroxyhept-6-enoic acid", 1075 },
	{ "116", "", "", ResidueType::NON_POLYMER, false, "7-[4-(4-FLUORO-PHENYL)-5-HYDROXYMETHYL-2,6-DIISOPROPYL-PYRIDIN-3-YL]-3,5-DIHYDROXY-HEPTANOIC ACID", 1076 },
	{ "117", "", "", ResidueType::NON_POLYMER, false, "7-[2-(4-FLUORO-PHENYL)-5-ISOPROPYL-3-PHENYL-4-PHENYLCARBAMOYL-PYRROL-1-YL]- 3,5-DIHYDROXY-HEPTANOIC ACID", 1077 },
	{ "118", "", "", ResidueType::NON_POLYMER, false, "TETRAPHENYLANTIMONIUM ION", 1078 },
	{ "119", "", "P4P", ResidueType::NON_POLYMER, true, "TETRAPHENYLPHOSPHONIUM ION", 1079 },
	{ "11A", "", "", ResidueType::NON_POLYMER, false, "UNDECANOIC ACID", 1080 },
	{ "11B", "", "", ResidueType::NON_POLYMER, false, "(5R,6S,8S)-8-(3-{[AMINO(IMINO)METHYL]AMINO}PHENYL)-6-HYDROXY-3-OXO-5-PENTYL-1-PHENYL-2,7-DIOXA-4-AZA-6-PHOSPHANONAN-9-OIC ACID 6-OXIDE", 1081 },
	{ "11C", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-aminohexanedioic acid", 1082 },
	{ "11D", "", "", ResidueType::NON_POLYMER, false, "11-({[5-(dimethylamino)naphthalen-1-yl]sulfonyl}amino)undecanoic acid", 1083 },
	{ "11E", "", "", ResidueType::NON_POLYMER, false, "N-[(2-amino-1,3-benzothiazol-6-yl)carbonyl]glycine", 1084 },
	{ "11F", "", "", ResidueType::NON_POLYMER, false, "5-[(3S)-3-(2-methoxybiphenyl-4-yl)but-1-yn-1-yl]-6-methylpyrimidine-2,4-diamine", 1085 },
	{ "11G", "", "", ResidueType::NON_POLYMER, false, "(7R)-8-cyclopentyl-7-ethyl-5-methyl-7,8-dihydropteridin-6(5H)-one", 1086 },
	{ "11H", "", "", ResidueType::NON_POLYMER, false, "9,10-dioxo-9,10-dihydroanthracene-2,6-disulfonic acid", 1087 },
	{ "11J", "", "", ResidueType::NON_POLYMER, false, "N-biphenyl-3-yl-2-iodobenzamide", 1088 },
	{ "11K", "", "", ResidueType::NON_POLYMER, false, "N-(3-cyclopropyl-1H-pyrazol-5-yl)-2-[4-(2-pyrrolidin-1-ylethoxy)phenyl]acetamide", 1089 },
	{ "11M", "", "", ResidueType::NON_POLYMER, false, "1-(1'-{[3-(methylsulfanyl)-2-benzothiophen-1-yl]carbonyl}spiro[1-benzofuran-3,4'-piperidin]-5-yl)methanamine", 1090 },
	{ "11N", "", "", ResidueType::NON_POLYMER, false, "1-[1'-(3-phenylacryloyl)spiro[1-benzofuran-3,4'-piperidin]-5-yl]methanamine", 1091 },
	{ "11O", "", "", ResidueType::NON_POLYMER, false, "(TRANS-12,13-EPOXY)-11-HYDROXY-9(Z)-OCTADECENOIC ACID", 1092 },
	{ "11P", "", "", ResidueType::NON_POLYMER, false, "[(7R)-6,7-dihydro-5H-cyclopenta[c]pyridin-7-yl(hydroxy)methylene]bis(phosphonic acid)", 1093 },
	{ "11Q", "", "", ResidueType::PEPTIDE_LINKING, false, "1-(cyclohexylmethyl)-L-proline", 1094 },
	{ "11R", "", "", ResidueType::NON_POLYMER, false, "RUTHENIUM WIRE, 11 CARBON LINKER", 1095 },
	{ "11S", "", "", ResidueType::NON_POLYMER, false, "5-chloro-1H-indole", 1096 },
	{ "11U", "", "", ResidueType::PEPTIDE_LIKE, false, "(S)-N-(4-carbamimidoylbenzyl)-1-(2-(cyclohexylamino)ethanoyl)pyrrolidine-2-carboxamide", 1097 },
	{ "11V", "", "", ResidueType::NON_POLYMER, false, "1-[(2R)-2-chloro-2-phenylethyl]-6-{[2-(morpholin-4-yl)ethyl]sulfanyl}-N-phenyl-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 1098 },
	{ "11W", "", "", ResidueType::PEPTIDE_LINKING, false, "(4R)-4-[(2E)-3-{4-[(E)-phenyldiazenyl]phenyl}prop-2-en-1-yl]-L-glutamic acid", 1099 },
	{ "11X", "", "", ResidueType::NON_POLYMER, false, "N-(pyridin-3-ylmethyl)aniline", 1100 },
	{ "11Y", "", "", ResidueType::NON_POLYMER, false, "5-[(2R)-3-benzoyl-2-(4-bromothiophen-2-yl)-4-hydroxy-5-oxo-2,5-dihydro-1H-pyrrol-1-yl]-2-chlorobenzoic acid", 1101 },
	{ "11Z", "", "", ResidueType::NON_POLYMER, false, "11-cyclohexylundecanoic acid", 1102 },
	{ "120", "", "", ResidueType::NON_POLYMER, false, "2-(2-OXO-1,2-DIHYDRO-PYRIDIN-3-YL)-1H-BENZOIMIDAZOLE-5-CARBOXAMIDINE", 1103 },
	{ "121", "", "", ResidueType::NON_POLYMER, false, "2-(3-HYDROXY-PYRIDIN-2-YL)-1H-BENZOIMIDAZOLE-5-CARBOXAMIDINE", 1104 },
	{ "122", "", "", ResidueType::NON_POLYMER, false, "2-(2-HYDROXY-PHENYL)-3H-BENZOIMIDAZOLE-5-CARBOXAMIDINE", 1105 },
	{ "123", "", "", ResidueType::NON_POLYMER, false, "2-(2-HYDROXY-5-METHOXY-PHENYL)-1H-BENZOIMIDAZOLE-5-CARBOXAMIDINE", 1106 },
	{ "124", "", "", ResidueType::NON_POLYMER, false, "2-(2-HYDROXY-PHENYL)-1H-INDOLE-5-CARBOXAMIDINE", 1107 },
	{ "125", "", "", ResidueType::RNA_LINKING, false, "2'-O-FLUOROETHYL-5-METHYL-URIDINE-5'-MONOPHOSPHATE", 1108 },
	{ "126", "", "", ResidueType::RNA_LINKING, false, "2'-O-METHYL-[TRI(OXYETHYL)]-5-METHYL-URIDINE-5'-MONOPHOSPHATE", 1109 },
	{ "127", "", "", ResidueType::RNA_LINKING, false, "2'-O-AMINOOXY-ETHYL-5-METHYL-URIDINE-5'-MONOPHOSPHATE", 1110 },
	{ "128", "", "", ResidueType::RNA_LINKING, false, "SPIRO(2,4,6-TRINITROBENZENE[1,2A]-2O',3O'-METHYLENE-ADENINE-TRIPHOSPHATE", 1111 },
	{ "129", "", "", ResidueType::NON_POLYMER, false, "[2(FORMYL-HYDROXY-AMINO)-ETHYL]-PHOSPHONIC ACID", 1112 },
	{ "12A", "", "", ResidueType::RNA_LINKING, false, "2-METHYLTHIO-N6-(AMINOCARBONYL-L-THREONYL)-ADENOSINE-5'-MONOPHOSPHATE", 1113 },
	{ "12B", "", "", ResidueType::NON_POLYMER, false, "BENZO[CD]INDOL-2(1H)-ONE", 1114 },
	{ "12C", "", "", ResidueType::NON_POLYMER, false, "4-[(3S)-1-AZABICYCLO[2.2.2]OCT-3-YLAMINO]-3-(1H-BENZIMIDAZOL-2-YL)-6-CHLOROQUINOLIN-2(1H)-ONE", 1115 },
	{ "12D", "", "", ResidueType::NON_POLYMER, false, "", 1116 },
	{ "12E", "", "", ResidueType::NON_POLYMER, false, "N-{[(2E)-2-(pyridin-4-ylmethylidene)hydrazino]carbonothioyl}-beta-D-glucopyranosylamine", 1117 },
	{ "12F", "", "", ResidueType::NON_POLYMER, false, "", 1118 },
	{ "12G", "", "", ResidueType::NON_POLYMER, false, "{4-[(2R)-3-(2-chlorobenzoyl)-2-(2-chlorophenyl)-4-hydroxy-5-oxo-2,5-dihydro-1H-pyrrol-1-yl]phenyl}acetic acid", 1119 },
	{ "12H", "", "", ResidueType::NON_POLYMER, false, "12-HYDROXYDODECANOIC ACID", 1120 },
	{ "12I", "", "", ResidueType::NON_POLYMER, false, "4-(4-METHYLPIPERAZIN-1-YL)QUINAZOLINE", 1121 },
	{ "12J", "", "", ResidueType::NON_POLYMER, false, "2-iodo-N-[3-(1-methylethoxy)phenyl]benzamide", 1122 },
	{ "12K", "", "", ResidueType::NON_POLYMER, false, "(1-methylcyclohexyl)carbamic acid", 1123 },
	{ "12L", "", "", ResidueType::PEPTIDE_LINKING, false, "(1R,2S,5S)-6,6-dimethyl-3-azabicyclo[3.1.0]hexane-2-carboxylic acid", 1124 },
	{ "12M", "", "", ResidueType::NON_POLYMER, false, "(2-ETHYLPHENYL)METHANOL", 1125 },
	{ "12N", "", "", ResidueType::NON_POLYMER, false, "(2R,3S)-3-amino-4-cyclobutyl-2-hydroxybutanoic acid", 1126 },
	{ "12O", "", "", ResidueType::NON_POLYMER, false, "(1R,2R)-2-{[(1S)-1-[(1,3-dioxo-1,3-dihydro-2H-isoindol-2-yl)methyl]-3,4-dihydroisoquinolin-2(1H)-yl]carbonyl}cyclohexanecarboxylic acid", 1127 },
	{ "12P", "", "", ResidueType::NON_POLYMER, false, "DODECAETHYLENE GLYCOL", 1128 },
	{ "12Q", "", "", ResidueType::NON_POLYMER, false, "1-METHYLQUINOLIN-2(1H)-ONE", 1129 },
	{ "12R", "", "", ResidueType::NON_POLYMER, false, "4-(2-phenylhydrazinyl)-1H-pyrazolo[3,4-d]pyrimidine", 1130 },
	{ "12S", "", "", ResidueType::NON_POLYMER, false, "6,6'-{[5-(3-aminopropyl)benzene-1,3-diyl]diethane-2,1-diyl}bis(4-methylpyridin-2-amine)", 1131 },
	{ "12T", "", "", ResidueType::NON_POLYMER, false, "2-aminobenzene-1,4-dicarboxylic acid", 1132 },
	{ "12U", "", "", ResidueType::NON_POLYMER, false, "N-cycloheptylglycyl-N-(4-carbamimidoylbenzyl)-L-prolinamide", 1133 },
	{ "12V", "", "", ResidueType::NON_POLYMER, false, "", 1134 },
	{ "12W", "", "", ResidueType::NON_POLYMER, false, "cyclopentyl hydrogen carbonate", 1135 },
	{ "12X", "", "", ResidueType::PEPTIDE_LINKING, false, "(4R)-4-[(8-bromo-7-methoxy-2-{2-[(2-methylpropanoyl)amino]-1,3-thiazol-4-yl}quinolin-4-yl)oxy]-L-proline", 1136 },
	{ "12Y", "", "", ResidueType::PEPTIDE_LINKING, false, "(4R)-4-[(7-methoxy-2-{2-[(2-methylpropanoyl)amino]-1,3-thiazol-4-yl}quinolin-4-yl)oxy]-L-proline", 1137 },
	{ "12Z", "", "", ResidueType::NON_POLYMER, false, "[4-amino-2-(cyclohexylamino)-1,3-thiazol-5-yl](pyridin-3-yl)methanone", 1138 },
	{ "130", "", "", ResidueType::NON_POLYMER, false, "2-(2-HYDROXY-BIPHENYL)-1H-BENZOIMIDAZOLE-5-CARBOXAMIDINE", 1139 },
	{ "132", "", "", ResidueType::NON_POLYMER, false, "6-CHLORO-2-(2-HYDROXY-BIPHENYL-3-YL)-1H-INDOLE-5-CARBOXAMIDINE", 1140 },
	{ "133", "", "", ResidueType::NON_POLYMER, false, "6-FLUORO-2-(2-HYDROXY-3-ISOBUTOXY-PHENYL)-1H-BENZOIMIDAZOLE-5-CARBOXAMIDINE", 1141 },
	{ "134", "", "", ResidueType::NON_POLYMER, false, "6-FLUORO-2-[2-HYDROXY-3-(2-METHYL-CYCLOHEXYLOXY)-PHENYL]-1H-INDOLE-5-CARBOXAMIDINE", 1142 },
	{ "135", "", "", ResidueType::NON_POLYMER, false, "N-(4-CARBAMIMIDOYL-PHENYL)-2-HYDROXY-BENZAMIDE", 1143 },
	{ "136", "", "", ResidueType::NON_POLYMER, false, "N-(4-CARBAMIMIDOYL-3-CHORO-PHENYL)-2-HYDROXY-3-IODO-5-METHYL-BENZAMIDE", 1144 },
	{ "137", "", "", ResidueType::NON_POLYMER, false, "1-(O-CARBOXY-PHENYLAMINO)-1-DEOXY-D-RIBULOSE-5-PHOSPHATE", 1145 },
	{ "138", "", "", ResidueType::NON_POLYMER, false, "", 1146 },
	{ "139", "", "", ResidueType::NON_POLYMER, false, "", 1147 },
	{ "13A", "", "", ResidueType::NON_POLYMER, false, "7-(3,4-DIHYDROXY-5R-HYDROXYMETHYLTETRAHYDROFURAN-2-YL)-2,2-DIOXO-1,2R,3R,7-TETRAHYDRO-2L6-IMIDAZO[4,5-C][1,2,6]THIADIAZIN-4S-ONE", 1148 },
	{ "13C", "", "", ResidueType::NON_POLYMER, false, "(5E)-13-CHLORO-14,16-DIHYDROXY-3,4,7,8,9,10-HEXAHYDRO-2-BENZAZACYCLOTETRADECINE-1,11(2H,12H)-DIONE", 1149 },
	{ "13D", "", "", ResidueType::NON_POLYMER, false, "1,3-DIAMINOPROPANE", 1150 },
	{ "13E", "", "", ResidueType::PEPTIDE_LINKING, false, "N-[(2S)-2-amino-3-phenylpropyl]-L-methionine", 1151 },
	{ "13F", "", "", ResidueType::NON_POLYMER, false, "3-methyl-2-oxo-N-phenyl-1,2,3,4-tetrahydroquinazoline-6-sulfonamide", 1152 },
	{ "13H", "", "243", ResidueType::NON_POLYMER, true, "(9Z,11E,13S)-13-HYDROXYOCTADECA-9,11-DIENOIC ACID", 1153 },
	{ "13I", "", "", ResidueType::NON_POLYMER, false, "(E)-ETHYL 13-CHLORO-14,16-DIHYDROXY-1,11-DIOXO-1,2,3,4,7,8,9,10,11,12-DECAHYDROBENZO[C][1]AZACYCLOTETRADECINE-10-CARBOXYLATE", 1154 },
	{ "13J", "", "", ResidueType::NON_POLYMER, false, "3-{4-amino-1-[(3S)-1-propanoylpiperidin-3-yl]-1H-pyrazolo[3,4-d]pyrimidin-3-yl}-N-[4-(propan-2-yl)phenyl]benzamide", 1155 },
	{ "13K", "", "", ResidueType::NON_POLYMER, false, "N~6~-(3,4-dimethoxyphenyl)-2-(morpholin-4-yl)-4,5'-bipyrimidine-2',6-diamine", 1156 },
	{ "13L", "", "", ResidueType::NON_POLYMER, false, "3-{4-amino-1-[(3R)-1-propanoylpiperidin-3-yl]-1H-pyrazolo[3,4-d]pyrimidin-3-yl}-N-[4-(propan-2-yl)phenyl]benzamide", 1157 },
	{ "13M", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(4-methoxy-3-{[(pyren-1-ylcarbonyl)amino]methyl}benzyl)butanoic acid", 1158 },
	{ "13N", "", "", ResidueType::NON_POLYMER, false, "(5E,10R)-N-BENZYL-13-CHLORO-14,16-DIHYDROXY-1,11-DIOXO-1,2,3,4,7,8,9,10,11,12-DECAHYDRO-2-BENZAZACYCLOTETRADECINE-10-CARBOXAMIDE", 1159 },
	{ "13P", "", "", ResidueType::NON_POLYMER, false, "1,3-DIHYDROXYACETONEPHOSPHATE", 1160 },
	{ "13Q", "", "", ResidueType::NON_POLYMER, false, "[(3R,5R,6S)-5-(3-chlorophenyl)-6-(4-chlorophenyl)-1-(cyclopropylmethyl)-2-oxopiperidin-3-yl]acetic acid", 1161 },
	{ "13R", "", "", ResidueType::NON_POLYMER, false, "13(R)-HYDROPEROXY-9(Z),11(E)-OCTADECADIENOIC ACID", 1162 },
	{ "13S", "", "", ResidueType::NON_POLYMER, false, "13(S)-HYDROPEROXY-9(Z),11(E)-OCTADECADIENOIC ACID", 1163 },
	{ "13T", "", "", ResidueType::NON_POLYMER, false, "13-DEOXYTEDANOLIDE", 1164 },
	{ "13U", "", "", ResidueType::NON_POLYMER, false, "N-cyclooctylglycyl-N-(4-carbamimidoylbenzyl)-L-prolinamide", 1165 },
	{ "13V", "", "", ResidueType::NON_POLYMER, false, "4-{3-[2-amino-5-(2-methoxyethoxy)pyrimidin-4-yl]-1H-indol-5-yl}-2-methylbut-3-yn-2-ol", 1166 },
	{ "13W", "", "", ResidueType::NON_POLYMER, false, "3-{5-[(2E,4S)-2-imino-1,4-dimethyl-6-oxohexahydropyrimidin-4-yl]thiophen-3-yl}benzonitrile", 1167 },
	{ "13X", "", "", ResidueType::NON_POLYMER, false, "benzene-1,3,5-triol", 1168 },
	{ "13Y", "", "", ResidueType::NON_POLYMER, false, "2-(3-chlorophenoxy)-4-{(1R)-3-methyl-1-[(3S)-3-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)piperidin-1-yl]butyl}benzoic acid", 1169 },
	{ "13Z", "", "", ResidueType::NON_POLYMER, false, "2-[(2-{(2S,4S)-2-[(R)-(5-tert-butyl-1,3,4-oxadiazol-2-yl)(hydroxy)methyl]-4-fluoropyrrolidin-1-yl}-2-oxoethyl)amino]-2-methylpropan-1-ol", 1170 },
	{ "140", "", "", ResidueType::NON_POLYMER, false, "N-PALMITOYLGLYCINE", 1171 },
	{ "141", "", "", ResidueType::NON_POLYMER, false, "Oxypurinol", 1172 },
	{ "142", "", "", ResidueType::NON_POLYMER, false, "CARBIDOPA", 1173 },
	{ "143", "", "", ResidueType::PEPTIDE_LINKING, false, "S-2,3-DIHYDRO-5-GLYCIN-2-YL-ISOXAZOL-3-YL-CYSTEINE", 1174 },
	{ "144", "", "", ResidueType::NON_POLYMER, false, "TRIS-HYDROXYMETHYL-METHYL-AMMONIUM", 1175 },
	{ "145", "", "", ResidueType::NON_POLYMER, false, "1-O-[O-NITROPHENYL]-BETA-D-GALACTOPYRANOSE", 1176 },
	{ "146", "", "", ResidueType::NON_POLYMER, false, "[4R-(4ALPHA,5ALPHA,6ALPHA,7ALPHA)]-3,3'-{{TETRAHYDRO-5,6-DIHYDROXY-2-OXO-4,7-BIS(PHENYLMETHYL)-1H-1,3-DIAZEPINE-1,3(2H)-DIYL]BIS(METHYLENE)]BIS[N-1H-BENZIMIDAZOL-2-YLBENZAMIDE]", 1177 },
	{ "147", "", "", ResidueType::SACCHARIDE, false, "1-O-[P-NITROPHENYL]-BETA-D-GALACTOPYRANOSE", 1178 },
	{ "148", "", "BTB", ResidueType::NON_POLYMER, true, "2-[BIS-(2-HYDROXY-ETHYL)-AMINO]-2-HYDROXYMETHYL-PROPANE-1,3-DIOL", 1179 },
	{ "149", "", "", ResidueType::SACCHARIDE, false, "D-galactonolactone", 1180 },
	{ "14A", "", "", ResidueType::NON_POLYMER, false, "N-ALLYL-5-AMIDINOAMINOOXY-PROPYLOXY-3-CHLORO-N-CYCLOPENTYLBENZAMIDE", 1181 },
	{ "14B", "", "", ResidueType::NON_POLYMER, false, "2-amino-3,5-dimethylbenzoic acid", 1182 },
	{ "14C", "", "", ResidueType::NON_POLYMER, false, "2-(2-chloropyridin-4-yl)-4-methyl-1H-isoindole-1,3(2H)-dione", 1183 },
	{ "14D", "", "", ResidueType::NON_POLYMER, false, "5-methyl-1-[(3S)-1-{3-[3-(trifluoromethyl)phenoxy]benzyl}piperidin-3-yl]pyrimidine-2,4(1H,3H)-dione", 1184 },
	{ "14E", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-[(S)-(4-bromophenyl)(hydroxy)phosphoryl]-2-[(3-phenyl-1,2-oxazol-5-yl)methyl]propanoic acid", 1185 },
	{ "14F", "", "", ResidueType::NON_POLYMER, false, "2-amino-4,5-dimethoxybenzoic acid", 1186 },
	{ "14H", "", "", ResidueType::NON_POLYMER, false, "N-[(1R,3R)-3-hydroxy-1-(hydroxymethyl)-3-phenylpropyl]tetradecanamide", 1187 },
	{ "14I", "", "", ResidueType::NON_POLYMER, false, "", 1188 },
	{ "14J", "", "", ResidueType::NON_POLYMER, false, "5-bromofuran-2-carboxylic acid", 1189 },
	{ "14K", "", "", ResidueType::NON_POLYMER, false, "4-(2-[(5-fluoro-6-methoxypyridin-3-yl)amino]-5-{(1R)-1-[4-(methylsulfonyl)piperazin-1-yl]ethyl}pyridin-3-yl)-6-methyl-1,3,5-triazin-2-amine", 1190 },
	{ "14L", "", "", ResidueType::NON_POLYMER, false, "(11S,12S,13S)-11,12,13,14-tetrahydronaphtho[1,2,3,4-pqr]tetraphene-11,12,13-triol", 1191 },
	{ "14M", "", "", ResidueType::NON_POLYMER, false, "{(3S)-1-[5-(cyclohexylcarbamoyl)-6-(propylsulfanyl)pyridin-2-yl]piperidin-3-yl}acetic acid", 1192 },
	{ "14N", "", "", ResidueType::NON_POLYMER, false, "4-(4-methylpiperazin-1-yl)benzoic acid", 1193 },
	{ "14O", "", "", ResidueType::NON_POLYMER, false, "5-fluoro-1H-indole", 1194 },
	{ "14Q", "", "", ResidueType::NON_POLYMER, false, "5-{3-[3-(1,3-benzodioxol-5-yl)-5-methoxyphenyl]prop-1-yn-1-yl}-6-ethylpyrimidine-2,4-diamine", 1195 },
	{ "14R", "", "", ResidueType::NON_POLYMER, false, "5-benzyl-2-ethyl-3-{(1S)-5-[2-(1H-tetrazol-5-yl)phenyl]-2,3-dihydro-1H-inden-1-yl}-3,5-dihydro-4H-imidazo[4,5-c]pyridin-4-one", 1196 },
	{ "14S", "", "", ResidueType::NON_POLYMER, false, "4-(cyclopentylamino)-2-[(2-methoxybenzyl)amino]-N-[3-(2-oxopyrrolidin-1-yl)propyl]pyrimidine-5-carboxamide", 1197 },
	{ "14T", "", "", ResidueType::SACCHARIDE, false, "3,4-DIFLUOROPHENYL 2-DEOXY-2-[(DIFLUOROACETYL)AMINO]-BETA-D-GLUCOPYRANOSIDE", 1198 },
	{ "14U", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-methyl-3-oxooctadecanoic acid", 1199 },
	{ "14V", "", "", ResidueType::NON_POLYMER, false, "3,5-dioxoicosanoic acid", 1200 },
	{ "14W", "", "", ResidueType::NON_POLYMER, false, "N-(3-(AMINOMETHYL)BENZYL)ACETAMIDINE", 1201 },
	{ "14X", "", "", ResidueType::NON_POLYMER, false, "3-methyl-6-(pyrrolidin-1-ylsulfonyl)-3,4-dihydroquinazolin-2(1H)-one", 1202 },
	{ "14Y", "", "", ResidueType::NON_POLYMER, false, "METHYL(E)-OCTADEC-9-ENOATE", 1203 },
	{ "14Z", "", "", ResidueType::NON_POLYMER, false, "N-ethyl-3-methyl-2-oxo-1,2,3,4-tetrahydroquinazoline-6-sulfonamide", 1204 },
	{ "150", "", "", ResidueType::NON_POLYMER, false, "4,5-DIMETHYL-1,2-PHENYLENEDIAMINE", 1205 },
	{ "151", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-METHYL-2-((2R,3S)-3-[(METHYLSULFONYL)AMINO]-1-{[2-(PYRROLIDIN-1-YLMETHYL)-1,3-OXAZOL-4-YL]CARBONYL}PYRROLIDIN-2-YL)BUTANOIC ACID", 1206 },
	{ "152", "", "", ResidueType::NON_POLYMER, false, "CARNITINE", 1207 },
	{ "153", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[(2,4-DICHLORO-BENZOYL)-(3-TRIFLUOROMETHYL-BENZYL)-AMINO]-3-PHENYL-PROPIONIC ACID", 1208 },
	{ "154", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[(5-BENZOFURAN-2-YL-THIOPHEN-2-YLMETHYL)-(2,4-DICHLORO-BENZOYL)-AMINO]-3-PHENYL-PROPIONIC ACID", 1209 },
	{ "155", "", "", ResidueType::NON_POLYMER, false, "6-[(Z)-AMINO(IMINO)METHYL]-N-(1-ISOPROPYL-3,4-DIHYDROISOQUINOLIN-7-YL)-2-NAPHTHAMIDE", 1210 },
	{ "156", "", "", ResidueType::NON_POLYMER, false, "4-[3-OXO-3-(5,5,8,8-TETRAMETHYL-5,6,7,8-TETRAHYDRO-NAPHTHALEN-2-YL)-PROPENYL]-BENZOIC ACID", 1211 },
	{ "157", "", "", ResidueType::NON_POLYMER, false, "6-(2-HYDROXY-CYCLOPENTYL)-7-OXO-HEPTANAMIDINE", 1212 },
	{ "158", "", "", ResidueType::NON_POLYMER, false, "3-(2-MERCAPTO-ACETYLAMINO)-4-OXO-PENTANOIC ACID", 1213 },
	{ "159", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXY-5-(2-MERCAPTO-ETHYLSULFAMOYL)-BENZOIC ACID", 1214 },
	{ "15A", "", "", ResidueType::NON_POLYMER, false, "(2Z,3R,4S,5R,6R)-2-[(2-aminoethyl)imino]-6-(hydroxymethyl)piperidine-3,4,5-triol", 1215 },
	{ "15B", "", "", ResidueType::NON_POLYMER, false, "N-{3-[4-(3-AMINO-PROPYL)-PIPERAZIN-1-YL]-PROPYL}-3-NITRO-5-(GALACTOPYRANOSYL)-BETA-BENZAMIDE", 1216 },
	{ "15C", "", "", ResidueType::NON_POLYMER, false, "2-(4-acetylphenyl)-4-methyl-1H-isoindole-1,3(2H)-dione", 1217 },
	{ "15E", "", "", ResidueType::NON_POLYMER, false, "6-bromo-3-methyl-3,4-dihydroquinazolin-2(1H)-one", 1218 },
	{ "15F", "", "", ResidueType::NON_POLYMER, false, "1-BENZYL-4-({[(1E)-2,2,2-TRICHLOROETHANIMIDOYL]OXY}METHYL)PYRIDINIUM", 1219 },
	{ "15G", "", "", ResidueType::NON_POLYMER, false, "2-{2-[(3,4-difluorophenoxy)methyl]-5-methoxypyridin-4-yl}-1,5,6,7-tetrahydro-4H-pyrrolo[3,2-c]pyridin-4-one", 1220 },
	{ "15H", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-(1-{3-[4-(1,3-benzothiazol-2-ylamino)phenoxy]pyrazin-2-yl}piperidin-4-yl)ethanol", 1221 },
	{ "15I", "", "", ResidueType::NON_POLYMER, false, "6-(2,9-Diazaspiro[5.5]undecan-9-yl)-9H-purine", 1222 },
	{ "15J", "", "", ResidueType::NON_POLYMER, false, "(1-{3-[4-(1H-benzimidazol-2-ylamino)phenoxy]pyridin-2-yl}piperidin-4-yl)methanol", 1223 },
	{ "15L", "", "", ResidueType::SACCHARIDE, false, "galactaro-1,5-lactone", 1224 },
	{ "15M", "", "", ResidueType::NON_POLYMER, false, "(5Z)-7-{(1R,2R,3R,5S)-3,5-DIHYDROXY-2-[(1E,3S)-3-HYDROXY-5-PHENYLPENT-1-ENYL]CYCLOPENTYL}-N-ETHYLHEPT-5-ENAMIDE", 1225 },
	{ "15N", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,3-dihydro-1,4-benzodioxine-2-carboxylic acid", 1226 },
	{ "15O", "", "", ResidueType::NON_POLYMER, false, "1-chloronaphthalene", 1227 },
	{ "15P", "", "", ResidueType::NON_POLYMER, false, "POLYETHYLENE GLYCOL (N=34)", 1228 },
	{ "15Q", "", "", ResidueType::NON_POLYMER, false, "2-chloro-3'-fluoro-3-[(E)-(hydroxyimino)methyl]biphenyl-4,4'-diol", 1229 },
	{ "15R", "", "", ResidueType::NON_POLYMER, false, "(9aR)-1-[(1-{2-fluoro-5-[(4-oxo-3,4-dihydrophthalazin-1-yl)methyl]benzoyl}piperidin-4-yl)carbonyl]-1,2,3,8,9,9a-hexahydro-7H-benzo[de][1,7]naphthyridin-7-one", 1230 },
	{ "15S", "", "", ResidueType::NON_POLYMER, false, "N-{(2S)-1-[4-(4-fluorophenyl)-3,6-dihydropyridin-1(2H)-yl]-1-oxopropan-2-yl}-2-[(9aR)-7-oxo-2,3,7,8,9,9a-hexahydro-1H-benzo[de][1,7]naphthyridin-1-yl]acetamide", 1231 },
	{ "15T", "", "", ResidueType::NON_POLYMER, false, "3-(trans-4-{2-[(1R)-1-hydroxyethyl]imidazo[4,5-d]pyrrolo[2,3-b]pyridin-1(6H)-yl}cyclohexyl)propanenitrile", 1232 },
	{ "15U", "", "", ResidueType::PEPTIDE_LIKE, false, "(2R,4R)-4-methyl-1-(N~2~-{[(3S)-3-methyl-1,2,3,4-tetrahydroquinolin-8-yl]sulfonyl}-L-arginyl)piperidine-2-carboxylic acid", 1233 },
	{ "15V", "", "", ResidueType::NON_POLYMER, false, "N-[1-(3-chlorophenyl)-3-methyl-1H-pyrazol-5-yl]pyrazolo[1,5-a]pyrimidine-3-carboxamide", 1234 },
	{ "15W", "", "", ResidueType::NON_POLYMER, false, "7-hydroxy-2-(4-methoxyphenyl)-4H-chromen-4-one", 1235 },
	{ "15X", "", "", ResidueType::NON_POLYMER, false, "1-{4-[(2-fluoro-6-methoxy-3'-nitrobiphenyl-3-yl)methyl]phenyl}urea", 1236 },
	{ "15Y", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-methyl-1,2,3,4-tetrahydroquinoline-8-sulfonic acid", 1237 },
	{ "15Z", "", "", ResidueType::NON_POLYMER, false, "2-(3,4-dihydroxyphenyl)-7-hydroxy-4H-chromen-4-one", 1238 },
	{ "160", "", "", ResidueType::NON_POLYMER, false, "3-(3-{2-[(5-METHANESULFONYL-THIOPHENE-2-CARBONYL)-AMINO]-ETHYLDISULFANYLMETHYL}- BENZENESULFONYLAMINO)-4-OXO-PENTANOIC ACID", 1239 },
	{ "161", "", "", ResidueType::NON_POLYMER, false, "5-[4-(1-CARBOXYMETHYL-2-OXO-PROPYLCARBAMOYL)-BENZYLSULFAMOYL]-2-HYDROXY-BENZOIC ACID", 1240 },
	{ "162", "", "", ResidueType::PEPTIDE_LIKE, false, "(2-{2-[(5-CARBAMIMIDOYL-1-METHYL-1H-PYRROL-3-YLMETHYL)-CARBAMOYL]-PYRROL-1-YL} -1-CYCLOHEXYLMETHYL-2-OXO-ETHYLAMINO)-ACETIC ACID", 1241 },
	{ "163", "", "", ResidueType::PEPTIDE_LIKE, false, "(2-{2-[(5-CARBAMIMIDOYL-1-METHYL-1H-PYRROL-2-YLMETHYL)-CARBAMOYL]-PYRROL-1-YL}- 1-CYCLOHEXYLMETHYL-2-OXO-ETHYLAMINO)-ACETIC ACID", 1242 },
	{ "164", "", "", ResidueType::NON_POLYMER, false, "2-(3-CARBOXYPROPIONYL)-6-HYDROXY-CYCLOHEXA-2,4-DIENE CARBOXYLIC ACID", 1243 },
	{ "165", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(BENZYLSULFONYL)-3-CYCLOHEXYLALANYL-N-(2-AMINO-1,3-BENZOTHIAZOL-6-YL)PROLINAMIDE", 1244 },
	{ "166", "", "", ResidueType::NON_POLYMER, false, "6-CARBAMIMIDOYL-2-[2-HYDROXY-6-(4-HYDROXY-PHENYL)-INDAN-1-YL]-HEXANOIC ACID", 1245 },
	{ "167", "", "", ResidueType::NON_POLYMER, false, "6-CARBAMIMIDOYL-2-[2-HYDROXY-5-(3-METHOXY-PHENYL)-INDAN-1-YL]-HEXANOIC ACID", 1246 },
	{ "168", "", "", ResidueType::NON_POLYMER, false, "PANTOTHENYL-AMINOETHANOL-ACETATE PIVALIC ACID", 1247 },
	{ "169", "", "", ResidueType::NON_POLYMER, false, "1-(4-TERT-BUTYLCARBAMOYL-PIPERAZINE-1-CARBONYL)-3-(3-GUANIDINO-PROPYL)-4-OXO-AZETIDINE-2-CARBOXYLIC ACID", 1248 },
	{ "16A", "", "", ResidueType::NON_POLYMER, false, "CETYL-TRIMETHYL-AMMONIUM", 1249 },
	{ "16B", "", "", ResidueType::NON_POLYMER, false, "", 1250 },
	{ "16C", "", "", ResidueType::NON_POLYMER, false, "N-((E,2S,3R)-1,3-DIHYDROXYOCTADEC-4-EN-2-YL)PALMITAMIDE", 1251 },
	{ "16D", "", "", ResidueType::NON_POLYMER, false, "HEXANE-1,6-DIAMINE", 1252 },
	{ "16E", "", "", ResidueType::NON_POLYMER, false, "N-(16-Carboxyhexadecanoyl)-L-glutamic acid", 1253 },
	{ "16F", "", "", ResidueType::NON_POLYMER, false, "N-({(2Z)-2-[(3-hydroxyphenyl)methylidene]hydrazino}carbonothioyl)-beta-D-glucopyranosylamine", 1254 },
	{ "16G", "", "", ResidueType::SACCHARIDE, false, "N-ACETYL-D-GLUCOSAMINE-6-PHOSPHATE", 1255 },
	{ "16H", "", "", ResidueType::NON_POLYMER, false, "N-[(1R,3R)-3-hydroxy-1-(hydroxymethyl)-3-phenylpropyl]hexadecanamide", 1256 },
	{ "16I", "", "", ResidueType::NON_POLYMER, false, "N-[4-(4-OXO-3,4-DIHYDROQUINAZOLIN-2-YL)PHENYL]THIOPHENE-2-CARBOXAMIDE", 1257 },
	{ "16J", "", "", ResidueType::NON_POLYMER, false, "[4-(4-chlorophenyl)piperazin-1-yl](morpholin-4-yl)methanone", 1258 },
	{ "16K", "", "", ResidueType::NON_POLYMER, false, "4-(2,4-dimethyl-1,3-thiazol-5-yl)-N-(3-nitrophenyl)pyrimidin-2-amine", 1259 },
	{ "16L", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(E)-2-(4-hydroxy-3,5-dimethylphenyl)ethenyl]phenyl}prop-2-enamide", 1260 },
	{ "16M", "", "", ResidueType::NON_POLYMER, false, "(ethylsulfanyl)benzene", 1261 },
	{ "16N", "", "", ResidueType::NON_POLYMER, false, "2,3-dihydro-1H-indene", 1262 },
	{ "16O", "", "", ResidueType::NON_POLYMER, false, "N-({(2E)-2-[(4-bromophenyl)methylidene]hydrazino}carbonothioyl)-beta-D-glucopyranosylamine", 1263 },
	{ "16P", "", "", ResidueType::NON_POLYMER, false, "3,6,9,12,15,18-HEXAOXAICOSANE", 1264 },
	{ "16Q", "", "", ResidueType::NON_POLYMER, false, "ethoxybenzene", 1265 },
	{ "16R", "", "", ResidueType::NON_POLYMER, false, "(methylsulfanyl)benzene", 1266 },
	{ "16S", "", "", ResidueType::NON_POLYMER, false, "2-(3,4-dihydroxyphenyl)-4H-chromen-4-one", 1267 },
	{ "16T", "", "", ResidueType::NON_POLYMER, false, "1-[(3S)-1-{[3-(3-chlorophenoxy)-4-hydroxyphenyl]sulfonyl}piperidin-3-yl]-5-methylpyrimidine-2,4(1H,3H)-dione", 1268 },
	{ "16U", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(3-chlorobenzyl)-1-(4-methylpentanoyl)-L-prolinamide", 1269 },
	{ "16V", "", "", ResidueType::NON_POLYMER, false, "3-[3-(3,5-dimethyl-1H-pyrazol-4-yl)propoxy]-4-fluorobenzoic acid", 1270 },
	{ "16W", "", "", ResidueType::NON_POLYMER, false, "3-[(3-chlorophenoxy)methyl]-1-(tetrahydro-2H-pyran-4-yl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 1271 },
	{ "16X", "", "", ResidueType::NON_POLYMER, false, "4-(2-amino-4-methyl-1,3-thiazol-5-yl)-N-(3-dioxaziridin-3-ylphenyl)pyrimidin-2-amine", 1272 },
	{ "16Y", "", "", ResidueType::NON_POLYMER, false, "16-hydroxyhexadecanoic acid", 1273 },
	{ "16Z", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,4R,5S)-2-(4-methoxyphenyl)-1,5-dimethylpyrrolidine-3,4-diol", 1274 },
	{ "170", "", "", ResidueType::NON_POLYMER, false, "(2-[6-CHLORO-3-{[2,2-DIFLUORO-2-(1-OXIDOPYRIDIN-2-YL)ETHYL]AMINO}-2-OXOPYRAZIN-1(2H)-YL]-N-[5-CHLORO-2-(1H-TETRAZOL-1-YL)BENZYL]ACETAMIDE", 1275 },
	{ "171", "", "", ResidueType::NON_POLYMER, false, "2-PHENYLAMINO-ETHANESULFONIC ACID", 1276 },
	{ "172", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-5-HYDROXY-BENZIMIDAZOLE", 1277 },
	{ "173", "", "", ResidueType::NON_POLYMER, false, "BENZOYL-FORMIC ACID", 1278 },
	{ "174", "", "", ResidueType::NON_POLYMER, false, "4-CHLORO-BENZOIC ACID", 1279 },
	{ "175", "", "", ResidueType::PEPTIDE_LINKING, false, "3,5-DIHYDRO-5-METHYLIDENE-4H-IMIDAZOL-4-ON", 1280 },
	{ "176", "", "", ResidueType::PEPTIDE_LIKE, false, "1-(2-AMINO-3,3-DIPHENYL-PROPIONYL)-PYRROLIDINE-3-CARBOXYLIC ACID 2,5-DICHLORO-BENZYLAMIDE", 1281 },
	{ "177", "", "", ResidueType::PEPTIDE_LIKE, false, "1-[2-AMINO-2-CYCLOHEXYL-ACETYL]-PYRROLIDINE-3-CARBOXYLIC ACID 5-CHLORO-2-(2-ETHYLCARBAMOYL-ETHOXY)-BENZYLAMIDE", 1282 },
	{ "178", "", "", ResidueType::NON_POLYMER, false, "4-(4-HYDROXY-3-ISOPROPYLPHENYLTHIO)-2-ISOPROPYLPHENOL", 1283 },
	{ "179", "", "", ResidueType::NON_POLYMER, false, "N-[(naphthalen-2-ylamino)(oxo)acetyl]-beta-D-glucopyranosylamine", 1284 },
	{ "17A", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[3-(AMINOMETHYL)PHENYL]-3-[(R)-{(1R)-1-[(BIPHENYL-4-YLSULFONYL)AMINO]-2-METHYLPROPYL}(HYDROXY)PHOSPHORYL]PROPANOIC ACID", 1285 },
	{ "17B", "", "", ResidueType::NON_POLYMER, false, "(2Z,3R,4S,5R,6R)-2-[(4-aminobutyl)imino]-6-(hydroxymethyl)piperidine-3,4,5-triol", 1286 },
	{ "17C", "", "", ResidueType::NON_POLYMER, false, "", 1287 },
	{ "17D", "", "", ResidueType::NON_POLYMER, false, "2-benzylbenzoic acid", 1288 },
	{ "17E", "", "", ResidueType::NON_POLYMER, false, "5-methylcytosine", 1289 },
	{ "17F", "", "", ResidueType::NON_POLYMER, false, "O-[(S)-({(2R)-2,3-bis[(9Z)-octadec-9-enoyloxy]propyl}oxy)(hydroxy)phosphoryl]-L-serine", 1290 },
	{ "17G", "", "", ResidueType::NON_POLYMER, false, "9-(6-aminopyridin-3-yl)-1-[3-(trifluoromethyl)phenyl]benzo[h][1,6]naphthyridin-2(1H)-one", 1291 },
	{ "17H", "", "", ResidueType::NON_POLYMER, false, "17-HYDROXY-18A-HOMO-19-NOR-17ALPHA-PREGNA-4,9,11-TRIEN-3-ONE", 1292 },
	{ "17J", "", "", ResidueType::NON_POLYMER, false, "4-(3-phenyl-1,2,4-thiadiazol-5-yl)-N-(pyridin-3-yl)piperazine-1-carboxamide", 1293 },
	{ "17K", "", "", ResidueType::NON_POLYMER, false, "(3R)-N-(2-formylindolizin-3-yl)-4-[(phenylacetyl)oxy]-3-sulfino-D-valine", 1294 },
	{ "17L", "", "", ResidueType::NON_POLYMER, false, "(9aS)-8-acetyl-N-[(3-ethoxynaphthalen-1-yl)methyl]-1,7-dihydroxy-3-methoxy-9a-methyl-9-oxo-9,9a-dihydrodibenzo[b,d]furan-4-carboxamide", 1295 },
	{ "17M", "", "", ResidueType::NON_POLYMER, false, "17-METHYL-17-ALPHA-DIHYDROEQUILENIN", 1296 },
	{ "17N", "", "", ResidueType::NON_POLYMER, false, "8-methoxyphenanthro[3,4-d][1,3]dioxole-5,6-dicarboxylic acid", 1297 },
	{ "17O", "", "", ResidueType::NON_POLYMER, false, "(7R)-6-formyl-7-(4H-pyrazolo[1,5-c][1,3]thiazol-2-yl)-4,7-dihydro-1,4-thiazepine-3-carboxylic acid", 1298 },
	{ "17P", "", "", ResidueType::NON_POLYMER, false, "1-(cyclohexylamino)-7-(1-methyl-1H-pyrazol-4-yl)-5H-pyrido[4,3-b]indole-4-carboxamide", 1299 },
	{ "17Q", "", "", ResidueType::NON_POLYMER, false, "1.7.6 5-cyclododecyloxy-N,N-dimethyl-pentan-1-amine", 1300 },
	{ "17R", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-[4-fluoro-2-(trifluoromethyl)phenyl]-2-methyl-1-{[3-(1H-1,2,4-triazol-1-yl)phenyl]sulfonyl}piperazine", 1301 },
	{ "17S", "", "", ResidueType::NON_POLYMER, false, "N-({(2E)-2-[(4-methoxyphenyl)methylidene]hydrazino}carbonothioyl)-beta-D-glucopyranosylamine", 1302 },
	{ "17T", "", "", ResidueType::NON_POLYMER, false, "N-({(2E)-2-[(4-chlorophenyl)methylidene]hydrazino}carbonothioyl)-beta-D-glucopyranosylamine", 1303 },
	{ "17U", "", "", ResidueType::NON_POLYMER, false, "(3S,4S)-4-amino-2,6-dimethylhept-1-en-3-ol", 1304 },
	{ "17V", "", "", ResidueType::NON_POLYMER, false, "2-[1-(propan-2-yl)-1H-1,2,4-triazol-5-yl]-4,5-dihydrothieno[3,2-d][1]benzoxepine-8-carboxamide", 1305 },
	{ "17W", "", "", ResidueType::NON_POLYMER, false, "2-[(2-phenoxyethyl)sulfanyl]-1H-benzimidazole", 1306 },
	{ "17X", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(2-phenyl-1H-benzimidazol-1-yl)-2-(piperidin-4-yl)ethyl 1-(1-benzyl-1H-benzimidazol-2-yl)piperidine-4-carboxylate", 1307 },
	{ "17Y", "", "", ResidueType::NON_POLYMER, false, "(1R,2S)-cyclopentane-1,2-diol", 1308 },
	{ "17Z", "", "", ResidueType::NON_POLYMER, false, "2-methylnaphthalene-1,4-diol", 1309 },
	{ "180", "", "", ResidueType::NON_POLYMER, false, "2-(S)-[N-(3-PYRIDYLSULFONYL)AMINO]-3-[[2-CARBONYL-5-[2-(PIPERIDIN-4-YL)ETHYL]-THIENO[2,3-B]THIOPHENEYL]AMINO]-PROPIONIC ACID", 1310 },
	{ "181", "", "", ResidueType::NON_POLYMER, false, "1-((2-HYDROXYETHOXY)METHYL)-5-(PHENYLTHIO)PYRIMIDINE-2,4(1H,3H)-DIONE", 1311 },
	{ "182", "", "", ResidueType::NON_POLYMER, false, "1-((2-HYDROXYETHOXY)METHYL)-5-(PHENYLSELANYL)PYRIMIDINE-2,4(1H,3H)-DIONE", 1312 },
	{ "183", "", "", ResidueType::NON_POLYMER, false, "1-((2-HYDROXYETHOXY)METHYL)-5-(3-(BENZYLOXY)BENZYL)PYRIMIDINE-2,4(1H,3H)-DIONE", 1313 },
	{ "184", "", "", ResidueType::NON_POLYMER, false, "6-[HYDROXY-(5,5,8,8-TETRAMETHYL-5,6,7,8-TETRAHYDRO-NAPHTALEN-2-YL)-METHYL]-NAPHTALENE-2-CARBOXYLIC ACID", 1314 },
	{ "185", "", "", ResidueType::NON_POLYMER, false, "(6-[4-(AMINOMETHYL)-2,6-DIMETHYLPHENOXY]-2-{[4-(AMINOMETHYL)PHENYL]AMINO}-5-BROMOPYRIMIDIN-4-YL)METHANOL", 1315 },
	{ "186", "", "", ResidueType::NON_POLYMER, false, "[1-(1-METHYL-4,5-DIOXO-PENT-2-ENYLCARBAMOYL)-2-PHENYL-ETHYL]-CARBAMIC ACID BENZYL ESTER", 1316 },
	{ "187", "", "", ResidueType::NON_POLYMER, false, "1-{3-[AMINO(IMINO)METHYL]PHENYL}-N-[4-(1H-BENZIMIDAZOL-1-YL)-2-FLUOROPHENYL]-3-(TRIFLUOROMETHYL)-1H-PYRAZOLE-5-CARBOXAMIDE", 1317 },
	{ "188", "", "", ResidueType::NON_POLYMER, false, "PYOCHELIN FE(III)", 1318 },
	{ "189", "", "", ResidueType::NON_POLYMER, false, "N-BENZYL-2-(2,6-DIMETHYLPHENOXY)-N-[((3R,4S)-4-{[ISOBUTYL(PHENYLSULFONYL)AMINO]METHYL}PYRROLIDIN-3-YL)METHYL]ACETAMIDE", 1319 },
	{ "18A", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(E)-2-(4-hydroxy-3,5-dimethylphenyl)ethenyl]phenyl}propanamide", 1320 },
	{ "18B", "", "", ResidueType::NON_POLYMER, false, "", 1321 },
	{ "18C", "", "", ResidueType::NON_POLYMER, false, "N-((E,2S,3R)-1,3-DIHYDROXYOCTADEC-4-EN-2-YL)STEARAMIDE", 1322 },
	{ "18D", "", "", ResidueType::NON_POLYMER, false, "3,5-DIDEOXY-5-(PROPANOYLAMINO)-D-GLYCERO-ALPHA-D-GALACTO-NON-2-ULOPYRANOSONIC ACID", 1323 },
	{ "18E", "", "", ResidueType::NON_POLYMER, false, "7-chloro-10-methyl-11H-benzo[g]pyrido[4,3-b]indol-3-ol", 1324 },
	{ "18F", "", "", ResidueType::NON_POLYMER, false, "1-benzyl-2-phenyl-1H-benzimidazole", 1325 },
	{ "18G", "", "", ResidueType::NON_POLYMER, false, "5-[3-(2,5-dimethoxy-4-phenylphenyl)but-1-yn-1-yl]-6-methylpyrimidine-2,4-diamine", 1326 },
	{ "18H", "", "", ResidueType::NON_POLYMER, false, "5-[3-(2-methoxy-4-phenylphenyl)but-1-yn-1-yl]-6-methylpyrimidine-2,4-diamine", 1327 },
	{ "18I", "", "", ResidueType::NON_POLYMER, false, "3,3'-difluoro-N-[(2S)-3-(1H-indol-3-yl)-1-oxo-1-(pyridin-4-ylamino)propan-2-yl]biphenyl-4-carboxamide", 1328 },
	{ "18J", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(E)-2-(4-hydroxy-3,5-dimethylphenyl)ethenyl]phenyl}ethanesulfonamide", 1329 },
	{ "18K", "", "", ResidueType::NON_POLYMER, false, "N'-[4-(2-amino-4-methyl-1,3-thiazol-5-yl)pyrimidin-2-yl]-N,N-dimethylbenzene-1,4-diamine", 1330 },
	{ "18L", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-hydroxy-3-(phosphonooxy)propyl (9Z,12Z)-octadeca-9,12-dienoate", 1331 },
	{ "18M", "", "", ResidueType::RNA_LINKING, false, "", 1332 },
	{ "18N", "", "", ResidueType::NON_POLYMER, false, "1H-benzo[de]isoquinoline-1,3(2H)-dione", 1333 },
	{ "18O", "", "", ResidueType::NON_POLYMER, false, "N-({(2E)-2-[(4-nitrophenyl)methylidene]hydrazino}carbonothioyl)-beta-D-glucopyranosylamine", 1334 },
	{ "18P", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(2R)-6-amino-2,4-dimethyl-3-oxo-2,3,4,5-tetrahydropyrazin-2-yl]phenyl}-5-chloropyridine-2-carboxamide", 1335 },
	{ "18Q", "", "", ResidueType::DNA_LINKING, false, "", 1336 },
	{ "18R", "", "", ResidueType::NON_POLYMER, false, "3-{1-[(3R)-1-acryloylpiperidin-3-yl]-4-amino-1H-pyrazolo[3,4-d]pyrimidin-3-yl}-N-(3-tert-butylphenyl)benzamide", 1337 },
	{ "18S", "", "", ResidueType::NON_POLYMER, false, "N-({(2E)-2-[(4-methylphenyl)methylidene]hydrazino}carbonothioyl)-beta-D-glucopyranosylamine", 1338 },
	{ "18T", "", "", ResidueType::SACCHARIDE, false, "[(2R,3S,5R)-3-hydroxy-5-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)tetrahydrofuran-2-yl]methyl (2R,3R,4S,5S,6R)-3,4,5-trihydroxy-6-methyltetrahydro-2H-pyran-2-yl dihydrogen diphosphate", 1339 },
	{ "18U", "", "", ResidueType::NON_POLYMER, false, "3-[(4-carboxybenzyl)sulfamoyl]thiophene-2-carboxylic acid", 1340 },
	{ "18V", "", "", ResidueType::NON_POLYMER, false, "2-[({2-[3-(2-fluoroethoxy)-4-methoxyphenyl]-5-propyl-1,3-thiazol-4-yl}methyl)sulfanyl]pyrimidine-4,6-diamine", 1341 },
	{ "18W", "", "", ResidueType::NON_POLYMER, false, "3-[(5Z)-5-{[3-(2-carboxyethyl)-4-(carboxymethyl)-5-methyl-1H-pyrrol-2-yl]methylidene}-4-(carboxymethyl)-2-oxo-2,5-dihydro-1H-pyrrol-3-yl]propanoic acid", 1342 },
	{ "18X", "", "", ResidueType::NON_POLYMER, false, "methyl (2Z)-cyano[3-(3-fluorobiphenyl-4-yl)-4-oxo-1,3-thiazolidin-2-ylidene]acetate", 1343 },
	{ "18Y", "", "", ResidueType::SACCHARIDE, false, "Trioxacarcin A analogue, bound form", 1344 },
	{ "18Z", "", "", ResidueType::NON_POLYMER, false, "2-{[(2-aminopyrimidin-5-yl)methyl]amino}-5-nitro-4-{[2-(piperazin-1-yl)ethyl]amino}benzamide", 1345 },
	{ "190", "", "", ResidueType::NON_POLYMER, false, "N-{(1S)-1-(3-BROMOBENZYL)-4-[(4-BROMOPHENYL)SULFONYL]-6-METHYL-2-OXOHEPTYL}-2-(2,6-DIMETHYLPHENOXY)ACETAMIDE", 1346 },
	{ "191", "", "", ResidueType::NON_POLYMER, true, "PROPIONYL COENZYME A", 1347 },
	{ "192", "", "", ResidueType::PEPTIDE_LINKING, false, "1-AMINOCYCLOBUTANECARBOXLIC ACID", 1348 },
	{ "193", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-4-(BETA-ALANYLAMINO)-2-AMINOBUTANOIC ACID", 1349 },
	{ "194", "", "", ResidueType::NON_POLYMER, false, "4-{2-[(3-NITROBENZOYL)AMINO]PHENOXY}PHTHALIC ACID", 1350 },
	{ "195", "", "", ResidueType::NON_POLYMER, false, "4-{2,4-BIS[(3-NITROBENZOYL)AMINO]PHENOXY}PHTHALIC ACID", 1351 },
	{ "196", "", "", ResidueType::NON_POLYMER, false, "3-(3-FLUORO-4-HYDROXYPHENYL)-7-HYDROXY-1-NAPHTHONITRILE", 1352 },
	{ "197", "", "", ResidueType::NON_POLYMER, false, "4-[2-ACETYLAMINO-2-(1-BIPHENYL-4-YLMETHYL-2-OXO-AZEPAN-3-YLCARBAMOYL)-ETHYL]-2-FORMYL-BENZOIC ACID", 1353 },
	{ "198", "", "", ResidueType::NON_POLYMER, false, "R-BICALUTAMIDE", 1354 },
	{ "199", "", "", ResidueType::NON_POLYMER, false, "N-{5-[4-(4-METHYLPIPERAZIN-1-YL)PHENYL]-1H-PYRROLO[2,3-B]PYRIDIN-3-YL}NICOTINAMIDE", 1355 },
	{ "19A", "", "", ResidueType::NON_POLYMER, false, "N,N-DIMETHYL-4-(4-PHENYL-1H-PYRAZOL-3-YL)-1H-PYRROLE-2-CARBOXAMIDE", 1356 },
	{ "19B", "", "", ResidueType::NON_POLYMER, false, "4-methyl-N-(3-morpholin-4-ylphenyl)-3-(3-piperidin-4-yl-1,2-benzisoxazol-6-yl)benzamide", 1357 },
	{ "19C", "", "", ResidueType::NON_POLYMER, false, "2-[(3-chloranyl-4-fluoranyl-phenyl)methyl]-6,7-bis(oxidanyl)isoindol-1-one", 1358 },
	{ "19D", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3R,4R,5R,7R)-2-(acetylamino)-7-[(1R)-1,2-dihydroxyethyl]-4-fluoro-3-hydroxy-6,8-dioxabicyclo[3.2.1]octane-5-carboxylic acid", 1359 },
	{ "19E", "", "", ResidueType::NON_POLYMER, false, "11-chloro-8-methyl-7H-benzo[e]pyrido[4,3-b]indol-3-ol", 1360 },
	{ "19F", "", "", ResidueType::NON_POLYMER, false, "2-(3,4-dimethoxybenzyl)-7-[(2R,3R)-2-hydroxy-6-phenylhexan-3-yl]-5-methylimidazo[5,1-f][1,2,4]triazin-4(3H)-one", 1361 },
	{ "19G", "", "", ResidueType::NON_POLYMER, false, "3-[3-(4-chloro-3,5-dimethylphenoxy)propyl]-1-benzothiophene-2-carboxylic acid", 1362 },
	{ "19H", "", "", ResidueType::NON_POLYMER, false, "6-chloro-3-[3-(4-chloro-3,5-dimethylphenoxy)propyl]-1H-indole-2-carboxylic acid", 1363 },
	{ "19J", "", "", ResidueType::PEPTIDE_LIKE, false, "2-[2-[(2-azanyl-4-oxidanylidene-1H-pteridin-7-yl)carbonylamino]ethanoylamino]ethanoic acid", 1364 },
	{ "19K", "", "", ResidueType::NON_POLYMER, false, "N~4~-[4-(2,4-dimethyl-1,3-thiazol-5-yl)pyrimidin-2-yl]-N~1~,N~1~-dimethyl-2-nitrobenzene-1,4-diamine", 1365 },
	{ "19L", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-2-[[(2S)-2-[(2-azanyl-4-oxidanylidene-1H-pteridin-7-yl)carbonylamino]-3-oxidanyl-propanoyl]amino]-3-(1H-indol-3-yl)propanoic acid", 1366 },
	{ "19M", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-2-[[(2S)-2-[2-[(2-azanyl-4-oxidanylidene-1H-pteridin-7-yl)carbonylamino]ethanoylamino]-3-phenyl-propanoyl]amino]-3-phenyl-propanoic acid", 1367 },
	{ "19N", "", "", ResidueType::NON_POLYMER, false, "[(1R)-1-amino-5-carbamimidamidopentyl]phosphonic acid", 1368 },
	{ "19O", "", "", ResidueType::NON_POLYMER, false, "Natrium-(5,7 ,9 ,11 ,16 ,18 ,20 ,22 )-5,7,9,11,16,18,20,22-octahydro-5,22:7,20:9,18:11,16-tetramethanononacen-8,19-bisphosphate", 1369 },
	{ "19P", "", "", ResidueType::NON_POLYMER, false, "1-{1-[(2S)-2-hydroxypropanoyl]piperidin-4-yl}-3-methyl-8-(6-methylpyridin-3-yl)-1,3-dihydro-2H-imidazo[4,5-c][1,5]naphthyridin-2-one", 1370 },
	{ "19Q", "", "", ResidueType::NON_POLYMER, false, "2-cyclopropyl-N-[(2S)-3-hydroxy-3-methylbutan-2-yl]-5H-pyrrolo[2,3-b]pyrazine-7-carboxamide", 1371 },
	{ "19R", "", "", ResidueType::NON_POLYMER, false, "2-cyclopropyl-N-[(2R)-3-hydroxy-3-methylbutan-2-yl]-5H-pyrrolo[2,3-b]pyrazine-7-carboxamide", 1372 },
	{ "19S", "", "", ResidueType::NON_POLYMER, false, "2-cyclopropyl-N-[(2R)-1-oxo-1-(piperidin-1-yl)propan-2-yl]-5H-pyrrolo[2,3-b]pyrazine-7-carboxamide", 1373 },
	{ "19T", "", "", ResidueType::NON_POLYMER, false, "(4-{[2-(5-chlorothiophen-2-yl)-5-ethyl-6-methylpyrimidin-4-yl]amino}phenyl)acetic acid", 1374 },
	{ "19U", "", "", ResidueType::PEPTIDE_LIKE, false, "1-[(2R)-2-aminobutanoyl]-N-(3-chlorobenzyl)-L-prolinamide", 1375 },
	{ "19V", "", "", ResidueType::NON_POLYMER, false, "4-[5-(4-tert-butylpiperazin-1-yl)pyridin-2-yl]-N-[(1R,2S,3S,5S,7s)-5-carbamoyltricyclo[3.3.1.1~3,7~]dec-2-yl]-3,4-dihydroquinoxaline-1(2H)-carboxamide", 1376 },
	{ "19W", "", "", ResidueType::PEPTIDE_LINKING, false, "5-(aminooxy)-L-norvaline", 1377 },
	{ "19X", "", "", ResidueType::NON_POLYMER, false, "6-({4-[(3R)-3-aminopyrrolidin-1-yl]-5-chloro-6-ethyl-7H-pyrrolo[2,3-d]pyrimidin-2-yl}sulfanyl)-1H-isoindol-1-one", 1378 },
	{ "19Y", "", "", ResidueType::NON_POLYMER, false, "6-ethyl-4-methoxy-2-(pyridin-3-ylsulfanyl)-7H-pyrrolo[2,3-d]pyrimidine-5-carbaldehyde", 1379 },
	{ "19Z", "", "", ResidueType::NON_POLYMER, false, "2-[(4-hydroxybenzyl)amino]-5-nitrobenzamide", 1380 },
	{ "1A0", "", "", ResidueType::NON_POLYMER, false, "(3R)-1-[5-chloro-6-ethyl-2-(pyrido[2,3-b]pyrazin-7-ylsulfanyl)-7H-pyrrolo[2,3-d]pyrimidin-4-yl]pyrrolidin-3-amine", 1381 },
	{ "1A1", "", "", ResidueType::NON_POLYMER, false, "N-[7-(1H-imidazol-1-yl)-2-(pyridin-3-yl)[1,3]thiazolo[5,4-d]pyrimidin-5-yl]cyclopropanecarboxamide", 1382 },
	{ "1A2", "", "", ResidueType::NON_POLYMER, false, "5-(4'-AMINO-1'-ETHYL-5',8'-DIFLUORO-1'H-SPIRO[PIPERIDINE-4,2'-QUINAZOLINE]-1-YLCARBONYL)PICOLINONITRILE", 1383 },
	{ "1A3", "", "", ResidueType::NON_POLYMER, false, "N-[3-(2-oxo-2,3-dihydro-1,3-thiazol-4-yl)phenyl]-1-phenylmethanesulfonamide", 1384 },
	{ "1A4", "", "", ResidueType::NON_POLYMER, false, "N-[3-(2-oxo-2,3-dihydro-1,3-thiazol-4-yl)phenyl]thiophene-2-sulfonamide", 1385 },
	{ "1A5", "", "", ResidueType::NON_POLYMER, false, "4-(2-oxo-1,3-oxazolidin-3-yl)benzamide", 1386 },
	{ "1A6", "", "", ResidueType::NON_POLYMER, false, "3-{[(3-methyl-1,2-oxazol-5-yl)methyl]sulfanyl}[1,2,4]triazolo[4,3-a]pyridine", 1387 },
	{ "1A7", "", "", ResidueType::NON_POLYMER, false, "4-(2-fluorophenyl)-1,3-thiazol-2(3H)-one", 1388 },
	{ "1A8", "", "", ResidueType::NON_POLYMER, false, "N-{3-(2-oxo-2,3-dihydro-1,3-thiazol-4-yl)-5-[(thiophen-2-ylsulfonyl)amino]phenyl}butanamide", 1389 },
	{ "1A9", "", "", ResidueType::NON_POLYMER, false, "3-cyclohexyl-N-{3-(2-oxo-2,3-dihydro-1,3-thiazol-4-yl)-5-[(thiophen-2-ylsulfonyl)amino]phenyl}propanamide", 1390 },
	{ "1AA", "", "", ResidueType::NON_POLYMER, false, "5'-O-[({[(2-{[(2-AMINOPHENYL)CARBONYL]OXY}ETHYL)OXY]PHOSPHINATO}OXY)PHOSPHINATO]CYTIDINE", 1391 },
	{ "1AB", "", "", ResidueType::NON_POLYMER, false, "1,4-DIDEOXY-1,4-IMINO-D-ARABINITOL", 1392 },
	{ "1AC", "", "", ResidueType::PEPTIDE_LINKING, false, "1-AMINOCYCLOPROPANECARBOXYLIC ACID", 1393 },
	{ "1AD", "", "", ResidueType::NON_POLYMER, false, "(1S)-2-[(2S,5R)-2-(AMINOMETHYL)-5-PROP-1-YN-1-YLPYRROLIDIN-1-YL]-1-CYCLOPENTYL-2-OXOETHANAMINE", 1394 },
	{ "1AE", "", "", ResidueType::NON_POLYMER, false, "(1Z)-2-HYDROXY-3-OXOHEX-1-EN-1-YL DIHYDROGEN PHOSPHATE", 1395 },
	{ "1AF", "", "", ResidueType::NON_POLYMER, false, "2,4-BIS{[4-(N-CYCLOPENTYLDIAMINOMETHYL)PHENYL]}FURAN", 1396 },
	{ "1AG", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,3-dihydroxypropyl (5Z,8Z,11Z,14Z)-icosa-5,8,11,14-tetraenoate", 1397 },
	{ "1AH", "", "", ResidueType::NON_POLYMER, false, "3-AMINO-3-BENZYL-[4.3.0]BICYCLO-1,6-DIAZANONAN-2-ONE", 1398 },
	{ "1AJ", "", "", ResidueType::NON_POLYMER, false, "6,7-dihydrothieno[3,2-c]pyridin-5(4H)-yl(1H-imidazol-1-yl)methanone", 1399 },
	{ "1AK", "", "", ResidueType::NON_POLYMER, false, "4-{5-[(E)-2-{4-(2-chlorophenyl)-5-[5-(methylsulfonyl)pyridin-2-yl]-4H-1,2,4-triazol-3-yl}ethenyl]-1,3,4-oxadiazol-2-yl}benzonitrile", 1400 },
	{ "1AL", "", "", ResidueType::NON_POLYMER, false, "ALLANTOATE ION", 1401 },
	{ "1AM", "", "", ResidueType::NON_POLYMER, false, "2-(6-methoxy-1-oxo-1,3-dihydro-2H-isoindol-2-yl)-N-[4-(piperazin-1-yl)pyridin-3-yl]-1,3-thiazole-4-carboxamide", 1402 },
	{ "1AN", "", "", ResidueType::NON_POLYMER, false, "2-FLUOROANILINE", 1403 },
	{ "1AO", "", "", ResidueType::NON_POLYMER, false, "2-(1H-indazol-1-yl)-N-[2-(piperazin-1-yl)phenyl]-1,3-thiazole-4-carboxamide", 1404 },
	{ "1AP", "", "", ResidueType::DNA_LINKING, false, "2,6-DIAMINOPURINE NUCLEOTIDE", 1405 },
	{ "1AQ", "", "", ResidueType::NON_POLYMER, false, "(3S,7R,8aR)-2-{(2S)-2-(4,4-difluorocyclohexyl)-2-[(N-methyl-L-alanyl)amino]acetyl}-N-[(4R)-3,4-dihydro-2H-chromen-4-yl]-7-ethoxyoctahydropyrrolo[1,2-a]pyrazine-3-carboxamide", 1406 },
	{ "1AR", "", "", ResidueType::SACCHARIDE, false, "4-O-ACETYL-2,6-DIDEOXY-3-C-METHYL-ALPHA-L-ARABINO-HEXOPYRANOSE", 1407 },
	{ "1AT", "", "", ResidueType::NON_POLYMER, false, "beta-D-fructofuranosyl 6-O-decanoyl-alpha-D-glucopyranoside", 1408 },
	{ "1AU", "", "", ResidueType::NON_POLYMER, false, "1-[1-(3-aminophenyl)-3-tert-butyl-1H-pyrazol-5-yl]-3-naphthalen-1-ylurea", 1409 },
	{ "1AV", "", "", ResidueType::NON_POLYMER, false, "7-(1H-imidazol-1-yl)-2-(pyridin-3-yl)[1,3]thiazolo[5,4-d]pyrimidin-5-amine", 1410 },
	{ "1AW", "", "", ResidueType::NON_POLYMER, false, "1-[1-(3-aminophenyl)-3-tert-butyl-1H-pyrazol-5-yl]-3-phenylurea", 1411 },
	{ "1AX", "", "", ResidueType::NON_POLYMER, false, "(2R,2'R)-3,3'-oxydipropane-1,2-diol", 1412 },
	{ "1AY", "", "", ResidueType::NON_POLYMER, false, "(1R)-N~2~-[5-chloro-2-(5-chloropyridin-2-yl)-6-methylpyrimidin-4-yl]-1-phenyl-N~1~-(4-phenylbutyl)ethane-1,2-diamine", 1413 },
	{ "1AZ", "", "", ResidueType::NON_POLYMER, false, "1-(3,4-dichlorobenzyl)-3,7-dimethyl-8-morpholin-4-yl-3,7-dihydro-1H-purine-2,6-dione", 1414 },
	{ "1B0", "", "", ResidueType::NON_POLYMER, false, "N-METHYL-NALPHA-[(2-METHYL-1H-INDOL-3-YL)ACETYL]-N-PHENYL-L-PHENYLALANINAMIDE", 1415 },
	{ "1B1", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-cyclopropyl-5-methyl-2-[3-(5-prop-1-yn-1-ylpyridin-3-yl)phenyl]-2H-imidazol-4-amine", 1416 },
	{ "1B2", "", "", ResidueType::NON_POLYMER, false, "N-{[3-(2H-indazol-5-yl)phenyl]sulfonyl}-L-threoninamide", 1417 },
	{ "1B3", "", "", ResidueType::NON_POLYMER, false, "N-{[3-(4-amino-2-chloroquinazolin-7-yl)phenyl]sulfonyl}-L-threoninamide", 1418 },
	{ "1B4", "", "", ResidueType::NON_POLYMER, false, "N-(propan-2-yl)-2-(3,4,5-trimethoxyphenyl)-5H-pyrrolo[2,3-b]pyrazine-7-carboxamide", 1419 },
	{ "1B5", "", "", ResidueType::NON_POLYMER, false, "2-(6-chloro-1-methyl-1H-indazol-3-yl)-N-(propan-2-yl)-5H-pyrrolo[2,3-b]pyrazine-7-carboxamide", 1420 },
	{ "1B6", "", "", ResidueType::NON_POLYMER, false, "N-tert-butyl-2-(5,6,7,8-tetrahydroimidazo[1,5-a]pyridin-1-yl)-5H-pyrrolo[2,3-b]pyrazine-7-carboxamide", 1421 },
	{ "1B7", "", "", ResidueType::NON_POLYMER, false, "N-(6-chloro-3,3-dimethyl-3,4-dihydroisoquinolin-1-yl)-3-(4-propylthiophen-3-yl)-L-alanine", 1422 },
	{ "1B8", "", "", ResidueType::NON_POLYMER, false, "3-[2-bromo-4-(1H-pyrazol-4-yl)thiophen-3-yl]-N-(6-chloro-3,3-dimethyl-3,4-dihydroisoquinolin-1-yl)-L-alanine", 1423 },
	{ "1B9", "", "", ResidueType::NON_POLYMER, false, "3-(4-bromothiophen-3-yl)-N-(6-chloro-3,3-dimethyl-3,4-dihydroisoquinolin-1-yl)-L-alanine", 1424 },
	{ "1BA", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-N'-(4-ISOPROPYLBENZYL)BENZOHYDRAZIDE", 1425 },
	{ "1BB", "", "", ResidueType::NON_POLYMER, false, "2-{(1S)-1-[(6-chloro-3,3-dimethyl-3,4-dihydroisoquinolin-1-yl)amino]-2-phenylethyl}-4-oxo-1,4-dihydropyrimidine-5-carbonitrile", 1426 },
	{ "1BC", "", "", ResidueType::NON_POLYMER, false, "2-{(1S)-1-{[(1Z)-6-chloro-3,3-dimethyl-3,4-dihydroisoquinolin-1(2H)-ylidene]amino}-2-[2-propyl-4-(1H-pyrazol-4-yl)thiophen-3-yl]ethyl}pyrimidin-4(5H)-one", 1427 },
	{ "1BD", "", "", ResidueType::NON_POLYMER, false, "3-[({(1E)-[2-(trifluoromethyl)phenyl]methylidene}amino)oxy]propanoic acid", 1428 },
	{ "1BE", "", "", ResidueType::NON_POLYMER, false, "N-(6-chloro-3,3-dimethyl-3,4-dihydroisoquinolin-1-yl)-3-[2-propyl-4-(1H-pyrazol-4-yl)thiophen-3-yl]-L-alanine", 1429 },
	{ "1BF", "", "", ResidueType::NON_POLYMER, false, "N-(6-chloro-3,3-dimethyl-3,4-dihydroisoquinolin-1-yl)-3-[4-(1H-pyrazol-4-yl)thiophen-3-yl]-L-alanine", 1430 },
	{ "1BG", "", "", ResidueType::NON_POLYMER, false, "(3S,8aR)-2-{(2S)-2-cyclohexyl-2-[(N-methyl-L-alanyl)amino]acetyl}-N-[(1R)-1,2,3,4-tetrahydronaphthalen-1-yl]octahydropyrrolo[1,2-a]pyrazine-3-carboxamide", 1431 },
	{ "1BH", "", "", ResidueType::NON_POLYMER, false, "N-BENZYLOXYCARBONYL-ALA-PRO-3-AMINO-4-PHENYL-BUTAN-2-OL", 1432 },
	{ "1BI", "", "", ResidueType::NON_POLYMER, false, "3-cyclohexyl-2-(furan-3-yl)-1-[2-(morpholin-4-yl)-2-oxoethyl]-N-(phenylsulfonyl)-1H-indole-6-carboxamide", 1433 },
	{ "1BJ", "", "", ResidueType::NON_POLYMER, false, "trans-4-{[4-(1H-indazol-1-yl)pyrimidin-2-yl]amino}cyclohexanol", 1434 },
	{ "1BK", "", "", ResidueType::NON_POLYMER, false, "trans-4-[(4-{4-[3-(methylsulfonyl)propoxy]-1H-indazol-1-yl}pyrimidin-2-yl)amino]cyclohexanol", 1435 },
	{ "1BL", "", "", ResidueType::NON_POLYMER, false, "(2R)-5-{[(2S,3R)-4-{[1-(3-tert-butylphenyl)cyclohexyl]amino}-1-(3,5-difluorophenyl)-3-hydroxybutan-2-yl]amino}-2-hydroxy-5-oxopentanoic acid", 1436 },
	{ "1BM", "", "", ResidueType::NON_POLYMER, false, "3-{[2-(1H-BENZIMIDAZOL-1-YL)-6-{[2-(DIETHYLAMINO)ETHYL]AMINO}PYRIMIDIN-4-YL]AMINO}-4-METHYLPHENOL", 1437 },
	{ "1BN", "", "", ResidueType::NON_POLYMER, false, "1-BENZYL-1H-IMIDAZOLE", 1438 },
	{ "1BO", "", "", ResidueType::NON_POLYMER, false, "1-BUTANOL", 1439 },
	{ "1BP", "", "", ResidueType::NON_POLYMER, false, "1-BROMOPROPANE-2-OL", 1440 },
	{ "1BQ", "", "", ResidueType::NON_POLYMER, false, "[4-(2-hydroxyethyl)piperidin-1-yl][4-(5-methyl-4,4-dioxido-1,5-dihydropyrazolo[4,3-c][2,1]benzothiazin-8-yl)phenyl]methanone", 1441 },
	{ "1BR", "", "", ResidueType::NON_POLYMER, false, "N-(4-tert-butylbenzyl)-1,5-dimethyl-1,5-dihydropyrazolo[4,3-c][2,1]benzothiazin-8-amine 4,4-dioxide", 1442 },
	{ "1BS", "", "", ResidueType::NON_POLYMER, false, "2-{(1S)-1-[(6-chloro-3,3-dimethyl-3,4-dihydroisoquinolin-1-yl)amino]-2-phenylethyl}pyrido[4,3-d]pyrimidin-4(1H)-one", 1443 },
	{ "1BT", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(4-{[6-(1,3-benzothiazol-5-ylamino)-9H-purin-2-yl]amino}-3,5-dimethylphenyl)prop-2-enenitrile", 1444 },
	{ "1BU", "", "", ResidueType::NON_POLYMER, false, "1-{4-[(6-aminoquinazolin-4-yl)amino]phenyl}-3-[3-tert-butyl-1-(3-methylphenyl)-1H-pyrazol-5-yl]urea", 1445 },
	{ "1BV", "", "", ResidueType::NON_POLYMER, false, "", 1446 },
	{ "1BW", "", "", ResidueType::SACCHARIDE, false, "N-[(3S,4R,5R,6R)-4,5-dihydroxy-6-(hydroxymethyl)piperidin-3-yl]butanamide", 1447 },
	{ "1BX", "", "", ResidueType::NON_POLYMER, false, "1-hydroxy-6-(4-hydroxybenzyl)-4-methylpyridin-2(1H)-one", 1448 },
	{ "1BY", "", "", ResidueType::NON_POLYMER, false, "[2-(PYRIDIN-2-YLAMINO)ETHANE-1,1-DIYL]BIS(PHOSPHONIC ACID)", 1449 },
	{ "1BZ", "", "", ResidueType::NON_POLYMER, false, "6-benzyl-1-hydroxy-4-methylpyridin-2(1H)-one", 1450 },
	{ "1C0", "", "", ResidueType::NON_POLYMER, false, "5-cyclopropyl-6-{[(7-fluoro-1-hydroxy-1,3-dihydro-2,1-benzoxaborol-5-yl)methyl](methylsulfonyl)amino}-2-(4-fluorophenyl)-N-methyl-1-benzofuran-3-carboxamide", 1451 },
	{ "1C1", "", "", ResidueType::NON_POLYMER, false, "amino({[(1R,2R)-1-({[(4-chloro-3-fluorophenyl)amino](oxo)acetyl}amino)-2,3-dihydro-1H-inden-2-yl]methyl}amino)methaniminium", 1452 },
	{ "1C2", "", "", ResidueType::NON_POLYMER, false, "3(S)-METHYLCARBAMOYL-7-SULFOAMINO-3,4-DIHYDRO-1H-ISOQUINOLINE-2-CARBOXYLIC ACID TERT-BUTYL ESTER", 1453 },
	{ "1C3", "", "", ResidueType::PEPTIDE_LINKING, false, "1-(3,4,5-trimethoxybenzyl)-L-proline", 1454 },
	{ "1C4", "", "", ResidueType::NON_POLYMER, false, "", 1455 },
	{ "1C5", "", "", ResidueType::NON_POLYMER, false, "[[O-PHOSPHONO-N-ACETYL-TYROSINYL]-GLUTAMYL-3[CYCLOHEXYLMETHYL]ALANINYL]-AMINE", 1456 },
	{ "1C6", "", "", ResidueType::NON_POLYMER, false, "6-methoxy-2-{[(4-methoxy-3,5-dimethylpyridin-2-yl)methyl]sulfanyl}-1H-benzimidazole", 1457 },
	{ "1C7", "", "", ResidueType::NON_POLYMER, false, "(7R)-8-cyclopentyl-7-ethyl-5-methyl-2-(2-phenyl-1H-imidazol-1-yl)-7,8-dihydropteridin-6(5H)-one", 1458 },
	{ "1C8", "", "", ResidueType::NON_POLYMER, false, "(7R)-8-cyclopentyl-7-ethyl-5-methyl-2-[2-(1,3-thiazol-4-yl)-1H-imidazol-1-yl]-7,8-dihydropteridin-6(5H)-one", 1459 },
	{ "1C9", "", "", ResidueType::NON_POLYMER, false, "(2E)-N-{4-[(3-chloro-4-fluorophenyl)amino]-7-methoxyquinazolin-6-yl}-4-(piperidin-1-yl)but-2-enamide", 1460 },
	{ "1CA", "", "", ResidueType::NON_POLYMER, false, "DESOXYCORTICOSTERONE", 1461 },
	{ "1CB", "", "", ResidueType::NON_POLYMER, false, "CYCLOPENTANAMINE", 1462 },
	{ "1CC", "", "", ResidueType::DNA_LINKING, false, "", 1463 },
	{ "1CD", "", "", ResidueType::NON_POLYMER, false, "(13R,15S)-13-METHYL-16-OXA-8,9,12,22,24-PENTAAZAHEXACYCLO[15.6.2.16,9.1,12,15.0,2,7.0,21,25]HEPTACOSA-1(24),2,4,6,17(25),18,20-HEPTAENE-23,26-DIONE", 1464 },
	{ "1CE", "", "", ResidueType::NON_POLYMER, false, "3-(1H-tetrazol-5-ylmethyl)-5,6,7,8-tetrahydro[1]benzothieno[2,3-d]pyrimidin-4(3H)-one", 1465 },
	{ "1CF", "", "", ResidueType::NON_POLYMER, false, "2-hydroxyethyl 6-deoxy-beta-L-galactopyranoside", 1466 },
	{ "1CG", "", "", ResidueType::NON_POLYMER, false, "[(4-{(2S)-2-(1,3-benzoxazol-2-yl)-2-[(4-fluorophenyl)sulfamoyl]ethyl}phenyl)amino](oxo)acetic acid", 1467 },
	{ "1CH", "", "", ResidueType::NON_POLYMER, false, "N-(3,3-dimethyl-3,4-dihydroisoquinolin-1-yl)-L-phenylalanine", 1468 },
	{ "1CI", "", "", ResidueType::NON_POLYMER, false, "1-(4-CHLOROPHENYL)-1H-IMIDAZOLE", 1469 },
	{ "1CJ", "", "", ResidueType::NON_POLYMER, false, "(R)-ethoxy(pyrazolo[1,5-a]pyridin-3-yl)methanol", 1470 },
	{ "1CK", "", "", ResidueType::NON_POLYMER, false, "4-bromo-N-(5-methyl-1H-pyrazol-3-yl)benzamide", 1471 },
	{ "1CL", "", "", ResidueType::NON_POLYMER, false, "FE(8)-S(7) CLUSTER, OXIDIZED", 1472 },
	{ "1CM", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-PHENYL-N-PYRIDIN-4-YLBUTANAMIDE", 1473 },
	{ "1CN", "", "", ResidueType::NON_POLYMER, false, "5-{[(4-AMINO-3-CHLORO-5-FLUOROPHENYL)SULFONYL]AMINO}-1,3,4-THIADIAZOLE-2-SULFONAMIDE", 1474 },
	{ "1CO", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-hydroxy-3-methyl-5-sulfanylpentanoic acid", 1475 },
	{ "1CP", "", "", ResidueType::NON_POLYMER, false, "COPROPORPHYRINOGEN I", 1476 },
	{ "1CQ", "", "", ResidueType::NON_POLYMER, false, "4,4'-{3-[(4-hydroxyphenyl)amino]-1H-pyrazole-4,5-diyl}diphenol", 1477 },
	{ "1CR", "", "", ResidueType::NON_POLYMER, false, "PoPo-2-[4-(2-(4-(methoxy)-1H-1,2,3-triazol-1-yl)ethyl)benzenesulfonamide]-7,12-bis-[3-(4-(methoxy)-1H-1,2,3-triazol-1-yl)propanoic acid]-cryptophane-A", 1478 },
	{ "1CS", "", "", ResidueType::NON_POLYMER, false, "1-(2-CHLOROPHENYLSULFONYL)-3-(4-METHOXY-6-METHYL-L,3,5-TRIAZIN-2-YL)UREA", 1479 },
	{ "1CT", "", "", ResidueType::NON_POLYMER, false, "[2-(2-oxo-2-{[2-(trifluoromethyl)phenyl]amino}ethoxy)phenyl]phosphonic acid", 1480 },
	{ "1CU", "", "", ResidueType::NON_POLYMER, true, "COPPER ION, 1 WATER COORDINATED", 1481 },
	{ "1CV", "", "", ResidueType::NON_POLYMER, false, "", 1482 },
	{ "1CW", "", "", ResidueType::NON_POLYMER, false, "3-amino-2-hydroxybenzoic acid", 1483 },
	{ "1CX", "", "", ResidueType::NON_POLYMER, false, "(5S)-4,5-difluoro-6-[(2-fluoro-4-iodophenyl)imino]-N-(2-hydroxyethoxy)cyclohexa-1,3-diene-1-carboxamide", 1484 },
	{ "1CY", "", "", ResidueType::NON_POLYMER, false, "1-(4-chlorophenyl)-6,6-dimethyl-1,6-dihydro-1,3,5-triazine-2,4-diamine", 1485 },
	{ "1CZ", "", "", ResidueType::NON_POLYMER, false, "", 1486 },
	{ "1D0", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-[({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methyl)imino]-3-[(2-hydroxyphenyl)amino]propanoic acid", 1487 },
	{ "1D1", "", "", ResidueType::NON_POLYMER, false, "(7R)-8-cyclopentyl-7-ethyl-5-methyl-2-(1H-pyrrol-2-yl)-7,8-dihydropteridin-6(5H)-one", 1488 },
	{ "1D2", "", "", ResidueType::NON_POLYMER, false, "CYCLODODECYL 3,4,6-TRIDEOXY-3-(DIMETHYLAMINO)-BETA-D-XYLO-HEXOPYRANOSIDE", 1489 },
	{ "1D4", "", "", ResidueType::NON_POLYMER, false, "CYCLOTRIDECYL 3,4,6-TRIDEOXY-3-(DIMETHYLAMINO)-BETA-D-XYLO-HEXOPYRANOSIDE", 1490 },
	{ "1D5", "", "", ResidueType::NON_POLYMER, false, "(4-{(2R)-2-(4-bromothiophen-2-yl)-3-[(5-chlorothiophen-2-yl)carbonyl]-4-hydroxy-5-oxo-2,5-dihydro-1H-pyrrol-1-yl}phenyl)acetic acid", 1491 },
	{ "1D6", "", "", ResidueType::NON_POLYMER, false, "{4-[(2S)-2-(7-chloro-1,3-benzodioxol-5-yl)-4-hydroxy-3-(3-methylbenzoyl)-5-oxo-2,5-dihydro-1H-pyrrol-1-yl]phenyl}acetic acid", 1492 },
	{ "1D8", "", "", ResidueType::NON_POLYMER, false, "3-{(2S)-2-(7-chloro-1,3-benzodioxol-5-yl)-4-hydroxy-5-oxo-3-[3-(trifluoromethyl)benzoyl]-2,5-dihydro-1H-pyrrol-1-yl}benzoic acid", 1493 },
	{ "1D9", "", "", ResidueType::NON_POLYMER, false, "3-{(5S)-3-hydroxy-2-oxo-4-[3-(trifluoromethyl)benzoyl]-5-[3-(trifluoromethyl)phenyl]-2,5-dihydro-1H-pyrrol-1-yl}benzoic acid", 1494 },
	{ "1DA", "", "", ResidueType::NON_POLYMER, false, "1-DEAZA-ADENOSINE", 1495 },
	{ "1DB", "", "", ResidueType::NON_POLYMER, false, "1-DECANE-SULFONIC-ACID", 1496 },
	{ "1DC", "", "", ResidueType::NON_POLYMER, false, "3-(4-oxo-3,4-dihydroquinazolin-2-yl)-N-[(1S)-1-(pyridin-4-yl)ethyl]propanamide", 1497 },
	{ "1DD", "", "", ResidueType::NON_POLYMER, false, "1-[(4-fluorophenyl)sulfonyl]-2-methyl-1H-benzimidazole", 1498 },
	{ "1DE", "", "", ResidueType::NON_POLYMER, false, "3-{(2S)-2-(7-chloro-1,3-benzodioxol-5-yl)-3-[(5-chlorothiophen-2-yl)carbonyl]-4-hydroxy-5-oxo-2,5-dihydro-1H-pyrrol-1-yl}benzoic acid", 1499 },
	{ "1DF", "", "", ResidueType::NON_POLYMER, false, "4-hydroxy-3-methoxy-5-nitrobenzoic acid", 1500 },
	{ "1DG", "", "", ResidueType::NON_POLYMER, false, "(4R)-ISONICOTINIC-ACETYL-NICOTINAMIDE-ADENINE DINUCLEOTIDE", 1501 },
	{ "1DH", "", "", ResidueType::NON_POLYMER, false, "5-chloro-1,3-thiazol-2-amine", 1502 },
	{ "1DI", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-amino-3-(2,4-dichlorophenyl)-1-(1,3-dihydro-2H-isoindol-2-yl)propan-1-one", 1503 },
	{ "1DJ", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-phenylprop-2-yn-1-ol", 1504 },
	{ "1DK", "", "", ResidueType::NON_POLYMER, false, "{4-[(5R)-3-hydroxy-2-oxo-4-(thiophen-2-ylcarbonyl)-5-(2,4,5-trimethylphenyl)-2,5-dihydro-1H-pyrrol-1-yl]phenyl}acetic acid", 1505 },
	{ "1DL", "", "", ResidueType::NON_POLYMER, false, "5-[(2R)-3-benzoyl-2-(4-bromothiophen-2-yl)-4-hydroxy-5-oxo-2,5-dihydro-1H-pyrrol-1-yl]-2-methylbenzoic acid", 1506 },
	{ "1DM", "", "", ResidueType::NON_POLYMER, false, "N-(2-MORPHOLIN-4-YL-1-MORPHOLIN-4-YLMETHYL-ETHYL)-3-NITRO-5-(3,4,5-TRIHYDROXY-6-HYDROXYMETHYL-TETRAHYDRO-PYRAN-2-YLOXY)-BENZAMIDE", 1507 },
	{ "1DN", "", "", ResidueType::NON_POLYMER, false, "7-[5,6-dimethoxy-2-(1,3-thiazol-2-yl)-1H-benzimidazol-1-yl]quinazoline-2,4-diamine", 1508 },
	{ "1DO", "", "", ResidueType::NON_POLYMER, false, "1-DODECANOL", 1509 },
	{ "1DP", "", "", ResidueType::RNA_LINKING, false, "N1-deaza-adenosine-5'-monophosphate", 1510 },
	{ "1DQ", "", "", ResidueType::NON_POLYMER, false, "5-(trifluoromethyl)-1H-imidazole", 1511 },
	{ "1DR", "", "", ResidueType::NON_POLYMER, false, "1,10-dihydropyrrolo[2,3-a]carbazole-3-carbaldehyde", 1512 },
	{ "1DS", "", "", ResidueType::NON_POLYMER, false, "1-O-decanoyl-beta-D-tagatofuranosyl beta-D-allopyranoside", 1513 },
	{ "1DT", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-1-cyclopropylethyl]-2-phenoxy-5H-pyrrolo[2,3-b]pyrazine-7-carboxamide", 1514 },
	{ "1DU", "", "", ResidueType::NON_POLYMER, false, "2-(1H-pyrazol-1-yl)ethanol", 1515 },
	{ "1DV", "", "", ResidueType::NON_POLYMER, false, "5-methyl-3-(trifluoromethyl)-1H-pyrazole", 1516 },
	{ "1DW", "", "", ResidueType::NON_POLYMER, false, "2-bromo-5-hydroxybenzaldehyde", 1517 },
	{ "1DX", "", "", ResidueType::NON_POLYMER, false, "", 1518 },
	{ "1DY", "", "", ResidueType::NON_POLYMER, false, "N-(2-methoxyphenyl)-4-{[3-(4-oxo-3,4-dihydroquinazolin-2-yl)propanoyl]amino}benzamide", 1519 },
	{ "1DZ", "", "", ResidueType::NON_POLYMER, false, "1-(3-methylphenyl)-5-phenyl-1H-pyrazole-3-carboxylic acid", 1520 },
	{ "1E0", "", "", ResidueType::NON_POLYMER, false, "4-(carbamoylamino)-1-(7-propoxynaphthalen-1-yl)-1H-pyrazole-3-carboxamide", 1521 },
	{ "1E1", "", "", ResidueType::NON_POLYMER, false, "(2R,3S)-3-amino-4-cyclopropyl-2-hydroxybutanamide", 1522 },
	{ "1E2", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(acetyloxy)-2-hydroxypropyl 6-deoxy-6-sulfo-beta-D-glucopyranoside", 1523 },
	{ "1E3", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2,9-diaminononanoic acid", 1524 },
	{ "1E4", "", "", ResidueType::NON_POLYMER, false, "1-O-[3-(5-carboxypyridin-2-yl)-5-fluorophenyl]-6-O-[4-({[(5-carboxypyridin-2-yl)sulfanyl]acetyl}amino)-2-chloro-5-methoxyphenyl]-D-mannitol", 1525 },
	{ "1E5", "", "", ResidueType::NON_POLYMER, false, "6-[3-(carboxymethoxy)-5-fluorophenyl]pyridine-3-carboxylic acid", 1526 },
	{ "1E6", "", "", ResidueType::NON_POLYMER, false, "6-({2-[(5-chloro-4-{[(2S)-2,3-dihydroxypropyl]oxy}-2-methoxyphenyl)amino]-2-oxoethyl}sulfanyl)pyridine-3-carboxylic acid", 1527 },
	{ "1E7", "", "", ResidueType::NON_POLYMER, false, "6-({2-[(5-chloro-2-methoxyphenyl)amino]-2-oxoethyl}sulfanyl)pyridine-3-carboxylic acid", 1528 },
	{ "1E8", "", "", ResidueType::NON_POLYMER, false, "1-{(3R)-3-[4-amino-3-(4-phenoxyphenyl)-1H-pyrazolo[3,4-d]pyrimidin-1-yl]piperidin-1-yl}prop-2-en-1-one", 1529 },
	{ "1E9", "", "", ResidueType::NON_POLYMER, false, "N-(6-{4-[(4'-chlorobiphenyl-2-yl)methyl]piperazin-1-yl}-1,1-dioxido-1,2-benzothiazol-3-yl)-4-{[(2R)-4-(dimethylamino)-1-(phenylsulfanyl)butan-2-yl]amino}-3-nitrobenzenesulfonamide", 1530 },
	{ "1EA", "", "", ResidueType::NON_POLYMER, false, "6-fluoro-2-[2-methyl-4-phenoxy-5-(propan-2-yl)phenyl]quinoline-4-carboxylic acid", 1531 },
	{ "1EB", "", "", ResidueType::NON_POLYMER, false, "N-(4-nitrophenyl)cyclopropanecarboxamide", 1532 },
	{ "1EC", "", "", ResidueType::NON_POLYMER, false, "[(5R)-5-amino-5-carboxy-8-hydroxyoctyl](trihydroxy)borate(1-)", 1533 },
	{ "1ED", "", "", ResidueType::NON_POLYMER, false, "(3S,6S)-3-benzyl-6-(4-hydroxybenzyl)piperazine-2,5-dione", 1534 },
	{ "1EE", "", "", ResidueType::NON_POLYMER, false, "[(5R)-5-amino-5-carboxy-7-(4-hydroxypiperidin-1-yl)heptyl](trihydroxy)borate(1-)", 1535 },
	{ "1EF", "", "", ResidueType::NON_POLYMER, false, "N-({1-[(2R)-4-(hydroxyamino)-1-(naphthalen-2-yl)-4-oxobutan-2-yl]-1H-1,2,3-triazol-4-yl}methyl)-4-methylbenzamide", 1536 },
	{ "1EG", "", "", ResidueType::NON_POLYMER, false, "5'-O-(L-alpha-glutamylsulfamoyl)guanosine", 1537 },
	{ "1EH", "", "", ResidueType::NON_POLYMER, false, "4-(5-{[(2-chloropyridin-4-yl)methyl]carbamoyl}thiophen-2-yl)-1-benzothiophene-2-carboxamide", 1538 },
	{ "1EI", "", "", ResidueType::NON_POLYMER, false, "5'-O-(L-alpha-glutamylsulfamoyl)inosine", 1539 },
	{ "1EJ", "", "", ResidueType::NON_POLYMER, false, "3-chloro-6-[3-(4-fluorophenyl)-5-sulfanyl-4H-1,2,4-triazol-4-yl]-1-benzothiophene-2-carboxylic acid", 1540 },
	{ "1EK", "", "", ResidueType::NON_POLYMER, false, "{[5-(3-chloro-1-benzothiophen-2-yl)-4-phenyl-4H-1,2,4-triazol-3-yl]sulfanyl}acetic acid", 1541 },
	{ "1EL", "", "", ResidueType::NON_POLYMER, false, "9-hydroxy-5,11-dimethyl-4,6-dihydro-1H-pyrido[4,3-b]carbazol-1-one", 1542 },
	{ "1EM", "", "", ResidueType::NON_POLYMER, false, "(1S)-2-HYDROXY-1-[(NONANOYLOXY)METHYL]ETHYL MYRISTATE", 1543 },
	{ "1EN", "", "", ResidueType::NON_POLYMER, false, "3-[1-(4-chlorophenyl)cyclopropyl]-8-(2-fluorophenoxy)[1,2,4]triazolo[4,3-a]pyridine", 1544 },
	{ "1EO", "", "", ResidueType::NON_POLYMER, false, "(1s,4s)-4-[8-(2-fluorophenoxy)[1,2,4]triazolo[4,3-a]pyridin-3-yl]bicyclo[2.2.1]heptan-1-ol", 1545 },
	{ "1EP", "", "", ResidueType::NON_POLYMER, false, "(5S)-3-(4-tert-butylbenzyl)-5-(propan-2-yl)imidazolidine-2,4-dione", 1546 },
	{ "1EQ", "", "", ResidueType::NON_POLYMER, false, "3-[1-(4-chlorophenyl)cyclopropyl]-8-cyclopropyl[1,2,4]triazolo[4,3-a]pyridine", 1547 },
	{ "1ER", "", "", ResidueType::NON_POLYMER, false, "3-(3-tert-butylphenyl)pyridin-2(1H)-one", 1548 },
	{ "1ES", "", "", ResidueType::NON_POLYMER, false, "2-(1-methyl-1H-indol-3-yl)ethanamine", 1549 },
	{ "1ET", "", "", ResidueType::NON_POLYMER, false, "6,6'-{[5-(aminomethyl)benzene-1,3-diyl]diethane-2,1-diyl}bis(4-methylpyridin-2-amine)", 1550 },
	{ "1EU", "", "", ResidueType::NON_POLYMER, false, "1-(4-acetyl-6-pyridin-3-yl-1H-benzimidazol-2-yl)-3-ethylurea", 1551 },
	{ "1EV", "", "", ResidueType::NON_POLYMER, false, "3,5-bis[2-(6-amino-4-methylpyridin-2-yl)ethyl]benzonitrile", 1552 },
	{ "1EW", "", "", ResidueType::NON_POLYMER, false, "6,6'-{[4-(3-aminopropyl)benzene-1,3-diyl]diethane-2,1-diyl}bis(4-methylpyridin-2-amine)", 1553 },
	{ "1EX", "", "", ResidueType::NON_POLYMER, false, "(11Z,13Z)-hexadeca-11,13-dien-1-ol", 1554 },
	{ "1EY", "", "", ResidueType::NON_POLYMER, false, "(11Z,13Z)-hexadeca-11,13-dienal", 1555 },
	{ "1EZ", "", "", ResidueType::NON_POLYMER, false, "N-(4-sulfamoylphenyl)-2-[(3S,5S,7S)-tricyclo[3.3.1.1~3,7~]dec-1-yl]acetamide", 1556 },
	{ "1F0", "", "", ResidueType::NON_POLYMER, false, "[(4S,5R)-2-(4-tert-butyl-2-ethoxyphenyl)-4,5-bis(4-chlorophenyl)-4,5-dimethyl-4,5-dihydro-1H-imidazol-1-yl]{4-[3-(methylsulfonyl)propyl]piperazin-1-yl}methanone", 1557 },
	{ "1F1", "", "", ResidueType::NON_POLYMER, false, "1H-indole-6-carboxylic acid", 1558 },
	{ "1F2", "", "", ResidueType::NON_POLYMER, false, "", 1559 },
	{ "1F3", "", "", ResidueType::NON_POLYMER, false, "", 1560 },
	{ "1F4", "", "", ResidueType::NON_POLYMER, false, "", 1561 },
	{ "1F5", "", "", ResidueType::NON_POLYMER, false, "", 1562 },
	{ "1F6", "", "", ResidueType::NON_POLYMER, false, "(3Z)-3-{[(2-methoxyethyl)amino]methylidene}-1-methyl-5-phenyl-7-(trifluoromethyl)-1H-1,5-benzodiazepine-2,4(3H,5H)-dione", 1563 },
	{ "1F7", "", "", ResidueType::NON_POLYMER, false, "S-[2-({N-[(2S)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alanyl}amino)ethyl] (3R)-3-hydroxytetradecanethioate", 1564 },
	{ "1F8", "", "", ResidueType::NON_POLYMER, false, "2-methyl-N-(2-sulfanylethyl)-1-benzofuran-3-carboxamide", 1565 },
	{ "1FA", "", "", ResidueType::NON_POLYMER, false, "[(7-{[2-(3-MORPHOLIN-4-YLPROP-1-YN-1-YL)-6-{[4-(TRIFLUOROMETHYL)PHENYL]ETHYNYL}PYRIDIN-4-YL]THIO}-2,3-DIHYDRO-1H-INDEN-4-YL)OXY]ACETIC ACID", 1566 },
	{ "1FB", "", "", ResidueType::NON_POLYMER, false, "1-tert-butyl-3-(3-chlorophenoxy)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 1567 },
	{ "1FC", "", "", ResidueType::DNA_LINKING, false, "4-amino-1-(2-deoxy-2-fluoro-5-O-phosphono-beta-D-arabinofuranosyl)-2-oxo-1,2-dihydropyrimidine-5-carboxylic acid", 1568 },
	{ "1FD", "", "", ResidueType::NON_POLYMER, false, "1-[4-(trifluoromethoxy)phenyl]methanamine", 1569 },
	{ "1FE", "", "", ResidueType::NON_POLYMER, false, "N-(2-oxo-2,3-dihydro-1H-benzimidazol-5-yl)glycinamide", 1570 },
	{ "1FF", "", "", ResidueType::NON_POLYMER, false, "1-methyl-5-phenyl-1H-pyrazole-4-carboxylic acid", 1571 },
	{ "1FG", "", "", ResidueType::NON_POLYMER, false, "2-({[2-(3,4-dihydroquinolin-1(2H)-yl)-2-oxoethyl](methyl)amino}methyl)quinazolin-4(1H)-one", 1572 },
	{ "1FH", "", "", ResidueType::NON_POLYMER, false, "12-PHENYLHEME", 1573 },
	{ "1FJ", "", "", ResidueType::NON_POLYMER, false, "N-(2,3-dimethylphenyl)-5-oxo-1-thioxo-1,5-dihydro-2lambda~4~-[1,3]thiazolo[3,4-a]thieno[2,3-e]pyrimidine-3-carboxamide", 1574 },
	{ "1FK", "", "", ResidueType::NON_POLYMER, false, "1-[7-amino-1-(pyrimidin-2-yl)indolizin-3-yl]ethanone", 1575 },
	{ "1FL", "", "", ResidueType::NON_POLYMER, false, "5-(2,4-DIFLUOROPHENYL)-2-HYDROXY-BENZOIC ACID", 1576 },
	{ "1FM", "", "", ResidueType::NON_POLYMER, false, "(3S,5Z,8S,9S,11E)-8,9,16-trihydroxy-14-methoxy-3-methyl-3,4,9,10-tetrahydro-1H-2-benzoxacyclotetradecine-1,7(8H)-dione", 1577 },
	{ "1FN", "", "", ResidueType::NON_POLYMER, false, "1-(4-fluorophenyl)-N-[3-fluoro-4-(1H-pyrrolo[2,3-b]pyridin-4-yloxy)phenyl]-2-oxo-1,2-dihydropyridine-3-carboxamide", 1578 },
	{ "1FO", "", "", ResidueType::NON_POLYMER, false, "6-[4-(3-fluorobenzoyl)-1H-pyrrol-2-yl]-2-hydroxy-4-oxohexa-2,5-dienoic acid", 1579 },
	{ "1FP", "", "", ResidueType::NON_POLYMER, false, "piperazine-1-carbaldehyde", 1580 },
	{ "1FQ", "", "", ResidueType::NON_POLYMER, false, "(2Z,5E)-6-[4-(4-fluorobenzoyl)-1H-pyrrol-2-yl]-2-hydroxy-4-oxohexa-2,5-dienoic acid", 1581 },
	{ "1FR", "", "", ResidueType::NON_POLYMER, false, "3-[3-chloro-5-(5-{[(1S)-1-phenylethyl]amino}isoxazolo[5,4-c]pyridin-3-yl)phenyl]propan-1-ol", 1582 },
	{ "1FS", "", "", ResidueType::NON_POLYMER, false, "2,2'-[(4-chlorobenzene-1,2-diyl)bis(oxy)]bis(5-nitrobenzonitrile)", 1583 },
	{ "1FT", "", "", ResidueType::NON_POLYMER, false, "4-S-(6-O-phosphono-alpha-L-idopyranosyl)-4-thio-beta-D-glucopyranose", 1584 },
	{ "1FV", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(5-cyclopropyl-2-{[3-(morpholin-4-ylmethyl)phenyl]amino}pyrimidin-4-yl)amino]propyl}cyclobutanecarboxamide", 1585 },
	{ "1FW", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-cyclohexyl-2-(6-fluoro-4-oxoquinazolin-3(4H)-yl)-N-(1,3-thiazol-2-yl)propanamide", 1586 },
	{ "1FX", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-cyclohexyl-2-(6-fluoro-2,4-dioxo-1,4-dihydroquinazolin-3(2H)-yl)-N-(1,3-thiazol-2-yl)propanamide", 1587 },
	{ "1FY", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-cyclohexyl-2-[4-(methylsulfonyl)-2-oxopiperazin-1-yl]-N-(1,3-thiazol-2-yl)propanamide", 1588 },
	{ "1FZ", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-hydroxy{[(R)-hydroxy(phosphonooxy)phosphoryl]amino}phosphoryl]thymidine", 1589 },
	{ "1G0", "", "", ResidueType::NON_POLYMER, false, "cis-3-[8-amino-1-(4-phenoxyphenyl)imidazo[1,5-a]pyrazin-3-yl]cyclobutanol", 1590 },
	{ "1G1", "", "", ResidueType::PEPTIDE_LIKE, false, "N3Phe-Leu-Leu-Phe(4-NH2CH2)-methyl vinyl sulfone, bound form", 1591 },
	{ "1G2", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-azido-3-phenylpropanoic acid", 1592 },
	{ "1G3", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-1-[4-(aminomethyl)phenyl]-4-(methylsulfonyl)butan-2-amine", 1593 },
	{ "1G4", "", "", ResidueType::NON_POLYMER, false, "(3S,6S)-3,6-bis(4-hydroxybenzyl)piperazin-2-one", 1594 },
	{ "1G5", "", "", ResidueType::PEPTIDE_LIKE, false, "HMB-Val-Ser-Phe(4-NH2CH2)-methyl vinyl sulfone, bound form", 1595 },
	{ "1G6", "", "", ResidueType::PEPTIDE_LIKE, false, "N3Phe-Phe(4-NH2CH2)-Leu-Phe(4-NH2CH2)-methyl vinyl sulfone, bound form", 1596 },
	{ "1G7", "", "", ResidueType::NON_POLYMER, false, "(3S,6S)-3-(3,4-dihydroxybenzyl)-6-(4-hydroxybenzyl)piperazine-2,5-dione", 1597 },
	{ "1G8", "", "", ResidueType::PEPTIDE_LINKING, false, "4-(aminomethyl)-D-phenylalanine", 1598 },
	{ "1G9", "", "", ResidueType::NON_POLYMER, false, "(3S,6S)-3-(4-hydroxybenzyl)-6-methylpiperazine-2,5-dione", 1599 },
	{ "1GA", "", "", ResidueType::NON_POLYMER, false, "Geraniline", 1600 },
	{ "1GB", "", "", ResidueType::NON_POLYMER, false, "(3S,6S)-3-(4-hydroxybenzyl)-6-(1H-indol-3-ylmethyl)piperazine-2,5-dione", 1601 },
	{ "1GC", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-[(R)-hydroxy{[(S)-hydroxy(phosphonooxy)phosphoryl]methyl}phosphoryl]guanosine", 1602 },
	{ "1GD", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-N-(4-sulfamoylbenzyl)acetamide", 1603 },
	{ "1GE", "", "", ResidueType::NON_POLYMER, false, "", 1604 },
	{ "1GG", "", "", ResidueType::NON_POLYMER, false, "(6S)-N-(4-carbamimidoylbenzyl)-1-chloro-3-(cyclobutylamino)-8,8-diethyl-4-oxo-4,6,7,8-tetrahydropyrrolo[1,2-a]pyrazine-6-carboxamide", 1605 },
	{ "1GH", "", "", ResidueType::NON_POLYMER, false, "7-(3,5-DIMETHYL-1,2-OXAZOL-4-YL)-8-METHOXY-1-[(1R)-1-(PYRIDIN-2-YL)ETHYL]-1H,2H,3H-IMIDAZO[4,5-C]QUINOLIN-2-ONE", 1606 },
	{ "1GJ", "", "", ResidueType::NON_POLYMER, false, "4-[2-benzyl-7-(trifluoromethyl)-2H-indazol-3-yl]benzene-1,3-diol", 1607 },
	{ "1GK", "", "", ResidueType::NON_POLYMER, false, "N-(furan-2-ylmethyl)-4-[(2-methylphenyl)carbonyl]-1H-pyrrole-2-carboxamide", 1608 },
	{ "1GL", "BRI", "", ResidueType::SACCHARIDE, false, "4-O-METHYL-2,6-DIDEOXY-ALPHA-D-GALACTO-HEXOPYRANOSE", 1609 },
	{ "1GM", "", "", ResidueType::NON_POLYMER, false, "4-[2-ethyl-7-(trifluoromethyl)-2H-indazol-3-yl]benzene-1,3-diol", 1610 },
	{ "1GN", "", "", ResidueType::SACCHARIDE, false, "2-DEOXY-2-AMINOGALACTOSE", 1611 },
	{ "1GO", "", "", ResidueType::NON_POLYMER, false, "N-(5-sulfamoyl-1,3,4-thiadiazol-2-yl)-2-(thiophen-2-yl)acetamide", 1612 },
	{ "1GP", "", "", ResidueType::NON_POLYMER, false, "SN-GLYCEROL-1-PHOSPHATE", 1613 },
	{ "1GQ", "", "", ResidueType::NON_POLYMER, false, "4-[1-butyl-7-(trifluoromethyl)-1H-indazol-3-yl]benzene-1,3-diol", 1614 },
	{ "1GR", "", "", ResidueType::NON_POLYMER, false, "4-[1-(2-methylpropyl)-7-(trifluoromethyl)-1H-indazol-3-yl]benzene-1,3-diol", 1615 },
	{ "1GS", "", "", ResidueType::NON_POLYMER, false, "4-[2-(2-methylpropyl)-7-(trifluoromethyl)-2H-indazol-3-yl]benzene-1,3-diol", 1616 },
	{ "1GT", "", "", ResidueType::NON_POLYMER, false, "4-[1-(but-3-en-1-yl)-7-(trifluoromethyl)-1H-indazol-3-yl]benzene-1,3-diol", 1617 },
	{ "1GU", "", "", ResidueType::NON_POLYMER, false, "4-[2-(but-3-en-1-yl)-7-(trifluoromethyl)-2H-indazol-3-yl]benzene-1,3-diol", 1618 },
	{ "1GV", "", "", ResidueType::NON_POLYMER, false, "4,4'-thiene-2,5-diylbis(3-methylphenol)", 1619 },
	{ "1GW", "", "", ResidueType::NON_POLYMER, false, "5-(2-FORMYLTHIEN-5-YL)-URIDINE-5'-DIPHOSPHATE-ALPHA-D-GALACTOSE", 1620 },
	{ "1GZ", "", "", ResidueType::NON_POLYMER, false, "methylthioacryloyl-CoA", 1621 },
	{ "1H1", "", "", ResidueType::NON_POLYMER, false, "ethyl (3R)-4-cyano-3-hydroxybutanoate", 1622 },
	{ "1H2", "", "", ResidueType::NON_POLYMER, false, "3-(3,5-dimethyl-1,2-oxazol-4-yl)-5-[(R)-hydroxy(phenyl)methyl]phenol", 1623 },
	{ "1H3", "", "", ResidueType::NON_POLYMER, false, "3-(3,5-dimethyl-1,2-oxazol-4-yl)-5-[(S)-hydroxy(phenyl)methyl]phenol", 1624 },
	{ "1H4", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(5-cyclopropyl-2-{[3-(2-oxopyrrolidin-1-yl)phenyl]amino}pyrimidin-4-yl)amino]propyl}cyclobutanecarboxamide", 1625 },
	{ "1H5", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(4S,5R)-2-amino-5-fluoro-4-(fluoromethyl)-5,6-dihydro-4H-1,3-oxazin-4-yl]-4-fluorophenyl}-5-cyanopyridine-2-carboxamide", 1626 },
	{ "1H6", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(4R,5S)-2-amino-5-fluoro-4-methyl-5,6-dihydro-4H-1,3-oxazin-4-yl]-4-fluorophenyl}-5-cyanopyridine-2-carboxamide", 1627 },
	{ "1H7", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(4R,5R)-2-amino-5-fluoro-4-methyl-5,6-dihydro-4H-1,3-oxazin-4-yl]-4-fluorophenyl}-5-cyanopyridine-2-carboxamide", 1628 },
	{ "1H8", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(4S)-2-amino-4-methyl-5,6-dihydro-4H-1,3-oxazin-4-yl]-4-fluorophenyl}-5-cyanopyridine-2-carboxamide", 1629 },
	{ "1HA", "", "", ResidueType::NON_POLYMER, false, "1-hydroxy-2-naphthoyl-CoA", 1630 },
	{ "1HB", "", "", ResidueType::PEPTIDE_LIKE, false, "(4S)-4-amino-5-hydroxy-N,N-dimethylpentanamide", 1631 },
	{ "1HC", "", "", ResidueType::NON_POLYMER, false, "prop-2-enamide", 1632 },
	{ "1HD", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S)-2-amino-3-hydroxypropyl]acetamide", 1633 },
	{ "1HE", "", "", ResidueType::NON_POLYMER, false, "3-methylmercaptopropionate-CoA (MMPA-CoA)", 1634 },
	{ "1HF", "", "", ResidueType::NON_POLYMER, false, "(3E)-3-{(2Z)-[(5Z)-5-(furan-2-ylmethylidene)-4-oxo-1,3-thiazolidin-2-ylidene]hydrazinylidene}-2-oxo-2,3-dihydro-1H-indole-5-sulfonic acid", 1635 },
	{ "1HG", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(4R,5R,6S)-2-amino-5-fluoro-4-methyl-6-(trifluoromethyl)-5,6-dihydro-4H-1,3-oxazin-4-yl]-4-fluorophenyl}-5-cyanopyridine-2-carboxamide", 1636 },
	{ "1HH", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(4R,5R,6R)-2-amino-5-fluoro-4-methyl-6-(trifluoromethyl)-5,6-dihydro-4H-1,3-oxazin-4-yl]-4-fluorophenyl}-5-cyanopyridine-2-carboxamide", 1637 },
	{ "1HJ", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(4S,6R)-2-amino-4-methyl-6-(trifluoromethyl)-5,6-dihydro-4H-1,3-oxazin-4-yl]-4-fluorophenyl}-5-cyanopyridine-2-carboxamide", 1638 },
	{ "1HK", "", "", ResidueType::NON_POLYMER, false, "4-[2-(2,4-dihydroindeno[1,2-c]pyrazol-3-yl)ethyl]-2-methoxyphenol", 1639 },
	{ "1HL", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(4S,6S)-2-amino-4-methyl-6-(trifluoromethyl)-5,6-dihydro-4H-1,3-oxazin-4-yl]-4-fluorophenyl}-5-cyanopyridine-2-carboxamide", 1640 },
	{ "1HM", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(4S,6S)-2-amino-4-(fluoromethyl)-6-(trifluoromethyl)-5,6-dihydro-4H-1,3-oxazin-4-yl]-4-fluorophenyl}-5-cyanopyridine-2-carboxamide", 1641 },
	{ "1HN", "", "", ResidueType::NON_POLYMER, false, "1-hydroxynaphthalene-2-carboxylic acid", 1642 },
	{ "1HO", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(4S)-2-amino-5,5-difluoro-4-(fluoromethyl)-5,6-dihydro-4H-1,3-oxazin-4-yl]-4-fluorophenyl}-5-cyanopyridine-2-carboxamide", 1643 },
	{ "1HP", "", "", ResidueType::NON_POLYMER, false, "4-(2-amino-1-methyl-1H-imidazo[4,5-b]pyridin-6-yl)phenol", 1644 },
	{ "1HQ", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(4S)-2-amino-4-(difluoromethyl)-5,6-dihydro-4H-1,3-oxazin-4-yl]-4-fluorophenyl}-5-cyanopyridine-2-carboxamide", 1645 },
	{ "1HR", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-2-(3,4-dichlorobenzoyl)cyclopropanecarboxylic acid", 1646 },
	{ "1HS", "", "", ResidueType::NON_POLYMER, false, "2-{[(2S)-2-hydroxypropyl]sulfanyl}ethanesulfonic acid", 1647 },
	{ "1HT", "", "", ResidueType::NON_POLYMER, false, "(3S,3aR,4S,6S,6aR,7S,8S,9bS)-6-(acetyloxy)-3a,4-bis(butanoyloxy)-3-hydroxy-3,6,9-trimethyl-8-{[(2E)-2-methylbut-2-enoyl]oxy}-2-oxo-2,3,3a,4,5,6,6a,7,8,9b-decahydroazuleno[4,5-b]furan-7-yl octanoate", 1648 },
	{ "1HU", "", "", ResidueType::NON_POLYMER, false, "2-(1H-indol-3-yl)-N-methylethanamine", 1649 },
	{ "1HV", "", "", ResidueType::NON_POLYMER, false, "4-(3-{4-[(3-aminopropyl)carbamoyl]phenyl}-1H-indazol-1-yl)-N-methylbenzamide", 1650 },
	{ "1HW", "", "", ResidueType::NON_POLYMER, false, "1-{(3S,3aS)-3-[3-fluoro-4-(trifluoromethoxy)phenyl]-8-methoxy-3,3a,4,5-tetrahydro-2H-benzo[g]indazol-2-yl}-2-hydroxyethanone", 1651 },
	{ "1HX", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-1-(2-chloro-6-fluorophenyl)ethyl]-5-cyano-1-methyl-1H-pyrrole-2-carboxamide", 1652 },
	{ "1HZ", "", "", ResidueType::NON_POLYMER, false, "5'-deoxy-5'-({[2-(2,3-dihydroxyphenyl)ethyl]sulfonyl}amino)adenosine", 1653 },
	{ "1IG", "", "", ResidueType::NON_POLYMER, false, "N-{2-[6-(2,4-DIAMINO-6-ETHYLPYRIMIDIN-5-YL)-2,2-DIMETHYL-3-OXO-2,3-DIHYDRO-4H-1,4-BENZOTHIAZIN-4-YL]ETHYL}ACETAMIDE", 1654 },
	{ "1IN", "", "", ResidueType::NON_POLYMER, false, "1-[2-HYDROXY-4-(2-HYDROXY-5-METHYL-CYCLOPENTYLCARBAMOYL)5-PHENYL-PENTYL]-4-(3-PYRIDIN-3-YL-PROPIONYL)-PIPERAZINE-2-CARBOXYLIC ACID TERT-BUTYLAMIDE", 1655 },
	{ "1IP", "", "", ResidueType::PEPTIDE_LINKING, false, "N~2~-(PHOSPHONOACETYL)-L-ASPARAGINE", 1656 },
	{ "1IQ", "", "", ResidueType::NON_POLYMER, false, "2-(4-ISOPROPYL-4-METHYL-5-OXO-4,5-DIHYDRO-1H-IMIDAZOL-2-YL)QUINOLINE-3-CARBOXYLIC ACID", 1657 },
	{ "1IR", "", "", ResidueType::NON_POLYMER, false, "N-[cis-3-(2-methoxy-3H-imidazo[4,5-b]pyridin-3-yl)cyclobutyl]-1,3-benzothiazol-2-amine", 1658 },
	{ "1IS", "", "", ResidueType::NON_POLYMER, false, "N-[trans-3-(2-methoxy-3H-imidazo[4,5-b]pyridin-3-yl)cyclobutyl]-1,3-benzothiazol-2-amine", 1659 },
	{ "1IT", "", "", ResidueType::NON_POLYMER, false, "DIBENZOFURAN", 1660 },
	{ "1IU", "", "", ResidueType::NON_POLYMER, false, "[3-[[(2S)-1-azanyl-1-oxidanylidene-propan-2-yl]amino]-2-methyl-3-oxidanylidene-propyl]-[(1R)-1-[[(2R)-2-azanyl-3-(1H-1,2,3,4-tetrazol-5-yl)propanoyl]amino]-2-phenyl-ethyl]phosphinic acid", 1661 },
	{ "1J1", "", "", ResidueType::NON_POLYMER, false, "N~6~-[(2R)-3,4-dihydro-2H-pyrrol-2-ylcarbonyl]-L-lysine", 1662 },
	{ "1J2", "", "", ResidueType::NON_POLYMER, false, "trans-4-[(4-{4-[4-(methylsulfonyl)piperidin-1-yl]-1H-indol-1-yl}pyrimidin-2-yl)amino]cyclohexanol", 1663 },
	{ "1J3", "", "", ResidueType::NON_POLYMER, false, "4-{[(7R)-9-cyclopentyl-7-ethenyl-7-fluoro-5-methyl-6-oxo-6,7,8,9-tetrahydro-5H-pyrimido[4,5-b][1,4]diazepin-2-yl]amino}-3-methoxy-N-(4-methylpiperazin-1-yl)benzamide", 1664 },
	{ "1J4", "", "", ResidueType::NON_POLYMER, false, "4-[(9-cyclopentyl-7,7-difluoro-5-methyl-6-oxo-6,7,8,9-tetrahydro-5H-pyrimido[4,5-b][1,4]diazepin-2-yl)amino]-2-fluoro-5-methoxy-N-(1-methylpiperidin-4-yl)benzamide", 1665 },
	{ "1J5", "", "", ResidueType::NON_POLYMER, false, "trans-4-{2-[(1R)-1-hydroxyethyl]imidazo[4,5-d]pyrrolo[2,3-b]pyridin-1(6H)-yl}cyclohexanecarbonitrile", 1666 },
	{ "1J6", "", "", ResidueType::NON_POLYMER, false, "(trans-4-{2-[(1R)-1-hydroxyethyl]imidazo[4,5-d]pyrrolo[2,3-b]pyridin-1(6H)-yl}cyclohexyl)acetonitrile", 1667 },
	{ "1J9", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{[1-(2-chlorophenyl)-1H-pyrazolo[3,4-d]pyrimidin-4-yl]oxy}-N-(5-chloropyridin-2-yl)-3-(2-hydroxyethoxy)propanamide", 1668 },
	{ "1JB", "", "", ResidueType::SACCHARIDE, false, "[[(2R,3S,5R)-5-[5-methyl-2,4-bis(oxidanylidene)pyrimidin-1-yl]-3-oxidanyl-oxolan-2-yl]methoxy-oxidanyl-phosphoryl] [(2R,3R,4S,5R,6R)-6-methyl-3,4,5-tris(oxidanyl)oxan-2-yl] hydrogen phosphate", 1669 },
	{ "1JC", "", "", ResidueType::NON_POLYMER, false, "1-{5-oxo-3-[1-(piperidin-4-yl)-1H-pyrazol-4-yl]-5H-benzo[4,5]cyclohepta[1,2-b]pyridin-7-yl}-N-(pyridin-2-ylmethyl)methanesulfonamide", 1670 },
	{ "1JD", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{[1-(3-chloropyridin-2-yl)-1H-pyrazolo[3,4-d]pyrimidin-4-yl]oxy}-N-(5-methylpyridin-2-yl)-3-(propan-2-yloxy)propanamide", 1671 },
	{ "1JE", "", "", ResidueType::NON_POLYMER, false, "[(1R)-5,8-dichloro-1-propyl-1,3,4,9-tetrahydropyrano[3,4-b]indol-1-yl]acetic acid", 1672 },
	{ "1JF", "", "", ResidueType::NON_POLYMER, false, "4-chloro-2-{[(2,4,5-trichlorophenyl)sulfonyl]amino}benzoic acid", 1673 },
	{ "1JG", "", "", ResidueType::NON_POLYMER, false, "2-{[(5-bromothiophen-2-yl)sulfonyl]amino}-4-chlorobenzoic acid", 1674 },
	{ "1JH", "", "", ResidueType::NON_POLYMER, false, "2-{[(4-methylphenyl)sulfonyl]amino}-5-phenoxybenzoic acid", 1675 },
	{ "1JJ", "", "", ResidueType::NON_POLYMER, false, "[(1S)-1-hydroxypropyl]phosphonic acid", 1676 },
	{ "1JK", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-methyl-3-(3-phenyl-1,2-oxazol-5-yl)propanoic acid", 1677 },
	{ "1JL", "", "", ResidueType::NON_POLYMER, false, "2-{[(4-methylphenyl)sulfonyl]amino}-4-phenoxybenzoic acid", 1678 },
	{ "1JM", "", "", ResidueType::PEPTIDE_LINKING, false, "4-carboxy-N-methyl-D-phenylalanine", 1679 },
	{ "1JN", "", "", ResidueType::NON_POLYMER, false, "1-(4-methoxy-3-methylbenzyl)-1,5,6,7-tetrahydroindeno[5,6-d]imidazole", 1680 },
	{ "1JO", "", "", ResidueType::NON_POLYMER, false, "D-gamma-glutamyl-S-(4-phenylbutyl)-L-cysteinylglycine", 1681 },
	{ "1JP", "", "", ResidueType::NON_POLYMER, false, "D-gamma-glutamyl-(Z)-N-(carboxymethylidene)-S-[(2R)-2-hydroxy-4-phenylbutyl]-L-cysteinamide", 1682 },
	{ "1JQ", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-methyl-3-(3-phenyl-1,2-oxazol-5-yl)propanoic acid", 1683 },
	{ "1JR", "", "", ResidueType::NON_POLYMER, false, "(4S)-3-phenyl-4-(pyridin-3-yl)-4,5-dihydropyrrolo[3,4-c]pyrazol-6(2H)-one", 1684 },
	{ "1JS", "", "", ResidueType::NON_POLYMER, false, "N~1~-hydroxy-N~5~-(3-hydroxypropyl)-N~2~-[4-(phenylethynyl)benzoyl]-L-glutamamide", 1685 },
	{ "1JT", "", "", ResidueType::NON_POLYMER, false, "1-(4-methoxy-3-methylbenzyl)-5,6,7,8-tetrahydro-1H-naphtho[2,3-d]imidazole", 1686 },
	{ "1JU", "", "", ResidueType::NON_POLYMER, false, "1-(1,3-benzodioxol-5-ylmethyl)-5,6,7,8-tetrahydro-1H-naphtho[2,3-d]imidazole", 1687 },
	{ "1JV", "", "", ResidueType::NON_POLYMER, false, "2-methyl-1-(4-{2-[1-(2,2,2-trifluoroethyl)-1H-1,2,4-triazol-5-yl]-4,5-dihydro[1]benzoxepino[5,4-d][1,3]thiazol-8-yl}-1H-pyrazol-1-yl)propan-2-ol", 1688 },
	{ "1JX", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-methyl-1,4-dihydropyrido[2,3-b]pyrazin-3(2H)-one", 1689 },
	{ "1JY", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[(6S)-2-(hydroxymethyl)-4-oxo-4,6,7,8-tetrahydro-1H-cyclopenta[g]quinazolin-6-yl](prop-2-yn-1-yl)amino}benzoyl)-L-gamma-glutamyl-D-glutamic acid", 1690 },
	{ "1JZ", "", "", ResidueType::NON_POLYMER, false, "1-[4-(hydroxymethyl)phenyl]guanidine", 1691 },
	{ "1K0", "", "", ResidueType::NON_POLYMER, false, "2-[4-(2-hydroxyethoxy)-3,5-dimethylphenyl]-5,7-dimethoxyquinazolin-4(3H)-one", 1692 },
	{ "1K3", "", "", ResidueType::NON_POLYMER, false, "5-(4-methoxyphenyl)-N-[4-(4-methylpiperazin-1-yl)phenyl][1,2,4]triazolo[1,5-a]pyridin-2-amine", 1693 },
	{ "1K4", "", "", ResidueType::NON_POLYMER, false, "N-decanoyl-L-homoserine", 1694 },
	{ "1K5", "", "", ResidueType::NON_POLYMER, false, "(9-oxoacridin-10(9H)-yl)acetic acid", 1695 },
	{ "1K6", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,4S)-3-formyl-2-hydroxy-4-methylhexanoic acid", 1696 },
	{ "1K7", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-2-[(2R)-2-azanyl-4-phenyl-butyl]cyclopropan-1-amine", 1697 },
	{ "1K9", "", "", ResidueType::NON_POLYMER, false, "1-[5-(cyclopropylsulfamoyl)-2-thiophen-3-yl-phenyl]-3-[3-(trifluoromethyl)phenyl]urea", 1698 },
	{ "1KA", "", "", ResidueType::NON_POLYMER, false, "(2-hydroxyethoxy)acetaldehyde", 1699 },
	{ "1KC", "", "", ResidueType::NON_POLYMER, false, "(3S)-7-methylsulfanyl-3-oxidanyl-hept-4-enoic acid", 1700 },
	{ "1KG", "", "", ResidueType::NON_POLYMER, false, "(3beta,9beta,22R,25R)-3-hydroxyfurost-5-en-27-yl propanoate", 1701 },
	{ "1KH", "", "", ResidueType::NON_POLYMER, false, "arsenoribose", 1702 },
	{ "1KJ", "", "", ResidueType::NON_POLYMER, false, "N~5~-(N-methoxycarbamimidoyl)-L-ornithine", 1703 },
	{ "1KL", "", "", ResidueType::NON_POLYMER, false, "methyl (2Z)-(3-{4-[(4-tert-butylphenyl)carbamoyl]phenyl}-4-oxo-1,3-thiazolidin-2-ylidene)(cyano)acetate", 1704 },
	{ "1KM", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-azanyl-3-[(1R,2S)-2-oxidanyl-1-phosphono-propyl]sulfanyl-propanoic acid", 1705 },
	{ "1KN", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,4R,5S)-2-(4-methoxyphenyl)-5-methylpyrrolidine-3,4-diol", 1706 },
	{ "1KO", "", "", ResidueType::NON_POLYMER, false, "2-(4-chlorophenyl)-8-[(3S)-piperidin-3-ylamino]imidazo[1,2-c]pyrimidine-5-carboxamide", 1707 },
	{ "1KP", "", "", ResidueType::NON_POLYMER, false, "(3E)-6,7-dichloro-3-(hydroxyimino)-1,3-dihydro-2H-indol-2-one", 1708 },
	{ "1KR", "", "", ResidueType::NON_POLYMER, false, "benzyl [(2S)-1-({(2R)-1-[(1S,2S)-2-{[(2R,3S,4S)-3-formyl-2-hydroxy-4-methylhexanoyl]amino}cyclopropyl]-4-phenylbutan-2-yl}amino)-1-oxopropan-2-yl]carbamate", 1709 },
	{ "1KS", "", "", ResidueType::NON_POLYMER, false, "4-fluoro-N-methyl-N-{1-[4-(1-methyl-1H-pyrazol-5-yl)phthalazin-1-yl]piperidin-4-yl}-2-(trifluoromethyl)benzamide", 1710 },
	{ "1KT", "", "", ResidueType::NON_POLYMER, false, "1-[(9S,13R,13aR)-1,3-dimethoxy-8-oxo-5,8,9,10,11,12,13,13a-octahydro-6H-9,13-epiminoazocino[2,1-a]isoquinolin-14-yl]-2-(3,4,5-trimethoxyphenyl)ethane-1,2-dione", 1711 },
	{ "1KU", "", "", ResidueType::NON_POLYMER, false, "(1S,6R)-10-(1,3-benzothiazol-6-ylsulfonyl)-3-[2-(3,4-dimethoxyphenoxy)ethyl]-3,10-diazabicyclo[4.3.1]decan-2-one", 1712 },
	{ "1KV", "", "", ResidueType::NON_POLYMER, false, "2-[4-(1,3-benzodioxol-5-ylmethyl)piperazin-1-yl]-N-[(1S,2S,5S)-2,5-dimethoxycyclohexyl]acetamide", 1713 },
	{ "1KX", "", "", ResidueType::NON_POLYMER, false, "{(1S,4R)-4-[2-amino-6-(cyclopropylamino)-9H-purin-9-yl]cyclopent-2-en-1-yl}methanol", 1714 },
	{ "1KY", "", "", ResidueType::NON_POLYMER, false, "6-({(1S,5R)-3-[2-(3,4-dimethoxyphenoxy)ethyl]-2-oxo-3,9-diazabicyclo[3.3.1]non-9-yl}sulfonyl)-1,3-benzothiazol-2(3H)-one", 1715 },
	{ "1KZ", "", "", ResidueType::NON_POLYMER, false, "2-(3,4-dimethoxyphenoxy)ethyl (2S)-1-[(2-oxo-2,3-dihydro-1,3-benzothiazol-6-yl)sulfonyl]piperidine-2-carboxylate", 1716 },
	{ "1L1", "", "", ResidueType::PEPTIDE_LINKING, false, "3-cyclohexyl-N-sulfamoyl-D-alanine", 1717 },
	{ "1L2", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(alpha-D-galactopyranosyloxy)-2-[(9Z)-octadec-9-enoyloxy]propyl (9Z,12Z)-octadeca-9,12-dienoate", 1718 },
	{ "1L4", "", "", ResidueType::NON_POLYMER, false, "N-[(2R)-3-(3-cyanophenyl)-1-oxo-1-(pyrrolidin-1-yl)propan-2-yl]-8-fluoro-1,2,3,4-tetrahydroisoquinoline-6-sulfonamide", 1719 },
	{ "1L5", "", "", ResidueType::NON_POLYMER, false, "[(1E)-1-nitroprop-1-en-2-yl]benzene", 1720 },
	{ "1L6", "", "", ResidueType::NON_POLYMER, false, "1-(2-hydroxyethyl)-3-(2-methylbutan-2-yl)-5-[4-(2-methyl-1H-imidazol-1-yl)phenyl]-6,7-dihydropyrazolo[4,3-e][1,4]diazepin-8(1H)-one", 1721 },
	{ "1L7", "", "", ResidueType::NON_POLYMER, false, "(2E)-N-benzyl-2-cyano-3-(pyridin-4-yl)prop-2-enamide", 1722 },
	{ "1L8", "", "", ResidueType::NON_POLYMER, false, "8-fluoro-N-{(2R)-1-oxo-1-(pyrrolidin-1-yl)-3-[3-(trifluoromethyl)phenyl]propan-2-yl}-1,2,3,4-tetrahydroisoquinoline-6-sulfonamide", 1723 },
	{ "1L9", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3S,4R)-1-({6-O-[(4-chlorophenyl)carbamoyl]-alpha-D-galactopyranosyl}oxy)-3,4-dihydroxyoctadecan-2-yl]hexacosanamide", 1724 },
	{ "1LA", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3S,4R)-3,4-dihydroxy-1-{[6-O-(pyridin-4-ylcarbamoyl)-alpha-D-galactopyranosyl]oxy}octadecan-2-yl]hexacosanamide", 1725 },
	{ "1LB", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-cyano-3-(1H-indazol-5-yl)propanamide", 1726 },
	{ "1LC", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-cyano-3-[3-(1H-pyrrolo[2,3-b]pyridin-3-ylcarbonyl)phenyl]propanamide", 1727 },
	{ "1LD", "", "", ResidueType::NON_POLYMER, false, "5-fluorocytosine", 1728 },
	{ "1LE", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-cyano-N-(1-hydroxy-2-methylpropan-2-yl)-3-[3-(3,4,5-trimethoxyphenyl)-1H-indazol-5-yl]propanamide", 1729 },
	{ "1LF", "", "", ResidueType::NON_POLYMER, false, "1-[4-methyl-6-(methylamino)-1,3,5-triazin-2-yl]-N-[2-(trifluoromethyl)benzyl]piperidine-4-carboxamide", 1730 },
	{ "1LG", "", "", ResidueType::NON_POLYMER, false, "2,4-DICHLORO-N-(3-CYANO-4,5,6,7-TETRAHYDRO-BENZOTHIOPHEN-2YL)-5-(MORPHOLINE-4-SULFONYL)-BENZAMIDE", 1731 },
	{ "1LH", "", "", ResidueType::NON_POLYMER, false, "(2S)-4-[(2-ammonioethyl)amino]-N-[(1R)-1-(4-chloro-2-fluoro-3-phenoxyphenyl)propyl]-4-oxobutan-2-aminium", 1732 },
	{ "1LI", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R)-3-{[1-(3-tert-butylphenyl)cyclohexyl]amino}-1-(3,5-difluorobenzyl)-2-hydroxypropyl]acetamide", 1733 },
	{ "1LJ", "", "", ResidueType::NON_POLYMER, false, "1-[(6-aminopyridin-3-yl)methyl]-3-[4-(phenylsulfonyl)phenyl]urea", 1734 },
	{ "1LL", "", "", ResidueType::SACCHARIDE, false, "thioditaloside", 1735 },
	{ "1LM", "", "", ResidueType::NON_POLYMER, false, "quinolin-4-amine", 1736 },
	{ "1LN", "", "", ResidueType::NON_POLYMER, false, "2-(2-aminopyridin-1-ium-1-yl)ethanol", 1737 },
	{ "1LP", "", "", ResidueType::NON_POLYMER, false, "TRANYLCYPROMINE", 1738 },
	{ "1LQ", "", "", ResidueType::NON_POLYMER, false, "quinazolin-4-amine", 1739 },
	{ "1LR", "", "", ResidueType::NON_POLYMER, false, "3-(benzoylamino)-2-hydroxybenzoic acid", 1740 },
	{ "1LS", "", "", ResidueType::NON_POLYMER, false, "1-[4-(piperidin-1-ylsulfonyl)phenyl]-3-(pyridin-3-ylmethyl)thiourea", 1741 },
	{ "1LT", "", "", ResidueType::NON_POLYMER, false, "(2S)-N~1~-{4-methyl-5-[2-(1,1,1-trifluoro-2-methylpropan-2-yl)pyridin-4-yl]-1,3-thiazol-2-yl}pyrrolidine-1,2-dicarboxamide", 1742 },
	{ "1LU", "OLE", "", ResidueType::NON_POLYMER, false, "(2S)-2-hydroxy-4-methyl-pentanoic acid", 1743 },
	{ "1LW", "", "", ResidueType::NON_POLYMER, false, "5,6,7,8-tetrahydrothieno[2,3-b]quinolin-4-amine", 1744 },
	{ "1LX", "", "", ResidueType::NON_POLYMER, false, "imidazo[1,2-a]pyridin-5-amine", 1745 },
	{ "1LY", "", "", ResidueType::NON_POLYMER, false, "imidazo[1,2-a]pyridin-6-amine", 1746 },
	{ "1LZ", "", "", ResidueType::NON_POLYMER, false, "1H-pyrrolo[3,2-b]pyridin-6-ylmethanol", 1747 },
	{ "1M0", "", "", ResidueType::NON_POLYMER, false, "1-benzyl-2-(4-{[(2R)-2-(2-phenyl-1H-benzimidazol-1-yl)pent-4-en-1-yl]oxy}phenyl)-1H-benzimidazole", 1748 },
	{ "1M1", "", "", ResidueType::NON_POLYMER, false, "(6R)-6-(pyridin-2-yl)-5,6-dihydrobenzimidazo[1,2-c]quinazoline", 1749 },
	{ "1M2", "", "", ResidueType::NON_POLYMER, false, "N-methyl-1H-benzimidazol-2-amine", 1750 },
	{ "1M3", "", "", ResidueType::NON_POLYMER, false, "N-tert-butyl-3-[(5-methyl-2-{[4-(4-methylpiperazin-1-yl)phenyl]amino}pyrimidin-4-yl)amino]benzenesulfonamide", 1751 },
	{ "1M4", "", "", ResidueType::NON_POLYMER, false, "(4R)-2'-amino-6-bromo-1',2,2-trimethyl-2,3-dihydrospiro[chromene-4,4'-imidazol]-5'(1'H)-one", 1752 },
	{ "1M5", "", "", ResidueType::NON_POLYMER, false, "(4R)-2'-amino-6-(3-chlorophenyl)-1',2,2-trimethyl-2,3-dihydrospiro[chromene-4,4'-imidazol]-5'(1'H)-one", 1753 },
	{ "1M6", "", "", ResidueType::NON_POLYMER, false, "3-[(4R)-2'-amino-1',2,2-trimethyl-5'-oxo-1',2,3,5'-tetrahydrospiro[chromene-4,4'-imidazol]-6-yl]benzonitrile", 1754 },
	{ "1M7", "", "", ResidueType::NON_POLYMER, false, "(4R)-2-amino-1,3',3'-trimethyl-7'-(pyrimidin-5-yl)-3',4'-dihydro-2'H-spiro[imidazole-4,1'-naphthalen]-5(1H)-one", 1755 },
	{ "1M8", "", "", ResidueType::NON_POLYMER, false, "5-(2-chlorophenyl)-N-[5-(cyclopropylcarbamoyl)-2-methylphenyl]thiophene-2-carboxamide", 1756 },
	{ "1M9", "", "", ResidueType::NON_POLYMER, false, "2-{[(trans-4-methylcyclohexyl)carbonyl](propan-2-yl)amino}-5-[2-(trifluoromethyl)phenoxy]benzoic acid", 1757 },
	{ "1MA", "MAD", "", ResidueType::RNA_LINKING, false, "6-HYDRO-1-METHYLADENOSINE-5'-MONOPHOSPHATE", 1758 },
	{ "1MB", "", "", ResidueType::NON_POLYMER, false, "1-(2,4-difluorobenzyl)-6-{[3-(trifluoromethyl)pyridin-2-yl]oxy}quinazolin-4(1H)-one", 1759 },
	{ "1MC", "", "", ResidueType::NON_POLYMER, false, "1-METHYLCYTOSINE", 1760 },
	{ "1MD", "", "", ResidueType::NON_POLYMER, false, "2-[3-(aminomethyl)-4-(2,4-dichlorophenyl)-2-methyl-5-oxo-5,7-dihydro-6H-pyrrolo[3,4-b]pyridin-6-yl]-N,N-dimethylacetamide", 1761 },
	{ "1ME", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-AMINO-3-METHYLSULFANYL-BUTANOIC ACID", 1762 },
	{ "1MF", "", "", ResidueType::NON_POLYMER, false, "", 1763 },
	{ "1MG", "", "", ResidueType::RNA_LINKING, false, "1N-METHYLGUANOSINE-5'-MONOPHOSPHATE", 1764 },
	{ "1MH", "", "", ResidueType::PEPTIDE_LINKING, false, "3-pyridin-3-yl-L-alanine", 1765 },
	{ "1MJ", "", "", ResidueType::NON_POLYMER, false, "1H-pyrrolo[3,2-b]pyridine-6-carbaldehyde", 1766 },
	{ "1MK", "", "", ResidueType::NON_POLYMER, false, "chlorido(eta-6-p-cymene)(N-fluorophenyl-2-pyridinecarbothioamide)osmium(II)", 1767 },
	{ "1ML", "", "", ResidueType::NON_POLYMER, false, "5-{4-[(4-methoxybenzoyl)amino]phenoxy}-2-{[(trans-4-methylcyclohexyl)carbonyl](propan-2-yl)amino}benzoic acid", 1768 },
	{ "1MM", "", "", ResidueType::NON_POLYMER, false, "METHYL 2-[({[(4-METHOXY-6-METHYL-1,3,5-TRIAZIN-2-YL)AMINO]CARBONYL}AMINO)SULFONYL]BENZOATE", 1769 },
	{ "1MN", "", "", ResidueType::NON_POLYMER, false, "(2S,5R,6S)-2-benzyl-5,6-bis(4-bromophenyl)-4-methylmorpholin-3-one", 1770 },
	{ "1MO", "", "", ResidueType::NON_POLYMER, false, "(2S,5R,6S)-2-benzyl-5,6-bis(4-chlorophenyl)-4-methylmorpholin-3-one", 1771 },
	{ "1MQ", "", "", ResidueType::NON_POLYMER, false, "(2R,3E)-2-[(2S,3R,6S)-2,3-bis(4-chlorophenyl)-6-(4-fluorobenzyl)-5-oxomorpholin-4-yl]pent-3-enoic acid", 1772 },
	{ "1MR", "", "", ResidueType::NON_POLYMER, false, "N-METHYLANILINE", 1773 },
	{ "1MS", "", "", ResidueType::NON_POLYMER, false, "N-[(4-methylpyrimidin-2-yl)carbamoyl]-2-nitrobenzenesulfonamide", 1774 },
	{ "1MT", "", "", ResidueType::NON_POLYMER, false, "(2'S,3R,4'S,5'R)-N-(2-aminoethyl)-6-chloro-4'-(3-chloro-2-fluorophenyl)-2'-(2,2-dimethylpropyl)-2-oxo-1,2-dihydrospiro[indole-3,3'-pyrrolidine]-5'-carboxamide", 1775 },
	{ "1MU", "", "", ResidueType::NON_POLYMER, false, "3-{[2-(4-carboxyphenyl)ethyl]sulfamoyl}thiophene-2-carboxylic acid", 1776 },
	{ "1MV", "", "", ResidueType::NON_POLYMER, false, "({[6-(4-methylphenyl)thieno[2,3-d]pyrimidin-4-yl]amino}methanediyl)bis(phosphonic acid)", 1777 },
	{ "1MW", "", "", ResidueType::NON_POLYMER, false, "3-{[3-(4-carboxyphenyl)propyl]sulfamoyl}thiophene-2-carboxylic acid", 1778 },
	{ "1MX", "", "", ResidueType::NON_POLYMER, false, "2-amino-4-oxo-N-{2-[(phenylcarbamoyl)amino]ethyl}-3,4-dihydropteridine-7-carboxamide", 1779 },
	{ "1MY", "", "", ResidueType::NON_POLYMER, false, "{(2S,5R,6S)-6-(3-chlorophenyl)-5-(4-chlorophenyl)-4-[(2S)-1-hydroxybutan-2-yl]-3-oxomorpholin-2-yl}acetic acid", 1780 },
	{ "1MZ", "", "", ResidueType::NON_POLYMER, false, "1-METHYLIMIDAZOLE", 1781 },
	{ "1N", "", "", ResidueType::NON_POLYMER, false, "1-[(1~{R},2~{R},4~{S},5~{S})-2,4-bis(4-carbamimidamidophenoxy)-5-[(4-carbamimidamidophenyl)amino]cyclohexyl]guanidine", 1782 },
	{ "1N0", "", "", ResidueType::NON_POLYMER, false, "1,1'-hexane-1,6-diyldipyrrolidine-2,5-dione", 1783 },
	{ "1N1", "", "", ResidueType::NON_POLYMER, false, "N-(2-CHLORO-6-METHYLPHENYL)-2-({6-[4-(2-HYDROXYETHYL)PIPERAZIN-1-YL]-2-METHYLPYRIMIDIN-4-YL}AMINO)-1,3-THIAZOLE-5-CARBOXAMIDE", 1784 },
	{ "1N2", "", "", ResidueType::NON_POLYMER, false, "1,1'-ethane-1,2-diyldipyrrolidine-2,5-dione", 1785 },
	{ "1N3", "", "", ResidueType::NON_POLYMER, false, "1-(aminomethyl)-N-(3-{[6-bromo-2-(4-methoxyphenyl)-3H-imidazo[4,5-b]pyridin-7-yl]amino}propyl)cyclopropanecarboxamide", 1786 },
	{ "1N4", "", "", ResidueType::NON_POLYMER, false, "(2R)-amino(1-hydroxy-4-propyl-1H-pyrazol-5-yl)ethanoic acid", 1787 },
	{ "1N5", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-2,4,7-trihydroxyheptanoic acid", 1788 },
	{ "1N6", "", "", ResidueType::NON_POLYMER, false, "2-[(trans-4-aminocyclohexyl)amino]-4-{[3-(trifluoromethyl)phenyl]amino}pyrido[4,3-d]pyrimidin-5(6H)-one", 1789 },
	{ "1N7", "", "", ResidueType::NON_POLYMER, false, "CHAPSO", 1790 },
	{ "1N8", "", "", ResidueType::NON_POLYMER, false, "N-{2-[(N,N-DIETHYLGLYCYL)AMINO]-5-(TRIFLUOROMETHYL)PHENYL}-4-METHYL-3-[2-(METHYLAMINO)QUINAZOLIN-6-YL]BENZAMIDE", 1791 },
	{ "1N9", "", "", ResidueType::NON_POLYMER, false, "2,6-DIMETHYLPHENYL 2-(3,5-DIMETHOXY-4-(3-(4-METHYLPIPERAZIN-1-YL)PROPOXY)PHENYLAMINO)PYRIMIDIN- 4-YL(2,4-DIMETHOXYPHENYL)CARBAMATE", 1792 },
	{ "1NA", "", "MAG", ResidueType::SACCHARIDE, true, "N-ACETYL-O-METHYL-D-GLUCOSAMINE", 1793 },
	{ "1NB", "", "", ResidueType::NON_POLYMER, false, "2-(2-HYDROXY-CYCLOPENTYL)-PENT-4-ENAL", 1794 },
	{ "1ND", "", "", ResidueType::NON_POLYMER, false, "1-[4-(1-PYRROLIDINYLCARBONYL)PHENYL]-3-(TRIFLUOROMETHYL)-4,5,6,7-TETRAHYDRO-1H-INDAZOLE", 1795 },
	{ "1NE", "", "", ResidueType::NON_POLYMER, false, "N,N-DIMETHYL-4-[3-(TRIFLUOROMETHYL)-4,5,6,7-TETRAHYDRO-1H-INDAZOL-1-YL]BENZAMIDE", 1796 },
	{ "1NF", "", "", ResidueType::NON_POLYMER, false, "N,N-DIMETHYL-4-[3-(TRIFLUOROMETHYL)-4,5,6,7-TETRAHYDRO-1H-INDAZOL-1-YL]BENZAMIDE", 1797 },
	{ "1NG", "", "", ResidueType::NON_POLYMER, false, "1-{4-[2-OXO-2-(1-PYRROLIDINYL)ETHYL]PHENYL}-3-( TRIFLUOROMETHYL)-4,5,6,7-TETRAHYDRO-1H-INDAZOLE", 1798 },
	{ "1NH", "", "", ResidueType::NON_POLYMER, false, "(2E,6E)-8-[(3-BENZOYLBENZYL)OXY]-3,7-DIMETHYLOCTA-2,6-DIENYL TRIHYDROGEN DIPHOSPHATE", 1799 },
	{ "1NI", "", "LP1", ResidueType::NON_POLYMER, true, "4-[2-(2-ACETYLAMINO-3-NAPHTHALEN-1-YL-PROPIONYLAMINO)-3-METHYL-BUTYRYLAMINO]-3-HYDROXY-6-METHYL-HEPTANOIC ACID [1-(1-CARBAMOYL-2-NAPHTHALEN-1-YL-ETHYLCARBAMOYL)-PROPYL]-AMIDE", 1800 },
	{ "1NJ", "", "", ResidueType::NON_POLYMER, false, "2-{2-[(4-carbamimidoylphenyl)carbamoyl]-6-methoxypyridin-3-yl}-5-{[(2S)-1-hydroxy-3,3-dimethylbutan-2-yl]carbamoyl}benzoic acid", 1801 },
	{ "1NK", "", "", ResidueType::NON_POLYMER, false, "2-{2-[(1-aminoisoquinolin-6-yl)carbamoyl]-6-methoxypyridin-3-yl}-5-{[(2S)-1-hydroxy-3,3-dimethylbutan-2-yl]carbamoyl}benzoic acid", 1802 },
	{ "1NL", "", "", ResidueType::NON_POLYMER, false, "2-{2-[(3-carbamoylphenyl)carbamoyl]-6-methoxypyridin-3-yl}-5-{[(2S)-1-hydroxy-3,3-dimethylbutan-2-yl]carbamoyl}benzoic acid", 1803 },
	{ "1NM", "", "", ResidueType::NON_POLYMER, false, "2-[({2-[3-(2-fluoroethoxy)-4-methoxyphenyl]-1,3-thiazol-4-yl}methyl)sulfanyl]pyrimidine-4,6-diamine", 1804 },
	{ "1NN", "", "", ResidueType::NON_POLYMER, false, "2-[({5-ethyl-2-[3-(2-fluoroethoxy)-4-methoxyphenyl]-1,3-thiazol-4-yl}methyl)sulfanyl]pyrimidine-4,6-diamine", 1805 },
	{ "1NO", "", "", ResidueType::NON_POLYMER, false, "2-[({2-[3-(2-fluoroethoxy)-4-methoxyphenyl]-5-methyl-1,3-thiazol-4-yl}methyl)sulfanyl]pyrimidine-4,6-diamine", 1806 },
	{ "1NP", "", "", ResidueType::NON_POLYMER, false, "1-NAPHTHOL", 1807 },
	{ "1NQ", "", "", ResidueType::NON_POLYMER, false, "N-{2-[1-(6-carbamoylthieno[3,2-d]pyrimidin-4-yl)piperidin-4-yl]ethyl}-N'-ethylthiophene-2,5-dicarboxamide", 1808 },
	{ "1NR", "", "", ResidueType::NON_POLYMER, false, "4-(4-{2-[(2,2-dimethylpropanoyl)amino]ethyl}piperidin-1-yl)thieno[3,2-d]pyrimidine-6-carboxamide", 1809 },
	{ "1NS", "", "", ResidueType::NON_POLYMER, false, "4-(4-{2-[(methylsulfonyl)amino]ethyl}piperidin-1-yl)thieno[3,2-d]pyrimidine-6-carboxamide", 1810 },
	{ "1NT", "", "", ResidueType::NON_POLYMER, false, "(2R,4R,5R,6R,7R)-2,4,5,6,7-PENTAHYDROXY-2,8-BIS(PHOSPHONOOXY)OCTANOIC ACID", 1811 },
	{ "1NU", "", "", ResidueType::NON_POLYMER, false, "1-(2,4,6-trifluorobenzyl)-6-[2-(trifluoromethyl)phenoxy]quinazolin-4(1H)-one", 1812 },
	{ "1NV", "", "", ResidueType::NON_POLYMER, false, "3-{[4-oxo-1-(2,4,6-trifluorobenzyl)-1,4-dihydroquinazolin-6-yl]oxy}-2-(trifluoromethyl)benzamide", 1813 },
	{ "1NW", "", "", ResidueType::NON_POLYMER, false, "3-{[4-oxo-1-(2,4,6-trifluorobenzyl)-1,4-dihydroquinazolin-6-yl]oxy}-N-(pyridin-3-yl)-2-(trifluoromethyl)benzamide", 1814 },
	{ "1NX", "", "", ResidueType::NON_POLYMER, false, "2-[[(3R)-3-acetamido-2,3-dihydro-1H-inden-5-yl]oxy]-N-[(1S)-1-cyclopropylethyl]-5H-pyrrolo[2,3-b]pyrazine-7-carboxamide", 1815 },
	{ "1NY", "", "", ResidueType::NON_POLYMER, false, "4-{[(5,5-dimethyl-8-phenyl-5,6-dihydronaphthalen-2-yl)carbonyl]amino}benzoic acid", 1816 },
	{ "1NZ", "", "", ResidueType::NON_POLYMER, false, "6-[3-([1,3]oxazolo[4,5-b]pyridin-2-yl)-2-(trifluoromethyl)phenoxy]-1-(2,4,6-trifluorobenzyl)quinazolin-4(1H)-one", 1817 },
	{ "1O0", "", "", ResidueType::NON_POLYMER, false, "6-[3-(pyridin-2-yl)-2-(trifluoromethyl)phenoxy]-1-(2,4,6-trifluorobenzyl)quinazolin-4(1H)-one", 1818 },
	{ "1O1", "", "", ResidueType::NON_POLYMER, false, "5-(4-carboxyphenoxy)-2-{[(4-methylphenyl)sulfonyl]amino}benzoic acid", 1819 },
	{ "1O2", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(alpha-D-galactopyranosyloxy)-2-(hexadecanoyloxy)propyl (9Z)-octadec-9-enoate", 1820 },
	{ "1O3", "", "", ResidueType::NON_POLYMER, false, "2-{[(4-bromo-2-fluorophenyl)sulfonyl]amino}-5-phenoxybenzoic acid", 1821 },
	{ "1O5", "", "", ResidueType::NON_POLYMER, false, "5-[5-ethoxy-6-(1-methyl-1H-pyrazol-4-yl)-1H-indazol-3-yl]-2-methylbenzenesulfonamide", 1822 },
	{ "1O6", "", "", ResidueType::NON_POLYMER, false, "2-{[(trans-4-methylcyclohexyl)carbonyl](propan-2-yl)amino}-5-phenoxybenzoic acid", 1823 },
	{ "1O8", "", "", ResidueType::NON_POLYMER, false, "(2E,4E,6Z,8E)-8-(3,4-dihydronaphthalen-1(2H)-ylidene)-3,7-dimethylocta-2,4,6-trienoic acid", 1824 },
	{ "1O9", "", "", ResidueType::NON_POLYMER, false, "(4S,5R)-1-(4-tert-butylbenzoyl)-2-(2-methylpropyl)-4-pyrazin-2-yl-5-(1,3-thiazol-2-yl)-L-proline", 1825 },
	{ "1OA", "", "", ResidueType::NON_POLYMER, false, "N-(4-fluorophenyl)-7-hydroxy-5-(piperidin-4-yl)pyrazolo[1,5-a]pyrimidine-3-carboxamide", 1826 },
	{ "1OB", "", "", ResidueType::NON_POLYMER, false, "5-(4-cyanobenzyl)-N-(4-fluorophenyl)-7-hydroxypyrazolo[1,5-a]pyrimidine-3-carboxamide", 1827 },
	{ "1OC", "", "", ResidueType::NON_POLYMER, false, "N-[5-(2-fluorophenyl)-1H-pyrrolo[2,3-b]pyridin-3-yl]-5-({[(3R,4R)-3-fluoropiperidin-4-yl]methyl}amino)pyrazolo[1,5-a]pyrimidine-3-carboxamide", 1828 },
	{ "1OD", "", "", ResidueType::NON_POLYMER, false, "(4S,5R)-N,N-bis{3-[(2,3-dihydroxybenzoyl)amino]propyl}-2-(2,3-dihydroxyphenyl)-5-methyl-4,5-dihydro-1,3-oxazole-4-carboxamide", 1829 },
	{ "1OG", "", "", ResidueType::NON_POLYMER, false, " 7-alkylidenecephalosporin DCM-1-10, bound form ", 1830 },
	{ "1OH", "", "", ResidueType::NON_POLYMER, false, "4-(1-methyl-1-phenylethyl)phenol", 1831 },
	{ "1OJ", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[3-ethoxy-4-(propan-2-yloxy)phenyl]-2-(isoquinolin-6-ylamino)-N-[(3-sulfamoylphenyl)sulfonyl]ethanamide", 1832 },
	{ "1OK", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(1-aminoisoquinolin-6-yl)amino]-2-[3-ethoxy-4-(propan-2-yloxy)phenyl]-N-(phenylsulfonyl)ethanamide", 1833 },
	{ "1OL", "", "", ResidueType::PEPTIDE_LIKE, false, "(2R,4S,5S)-5-amino-4-hydroxy-2,7-dimethyloctanoic acid", 1834 },
	{ "1OM", "", "", ResidueType::NON_POLYMER, false, "4-{bis[4-(dimethylamino)phenyl]methyl}phenol", 1835 },
	{ "1ON", "", "", ResidueType::NON_POLYMER, false, "2,3-dihydro-1H-inden-1-one", 1836 },
	{ "1OO", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(5-chloro-1H-pyrrolo[2,3-b]pyridin-3-yl)carbonyl]-2,4-difluorophenyl}-4-(trifluoromethyl)benzenesulfonamide", 1837 },
	{ "1OP", "", "", ResidueType::PEPTIDE_LINKING, false, "O-(5-hydroxypentyl)-L-tyrosine", 1838 },
	{ "1OQ", "", "", ResidueType::NON_POLYMER, false, "(2S)-(4-fluorophenyl)[6-(trifluoromethyl)pyridin-2-yl]ethanenitrile", 1839 },
	{ "1OR", "", "", ResidueType::NON_POLYMER, false, "(2R,4aR,6R,7R,7aS)-6-[6-(dipropylamino)-9H-purin-9-yl]tetrahydro-4H-furo[3,2-d][1,3,2]dioxaphosphinine-2,7-diol 2-oxide", 1840 },
	{ "1OS", "", "", ResidueType::NON_POLYMER, false, "[(R)-amino(4-carbamimidoylphenyl)methyl]phosphonic acid", 1841 },
	{ "1OT", "", "", ResidueType::NON_POLYMER, false, "{(R)-amino[4-(1H-pyrazol-1-yl)phenyl]methyl}phosphonic acid", 1842 },
	{ "1OU", "", "", ResidueType::NON_POLYMER, false, "[(R)-amino(4-carbamimidamidophenyl)methyl]phosphonic acid", 1843 },
	{ "1OV", "", "", ResidueType::NON_POLYMER, false, "[(1R)-1-amino-4-carbamimidamidobutyl]phosphonic acid", 1844 },
	{ "1OX", "", "", ResidueType::NON_POLYMER, false, "2-(1H-benzimidazol-1-ylmethyl)-4H-pyrido[1,2-a]pyrimidin-4-one", 1845 },
	{ "1OY", "", "", ResidueType::NON_POLYMER, false, "(3S,4R,5S)-3-(3-chloro-2-fluorophenyl)-4-(4-chloro-2-fluorophenyl)-4-cyano-N-[(3S)-3,4-dihydroxybutyl]-5-(2,2-dimethylpropyl)-D-prolinamide", 1846 },
	{ "1P0", "", "", ResidueType::NON_POLYMER, false, "2,2',2''-[nitrilotris(methanediyl-1H-1,2,3-triazole-4,1-diyl)]triethanol", 1847 },
	{ "1P1", "", "", ResidueType::NON_POLYMER, false, "", 1848 },
	{ "1P2", "", "", ResidueType::NON_POLYMER, false, "", 1849 },
	{ "1P3", "", "", ResidueType::NON_POLYMER, false, "(3R)-1-ACETYL-3-METHYLPIPERIDINE", 1850 },
	{ "1P4", "", "", ResidueType::NON_POLYMER, false, "3,3',3''-[nitrilotris(methanediyl-1H-1,2,3-triazole-4,1-diyl)]tripropan-1-ol", 1851 },
	{ "1P5", "", "", ResidueType::NON_POLYMER, false, "(3S)-1-[6-(2-aminopyrazolo[1,5-a]pyrimidin-3-yl)pyrimidin-4-yl]-N,N-diethylpiperidine-3-carboxamide", 1852 },
	{ "1P6", "", "", ResidueType::NON_POLYMER, false, "3-(6-{[(1S)-1-(4-fluorophenyl)ethyl]amino}pyrimidin-4-yl)pyrazolo[1,5-a]pyrimidin-2-amine", 1853 },
	{ "1P7", "", "", ResidueType::NON_POLYMER, false, "6-chloro-2,3-dihydro-1H-isoindol-1-one", 1854 },
	{ "1P8", "", "", ResidueType::NON_POLYMER, false, "6-bromo-1,3-dihydro-2H-indol-2-one", 1855 },
	{ "1P9", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-{3-[(6-bromo-2-oxo-2,3-dihydro-1H-indol-4-yl)methyl]-2-oxo-2,3-dihydro-1H-benzimidazol-1-yl}hexanoic acid", 1856 },
	{ "1PA", "", "", ResidueType::PEPTIDE_LINKING, false, "4-(carboxymethyl)-L-phenylalanine", 1857 },
	{ "1PB", "", "", ResidueType::NON_POLYMER, false, "1,4-DIPHENYL-2-BUTENE", 1858 },
	{ "1PC", "", "", ResidueType::NON_POLYMER, false, "1-(PHENYL-1-CYCLOHEXYL)PIPERIDINE", 1859 },
	{ "1PD", "", "", ResidueType::NON_POLYMER, false, "2-({3-[5-hydroxy-2-(3-methylbutyl)-3-oxo-6-(1,3-thiazol-5-yl)-2,3-dihydropyridazin-4-yl]-1,1-dioxido-2H-1,2,4-benzothiadiazin-7-yl}oxy)acetamide", 1860 },
	{ "1PE", "", "", ResidueType::NON_POLYMER, false, "PENTAETHYLENE GLYCOL", 1861 },
	{ "1PF", "", "", ResidueType::NON_POLYMER, false, "4-(cyclohexylmethoxy)-3-{4-[(1-methylpiperidin-4-yl)oxy]phenyl}-2H-indazole", 1862 },
	{ "1PG", "", "", ResidueType::NON_POLYMER, false, "2-(2-{2-[2-(2-METHOXY-ETHOXY)-ETHOXY]-ETHOXY}-ETHOXY)-ETHANOL", 1863 },
	{ "1PH", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-N-[3-(3-sulfamoylphenyl)-2H-indazol-5-yl]acetamide", 1864 },
	{ "1PI", "", "", ResidueType::PEPTIDE_LINKING, false, "(3R)-3-[(2S)-2-amino-3-oxopropyl]piperidine-1-carboximidamide", 1865 },
	{ "1PJ", "", "", ResidueType::NON_POLYMER, false, "1-(4-methoxyphenyl)cyclopropanecarboxylic acid", 1866 },
	{ "1PK", "", "", ResidueType::NON_POLYMER, false, "1H-perimidin-2-amine", 1867 },
	{ "1PL", "", "", ResidueType::NON_POLYMER, false, "(1S,3aS,5aR,8aS)-1,7,7-trimethyl-1,2,3,3a,5a,6,7,8-octahydrocyclopenta[c]pentalene-4-carboxylic acid", 1868 },
	{ "1PM", "", "", ResidueType::NON_POLYMER, false, "methyl (3S)-3-{2-[(1,3-benzodioxol-5-ylmethyl)amino]-2-oxoethyl}-4-[2-(1H-imidazol-1-yl)pyrimidin-4-yl]piperazine-1-carboxylate", 1869 },
	{ "1PN", "", "", ResidueType::NON_POLYMER, false, "prop-2-en-1-yl (2S)-2-[(2S,3R)-3-(acetyloxy)-1-oxobutan-2-yl]-2,3-dihydro-1,3-thiazole-4-carboxylate", 1870 },
	{ "1PO", "", "", ResidueType::NON_POLYMER, false, "N-{(1E,4R,5R,7E,9S,10S,11S)-4,10-dimethoxy-11-[(2S,4S,5S)-2-(4-methoxyphenyl)-5-methyl-1,3-dioxan-4-yl]-5,9-dimethyl-6-oxododeca-1,7-dien-1-yl}-N-methylformamide", 1871 },
	{ "1PP", "", "", ResidueType::NON_POLYMER, false, "1-(3-tert-butyl-1-phenyl-1H-pyrazol-5-yl)-3-(2,3-dichlorophenyl)urea", 1872 },
	{ "1PQ", "", "", ResidueType::NON_POLYMER, false, "(4S)-N~4~-(6-methoxyquinolin-8-yl)pentane-1,4-diamine", 1873 },
	{ "1PR", "", "", ResidueType::RNA_LINKING, false, "PHOSPHORIC ACID MONO-[5-({[5-CARBAMOYL-3-(5-PHOSPHONOOXY-5-DEOXY-RIBOFURANOSYL)- 3H-IMIDAZOL-4-YLAMINO]-METHYL}-AMINO)-2,3,4-TRIHYDROXY-PENTYL] ESTER", 1874 },
	{ "1PS", "", "", ResidueType::NON_POLYMER, false, "3-PYRIDINIUM-1-YLPROPANE-1-SULFONATE", 1875 },
	{ "1PT", "", "", ResidueType::NON_POLYMER, false, "CYCLOHEXANE-1(R),2(R)-DIAMINE-PLATINUM(II)", 1876 },
	{ "1PU", "", "", ResidueType::NON_POLYMER, false, "1-(5-OXO-2,3,5,9B-TETRAHYDRO-1H-PYRROLO[2,1-A]ISOINDOL-9-YL)-3-PYRIDIN-2-YL-UREA", 1877 },
	{ "1PV", "", "", ResidueType::NON_POLYMER, false, "[4-({[5-cyclopropyl-2-(4-fluorophenyl)-3-(methylcarbamoyl)-1-benzofuran-6-yl](methylsulfonyl)amino}methyl)-2-fluorophenyl]boronic acid", 1878 },
	{ "1PW", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4E)-2-(acetylamino)-3-hydroxyoctadec-4-en-1-yl dihydrogen phosphate", 1879 },
	{ "1PX", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4E)-2-(hexadecanoylamino)-3-hydroxyoctadec-4-en-1-yl dihydrogen phosphate", 1880 },
	{ "1PY", "", "PPY", ResidueType::NON_POLYMER, true, "2-OXO-3-PHENYLPROPIONIC ACID", 1881 },
	{ "1PZ", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4E)-2-(dodecanoylamino)-3-hydroxyoctadec-4-en-1-yl dihydrogen phosphate", 1882 },
	{ "1Q0", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4Z)-3-hydroxy-2-[(9E)-octadec-9-enoylamino]octadec-4-en-1-yl dihydrogen phosphate", 1883 },
	{ "1Q1", "", "", ResidueType::NON_POLYMER, false, "1-[(5S)-3-(3-fluoro-4-hydroxyphenyl)-4,5-dihydro-1,2-oxazol-5-yl]propan-2-one", 1884 },
	{ "1Q2", "", "", ResidueType::NON_POLYMER, false, "(4R,6Z)-6-(3-fluoro-4-hydroxyphenyl)-4-hydroxy-6-iminohexan-2-one", 1885 },
	{ "1Q3", "", "", ResidueType::NON_POLYMER, false, "(1R,2S)-2-{[8-oxo-2-(1H-pyrazol-4-yl)-5,8-dihydropyrido[3,4-d]pyrimidin-4-yl]amino}cyclopentanecarbonitrile", 1886 },
	{ "1Q4", "", "", ResidueType::NON_POLYMER, false, "4-(cyclohexylamino)pyrido[3,4-d]pyrimidin-8(7H)-one", 1887 },
	{ "1Q5", "", "", ResidueType::NON_POLYMER, false, "3,6-dimethyl-N-(pentan-3-yl)-2-(2,4,6-trimethylphenoxy)pyridin-4-amine", 1888 },
	{ "1Q6", "", "", ResidueType::NON_POLYMER, false, "6,6'-{[(2S)-3-aminopropane-1,2-diyl]bis(oxymethanediyl)}bis(4-methylpyridin-2-amine)", 1889 },
	{ "1Q7", "", "", ResidueType::NON_POLYMER, false, "6,6'-{[(2R)-3-aminopropane-1,2-diyl]bis(oxymethanediyl)}bis(4-methylpyridin-2-amine)", 1890 },
	{ "1Q8", "", "", ResidueType::NON_POLYMER, false, "N-(hydroxymethyl)benzamide", 1891 },
	{ "1Q9", "", "", ResidueType::NON_POLYMER, false, "N-(2-ethoxy-3,5-dimethylbenzyl)-1H-tetrazol-5-amine", 1892 },
	{ "1QA", "", "", ResidueType::NON_POLYMER, false, "(2S)-({[2-(5-cyano-3-hydroxypyridin-2-yl)-1,3-thiazol-4-yl]acetyl}amino)(phenyl)ethanoic acid", 1893 },
	{ "1QB", "", "", ResidueType::NON_POLYMER, false, "N-(4,7-dihydro-1H-inden-6-yl)acetamide", 1894 },
	{ "1QC", "", "", ResidueType::NON_POLYMER, false, "N-{2-[5-(4-{[(4,6-diaminopyrimidin-2-yl)sulfanyl]methyl}-5-propyl-1,3-thiazol-2-yl)-2-methoxyphenoxy]ethyl}methanesulfonamide", 1895 },
	{ "1QE", "", "", ResidueType::NON_POLYMER, false, "N,N'-(ethane-1,2-diyldibenzene-3,1-diyl)dithiophene-2-carboximidamide", 1896 },
	{ "1QF", "", "", ResidueType::NON_POLYMER, false, "N-(4-{2-[ethyl(3-{[(E)-imino(thiophen-2-yl)methyl]amino}benzyl)amino]ethyl}phenyl)thiophene-2-carboximidamide", 1897 },
	{ "1QG", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-{4-[3-(4-fluorophenyl)-1-methyl-1H-pyrazol-4-yl]pyridin-2-yl}morpholine", 1898 },
	{ "1QJ", "", "", ResidueType::NON_POLYMER, false, "{4-[3-(4-fluorophenyl)-1H-pyrazol-4-yl]pyridin-2-yl}methanol", 1899 },
	{ "1QK", "", "", ResidueType::NON_POLYMER, false, "3-[({3-ethyl-5-[(2S)-2-(2-hydroxyethyl)piperidin-1-yl]pyrazolo[1,5-a]pyrimidin-7-yl}amino)methyl]-1-hydroxypyridinium", 1900 },
	{ "1QM", "", "", ResidueType::NON_POLYMER, false, "9-[3-(4-fluorophenyl)-1-methyl-1H-pyrazol-4-yl]-2,3,4,5-tetrahydropyrido[2,3-f][1,4]oxazepine", 1901 },
	{ "1QN", "", "", ResidueType::NON_POLYMER, false, "1-{4-[3-(4-fluorophenyl)-1-methyl-1H-pyrazol-4-yl]pyridin-2-yl}-N-methylmethanamine", 1902 },
	{ "1QO", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-4-(pyridin-3-yl)pyrimidin-2-amine", 1903 },
	{ "1QP", "", "", ResidueType::NON_POLYMER, false, "ethyl pyrazolo[1,5-a]pyridine-3-carboxylate", 1904 },
	{ "1QQ", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-methyl-2-oxopentanoic acid", 1905 },
	{ "1QR", "", "", ResidueType::NON_POLYMER, false, "N-[4-(piperidin-1-ylsulfonyl)benzyl]-1H-pyrrolo[3,2-c]pyridine-2-carboxamide", 1906 },
	{ "1QS", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(3,5-difluorophenyl)sulfonyl]benzyl}imidazo[1,2-a]pyridine-6-carboxamide", 1907 },
	{ "1QT", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-[(1R)-2-{[(4S)-6-ethyl-3,4-dihydrospiro[chromene-2,1'-cyclobutan]-4-yl]amino}-1-hydroxyethyl]-4-azabicyclo[11.3.1]heptadeca-1(17),13,15-trien-5-one", 1908 },
	{ "1QU", "", "", ResidueType::NON_POLYMER, false, "1-cyclopentyl-N-[(2S,3R)-3-hydroxy-1-phenyl-4-{[3-(trifluoromethyl)benzyl]amino}butan-2-yl]-6-oxo-5-(2-oxopyrrolidin-1-yl)-1,6-dihydropyridine-3-carboxamide", 1909 },
	{ "1QV", "", "", ResidueType::NON_POLYMER, false, "4,5,6,7-tetrafluoro-1,3-benzothiazole-2-sulfonamide", 1910 },
	{ "1QW", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,3-dihydroxypropyl dodecanoate", 1911 },
	{ "1QX", "", "", ResidueType::NON_POLYMER, false, "dodecyl hydrogen (S)-(3-azidopropyl)phosphonate", 1912 },
	{ "1QY", "", "", ResidueType::NON_POLYMER, false, "tetradecyl hydrogen (R)-(3-azidopropyl)phosphonate", 1913 },
	{ "1QZ", "", "", ResidueType::NON_POLYMER, false, "6-ethyl-5-{(3S)-3-[3-(isoquinolin-5-yl)-5-methoxyphenyl]but-1-yn-1-yl}pyrimidine-2,4-diamine", 1914 },
	{ "1R0", "", "", ResidueType::NON_POLYMER, false, "6-ethyl-5-{3-[3-(isoquinolin-5-yl)-5-methoxyphenyl]prop-1-yn-1-yl}pyrimidine-2,4-diamine", 1915 },
	{ "1R1", "", "", ResidueType::NON_POLYMER, false, "hexadecyl hydrogen (R)-(3-azidopropyl)phosphonate", 1916 },
	{ "1R2", "", "", ResidueType::NON_POLYMER, false, "3-hydroxy-5-(3-nitrophenoxy)benzoic acid", 1917 },
	{ "1R3", "", "", ResidueType::NON_POLYMER, false, "N-{3-[dihydroxy(nonyl)-lambda~4~-sulfanyl]propyl}-N~3~-[(2R)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alaninamide", 1918 },
	{ "1R4", "", "", ResidueType::NON_POLYMER, false, "L-gamma-glutamyl-S-[2-(4-nitrophenyl)-2-oxoethyl]-L-cysteinylglycine", 1919 },
	{ "1R5", "", "", ResidueType::NON_POLYMER, false, "7-(4-fluorophenyl)-3-hydroxyquinolin-2(1H)-one", 1920 },
	{ "1R6", "", "", ResidueType::NON_POLYMER, false, "(12S)-12-[(1R)-2-{[(4S)-6-ethyl-3,4-dihydrospiro[chromene-2,1'-cyclobutan]-4-yl]amino}-1-hydroxyethyl]-1,13-diazatricyclo[13.3.1.1~6,10~]icosa-6(20),7,9,15(19),16-pentaene-14,18-dione", 1921 },
	{ "1R7", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[1-(tetrahydro-2H-pyran-4-yl)piperidin-4-yl]sulfonyl}benzyl)-2H-pyrrolo[3,4-c]pyridine-2-carboxamide", 1922 },
	{ "1R8", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-[(1R)-2-{[(4S)-6-ethyl-3,4-dihydrospiro[chromene-2,1'-cyclobutan]-4-yl]amino}-1-hydroxyethyl]-4-azabicyclo[10.3.1]hexadeca-1(16),12,14-trien-5-one", 1923 },
	{ "1R9", "", "", ResidueType::NON_POLYMER, false, "2-(2-chlorophenyl)-N-[5-(cyclopropylcarbamoyl)-2-methylphenyl]-1,3-thiazole-5-carboxamide", 1924 },
	{ "1RA", "", "", ResidueType::NON_POLYMER, false, "ethyl 6-{[5-(cyclopropylcarbamoyl)-2-methylphenyl]carbamoyl}-1H-indole-1-carboxylate", 1925 },
	{ "1RB", "", "", ResidueType::NON_POLYMER, false, "1-ALPHA-D-RIBOFURANOSYL-BENZIMIAZOLE-5'-PHOSPHATE", 1926 },
	{ "1RC", "", "", ResidueType::NON_POLYMER, false, "(1R)-2-[(5-chloro-2,4-dihydroxyphenyl)carbonyl]-N-ethyl-2,3-dihydro-1H-isoindole-1-carboxamide", 1927 },
	{ "1RD", "", "", ResidueType::NON_POLYMER, false, "N~2~-(methyl{[2-(propan-2-yl)-1,3-thiazol-4-yl]methyl}carbamoyl)-N-(4-{[(1,3-thiazol-5-ylmethoxy)carbonyl]amino}butyl)-L-valinamide", 1928 },
	{ "1RE", "", "", ResidueType::NON_POLYMER, false, "4-({4-methoxy-6-[2-(morpholin-4-yl)ethoxy]-1,3,5-triazin-2-yl}amino)-2-(3-methylbutoxy)benzonitrile", 1929 },
	{ "1RF", "", "", ResidueType::NON_POLYMER, false, "vanadium(5+) hydroxide 2-(2-hydroxyethoxy)ethanolate (1:4:1)", 1930 },
	{ "1RG", "", "", ResidueType::NON_POLYMER, false, "(4R,5S)-3-({(3S,5S)-5-[(3-carboxyphenyl)carbamoyl]pyrrolidin-3-yl}sulfanyl)-5-[(1S,2R)-1-formyl-2-hydroxypropyl]-4-methyl-4,5-dihydro-1H-pyrrole-2-carboxylic acid", 1931 },
	{ "1RH", "", "", ResidueType::NON_POLYMER, false, "N-{(3S)-5-(4-aminobenzoyl)-1-[(2-methoxynaphthalen-1-yl)methyl]-2-oxo-2,3,4,5-tetrahydro-1H-1,5-benzodiazepin-3-yl}-N~2~-methyl-L-alaninamide", 1932 },
	{ "1RK", "", "", ResidueType::NON_POLYMER, false, "", 1933 },
	{ "1RL", "", "", ResidueType::NON_POLYMER, false, "Benzoxazinorifamycin-2b", 1934 },
	{ "1RM", "", "", ResidueType::NON_POLYMER, false, "Benzoxazinorifamycin-2c", 1935 },
	{ "1RN", "", "", ResidueType::RNA_LINKING, false, "(E)-N-{[4-oxo-1-(5-O-phosphono-beta-D-arabinofuranosyl)-2-thioxo-1,2,3,4-tetrahydropyrimidin-5-yl]methylidene}glycine", 1936 },
	{ "1RO", "", "", ResidueType::NON_POLYMER, false, "(5E)-5-(quinolin-6-ylmethylidene)-2-[(thiophen-2-ylmethyl)amino]-1,3-thiazol-4(5H)-one", 1937 },
	{ "1RP", "", "", ResidueType::NON_POLYMER, false, "6-fluoro-3-oxo-4-(5-O-phosphono-beta-D-ribofuranosyl)-3,4-dihydropyrazine-2-carboxamide", 1938 },
	{ "1RQ", "", "", ResidueType::NON_POLYMER, false, "cyclopropyl[(3R)-3-({4-[6-hydroxy-2-(naphthalen-2-yl)-1H-benzimidazol-1-yl]pyrimidin-2-yl}amino)piperidin-1-yl]methanone", 1939 },
	{ "1RR", "", "", ResidueType::NON_POLYMER, false, "N-(tert-butylcarbamoyl)-3-methyl-L-valyl-(4R)-N-[(1R,2S)-1-carboxy-2-ethenylcyclopropyl]-4-[(7-methoxy-2-phenylquinolin-4-yl)oxy]-L-prolinamide", 1940 },
	{ "1RS", "", "", ResidueType::NON_POLYMER, false, "1-(piperidin-4-yl)-1,6-dihydroimidazo[4,5-d]pyrrolo[2,3-b]pyridine", 1941 },
	{ "1RT", "", "", ResidueType::NON_POLYMER, false, "4-amino-2-oxo-1,2-dihydropyrimidine-5-carboxylic acid", 1942 },
	{ "1RU", "", "", ResidueType::NON_POLYMER, false, "7-[(1R)-1-(2,6-dichloro-3-fluorophenyl)ethoxy]-3-[1-(piperidin-4-yl)-1H-pyrazol-4-yl]furo[3,2-c]pyridin-6-amine", 1943 },
	{ "1RV", "", "", ResidueType::NON_POLYMER, false, "2-{[(1H-1,2,4-triazol-5-ylsulfanyl)acetyl]amino}thiophene-3-carboxamide", 1944 },
	{ "1RY", "", "", ResidueType::NON_POLYMER, false, "[[(2R,5S)-5-(4-azanyl-5-fluoranyl-2-oxidanylidene-pyrimidin-1-yl)-1,3-oxathiolan-2-yl]methoxy-oxidanyl-phosphoryl] phosphono hydrogen phosphate", 1945 },
	{ "1RZ", "", "", ResidueType::NON_POLYMER, false, "[[(2R,5S)-5-(4-azanyl-2-oxidanylidene-pyrimidin-1-yl)-1,3-oxathiolan-2-yl]methoxy-oxidanyl-phosphoryl] phosphono hydrogen phosphate", 1946 },
	{ "1S0", "", "", ResidueType::NON_POLYMER, false, "4-amino-1-{2-deoxy-5-O-[(R)-hydroxy{[(S)-hydroxy(phosphonooxy)phosphoryl]oxy}phosphoryl]-beta-L-erythro-pentofuranosyl}pyrimidin-2(1H)-one", 1947 },
	{ "1S1", "", "", ResidueType::NON_POLYMER, false, "2-ethyl-2-{[4-(methylamino)-6-(1H-1,2,4-triazol-1-yl)-1,3,5-triazin-2-yl]amino}butanenitrile", 1948 },
	{ "1S3", "", "", ResidueType::SACCHARIDE, false, "(2R,3aR,5R,6S,7S,7aR)-5-(hydroxymethyl)tetrahydro-3aH-[1,3,2]dioxaphospholo[4,5-b]pyran-2,6,7-triol 2-oxide", 1949 },
	{ "1S5", "", "", ResidueType::NON_POLYMER, false, "5-(4-amino-2-methylphenoxy)-2-hexyl-4-hydroxy-1-methylpyridinium", 1950 },
	{ "1S6", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-5,5-dimethyl-2-[(1R)-1-{[(5-methyl-3-phenyl-1,2-oxazol-4-yl)carbonyl]amino}-2-oxoethyl]-1,3-thiazolidine-4-carboxylic acid", 1951 },
	{ "1S7", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-{(1S)-1-methoxy-2-oxo-1-[(thiophen-2-ylacetyl)amino]ethyl}-5-methylidene-5,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 1952 },
	{ "1S8", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(2-benzyl-7-hydroxy-6-methoxyquinazolin-4-yl)amino]phenyl}benzamide", 1953 },
	{ "1S9", "", "", ResidueType::NON_POLYMER, false, "[(4-{[4-(benzoylamino)phenyl]amino}-6-methoxyquinazolin-7-yl)oxy]acetic acid", 1954 },
	{ "1SA", "", "", ResidueType::NON_POLYMER, false, "5-AMINO-1,3,4-THIADIAZOLE-2-SULFONAMIDE", 1955 },
	{ "1SB", "", "", ResidueType::NON_POLYMER, false, "N'-[(1E)-(4-hydroxyphenyl)methylidene]-2-(3-methoxyphenyl)acetohydrazide", 1956 },
	{ "1SC", "", "", ResidueType::RNA_LINKING, false, "5'-O-THIOPHOSPHONOCYTIDINE", 1957 },
	{ "1SD", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4S,5R,6R)-3,4,5-trihydroxy-6-(hydroxymethyl)oxane-2-sulfonamide", 1958 },
	{ "1SE", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(4-hydroxy-3-nitrobenzoyl)amino]phenyl}pyridine-2-carboxamide", 1959 },
	{ "1SF", "", "", ResidueType::NON_POLYMER, false, "1-(3-nitrophenyl)dihydropyrimidine-2,4(1H,3H)-dione", 1960 },
	{ "1SG", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[3-(2,4-dioxo-1,2,3,4-tetrahydropyrimidin-5-yl)-5-methoxybenzoyl]amino}phenyl)pyridine-2-carboxamide", 1961 },
	{ "1SH", "", "", ResidueType::NON_POLYMER, false, "2-(methylamino)ethyl dihydrogen phosphate", 1962 },
	{ "1SJ", "", "", ResidueType::NON_POLYMER, false, "(3S,4R,5R)-4-(acetylamino)-3-carbamimidamido-5-(pentan-3-yloxy)cyclohex-1-ene-1-carboxylic acid", 1963 },
	{ "1SL", "", "", ResidueType::NON_POLYMER, false, "(3S,4R,5R)-4-(acetylamino)-3-[4-(3-hydroxypropyl)-1H-1,2,3-triazol-1-yl]-5-(pentan-3-yloxy)cyclohex-1-ene-1-carboxylic acid", 1964 },
	{ "1SM", "", "", ResidueType::NON_POLYMER, false, "METHYL 2-[({[(4,6-DIMETHYLPYRIMIDIN-2-YL)AMINO]CARBONYL}AMINO)SULFONYL]BENZOATE", 1965 },
	{ "1SN", "", "", ResidueType::NON_POLYMER, false, "(3S,4R,5R)-4-(acetylamino)-3-{4-[(1R)-1-hydroxypropyl]-1H-1,2,3-triazol-1-yl}-5-(pentan-3-yloxy)cyclohex-1-ene-1-carboxylic acid", 1966 },
	{ "1SO", "", "", ResidueType::NON_POLYMER, false, "(3S,4R,5R)-4-(acetylamino)-3-[4-(2-hydroxypropan-2-yl)-1H-1,2,3-triazol-1-yl]-5-(pentan-3-yloxy)cyclohex-1-ene-1-carboxylic acid", 1967 },
	{ "1SP", "", "", ResidueType::NON_POLYMER, false, "(2S)-pentane-1,2-diol", 1968 },
	{ "1SQ", "", "", ResidueType::NON_POLYMER, false, "ISOQUINOLIN-1-AMINE", 1969 },
	{ "1SS", "", "", ResidueType::NON_POLYMER, false, "(1R,4aS,7S,8aR)-1,4a-dimethyl-7-(prop-1-en-2-yl)decahydroquinolinium", 1970 },
	{ "1ST", "", "", ResidueType::NON_POLYMER, false, "(5S,6R,7R,9R)-12-HYDROXY-6-METHOXY-5-METHYL-7-(METHYLAMINO)-6,7,8,9-TETRAHYDRO-5H,14H-5,9-EPOXY-4B,9A,15-TRIAZADIBENZO[B,H]CYCLONONA[1,2,3,4-JKL]CYCLOPENTA[E]-AS-INDACEN-14-ONE", 1971 },
	{ "1SU", "", "", ResidueType::NON_POLYMER, false, "N-{7-cyano-6-[4-fluoro-3-({[3-(trifluoromethyl)phenyl]acetyl}amino)phenoxy]-1,3-benzothiazol-2-yl}cyclopropanecarboxamide", 1972 },
	{ "1SV", "", "", ResidueType::NON_POLYMER, false, "(4aS,7S)-4a-methyl-7-(prop-1-en-2-yl)-2,3,4,4a,5,6,7,8-octahydroquinolinium", 1973 },
	{ "1SW", "", "", ResidueType::NON_POLYMER, false, "N-{7-cyano-6-[4-fluoro-3-({[3-(trifluoromethyl)phenyl]carbamoyl}amino)phenoxy]-1,3-benzothiazol-2-yl}cyclopropanecarboxamide", 1974 },
	{ "1SX", "", "", ResidueType::NON_POLYMER, false, "4-tert-butyl-N-(5,6-dihydro[1,3]thiazolo[2,3-c][1,2,4]triazol-3-yl)benzamide", 1975 },
	{ "1SY", "", "", ResidueType::NON_POLYMER, false, "cGAMP", 1976 },
	{ "1SZ", "", "", ResidueType::NON_POLYMER, false, "", 1977 },
	{ "1T4", "", "", ResidueType::NON_POLYMER, false, "N-(pyren-1-yl)acetamide", 1978 },
	{ "1T5", "", "", ResidueType::NON_POLYMER, false, "", 1979 },
	{ "1T6", "", "", ResidueType::NON_POLYMER, false, "5-aminocarbonyl-2-[3-[(2S,4R)-6-carbamimidoyl-4-methyl-4-phenyl-2,3-dihydro-1H-quinolin-2-yl]phenyl]benzoic acid", 1980 },
	{ "1T7", "", "", ResidueType::NON_POLYMER, false, "", 1981 },
	{ "1T8", "", "", ResidueType::NON_POLYMER, false, "", 1982 },
	{ "1T9", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4E)-3-hydroxy-2-(octanoylamino)octadec-4-en-1-yl dihydrogen phosphate", 1983 },
	{ "1TA", "", "", ResidueType::NON_POLYMER, false, "Triamcinolone acetonide", 1984 },
	{ "1TB", "", "", ResidueType::NON_POLYMER, false, "METHYL 2-[4-METHOXY-6-METHYL-1,3,5-TRAZIN-2-YL(METHYL)CARBAMOYLSULFAMOYL]BENZOATE", 1985 },
	{ "1TC", "", "", ResidueType::NON_POLYMER, false, "N-[3-chloranyl-4-[[4-(4-methoxyphenyl)oxan-4-yl]methylcarbamoyl]phenyl]-2-methyl-1,3-oxazole-5-carboxamide", 1986 },
	{ "1TD", "", "", ResidueType::NON_POLYMER, false, "3-[(E)-(2-oxidanylidene-1H-indol-3-ylidene)methyl]benzoic acid", 1987 },
	{ "1TE", "", "", ResidueType::NON_POLYMER, false, "TEBIPENEM", 1988 },
	{ "1TJ", "", "", ResidueType::NON_POLYMER, false, "1,8-dihydroxy-3-methyltetraphene-6,7,12(5H)-trione", 1989 },
	{ "1TL", "", "", ResidueType::DNA_LINKING, false, "1-{2,5-anhydro-6-deoxy-4-[(phosphonooxy)methyl]-alpha-L-mannofuranosyl}pyrimidine-2,4(1H,3H)-dione", 1990 },
	{ "1TM", "", "", ResidueType::NON_POLYMER, false, "4,4'-(3-amino-1H-pyrazole-4,5-diyl)diphenol", 1991 },
	{ "1TN", "", "", ResidueType::NON_POLYMER, false, "5-hexyl-2-(2-nitrophenoxy)phenol", 1992 },
	{ "1TP", "", "", ResidueType::NON_POLYMER, false, "1-(2-{(2S,4R,5R)-3-[(4-AMINO-2-METHYLPYRIMIDIN-5-YL)METHYL]-2-[(1S)-1-CARBOXY-1-HYDROXYETHYL]-4-METHYL-1,3-THIAZOLIDIN-5-YL}ETHOXY)-1,1,3,3-TETRAHYDROXY-1LAMBDA~5~-DIPHOSPHOX-1-EN-2-IUM 3-OXIDE", 1993 },
	{ "1TQ", "", "", ResidueType::PEPTIDE_LINKING, false, "6-(FORMYLAMINO)-7-HYDROXY-L-TRYPTOPHAN", 1994 },
	{ "1TR", "", "", ResidueType::NON_POLYMER, false, "4-[7-[(dimethylamino)methyl]-2-(4-fluorophenyl)imidazo[1,2-a]pyridin-3-yl]pyrimidin-2-amine", 1995 },
	{ "1TS", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-N-[(4-carbamimidoylphenyl)methyl]-1-[(2S)-2-[(3-chloro-4-methoxybenzene)sulfonamido]-3-{[(4-cyanophenyl)methyl]carbamoyl}propanoyl]pyrrolidine-2-carboxamide", 1996 },
	{ "1TT", "", "", ResidueType::NON_POLYMER, false, "(8S)-9-[(5-chloranylpyridin-3-yl)methyl]-2-[(3R)-3-methylmorpholin-4-yl]-8-(trifluoromethyl)-6,7,8,9a-tetrahydro-3H-pyrimido[1,2-a]pyrimidin-4-one", 1997 },
	{ "1TU", "", "", ResidueType::NON_POLYMER, false, "4-(3,5-difluoro-4-hydroxybenzyl)-1,2-dimethyl-1H-imidazol-5-ol", 1998 },
	{ "1TW", "", "", ResidueType::DNA_LINKING, false, "2-amino-9-(2-Se-methyl-5-O-phosphono-2-seleno-beta-D-arabinofuranosyl)-1,9-dihydro-6H-purin-6-one", 1999 },
	{ "1TX", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-7-methoxy-7-oxoheptanoic acid", 2000 },
	{ "1TY", "", "", ResidueType::PEPTIDE_LINKING, false, "3-{(3E)-4-HYDROXY-6-OXO-3-[(2-PHENYLETHYL)IMINO]CYCLOHEXA-1,4-DIEN-1-YL}ALANINE", 2001 },
	{ "1TZ", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-azanyl-3-(3H-indol-3-yl)-N-[(E)-(2,4,6-trimethylphenyl)methylideneamino]propanamide", 2002 },
	{ "1U0", "", "", ResidueType::NON_POLYMER, false, "2-{4-[(4-amino-2-methylpyrimidin-5-yl)methyl]-5-[(1R)-1,2-dihydroxyethyl]-3-methylthiophen-2-yl}ethyl trihydrogen diphosphate", 2003 },
	{ "1U1", "", "", ResidueType::NON_POLYMER, false, "5-chloro-3-sulfamoylthiophene-2-carboxylic acid", 2004 },
	{ "1U2", "", "", ResidueType::NON_POLYMER, false, "6-[(phenylcarbamoyl)amino]naphthalene-2-carboximidamide", 2005 },
	{ "1U3", "", "", ResidueType::NON_POLYMER, false, "N-{[3-(2-chlorophenyl)-5-methyl-1,2-oxazol-4-yl]carbonyl}glycine", 2006 },
	{ "1U4", "", "", ResidueType::NON_POLYMER, false, "N-[(S)-({[(benzyloxy)carbonyl]amino}methyl)(hydroxy)phosphoryl]-L-phenylalanyl-L-leucine", 2007 },
	{ "1U5", "", "", ResidueType::NON_POLYMER, false, "(1R,4S)-4,7,7-trimethyl-3-oxo-2-oxabicyclo[2.2.1]heptane-1-carboxylic acid", 2008 },
	{ "1U6", "", "", ResidueType::NON_POLYMER, false, "1,3-diethyl-2-thioxodihydropyrimidine-4,6(1H,5H)-dione", 2009 },
	{ "1U7", "", "", ResidueType::NON_POLYMER, false, "(4R,4aS,8aS)-4-phenyldecahydroquinolin-4-ol", 2010 },
	{ "1U8", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3-amino-5-[(2,6-dimethylbenzoyl)oxy]-4-oxopentanoic acid", 2011 },
	{ "1U9", "", "", ResidueType::NON_POLYMER, false, "6-{(E)-2-[3-(2-hydroxyethyl)phenyl]ethenyl}naphthalene-2-carboximidamide", 2012 },
	{ "1UA", "", "", ResidueType::NON_POLYMER, false, "2-[(4-methylbenzyl)sulfanyl]-3,5,6,7-tetrahydro-4H-cyclopenta[d]pyrimidin-4-one", 2013 },
	{ "1UC", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-amino-3-[(1E)-3-oxoprop-1-en-1-yl]but-2-enedioic acid", 2014 },
	{ "1UD", "", "", ResidueType::NON_POLYMER, false, "methyl 6-[6-amino-2-(methylamino)-8-oxo-7,8-dihydro-1H-imidazo[4,5-g]quinazolin-4-yl]-5,6-dideoxy-3-O-methyl-beta-D-ribo-hexofuranoside", 2015 },
	{ "1UE", "", "", ResidueType::NON_POLYMER, false, "2-amino-5-(phenylsulfanyl)-3,9-dihydro-4H-pyrimido[4,5-b]indol-4-one", 2016 },
	{ "1UF", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(2-amino-6-methyl-4-oxo-4,7-dihydro-3H-pyrrolo[2,3-d]pyrimidin-5-yl)sulfanyl]-2-chlorobenzoyl}-L-glutamic acid", 2017 },
	{ "1UG", "", "", ResidueType::NON_POLYMER, false, "2-Amino-5-(1-naphthylsulfanyl)-3,9-dihydro-4H-pyrimido[4,5-b]indol-4-one", 2018 },
	{ "1UH", "", "", ResidueType::NON_POLYMER, false, "2-(1-benzothiophen-7-yl)-4-[1-(piperidin-4-yl)-1H-pyrazol-4-yl]furo[2,3-c]pyridin-7-amine", 2019 },
	{ "1UJ", "", "", ResidueType::NON_POLYMER, false, "methyl 2-(acetylamino)-1,3-benzothiazole-6-carboxylate", 2020 },
	{ "1UK", "", "", ResidueType::NON_POLYMER, false, "N-{6-[6-amino-5-(trifluoromethyl)pyridin-3-yl]imidazo[1,2-a]pyridin-2-yl}acetamide", 2021 },
	{ "1UL", "", "", ResidueType::NON_POLYMER, false, "1-(4-{4-[7-amino-2-(1,2,3-benzothiadiazol-7-yl)furo[2,3-c]pyridin-4-yl]-1H-pyrazol-1-yl}piperidin-1-yl)ethanone", 2022 },
	{ "1UN", "", "", ResidueType::NON_POLYMER, false, "2-[2-HYDROXY-3-(3-HYDROXY-2-METHYL-BENZOYLAMINO)-4-PHENYL SULFANYL-BUTYL]-DECAHYDRO-ISOQUINOLINE-3-CARBOXYLIC ACID TERT-BUTYLAMIDE", 2023 },
	{ "1UO", "", "", ResidueType::NON_POLYMER, false, "trans-4-{4-[7-amino-2-(1,2,3-benzothiadiazol-7-yl)-3-chlorofuro[2,3-c]pyridin-4-yl]-1H-pyrazol-1-yl}cyclohexanol", 2024 },
	{ "1UP", "", "", ResidueType::NON_POLYMER, false, "2-[(7-carbamimidoyl-2-methoxynaphthalen-1-yl)oxy]acetamide", 2025 },
	{ "1UQ", "", "", ResidueType::NON_POLYMER, false, "[(S)-({2-[hydroxy(methyl)amino]-2-oxoethyl}sulfanyl)(phenyl)methyl]phosphonic acid", 2026 },
	{ "1UR", "", "", ResidueType::NON_POLYMER, false, "4-(4-oxo-4H-chromen-2-yl)benzoic acid", 2027 },
	{ "1US", "", "", ResidueType::NON_POLYMER, false, "2-(2-chloranylphenoxy)-5-hexyl-phenol", 2028 },
	{ "1UT", "", "", ResidueType::NON_POLYMER, false, "2-[4-(dimethylamino)phenyl]-4H-chromen-4-one", 2029 },
	{ "1UV", "", "", ResidueType::NON_POLYMER, false, "", 2030 },
	{ "1UW", "", "", ResidueType::NON_POLYMER, false, "ethyl 4-(4-oxo-4H-chromen-2-yl)benzoate", 2031 },
	{ "1UX", "", "", ResidueType::NON_POLYMER, false, "1-[5-(4-{[(4,6-diaminopyrimidin-2-yl)sulfanyl]methyl}-5-propyl-1,3-thiazol-2-yl)-2-methoxyphenoxy]-2-methylpropan-2-ol", 2032 },
	{ "1UZ", "", "", ResidueType::NON_POLYMER, false, "4-(4-oxo-4H-chromen-2-yl)benzonitrile", 2033 },
	{ "1V0", "", "", ResidueType::NON_POLYMER, false, "2-(4-nitrophenyl)-4H-chromen-4-one", 2034 },
	{ "1V1", "", "", ResidueType::NON_POLYMER, false, "2-(4-chlorophenyl)-4H-chromen-4-one", 2035 },
	{ "1V2", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-1-[2-(4-{[4-(3,4-dichlorophenyl)-1,3-thiazol-2-yl]amino}phenyl)ethyl]-2-(hydroxymethyl)piperidin-4-ol", 2036 },
	{ "1V3", "", "", ResidueType::NON_POLYMER, false, "6-chloro-2-phenyl-4H-chromen-4-one", 2037 },
	{ "1V4", "", "", ResidueType::NON_POLYMER, false, "6-fluoro-2-phenyl-4H-chromen-4-one", 2038 },
	{ "1V5", "", "", ResidueType::NON_POLYMER, false, "N-[1-(4-fluorophenyl)cyclopropyl]-4-[(trans-4-hydroxycyclohexyl)amino]imidazo[1,2-a]quinoxaline-8-carboxamide", 2039 },
	{ "1V6", "", "", ResidueType::NON_POLYMER, false, "4-(4-benzylphenyl)-1,3-thiazol-2-amine", 2040 },
	{ "1V8", "", "", ResidueType::NON_POLYMER, false, "2-(1,3-benzodioxol-5-yl)-4H-chromen-4-one", 2041 },
	{ "1V9", "", "", ResidueType::NON_POLYMER, false, "3-(4-oxo-3,4-dihydroquinazolin-2-yl)-N-[(1S)-1-phenylpropyl]propanamide", 2042 },
	{ "1VA", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-1-hydroxy-3-phenylpropan-2-yl]-3-(4-oxo-3,4-dihydroquinazolin-2-yl)propanamide", 2043 },
	{ "1VB", "", "", ResidueType::NON_POLYMER, false, "3-(4-oxo-3,4-dihydroquinazolin-2-yl)-N-[(1S)-1-(4-sulfamoylphenyl)ethyl]propanamide", 2044 },
	{ "1VC", "", "", ResidueType::NON_POLYMER, false, "methyl N-[3-(4-oxo-3,4-dihydroquinazolin-2-yl)propanoyl]-L-phenylalaninate", 2045 },
	{ "1VD", "", "", ResidueType::NON_POLYMER, false, "N-{(1S)-1-[4-(1H-imidazol-1-yl)phenyl]ethyl}-3-(4-oxo-3,4-dihydroquinazolin-2-yl)propanamide", 2046 },
	{ "1VE", "", "", ResidueType::NON_POLYMER, false, "(4-azanyl-1,2,5-oxadiazol-3-yl)-[3-(1H-benzimidazol-2-ylmethoxy)phenyl]methanone", 2047 },
	{ "1VF", "", "", ResidueType::NON_POLYMER, false, "2-{4-[(4-methylpiperazin-1-yl)carbonyl]phenyl}-4H-chromen-4-one", 2048 },
	{ "1VG", "", "", ResidueType::NON_POLYMER, false, "2-[4-(1H-tetrazol-5-yl)phenyl]-4H-chromen-4-one", 2049 },
	{ "1VI", "", "", ResidueType::NON_POLYMER, false, "3-(2,5-dimethoxyphenyl)-~{N}-[4-[4-(4-fluorophenyl)-2-methylsulfanyl-1~{H}-imidazol-5-yl]pyridin-2-yl]propanamide", 2050 },
	{ "1VJ", "", "", ResidueType::NON_POLYMER, false, "ethyl 2-[3-[(4-azanyl-1,2,5-oxadiazol-3-yl)carbonyl]phenoxy]ethanoate", 2051 },
	{ "1VK", "", "", ResidueType::NON_POLYMER, false, "(4-azanyl-1,2,5-oxadiazol-3-yl)-phenyl-methanone", 2052 },
	{ "1VL", "", "", ResidueType::NON_POLYMER, false, "(3S)-1-{[4-(1,3-benzodioxol-5-ylmethyl)piperazin-1-yl]methyl}-3-hydroxy-1,3-dihydro-2H-indol-2-one", 2053 },
	{ "1VM", "", "", ResidueType::NON_POLYMER, false, "7-[5,6-dimethyl-2-(1,3-thiazol-2-yl)-1H-benzimidazol-1-yl]quinazoline-2,4-diamine", 2054 },
	{ "1VN", "", "", ResidueType::NON_POLYMER, false, "6-chloro-7-[5,6-dimethyl-2-(1,3-thiazol-2-yl)-1H-benzimidazol-1-yl]quinazoline-2,4-diamine", 2055 },
	{ "1VO", "", "", ResidueType::NON_POLYMER, false, "7-[5,6-dimethyl-2-(1,3-thiazol-4-yl)-1H-benzimidazol-1-yl]quinazoline-2,4-diamine", 2056 },
	{ "1VP", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(phenylacetyl)glycyl-N~6~-acetyl-L-lysine", 2057 },
	{ "1VQ", "", "", ResidueType::NON_POLYMER, false, "2-(2-methyl-5-nitro-1H-imidazol-1-yl)ethyl sulfamate", 2058 },
	{ "1VR", "", "", ResidueType::PEPTIDE_LINKING, false, "(3R)-3-amino-4-methylpentanoic acid", 2059 },
	{ "1VS", "", "", ResidueType::NON_POLYMER, false, "N-ethyl-2-({N-[2-(1H-indol-3-yl)ethyl]glycyl}amino)-4-phenylthiophene-3-carboxamide", 2060 },
	{ "1VT", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-2-[(N-benzyl-beta-alanyl)amino]-4-phenylthiophene-3-carboxamide", 2061 },
	{ "1VU", "", "", ResidueType::NON_POLYMER, false, "propionyl Coenzyme A", 2062 },
	{ "1VV", "", "", ResidueType::NON_POLYMER, false, "(1S,2R)-2-{[(1S)-1-[(1,3-dioxo-1,3-dihydro-2H-isoindol-2-yl)methyl]-3,4-dihydroisoquinolin-2(1H)-yl]carbonyl}cyclohexanecarboxylic acid", 2063 },
	{ "1VW", "", "", ResidueType::NON_POLYMER, false, "2-{[(1S)-2-{[(1R,2S)-2-(1H-tetrazol-5-yl)cyclohexyl]carbonyl}-1,2,3,4-tetrahydroisoquinolin-1-yl]methyl}-1H-isoindole-1,3(2H)-dione", 2064 },
	{ "1VX", "", "", ResidueType::NON_POLYMER, false, "(1S,2R)-2-{[(1S)-5-methyl-1-[(1-oxo-1,3-dihydro-2H-isoindol-2-yl)methyl]-3,4-dihydroisoquinolin-2(1H)-yl]carbonyl}cyclohexanecarboxylic acid", 2065 },
	{ "1VY", "", "", ResidueType::NON_POLYMER, false, "1-deoxy-1-(7-hydroxy-6-methyl-2,4-dioxo-3,4-dihydropteridin-8(2H)-yl)-D-ribitol", 2066 },
	{ "1VZ", "", "", ResidueType::NON_POLYMER, false, "4-(pyrrolidin-1-yl)-1-{4-[2-(pyrrolidin-1-yl)ethyl]phenyl}piperidine", 2067 },
	{ "1W0", "", "", ResidueType::NON_POLYMER, false, "(3aS,7aR)-7a-[3-(pyrimidin-5-yl)phenyl]-3a,6,7,7a-tetrahydro-4H-pyrano[4,3-d][1,3]oxazol-2-amine", 2068 },
	{ "1W1", "", "", ResidueType::NON_POLYMER, false, "2-[(3aR,7aR)-2-amino-7a-(2,4-difluorophenyl)-3a,6,7,7a-tetrahydro[1,3]oxazolo[5,4-c]pyridin-5(4H)-yl]pyridine-3-carbonitrile", 2069 },
	{ "1W2", "", "", ResidueType::NON_POLYMER, false, "2-[(3aS,7aR)-2-amino-3a-(2,4-difluorophenyl)-3a,6,7,7a-tetrahydro[1,3]oxazolo[4,5-c]pyridin-5(4H)-yl]pyridine-3-carbonitrile", 2070 },
	{ "1W3", "", "", ResidueType::NON_POLYMER, false, "7-hydroxy-3-[(E)-2-(4-hydroxy-3,5-dimethylphenyl)ethenyl]-4-methyl-2H-chromen-2-one", 2071 },
	{ "1W4", "", "", ResidueType::NON_POLYMER, false, "S-(4-fluorophenyl) 3-(dimethylamino)-5-[(E)-2-(4-hydroxy-3,5-dimethylphenyl)ethenyl]benzenecarbothioate", 2072 },
	{ "1W5", "", "", ResidueType::DNA_LINKING, false, "(1R)-1-(6-amino-2-hydroxy-5-nitropyridin-3-yl)-1,4-anhydro-2-deoxy-5-O-phosphono-D-erythro-pentitol", 2073 },
	{ "1W6", "", "", ResidueType::NON_POLYMER, false, "ethyl ({2-[(1,3-benzothiazol-2-ylcarbonyl)amino]thiophen-3-yl}carbonyl)carbamate", 2074 },
	{ "1W7", "", "", ResidueType::NON_POLYMER, false, "N-(1-methyl-2-oxo-1,2,3,4-tetrahydroquinolin-6-yl)-1-(4-methylphenyl)methanesulfonamide", 2075 },
	{ "1W8", "", "", ResidueType::NON_POLYMER, false, "Ceftaroline", 2076 },
	{ "1W9", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(E)-[2-methyl-3-oxidanyl-5-(phosphonooxymethyl)pyridin-4-yl]methylideneamino]-3-oxidanyl-propanoic acid", 2077 },
	{ "1WA", "", "", ResidueType::DNA_LINKING, false, "2-amino-8-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-4-hydroxy-1H-imidazo[1,2-a][1,3,5]triazine-5,8-diium", 2078 },
	{ "1WB", "", "", ResidueType::NON_POLYMER, false, "5-methoxybenzene-1,3-dicarboxylic acid", 2079 },
	{ "1WC", "", "", ResidueType::NON_POLYMER, false, "4-(2-chlorophenyl)-5-methyl-1H-pyrazole", 2080 },
	{ "1WD", "", "", ResidueType::NON_POLYMER, false, "3-sulfanylpyridine-2-carboxylic acid", 2081 },
	{ "1WE", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-phenylpropan-2-amine", 2082 },
	{ "1WF", "", "", ResidueType::NON_POLYMER, false, "4-[(2S)-2-(methylamino)propyl]phenol", 2083 },
	{ "1WG", "", "", ResidueType::NON_POLYMER, false, "2,5-dihydroxycyclohexa-2,5-diene-1,4-dione", 2084 },
	{ "1WH", "", "", ResidueType::NON_POLYMER, false, "3-(aminomethyl)-4-(2,4-dichlorophenyl)-6-(2-methoxyethyl)-2-methyl-6,7-dihydro-5H-pyrrolo[3,4-b]pyridin-5-one", 2085 },
	{ "1WJ", "", "", ResidueType::NON_POLYMER, false, "methyl 6-[6-amino-2-(methylamino)-8-oxo-7,8-dihydro-1H-imidazo[4,5-g]quinazolin-4-yl]-5,6-dideoxy-2-O-methyl-beta-D-ribo-hexofuranoside", 2086 },
	{ "1WK", "", "", ResidueType::NON_POLYMER, false, "methyl 6-[6-amino-2-(methylamino)-8-oxo-7,8-dihydro-1H-imidazo[4,5-g]quinazolin-4-yl]-5,6-dideoxy-beta-D-ribo-hexofuranoside", 2087 },
	{ "1WL", "", "", ResidueType::NON_POLYMER, false, "Nalpha-{4-[4-(4-aminophenyl)buta-1,3-diyn-1-yl]benzoyl}-N-hydroxy-L-histidinamide", 2088 },
	{ "1WM", "", "", ResidueType::NON_POLYMER, false, "(betaS)-Nalpha-{4-[4-(4-aminophenyl)buta-1,3-diyn-1-yl]benzoyl}-N,beta-dihydroxy-L-tyrosinamide", 2089 },
	{ "1WN", "", "", ResidueType::NON_POLYMER, false, "(betaS)-Nalpha-{4-[4-(4-aminophenyl)buta-1,3-diyn-1-yl]benzoyl}-N,beta-dihydroxy-beta-methyl-L-tyrosinamide", 2090 },
	{ "1WO", "", "", ResidueType::NON_POLYMER, false, "(5beta)-11-hydroxyabieta-7,9(11),13-triene-6,12-dione", 2091 },
	{ "1WP", "", "", ResidueType::NON_POLYMER, false, "(3aR,7aR)-3a-[3-(5-chloropyridin-3-yl)phenyl]-3a,4,5,6,7,7a-hexahydro-1,3-benzoxazol-2-amine", 2092 },
	{ "1WQ", "", "", ResidueType::NON_POLYMER, false, "(2S)-6-{[4-(4-chlorophenyl)-3,6-dihydropyridin-1(2H)-yl]methyl}-2-methyl-2H-1,4-benzoxazin-3(4H)-one", 2093 },
	{ "1WS", "", "", ResidueType::NON_POLYMER, false, "N-(3-aminopropyl)-8-[(3-fluorophenyl)amino]-2,4,5,7-tetrahydropyrazolo[3,4-e]indazole-3-carboxamide", 2094 },
	{ "1WT", "", "", ResidueType::NON_POLYMER, false, "11-ethyl-5-methyl-8-[2-(1-oxidanylquinolin-4-yl)oxyethyl]dipyrido[3,2-[1,4]diazepin-6-one", 2095 },
	{ "1WU", "", "", ResidueType::NON_POLYMER, false, "6-[4-(aminomethyl)-2-fluorophenoxy]-2,1-benzoxaborol-1(3H)-ol", 2096 },
	{ "1WV", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,3-dihydroxypropyl (7Z)-tetradec-7-enoate", 2097 },
	{ "1WW", "", "", ResidueType::NON_POLYMER, false, "{5-chloro-2-[(4-iodobenzyl)carbamoyl]phenoxy}acetic acid", 2098 },
	{ "1WX", "", "", ResidueType::NON_POLYMER, false, "{2-[(4-bromo-2,3,5,6-tetrafluorobenzyl)carbamoyl]-5-chlorophenoxy}acetic acid", 2099 },
	{ "1WY", "", "", ResidueType::NON_POLYMER, false, "N-(3-{[5-chloro-4-(1H-indol-3-yl)pyrimidin-2-yl]amino}-4-methoxyphenyl)propanamide", 2100 },
	{ "1WZ", "", "", ResidueType::NON_POLYMER, false, "3-(dimethylamino)-5-[(E)-2-(4-hydroxy-3,5-dimethylphenyl)ethenyl]benzoic acid", 2101 },
	{ "1X0", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-aminooct-7-enoic acid", 2102 },
	{ "1X1", "", "", ResidueType::NON_POLYMER, false, "3,4-dihydroisoquinoline-2(1H)-carboxylic acid", 2103 },
	{ "1X2", "", "", ResidueType::NON_POLYMER, false, "6-isothiocyanatohexylbenzene", 2104 },
	{ "1X3", "", "", ResidueType::NON_POLYMER, false, "", 2105 },
	{ "1X4", "", "", ResidueType::NON_POLYMER, false, "2,3-dideoxyribose-5-phosphate", 2106 },
	{ "1X5", "", "", ResidueType::NON_POLYMER, false, "2-[(cyclopropylcarbonyl)amino]-5-[methyl(pyridin-3-ylmethyl)amino]benzoic acid", 2107 },
	{ "1X6", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[(2E)-3-AMINOPROP-2-ENOYL]-L-SERINE", 2108 },
	{ "1X7", "", "", ResidueType::NON_POLYMER, false, "4-amino-2-bromothieno[3,2-c]pyridine-7-carboxamide", 2109 },
	{ "1X8", "", "", ResidueType::NON_POLYMER, false, "4-aminothieno[3,2-c]pyridine-2,7-dicarboxamide", 2110 },
	{ "1X9", "", "", ResidueType::NON_POLYMER, false, "Cerulenin", 2111 },
	{ "1XA", "", "", ResidueType::NON_POLYMER, false, "3-methyl-4-phenyl-1,2-oxazol-5-amine", 2112 },
	{ "1XB", "", "", ResidueType::NON_POLYMER, false, "2-[(6S)-4-(4-chlorophenyl)-2,3,9-trimethyl-6H-[1,2]oxazolo[5,4-c]thieno[2,3-e]azepin-6-yl]acetamide", 2113 },
	{ "1XC", "", "", ResidueType::NON_POLYMER, false, "6-({4-[(3,5-difluorophenyl)sulfonyl]benzyl}carbamoyl)-1-(5-O-phosphono-beta-D-ribofuranosyl)imidazo[1,2-a]pyridin-1-ium", 2114 },
	{ "1XD", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(3,5-difluorophenyl)sulfonyl]benzyl}imidazo[1,2-a]pyridine-7-carboxamide", 2115 },
	{ "1XE", "", "", ResidueType::NON_POLYMER, false, "", 2116 },
	{ "1XF", "", "", ResidueType::NON_POLYMER, false, "2-{[(carbamoylsulfanyl)acetyl]amino}benzoic acid", 2117 },
	{ "1XG", "", "", ResidueType::NON_POLYMER, false, "(3R,7E,10E)-3-hydroxy-4-oxododeca-7,10-dienamide", 2118 },
	{ "1XH", "", "", ResidueType::NON_POLYMER, false, "2-{[(1S,2R,4aS,8aR)-1,2,4a-trimethyl-5-methylidenedecahydronaphthalen-1-yl]methyl}cyclohexa-2,5-diene-1,4-dione", 2119 },
	{ "1XJ", "", "", ResidueType::NON_POLYMER, false, "4-(4-{[2-(4-chlorophenyl)-5,5-dimethylcyclohex-1-en-1-yl]methyl}piperazin-1-yl)-N-[(4-{[(2R)-4-(morpholin-4-yl)-1-(phenylsulfanyl)butan-2-yl]amino}-3-[(trifluoromethyl)sulfonyl]phenyl)sulfonyl]benzamide", 2120 },
	{ "1XL", "", "", ResidueType::NON_POLYMER, false, "1-deoxy-1-[6-(hydroxymethyl)-2,4-dioxo-3,4-dihydropteridin-8(2H)-yl]-D-arabinitol", 2121 },
	{ "1XM", "", "", ResidueType::NON_POLYMER, false, "4-amino-1,7-dihydro-6H-pyrazolo[3,4-d]pyrimidine-6-thione", 2122 },
	{ "1XN", "", "", ResidueType::NON_POLYMER, false, "2H-isoindole-1,3-diamine", 2123 },
	{ "1XO", "", "", ResidueType::NON_POLYMER, false, "N-[(4-oxo-3,4-dihydroquinazolin-2-yl)methyl]-3-phenyl-N-(thiophen-2-ylmethyl)propanamide", 2124 },
	{ "1XP", "", "", ResidueType::NON_POLYMER, false, "4-chloro-5-cyano-N-{2-[4-(4-fluorobenzoyl)piperidin-1-yl]ethyl}-2-methoxybenzamide", 2125 },
	{ "1XQ", "", "", ResidueType::NON_POLYMER, false, "2-[4-(4-fluorobenzoyl)piperidin-1-yl]-N-[(4-oxo-3,5,7,8-tetrahydro-4H-pyrano[4,3-d]pyrimidin-2-yl)methyl]-N-(thiophen-2-ylmethyl)acetamide", 2126 },
	{ "1XS", "", "", ResidueType::NON_POLYMER, false, "5-(3-chloro-4-fluorophenyl)furan-2-carboxylic acid", 2127 },
	{ "1XT", "", "", ResidueType::NON_POLYMER, false, "5-(4-{[4-(5-carboxyfuran-2-yl)benzyl]oxy}phenyl)-1-(3-methylphenyl)-1H-pyrazole-3-carboxylic acid", 2128 },
	{ "1XU", "", "", ResidueType::NON_POLYMER, false, "5-[3-chloro-4-({4-[1-(3,4-dichlorophenyl)-1H-pyrazol-5-yl]benzyl}carbamothioyl)phenyl]furan-2-carboxylic acid", 2129 },
	{ "1XV", "", "", ResidueType::NON_POLYMER, false, "4-(4-{[4-(4-chlorophenyl)-5,6-dihydro-2H-pyran-3-yl]methyl}piperazin-1-yl)-N-{[3-nitro-4-(tetrahydro-2H-pyran-4-ylamino)phenyl]sulfonyl}benzamide", 2130 },
	{ "1XW", "", "", ResidueType::PEPTIDE_LINKING, false, "(1aS,4S,6aR,7aS)-octahydro-1H-cyclopropa[4,5]pyrrolo[1,2-a]pyrazine-4-carboxylic acid", 2131 },
	{ "1XX", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-hydroxy-2,5-dimethylfuran-3(2H)-one", 2132 },
	{ "1XY", "", "", ResidueType::NON_POLYMER, false, "(4R)-3,4-dihydro-2H-chromen-4-amine", 2133 },
	{ "1Y0", "", "", ResidueType::PEPTIDE_LIKE, false, "", 2134 },
	{ "1Y1", "", "", ResidueType::NON_POLYMER, false, "4-[4-({4'-chloro-3-[2-(dimethylamino)ethoxy]biphenyl-2-yl}methyl)piperazin-1-yl]-2-(1H-indol-5-yloxy)-N-({3-nitro-4-[(tetrahydro-2H-pyran-4-ylmethyl)amino]phenyl}sulfonyl)benzamide", 2135 },
	{ "1Y2", "", "", ResidueType::NON_POLYMER, false, "(2S)-amino(4,4-difluorocyclohexyl)ethanoic acid", 2136 },
	{ "1Y3", "", "", ResidueType::NON_POLYMER, false, "(3S,7R,8aR)-7-ethoxyoctahydropyrrolo[1,2-a]pyrazine-3-carboxylic acid", 2137 },
	{ "1Y4", "", "", ResidueType::NON_POLYMER, false, "(3S,8aR)-octahydropyrrolo[1,2-a]pyrazine-3-carboxylic acid", 2138 },
	{ "1Y5", "", "", ResidueType::NON_POLYMER, false, "(1R)-1,2,3,4-tetrahydronaphthalen-1-amine", 2139 },
	{ "1Y6", "", "", ResidueType::NON_POLYMER, false, "4-fluorobenzoic acid", 2140 },
	{ "1Y7", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S,5R,6S)-2,3,4,5,6,7-hexahydroxyheptyl dihydrogen phosphate", 2141 },
	{ "1Y8", "", "", ResidueType::NON_POLYMER, false, "2-(trimethyl-lambda~5~-arsanyl)ethanol", 2142 },
	{ "1Y9", "", "", ResidueType::NON_POLYMER, false, "vibralactone, bound form", 2143 },
	{ "1YA", "", "", ResidueType::NON_POLYMER, false, "N-{4-[{[(6S)-2-amino-4-oxo-3,4,5,6,7,8-hexahydropteridin-6-yl]methyl}(formyl)amino]benzoyl}-L-glutamic acid", 2144 },
	{ "1YC", "", "", ResidueType::NON_POLYMER, false, "", 2145 },
	{ "1YD", "", "", ResidueType::NON_POLYMER, false, "", 2146 },
	{ "1YE", "", "", ResidueType::NON_POLYMER, false, "(5,6-dimethyl-9-oxo-9H-xanthen-4-yl)acetic acid", 2147 },
	{ "1YF", "", "", ResidueType::NON_POLYMER, false, "", 2148 },
	{ "1YG", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-(5-{[(5-tert-butyl-1,3-oxazol-2-yl)methyl]sulfanyl}-1,3-thiazol-2-yl)-2-phenylpropanamide", 2149 },
	{ "1YH", "", "", ResidueType::PEPTIDE_LIKE, false, "(3S,8aR)-N-((R)-chroman-4-yl)-2-((S)-2-cyclohexyl-2-((S)-2-(methylamino)propanamido)acetyl)octahydropyrrolo[1,2-a]pyrazine-3-carboxamide", 2150 },
	{ "1YJ", "", "", ResidueType::NON_POLYMER, false, "N-[4-({[(6R)-2-amino-4-oxo-3,4,5,6,7,8-hexahydropteridin-6-yl]methyl}amino)benzoyl]-L-glutamic acid", 2151 },
	{ "1YK", "", "", ResidueType::NON_POLYMER, false, "territrem B", 2152 },
	{ "1YL", "", "", ResidueType::NON_POLYMER, false, "Dihydrotanshinone I", 2153 },
	{ "1YM", "", "", ResidueType::NON_POLYMER, false, "", 2154 },
	{ "1YN", "", "", ResidueType::NON_POLYMER, false, "2-[(2R)-butan-2-yl]-4-{4-[4-(4-{[(2R,4S)-2-(2,4-dichlorophenyl)-2-(1H-1,2,4-triazol-1-ylmethyl)-1,3-dioxolan-4-yl]methoxy}phenyl)piperazin-1-yl]phenyl}-2,4-dihydro-3H-1,2,4-triazol-3-one", 2155 },
	{ "1YO", "", "", ResidueType::NON_POLYMER, false, "3-[(2-methylbenzyl)sulfanyl]-4H-1,2,4-triazol-4-amine", 2156 },
	{ "1YP", "", "", ResidueType::NON_POLYMER, false, "1-ethyl-3-{5'-(5-oxo-4,5-dihydro-1,3,4-oxadiazol-2-yl)-4-[4-(trifluoromethyl)-1,3-thiazol-2-yl]-3,3'-bipyridin-6-yl}urea", 2157 },
	{ "1YQ", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(3-{4-chloro-2-[2-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)ethoxy]phenoxy}phenyl)prop-2-enenitrile", 2158 },
	{ "1YR", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(3-bromo-5-{4-chloro-2-[2-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)ethoxy]phenoxy}phenyl)prop-2-enenitrile", 2159 },
	{ "1YS", "", "", ResidueType::NON_POLYMER, false, "(1R,3S,4S,5R)-3-{4-amino-3-fluoro-5-[(1,1,1,3,3,3-hexafluoropropan-2-yl)oxy]benzyl}-5-[(3-tert-butylbenzyl)amino]tetrahydro-2H-thiopyran-4-ol 1-oxide", 2160 },
	{ "1YT", "", "", ResidueType::NON_POLYMER, false, "(1R,3S,4S,5R)-3-(4-amino-3-fluoro-5-{[(2R)-1,1,1-trifluoro-3-methoxypropan-2-yl]oxy}benzyl)-5-[(3-tert-butylbenzyl)amino]tetrahydro-2H-thiopyran-4-ol 1-oxide", 2161 },
	{ "1YU", "", "", ResidueType::NON_POLYMER, false, "(1S,3S,4S,5R)-3-{4-amino-3-fluoro-5-[(1,1,1,3,3,3-hexafluoropropan-2-yl)oxy]benzyl}-5-[(3-tert-butylbenzyl)amino]tetrahydro-2H-thiopyran-4-ol 1-oxide", 2162 },
	{ "1YV", "", "", ResidueType::NON_POLYMER, false, "N-[(2R)-2-(4'-cyanobiphenyl-4-yl)propyl]propane-2-sulfonamide", 2163 },
	{ "1YW", "", "", ResidueType::NON_POLYMER, false, "N-({(5S)-3-[3-fluoro-4-(pyrrolidin-1-yl)phenyl]-4,5-dihydro-1,2-oxazol-5-yl}methyl)acetamide", 2164 },
	{ "1YX", "", "", ResidueType::NON_POLYMER, false, "N-[(3S)-1-{2-fluoro-4-[(5S)-5-{[(propan-2-ylsulfonyl)amino]methyl}-4,5-dihydro-1,2-oxazol-3-yl]phenyl}pyrrolidin-3-yl]acetamide", 2165 },
	{ "1YY", "", "", ResidueType::NON_POLYMER, false, "(2R)-1,1,1-trifluoro-2-{4-[(2S)-2-{[(3S)-3-methylmorpholin-4-yl]methyl}-4-(thiophen-2-ylsulfonyl)piperazin-1-yl]phenyl}propan-2-ol", 2166 },
	{ "1YZ", "", "", ResidueType::NON_POLYMER, false, "4-(carbamoylamino)-1-(7-ethoxynaphthalen-1-yl)-1H-pyrazole-3-carboxamide", 2167 },
	{ "1Z0", "", "", ResidueType::PEPTIDE_LIKE, false, "N-methyl-D-phenylalanyl-N-{(1S)-4-carbamimidamido-1-[(6-carboxy-1,3-benzothiazol-2-yl)carbonyl]butyl}-L-prolinamide", 2168 },
	{ "1Z1", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(dimethylsulfamoyl)-L-phenylalanyl-N-[(1S,2S)-2-hydroxy-4-{[(2S)-2-methylbutyl]amino}-1-(2-methylpropyl)-4-oxobutyl]-N~6~-(methylcarbamothioyl)-L-lysinamide", 2169 },
	{ "1Z6", "", "", ResidueType::NON_POLYMER, false, "4-(4-fluorophenyl)-3-methyl-1H-pyrazole", 2170 },
	{ "1Z7", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(3-methylbutanoyl)-L-valyl-N-{(1S)-1-[(R)-[(1R)-1-benzyl-2-methoxy-2-oxoethoxy](hydroxy)phosphoryl]-3-methylbutyl}-L-valinamide", 2171 },
	{ "1Z8", "", "", ResidueType::NON_POLYMER, false, "4-phenyl-3-(trifluoromethyl)-1H-pyrazole", 2172 },
	{ "1ZB", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(1S)-1-benzyl-3-diazen-1-iumylidene-2-oxopropyl]glycinamide", 2173 },
	{ "1ZC", "", "", ResidueType::NON_POLYMER, false, "(4-azanyl-1,2,5-oxadiazol-3-yl)-(3-methoxyphenyl)methanone", 2174 },
	{ "1ZD", "", "2NC", ResidueType::PEPTIDE_LIKE, true, "N-{(2S)-2-[(N-acetyl-L-threonyl-L-isoleucyl)amino]hexyl}-L-norleucyl-L-glutaminyl-N~5~-[amino(iminio)methyl]-L-ornithinamide", 2175 },
	{ "1ZG", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(3-carboxypropanoyl)-L-valyl-N-{(1R)-1-[(S)-hydroxy(oxido)phosphanyl]-2-phenylethyl}-L-prolinamide", 2176 },
	{ "1ZK", "", "", ResidueType::PEPTIDE_LIKE, false, "", 2177 },
	{ "1ZN", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S,3S,4E,6E,8S,9S)-3-amino-9-methoxy-2,6,8-trimethyl-10-phenyldeca-4,6-dienoic acid", 2178 },
	{ "1ZQ", "", "", ResidueType::NON_POLYMER, false, "5,6-bis(4-fluorophenyl)pyridine-2,3-diol", 2179 },
	{ "1ZT", "", "SC2", ResidueType::PEPTIDE_LIKE, true, "N-acetyl-L-cysteine", 2180 },
	{ "1ZV", "", "", ResidueType::PEPTIDE_LIKE, false, "amino({3-[(3R,5R,14S,16S,21aR)-5,14-dihydroxy-1,4,17-trioxo-16-(2-phenylethyl)icosahydro-1H-pyrrolo[1,2-d][1,4,7,11]tetraazacyclononadecin-3-yl]propyl}amino)methaniminium", 2181 },
	{ "1ZW", "", "", ResidueType::NON_POLYMER, false, "N-[(4-cyanophenyl)methyl]methanethioamide", 2182 },
	{ "1ZZ", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-(dodecanoyloxy)(hydroxy)phosphoryl]adenosine", 2183 },
	{ "200", "", "", ResidueType::PEPTIDE_LINKING, false, "4-CHLORO-L-PHENYLALANINE", 2184 },
	{ "201", "", "", ResidueType::NON_POLYMER, false, "3-AMIDO-5-BIPHENYL-BENZOIC ACID", 2185 },
	{ "202", "", "", ResidueType::NON_POLYMER, false, "BROMIC ACID", 2186 },
	{ "203", "", "", ResidueType::NON_POLYMER, false, "1,5-DIHYDROIMIDAZO[4,5-C][1,2,6]THIADIAZIN-4(3H)-ONE 2,2-DIOXIDE", 2187 },
	{ "204", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-4-HYDROXYPYRIMIDINE-5-CARBOXYLIC ACID ETHYL ESTER", 2188 },
	{ "205", "", "", ResidueType::NON_POLYMER, false, "2-(2,6-DICHLOROPHENYL)-1,3-BENZOXAZOLE-6-CARBOXYLIC ACID", 2189 },
	{ "207", "", "", ResidueType::NON_POLYMER, false, "1-AMINO-6-CYCLOHEX-3-ENYLMETHYLOXYPURINE", 2190 },
	{ "208", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(1-{[2-(2-CHLOROPHENYL)-5-METHYL-1,3-OXAZOL-4-YL]METHYL}-1H-INDOL-5-YL)-2-ETHOXYPROPANOIC ACID", 2191 },
	{ "209", "", "", ResidueType::NON_POLYMER, false, "8-AMINO-1,3-DIMETHYL-3,7-DIHYDROPURINE-2,6-DIONE", 2192 },
	{ "20A", "", "", ResidueType::NON_POLYMER, false, "1-ethyl-N-(phenylmethyl)-4-(tetrahydro-2H-pyran-4-ylamino)-1H-pyrazolo[3,4-b]pyridine-5-carboxamide", 2193 },
	{ "20B", "", "", ResidueType::NON_POLYMER, false, "2-(3-hydroxyphenyl)-4H-chromen-4-one", 2194 },
	{ "20C", "", "", ResidueType::NON_POLYMER, false, "2-hydroxy-4-(4-methyl-1,3-dioxo-1,3-dihydro-2H-isoindol-2-yl)benzoic acid", 2195 },
	{ "20D", "", "", ResidueType::NON_POLYMER, false, "2-(4-fluorophenyl)-4H-chromen-4-one", 2196 },
	{ "20E", "", "", ResidueType::NON_POLYMER, false, "(2beta,3beta,5beta,22R)-2,3,14,20,22,25-hexahydroxycholest-7-en-6-one", 2197 },
	{ "20F", "", "", ResidueType::NON_POLYMER, false, "5-(4-fluorophenyl)-3-hydroxy-6-[4-(1H-tetrazol-5-yl)phenyl]pyridin-2(1H)-one", 2198 },
	{ "20G", "", "", ResidueType::NON_POLYMER, false, "N-{1-[(2,4-dichlorophenoxy)acetyl]piperidin-4-yl}-4-sulfanylbutanamide", 2199 },
	{ "20H", "", "", ResidueType::NON_POLYMER, false, "1-[(2,4-dichlorophenoxy)acetyl]-N-(2-sulfanylethyl)piperidine-4-carboxamide", 2200 },
	{ "20J", "", "", ResidueType::NON_POLYMER, false, "7-chloro-3-methyl-2H-1,2,4-benzothiadiazine 1,1-dioxide", 2201 },
	{ "20K", "", "", ResidueType::NON_POLYMER, false, "2-chloro-N~4~-[4-(2,4-dimethyl-1,3-thiazol-5-yl)pyrimidin-2-yl]-N~1~,N~1~-dimethylbenzene-1,4-diamine", 2202 },
	{ "20L", "", "", ResidueType::NON_POLYMER, false, "(4-phenoxyphenyl)methylazanium", 2203 },
	{ "20M", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[4-(pyrrolidin-1-yl)piperidin-1-yl]sulfonyl}benzyl)-2H-pyrido[4,3-e][1,2,4]thiadiazin-3-amine 1,1-dioxide", 2204 },
	{ "20N", "", "", ResidueType::NON_POLYMER, false, "N-[4-(acetylamino)phenyl]cyclopropanecarboxamide", 2205 },
	{ "20O", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-N-[4-(phenylsulfonyl)phenyl]-2-(pyridin-3-yl)cyclopropanecarboxamide", 2206 },
	{ "20P", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-2-phenyl-N-(pyridin-4-yl)cyclopropanecarboxamide", 2207 },
	{ "20Q", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-[(3R)-1-acetylpiperidin-3-yl]-6-chloro-3-(3-chlorobenzyl)-1,3-dihydro-2H-indol-2-one", 2208 },
	{ "20R", "", "", ResidueType::NON_POLYMER, false, "N-[4-(phenylsulfonyl)benzyl]-2H-pyrazolo[3,4-b]pyridine-5-carboxamide", 2209 },
	{ "20S", "", "", ResidueType::NON_POLYMER, false, "BETA-D-FRUCTOFURANOSYL 6-O-OCTANOYL-ALPHA-D-GLUCOPYRANOSIDE", 2210 },
	{ "20T", "", "", ResidueType::NON_POLYMER, false, "1-(5-O-phosphono-beta-D-ribofuranosyl)-N-(4-{[3-(trifluoromethyl)phenyl]sulfonyl}benzyl)-1H-pyrazolo[3,4-b]pyridine-5-carboxamide", 2211 },
	{ "20U", "", "", ResidueType::NON_POLYMER, false, "(2'S,3R,4'S,5'R)-N-(4-carbamoylphenyl)-6-chloro-4'-(3-chloro-2-fluorophenyl)-2'-(2,2-dimethylpropyl)-2-oxo-1,2-dihydrospiro[indole-3,3'-pyrrolidine]-5'-carboxamide", 2212 },
	{ "20V", "", "", ResidueType::NON_POLYMER, false, "3-[(E)-{4-formyl-5-hydroxy-6-methyl-3-[(phosphonooxy)methyl]pyridin-2-yl}diazenyl]-7-nitronaphthalene-1,5-disulfonic acid", 2213 },
	{ "20W", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4R,5R)-N-(4-carbamoyl-2-methoxyphenyl)-2'-chloro-4-(3-chloro-2-fluorophenyl)-2-(2,2-dimethylpropyl)-5'-oxo-4',5'-dihydrospiro[pyrrolidine-3,6'-thieno[3,2-b]pyrrole]-5-carboxamide", 2214 },
	{ "20X", "", "", ResidueType::NON_POLYMER, false, "N-({(2E)-2-[(4-fluorophenyl)methylidene]hydrazino}carbonothioyl)-beta-D-glucopyranosylamine", 2215 },
	{ "20Y", "", "", ResidueType::NON_POLYMER, false, "4-(acetylamino)-N-[2-amino-5-(thiophen-2-yl)phenyl]benzamide", 2216 },
	{ "20Z", "", "", ResidueType::NON_POLYMER, false, "4-{[4-amino-5-(naphthalen-2-ylcarbonyl)-1,3-thiazol-2-yl]amino}benzenesulfonamide", 2217 },
	{ "210", "", "", ResidueType::NON_POLYMER, false, "PAMIDRONATE", 2218 },
	{ "211", "", "", ResidueType::NON_POLYMER, false, "2,2',2''-NITRILOTRIETHANOL", 2219 },
	{ "212", "", "", ResidueType::NON_POLYMER, false, "ALENDRONATE", 2220 },
	{ "213", "", "", ResidueType::NON_POLYMER, false, "", 2221 },
	{ "214", "", "", ResidueType::NON_POLYMER, false, "6-[4-((2R)-2-(1H-1,2,3-BENZOTRIAZOL-1-YL)-3-{4-[DIFLUORO(PHOSPHONO)METHYL]PHENYL}-2-PHENYLPROPYL)PHENYL]-2-METHYLQUINOLIN-8-YLPHOSPHONIC ACID", 2222 },
	{ "215", "", "", ResidueType::NON_POLYMER, false, "(1Z)-5-(2-{4-[2-(DIMETHYLAMINO)ETHOXY]PHENYL}-5-PYRIDIN-4-YL-1H-IMIDAZOL-4-YL)INDAN-1-ONE OXIME", 2223 },
	{ "216", "", "", ResidueType::NON_POLYMER, false, "[4-R-(4-ALPHA,6-BETA,7-BETA]-HEXAHYDRO-5,6-DI(HYDROXY)-1,3-DI(ALLYL)-4,7-BISPHENYLMETHYL)-2H-1,3-DIAZEPINONE", 2224 },
	{ "217", "", "", ResidueType::NON_POLYMER, false, "(2S)-HEX-5-ENE-1,2-DIOL", 2225 },
	{ "218", "", "", ResidueType::NON_POLYMER, false, "1-[(4-AMINO-2-METHYLPYRIMIDIN-5-YL)METHYL]-3-(2-HYDROXYETHYL)-2-METHYLPYRIDINIUM", 2226 },
	{ "219", "", "", ResidueType::NON_POLYMER, false, "cyclohexylmethyl 2-formylphenyl hydrogen (S)-phosphate", 2227 },
	{ "21A", "", "", ResidueType::NON_POLYMER, false, "6-(4-fluorophenyl)-5-[4-(1H-tetrazol-5-yl)phenyl]pyridine-2,3-diol", 2228 },
	{ "21B", "", "", ResidueType::NON_POLYMER, false, "Nortriptyline", 2229 },
	{ "21C", "", "", ResidueType::NON_POLYMER, false, "N-{1-[N-(4,5-dichloro-2-hydroxyphenyl)glycyl]piperidin-4-yl}ethanesulfonamide", 2230 },
	{ "21D", "", "", ResidueType::NON_POLYMER, false, "naphthalene-1,5-disulfonic acid", 2231 },
	{ "21E", "", "", ResidueType::NON_POLYMER, false, "5-amino-1-tert-butyl-3-(quinolin-2-yl)-1H-pyrazole-4-carboxamide", 2232 },
	{ "21F", "", "", ResidueType::NON_POLYMER, false, "N-{1-[N-(4-chloro-5-iodo-2-methoxyphenyl)glycyl]piperidin-4-yl}ethanesulfonamide", 2233 },
	{ "21G", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-3-[[5-fluoranyl-2-(5-fluoranyl-1H-pyrrolo[2,3-b]pyridin-3-yl)pyrimidin-4-yl]amino]bicyclo[2.2.2]octane-2-carboxylic acid", 2234 },
	{ "21H", "", "", ResidueType::NON_POLYMER, false, "oxydimethanol", 2235 },
	{ "21J", "", "", ResidueType::NON_POLYMER, false, "N-(1-{[(5,7-dichloro-2,2-dimethyl-1,3-benzodioxol-4-yl)oxy]acetyl}piperidin-4-yl)ethanesulfonamide", 2236 },
	{ "21K", "", "", ResidueType::NON_POLYMER, false, "N-{1-[N-(2,4-dichlorophenyl)glycyl]piperidin-4-yl}ethanesulfonamide", 2237 },
	{ "21L", "", "", ResidueType::NON_POLYMER, false, "methyl 3-{4-[({[(9aS)-8-acetyl-1,7-dihydroxy-3-methoxy-9a-methyl-9-oxo-9,9a-dihydrodibenzo[b,d]furan-4-yl]carbonyl}amino)methyl]naphthalen-2-yl}propanoate", 2238 },
	{ "21M", "", "", ResidueType::NON_POLYMER, false, "N-{1-[(2,4-dichlorophenoxy)acetyl]piperidin-4-yl}ethanesulfonamide", 2239 },
	{ "21N", "", "", ResidueType::NON_POLYMER, false, "N-{[(2E)-2-{[4-(trifluoromethyl)phenyl]methylidene}hydrazino]carbonothioyl}-beta-D-glucopyranosylamine", 2240 },
	{ "21O", "", "", ResidueType::NON_POLYMER, false, "{(1R)-3-oxo-1-phenyl-3-[4-(trifluoromethyl)phenyl]propyl}propanedioic acid", 2241 },
	{ "21P", "", "", ResidueType::NON_POLYMER, false, "4-[2-(1,1,3,3-tetramethyl-2,3-dihydro-1H-1,3-benzodisilol-5-yl)-1,3-dioxolan-2-yl]benzoic acid", 2242 },
	{ "21Q", "", "", ResidueType::NON_POLYMER, false, "4-acetyl-N-[5-(diethylsulfamoyl)-2-hydroxyphenyl]-3-ethyl-5-methyl-1H-pyrrole-2-carboxamide", 2243 },
	{ "21R", "", "", ResidueType::NON_POLYMER, false, "N-{1-[N-(4,5-dichloro-2-ethylphenyl)glycyl]piperidin-4-yl}ethanesulfonamide", 2244 },
	{ "21S", "", "", ResidueType::NON_POLYMER, false, "N-{1-[N-(5,7-dichloro-2,1,3-benzothiadiazol-4-yl)glycyl]piperidin-4-yl}ethanesulfonamide", 2245 },
	{ "21T", "", "", ResidueType::NON_POLYMER, false, "4-[4-(2-adamantylcarbamoyl)-5-tert-butyl-pyrazol-1-yl]benzoic acid", 2246 },
	{ "21U", "", "", ResidueType::NON_POLYMER, false, "D-leucyl-N-(3-chlorobenzyl)-L-prolinamide", 2247 },
	{ "21V", "", "", ResidueType::NON_POLYMER, false, "N-(4-{2-[(6S)-2-amino-4-oxo-1,4,5,6,7,8-hexahydropyrido[2,3-d]pyrimidin-6-yl]ethyl}benzoyl)-L-glutamic acid", 2248 },
	{ "21W", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[(1H-imidazol-2-ylmethyl)amino]methyl}benzyl)-4-oxo-3,4-dihydrothieno[2,3-d]pyrimidine-5-carboxamide", 2249 },
	{ "21X", "", "", ResidueType::NON_POLYMER, false, "N-[4-(aminomethyl)benzyl]-4-oxo-3,4-dihydrothieno[2,3-d]pyrimidine-5-carboxamide", 2250 },
	{ "21Y", "", "", ResidueType::NON_POLYMER, false, "1-(4-{[(4,5-dichloro-2-methoxyphenyl)amino]acetyl}piperazin-1-yl)propan-1-one", 2251 },
	{ "21Z", "", "", ResidueType::NON_POLYMER, false, "3-[(4-amino-5-benzoyl-1,3-thiazol-2-yl)amino]benzenesulfonamide", 2252 },
	{ "220", "", "", ResidueType::NON_POLYMER, false, "UNDECA-3,7-DIENE-1,3,7,11-TETRACARBALDEHYDE", 2253 },
	{ "221", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-3-{[3,5-BIS(TRIFLUOROMETHYL)PHENYL]AMINO}-2-CYANO-3-THIOXOPROPANAMIDE", 2254 },
	{ "222", "", "", ResidueType::NON_POLYMER, false, "2-(3-{(2-CHLORO-4-FLUOROPHENYL)[1-(2-CHLOROPHENYL)-6-OXO-1,6-DIHYDROPYRIDAZIN-3-YL]AMINO}PROPYL)-1H-ISOINDOLE-1,3(2H)-DIONE", 2255 },
	{ "223", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-1-[(4-AMINO-5H-PYRROLO[3,2-D]PYRIMIDIN-7-YL)METHYL]-4-(HYDROXYMETHYL)PYRROLIDIN-3-OL", 2256 },
	{ "224", "", "", ResidueType::NON_POLYMER, false, "1-({2-[2-(4-CHLOROPHENYL)ETHYL]-1,3-DIOXOLAN-2-YL}METHYL)-1H-IMIDAZOLE", 2257 },
	{ "225", "", "", ResidueType::NON_POLYMER, false, "FELODIPINE", 2258 },
	{ "226", "", "", ResidueType::NON_POLYMER, false, "naphthalene-1,2,4,5,7-pentol", 2259 },
	{ "227", "", "", ResidueType::NON_POLYMER, false, "6,7-DIMETHOXY-4-{8-[(4-METHYLPIPERAZIN-1-YL)SULFONYL]-3,4-DIHYDROISOQUINOLIN-2(1H)-YL}QUINAZOLINE", 2260 },
	{ "228", "", "", ResidueType::NON_POLYMER, false, "N-[2-(1,3-BENZODIOXOL-5-YL)ETHYL]-1-[2-(1H-IMIDAZOL-1-YL)-6-METHYLPYRIMIDIN-4-YL]-D-PROLINAMIDE", 2261 },
	{ "229", "", "", ResidueType::NON_POLYMER, false, "7-({[(1R,2S)-2,3-DIHYDROXY-1-(HYDROXYMETHYL)PROPYL]AMINO}METHYL)-3,5-DIHYDRO-4H-PYRROLO[3,2-D]PYRIMIDIN-4-ONE", 2262 },
	{ "22A", "", "", ResidueType::NON_POLYMER, false, "7-({[2-hydroxy-1-(hydroxymethyl)ethyl]amino}methyl)-3,5-dihydro-4H-pyrrolo[3,2-d]pyrimidin-4-one", 2263 },
	{ "22B", "", "", ResidueType::NON_POLYMER, false, "BACTERIORUBERIN", 2264 },
	{ "22C", "", "", ResidueType::NON_POLYMER, false, "1-{4-[(2,4-dichlorophenoxy)acetyl]piperazin-1-yl}propan-1-one", 2265 },
	{ "22E", "", "", ResidueType::NON_POLYMER, false, "5,11-dimethyl-1-oxo-2,6-dihydro-1h-pyrido[4,3-b]carbazol-9-yl benzoate", 2266 },
	{ "22F", "", "", ResidueType::NON_POLYMER, false, "(4-fluorophenyl)(pyridin-4-yl)methanone", 2267 },
	{ "22G", "", "", ResidueType::PEPTIDE_LINKING, false, "N-[(2S)-2-amino-3-phenylpropyl]-L-tyrosine", 2268 },
	{ "22H", "", "", ResidueType::NON_POLYMER, false, "2-(acetylamino)-3-O-[(1R)-1-carboxyethyl]-2-deoxy-6-O-phosphono-D-glucitol", 2269 },
	{ "22J", "", "", ResidueType::NON_POLYMER, false, "(3E,5R)-5-fluoro-6-(2-fluorophenyl)-2,6-dioxohex-3-enoic acid", 2270 },
	{ "22K", "", "", ResidueType::NON_POLYMER, false, "5-[(1R,3S)-3-aminocyclohexyl]-6-bromo-3-(1-methyl-1H-pyrazol-4-yl)pyrazolo[1,5-a]pyrimidin-7-amine", 2271 },
	{ "22L", "", "", ResidueType::NON_POLYMER, false, "5-phenylthieno[2,3-d]pyrimidin-4(3H)-one", 2272 },
	{ "22M", "", "", ResidueType::NON_POLYMER, false, "2-(2-METHYLPHENYL)-1H-INDOLE-6-CARBOXIMIDAMIDE", 2273 },
	{ "22N", "", "", ResidueType::NON_POLYMER, false, "(3R,4S,5S)-4-(acetylamino)-5-amino-3-(pentan-3-yloxy)cyclohex-1-ene-1-carboxylic acid", 2274 },
	{ "22O", "", "", ResidueType::NON_POLYMER, false, "N-({(2E)-2-[(3-bromophenyl)methylidene]hydrazino}carbonothioyl)-beta-D-glucopyranosylamine", 2275 },
	{ "22P", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(aminomethyl)-2-hydroxy-4-phenylbutanoic acid", 2276 },
	{ "22Q", "", "", ResidueType::NON_POLYMER, false, "(3Z)-5-(2-methylpropyl)-3-(sulfanylmethylidene)pyrazine-2,6(1H,3H)-dione", 2277 },
	{ "22S", "", "", ResidueType::NON_POLYMER, false, "N-({(2E)-2-[(2-chlorophenyl)methylidene]hydrazino}carbonothioyl)-beta-D-glucopyranosylamine", 2278 },
	{ "22T", "", "", ResidueType::NON_POLYMER, false, "7-chloranyl-6-[(3S)-pyrrolidin-3-yl]oxy-2H-isoquinolin-1-one", 2279 },
	{ "22U", "", "", ResidueType::PEPTIDE_LIKE, false, "D-phenylalanyl-N-(3-chlorobenzyl)-L-prolinamide", 2280 },
	{ "22W", "", "", ResidueType::NON_POLYMER, false, "2-[(1S,2S)-1-amino-2-methylbutyl]-4-(thioxomethylidene)-1,3-oxazol-5(4H)-one", 2281 },
	{ "22X", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-[(1S)-4-(acetylamino)-1-(3-chlorophenyl)-1-hydroxybutyl]-N-{(1S)-2-cyclohexyl-1-[(methylamino)methyl]ethyl}piperidine-1-carboxamide", 2282 },
	{ "22Y", "", "", ResidueType::NON_POLYMER, false, "3-(5-amino-6-{[(1R)-1-phenylethyl]amino}pyrazin-2-yl)-4-chlorobenzoic acid", 2283 },
	{ "22Z", "", "", ResidueType::NON_POLYMER, false, "4-(hexylamino)-5-nitro-2-[(pyridin-3-ylmethyl)amino]benzamide", 2284 },
	{ "230", "", "", ResidueType::NON_POLYMER, false, "(2R,4R)-N~1~-(4-CHLOROPHENYL)-N~2~-[2-FLUORO-4-(2-OXOPYRIDIN-1(2H)-YL)PHENYL]-4-METHOXYPYRROLIDINE-1,2-DICARBOXAMIDE", 2285 },
	{ "231", "", "", ResidueType::NON_POLYMER, false, "4-PHENYL-1H-IMIDAZOLE", 2286 },
	{ "232", "", "", ResidueType::NON_POLYMER, false, "1,3-DI[[[10-METHOXY-7H-PYRIDO[4,3-C]CARBAZOL-2-IUMYL]-ETHYL]-PIPERIDIN-4-YL]-PROPANE", 2287 },
	{ "233", "", "", ResidueType::NON_POLYMER, false, "[5-(3,4,5-TRIHYDROXY-6-HYDROXYMETHYL-TETRAHYDRO-PYRAN-2-YLCARBAMOYL)-PENTYL]-CARBAMIC ACID METHYL ESTER", 2288 },
	{ "234", "", "", ResidueType::NON_POLYMER, false, "5-{2-FLUORO-5-[3-(3-HYDROXY-2-METHOXYCARBONYL-PHENOXY)-PROPENYL]-PHENYL}-ISOXAZOLE-3-CARBOXYLIC ACID", 2289 },
	{ "235", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[3-(AMINOMETHYL)PHENYL]-3-[(R)-HYDROXY{(1R)-2-METHYL-1-[(PHENYLSULFONYL)AMINO]PROPYL}PHOSPHORYL]PROPANOIC ACID", 2290 },
	{ "237", "", "", ResidueType::NON_POLYMER, false, "(2R,4R)-N~1~-(4-CHLOROPHENYL)-N~2~-[3-FLUORO-2'-(METHYLSULFONYL)BIPHENYL-4-YL]-4-METHOXYPYRROLIDINE-1,2-DICARBOXAMIDE", 2291 },
	{ "238", "", "", ResidueType::NON_POLYMER, false, "", 2292 },
	{ "239", "", "", ResidueType::NON_POLYMER, false, "6-[(Z)-AMINO(IMINO)METHYL]-N-[4-(AMINOMETHYL)PHENYL]-2-NAPHTHAMIDE", 2293 },
	{ "23A", "", "", ResidueType::NON_POLYMER, false, "2,3-DIHYDROXYBENZALDEHYDE", 2294 },
	{ "23B", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-2,3-dihydroxy-2-methylbutanoic acid", 2295 },
	{ "23C", "", "", ResidueType::NON_POLYMER, false, "2-[(1R)-1-carboxy-2-naphthalen-1-ylethyl]-1,3-dioxo-2,3-dihydro-1H-isoindole-5-carboxylic acid", 2296 },
	{ "23D", "", "", ResidueType::NON_POLYMER, false, "N2-[(1R,2S)-2-AMINOCYCLOHEXYL]-N6-(3-CHLOROPHENYL)-9-ETHYL-9H-PURINE-2,6-DIAMINE", 2297 },
	{ "23E", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(4-{[(1-{[(13-cyclohexyl-6-oxo-6,7-dihydro-5H-indolo[1,2-d][1,4]benzodiazepin-10-yl)carbonyl]amino}cyclopentyl)carbonyl]amino}phenyl)prop-2-enoic acid", 2298 },
	{ "23F", "", "", ResidueType::PEPTIDE_LINKING, false, "(2Z)-2-AMINO-3-PHENYLACRYLIC ACID", 2299 },
	{ "23G", "", "", ResidueType::RNA_HYDROXY_TERMINUS, false, "", 2300 },
	{ "23H", "", "", ResidueType::NON_POLYMER, false, "N-[4-(acetylamino)phenyl]-2-(1H-benzotriazol-1-yl)-N-[(1R)-2-[(2-methylbutan-2-yl)amino]-1-(1-methyl-1H-pyrrol-2-yl)-2-oxoethyl]acetamide", 2301 },
	{ "23I", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2S,4R)-2-HYDROXY-1-ISOBUTYL-5-({(1S)-1-[(ISOPROPYLAMINO)CARBONYL]-2-METHYLPROPYL}AMINO)-4-METHYL-5-OXOPENTYL]-5-[METHYL(METHYLSULFONYL)AMINO]-N'-[(1R)-1-PHENYLETHYL]ISOPHTHALAMIDE", 2302 },
	{ "23J", "", "", ResidueType::NON_POLYMER, false, "oxo(2-sulfanylphenyl)acetic acid", 2303 },
	{ "23K", "", "", ResidueType::NON_POLYMER, false, "1-tert-butyl-3-{(2S,3R)-4-[(4R)-7-fluoro-1,1-dioxido-4-(propan-2-yl)-4,5-dihydro-1,2-benzothiazepin-2(3H)-yl]-3-hydroxy-1-phenylbutan-2-yl}urea", 2304 },
	{ "23L", "", "", ResidueType::NON_POLYMER, false, "(3S)-tetrahydrofuran-3-yl {(2S,3R)-4-[(4R)-7-fluoro-1,1-dioxido-4-(propan-2-yl)-4,5-dihydro-1,2-benzothiazepin-2(3H)-yl]-3-hydroxy-1-phenylbutan-2-yl}carbamate", 2305 },
	{ "23M", "", "", ResidueType::NON_POLYMER, false, "2-(3-METHYLPHENYL)-1H-INDOLE-5-CARBOXIMIDAMIDE", 2306 },
	{ "23N", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-benzyl-3-nitropropanoic acid", 2307 },
	{ "23P", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(propanoylamino)-L-alanine", 2308 },
	{ "23Q", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,11bS)-3-[3-(fluoromethyl)phenyl]-9,10-dimethoxy-1,3,4,6,7,11b-hexahydro-2H-pyrido[2,1-a]isoquinolin-2-amine", 2309 },
	{ "23R", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,3R,5Z,7E,14beta,17alpha,23R)-23-(2-hydroxy-2-methylpropyl)-2-methyl-20,24-epoxy-9,10-secochola-5,7,10-triene-1,3-diol", 2310 },
	{ "23S", "", "", ResidueType::PEPTIDE_LINKING, false, "(S)-2-AMINO-3-(6H-SELENOLO[2,3-B]-PYRROL-4-YL)-PROPIONIC ACID", 2311 },
	{ "23T", "", "", ResidueType::NON_POLYMER, false, "2',3'-DIDEOXY-THYMIDINE-5'-TRIPHOSPHATE", 2312 },
	{ "23U", "", "", ResidueType::NON_POLYMER, false, "beta-phenyl-D-phenylalanyl-N-(3-chlorobenzyl)-L-prolinamide", 2313 },
	{ "23V", "", "", ResidueType::NON_POLYMER, false, "N-({(2E)-2-[(3-chlorophenyl)methylidene]hydrazino}carbonothioyl)-beta-D-glucopyranosylamine", 2314 },
	{ "23W", "", "", ResidueType::NON_POLYMER, false, "methyl 2-(hydroxymethyl)prop-2-enoate", 2315 },
	{ "23X", "", "", ResidueType::NON_POLYMER, false, "N~2~-acetyl-N-[(2S,3R)-4-{(1,3-benzothiazol-6-ylsulfonyl)[(2S)-2-methylbutyl]amino}-3-hydroxy-1-phenylbutan-2-yl]-L-isoleucinamide", 2316 },
	{ "23Y", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-3-(3,5-dihydroxyphenyl)-2-(4-hydroxyphenyl)-4-[(E)-2-(4-hydroxyphenyl)ethenyl]-2,3-dihydro-1-benzofuran-6-yl beta-D-glucopyranoside", 2317 },
	{ "23Z", "", "", ResidueType::NON_POLYMER, false, "(2R)-1-{5-acetyl-3-[3-{[2-oxo-2-(1H-pyrrol-1-yl)ethyl]sulfanyl}-4-(trifluoromethyl)phenyl]-4,5,6,7-tetrahydro-1H-pyrazolo[4,3-c]pyridin-1-yl}-3-[4-(1-hydroxy-1-methylethyl)piperidin-1-yl]propan-2-ol", 2318 },
	{ "240", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(2-{[1-(4-METHOXYBENZOYL)-2-METHYL-5-(TRIFLUOROMETHOXY)-1H-INDOL-3-YL]METHYL}PHENOXY)PROPANOIC ACID", 2319 },
	{ "241", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(3-{[1-(4-METHOXYBENZOYL)-2-METHYL-5-(TRIFLUOROMETHOXY)-1H-INDOL-3-YL]METHYL}PHENOXY)PROPANOIC ACID", 2320 },
	{ "242", "", "", ResidueType::NON_POLYMER, false, "3-(2-AMINOQUINAZOLIN-6-YL)-4-METHYL-N-[3-(TRIFLUOROMETHYL)PHENYL]BENZAMIDE", 2321 },
	{ "243", "", "", ResidueType::NON_POLYMER, false, "(9Z,11E,13S)-13-hydroxyoctadeca-9,11-dienoic acid", 2322 },
	{ "244", "", "", ResidueType::NON_POLYMER, false, "[5-HYDROXY-2-(4-HYDROXYPHENYL)-1-BENZOFURAN-7-YL]ACETONITRILE", 2323 },
	{ "245", "", "", ResidueType::NON_POLYMER, false, "1-(2-chloropyridin-4-yl)-3-phenylurea", 2324 },
	{ "246", "", "", ResidueType::NON_POLYMER, false, "1-benzyl-3-(2-chloropyridin-4-yl)urea", 2325 },
	{ "247", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-amino-2,2-difluoro-3-(4-hydroxyphenyl)propanoic acid", 2326 },
	{ "24A", "", "", ResidueType::NON_POLYMER, false, "{[(4-{[2-(4-AMINOCYCLOHEXYL)-9-ETHYL-9H-PURIN-6-YL]AMINO}PHENYL)(HYDROXY)PHOSPHORYL]METHYL}PHOSPHONIC ACID", 2327 },
	{ "24B", "", "", ResidueType::NON_POLYMER, false, "(2,4-DIFLUOROPHENYL)METHANOL", 2328 },
	{ "24D", "", "", ResidueType::NON_POLYMER, false, "N-(2,4-dichlorobenzyl)-4-(pyrimidin-2-yloxy)piperidine-1-carboxamide", 2329 },
	{ "24E", "", "", ResidueType::NON_POLYMER, false, "3-(4-hydroxybenzyl)-1-(thiophen-2-yl)chromeno[2,3-c]pyrrol-9(2H)-one", 2330 },
	{ "24F", "", "", ResidueType::NON_POLYMER, false, "(2R)-({[5-(4-ethoxyphenyl)thiophen-2-yl]sulfonyl}amino){1-[(1-methylethoxy)carbonyl]piperidin-4-yl}ethanoic acid", 2331 },
	{ "24G", "", "", ResidueType::NON_POLYMER, false, "uridine-5'-diphosphate-3-O-(R-3-hydroxymyristoyl)-glucosamine", 2332 },
	{ "24H", "", "", ResidueType::NON_POLYMER, false, "{[(1S)-2-(2-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)-1-(hydroxymethyl)ethoxy]methyl}phosphonic acid", 2333 },
	{ "24I", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{[HYDROXY(4-IODOBENZYL)PHOSPHORYL]METHYL}PENTANEDIOIC ACID", 2334 },
	{ "24K", "", "", ResidueType::NON_POLYMER, false, "trans-4-{[2-(butylamino)-5-(pyridin-2-yl)pyrimidin-4-yl]amino}cyclohexanol", 2335 },
	{ "24L", "", "", ResidueType::NON_POLYMER, false, "4-{4-[({[(9aS)-8-acetyl-1,7-dihydroxy-3-methoxy-9a-methyl-9-oxo-9,9a-dihydrodibenzo[b,d]furan-4-yl]carbonyl}amino)methyl]naphthalen-2-yl}butanoic acid", 2336 },
	{ "24M", "", "", ResidueType::PEPTIDE_LIKE, false, "(1R,2R)-2-[(1S,2S)-2-amino-1-hydroxy-4-methylpentyl]cyclopentanecarboxylic acid", 2337 },
	{ "24O", "", "", ResidueType::PEPTIDE_LIKE, false, "(1R,2R)-2-[(1S,2S)-2-amino-1-hydroxy-4-methylpentyl]-4-oxocyclopentanecarboxylic acid", 2338 },
	{ "24P", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(4-benzylphenoxy)methyl]pyrrolidine", 2339 },
	{ "24Q", "", "", ResidueType::NON_POLYMER, false, "6-(cyclohexylmethyl)-N-[4-(methylsulfonylcarbamoyl)-2-(phenylmethyl)phenyl]pyridine-2-carboxamide", 2340 },
	{ "24R", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R)-2-aminocyclohexyl]-4-[6-(1-methyl-1H-pyrazol-4-yl)pyrazolo[1,5-a]pyrimidin-3-yl]thiophene-2-carboxamide", 2341 },
	{ "24S", "", "", ResidueType::NON_POLYMER, false, "N-({(2Z)-2-[(2-nitrophenyl)methylidene]hydrazino}carbonothioyl)-beta-D-glucopyranosylamine", 2342 },
	{ "24T", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-4-METHYLTHIAZOLE", 2343 },
	{ "24U", "", "", ResidueType::NON_POLYMER, false, "1-butanoyl-N-(4-carbamimidoylbenzyl)-L-prolinamide", 2344 },
	{ "24V", "", "", ResidueType::NON_POLYMER, false, "9-cyclopentyl-N-(5-piperazin-1-ylpyridin-2-yl)pyrido[4,5]pyrrolo[1,2-d]pyrimidin-2-amine", 2345 },
	{ "24W", "", "", ResidueType::NON_POLYMER, false, "1,2,3,4-tetrahydroisoquinolin-5-amine", 2346 },
	{ "24X", "", "", ResidueType::NON_POLYMER, false, "", 2347 },
	{ "24Y", "", "", ResidueType::NON_POLYMER, false, "3-chloro-5-[1-(3-methylpyridin-2-yl)-3-phenyl-1H-1,2,4-triazol-5-yl]pyridin-2(1H)-one", 2348 },
	{ "24Z", "", "", ResidueType::NON_POLYMER, false, "4-({4-carbamoyl-2-nitro-5-[(pyridin-3-ylmethyl)amino]phenyl}amino)butanoic acid", 2349 },
	{ "250", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-hydroxy-3-[4-(2-hydroxyethyl)piperazin-1-yl]propane-1-sulfonic acid", 2350 },
	{ "251", "", "", ResidueType::NON_POLYMER, false, "N-[amino(imino)methyl]-2-(2,5-diphenyl-1H-pyrrol-1-yl)acetamide", 2351 },
	{ "252", "", "", ResidueType::NON_POLYMER, false, "(1-HYDROXYNONANE-1,1-DIYL)BIS(PHOSPHONIC ACID)", 2352 },
	{ "253", "", "", ResidueType::NON_POLYMER, false, "10,11-dimethoxy-4-methyldibenzo[c,f]-2,7-naphthyridine-3,6-diamine", 2353 },
	{ "254", "", "", ResidueType::NON_POLYMER, false, "6-[HYDROXYIMINO-(5,5,8,8-TETRAMETHYL-5,6,7,8-TETRAHYDRO-NAPHTALEN-2-YL)-METHYL]-NAPHTALENE-2-CARBOXYLIC ACID", 2354 },
	{ "255", "", "", ResidueType::NON_POLYMER, false, "N-(tert-butyl)-4-[5-(pyridin-2-ylamino)quinolin-3-yl]benzenesulfonamide", 2355 },
	{ "256", "", "", ResidueType::NON_POLYMER, false, "PHENYL(SULFO)ACETIC ACID", 2356 },
	{ "258", "", "", ResidueType::NON_POLYMER, false, "(2-chloroethoxy)benzene", 2357 },
	{ "259", "", "", ResidueType::NON_POLYMER, false, "1-(methylsulfanyl)-4-nitrobenzene", 2358 },
	{ "25A", "", "", ResidueType::NON_POLYMER, false, "5'-O-MONOPHOSPHORYLADENYLYL(2'->5')ADENYLYL(2'->5')ADENOSINE", 2359 },
	{ "25B", "", "", ResidueType::NON_POLYMER, false, "(1R,2R)-2-[(4-chlorophenyl)carbonyl]-N-{(1S)-1-[2-(phenylsulfonyl)ethyl]pentyl}cyclohexanecarboxamide", 2360 },
	{ "25D", "", "", ResidueType::NON_POLYMER, false, "2-cyclohexyl-N-[(3-{[(2,4,6-trimethylphenyl)carbamoyl]amino}naphthalen-2-yl)carbonyl]-D-alanine", 2361 },
	{ "25E", "", "", ResidueType::NON_POLYMER, false, "N-({(2Z)-2-[(4-hydroxyphenyl)methylidene]hydrazino}carbonothioyl)-beta-D-glucopyranosylamine", 2362 },
	{ "25F", "", "", ResidueType::NON_POLYMER, false, "2-(4-bromophenyl)-3,4-dihydroquinazolin-4-one", 2363 },
	{ "25G", "", "", ResidueType::NON_POLYMER, false, "N-[2-benzyl-4-(1H-tetrazol-5-yl)phenyl]-6-(cyclohexylmethyl)pyridine-2-carboxamide", 2364 },
	{ "25H", "", "", ResidueType::NON_POLYMER, false, "{2-[2-(2-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)ethoxy]ethyl}phosphonic acid", 2365 },
	{ "25K", "", "", ResidueType::NON_POLYMER, false, "N,5-dimethyl-N-(4-methylbenzyl)[1,2,4]triazolo[1,5-a]pyrimidin-7-amine", 2366 },
	{ "25L", "", "", ResidueType::NON_POLYMER, false, "", 2367 },
	{ "25N", "", "", ResidueType::NON_POLYMER, false, "(3,5-di-tert-butylphenyl)boronic acid", 2368 },
	{ "25O", "", "", ResidueType::NON_POLYMER, false, "5-methyl-7-phenyl[1,2,4]triazolo[1,5-a]pyrimidin-2-amine", 2369 },
	{ "25P", "", "", ResidueType::NON_POLYMER, false, "4-[(2S)-2-{[4-(4-chlorophenoxy)phenoxy]methyl}pyrrolidin-1-yl]butanoate", 2370 },
	{ "25Q", "", "", ResidueType::NON_POLYMER, false, "2-amino-1-(3-methoxyphenyl)-1H-pyrrolo[2,3-b]quinoxaline-3-carboxamide", 2371 },
	{ "25R", "", "", ResidueType::NON_POLYMER, false, "2,5-dimethylpyrazine", 2372 },
	{ "25S", "", "", ResidueType::NON_POLYMER, false, "(R)-N-(3-(1H-indol-3-yl)-1-oxo-1-(pyridin-4-ylamino)propan-2-yl)-4-(4-(3,4-difluorophenyl)piperazin-1-yl)-2-fluorobenzamide", 2373 },
	{ "25T", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-5-METHYLTHIAZOLE", 2374 },
	{ "25U", "", "", ResidueType::NON_POLYMER, false, "6-ethyl-5-{3-[3-(pyrimidin-5-yl)phenyl]prop-1-yn-1-yl}pyrimidine-2,4-diamine", 2375 },
	{ "25V", "", "", ResidueType::NON_POLYMER, false, "N-[3-(2-methyl-1-oxidoquinolin-4-yl)phenyl]acetamide", 2376 },
	{ "25W", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3S,4R,5S)-5-aminocyclohexane-1,2,3,4-tetrol", 2377 },
	{ "25X", "", "", ResidueType::NON_POLYMER, false, "1-(sulfamoylamino)methyl-1,2-dicarba-closo-dodecaborane", 2378 },
	{ "25Y", "", "", ResidueType::NON_POLYMER, false, "1-(sulfamoylamino)methyl-1,7-dicarba-closo-dodecaborane", 2379 },
	{ "25Z", "", "", ResidueType::NON_POLYMER, false, "[4-amino-2-(phenylamino)-1,3-thiazol-5-yl][3-(trifluoromethyl)phenyl]methanone", 2380 },
	{ "260", "", "", ResidueType::NON_POLYMER, false, "2-(bromomethyl)-1,3-difluorobenzene", 2381 },
	{ "261", "", "", ResidueType::NON_POLYMER, false, "2-ethoxyphenol", 2382 },
	{ "262", "", "", ResidueType::NON_POLYMER, false, "2-FORMYLPHENYL DIHYDROGEN PHOSPHATE", 2383 },
	{ "263", "", "", ResidueType::NON_POLYMER, false, "1-(azidomethyl)-3-methylbenzene", 2384 },
	{ "264", "", "", ResidueType::NON_POLYMER, false, "(phenylamino)acetonitrile", 2385 },
	{ "265", "", "", ResidueType::NON_POLYMER, false, "2-nitrothiophene", 2386 },
	{ "266", "", "", ResidueType::NON_POLYMER, false, "2-(propylsulfanyl)ethanol", 2387 },
	{ "267", "", "263", ResidueType::NON_POLYMER, true, "1-(azidomethyl)-3-methylbenzene", 2388 },
	{ "268", "", "", ResidueType::NON_POLYMER, false, "2-phenoxyethanol", 2389 },
	{ "269", "", "", ResidueType::NON_POLYMER, false, "(1R)-3-chloro-1-phenylpropan-1-ol", 2390 },
	{ "26A", "", "", ResidueType::NON_POLYMER, false, "6N-DIMETHYLADENOSINE", 2391 },
	{ "26B", "", "", ResidueType::PEPTIDE_CARBOXY_TERMINUS, false, "O-tert-butyl-N-[(3-{[(2,4,6-trimethylphenyl)carbamoyl]amino}naphthalen-2-yl)carbonyl]-L-threonine", 2392 },
	{ "26C", "", "", ResidueType::NON_POLYMER, false, "", 2393 },
	{ "26D", "", "", ResidueType::NON_POLYMER, false, "PYRIDINE-2,6-DIAMINE", 2394 },
	{ "26E", "", "", ResidueType::NON_POLYMER, false, "7-(sulfamoylamino)methyl-7,8-dicarba-nido-undecaborane", 2395 },
	{ "26F", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-(2,6-dimethoxypyrimidin-4-yl)-N-(4-methoxybenzyl)-1-{[4-(trifluoromethoxy)phenyl]sulfonyl}piperazine-2-carboxamide", 2396 },
	{ "26G", "", "", ResidueType::NON_POLYMER, false, "2-{3-[(4-amino-2-methylpyrimidin-5-yl)methyl]phenyl}ethanol", 2397 },
	{ "26J", "", "", ResidueType::NON_POLYMER, false, "2-(4-(cyclohexylmethyl)piperazin-1-yl)-8-nitro-6-(trifluoromethyl)-4H-benzo[e][1,3]thiazin-4-one, bound form", 2398 },
	{ "26K", "", "", ResidueType::NON_POLYMER, false, "N,N-dimethyl-N'-[3-(1H-pyrazol-4-yl)pyrazolo[1,5-a]pyrimidin-5-yl]ethane-1,2-diamine", 2399 },
	{ "26L", "", "", ResidueType::NON_POLYMER, false, "(1R,2R)-N-[3-(naphthalen-2-yl)pyrazolo[1,5-a]pyrimidin-5-yl]cyclohexane-1,2-diamine", 2400 },
	{ "26M", "", "", ResidueType::SACCHARIDE, false, "N-[(biphenyl-4-yloxy)acetyl]-beta-D-glucopyranosylamine", 2401 },
	{ "26N", "", "", ResidueType::NON_POLYMER, false, "Nalpha-(2-fluoro-4-{4-[4-(trifluoromethyl)phenyl]piperazin-1-yl}benzoyl)-N-pyridin-4-yl-D-tryptophanamide", 2402 },
	{ "26O", "", "", ResidueType::NON_POLYMER, false, "N-({(2E)-2-[(2-hydroxyphenyl)methylidene]hydrazino}carbonothioyl)-beta-D-glucopyranosylamine", 2403 },
	{ "26P", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-6-OXOPIMELIC ACID", 2404 },
	{ "26Q", "", "", ResidueType::SACCHARIDE, false, "N-[(2E)-3-(biphenyl-4-yl)prop-2-enoyl]-beta-D-glucopyranosylamine", 2405 },
	{ "26R", "", "", ResidueType::SACCHARIDE, false, "N-{(2R)-2-methyl-3-[4-(propan-2-yl)phenyl]propanoyl}-beta-D-glucopyranosylamine", 2406 },
	{ "26S", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-(2,6-dimethoxypyrimidin-4-yl)-1-[(4-ethylphenyl)sulfonyl]-N-(4-methoxybenzyl)piperazine-2-carboxamide", 2407 },
	{ "26T", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-hydroxy-2,4-dioxopentyl dihydrogen phosphate", 2408 },
	{ "26U", "", "", ResidueType::NON_POLYMER, false, "N-(4-carbamimidoylbenzyl)-1-(4-methylpentanoyl)-L-prolinamide", 2409 },
	{ "26V", "", "", ResidueType::SACCHARIDE, false, "N-[4-(5,6,7,8-tetrahydronaphthalen-2-yl)butanoyl]-beta-D-glucopyranosylamine", 2410 },
	{ "26W", "", "", ResidueType::SACCHARIDE, false, "N-[(3R)-3-(4-ethylphenyl)butanoyl]-beta-D-glucopyranosylamine", 2411 },
	{ "26Y", "", "", ResidueType::SACCHARIDE, false, "N-{(2E)-3-[4-(propan-2-yl)phenyl]prop-2-enoyl}-beta-D-glucopyranosylamine", 2412 },
	{ "26Z", "", "", ResidueType::NON_POLYMER, false, "4-{[4-amino-5-(3-aminobenzoyl)-1,3-thiazol-2-yl]amino}benzenesulfonamide", 2413 },
	{ "270", "", "", ResidueType::NON_POLYMER, false, "2H-BENZOIMIDAZOL-2-YLAMINE", 2414 },
	{ "271", "", "", ResidueType::NON_POLYMER, false, "N-methyl-1-phenylmethanamine", 2415 },
	{ "272", "", "", ResidueType::NON_POLYMER, false, "4-(6-HYDROXY-BENZO[D]ISOXAZOL-3-YL)BENZENE-1,3-DIOL", 2416 },
	{ "273", "", "", ResidueType::NON_POLYMER, false, "cyclopentanecarboximidamide", 2417 },
	{ "274", "", "", ResidueType::NON_POLYMER, false, "(3Z)-N-(3-CHLOROPHENYL)-3-({3,5-DIMETHYL-4-[(4-METHYLPIPERAZIN-1-YL)CARBONYL]-1H-PYRROL-2-YL}METHYLENE)-N-METHYL-2-OXOINDOLINE-5-SULFONAMIDE", 2418 },
	{ "275", "", "", ResidueType::NON_POLYMER, false, "5-amino-1,2-dimethylpyridinium", 2419 },
	{ "276", "", "", ResidueType::NON_POLYMER, false, "4-[[2-[[4-chloro-3-(trifluoromethyl)phenyl]amino]-3H-benzimidazol-5-yl]oxy]-N-methyl-pyridine-2-carboxamide", 2420 },
	{ "277", "", "", ResidueType::NON_POLYMER, false, "N-(TRANS-4-{(1S,2S)-2-AMINO-3-[(3S)-3-FLUOROPYRROLIDIN-1-YL]-1-METHYL-3-OXOPROPYL}CYCLOHEXYL)-N-METHYLACETAMIDE", 2421 },
	{ "278", "", "", ResidueType::NON_POLYMER, false, "1-(1-methyl-1H-pyrrol-2-yl)methanamine", 2422 },
	{ "279", "", "", ResidueType::NON_POLYMER, false, "N-ethyl-4-{[5-(methoxycarbamoyl)-2-methylphenyl]amino}-5-methylpyrrolo[2,1-f][1,2,4]triazine-6-carboxamide", 2423 },
	{ "27A", "", "", ResidueType::NON_POLYMER, false, "(Z)-2-[2-(4-methylpiperazin-1-yl)benzyl]diazenecarbothioamide", 2424 },
	{ "27B", "", "", ResidueType::NON_POLYMER, false, "1-bromonaphthalene-2-carboxylic acid", 2425 },
	{ "27C", "", "", ResidueType::SACCHARIDE, false, "5-O-[(S)-butoxy(hydroxy)phosphoryl]-2-deoxy-2-fluoro-alpha-D-arabinofuranose", 2426 },
	{ "27D", "", "", ResidueType::NON_POLYMER, false, "1-[5-(4-amino-7-methyl-7H-pyrrolo[2,3-d]pyrimidin-5-yl)-4-fluoro-1H-indol-1-yl]-2-(6-methylpyridin-2-yl)ethanone", 2427 },
	{ "27E", "", "", ResidueType::NON_POLYMER, false, "chlordecone", 2428 },
	{ "27F", "", "", ResidueType::NON_POLYMER, false, "4-(4-OXO-1,4-DIHYDROQUINAZOLIN-2-YL)BENZONITRILE", 2429 },
	{ "27G", "", "", ResidueType::NON_POLYMER, false, "benzyl butyl benzene-1,2-dicarboxylate", 2430 },
	{ "27H", "", "", ResidueType::NON_POLYMER, false, "ferutinine", 2431 },
	{ "27J", "", "", ResidueType::NON_POLYMER, false, "alpha-zearalanol", 2432 },
	{ "27K", "", "", ResidueType::NON_POLYMER, false, "butyl 4-hydroxybenzoate", 2433 },
	{ "27L", "", "", ResidueType::NON_POLYMER, false, "4-(2,4,4-trimethylpentan-2-yl)phenol", 2434 },
	{ "27M", "", "", ResidueType::NON_POLYMER, false, "bis(2,4-dihydroxyphenyl)methanone", 2435 },
	{ "27N", "", "", ResidueType::NON_POLYMER, false, "4,4'-(2,2,2-trichloroethane-1,1-diyl)diphenol", 2436 },
	{ "27O", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(4-cyclohexylnaphthalen-1-yl)propanoic acid", 2437 },
	{ "27P", "", "", ResidueType::NON_POLYMER, false, "1-[2-(4-benzylphenoxy)ethyl]pyrrolidine", 2438 },
	{ "27Q", "", "", ResidueType::NON_POLYMER, false, "N-heptyl-N~3~-[(2R)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alaninamide", 2439 },
	{ "27R", "", "", ResidueType::NON_POLYMER, false, "[2-amino-3-(4-bromobenzoyl)phenyl]acetic acid", 2440 },
	{ "27S", "", "", ResidueType::NON_POLYMER, false, "(5R,9R,10S)-10-(acetylamino)-2-amino-4-oxo-9-(pentan-3-yloxy)-1-thia-3-azaspiro[4.5]deca-2,6-diene-7-carboxylic acid", 2441 },
	{ "27U", "", "", ResidueType::NON_POLYMER, false, "N-(4-carbamimidoylbenzyl)-1-(3-phenylpropanoyl)-L-prolinamide", 2442 },
	{ "27V", "", "", ResidueType::NON_POLYMER, false, "(2E,5S,9R,10S)-10-(acetylamino)-2-imino-4-oxo-9-(pentan-3-yloxy)-1-thia-3-azaspiro[4.5]dec-6-ene-7-carboxylic acid", 2443 },
	{ "27W", "", "", ResidueType::NON_POLYMER, false, "(3R,4S,5S)-5-amino-3,7-dimethyloctan-4-ol", 2444 },
	{ "27X", "", "", ResidueType::NON_POLYMER, false, "AMMOSAMIDE 272", 2445 },
	{ "27Y", "", "", ResidueType::NON_POLYMER, false, "5-bromo-3-hydroxypyridin-2(1H)-one", 2446 },
	{ "27Z", "", "", ResidueType::NON_POLYMER, false, "4-amino-2-[(4-sulfamoylphenyl)amino]-1,3-thiazole-5-carboxamide", 2447 },
	{ "280", "", "", ResidueType::NON_POLYMER, false, "1-methyl-1H-imidazole-5-carbaldehyde", 2448 },
	{ "281", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[3-(AMINOMETHYL)PHENYL]-3-[(S)-{(1R)-1-[(2,1,3-BENZOTHIADIAZOL-4-YLSULFONYL)AMINO]-2-METHYLPROPYL}(HYDROXY)PHOSPHORYL]PROPANOIC ACID", 2449 },
	{ "282", "", "", ResidueType::NON_POLYMER, false, "3-methoxypyridine", 2450 },
	{ "283", "", "", ResidueType::NON_POLYMER, false, "(3S)-1-{[4-(BUT-2-YN-1-YLOXY)PHENYL]SULFONYL}PYRROLIDINE-3-THIOL", 2451 },
	{ "284", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-methyl-1,4,5,6-tetrahydropyridin-2-amine", 2452 },
	{ "285", "", "", ResidueType::NON_POLYMER, false, "(2R,4R,5R)-2,4,5-trimethyl-1,3-oxazolidine", 2453 },
	{ "286", "", "", ResidueType::NON_POLYMER, false, "2-ethenyl-1-methylpyridinium", 2454 },
	{ "287", "", "", ResidueType::NON_POLYMER, false, "4-{[5-(methoxycarbamoyl)-2-methylphenyl]amino}-5-methyl-N-[(1S)-1-phenylethyl]pyrrolo[2,1-f][1,2,4]triazine-6-carboxamide", 2455 },
	{ "288", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-1H-INDOLE-2-CARBOXYLIC ACID{[CYCLOPENTYL-(2-HYDROXY-ETHYL)-CARBAMOYL]-METHYL}-AMIDE", 2456 },
	{ "289", "", "", ResidueType::SACCHARIDE, false, "D-glycero-alpha-D-manno-heptopyranose", 2457 },
	{ "28A", "", "", ResidueType::NON_POLYMER, false, "3-hydroxy-6-(3-methoxyphenyl)pyridin-2(5H)-one", 2458 },
	{ "28B", "", "", ResidueType::NON_POLYMER, false, "3-(5-hydroxy-6-oxo-1,6-dihydropyridin-3-yl)benzonitrile", 2459 },
	{ "28C", "", "", ResidueType::NON_POLYMER, false, "4-{2-[(6-methyl[1,2,4]triazolo[4,3-b]pyridazin-8-yl)amino]ethyl}phenol", 2460 },
	{ "28D", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-(1H-1,2,4-triazol-1-yl)-3-[3-(3,4,5-trimethoxyphenyl)-1H-indazol-5-yl]prop-2-enenitrile", 2461 },
	{ "28E", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-2-(3,4-dihydroxyphenyl)-3,4-dihydro-2H-chromene-3,5,7-triol", 2462 },
	{ "28F", "", "", ResidueType::NON_POLYMER, false, "1-ethyl-3-{6-(pyrimidin-5-yl)-5-[(3R)-tetrahydrofuran-3-ylmethoxy][1,3]thiazolo[5,4-b]pyridin-2-yl}urea", 2463 },
	{ "28G", "", "", ResidueType::NON_POLYMER, false, "1-{5-[2-(morpholin-4-yl)ethoxy]-6-(pyridin-3-yl)[1,3]thiazolo[5,4-b]pyridin-2-yl}-3-prop-2-en-1-ylurea", 2464 },
	{ "28H", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-3-hydroxy-2,4-dimethylpentanoic acid", 2465 },
	{ "28J", "", "", ResidueType::PEPTIDE_LINKING, false, "D-alloisoleucine", 2466 },
	{ "28K", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-{(2S)-2-[(1R)-1-hydroxyethyl]oxiran-2-yl}prop-2-enoic acid", 2467 },
	{ "28L", "", "", ResidueType::NON_POLYMER, false, "N-{4-[6-tert-butyl-5-methoxy-8-(6-methoxy-2-oxo-2,5-dihydropyridin-3-yl)quinolin-3-yl]phenyl}methanesulfonamide", 2468 },
	{ "28M", "", "", ResidueType::NON_POLYMER, false, "N-({(3S)-1-[6-tert-butyl-5-methoxy-8-(2-oxo-1,2-dihydropyridin-3-yl)quinolin-3-yl]pyrrolidin-3-yl}methyl)methanesulfonamide", 2469 },
	{ "28N", "", "", ResidueType::NON_POLYMER, false, "8-bromo-4H-[1,2,4]oxadiazolo[3,4-c][1,4]benzoxazin-1-one", 2470 },
	{ "28O", "", "", ResidueType::NON_POLYMER, false, "3-(3-tert-butyl-4-methoxyphenyl)pyridin-2(1H)-one", 2471 },
	{ "28P", "", "", ResidueType::NON_POLYMER, false, "N-[3-(4-benzylphenoxy)propyl]-N-methyl-beta-alanine", 2472 },
	{ "28Q", "", "", ResidueType::NON_POLYMER, false, "N-(4-{2-[3-tert-butyl-2-methoxy-5-(2-oxo-1,2-dihydropyridin-3-yl)phenyl]ethyl}phenyl)methanesulfonamide", 2473 },
	{ "28R", "", "", ResidueType::NON_POLYMER, false, "N-{2-[3-tert-butyl-2-methoxy-5-(2-oxo-1,2-dihydropyridin-3-yl)phenyl]-1,3-benzoxazol-5-yl}methanesulfonamide", 2474 },
	{ "28S", "", "", ResidueType::NON_POLYMER, false, "6-bromo-N-(prop-2-en-1-yl)quinazolin-4-amine", 2475 },
	{ "28T", "", "", ResidueType::NON_POLYMER, false, "1-{4-oxo-4-[(2S)-pyrrolidin-2-yl]butanoyl}-L-proline", 2476 },
	{ "28U", "", "", ResidueType::NON_POLYMER, false, "(3R,6E)-3,7,11-trimethyldodeca-1,6,10-trien-3-ol", 2477 },
	{ "28V", "", "", ResidueType::NON_POLYMER, false, "N-(4-{(E)-2-[3-tert-butyl-2-methoxy-5-(3-oxo-2,3-dihydropyridazin-4-yl)phenyl]ethenyl}phenyl)methanesulfonamide", 2478 },
	{ "28W", "", "", ResidueType::NON_POLYMER, false, "3-[(1R)-2-(benzylamino)-1-{[(2S)-1-(hydroxyamino)-4-methyl-1-oxopentan-2-yl]amino}-2-oxoethyl]-6-chloro-N-hydroxy-1H-indole-2-carboxamide", 2479 },
	{ "28X", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[(R)-{[(3R)-3,4-dihydroxybutyl]oxy}(hydroxy)phosphoryl]-L-threonine", 2480 },
	{ "28Y", "", "", ResidueType::NON_POLYMER, false, "3H-imidazo[2,1-b]purin-4(5H)-one", 2481 },
	{ "28Z", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[(2-amino-4-oxo-3,4-dihydropteridin-6-yl)methyl]amino}benzoyl)-L-gamma-glutamyl-L-glutamic acid", 2482 },
	{ "290", "", "", ResidueType::NON_POLYMER, false, "6-methyl-3,9-dihydro-2H-purin-2-one", 2483 },
	{ "291", "", "", ResidueType::SACCHARIDE, false, "prop-2-en-1-yl 7-O-carbamoyl-L-glycero-alpha-D-manno-heptopyranoside", 2484 },
	{ "292", "", "", ResidueType::NON_POLYMER, false, "N-(3-CYCLOPROPYL-1H-PYRAZOL-5-YL)-2-(2-NAPHTHYL)ACETAMIDE", 2485 },
	{ "293", "", "", ResidueType::SACCHARIDE, false, "(2S,4R,5S,6R)-6-((S)-1,2-dihydroxyethyl)tetrahydro-2H-pyran-2,4,5-triol", 2486 },
	{ "294", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-4-({4-[4-(trifluoromethyl)phenoxy]phenyl}sulfonyl)tetrahydro-2H-pyran-4-carboxamide", 2487 },
	{ "295", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-3-(4-fluorophenyl)-2,3-dihydroxypropanoic acid", 2488 },
	{ "296", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-amino-2,2-difluoro-3-(4-methoxyphenyl)propanoic acid", 2489 },
	{ "297", "", "", ResidueType::NON_POLYMER, false, "dodecane-1,12-diamine", 2490 },
	{ "298", "", "", ResidueType::NON_POLYMER, false, "N-[(1E,2Z)-but-2-en-1-ylidene]-N'-[(2E)-but-2-en-1-ylidene]butane-1,4-diamine", 2491 },
	{ "299", "", "", ResidueType::NON_POLYMER, false, "2,6-DIFORMYL-4-METHYLPHENYL DIHYDROGEN PHOSPHATE", 2492 },
	{ "29A", "", "", ResidueType::NON_POLYMER, false, "3-{5-chloro-4-[(2,4-difluorobenzyl)oxy]-6-oxopyrimidin-1(6H)-yl}-N-(2-hydroxyethyl)-4-methylbenzamide", 2493 },
	{ "29B", "", "", ResidueType::NON_POLYMER, false, "4-[4-(4-fluorophenyl)-1H-pyrazol-3-yl]pyridine", 2494 },
	{ "29C", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[(2-amino-4-oxo-3,4-dihydropteridin-6-yl)methyl]amino}benzoyl)-L-gamma-glutamyl-L-gamma-glutamyl-L-glutamic acid", 2495 },
	{ "29D", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[(2-amino-4-oxo-3,4-dihydropteridin-6-yl)methyl]amino}benzoyl)-L-gamma-glutamyl-L-gamma-glutamyl-L-gamma-glutamyl-L-glutamic acid", 2496 },
	{ "29E", "", "", ResidueType::NON_POLYMER, false, "(3S)-N-methyl-3-(naphthalen-1-yloxy)-3-(thiophen-2-yl)propan-1-amine", 2497 },
	{ "29F", "", "", ResidueType::NON_POLYMER, false, "2-(4-tert-butylphenyl)-1,4-dihydroquinazolin-4-one", 2498 },
	{ "29G", "", "", ResidueType::NON_POLYMER, false, "pyrimido[4,5-d]pyrimidine-2,4-diamine", 2499 },
	{ "29H", "", "", ResidueType::NON_POLYMER, false, "2-aminopyrimido[4,5-d]pyrimidin-4(3H)-one", 2500 },
	{ "29J", "", "", ResidueType::NON_POLYMER, false, "4-[(1R)-2-(dimethylamino)-1-(1-hydroxycyclohexyl)ethyl]phenol", 2501 },
	{ "29K", "", "", ResidueType::NON_POLYMER, false, "(7S)-12-(4-aminobutyl)-7-(2-methylpropyl)-6,7,12,13-tetrahydro-5H-indolo[2,3-a]pyrrolo[3,4-c]carbazol-5-one", 2502 },
	{ "29L", "", "", ResidueType::NON_POLYMER, false, "2-{4-[(1E)-1-(hydroxyimino)-2,3-dihydro-1H-inden-5-yl]-3-(pyridin-4-yl)-1H-pyrazol-1-yl}ethanol", 2503 },
	{ "29M", "", "", ResidueType::NON_POLYMER, false, "N-[2-{[benzyl(methyl)amino]methyl}-3-(4-fluoro-2-methoxyphenyl)-5-(propan-2-yl)-1H-indol-7-yl]methanesulfonamide", 2504 },
	{ "29N", "", "", ResidueType::NON_POLYMER, false, "1,1',1''-(1,3,5-triazinane-1,3,5-triyl)tripropan-1-one", 2505 },
	{ "29O", "", "", ResidueType::NON_POLYMER, false, "N,N',N''-benzene-1,3,5-triyltris(2-bromoacetamide)", 2506 },
	{ "29P", "", "", ResidueType::NON_POLYMER, false, "3-[(5S)-5-{[3-(2-carboxyethyl)-4-(carboxymethyl)-5-methyl-1H-pyrrol-2-yl]methyl}-4-(carboxymethyl)-2-oxo-2,5-dihydro-1H-pyrrol-3-yl]propanoic acid", 2507 },
	{ "29Q", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-(4-chlorophenyl)-2,5-dihydro-3H-imidazo[2,1-a]isoindol-5-ol", 2508 },
	{ "29R", "", "", ResidueType::NON_POLYMER, false, "2,9-N,N-DI(4-CARBOXYBUTYL)-7-N-METHYLGUANINE", 2509 },
	{ "29S", "", "", ResidueType::NON_POLYMER, false, "Bazedoxifene", 2510 },
	{ "29T", "", "", ResidueType::NON_POLYMER, false, "8-{2-[2-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)ethoxy]phenoxy}indolizine-2-carbonitrile", 2511 },
	{ "29U", "", "", ResidueType::NON_POLYMER, false, "1-[(2R)-2-aminobutanoyl]-N-(4-carbamimidoylbenzyl)-L-prolinamide", 2512 },
	{ "29V", "", "", ResidueType::NON_POLYMER, false, "(3E,6Z,8E)-3,7-dimethyl-8-[(4S)-4-methyl-3,4-dihydronaphthalen-1(2H)-ylidene]octa-3,6-dienoic acid", 2513 },
	{ "29W", "", "", ResidueType::NON_POLYMER, false, "(5-methoxy-2-{[(4-methylphenyl)sulfonyl]carbamoyl}-1H-indol-1-yl)acetic acid", 2514 },
	{ "29X", "", "", ResidueType::NON_POLYMER, false, "5-{[(3S,4R)-4-(4-fluorophenyl)piperidin-3-yl]methoxy}-1H-isoindol-1-one", 2515 },
	{ "29Y", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-2-{4-[(dimethylamino)methyl]phenyl}-N-[6-(1H-pyrazol-4-yl)-1,3-benzothiazol-2-yl]cyclopropanecarboxamide", 2516 },
	{ "29Z", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-2-{4-[(dimethylamino)methyl]phenyl}-N-[6-(pyridin-3-yl)-1,3-benzothiazol-2-yl]cyclopropanecarboxamide", 2517 },
	{ "2A0", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S)-2-aminohexyl]-L-norleucine", 2518 },
	{ "2A1", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-aminopropan-1-ol", 2519 },
	{ "2A2", "", "", ResidueType::NON_POLYMER, false, "4-[4-(3-chlorophenyl)piperazin-1-yl]-4-oxobutane-1-thiol", 2520 },
	{ "2A3", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-aminopropan-1-ol", 2521 },
	{ "2A4", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-N,N'-bis[3-({4-[3-(aminomethyl)phenyl]piperidin-1-yl}carbonyl)phenyl]-4-hydroxy-2-(2-hydroxypropan-2-yl)-5,5-dimethyl-1,3-dioxolane-2,4-dicarboxamide", 2522 },
	{ "2A5", "", "", ResidueType::NON_POLYMER, false, "", 2523 },
	{ "2A6", "", "", ResidueType::NON_POLYMER, false, "2-ANILINO-6-CYCLOHEXYLMETHOXYPURINE", 2524 },
	{ "2A7", "", "", ResidueType::NON_POLYMER, false, "5-METHOXY-BENZENE-1,3-DIOL", 2525 },
	{ "2A8", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-PHENYLAMINO-DIBENZOSUBERONE", 2526 },
	{ "2A9", "", "", ResidueType::NON_POLYMER, false, "5-(HYDROXYMETHYL)-2-METHOXYPHENOL", 2527 },
	{ "2AA", "", "", ResidueType::NON_POLYMER, false, "5'-O-{[({[2-({[5-(DIMETHYLAMINO)NAPHTHALEN-1-YL]SULFONYL}AMINO)ETHYL]OXY}PHOSPHINATO)OXY]PHOSPHINATO}CYT", 2528 },
	{ "2AB", "", "", ResidueType::NON_POLYMER, true, "4-(2-AMINOETHYL)BENZENESULFONIC ACID", 2529 },
	{ "2AC", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-P-CRESOL", 2530 },
	{ "2AD", "", "", ResidueType::PEPTIDE_LINKING, false, "2'-AMINO-2'-DEOXYADENOSINE", 2531 },
	{ "2AE", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-BENZAMIDE", 2532 },
	{ "2AF", "", "", ResidueType::NON_POLYMER, false, "2-AMINOPHENOL", 2533 },
	{ "2AG", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-aminopent-4-enoic acid", 2534 },
	{ "2AH", "", "", ResidueType::NON_POLYMER, false, "", 2535 },
	{ "2AI", "", "", ResidueType::NON_POLYMER, false, "1H-imidazol-2-amine", 2536 },
	{ "2AJ", "", "", ResidueType::NON_POLYMER, false, "[(1,1,3,3-tetramethyldisiloxane-1,3-diyl)di-1-benzofuran-3,5-diyl]bis({4-[3-(aminomethyl)phenyl]piperidin-1-yl}methanone)", 2537 },
	{ "2AK", "", "", ResidueType::NON_POLYMER, false, "7-bromo-5-methyl-1H-indole-2,3-dione", 2538 },
	{ "2AL", "", "", ResidueType::NON_POLYMER, false, "1-(2,5-DIOXO-2,5-DIHYDRO-1H-IMIDAZOL-4-YL)UREA", 2539 },
	{ "2AM", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE-2'-MONOPHOSPHATE", 2540 },
	{ "2AN", "", "", ResidueType::NON_POLYMER, false, "8-ANILINO-1-NAPHTHALENE SULFONATE", 2541 },
	{ "2AO", "", "", ResidueType::PEPTIDE_LINKING, true, "(2S)-2-AMINOHEXAN-1-OL", 2542 },
	{ "2AP", "", "", ResidueType::NON_POLYMER, false, "2-AMINOPYRIDINE", 2543 },
	{ "2AQ", "", "", ResidueType::NON_POLYMER, false, "QUINOLIN-2-AMINE", 2544 },
	{ "2AR", "", "", ResidueType::DNA_LINKING, false, "2'-DEOXYARISTEROMYCIN-5'-PHOSPHATE", 2545 },
	{ "2AS", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,3S)-3-methyl-aspartic acid", 2546 },
	{ "2AT", "", "", ResidueType::RNA_LINKING, false, "", 2547 },
	{ "2AU", "", "", ResidueType::RNA_LINKING, false, "2'-AMINOURIDINE", 2548 },
	{ "2AV", "", "", ResidueType::NON_POLYMER, false, "[(1,1,3,3-tetramethyldisiloxane-1,3-diyl)di-1-benzothiene-4,2-diyl]bis({4-[3-(aminomethyl)phenyl]piperidin-1-yl}methanone)", 2549 },
	{ "2AW", "", "", ResidueType::NON_POLYMER, false, "6-({(2R,3S)-3-carboxy-2-methyl-3-[(3-oxopropyl)amino]-2-sulfinopropyl}oxy)-6-oxohexanoic acid", 2550 },
	{ "2AX", "", "", ResidueType::NON_POLYMER, false, "(3R,4R,5aR,11aR)-3-methyl-6,11-dioxo-2,3,4,5,5a,6,11,11a-octahydrothiepino[3,2-g]isoquinoline-4-carboxylic acid", 2551 },
	{ "2AY", "", "", ResidueType::NON_POLYMER, false, "N-{3-[3-tert-butyl-2-methoxy-5-(2-oxo-1,2-dihydropyridin-3-yl)phenyl]-1-oxo-1H-isochromen-7-yl}methanesulfonamide", 2552 },
	{ "2AZ", "", "", ResidueType::NON_POLYMER, false, "N-(3-AMINOPROPYL)-N-[(R)-(3-BENZYL-5-CHLORO-4-OXO-3,4-DIHYDROPYRROLO[2,1-F][1,2,4]TRIAZIN-2-YL)(CYCLOPROPYL)METHYL]-4-METHYLBENZAMIDE", 2553 },
	{ "2B0", "", "", ResidueType::NON_POLYMER, false, "[2-(4-formyl-5-hydroxy-6-methylpyridin-3-yl)ethyl]phosphonic acid", 2554 },
	{ "2B1", "", "", ResidueType::NON_POLYMER, false, "(4-{[(E)-1,3-benzothiazol-2-yldiazenyl]methyl}-5-hydroxy-6-methylpyridin-3-yl)methyl dihydrogen phosphate", 2555 },
	{ "2B2", "", "", ResidueType::NON_POLYMER, false, "4-(2-methyl-1,3-thiazol-4-yl)-N-(3,3,3-trifluoropropyl)benzamide", 2556 },
	{ "2B3", "", "", ResidueType::NON_POLYMER, false, "4-(2-{[(propylsulfonyl)amino]methyl}-1,3-thiazol-4-yl)-N-(3,3,3-trifluoropropyl)benzamide", 2557 },
	{ "2B4", "", "", ResidueType::NON_POLYMER, false, "2-(4-BROMANYLPHENOXY)PROPANEDIOIC ACID", 2558 },
	{ "2B5", "", "", ResidueType::NON_POLYMER, false, "2-(2-((benzofuran-2-carboxamido)methyl)-5-methoxy-1H-indol-1-yl)acetic acid", 2559 },
	{ "2B6", "", "", ResidueType::NON_POLYMER, false, "(4-{[(E)-(1,3-benzothiazol-2-ylcarbonyl)diazenyl]methyl}-5-hydroxy-6-methylpyridin-3-yl)methyl dihydrogen phosphate", 2560 },
	{ "2B7", "", "", ResidueType::NON_POLYMER, false, "1-[4-(3-methylbutyl)-5-oxo-6-(pyridin-3-yl)-4,5-dihydro[1,3]thiazolo[5,4-b]pyridin-2-yl]-3-prop-2-en-1-ylurea", 2561 },
	{ "2B8", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-(3-aminopropyl)-1-propyl-4,5,6,7-tetrahydro-1H-benzimidazole-5-carboxylic acid", 2562 },
	{ "2B9", "", "", ResidueType::NON_POLYMER, false, "[(4Z)-5-hydroxy-6-methyl-4-{[(E)-(pyridin-4-ylcarbonyl)diazenyl]methylidene}-1,4-dihydropyridin-3-yl]methyl dihydrogen phosphate", 2563 },
	{ "2BA", "", "", ResidueType::NON_POLYMER, false, "", 2564 },
	{ "2BB", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-N~4~-[(1S)-1-(dimethylcarbamoyl)-2,2-dimethylpropyl]-N~1~,2-dihydroxy-3-(2-methylpropyl)butanediamide", 2565 },
	{ "2BC", "", "", ResidueType::NON_POLYMER, false, "N'-[(1E)-(3,5-dibromo-2,4-dihydroxyphenyl)methylidene]naphthalene-2-carbohydrazide", 2566 },
	{ "2BD", "", "", ResidueType::DNA_LINKING, false, "", 2567 },
	{ "2BE", "", "", ResidueType::NON_POLYMER, false, "4-chloro-N'-[(1E)-(3,5-dibromo-2,4-dihydroxyphenyl)methylidene]benzohydrazide", 2568 },
	{ "2BF", "", "", ResidueType::NON_POLYMER, false, "ALPHA-BENZYL-AMINOBENZYL-PHOSPHONIC ACID", 2569 },
	{ "2BG", "", "", ResidueType::NON_POLYMER, false, "1-(1,3-benzothiazol-2-yl)methanamine", 2570 },
	{ "2BH", "", "", ResidueType::NON_POLYMER, false, "[(1E,5S)-5-AMINO-5-CARBOXYPENT-1-ENYL](TRIHYDROXY)BORATE(1-)", 2571 },
	{ "2BI", "", "", ResidueType::NON_POLYMER, false, "2,4,5-trichloro-N-(5-methyl-1,2-oxazol-3-yl)benzenesulfonamide", 2572 },
	{ "2BJ", "", "", ResidueType::NON_POLYMER, false, "2-{[3-(3,4-dimethylphenoxy)phenyl]carbamoyl}-4-nitrobenzoic acid", 2573 },
	{ "2BK", "", "", ResidueType::NON_POLYMER, false, "N-({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methyl)-L-allothreonine", 2574 },
	{ "2BL", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-ethyl-N-[(4-methylphenyl)sulfonyl]-L-aspartic acid", 2575 },
	{ "2BM", "", "", ResidueType::NON_POLYMER, false, "DIBROMOMETHANE", 2576 },
	{ "2BN", "", "", ResidueType::NON_POLYMER, false, "(1R,4S)-2-AZABORNANE", 2577 },
	{ "2BO", "", "", ResidueType::NON_POLYMER, false, "N-({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methyl)-L-threonine", 2578 },
	{ "2BP", "", "", ResidueType::NON_POLYMER, false, "9H-purin-2-amine", 2579 },
	{ "2BQ", "", "", ResidueType::NON_POLYMER, false, "2-hydroxysaclofen ", 2580 },
	{ "2BR", "", "", ResidueType::NON_POLYMER, false, "2-BROMOPHENOL", 2581 },
	{ "2BS", "", "", ResidueType::NON_POLYMER, false, "ethyl 2-amino-1,3-benzothiazole-6-carboxylate", 2582 },
	{ "2BT", "", "", ResidueType::RNA_LINKING, false, "2'-O-BUTYL-THYMIDINE", 2583 },
	{ "2BU", "", "", ResidueType::DNA_LINKING, false, "", 2584 },
	{ "2BV", "", "", ResidueType::NON_POLYMER, false, "(R)-(cyclohexylmethyl)[(2S)-3-{[(1S)-1-(3,4-dichlorophenyl)ethyl]amino}-2-hydroxypropyl]phosphinic acid", 2585 },
	{ "2BW", "", "", ResidueType::NON_POLYMER, false, "(S)-(3-aminopropyl)(diethoxymethyl)phosphinic acid", 2586 },
	{ "2BX", "", "", ResidueType::NON_POLYMER, false, "[(2S)-5,5-dimethylmorpholin-2-yl]acetic acid", 2587 },
	{ "2BY", "", "", ResidueType::NON_POLYMER, false, "phaclofen", 2588 },
	{ "2BZ", "", "", ResidueType::NON_POLYMER, false, "5-(2-chlorophenyl)-3-methyl-7-nitropyrazolo[3,4-b][1,4]benzodiazepine", 2589 },
	{ "2C0", "", "", ResidueType::NON_POLYMER, false, "baclofen", 2590 },
	{ "2C1", "", "", ResidueType::NON_POLYMER, false, "N-({4-bromo-6-[(methylcarbamoyl)amino]pyridin-2-yl}carbamoyl)-5-(2-methoxyethyl)-4-methylthiophene-2-sulfonamide", 2591 },
	{ "2C2", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-HYDROXY-2H-CHROMENE-2-CARBOXYLIC ACID", 2592 },
	{ "2C3", "", "", ResidueType::NON_POLYMER, false, "N-(5-{[(1R)-3-amino-1-(3-chlorophenyl)propyl]carbamoyl}-2-chlorophenyl)-2-methoxy-7-oxo-7,8-dihydropyrido[2,3-d]pyrimidine-6-carboxamide", 2593 },
	{ "2C4", "", "", ResidueType::NON_POLYMER, false, "methyl 4-chloro-3-{[(2-methoxy-7-oxo-7,8-dihydropyrido[2,3-d]pyrimidin-6-yl)carbonyl]amino}benzoate", 2594 },
	{ "2C5", "", "", ResidueType::NON_POLYMER, false, "2-CHLORO-5-(3-CHLORO-PHENYL)-6-[(4-CYANO-PHENYL)-(3-METHYL-3H-IMIDAZOL-4-YL)- METHOXYMETHYL]-NICOTINONITRILE", 2595 },
	{ "2C6", "", "", ResidueType::NON_POLYMER, false, "3-[(4-oxo-3,4-dihydroquinazolin-2-yl)sulfanyl]-N-[trans-4-(5-phenyl-1,3,4-oxadiazol-2-yl)cyclohexyl]propanamide", 2596 },
	{ "2C7", "", "", ResidueType::NON_POLYMER, false, "2-(cycloheptylmethyl)-1,1-dioxido-1-benzothiophen-6-yl sulfamate", 2597 },
	{ "2C8", "", "", ResidueType::NON_POLYMER, false, "3-(4-oxo-3,4-dihydroquinazolin-2-yl)-N-[4-(5-phenyl-1,3,4-oxadiazol-2-yl)phenyl]propanamide", 2598 },
	{ "2C9", "", "", ResidueType::NON_POLYMER, false, "3-methylbenzene-1,2-diamine", 2599 },
	{ "2CA", "", "", ResidueType::NON_POLYMER, false, "BENZOFURAN-2-CARBOXYLIC ACID {(S)-3-METHYL-1-[3-OXO-1-(PYRIDIN-2-YLSULFONYL)AZEPAN-4-YLCARBAMOYL]BUTYL}AMIDE", 2600 },
	{ "2CB", "", "", ResidueType::NON_POLYMER, false, "6-{[2-(4-METHYLPIPERAZIN-1-YL)ETHYL]AMINO}-N-(1,3,5-TRIMETHYL-1H-PYRAZOL-4-YL)PYRIDINE-3-SULFONAMIDE", 2601 },
	{ "2CC", "", "", ResidueType::NON_POLYMER, false, "3,4-bis(7-chloro-1H-indol-3-yl)-1H-pyrrole-2,5-dicarboxylic acid", 2602 },
	{ "2CD", "", "", ResidueType::NON_POLYMER, false, "3,5-DICHLORO-3'-[(DIETHYLAMINO)METHYL]-N-(1,3,5-TRIMETHYL-1H-PYRAZOL-4-YL)BIPHENYL-4-SULFONAMIDE", 2603 },
	{ "2CE", "", "", ResidueType::NON_POLYMER, false, "N-[2-(2-CARBAMOYLMETHOXY-ETHOXY)-ETHYL]-2-[2-(4-CHLORO-PHENYLSULFANYL)-ACETYLAMINO]-3-(4-GUANIDINO-PHENYL)-PROPIONAMIDE", 2604 },
	{ "2CF", "", "", ResidueType::NON_POLYMER, false, "(2E,6E)-2-fluoro-3,7,11-trimethyldodeca-2,6,10-trien-1-yl trihydrogen diphosphate", 2605 },
	{ "2CG", "", "", ResidueType::NON_POLYMER, false, "(1R,2R)-3-[(S)-amino(carboxy)methyl]cyclopropane-1,2-dicarboxylic acid", 2606 },
	{ "2CH", "", "", ResidueType::NON_POLYMER, false, "2-CHLOROPHENOL", 2607 },
	{ "2CJ", "", "", ResidueType::NON_POLYMER, false, "(1-{2-[4-(diphenylmethyl)piperazin-1-yl]-2-oxoethyl}cyclopentyl)acetic acid", 2608 },
	{ "2CK", "", "", ResidueType::NON_POLYMER, false, "1,2,3,4-tetrahydroisoquinoline", 2609 },
	{ "2CL", "", "", ResidueType::NON_POLYMER, false, "(2,6-DICHLOROPHENYL)ACETIC ACID", 2610 },
	{ "2CM", "", "", ResidueType::NON_POLYMER, false, "2-CHLORO-6-METHYL-ANILINE", 2611 },
	{ "2CN", "", "", ResidueType::NON_POLYMER, false, "5-bromo-2-{[3-(octyloxy)benzyl]sulfanyl}benzoic acid", 2612 },
	{ "2CO", "", "", ResidueType::PEPTIDE_LINKING, false, "S-HYDROPEROXYCYSTEINE", 2613 },
	{ "2CP", "", "", ResidueType::NON_POLYMER, false, "2-CARBOXYPROPYL-COENZYME A", 2614 },
	{ "2CQ", "", "", ResidueType::NON_POLYMER, false, "4-chloro-5-methylbenzene-1,2-diamine", 2615 },
	{ "2CR", "", "", ResidueType::NON_POLYMER, false, "(1R,2R)-2-[(2S,4E,6E,8R,9S,11R,13S,15S,16S)-7-cyano-8,16-dihydroxy-9,11,13,15-tetramethyl-18-oxooxacyclooctadeca-4,6-dien-2-yl]cyclopentanecarboxylic acid", 2616 },
	{ "2CS", "", "", ResidueType::NON_POLYMER, false, "3-[3-(TERT-BUTYLTHIO)-1-(4-CHLOROBENZYL)-5-(QUINOLIN-2-YLMETHOXY)-1H-INDOL-2-YL]-2,2-DIMETHYLPROPANOIC ACID", 2617 },
	{ "2CT", "", "", ResidueType::NON_POLYMER, false, "(2-{2-[(2,5-dimethoxyphenyl)amino]-2-oxoethoxy}phenyl)phosphonic acid", 2618 },
	{ "2CU", "", "", ResidueType::NON_POLYMER, false, "3-amino-5-chloro-N-cyclopropyl-4-methyl-6-[2-(4-methylpiperazin-1-yl)-2-oxoethoxy]thieno[2,3-b]pyridine-2-carboxamide", 2619 },
	{ "2CV", "", "", ResidueType::NON_POLYMER, false, "HEGA-10", 2620 },
	{ "2CW", "", "", ResidueType::NON_POLYMER, false, "4-[4-(4-aminophenyl)buta-1,3-diyn-1-yl]-N-[(2S,3R)-3-hydroxy-2-methyl-1-nitroso-1-oxobutan-2-yl]benzamide", 2621 },
	{ "2CX", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-3-(9H-carbazol-9-yl)-2-hydroxypropyl]-N-(furan-2-ylmethyl)methanesulfonamide", 2622 },
	{ "2CY", "", "", ResidueType::NON_POLYMER, false, "5-[3-(3-fluorophenoxy)propoxy]quinazoline-2,4-diamine", 2623 },
	{ "2CZ", "", "", ResidueType::NON_POLYMER, false, "N-[(3S,4R,5R,6S)-4,5,6-trihydroxyazepan-3-yl]acetamide", 2624 },
	{ "2D0", "", "", ResidueType::NON_POLYMER, false, "4-chloro-1,3-benzothiazol-2-amine", 2625 },
	{ "2D1", "", "", ResidueType::NON_POLYMER, false, "N-(3-methylbutyl)-4-(2-methyl-1,3-thiazol-4-yl)benzenesulfonamide", 2626 },
	{ "2D2", "", "", ResidueType::NON_POLYMER, false, "2-methyl-5-phenylfuran-3-carboxylic acid", 2627 },
	{ "2D3", "", "", ResidueType::NON_POLYMER, false, "METHYL 3-ISOXAZOL-5-YL-5-METHYL-1H-PYRAZOLE-4-CARBOXYLATE", 2628 },
	{ "2D4", "", "", ResidueType::NON_POLYMER, false, "N-[4-HYDROXY-3-(2-HYDROXYNAPHTHALEN-1-YL)PHENYL]THIOPHENE-2-SULFONAMIDE", 2629 },
	{ "2D5", "", "", ResidueType::NON_POLYMER, false, "5'-S-(3-{[(3R)-1,2,3,4-tetrahydroisoquinolin-3-ylcarbonyl]amino}propyl)-5'-thioadenosine", 2630 },
	{ "2D6", "", "", ResidueType::NON_POLYMER, false, "N-[trans-4-(4-cyanophenoxy)cyclohexyl]-3-[(4-oxo-3,4-dihydroquinazolin-2-yl)sulfanyl]propanamide", 2631 },
	{ "2D7", "", "", ResidueType::NON_POLYMER, false, "N-(4-ACETYLPHENYL)-5-(5-CHLORO-2,4-DIHYDROXYPHENYL)-1H-PYRAZOLE-4-CARBOXAMIDE", 2632 },
	{ "2D8", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-[(R)-[(1S)-1-aminoethyl](hydroxy)phosphoryl]-2-methylpropanoic acid", 2633 },
	{ "2D9", "", "", ResidueType::NON_POLYMER, false, "4-CHLORO-6-(4-{4-[4-(METHYLSULFONYL)BENZYL]PIPERAZIN-1-YL}-1H-PYRAZOL-5-YL)BENZENE-1,3-DIOL", 2634 },
	{ "2DA", "", "", ResidueType::DNA_LINKING, false, "2',3'-DIDEOXYADENOSINE-5'-MONOPHOSPHATE", 2635 },
	{ "2DB", "", "", ResidueType::NON_POLYMER, false, "(S)-(2,3-DIHYDROXYPROPOXY)TRIHYDROXYBORATE", 2636 },
	{ "2DC", "", "", ResidueType::NON_POLYMER, false, "(3alpha,8alpha,22R)-cholest-5-ene-3,20,22-triol", 2637 },
	{ "2DD", "", "", ResidueType::NON_POLYMER, false, "3-(5-CHLORO-2,4-DIHYDROXY-PHENYL)-1H-PYRAZOLE-4-CARBOXYLIC ACID 4-SULFAMOYL-BENZYLAMIDE", 2638 },
	{ "2DE", "", "", ResidueType::NON_POLYMER, false, "(2E,6E)-7,11-dimethyldodeca-2,6,10-trien-1-yl trihydrogen diphosphate", 2639 },
	{ "2DF", "", "", ResidueType::DNA_LINKING, false, "N-(2-DEOXY-BETA-D-ERYTHO-PENTOFURANOSYL-5-PHOSPHATE) FORMAMIDE", 2640 },
	{ "2DG", "", "", ResidueType::SACCHARIDE, false, "2-DEOXY-BETA-D-GALACTOSE", 2641 },
	{ "2DH", "", "", ResidueType::NON_POLYMER, false, "[5-methoxy-2-({[4-(trifluoromethyl)phenyl]sulfonyl}carbamoyl)-1H-indol-1-yl]acetic acid", 2642 },
	{ "2DI", "", "", ResidueType::NON_POLYMER, false, "9-[(2R,5R)-5-(HYDROXYMETHYL)TETRAHYDROFURAN-2-YL]-1,9-DIHYDRO-6H-PURIN-6-ONE", 2643 },
	{ "2DJ", "", "", ResidueType::NON_POLYMER, false, "(2-{[(4-tert-butylphenyl)sulfonyl]carbamoyl}-5-methoxy-1H-indol-1-yl)acetic acid", 2644 },
	{ "2DK", "", "", ResidueType::NON_POLYMER, false, "{5-methoxy-2-[(morpholin-4-ylsulfonyl)carbamoyl]-1H-indol-1-yl}acetic acid", 2645 },
	{ "2DL", "", "", ResidueType::NON_POLYMER, false, "2-METHYL-4-DIETHYLAMIDE-PHENOL", 2646 },
	{ "2DM", "", "", ResidueType::DNA_LINKING, false, "2-HYDROXY-3-(PYREN-1-YLMETHOXY)PROPYL DIHYDROGEN PHOSPHATE", 2647 },
	{ "2DN", "", "", ResidueType::NON_POLYMER, false, "[2-({[5-(acetylamino)-1,3,4-thiadiazol-2-yl]sulfonyl}carbamoyl)-5-methoxy-1H-indol-1-yl]acetic acid", 2648 },
	{ "2DO", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-AMINOHEXANE-1,1-DIOL", 2649 },
	{ "2DP", "", "", ResidueType::NON_POLYMER, false, "3-[[3-METHYLPHOSPHONO-GLYCEROLYL]PHOSPHONYL]-[1,2-DI[2,6,10,14-TETRAMETHYL-HEXADECAN-16-YL]GLYCEROL", 2650 },
	{ "2DQ", "", "", ResidueType::NON_POLYMER, false, "(5-methoxy-2-{[(4-methoxyphenyl)sulfonyl]carbamoyl}-1H-indol-1-yl)acetic acid", 2651 },
	{ "2DR", "", "", ResidueType::NON_POLYMER, false, "2-deoxy-beta-D-erythro-pentofuranose", 2652 },
	{ "2DS", "", "", ResidueType::NON_POLYMER, false, "N-[(2,3-dihydroxyphenyl)carbonyl]-O-[(2R)-2-{[(2,3-dihydroxyphenyl)carbonyl]amino}-3-hydroxypropanoyl]-L-serine", 2653 },
	{ "2DT", "", "", ResidueType::DNA_LINKING, false, "3'-DEOXYTHYMIDINE-5'-MONOPHOSPHATE", 2654 },
	{ "2DU", "", "", ResidueType::NON_POLYMER, false, "{2-[(benzylsulfonyl)carbamoyl]-5-methoxy-1H-indol-1-yl}acetic acid", 2655 },
	{ "2DV", "", "", ResidueType::NON_POLYMER, false, "[5-methoxy-2-({[4-(trifluoromethyl)benzyl]sulfonyl}carbamoyl)-1H-indol-1-yl]acetic acid", 2656 },
	{ "2DW", "", "", ResidueType::NON_POLYMER, false, "{5-methoxy-2-[(naphthalen-2-ylsulfonyl)carbamoyl]-1H-indol-1-yl}acetic acid", 2657 },
	{ "2DX", "", "", ResidueType::NON_POLYMER, false, "(3S,8aR)-2-[(2S)-2-cyclohexyl-2-{[(2S)-2-(methylamino)butanoyl]amino}acetyl]-N-[(4R)-3,4-dihydro-2H-chromen-4-yl]octahydropyrrolo[1,2-a]pyrazine-3-carboxamide", 2658 },
	{ "2DY", "", "", ResidueType::NON_POLYMER, false, "(3S,10aS)-2-[(2S)-2-cyclohexyl-2-{[(2S)-2-(methylamino)butanoyl]amino}acetyl]-N-[(4R)-3,4-dihydro-2H-chromen-4-yl]-1,2,3,4,10,10a-hexahydropyrazino[1,2-a]indole-3-carboxamide", 2659 },
	{ "2DZ", "", "", ResidueType::NON_POLYMER, false, "[5-methoxy-2-({[2-nitro-4-(trifluoromethyl)phenyl]sulfonyl}carbamoyl)-1H-indol-1-yl]acetic acid", 2660 },
	{ "2E1", "", "", ResidueType::NON_POLYMER, false, "5-(5-CHLORO-2,4-DIHYDROXYPHENYL)-N-ETHYL-4-PIPERAZIN-1-YL-1H-PYRAZOLE-3-CARBOXAMIDE", 2661 },
	{ "2E2", "", "", ResidueType::NON_POLYMER, false, "1-{3,5-O-[(4-carboxyphenyl)(phosphono)methylidene]-2-deoxy-beta-D-threo-pentofuranosyl}-5-methylpyrimidine-2,4(1H,3H)-dione", 2662 },
	{ "2E3", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-[4-hydroxy-3-(3,5,5,8,8-pentamethyl-5,6,7,8-tetrahydronaphthalen-2-yl)phenyl]prop-2-enoic acid", 2663 },
	{ "2E4", "", "", ResidueType::NON_POLYMER, false, "pyridin-3-ylmethyl trihydrogen diphosphate", 2664 },
	{ "2E5", "", "", ResidueType::NON_POLYMER, false, "pyridin-4-ylmethyl trihydrogen diphosphate", 2665 },
	{ "2E6", "", "", ResidueType::NON_POLYMER, false, "pyridin-2-ylmethyl trihydrogen diphosphate", 2666 },
	{ "2E7", "", "", ResidueType::NON_POLYMER, false, "(6-chloropyridin-3-yl)methyl trihydrogen diphosphate", 2667 },
	{ "2E8", "", "", ResidueType::NON_POLYMER, false, "3-(6-ethoxynaphthalen-2-yl)-1-[(1-methylpiperidin-4-yl)methyl]-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 2668 },
	{ "2E9", "", "", ResidueType::NON_POLYMER, false, "1-(3-{[5-chloro-2-hydroxy-3-(prop-2-en-1-yl)benzyl]amino}propyl)-3-thiophen-3-ylurea", 2669 },
	{ "2EA", "", "", ResidueType::NON_POLYMER, false, "(1S)-2-(1H-INDOL-3-YL)-1-{[(5-ISOQUINOLIN-6-YLPYRIDIN-3-YL)OXY]METHYL}ETHYLAMINE", 2670 },
	{ "2EB", "", "", ResidueType::NON_POLYMER, false, "1-{3-[(5-chloro-2-hydroxy-3-iodobenzyl)amino]propyl}-3-thiophen-3-ylurea", 2671 },
	{ "2EC", "", "", ResidueType::NON_POLYMER, false, "9-ETHYL-9H-PURIN-6-YLAMINE", 2672 },
	{ "2ED", "", "", ResidueType::NON_POLYMER, false, "N-[(1R,2R,3E)-2-hydroxy-1-(hydroxymethyl)heptadec-3-en-1-yl]acetamide", 2673 },
	{ "2EE", "", "", ResidueType::NON_POLYMER, false, "1-(3-{[2-(benzyloxy)-5-chloro-3-(prop-2-en-1-yl)benzyl]amino}propyl)-3-thiophen-3-ylurea", 2674 },
	{ "2EF", "", "", ResidueType::NON_POLYMER, false, "1-{3-[(5-chloro-2-ethoxy-3-iodobenzyl)amino]propyl}-3-thiophen-3-ylurea", 2675 },
	{ "2EG", "", "", ResidueType::DNA_LINKING, false, "", 2676 },
	{ "2EH", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-ethylhexan-1-ol", 2677 },
	{ "2EJ", "", "", ResidueType::NON_POLYMER, false, "1-{3-[(3-ethynylbenzyl)amino]propyl}-3-thiophen-3-ylurea", 2678 },
	{ "2EK", "", "", ResidueType::NON_POLYMER, false, "1-(3-{[(2,5-dichlorothiophen-3-yl)methyl]amino}propyl)-3-thiophen-3-ylurea", 2679 },
	{ "2EL", "", "", ResidueType::NON_POLYMER, false, "(3R,4S)-1-[(4-amino-5H-pyrrolo[3,2-d]pyrimidin-7-yl)methyl]-4-({[2-(2-hydroxyethoxy)ethyl]sulfanyl}methyl)pyrrolidin-3-ol", 2680 },
	{ "2EM", "", "", ResidueType::NON_POLYMER, false, "1-(3-{[(2-methyl-1-benzothiophen-3-yl)methyl]amino}propyl)-3-thiophen-3-ylurea", 2681 },
	{ "2EN", "", "", ResidueType::NON_POLYMER, false, "1-(3-{[5-chloro-3-(prop-2-en-1-yl)-2-(prop-2-en-1-yloxy)benzyl]amino}propyl)-3-thiophen-3-ylurea", 2682 },
	{ "2EO", "", "", ResidueType::NON_POLYMER, false, "2-(3-methyl-4-oxo-3,4-dihydrophthalazin-1-yl)-N-(6,7,8,9-tetrahydrodibenzo[b,d]furan-3-yl)acetamide", 2683 },
	{ "2EP", "", "", ResidueType::NON_POLYMER, true, "2-ETHYLPIPERIDINE", 2684 },
	{ "2EQ", "", "", ResidueType::NON_POLYMER, false, "5-(5-chloro-2,4-dihydroxyphenyl)-N-ethyl-4-[4-(morpholin-4-ylmethyl)phenyl]isoxazole-3-carboxamide", 2685 },
	{ "2ER", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-5-[4-AMINOCARBONYL-5-[[(Z)-[(3R,4R)-3,4-DIHYDROXY-2-OXO-5-PHOSPHONOOXY-PENTYL]IMINOMETHYL]AMINO]IMIDAZOL-1-YL]-3,4-DIHYDROXY-OXOLAN-2-YL]METHYL DIHYDROGEN PHOSPHATE", 2686 },
	{ "2ET", "", "", ResidueType::NON_POLYMER, false, "N-[(7-hydroxy-4-methyl-2-oxo-2H-chromen-8-yl)methyl]-L-leucine", 2687 },
	{ "2EU", "", "", ResidueType::NON_POLYMER, false, "1,1,1,3,3,3-hexafluoro-2-{4-[4-(thiophen-2-ylsulfonyl)piperazin-1-yl]phenyl}propan-2-ol", 2688 },
	{ "2EV", "", "", ResidueType::NON_POLYMER, false, "(3S,4S)-1-[(2-chlorophenyl)sulfonyl]-N-[(2E)-2-iminoethyl]-4-(morpholin-4-ylcarbonyl)pyrrolidine-3-carboxamide", 2689 },
	{ "2EW", "", "", ResidueType::NON_POLYMER, false, "(3S,4S)-N-[(2E)-2-iminoethyl]-4-(morpholin-4-ylcarbonyl)-1-(phenylsulfonyl)pyrrolidine-3-carboxamide", 2690 },
	{ "2EX", "", "", ResidueType::NON_POLYMER, false, "(4R,4a'S,10a'S)-2-amino-8'-(2-fluoropyridin-3-yl)-1-methyl-3',4',4a',10a'-tetrahydro-1'H-spiro[imidazole-4,10'-pyrano[4,3-b]chromen]-5(1H)-one", 2691 },
	{ "2EY", "", "", ResidueType::NON_POLYMER, false, "4-{(1R)-1-[1-(4-chlorophenyl)-1H-1,2,3-triazol-4-yl]ethoxy}quinolin-2(1H)-one", 2692 },
	{ "2EZ", "", "", ResidueType::NON_POLYMER, false, "2-ETHYLIMIDAZOLE", 2693 },
	{ "2F0", "", "", ResidueType::NON_POLYMER, false, "2-chloro-5-{[(2-{3-[(1E)-N-hydroxyethanimidoyl]phenyl}propan-2-yl)carbamoyl]amino}benzamide", 2694 },
	{ "2F1", "", "", ResidueType::NON_POLYMER, false, "1-(4-bromophenyl)-3-{2-[3-(prop-1-en-2-yl)phenyl]propan-2-yl}urea", 2695 },
	{ "2F2", "", "", ResidueType::NON_POLYMER, false, "dimethyl ether", 2696 },
	{ "2F3", "", "", ResidueType::NON_POLYMER, false, "1-[(2-chloroquinolin-3-yl)methyl]-6-fluoro-5-methyl-3-(2-oxo-1,2-dihydropyridin-3-yl)-1H-indole-2-carboxylic acid", 2697 },
	{ "2F4", "", "", ResidueType::NON_POLYMER, false, "2-{4-[(6,7-difluoro-1H-benzimidazol-2-yl)amino]phenoxy}-N-methyl-3,4'-bipyridin-2'-amine", 2698 },
	{ "2F5", "", "", ResidueType::NON_POLYMER, false, "1H-benzimidazol-2-yl(4-{[3-(morpholin-4-yl)pyrazin-2-yl]oxy}phenyl)methanone", 2699 },
	{ "2F6", "", "", ResidueType::NON_POLYMER, false, "1',3'-dimethyl-1H,1'H-3,4'-bipyrazole", 2700 },
	{ "2F7", "", "", ResidueType::NON_POLYMER, false, "N-(4-fluorobenzoyl)-L-alloisoleucyl-O-[(S)-{[(1S)-1,3-dicarboxypropyl]amino}(hydroxy)phosphoryl]-L-serine", 2701 },
	{ "2F8", "", "", ResidueType::SACCHARIDE, false, "methyl 2-(acetylamino)-2-deoxy-alpha-D-glucopyranoside", 2702 },
	{ "2F9", "", "", ResidueType::NON_POLYMER, false, "N-(4-fluorobenzoyl)-L-valyl-O-[(S)-{[(1S)-1,3-dicarboxypropyl]amino}(hydroxy)phosphoryl]-L-serine", 2703 },
	{ "2FA", "", "", ResidueType::NON_POLYMER, false, "2-(6-AMINO-2-FLUORO-PURIN-9-YL)-5-HYDROXYMETHYL-TETRAHYDRO-FURAN-3,4-DIOL", 2704 },
	{ "2FB", "", "", ResidueType::NON_POLYMER, false, "(6R)-6-(4-methoxyphenyl)-2-methyl-6-(3-pyrimidin-5-ylphenyl)pyrrolo[3,4-d][1,3]thiazol-4-amine", 2705 },
	{ "2FC", "", "", ResidueType::NON_POLYMER, false, "N-[(8R)-8-(benzoylamino)-5,6,7,8-tetrahydronaphthalen-2-yl]-4-methylpiperazine-1-carboxamide", 2706 },
	{ "2FD", "", "", ResidueType::NON_POLYMER, false, "5-(6-AMINO-2-FLUORO-PURIN-9-YL)-2-HYDROXYMETHYL-TETRAHYDRO-FURAN-3-OL", 2707 },
	{ "2FE", "", "", ResidueType::DNA_LINKING, false, "2'-fluoro-2'-deoxy-1,N6-ethenoadenine", 2708 },
	{ "2FF", "", "", ResidueType::NON_POLYMER, false, "(5-(aminomethyl)-2H-spiro[benzofuran-3,4'-piperidine]-1'-yl)(5-(phenylethynyl)furan-2-yl)methanone", 2709 },
	{ "2FG", "", "", ResidueType::SACCHARIDE, false, "2-FLUORO-2-DEOXY-BETA-D-GALACTOPYRANOSE", 2710 },
	{ "2FH", "", "", ResidueType::NON_POLYMER, false, "2-PHENYLHEME", 2711 },
	{ "2FI", "", "", ResidueType::DNA_LINKING, false, "2'-fluoro-2'-deoxyinosine", 2712 },
	{ "2FJ", "", "", ResidueType::NON_POLYMER, false, "", 2713 },
	{ "2FK", "", "", ResidueType::NON_POLYMER, false, "SUPEROXO ION", 2714 },
	{ "2FL", "", "", ResidueType::SACCHARIDE, false, "2-FLUORO-2-DEOXY-LACTOSE", 2715 },
	{ "2FM", "", "", ResidueType::PEPTIDE_LINKING, false, "S-(DIFLUOROMETHYL)HOMOCYSTEINE", 2716 },
	{ "2FN", "", "", ResidueType::NON_POLYMER, false, "N-(2-{[5-(5-chlorothiophen-2-yl)-1,2-oxazol-3-yl]methoxy}-6-[3-(beta-D-glucopyranosyloxy)propoxy]phenyl)-1-(propan-2-yl)piperidine-4-carboxamide", 2717 },
	{ "2FP", "", "", ResidueType::SACCHARIDE, false, "1,6-FRUCTOSE DIPHOSPHATE (LINEAR FORM)", 2718 },
	{ "2FQ", "", "", ResidueType::NON_POLYMER, false, "6-amino-2,8-dimethylpyrido[2,3-d]pyrimidin-7(8H)-one", 2719 },
	{ "2FR", "", "", ResidueType::NON_POLYMER, false, "3-[3-(3-methyl-6-{[(1S)-1-phenylethyl]amino}-1H-pyrazolo[4,3-c]pyridin-1-yl)phenyl]propanamide", 2720 },
	{ "2FS", "", "", ResidueType::NON_POLYMER, false, "(1S,2R)-2-{[(1S)-1-[(1-oxo-1,3-dihydro-2H-isoindol-2-yl)methyl]-3,4-dihydroisoquinolin-2(1H)-yl]carbonyl}cyclohexanecarboxylic acid", 2721 },
	{ "2FT", "", "", ResidueType::NON_POLYMER, false, "2,2-difluoropentanedioic acid", 2722 },
	{ "2FU", "", "", ResidueType::NON_POLYMER, false, "BUT-2-ENEDIAL", 2723 },
	{ "2FX", "", "", ResidueType::NON_POLYMER, false, "1-benzothiophen-2-ylacetic acid", 2724 },
	{ "2FY", "", "", ResidueType::NON_POLYMER, false, "1-(2,4-DIHYDROXY-PHENYL)-PROPAN-1-ONE", 2725 },
	{ "2FZ", "", "", ResidueType::NON_POLYMER, false, "(3R,4S)-4-[(4-fluorobenzoyl)amino]-6-[4-(oxetan-3-yl)piperazin-1-yl]-3,4-dihydro-2H-chromen-3-yl methylcarbamate", 2726 },
	{ "2G0", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-[(2S)-6-amino-2-({[(2S,3S,4R,5S,6S)-3,4,5-trihydroxy-6-methyltetrahydro-2H-pyran-2-yl]acetyl}amino)hexanoyl]-N-[(1S)-1-carbamoyl-3-methylbutyl]pyrrolidine-2-carboxamide", 2727 },
	{ "2G1", "", "", ResidueType::NON_POLYMER, false, "4-(2-methyl-1,3-thiazol-4-yl)-N-(3,3,3-trifluoropropyl)benzenesulfonamide", 2728 },
	{ "2G2", "", "", ResidueType::NON_POLYMER, false, "L-gamma-glutamyl-O-[(S)-{[(1S)-1,3-dicarboxypropyl]amino}(hydroxy)phosphoryl]-L-serine", 2729 },
	{ "2G3", "", "", ResidueType::NON_POLYMER, false, "3,3-dimethylbutan-1-amine", 2730 },
	{ "2G4", "", "", ResidueType::NON_POLYMER, false, "N-[(S)-hydroxy(4-phenylbutoxy)phosphoryl]-L-glutamic acid", 2731 },
	{ "2G5", "", "", ResidueType::NON_POLYMER, false, "N-[(S)-[(2S)-2-(benzoylamino)-2-carboxyethoxy](hydroxy)phosphoryl]-L-glutamic acid", 2732 },
	{ "2G6", "", "", ResidueType::PEPTIDE_LIKE, false, "P-((((benzyloxy)carbonyl)amino)methyl)-N-((S)-1-((3,3-dimethylbutyl)amino)-4-methyl-1-oxopentan-2-yl)phosphonamidic acid", 2733 },
	{ "2G7", "", "", ResidueType::NON_POLYMER, false, "P-((((benzyloxy)carbonyl)amino)methyl)-N-((S)-1-(isobutylamino)-4-methyl-1-oxopentan-2-yl)phosphonamidic acid", 2734 },
	{ "2G8", "", "", ResidueType::PEPTIDE_LIKE, false, "P-((((benzyloxy)carbonyl)amino)methyl)-N-((S)-4-methyl-1-oxo-1-(propylamino)pentan-2-yl)phosphonamidic acid", 2735 },
	{ "2G9", "", "", ResidueType::PEPTIDE_LIKE, false, "P-((((benzyloxy)carbonyl)amino)methyl)-N-((S)-4-methyl-1-(((S)-2-methylbutyl)amino)-1-oxopentan- 2-yl)phosphonamidic acid", 2736 },
	{ "2GA", "", "", ResidueType::NON_POLYMER, false, "2-[(3,5-DIMETHYL-1H-PYRAZOL-4-YL)SULFANYL]-5-METHYLSULFANYL-1,3,4-THIADIAZOLE", 2737 },
	{ "2GB", "", "", ResidueType::NON_POLYMER, false, "N-[(S)-(biphenyl-4-ylmethoxy)(hydroxy)phosphoryl]-L-glutamic acid", 2738 },
	{ "2GC", "", "", ResidueType::PEPTIDE_LIKE, false, "P-((((benzyloxy)carbonyl)amino)methyl)-N-((S)-4-methyl-1-oxo-1-(phenethylamino)pentan-2-yl)phosphonamidic acid", 2739 },
	{ "2GD", "", "", ResidueType::NON_POLYMER, false, "6-(2,3-dichlorophenyl)-N~4~-methylpyrimidine-2,4-diamine", 2740 },
	{ "2GE", "", "", ResidueType::NON_POLYMER, false, "N~4~-cyclopropyl-6-(2,3-dichlorophenyl)pyrimidine-2,4-diamine", 2741 },
	{ "2GF", "", "", ResidueType::DNA_LINKING, false, "[(2R,5R)-5-(4-amino-5-chloro-2-oxopyrimidin-1(2H)-yl)-3-oxotetrahydrofuran-2-yl]methyl dihydrogen phosphate", 2742 },
	{ "2GG", "", "", ResidueType::NON_POLYMER, false, "5-(5-CHLORO-2,4-DIHYDROXYPHENYL)-N-ETHYL-4-(4-METHOXYPHENYL)ISOXAZOLE-3-CARBOXAMIDE", 2743 },
	{ "2GH", "", "", ResidueType::NON_POLYMER, false, "N~3~-[(2R)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-N-pentyl-beta-alaninamide", 2744 },
	{ "2GJ", "", "", ResidueType::NON_POLYMER, false, "5-[2,4-DIHYDROXY-5-(1-METHYLETHYL)PHENYL]-N-ETHYL-4-[4-(MORPHOLIN-4-YLMETHYL)PHENYL]ISOXAZOLE-3-CARBOXAMIDE", 2745 },
	{ "2GK", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-[2-(dihydroxyboranyl)-1-benzothiophen-3-yl]prop-2-enoic acid", 2746 },
	{ "2GL", "", "", ResidueType::SACCHARIDE, false, "4-O-ACETYL-2,6-DIDEOXY-ALPHA-D-GALACTO-HEXOPYRANOSE", 2747 },
	{ "2GM", "", "", ResidueType::NON_POLYMER, false, "Dihydroergotamine", 2748 },
	{ "2GN", "", "", ResidueType::NON_POLYMER, false, "N-(6-(4-(2h-tetrazol-5-yl)benzyl)-3-cyano-4,5,6,7-tetrahydrothieno[2,3-c]pyridin-2-yl)-2,4-dichloro-5-(morpholinosulfonyl)benzamide", 2749 },
	{ "2GO", "", "", ResidueType::NON_POLYMER, false, "", 2750 },
	{ "2GP", "", "", ResidueType::NON_POLYMER, false, "GUANOSINE-2'-MONOPHOSPHATE", 2751 },
	{ "2GQ", "", "", ResidueType::NON_POLYMER, false, "3-(pyrrolidin-1-yl)isoquinolin-1(2H)-one", 2752 },
	{ "2GR", "", "", ResidueType::NON_POLYMER, false, "N-[(S)-[2-(benzoylamino)ethoxy](hydroxy)phosphoryl]-L-glutamic acid", 2753 },
	{ "2GS", "", "", ResidueType::NON_POLYMER, false, "2-O-METHYL-ALPHA-D-GALACTOPYRANOSE", 2754 },
	{ "2GT", "", "", ResidueType::RNA_LINKING, false, "", 2755 },
	{ "2GU", "", "", ResidueType::NON_POLYMER, false, "5-(2-aminoquinazolin-6-yl)-N-(4,4-dimethyl-2-oxo-1,2,3,4-tetrahydroquinolin-7-yl)-2-fluorobenzamide", 2756 },
	{ "2GV", "", "", ResidueType::NON_POLYMER, false, "(4S)-3-{4-[6-amino-5-(pyrimidin-2-yl)pyridin-3-yl]phenyl}-5,5-dimethyl-4-phenyl-1,3-oxazolidin-2-one", 2757 },
	{ "2GW", "", "", ResidueType::NON_POLYMER, false, "5-phenyl-uridine-5'-alpha-d-galactosyl-diphosphate", 2758 },
	{ "2GX", "", "", ResidueType::PEPTIDE_LINKING, false, "beta-phenyl-L-phenylalanine", 2759 },
	{ "2GY", "", "", ResidueType::NON_POLYMER, false, "(4S)-3-{trans-4-[6-amino-5-(pyrimidin-2-yl)pyridin-3-yl]cyclohexyl}-5,5-dimethyl-4-phenyl-1,3-oxazolidin-2-one", 2760 },
	{ "2GZ", "", "", ResidueType::PEPTIDE_LIKE, false, "P-((((benzyloxy)carbonyl)amino)methyl)-N-((S)-4-methyl-1-(neopentylamino)-1-oxopentan-2-yl)phosphonamidic acid", 2761 },
	{ "2H0", "", "", ResidueType::PEPTIDE_LIKE, false, "P-((((benzyloxy)carbonyl)amino)methyl)-N-((S)-1-(isopentylamino)-4-methyl-1-oxopentan-2-yl)phosphonamidic acid", 2762 },
	{ "2H1", "", "", ResidueType::NON_POLYMER, false, "3-[2-(benzyloxy)-8-methylquinolin-6-yl]-1-(propan-2-yl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 2763 },
	{ "2H2", "", "", ResidueType::NON_POLYMER, false, "4-{3-[(phenylsulfonyl)amino]prop-1-yn-1-yl}-N-(3,3,3-trifluoropropyl)benzamide", 2764 },
	{ "2H3", "", "", ResidueType::NON_POLYMER, false, "(1r,2r,3r,4r,5r,6r)-cyclohexane-1,2,3,4,5,6-hexol", 2765 },
	{ "2H4", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-(3,4-dihydroxybenzyl)-1,2,3,4-tetrahydroisoquinoline-6,7-diol", 2766 },
	{ "2H5", "", "", ResidueType::NON_POLYMER, false, "3-deoxy-3-fluoro-beta-D-galactopyranose", 2767 },
	{ "2H7", "", "", ResidueType::NON_POLYMER, false, "4-fluoro-N-({1-[(2R)-4-(hydroxyamino)-1-(naphthalen-2-yl)-4-oxobutan-2-yl]-1H-1,2,3-triazol-4-yl}methyl)benzamide", 2768 },
	{ "2H8", "", "", ResidueType::NON_POLYMER, false, "(3S,4R,5R)-4-(acetylamino)-3-amino-5-(pentan-3-yloxy)cyclohex-1-ene-1-carboxylic acid", 2769 },
	{ "2H9", "", "", ResidueType::NON_POLYMER, false, "N-[(S)-[(2R)-2-(benzoylamino)-2-carboxyethoxy](hydroxy)phosphoryl]-L-glutamic acid", 2770 },
	{ "2HA", "", "", ResidueType::NON_POLYMER, false, "DIHYDROXYACETONE", 2771 },
	{ "2HB", "", "", ResidueType::NON_POLYMER, false, "N-(5-{4-[(1,1-dioxidothiomorpholin-4-yl)methyl]phenyl}[1,2,4]triazolo[1,5-a]pyridin-2-yl)cyclopropanecarboxamide", 2772 },
	{ "2HC", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(2-HYDROXYPHENYL)ACRYLIC ACID", 2773 },
	{ "2HD", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,3-dibutoxypropyl (R)-octylphosphinate", 2774 },
	{ "2HE", "", "", ResidueType::NON_POLYMER, false, "(2-hydroxyethyl)phosphonic acid", 2775 },
	{ "2HF", "", "", ResidueType::PEPTIDE_LINKING, false, "2-fluoro-L-histidine", 2776 },
	{ "2HG", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-hydroxypentanedioic acid", 2777 },
	{ "2HH", "", "", ResidueType::NON_POLYMER, false, "1-methyl-N-(pyridin-3-yl)-1H-pyrazole-5-carboxamide", 2778 },
	{ "2HI", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-2,7-DIHYDROXY-3-(4-HYDROXYPHENYL)-2,3-DIHYDRO-4H-CHROMEN-4-ONE", 2779 },
	{ "2HJ", "", "", ResidueType::NON_POLYMER, false, "4-({[(4-tert-butylphenyl)sulfonyl]amino}methyl)-N-(pyridin-3-yl)benzamide", 2780 },
	{ "2HK", "", "", ResidueType::NON_POLYMER, false, "4'-{6-methoxy-7-[2-(piperidin-1-yl)ethoxy]-1,2-dihydroindeno[1,2-c]pyrazol-3-yl}biphenyl-4-ol", 2781 },
	{ "2HL", "", "", ResidueType::NON_POLYMER, false, "1-[(1-benzoylpiperidin-4-yl)methyl]-N-(pyridin-3-yl)-1H-benzimidazole-5-carboxamide", 2782 },
	{ "2HM", "", "", ResidueType::PEPTIDE_LIKE, false, "(2R)-2-[2-(hydroxyamino)-2-oxoethyl]-4-methylpentanoic acid", 2783 },
	{ "2HN", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,4S,5R)-2-(2,3,4,5,6-pentafluorophenyl)methyl-1,4,5-trihydroxy-3-oxocyclohexane-1-carboxylic acid", 2784 },
	{ "2HO", "", "", ResidueType::NON_POLYMER, false, "3,4-difluorobenzamide", 2785 },
	{ "2HP", "", "", ResidueType::NON_POLYMER, false, "DIHYDROGENPHOSPHATE ION", 2786 },
	{ "2HQ", "", "", ResidueType::NON_POLYMER, false, "5-chloro-1H-indole-2,3-dione", 2787 },
	{ "2HR", "", "", ResidueType::NON_POLYMER, false, "HEXYLPHOSPHONIC ACID (R)-2-METHYL-3-PHENYLPROPYL ESTER", 2788 },
	{ "2HS", "", "", ResidueType::NON_POLYMER, false, "HEXYLPHOSPHONIC ACID (S)-2-METHYL-3-PHENYLPROPYL ESTER", 2789 },
	{ "2HT", "", "", ResidueType::NON_POLYMER, false, "3-methylbenzonitrile", 2790 },
	{ "2HU", "", "", ResidueType::NON_POLYMER, false, "5-nitro-1H-indole", 2791 },
	{ "2HV", "", "", ResidueType::NON_POLYMER, false, "2-(acetylamino)-N-[2-(piperidin-1-yl)phenyl]-1,3-thiazole-4-carboxamide", 2792 },
	{ "2HW", "", "", ResidueType::NON_POLYMER, false, "3-amino-N-{4-[(3S)-3-aminopiperidin-1-yl]pyridin-3-yl}pyrazine-2-carboxamide", 2793 },
	{ "2HX", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(3R,4R,5S)-3-amino-4-hydroxy-5-methylpiperidin-1-yl]pyridin-3-yl}-6-(2,6-difluorophenyl)-5-fluoropyridine-2-carboxamide", 2794 },
	{ "2HY", "", "", ResidueType::NON_POLYMER, false, "2-hydroxyethyl (4R)-4-(4-cyanophenyl)-6-methyl-2-oxo-1-[3-(trifluoromethyl)phenyl]-1,2,3,4-tetrahydropyrimidine-5-carboxylate", 2795 },
	{ "2HZ", "", "", ResidueType::NON_POLYMER, false, "", 2796 },
	{ "2IA", "", "", ResidueType::DNA_LINKING, false, "", 2797 },
	{ "2IB", "", "", ResidueType::NON_POLYMER, false, "2-IODOBENZYL GROUP", 2798 },
	{ "2IC", "", "", ResidueType::NON_POLYMER, false, "5-[(5S,9R)-9-(4-CYANOPHENYL)-3-(3,5-DICHLOROPHENYL)-1-METHYL-2,4-DIOXO-1,3,7-TRIAZASPIRO [4.4]NON-7-YL]METHYL]-3-THIOPHENECARBOXYLICACID", 2799 },
	{ "2ID", "", "", ResidueType::NON_POLYMER, false, "[(1R,2S,4S,5S)-4-[2-iodo-6-(methylamino)-9H-purin-9-yl]-2-(phosphonooxy)bicyclo[3.1.0]hex-1-yl]methyl dihydrogen phosphate", 2800 },
	{ "2IG", "", "", ResidueType::NON_POLYMER, false, "6-ETHYL-5-[9-(3-METHOXYPROPYL)-9H-CARBAZOL-2-YL]PYRIMIDINE-2,4-DIAMINE", 2801 },
	{ "2IH", "", "", ResidueType::NON_POLYMER, false, "1,1'-HEXANE-1,6-DIYLBIS(1H-IMIDAZOLE)", 2802 },
	{ "2IK", "", "", ResidueType::NON_POLYMER, false, "6-[(2S)-2-amino-2-{3-[2-(6-amino-4-methylpyridin-2-yl)ethyl]phenyl}ethyl]-4-methylpyridin-2-amine", 2803 },
	{ "2IL", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-(dodecanoyloxy)tetradecanoic acid", 2804 },
	{ "2IM", "", "", ResidueType::NON_POLYMER, false, "PIPERIDIN-2-IMINE", 2805 },
	{ "2IN", "", "", ResidueType::NON_POLYMER, false, "N-(BENZYLSULFONYL)SERYL-N~1~-{4-[AMINO(IMINO)METHYL]BENZYL}GLYCINAMIDE", 2806 },
	{ "2IP", "", "", ResidueType::NON_POLYMER, false, "D-MYO-INOSITOL-1,4-BISPHOSPHATE", 2807 },
	{ "2IT", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-iminopentanedioic acid", 2808 },
	{ "2IW", "", "", ResidueType::NON_POLYMER, false, "4-[(3aR,4S,7R,7aS)-1,3-dioxo-1,3,3a,4,7,7a-hexahydro-2H-4,7-methanoisoindol-2-yl]-N-(4-methylquinolin-8-yl)benzamide", 2809 },
	{ "2J0", "", "", ResidueType::NON_POLYMER, false, "(10-methyldipyrido[3,2-a:2',3'-c]phenazine-kappa~2~N~4~,N~5~)[bis(pyrazino[2,3-f]quinoxaline-kappa~2~N~1~,N~10~)]ruthenium(2+)", 2810 },
	{ "2J1", "", "", ResidueType::NON_POLYMER, false, "6-chloro-2,3,4,9-tetrahydro-1H-carbazole-7-carboxylic acid", 2811 },
	{ "2J2", "", "", ResidueType::NON_POLYMER, false, "(1R)-6-chloro-2,3,4,9-tetrahydro-1H-carbazole-1-carboxylic acid", 2812 },
	{ "2J3", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-{[(2R)-2-{[(2R)-2-hydroxypropyl]oxy}propyl]oxy}propan-1-ol", 2813 },
	{ "2J4", "", "", ResidueType::NON_POLYMER, false, "(3aR,5R,6S,7R,7aR)-2-amino-5-(hydroxymethyl)-5,6,7,7a-tetrahydro-3aH-pyrano[3,2-d][1,3]thiazole-6,7-diol", 2814 },
	{ "2J5", "", "", ResidueType::NON_POLYMER, false, "2-{[(3-methylpyridin-2-yl)amino]methyl}phenol", 2815 },
	{ "2J6", "", "", ResidueType::NON_POLYMER, false, "5-fluoro-2-({[3-(pyrimidin-2-yl)pyridin-2-yl]amino}methyl)phenol", 2816 },
	{ "2J7", "", "", ResidueType::NON_POLYMER, false, "2,2'-[pyrimidine-4,6-diylbis(iminomethanediyl)]diphenol", 2817 },
	{ "2J8", "", "", ResidueType::NON_POLYMER, false, "(4S,11S,18S)-4,11,18-tri(propan-2-yl)-6,13,20-triselena-3,10,17,22,23,24-hexaazatetracyclo[17.2.1.1~5,8~.1~12,15~]tetracosa-1(21),5(24),7,12(23),14,19(22)-hexaene-2,9,16-trione", 2818 },
	{ "2J9", "", "", ResidueType::NON_POLYMER, false, "4-cyclopropyl-7-fluoro-3,4-dihydro-2H-1,2,4-benzothiadiazine 1,1-dioxide", 2819 },
	{ "2JA", "", "", ResidueType::NON_POLYMER, false, "[(E)-4-methyl-5-oxidanyl-pent-3-enyl]-phosphonooxy-phosphinic acid", 2820 },
	{ "2JC", "", "", ResidueType::PEPTIDE_LINKING, false, "N-ethylglycine", 2821 },
	{ "2JD", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoic acid", 2822 },
	{ "2JE", "", "", ResidueType::NON_POLYMER, false, "S-(2-aminoethyl) 1H-imidazole-4-carbothioate", 2823 },
	{ "2JF", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-3-oxopropyl 4-{[(2S)-2-hydroxy-4-methylpentanoyl]amino}butanoate", 2824 },
	{ "2JG", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-3-oxopropyl hexanoate", 2825 },
	{ "2JH", "", "", ResidueType::PEPTIDE_LINKING, false, "3-cyclobutyl-L-alanine", 2826 },
	{ "2JJ", "", "", ResidueType::PEPTIDE_LINKING, false, "5-phosphono-D-norvaline", 2827 },
	{ "2JK", "", "", ResidueType::NON_POLYMER, false, "4-hydroxy-5,7-dimethylquinoline-2-carboxylic acid", 2828 },
	{ "2JL", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-1-(phenanthren-2-ylcarbonyl)piperazine-2,3-dicarboxylic acid", 2829 },
	{ "2JM", "", "", ResidueType::NON_POLYMER, false, "2-bromo-6-(3,4,5-tribromo-1H-pyrrol-2-yl)phenol", 2830 },
	{ "2JN", "", "", ResidueType::PEPTIDE_LINKING, false, "2-methyl-D-norleucine", 2831 },
	{ "2JQ", "", "", ResidueType::NON_POLYMER, false, "2-[(6-methylpyridin-2-yl)carbamoyl]-5-(trifluoromethyl)benzoic acid", 2832 },
	{ "2JR", "", "", ResidueType::NON_POLYMER, false, "5-{5-[1-(pyrrolidin-1-yl)cyclohexyl]-1,3-thiazol-2-yl}-1H-indole", 2833 },
	{ "2JT", "", "", ResidueType::NON_POLYMER, false, "1,3-dihydroxypropan-2-yl octadecanoate", 2834 },
	{ "2JU", "", "", ResidueType::DNA_LINKING, false, "", 2835 },
	{ "2JV", "", "", ResidueType::DNA_LINKING, false, "N-(8-aminopyren-1-yl)-2'-deoxy-5'-O-(trihydroxy-lambda~5~-phosphanyl)guanosine", 2836 },
	{ "2JW", "", "", ResidueType::NON_POLYMER, false, "1-{2-deoxy-3,5-O-[(4-nitrophenyl)(phosphono)methylidene]-beta-D-threo-pentofuranosyl}-5-methylpyrimidine-2,4(1H,3H)-dione", 2837 },
	{ "2JX", "", "", ResidueType::NON_POLYMER, false, "5-[(2R)-2,3-dihydro-1,4-benzodioxin-2-yl]-2,4-dihydro-3H-1,2,4-triazole-3-thione", 2838 },
	{ "2JY", "", "", ResidueType::NON_POLYMER, false, "5-[(2,3-dichlorophenoxy)methyl]furan-2-carboxylic acid", 2839 },
	{ "2JZ", "", "", ResidueType::NON_POLYMER, false, "N~2~-(3,4-dimethoxyphenyl)-N~4~-[2-(2-fluorophenyl)ethyl]-N~6~-quinolin-6-yl-1,3,5-triazine-2,4,6-triamine", 2840 },
	{ "2K0", "", "", ResidueType::NON_POLYMER, false, "[2-chloro-5-(hydroxymethyl)phenyl]{5-[1-(piperidin-4-yl)-1H-pyrazol-4-yl]-1H-pyrrolo[2,3-b]pyridin-3-yl}methanone", 2841 },
	{ "2K1", "", "", ResidueType::NON_POLYMER, false, "5-methylfuran-2-carboxylic acid", 2842 },
	{ "2K2", "", "", ResidueType::NON_POLYMER, false, "PKC412", 2843 },
	{ "2K3", "", "", ResidueType::NON_POLYMER, false, "3-OXO-5-METHYLHEXANOIC ACID", 2844 },
	{ "2K4", "", "", ResidueType::NON_POLYMER, false, "1H-INDAZOL-6-OL", 2845 },
	{ "2K5", "", "", ResidueType::NON_POLYMER, false, "N~4~-{5-[2-(3,5-dimethoxyphenyl)ethyl]-1H-pyrazol-3-yl}-N~2~-[(3-methyl-1,2-oxazol-5-yl)methyl]pyrimidine-2,4-diamine", 2846 },
	{ "2K6", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-(4-methoxyphenyl)-5-oxohexanenitrile", 2847 },
	{ "2K7", "", "", ResidueType::NON_POLYMER, false, "N~4~-{3-[2-(3,4-dimethoxyphenyl)ethyl]-1H-pyrazol-5-yl}-N~2~-[(3-methyl-1,2-oxazol-5-yl)methyl]pyrimidine-2,4-diamine", 2848 },
	{ "2K8", "", "", ResidueType::NON_POLYMER, false, "(6R)-2-amino-4-oxo-3,4,5,6,7,8-hexahydropteridine-6-carboxylic acid", 2849 },
	{ "2K9", "", "", ResidueType::NON_POLYMER, false, "9-phenyl-4H-imidazo[1,2-a]indeno[1,2-e]pyrazin-4-one", 2850 },
	{ "2KA", "", "", ResidueType::NON_POLYMER, false, "2-amino-4-oxo-4,7-dihydro-3H-pyrrolo[2,3-d]pyrimidine-5-carboxylic acid", 2851 },
	{ "2KB", "", "", ResidueType::NON_POLYMER, false, "4-{[(1R,2S,3R,5Z,7E,14beta,17alpha)-1,3,25-trihydroxy-9,10-secocholesta-5,7,10-trien-2-yl]oxy}butanenitrile", 2852 },
	{ "2KC", "", "", ResidueType::NON_POLYMER, false, "3-({5-[(4-amino-4-methylpiperidin-1-yl)methyl]pyrrolo[2,1-f][1,2,4]triazin-4-yl}amino)-5-bromophenol", 2853 },
	{ "2KD", "", "", ResidueType::NON_POLYMER, false, "6-(3-chlorophenyl)-2-{[(2S)-3-(4-hydroxyphenyl)-1-methoxy-1-oxopropan-2-yl]carbamoyl}quinoline-4-carboxylic acid", 2854 },
	{ "2KE", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(1-aminoisoquinolin-6-yl)amino]-2-[3-ethoxy-4-(propan-2-yloxy)phenyl]-N-(3-sulfamoylbenzyl)ethanamide", 2855 },
	{ "2KF", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(1-aminoisoquinolin-6-yl)amino]-2-[3-ethoxy-4-(propan-2-yloxy)phenyl]-N-[2-(propan-2-ylsulfonyl)benzyl]ethanamide", 2856 },
	{ "2KG", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-(2-methoxyphenyl)-3,3-dimethyl-1-[3-(methylsulfonyl)phenyl]azetidin-2-one", 2857 },
	{ "2KH", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-hydroxy{[(S)-hydroxy(phosphonooxy)phosphoryl]amino}phosphoryl]uridine", 2858 },
	{ "2KJ", "", "", ResidueType::NON_POLYMER, false, "N~5~-(N-ethoxycarbamimidoyl)-L-ornithine", 2859 },
	{ "2KK", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-(4-fluorobenzoyl)-L-lysine", 2860 },
	{ "2KL", "", "", ResidueType::NON_POLYMER, false, "2-amino-4-[2,4-dichloro-5-(2-pyrrolidin-1-ylethoxy)phenyl]-N-ethylthieno[2,3-d]pyrimidine-6-carboxamide", 2861 },
	{ "2KN", "", "", ResidueType::NON_POLYMER, false, "N,N',N''-triethylbenzene-1,3,5-tricarboxamide", 2862 },
	{ "2KO", "", "", ResidueType::NON_POLYMER, false, "2-{2-[2-(2-{4-[(alpha-D-mannopyranosyloxy)methyl]-1H-1,2,3-triazol-1-yl}ethoxy)ethoxy]ethoxy}ethyl 2-[3,6-bis(diethylamino)-9H-xanthen-9-yl]benzoate", 2863 },
	{ "2KP", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-(4-bromobenzoyl)-L-lysine", 2864 },
	{ "2KQ", "", "", ResidueType::NON_POLYMER, false, "", 2865 },
	{ "2KR", "", "", ResidueType::NON_POLYMER, false, "N-[4-(2-methoxy-3H-imidazo[4,5-b]pyridin-3-yl)phenyl]-5-methylpyridin-2-amine", 2866 },
	{ "2KS", "", "", ResidueType::NON_POLYMER, false, "1-(cis-1-phenyl-4-{[(2E)-3-phenylprop-2-en-1-yl]oxy}cyclohexyl)methanamine", 2867 },
	{ "2KT", "", "", ResidueType::NON_POLYMER, false, "2-KETOBUTYRIC ACID", 2868 },
	{ "2KU", "", "", ResidueType::NON_POLYMER, false, "N-(3-METHOXYPROPYL)-9H-PURIN-6-AMINE", 2869 },
	{ "2KV", "", "", ResidueType::NON_POLYMER, false, "1-[cis-4-(aminomethyl)-4-(3-chlorophenyl)cyclohexyl]piperidin-2-one", 2870 },
	{ "2KW", "", "", ResidueType::NON_POLYMER, false, "3-chloro-5-({1-[(4-methyl-5-oxo-4,5-dihydro-1H-1,2,4-triazol-3-yl)methyl]-2-oxo-4-(trifluoromethyl)-1,2-dihydropyridin-3-yl}oxy)benzonitrile", 2871 },
	{ "2KY", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-amino(cyclopentyl)ethanoic acid", 2872 },
	{ "2KZ", "", "", ResidueType::PEPTIDE_LINKING, false, "2-amino maleic acid", 2873 },
	{ "2L0", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(benzyloxy)carbonyl]-L-leucyl-N-[(2R,3S,4S)-1,3-dihydroxy-2,6-dimethylheptan-4-yl]-L-leucinamide", 2874 },
	{ "2L1", "", "", ResidueType::NON_POLYMER, false, "2-[(4-methyl-1H-imidazol-5-yl)methyl]-1,2,3,4-tetrahydroisoquinoline", 2875 },
	{ "2L2", "", "", ResidueType::NON_POLYMER, false, "2-[(4-methyl-1H-imidazol-5-yl)methyl]-1,2,3,4-tetrahydroisoquinolin-8-amine", 2876 },
	{ "2L3", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-methyl-1,4-dioxo-1,2,3,4-tetrahydronaphthalene-2-sulfonic acid", 2877 },
	{ "2L4", "", "", ResidueType::NON_POLYMER, false, "1-deoxy-1-({2,6-dioxo-5-[(E)-(2-oxoethylidene)amino]-1,2,3,6-tetrahydropyrimidin-4-yl}amino)-D-ribitol", 2878 },
	{ "2L5", "", "", ResidueType::PEPTIDE_LINKING, false, "2-chloro-L-phenylalanine", 2879 },
	{ "2L6", "", "", ResidueType::PEPTIDE_LINKING, false, "", 2880 },
	{ "2L7", "", "", ResidueType::NON_POLYMER, false, "4-[(2-bromo-2-methylpropanoyl)amino]-L-phenylalanine", 2881 },
	{ "2L8", "", "", ResidueType::DNA_LINKING, false, "", 2882 },
	{ "2L9", "", "", ResidueType::PEPTIDE_LINKING, false, "", 2883 },
	{ "2LA", "", "", ResidueType::DNA_LINKING, false, "2-amino-5-(aminomethyl)-7-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-3,7-dihydro-4H-pyrrolo[2,3-d]pyrimidin-4-one", 2884 },
	{ "2LB", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-methyl-1,4-dioxo-1,2,3,4-tetrahydronaphthalene-2-sulfonic acid", 2885 },
	{ "2LC", "", "", ResidueType::NON_POLYMER, false, "2-fluoro-6-[(3S)-tetrahydrofuran-3-ylamino]-4-(3,6,6-trimethyl-4-oxo-4,5,6,7-tetrahydro-1H-indol-1-yl)benzamide", 2886 },
	{ "2LD", "", "", ResidueType::NON_POLYMER, false, "3-hydroxy-5-(2-phenylethyl)pyridin-2(1H)-one", 2887 },
	{ "2LE", "", "", ResidueType::NON_POLYMER, false, "(2R,5S)-5-pentyltetrahydrofuran-2-ol", 2888 },
	{ "2LF", "", "", ResidueType::DNA_LINKING, false, "(6S,7S,8S,10R)-2-amino-8-hydroxy-4-oxo-3,6,7,8,9,10-hexahydro-4H-7,10-epoxyazepino[1,2-e]purin-6-yl dihydrogen phosphate", 2889 },
	{ "2LG", "", "", ResidueType::NON_POLYMER, false, "2-CHLORO-N-(3-CYANO-5,6-DIHYDRO-4H-CYCLOPENTA[B]THIOPHEN-2-YL)-5-DIETHYLSULFAMOYL-BENZAMIDE", 2890 },
	{ "2LI", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R)-3-{[(5S)-5-(3-tert-butylphenyl)-4,5,6,7-tetrahydro-1H-indazol-5-yl]amino}-1-(3,5-difluorobenzyl)-2-hydroxypropyl]acetamide", 2891 },
	{ "2LJ", "", "", ResidueType::NON_POLYMER, false, "1-deoxy-1-({2,6-dioxo-5-[(E)-(2-oxopropylidene)amino]-1,2,3,6-tetrahydropyrimidin-4-yl}amino)-D-ribitol", 2892 },
	{ "2LK", "", "", ResidueType::NON_POLYMER, false, "1-(4-chlorobenzyl)-5-(3,5-dimethyl-1,2-oxazol-4-yl)-1H-benzimidazole", 2893 },
	{ "2LL", "", "", ResidueType::NON_POLYMER, false, "5-(3,5-dimethyl-1,2-oxazol-4-yl)-1-[2-(morpholin-4-yl)ethyl]-2-(2-phenylethyl)-1H-benzimidazole", 2894 },
	{ "2LM", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-[({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methyl)imino]-4-(methylsulfanyl)butanoic acid", 2895 },
	{ "2LN", "", "", ResidueType::NON_POLYMER, false, "1-[7-(3,4-dimethoxyphenyl)-9-{[(3R)-1-methylpiperidin-3-yl]methoxy}-2,3-dihydro-1,4-benzoxazepin-4(5H)-yl]propan-1-one", 2896 },
	{ "2LO", "", "", ResidueType::NON_POLYMER, false, "2-[2-(3-chloro-4-methoxyphenyl)ethyl]-5-(3,5-dimethyl-1,2-oxazol-4-yl)-1-[(2S)-2-(morpholin-4-yl)propyl]-1H-benzimidazole", 2897 },
	{ "2LP", "", "", ResidueType::NON_POLYMER, false, "2-ALLYLPHENOL", 2898 },
	{ "2LQ", "", "", ResidueType::NON_POLYMER, false, "4-{[(1R,4E)-cyclooct-4-en-1-ylcarbonyl]amino}-L-phenylalanine", 2899 },
	{ "2LR", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(benzyloxy)carbonyl]-L-leucyl-N-{(1R,2S)-1-hydroxy-4-methyl-1-[(2R)-2-methyloxiran-2-yl]pentan-2-yl}-L-leucinamide", 2900 },
	{ "2LS", "", "", ResidueType::NON_POLYMER, false, "(1R,2S)-2-amino-4-methyl-1-[(2R)-2-methyloxiran-2-yl]pentan-1-ol", 2901 },
	{ "2LT", "", "", ResidueType::PEPTIDE_LINKING, false, "3,5-dichloro-L-tyrosine", 2902 },
	{ "2LU", "", "DCL", ResidueType::PEPTIDE_LINKING, true, "2-AMINO-4-METHYL-PENTANYL GROUP", 2903 },
	{ "2LV", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(benzyloxy)carbonyl]-L-leucyl-N-[(2S,3S)-2-hydroxy-5-methyl-1-oxo-1-(phenylamino)hexan-3-yl]-L-leucinamide", 2904 },
	{ "2LW", "", "", ResidueType::NON_POLYMER, false, "1-(8-chloro-1,3,4,5-tetrahydro-2H-pyrido[4,3-b]indol-2-yl)ethanone", 2905 },
	{ "2LX", "", "", ResidueType::NON_POLYMER, false, "N-methyl-2-(tetrahydro-2H-pyran-4-yloxy)benzamide", 2906 },
	{ "2LY", "", "", ResidueType::NON_POLYMER, false, "N-methyl-2,3-dihydrothieno[3,4-b][1,4]dioxine-5-carboxamide", 2907 },
	{ "2M0", "", "", ResidueType::NON_POLYMER, false, "(3S)-5-methyl-1-(methylsulfonyl)hexan-3-amine", 2908 },
	{ "2M1", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(benzyloxy)carbonyl]-L-leucyl-N-[(3S)-5-methyl-1-(methylsulfonyl)hexan-3-yl]-L-leucinamide", 2909 },
	{ "2M2", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(3-methyl-1,2-oxazol-5-yl)methyl]-N~4~-[5-(2-phenylethyl)-1H-pyrazol-3-yl]pyrimidine-2,4-diamine", 2910 },
	{ "2M3", "", "", ResidueType::NON_POLYMER, false, "2-methyl-3-{(3S)-1-[(1-pyridin-2-ylcyclopropyl)carbonyl]pyrrolidin-3-yl}-1H-pyrrolo[2,3-b]pyridine", 2911 },
	{ "2M4", "", "", ResidueType::SACCHARIDE, false, "2-O-alpha-D-mannopyranosyl-alpha-D-mannopyranose", 2912 },
	{ "2M5", "", "", ResidueType::SACCHARIDE, false, "methyl 7-deoxy-L-glycero-alpha-D-manno-heptopyranoside", 2913 },
	{ "2M6", "", "", ResidueType::NON_POLYMER, false, "7-deoxy-L-glycero-alpha-D-manno-heptopyranosyl-(1->2)-alpha-D-mannopyranosyl-(1->2)-alpha-D-mannopyranosyl-(1->3)-alpha-D-mannopyranose", 2914 },
	{ "2M7", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4S,5S)-2-methyl-5-(phenylethynyl)pyrrolidine-3,4-diol", 2915 },
	{ "2M8", "", "", ResidueType::NON_POLYMER, false, "2-O-ALPHA-MANNOSYL-D-GLYCERATE", 2916 },
	{ "2M9", "", "", ResidueType::NON_POLYMER, false, "8-methoxypyrene-1,3,6-trisulfonic acid", 2917 },
	{ "2MA", "", "", ResidueType::RNA_LINKING, false, "2-METHYLADENOSINE-5'-MONOPHOSPHATE", 2918 },
	{ "2MB", "", "", ResidueType::NON_POLYMER, true, "2-METHYL BUT-2-ENE", 2919 },
	{ "2MC", "", "", ResidueType::NON_POLYMER, false, "METHACRYLYL-COENZYME A", 2920 },
	{ "2MD", "", "", ResidueType::NON_POLYMER, false, "", 2921 },
	{ "2ME", "", "", ResidueType::NON_POLYMER, false, "METHOXYETHANE", 2922 },
	{ "2MG", "", "", ResidueType::RNA_LINKING, false, "2N-METHYLGUANOSINE-5'-MONOPHOSPHATE", 2923 },
	{ "2MH", "", "", ResidueType::NON_POLYMER, false, "cis-4-methylcyclohexanamine", 2924 },
	{ "2MI", "", "", ResidueType::NON_POLYMER, false, "2-METHYL-1H-INDOLE", 2925 },
	{ "2MJ", "", "", ResidueType::NON_POLYMER, false, "(2R,3S)-3-amino-5-methylhexane-1,2-diol", 2926 },
	{ "2MK", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(benzyloxy)carbonyl]-L-leucyl-N-[(2R,3S)-1,2-dihydroxy-5-methylhexan-3-yl]-L-leucinamide", 2927 },
	{ "2ML", "", "", ResidueType::PEPTIDE_LINKING, false, "2-METHYLLEUCINE", 2928 },
	{ "2MM", "", "", ResidueType::NON_POLYMER, false, "N,N-dimethyl-L-methionine", 2929 },
	{ "2MN", "", "", ResidueType::NON_POLYMER, false, "Metronidazole", 2930 },
	{ "2MO", "", "", ResidueType::NON_POLYMER, false, "MOLYBDENUM (IV)OXIDE", 2931 },
	{ "2MP", "", "", ResidueType::NON_POLYMER, false, "3,4-DIMETHYLPHENOL", 2932 },
	{ "2MQ", "", "", ResidueType::NON_POLYMER, false, "6-amino-4-(2-aminoethyl)-2-(methylamino)-1,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 2933 },
	{ "2MR", "", "", ResidueType::PEPTIDE_LINKING, false, "N3, N4-DIMETHYLARGININE", 2934 },
	{ "2MT", "", "", ResidueType::PEPTIDE_LINKING, false, "(4R)-2,2-DIMETHYL-1,3-THIAZOLIDINE-4-CARBOXYLIC ACID", 2935 },
	{ "2MU", "", "", ResidueType::RNA_LINKING, false, "2',5-DIMETHYLURIDINE-5'-MONOPHOSPHATE", 2936 },
	{ "2MV", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,3R,5Z,7E,14beta,17alpha)-17-[(2S,4S)-4-(2-hydroxy-2-methylpropyl)-2-methyltetrahydrofuran-2-yl]-2-methyl-9,10-secoandrosta-5,7,10-triene-1,3-diol", 2937 },
	{ "2MX", "", "", ResidueType::NON_POLYMER, false, "", 2938 },
	{ "2MY", "", "", ResidueType::NON_POLYMER, false, "2,6-dimethylphenol", 2939 },
	{ "2MZ", "", "", ResidueType::NON_POLYMER, false, "2-METHYLIMIDAZOLE", 2940 },
	{ "2N0", "", "", ResidueType::NON_POLYMER, false, "1-benzyl-2-ethyl-1,5,6,7-tetrahydro-4H-indol-4-one", 2941 },
	{ "2N2", "", "", ResidueType::NON_POLYMER, false, "2-(3,6-dihydroxy-9H-xanthen-9-yl)-5-{[(6-oxohexyl)carbamothioyl]amino}benzoic acid", 2942 },
	{ "2N5", "", "", ResidueType::NON_POLYMER, false, "2-(4-fluorophenyl)-N-methyl-6-[(methylsulfonyl)amino]-5-(propan-2-yloxy)-1-benzofuran-3-carboxamide", 2943 },
	{ "2N6", "", "", ResidueType::NON_POLYMER, false, "4-(2,4-dimethylphenyl)-2-(methylsulfanyl)-7H-pyrrolo[2,3-d]pyrimidine-5-carbonitrile", 2944 },
	{ "2N7", "", "", ResidueType::NON_POLYMER, false, "(1aR,12bS)-8-cyclohexyl-N-(dimethylsulfamoyl)-11-methoxy-1a-{[(1R,5S)-3-methyl-3,8-diazabicyclo[3.2.1]oct-8-yl]carbonyl}-1,1a,2,12b-tetrahydrocyclopropa[d]indolo[2,1-a][2]benzazepine-5-carboxamide", 2945 },
	{ "2N8", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[3-chloro-4-(methylsulfonyl)phenyl]-3-[(1R)-3-oxocyclopentyl]-N-(pyrazin-2-yl)propanamide", 2946 },
	{ "2N9", "", "", ResidueType::NON_POLYMER, false, "ethyl 4-aminoquinoline-3-carboxylate", 2947 },
	{ "2NA", "", "", ResidueType::NON_POLYMER, false, "naphthalen-2-ylmethanol", 2948 },
	{ "2NB", "", "", ResidueType::NON_POLYMER, false, "3-nitroquinolin-4-amine", 2949 },
	{ "2NC", "1ZD", "", ResidueType::PEPTIDE_LIKE, false, "N-{(2S)-2-[(N-acetyl-L-threonyl-L-isoleucyl)amino]hexyl}-L-norleucyl-L-glutaminyl-N~5~-[amino(iminio)methyl]-L-ornithinamide", 2950 },
	{ "2ND", "", "", ResidueType::NON_POLYMER, false, "2'-DEOXYINOSINE", 2951 },
	{ "2NE", "", "", ResidueType::NON_POLYMER, false, "Salicylyl CoA", 2952 },
	{ "2NF", "", "", ResidueType::NON_POLYMER, false, "[[(2R,3S,4R,5R)-5-(6-aminopurin-9-yl)-3,4-dihydroxyoxolan-2-yl]methoxy-hydroxyphosphoryl] [(2R,3S,4R,5R)-5-(3-carbamoylpyridin-1-ium-1yl)- 3-fluoro-,4- hydroxyoxolan-2-yl]methyl phosphate", 2953 },
	{ "2NG", "", "", ResidueType::NON_POLYMER, false, "4-({4-methyl-3-[(3-nitrobenzoyl)amino]benzoyl}amino)naphthalene-1,5-disulfonic acid", 2954 },
	{ "2NH", "", "", ResidueType::NON_POLYMER, false, "N-ACETYL-S-[(2E,6E)-3,7,11-TRIMETHYLDODECA-2,6,10-TRIENYL]-L-CYSTEINYL-D-VALYL-L-ISOLEUCYL-L-METHIONINE", 2955 },
	{ "2NI", "", "", ResidueType::NON_POLYMER, false, "N-{2-[(4'-CYANO-1,1'-BIPHENYL-4-YL)OXY]ETHYL}-N'-HYDROXY-N-METHYLUREA", 2956 },
	{ "2NJ", "", "", ResidueType::NON_POLYMER, false, "(4S)-1-methyl-4-phenyl-1,3,4,5-tetrahydro-2H-1,5-benzodiazepin-2-one", 2957 },
	{ "2NK", "", "", ResidueType::NON_POLYMER, false, "2,6-difluoro-4-{4-[4-(4-methylpiperazin-1-yl)phenyl]pyridin-3-yl}phenol", 2958 },
	{ "2NL", "", "", ResidueType::NON_POLYMER, false, "2-{3-[(4-chloropyridin-2-yl)amino]phenoxy}-N-methylacetamide", 2959 },
	{ "2NM", "", "", ResidueType::NON_POLYMER, false, "3-(3-methoxyphenyl)-5-(trifluoromethyl)-1H-pyrazole", 2960 },
	{ "2NO", "", "", ResidueType::NON_POLYMER, false, "NITROGEN DIOXIDE", 2961 },
	{ "2NP", "", "", ResidueType::NON_POLYMER, false, "L-2-AMINO-6-METHYLENE-PIMELIC ACID", 2962 },
	{ "2NQ", "", "", ResidueType::NON_POLYMER, false, "N-{2-chloro-5-[4-(morpholin-4-yl)quinolin-6-yl]pyridin-3-yl}-4-fluorobenzenesulfonamide", 2963 },
	{ "2NR", "", "", ResidueType::NON_POLYMER, false, "7-(2-fluoro-6-methoxyphenyl)-N-(3,4,5-trimethoxyphenyl)-1,3-benzoxazol-2-amine", 2964 },
	{ "2NS", "", "", ResidueType::NON_POLYMER, false, "7-(1H-benzimidazol-7-yl)-N-(3,4,5-trimethoxyphenyl)-1,3-benzoxazol-2-amine", 2965 },
	{ "2NT", "", "", ResidueType::RNA_LINKING, false, "", 2966 },
	{ "2NV", "", "", ResidueType::NON_POLYMER, false, "3,6,9,12,15-pentaoxaoctadecan-17-amine", 2967 },
	{ "2NW", "", "", ResidueType::NON_POLYMER, false, "3-bromoquinolin-4-amine", 2968 },
	{ "2NX", "", "", ResidueType::NON_POLYMER, false, "dimethyl benzoylphosphoramidate", 2969 },
	{ "2NY", "", "", ResidueType::NON_POLYMER, false, "N~2~,N~2~-diethylquinazoline-2,4-diamine", 2970 },
	{ "2NZ", "", "", ResidueType::NON_POLYMER, false, "1-(1H-benzimidazol-1-yl)propan-2-one", 2971 },
	{ "2O0", "", "", ResidueType::NON_POLYMER, false, "3-(1H-benzimidazol-1-yl)propanamide", 2972 },
	{ "2O1", "", "", ResidueType::NON_POLYMER, false, "2,3-dihydrobenzo[h][1,6]naphthyridin-4(1H)-one", 2973 },
	{ "2O2", "", "", ResidueType::NON_POLYMER, false, "1-{2-deoxy-3,5-O-[phenyl(phosphono)methylidene]-beta-D-threo-pentofuranosyl}-5-[(E)-2-phosphonoethenyl]pyrimidine-2,4(1H,3H)-dione", 2974 },
	{ "2O3", "", "", ResidueType::NON_POLYMER, false, "(3R)-N-[3-(3,4-dihydroquinolin-1(2H)-yl)propyl]-3-methyl-2-oxo-1,2,3,4-tetrahydroquinoxaline-5-carboxamide", 2975 },
	{ "2O4", "", "", ResidueType::NON_POLYMER, false, "(3R)-N-[3-(7-methoxy-3,4-dihydroquinolin-1(2H)-yl)propyl]-3-methyl-2-oxo-1,2,3,4-tetrahydroquinoxaline-5-carboxamide", 2976 },
	{ "2O5", "", "", ResidueType::NON_POLYMER, false, "(4-{[4-(3-chlorophenyl)-6-cyclopropyl-1,3,5-triazin-2-yl]amino}phenyl)acetic acid", 2977 },
	{ "2O6", "", "", ResidueType::NON_POLYMER, false, "5-(trifluoromethyl)-1,2-benzoxazol-3-amine", 2978 },
	{ "2O7", "", "", ResidueType::NON_POLYMER, false, "7A-[(4-cyanophenyl)methyl]-6-(3,5-dichlorophenyl)-5-oxo-2,3,5,7A-tetrahydro-1H-pyrrolo[1,2-A]pyrrole-7-carbonitrile", 2979 },
	{ "2O8", "", "", ResidueType::NON_POLYMER, false, "4-[(trifluoromethyl)sulfanyl]benzamide", 2980 },
	{ "2OA", "", "DTP", ResidueType::NON_POLYMER, true, "2'DEOXYADENOSINE-5'-TRIPHOSPHATE", 2981 },
	{ "2OB", "", "", ResidueType::NON_POLYMER, false, "CHOLESTERYL OLEATE", 2982 },
	{ "2OD", "", "", ResidueType::NON_POLYMER, false, "5'-methoxy-6'-[3-(pyrrolidin-1-yl)propoxy]spiro[cyclobutane-1,3'-indol]-2'-amine", 2983 },
	{ "2OE", "", "", ResidueType::NON_POLYMER, false, "3-[(2-methyl-6-phenylpyridin-4-yl)oxy]phenol", 2984 },
	{ "2OF", "", "", ResidueType::NON_POLYMER, true, "FERROUS ION, 2 WATERS COORDINATED", 2985 },
	{ "2OG", "", "AKG", ResidueType::NON_POLYMER, true, "2-OXO-GLUTARIC ACID", 2986 },
	{ "2OH", "", "", ResidueType::NON_POLYMER, false, "4,4'-PROPANE-2,2-DIYLDIPHENOL", 2987 },
	{ "2OJ", "", "", ResidueType::NON_POLYMER, false, "N-(2-{[5-(5-chlorothiophen-2-yl)-1,2-oxazol-3-yl]methoxy}-6-{3-[(2,3,4,6-tetra-O-acetyl-beta-D-glucopyranosyl)oxy]propoxy}phenyl)-1-(propan-2-yl)piperidine-4-carboxamide", 2988 },
	{ "2OK", "", "", ResidueType::NON_POLYMER, false, "4-(3-methoxy-5-methylphenoxy)-2-(4-methoxyphenyl)-6-methylpyridine", 2989 },
	{ "2OL", "", "", ResidueType::NON_POLYMER, false, "1-({1-(2-aminopyrimidin-4-yl)-2-[(2-methoxyethyl)amino]-1H-benzimidazol-6-yl}ethynyl)cyclohexanol", 2990 },
	{ "2OM", "", "", ResidueType::RNA_LINKING, false, "", 2991 },
	{ "2ON", "", "", ResidueType::NON_POLYMER, false, "2-sulfanyl-1,9-dihydro-6H-purin-6-one", 2992 },
	{ "2OO", "", "", ResidueType::NON_POLYMER, false, "4-[1-(4-amino-1,3,5-triazin-2-yl)-2-(ethylamino)-1H-benzimidazol-6-yl]-2-methylbut-3-yn-2-ol", 2993 },
	{ "2OP", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-HYDROXYPROPANOIC ACID", 2994 },
	{ "2OQ", "", "", ResidueType::NON_POLYMER, false, "1-{[1-(4-amino-1,3,5-triazin-2-yl)-2-methyl-1H-benzimidazol-6-yl]ethynyl}cyclohexanol", 2995 },
	{ "2OR", "", "", ResidueType::PEPTIDE_LINKING, false, "amino{[(2R,3R,4S)-4-amino-2,3,5-trihydroxy-5-oxopentyl]amino}methaniminium", 2996 },
	{ "2OS", "", "", ResidueType::NON_POLYMER, false, "3-N-OCTANOYLSUCROSE", 2997 },
	{ "2OT", "", "", ResidueType::RNA_LINKING, false, "", 2998 },
	{ "2OU", "", "", ResidueType::NON_POLYMER, false, "(2-{[(1s,2R,3R,4r,5S,6S)-4-(benzyloxy)-2,3,5,6-tetrakis(phosphonooxy)cyclohexyl]oxy}-2-oxoethyl)phosphonic acid", 2999 },
	{ "2OV", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3r,4S,5S,6s)-3,6-bis(benzyloxy)cyclohexane-1,2,4,5-tetrayl tetrakis[dihydrogen (phosphate)]", 3000 },
	{ "2OW", "", "", ResidueType::NON_POLYMER, false, "methyl 4-(2-fluoro-3-{[(6-methylpyridin-3-yl)carbamoyl]amino}benzyl)piperazine-1-carboxylate", 3001 },
	{ "2OX", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4S,5S)-2-methyl-5-(1-phenyl-1H-1,2,3-triazol-4-yl)pyrrolidine-3,4-diol", 3002 },
	{ "2OY", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S,3S)-7-amino-1-chloro-2-hydroxyheptan-3-yl]-4-methylbenzenesulfonamide (Bound Form)", 3003 },
	{ "2OZ", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,4R,5S)-N-(4-fluorophenyl)-3,4,5-trihydroxy-2-(hydroxymethyl)piperidine-1-carbothioamide", 3004 },
	{ "2P0", "", "", ResidueType::PEPTIDE_LINKING, false, "1-({[(S)-hydroxy(phosphonooxy)phosphoryl]oxy}acetyl)-L-proline", 3005 },
	{ "2P1", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[3-(trifluoromethyl)phenyl]sulfonyl}benzyl)-2H-pyrazolo[3,4-b]pyridine-5-carboxamide", 3006 },
	{ "2P2", "", "", ResidueType::NON_POLYMER, false, "1-[(2R,5S)-2-tert-butyl-5-({(2S)-2-[(1R)-1,2-dihydroxyethyl]pyrrolidin-1-yl}carbonyl)pyrrolidin-1-yl]-4-phenylbutan-1-one", 3007 },
	{ "2P3", "", "", ResidueType::NON_POLYMER, false, "5-[(2S)-2,3-dihydro-1,4-benzodioxin-2-yl]-2,4-dihydro-3H-1,2,4-triazole-3-thione", 3008 },
	{ "2P4", "", "", ResidueType::NON_POLYMER, false, "(5R)-N-benzyl-5-({(2S)-2-[(1R)-1,2-dihydroxyethyl]pyrrolidin-1-yl}carbonyl)cyclopent-1-ene-1-carboxamide", 3009 },
	{ "2P5", "", "", ResidueType::NON_POLYMER, false, "4-tert-butyl-N-[2-methyl-3-(6-{[4-(morpholin-4-ylcarbonyl)phenyl]amino}-7H-purin-2-yl)phenyl]benzamide", 3010 },
	{ "2P6", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-[1-(4-phenylbutanoyl)-L-prolyl]pyrrolidine-2-carbonitrile", 3011 },
	{ "2P7", "", "", ResidueType::NON_POLYMER, false, "[3,4-BIS(FLUORANYL)-2-[(2-FLUORANYL-4-IODANYL-PHENYL)AMINO]PHENYL]-(3-OXIDANYLAZETIDIN-1-YL)METHANONE", 3012 },
	{ "2P8", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-benzyl-2-({(2S)-2-[(1R)-1,2-dihydroxyethyl]pyrrolidin-1-yl}carbonyl)pyrrolidine-1-carboxamide", 3013 },
	{ "2P9", "", "", ResidueType::NON_POLYMER, false, "5-{4-[({[4-(5-carboxyfuran-2-yl)-2-chlorophenyl]carbonothioyl}amino)methyl]phenyl}-1-(3,4-dichlorophenyl)-1H-pyrazole-3-carboxylic acid", 3014 },
	{ "2PA", "", "", ResidueType::NON_POLYMER, false, "DIAMIDOPHOSPHATE", 3015 },
	{ "2PB", "", "", ResidueType::NON_POLYMER, false, "2-[(DIOXIDOPHOSPHINO)OXY]BENZOATE", 3016 },
	{ "2PC", "", "", ResidueType::NON_POLYMER, false, "3,4-DIHYDRO-2H-PYRROLIUM-5-CARBOXYLATE", 3017 },
	{ "2PD", "", "", ResidueType::NON_POLYMER, false, "5-hydroxy-4-(7-methoxy-1,1-dioxido-2H-1,2,4-benzothiadiazin-3-yl)-2-(3-methylbutyl)-6-phenylpyridazin-3(2H)-one", 3018 },
	{ "2PE", "", "", ResidueType::NON_POLYMER, false, "NONAETHYLENE GLYCOL", 3019 },
	{ "2PF", "", "", ResidueType::NON_POLYMER, false, "", 3020 },
	{ "2PG", "PAG", "", ResidueType::NON_POLYMER, false, "2-PHOSPHOGLYCERIC ACID", 3021 },
	{ "2PH", "", "", ResidueType::NON_POLYMER, false, "[7,8-DIHYDRO-PTERIN-6-YL METHANYL]-PHOSPHONOPHOSPHATE", 3022 },
	{ "2PI", "", "NVA", ResidueType::PEPTIDE_LINKING, true, "2-AMINO-PENTANOIC ACID", 3023 },
	{ "2PJ", "", "", ResidueType::NON_POLYMER, false, "tert-butyl [(2S)-2-(2,5-difluorophenyl)-3-(quinolin-3-yl)propyl]carbamate", 3024 },
	{ "2PK", "", "", ResidueType::NON_POLYMER, false, "2-amino-5-(4-hydroxybenzyl)-4H-1lambda~4~,3-thiazol-4-one", 3025 },
	{ "2PL", "", "PGA", ResidueType::NON_POLYMER, true, "PHOSPHOGLYCOLIC ACID", 3026 },
	{ "2PM", "", "", ResidueType::NON_POLYMER, false, "N-[2-(BENZHYDRYLOXY)ETHYL]-N,N-DIMETHYLAMINE", 3027 },
	{ "2PN", "", "", ResidueType::NON_POLYMER, false, "IMIDODIPHOSPHORIC ACID", 3028 },
	{ "2PO", "", "", ResidueType::NON_POLYMER, false, "PHOSPHONATE", 3029 },
	{ "2PP", "", "", ResidueType::NON_POLYMER, false, "2-PROPYL-PENTANOIC ACID", 3030 },
	{ "2PQ", "", "", ResidueType::NON_POLYMER, false, "2-[(1-{3-[4-(biphenyl-4-ylcarbonyl)-2-propylphenoxy]propyl}-1,2,3,4-tetrahydroquinolin-5-yl)oxy]-2-methylpropanoic acid", 3031 },
	{ "2PR", "", "", ResidueType::DNA_LINKING, false, "2-AMINO-9-[2-DEOXYRIBOFURANOSYL]-9H-PURINE-5'-MONOPHOSPHATE", 3032 },
	{ "2PS", "", "", ResidueType::PEPTIDE_LIKE, false, "phenyl (3S)-3-amino-5-phenylpentane-1-sulfonate", 3033 },
	{ "2PT", "", "", ResidueType::NON_POLYMER, false, "1-[2-(ACRIDIN-9-YLAMINO)ETHYL]-1,3-DIMETHYLTHIOUREA-PLATINUM(II)-ETHANE-1,2-DIAMINE", 3034 },
	{ "2PU", "", "", ResidueType::NON_POLYMER, false, "1-(5-OXO-2,3,5,9B-TETRAHYDRO-1H-PYRROLO[2,1-A]ISOINDOL-9-YL)-3-(5-PYRROLIDIN-2-YL-1H-PYRAZOL-3-YL)-UREA", 3035 },
	{ "2PV", "", "", ResidueType::NON_POLYMER, false, "2-amino-5-(4-aminobenzyl)-4H-1lambda~4~,3-thiazol-4-one", 3036 },
	{ "2PW", "", "", ResidueType::NON_POLYMER, false, "(5E)-3-[(2R)-butan-2-yl]-5-(4-hydroxybenzylidene)-2-sulfanyl-3,5-dihydro-4H-1lambda~4~,3-thiazol-4-one", 3037 },
	{ "2PX", "", "", ResidueType::NON_POLYMER, false, "N-{1-[(5-methyl-1H-indol-3-yl)methyl]piperidin-4-yl}-L-tryptophanamide", 3038 },
	{ "2PY", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-{[5-(1H-INDAZOL-5-YL)PYRIDIN-3-YL]OXY}-3-[(7AS)-7AH-INDOL-3-YL]PROPAN-2-AMINE", 3039 },
	{ "2PZ", "", "", ResidueType::NON_POLYMER, false, "N-[1-(1H-indol-3-ylmethyl)piperidin-4-yl]glycinamide", 3040 },
	{ "2Q0", "", "", ResidueType::NON_POLYMER, false, "5-(4-hydroxybenzyl)-3-(2-methylpropyl)-2-thioxo-2,3-dihydro-4H-1lambda~4~,3-thiazol-4-one", 3041 },
	{ "2Q2", "", "", ResidueType::NON_POLYMER, false, "L-galactonic acid", 3042 },
	{ "2Q4", "", "", ResidueType::NON_POLYMER, false, "N-{(2R)-1-[(4S)-4-(4-chlorophenyl)-4-hydroxy-3,3-dimethylpiperidin-1-yl]-3-methyl-1-oxobutan-2-yl}-3-hydroxy-3-methylbutanamide", 3043 },
	{ "2Q5", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-{[(2R)-2-{[(2S)-2-{[(2R)-2-hydroxypropyl]oxy}propyl]oxy}propyl]oxy}propan-1-ol", 3044 },
	{ "2Q6", "", "", ResidueType::NON_POLYMER, false, "methyl [(2S)-2-[4-({5-[4-({(2S)-2-[(3S)-3-amino-2-oxopiperidin-1-yl]-2-cyclohexylacetyl}amino)phenyl]pentyl}oxy)phenyl]-3-(quinolin-3-yl)propyl]carbamate", 3045 },
	{ "2Q8", "", "", ResidueType::NON_POLYMER, false, "4-(2,7,7-trimethyl-5-oxo-1,2,3,4,5,6,7,8-octahydro-9H-beta-carbolin-9-yl)benzamide", 3046 },
	{ "2Q9", "", "", ResidueType::NON_POLYMER, false, "2,7,7-trimethyl-9-[1-oxo-8-(propan-2-ylamino)-1,2,3,4-tetrahydroisoquinolin-6-yl]-1,2,3,4,6,7,8,9-octahydro-5H-beta-carbolin-5-one", 3047 },
	{ "2QA", "", "", ResidueType::NON_POLYMER, false, "8-cyclopentyl-6-(3,6,6-trimethyl-4-oxo-4,5,6,7-tetrahydro-1H-indol-1-yl)-3,4-dihydroisoquinolin-1(2H)-one", 3048 },
	{ "2QB", "", "", ResidueType::NON_POLYMER, false, "5-(azidomethyl)-2-methylpyrimidin-4-amine", 3049 },
	{ "2QC", "", "", ResidueType::NON_POLYMER, false, "1-[4-(1,2,3-thiadiazol-4-yl)phenyl]methanamine", 3050 },
	{ "2QD", "", "", ResidueType::PEPTIDE_LINKING, false, "(4R)-4-[3-(methylamino)-3-oxopropyl]-L-glutamic acid", 3051 },
	{ "2QE", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-4-(3-Methoxy-3-oxopropyl) glutamic acid", 3052 },
	{ "2QF", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(3,5-difluorophenyl)sulfonyl]benzyl}indolizine-7-carboxamide", 3053 },
	{ "2QG", "", "", ResidueType::NON_POLYMER, false, "2-[6-(4-chlorophenoxy)hexyl]-1-cyano-3-pyridin-4-ylguanidine", 3054 },
	{ "2QH", "", "", ResidueType::NON_POLYMER, false, "(8R)-3,3-difluoro-8-[4-fluoro-3-(pyridin-3-yl)phenyl]-8-(4-methoxy-3-methylphenyl)-2,3,4,8-tetrahydroimidazo[1,5-a]pyrimidin-6-amine", 3055 },
	{ "2QJ", "", "", ResidueType::NON_POLYMER, false, "(2R)-N-{4-[(3-bromophenyl)sulfonyl]-2-chlorophenyl}-3,3,3-trifluoro-2-hydroxy-2-methylpropanamide", 3056 },
	{ "2QK", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-1-(2-chlorophenyl)propyl]-3-{4-[(1-methylpiperidin-4-yl)oxy]phenyl}-1H-indazole-5-carboxamide", 3057 },
	{ "2QL", "", "", ResidueType::NON_POLYMER, false, "(11R,12R,13R)-11,12,13,14-tetrahydronaphtho[1,2,3,4-pqr]tetraphene-11,12,13-triol", 3058 },
	{ "2QM", "", "", ResidueType::NON_POLYMER, false, "N~2~-{[(S)-carboxy(4-hydroxyphenyl)methyl]carbamoyl}-N~6~-(4-iodobenzoyl)-L-lysine", 3059 },
	{ "2QN", "", "", ResidueType::NON_POLYMER, false, "N~2~-{[(1S)-1-carboxy-2-(pyridin-4-yl)ethyl]carbamoyl}-N~6~-(4-iodobenzoyl)-L-lysine", 3060 },
	{ "2QO", "", "", ResidueType::NON_POLYMER, false, "", 3061 },
	{ "2QP", "", "", ResidueType::NON_POLYMER, false, "N~2~-{[(1S)-1-carboxy-2-(furan-2-yl)ethyl]carbamoyl}-N~6~-(4-iodobenzoyl)-L-lysine", 3062 },
	{ "2QQ", "", "", ResidueType::NON_POLYMER, false, "N~2~-{[(1S)-1-carboxybut-3-yn-1-yl]carbamoyl}-N~6~-(4-iodobenzoyl)-L-lysine", 3063 },
	{ "2QR", "", "", ResidueType::NON_POLYMER, false, "", 3064 },
	{ "2QS", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[({(1S)-1-carboxy-2-[(2S)-oxiran-2-yl]ethyl}carbamoyl)amino]-6-[(4-iodobenzoyl)amino]hexanoic acid (non-preferred name)", 3065 },
	{ "2QT", "", "", ResidueType::NON_POLYMER, false, "N-[3-(4-aminoquinazolin-6-yl)-5-fluorophenyl]-2-(pyrrolidin-1-yl)acetamide", 3066 },
	{ "2QU", "", "", ResidueType::NON_POLYMER, false, "6-(2-fluoropyridin-4-yl)pyrido[3,2-d]pyrimidin-4-amine", 3067 },
	{ "2QV", "", "", ResidueType::NON_POLYMER, false, "6-(3-chlorophenyl)quinazolin-4-amine", 3068 },
	{ "2QW", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-N-{(1S)-1-cyclohexyl-2-[(4-methylphenyl)amino]-2-oxoethyl}-4-(methylselanyl)butanamide", 3069 },
	{ "2QX", "", "", ResidueType::NON_POLYMER, false, "methyl [(2S)-2-(5-{5-[4-({(2S)-2-[(3S)-3-amino-2-oxopiperidin-1-yl]-2-cyclohexylacetyl}amino)phenyl]pentyl}-2-fluorophenyl)-3-(quinolin-3-yl)propyl]carbamate", 3070 },
	{ "2QY", "", "", ResidueType::PEPTIDE_LINKING, false, "(2Z)-3-(4-hydroxyphenyl)-2-(methylamino)prop-2-enoic acid", 3071 },
	{ "2QZ", "", "", ResidueType::PEPTIDE_LINKING, false, "N,N-dimethyl-L-threonine", 3072 },
	{ "2R1", "", "", ResidueType::PEPTIDE_LINKING, false, "(2E)-2-amino-4-hydroxy-3-[(2R)-oxiran-2-yl]but-2-enoic acid", 3073 },
	{ "2R2", "", "", ResidueType::NON_POLYMER, false, "[4-(2-methoxyethyl)piperazin-1-yl][6-methyl-7-nitro-5-(trifluoromethyl)-1,3-benzothiazol-2-yl]methanone", 3074 },
	{ "2R3", "", "", ResidueType::PEPTIDE_LINKING, false, "(betaR)-beta-hydroxy-O-methyl-L-tyrosine", 3075 },
	{ "2R4", "", "", ResidueType::NON_POLYMER, false, "8-(dibenzo[b,d]thiophen-4-yl)-2-(morpholin-4-yl)-4H-chromen-4-one", 3076 },
	{ "2R5", "", "", ResidueType::NON_POLYMER, false, "N-tert-butyl-3-{[5-methyl-2-({4-[2-(1H-pyrrol-1-yl)ethoxy]phenyl}amino)pyrimidin-4-yl]amino}benzenesulfonamide", 3077 },
	{ "2R6", "", "", ResidueType::NON_POLYMER, false, "8-(2-methylpropyl)-6-(3,6,6-trimethyl-4-oxo-4,5,6,7-tetrahydro-1H-indol-1-yl)-3,4-dihydroisoquinolin-1(2H)-one", 3078 },
	{ "2R7", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(1-carboxycyclopropyl)carbamoyl]-N~6~-(4-iodobenzoyl)-L-lysine", 3079 },
	{ "2R8", "", "", ResidueType::NON_POLYMER, false, "N-(tert-butoxycarbonyl)-3-methyl-L-valyl-(4R)-N-{(1R,2S)-1-[(cyclopropylsulfonyl)carbamoyl]-2-ethenylcyclopropyl}-4-[(6-methoxyisoquinolin-1-yl)oxy]-L-prolinamide", 3080 },
	{ "2R9", "", "", ResidueType::NON_POLYMER, false, "N-(tert-butoxycarbonyl)-3-methyl-L-valyl-(4R)-4-[(7-chloro-4-methoxyisoquinolin-1-yl)oxy]-N-{(1R,2S)-1-[(cyclopropylsulfonyl)carbamoyl]-2-ethenylcyclopropyl}-L-prolinamide", 3081 },
	{ "2RA", "", "", ResidueType::PEPTIDE_LINKING, false, "3-amino-D-alanine", 3082 },
	{ "2RB", "", "", ResidueType::NON_POLYMER, false, "N'-[(1E)-(3,5-dibromo-2,4-dihydroxyphenyl)methylidene]-4-methoxybenzohydrazide", 3083 },
	{ "2RC", "", "", ResidueType::NON_POLYMER, false, "[6-({5-fluoro-2-[(3,4,5-trimethoxyphenyl)amino]pyrimidin-4-yl}amino)-2,2-dimethyl-3-oxo-2,3-dihydro-4H-pyrido[3,2-b][1,4]oxazin-4-yl]methyl dihydrogen phosphate", 3084 },
	{ "2RD", "", "", ResidueType::NON_POLYMER, false, "5-(dodecylthio)-1H-1,2,3-triazole-4-carboxylic acid", 3085 },
	{ "2RE", "", "", ResidueType::NON_POLYMER, false, "4-[4-(4-fluorophenyl)-5-(pyridin-4-yl)-1H-imidazol-2-yl]phenol", 3086 },
	{ "2RF", "", "", ResidueType::NON_POLYMER, false, "3-[(3-chloro-4-hydroxyphenyl)amino]-4-(3-chlorophenyl)-1H-pyrrole-2,5-dione", 3087 },
	{ "2RG", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4S)-4-({(3S,5S)-5-[(3-carboxyphenyl)carbamoyl]pyrrolidin-3-yl}sulfanyl)-2-[(1S,2R)-1-formyl-2-hydroxypropyl]-3-methyl-3,4-dihydro-2H-pyrrole-5-carboxylic acid", 3088 },
	{ "2RH", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-hydroxy-4-methylpentanoic acid", 3089 },
	{ "2RJ", "", "", ResidueType::NON_POLYMER, false, "2-(2,3-dimethylphenoxy)-4-[4-(4-fluorophenyl)-1-(piperidin-4-yl)-1H-imidazol-5-yl]pyrimidine", 3090 },
	{ "2RK", "", "", ResidueType::NON_POLYMER, false, "4-[(5Z)-5-(1-nitroso-2,3-dihydro-5H-inden-5-ylidene)-2-(piperidin-4-yl)-3,5-dihydro-4H-imidazol-4-ylidene]-1,4-dihydropyridine", 3091 },
	{ "2RL", "", "", ResidueType::NON_POLYMER, false, "N-(4-CHLOROPHENYL)-7-[(6,7-DIMETHOXYQUINOLIN-4-YL)OXY]-2,3-DIHYDRO-1,4-BENZOXAZINE-4-CARBOXAMIDE", 3092 },
	{ "2RM", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(3,5-difluorophenyl)sulfonyl]benzyl}indolizine-6-carboxamide", 3093 },
	{ "2RN", "", "", ResidueType::NON_POLYMER, false, "3-[2-phenyl-4-(pyridin-4-yl)-1H-imidazol-5-yl]phenol", 3094 },
	{ "2RO", "", "", ResidueType::NON_POLYMER, false, "5-[2-(4-tert-butylphenyl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 3095 },
	{ "2RQ", "", "", ResidueType::NON_POLYMER, false, "4-[4-(4-fluorophenyl)-1-(piperidin-4-yl)-1H-imidazol-5-yl]-2-(2-methoxyphenoxy)pyrimidine", 3096 },
	{ "2RR", "", "", ResidueType::NON_POLYMER, false, "3-[(4-{1-[2-(4-aminophenyl)-2-oxoethyl]-1H-benzimidazol-2-yl}-1,2,5-oxadiazol-3-yl)amino]propanenitrile", 3097 },
	{ "2RS", "", "", ResidueType::NON_POLYMER, false, "4-({4-[3-(morpholin-4-yl)propoxy]-6-[(2,4,6-trimethylphenyl)amino]-1,3,5-triazin-2-yl}amino)benzonitrile", 3098 },
	{ "2RT", "", "", ResidueType::NON_POLYMER, false, "4-({4-[(2,4,6-trimethylphenyl)amino]-1,3,5-triazin-2-yl}amino)benzonitrile", 3099 },
	{ "2RU", "", "", ResidueType::NON_POLYMER, false, "1-[1-(2-methylpropanoyl)piperidin-4-yl]-3-[4-(trifluoromethyl)phenyl]urea", 3100 },
	{ "2RV", "", "", ResidueType::NON_POLYMER, false, "1-(1-propanoylpiperidin-4-yl)-3-[4-(trifluoromethoxy)phenyl]urea", 3101 },
	{ "2RW", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]methyl [(2R,3S)-3-hydroxytetrahydrofuran-2-yl]methyl dihydrogen diphosphate", 3102 },
	{ "2RX", "", "", ResidueType::PEPTIDE_LINKING, false, "O-thiophosphono-L-serine", 3103 },
	{ "2RY", "", "", ResidueType::NON_POLYMER, false, "1-[4-(8lambda~4~-cyclopenta[4,5]thieno[2,3-d]pyrimidin-4-yl)piperazin-1-yl]-2-[2-(trifluoromethyl)phenyl]ethanone", 3104 },
	{ "2RZ", "", "", ResidueType::NON_POLYMER, false, "N-(3,4-dimethoxybenzyl)-Nalpha-{N-[(3,4-dimethoxyphenyl)acetyl]carbamimidoyl}-D-phenylalaninamide", 3105 },
	{ "2S0", "", "", ResidueType::NON_POLYMER, false, "[(8S,11R,13S,14S,17R)-17-acetyl-11-[4-(dimethylamino)phenyl]-13-methyl-3-oxo-1,2,6,7,8,11,12,14,15,16-decahydrocyclopenta[a]phenanthren-17-yl] acetate", 3106 },
	{ "2S1", "", "", ResidueType::NON_POLYMER, false, "2-bromo-N-[(2S,3S)-4-{[2-(2,4-dichlorophenyl)ethyl][3-(1,3-dioxo-1,3-dihydro-2H-isoindol-2-yl)propanoyl]amino}-3-hydroxy-1-(3-phenoxyphenyl)butan-2-yl]-4,5-dimethoxybenzamide", 3107 },
	{ "2S2", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(1H-indol-3-yl)hexanoic acid", 3108 },
	{ "2S3", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(1H-indol-3-yl)pentanoic acid", 3109 },
	{ "2S4", "", "", ResidueType::NON_POLYMER, false, "2-(3,4-dimethoxyphenyl)-N-[N-(4-methylbenzyl)carbamimidoyl]acetamide", 3110 },
	{ "2S6", "", "", ResidueType::NON_POLYMER, false, "4-(3-{4-[(R)-cyclopentyl(hydroxy)phenylmethyl]piperidin-1-yl}propoxy)benzonitrile", 3111 },
	{ "2S7", "", "", ResidueType::NON_POLYMER, false, "4-(3-{4-[(S)-cyclopentyl(hydroxy)pyridin-2-ylmethyl]piperidin-1-yl}propoxy)benzonitrile", 3112 },
	{ "2S8", "", "", ResidueType::NON_POLYMER, false, "(2S)-8-[(tert-butoxycarbonyl)amino]-2-(1H-indol-3-yl)octanoic acid", 3113 },
	{ "2S9", "", "", ResidueType::NON_POLYMER, false, "4-(3-{4-[(R)-cyclopentyl(3-fluorophenyl)hydroxymethyl]piperidin-1-yl}propoxy)benzonitrile", 3114 },
	{ "2SA", "", "", ResidueType::RNA_LINKING, false, "2-[9-(3,4-DIHYDROXY-5-PHOSPHONOOXYMETHYL-TETRAHYDRO-FURAN-2-YL)-9H-PURIN-6-YLAMINO]-SUCCINIC ACID", 3115 },
	{ "2SB", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-N'-[(1E)-(3-bromo-4-hydroxyphenyl)methylidene]-2-phenylethanehydrazide", 3116 },
	{ "2SC", "", "", ResidueType::NON_POLYMER, false, "(5-phenyl-7-(pyridin-3-ylmethylamino)pyrazolo[1,5-a]pyrimidin-3-yl)methanol", 3117 },
	{ "2SD", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4R,5R,6R)-3,4-dihydroxy-6-(hydroxymethyl)-5-[(2R,3R,4S,5R,6R)-3,4,5-trihydroxy-6-(hydroxymethyl)oxan-2-yl]oxy-oxane-2-sulfonamide", 3118 },
	{ "2SE", "", "", ResidueType::NON_POLYMER, false, "4-(3-{4-[(S)-cyclopentyl(hydroxy)pyridin-2-ylmethyl]piperidin-1-yl}propoxy)benzenesulfonamide", 3119 },
	{ "2SF", "", "", ResidueType::NON_POLYMER, false, "4-(3-{4-[(R)-amino(cyclopentyl)phenylmethyl]piperidin-1-yl}propoxy)benzonitrile", 3120 },
	{ "2SG", "", "", ResidueType::RNA_LINKING, false, "guanosine phosphorodithioate", 3121 },
	{ "2SH", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-1-(3-chloro-4-fluorophenyl)-2-hydroxyethyl]-2-(tetrahydro-2H-pyran-4-ylamino)-5,8-dihydropyrido[3,4-d]pyrimidine-7(6H)-carboxamide", 3122 },
	{ "2SI", "", "IDS", ResidueType::PEPTIDE_LINKING, true, "2-O-SULFO-A-L-IDURONIC ACID", 3123 },
	{ "2SJ", "", "", ResidueType::NON_POLYMER, false, "N-[(7S)-10-hydroxy-1,2,3-trimethoxy-9-oxo-5,6,7,9-tetrahydrobenzo[a]heptalen-7-yl]acetamide", 3124 },
	{ "2SK", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3R,4S,5R)-4-(BENZYLAMINO)-5-(METHYLTHIO)CYCLOPENTANE-1,2,3-TRIOL", 3125 },
	{ "2SM", "", "", ResidueType::NON_POLYMER, false, "methyl 2-{[(4-methylpyrimidin-2-yl)carbamoyl]sulfamoyl}benzoate", 3126 },
	{ "2SN", "", "", ResidueType::NON_POLYMER, false, "7-[[[3-[(dimethylamino)methyl]phenyl]amino]methyl]quinolin-2-amine", 3127 },
	{ "2SO", "", "", ResidueType::PEPTIDE_LINKING, false, "3-{3-[(3R)-3,4-dihydroxybutyl]-1-(8-phenyloctyl)-1H-imidazol-3-ium-5-yl}-L-alanine", 3128 },
	{ "2SP", "", "3PH", ResidueType::NON_POLYMER, true, "(1S)-2-(PHOSPHONOOXY)-1-[(STEAROYLOXY)METHYL]ETHYL STEARATE", 3129 },
	{ "2SQ", "", "", ResidueType::NON_POLYMER, false, "(2S)-tert-butoxy[4-(8-fluoro-5-methyl-3,4-dihydro-2H-chromen-6-yl)-2-methyl-1-oxo-1,2-dihydroisoquinolin-3-yl]ethanoic acid", 3130 },
	{ "2SR", "", "", ResidueType::NON_POLYMER, false, "(2R)-8-(3,4-dimethoxyphenyl)-6-methyl-2-(tetrahydro-2H-pyran-4-yl)-2H-chromen-4-ol", 3131 },
	{ "2SS", "", "", ResidueType::NON_POLYMER, false, "(2S)-6-[[[2-(cyclobutylmethylcarbamoyl)phenyl]methyl-prop-2-enyl-amino]methyl]-2-(3-hydroxy-3-oxopropyl)-2,3-dihydro-1,4-benzodioxine-5-carboxylic acid", 3132 },
	{ "2ST", "", "", ResidueType::DNA_LINKING, false, "", 3133 },
	{ "2SU", "", "", ResidueType::NON_POLYMER, false, "alpha-(fluoromethyl)-D-tryptophan", 3134 },
	{ "2SW", "", "", ResidueType::NON_POLYMER, false, "[(3R,5R,6S)-1-[(2S)-1-(tert-butylsulfonyl)butan-2-yl]-5-(3-chlorophenyl)-6-(4-chlorophenyl)-3-methyl-2-oxopiperidin-3-yl]acetic acid", 3135 },
	{ "2SX", "", "", ResidueType::NON_POLYMER, false, "(5-bromo-1H-indol-3-yl)acetic acid", 3136 },
	{ "2SY", "", "", ResidueType::NON_POLYMER, false, "[1-(3-chlorobenzyl)-1H-indol-3-yl]acetic acid", 3137 },
	{ "2SZ", "", "", ResidueType::NON_POLYMER, false, "6-(1H-benzimidazol-1-yl)-N-hydroxy-5-[4-({6-[(4-methylpiperazin-1-yl)methyl]pyridin-3-yl}ethynyl)phenyl]pyridine-3-carboxamide", 3138 },
	{ "2T0", "", "", ResidueType::NON_POLYMER, false, "2-amino-4,5-dihydronaphtho[1,2-d][1,3]thiazol-8-yl dihydrogen phosphate", 3139 },
	{ "2T1", "", "", ResidueType::NON_POLYMER, false, "2-[({4-[2-(trifluoromethyl)phenyl]piperidin-1-yl}carbonyl)amino]benzoic acid", 3140 },
	{ "2T2", "", "", ResidueType::NON_POLYMER, false, "[1-(3-ethynylbenzyl)-1H-indol-3-yl]acetic acid", 3141 },
	{ "2T3", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-4-ANILINO-2,3-DIHYDROXY-4-OXOBUTANOIC ACID", 3142 },
	{ "2T4", "", "", ResidueType::NON_POLYMER, false, "{[(2-amino-8H-indeno[1,2-d][1,3]thiazol-4-yl)oxy]methyl}phosphonic acid", 3143 },
	{ "2T5", "", "", ResidueType::NON_POLYMER, false, "[(8H-indeno[1,2-d][1,3]thiazol-4-yloxy)methyl]phosphonic acid", 3144 },
	{ "2T6", "", "", ResidueType::NON_POLYMER, false, "{[(7-carbamoyl-8H-indeno[1,2-d][1,3]thiazol-4-yl)oxy]methyl}phosphonic acid", 3145 },
	{ "2T7", "", "", ResidueType::NON_POLYMER, false, "[1-(2-methoxy-5-nitrobenzyl)-1H-indol-3-yl]acetic acid", 3146 },
	{ "2T8", "", "", ResidueType::NON_POLYMER, false, "carbonyl(tetrachloro)oxidoiridium", 3147 },
	{ "2T9", "", "", ResidueType::NON_POLYMER, false, "[6-(3,5-diaminophenyl)-1-(2-methoxy-5-nitrobenzyl)-1H-indol-3-yl]acetic acid", 3148 },
	{ "2TA", "", "", ResidueType::NON_POLYMER, false, "N-tert-butyl-3-{[5-methyl-2-({4-[2-(pyrrolidin-1-yl)ethoxy]phenyl}amino)pyrimidin-4-yl]amino}benzenesulfonamide", 3149 },
	{ "2TB", "", "", ResidueType::NON_POLYMER, false, "1,3-DIAMINO-4,5,6-TRIHYDROXY-CYCLOHEXANE", 3150 },
	{ "2TC", "", "", ResidueType::NON_POLYMER, false, "(4S,4AS,6S,8AS)-6-[(1S)-7-CHLORO-4-HYDROXY-1-METHYL-3-OXO-1,3-DIHYDRO-2-BENZOFURAN-1-YL]-4-(DIMETHYLAMINO)-3,8A-DIHYDROXY-1,8-DIOXO-1,4,4A,5,6,7,8,8A-OCTAHYDRONAPHTHALENE-2-CARBONITRILE", 3151 },
	{ "2TD", "", "", ResidueType::NON_POLYMER, false, "tridec-12-en-2-one", 3152 },
	{ "2TE", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-{4-[(2S)-4-[(6-aminopyridin-3-yl)sulfonyl]-2-(prop-1-yn-1-yl)piperazin-1-yl]phenyl}-1,1,1-trifluorohex-4-yn-2-ol", 3153 },
	{ "2TF", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{4-[(2S)-4-[(6-aminopyridin-3-yl)sulfonyl]-2-(prop-1-yn-1-yl)piperazin-1-yl]phenyl}-3,3,3-trifluoropropane-1,2-diol", 3154 },
	{ "2TG", "", "", ResidueType::NON_POLYMER, false, "5-{[(3S)-3-(prop-1-yn-1-yl)-4-{4-[S-(trifluoromethyl)sulfonimidoyl]phenyl}piperazin-1-yl]sulfonyl}pyridin-2-amine", 3155 },
	{ "2TH", "", "", ResidueType::NON_POLYMER, false, "2-CHLORO-N-[(1R,2R)-1-HYDROXY-2,3-DIHYDRO-1H-INDEN-2-YL]-6H-THIENO[2,3-B]PYRROLE-5-CARBOXAMIDE", 3156 },
	{ "2TJ", "", "", ResidueType::NON_POLYMER, false, "4-[(2S)-4-[(6-aminopyridin-3-yl)sulfonyl]-2-(prop-1-yn-1-yl)piperazin-1-yl]-N-methylbenzenesulfonamide", 3157 },
	{ "2TK", "", "", ResidueType::NON_POLYMER, false, "2-(2-bromophenoxy)-5-hexylphenol", 3158 },
	{ "2TL", "", "", ResidueType::PEPTIDE_LINKING, false, "D-allothreonine", 3159 },
	{ "2TM", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-hydroxy{[(S)-hydroxy(phosphonooxy)phosphoryl]methyl}phosphoryl]cytidine", 3160 },
	{ "2TN", "", "", ResidueType::NON_POLYMER, false, "2-(4-(2-HYDROXY-3-(ISOPROPYLAMINO)PROPOXY)PHENYL)ETHANAMIDE", 3161 },
	{ "2TO", "", "", ResidueType::NON_POLYMER, false, "2-(2-{4-[(6-aminopyridin-3-yl)sulfonyl]piperazin-1-yl}-3,3'-bipyridin-5-yl)-1,1,1,3,3,3-hexafluoropropan-2-ol", 3162 },
	{ "2TP", "", "", ResidueType::NON_POLYMER, false, "2-(3-{[4-(HYDROXYAMINO)-2-METHYLPYRIMIDIN-5-YL]METHYL}-4-METHYL-2,3-DIHYDRO-1,3-THIAZOL-5-YL)ETHYL TRIHYDROGEN DIPHOSPHATE", 3163 },
	{ "2TQ", "", "", ResidueType::NON_POLYMER, false, "(2S,5S)-7-oxo-1-azabicyclo[3.2.0]heptane-2-carboxylic acid", 3164 },
	{ "2TS", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-N-[[2-(aminomethyl)-5-chloro-phenyl]methyl]-1-[(2R)-5-carbamimidamido-2-(phenylmethylsulfonylamino)pentanoyl]pyrrolidine-2-carboxamide", 3165 },
	{ "2TT", "", "", ResidueType::NON_POLYMER, false, "2-chloro-N-{2-[(cyclopropylcarbonyl)amino]pyridin-4-yl}benzamide", 3166 },
	{ "2TU", "", "", ResidueType::NON_POLYMER, false, "1-(beta-D-ribofuranosyl)-2-thioxo-2,3-dihydropyrimidin-4(1H)-one", 3167 },
	{ "2TV", "", "", ResidueType::NON_POLYMER, false, "(2R,5Z)-5-[(acetyloxy)methylidene]-2-[(1R)-1-(formylamino)-2-oxoethyl]-5,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 3168 },
	{ "2TW", "", "", ResidueType::NON_POLYMER, false, "[(2R,5R,6R)-4-[(1S)-2-(tert-butylsulfonyl)-1-cyclopropylethyl]-6-(3-chlorophenyl)-5-(4-chlorophenyl)-3-oxomorpholin-2-yl]acetic acid", 3169 },
	{ "2TX", "", "", ResidueType::NON_POLYMER, false, "(3S)-2,2-dimethyl-3-[(3E,7E,11E,15E)-3,7,12,16,20-pentamethylhenicosa-3,7,11,15,19-pentaen-1-yl]oxirane", 3170 },
	{ "2TY", "", "", ResidueType::PEPTIDE_LINKING, false, "2-HYDROXY-5-{[(1E)-2-PHENYLETHYLIDENE]AMINO}-L-TYROSINE", 3171 },
	{ "2TZ", "", "", ResidueType::NON_POLYMER, false, "[(2R,5R,6R)-4-[(2S)-1-(tert-butylsulfonyl)butan-2-yl]-6-(3-chlorophenyl)-5-(4-chlorophenyl)-3-oxomorpholin-2-yl]acetic acid", 3172 },
	{ "2U0", "", "", ResidueType::NON_POLYMER, false, "(2-{[(3R,5R,6S)-1-[(1S)-2-(tert-butylsulfonyl)-1-cyclopropylethyl]-6-(4-chloro-3-fluorophenyl)-5-(3-chlorophenyl)-3-methyl-2-oxopiperidin-3-yl]methyl}-1,3-thiazol-5-yl)acetic acid", 3173 },
	{ "2U1", "", "", ResidueType::NON_POLYMER, false, "6-{[(2S,5R,6R)-4-[(1S)-2-(tert-butylsulfonyl)-1-cyclopropylethyl]-6-(3-chlorophenyl)-5-(4-chlorophenyl)-2-methyl-3-oxomorpholin-2-yl]methyl}pyridine-3-carboxylic acid", 3174 },
	{ "2U2", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-({[(2S)-2-{[(2Z)-2-(2-amino-1,3-thiazol-4-yl)-2-{[(1,5-dihydroxy-4-oxo-1,4-dihydropyridin-2-yl)methoxy]imino}acetyl]amino}-3-oxopropyl]oxy}imino)pentanedioic acid", 3175 },
	{ "2U3", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-(2-amino-1,3-thiazol-4-yl)-2-{[(1,5-dihydroxy-4-oxo-1,4-dihydropyridin-2-yl)methoxy]imino}-N-{(2S)-1-hydroxy-3-methyl-3-[(sulfooxy)amino]butan-2-yl}ethanamide", 3176 },
	{ "2U4", "", "", ResidueType::NON_POLYMER, false, "(4Z,8S,11E,14S)-5-(2-amino-1,3-thiazol-4-yl)-14-(5,6-dihydroxy-1,3-dioxo-1,3-dihydro-2H-isoindol-2-yl)-8-formyl-2-methyl-6-oxo-3,10-dioxa-4,7,11-triazatetradeca-4,11-diene-2,12,14-tricarboxylic acid", 3177 },
	{ "2U5", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,5R,6S)-1-[(1S)-2-(tert-butylsulfonyl)-1-cyclopropylethyl]-5-(3-chlorophenyl)-6-(4-chlorophenyl)-3-methyl-2-oxopiperidin-3-yl]methyl}pyridine-3-carboxylic acid", 3178 },
	{ "2U6", "", "", ResidueType::NON_POLYMER, false, "6-{[(2R,5R,6R)-4-[(1S)-2-(tert-butylsulfonyl)-1-cyclopropylethyl]-6-(3-chlorophenyl)-5-(4-chlorophenyl)-2-methyl-3-oxomorpholin-2-yl]methyl}pyridine-3-carboxylic acid", 3179 },
	{ "2U7", "", "", ResidueType::NON_POLYMER, false, "[(2S,5R,6R)-4-[(2S)-1-(tert-butylsulfonyl)butan-2-yl]-6-(3-chlorophenyl)-5-(4-chlorophenyl)-3-oxomorpholin-2-yl]acetic acid", 3180 },
	{ "2U8", "", "", ResidueType::NON_POLYMER, false, "Mavoglurant", 3181 },
	{ "2U9", "", "", ResidueType::NON_POLYMER, false, "N-[(3S)-1,1-dioxidotetrahydrothiophen-3-yl]-2-[(4-methylphenoxy)methyl]-1,3-thiazole-4-carboxamide", 3182 },
	{ "2UA", "", "", ResidueType::PEPTIDE_LIKE, false, "(3S)-3-[(2R)-2-amino-5-cyclopropyl-5-oxopentyl]pyrrolidin-2-one", 3183 },
	{ "2UB", "", "", ResidueType::NON_POLYMER, false, "(Z)-3-(4-chlorophenyl)-2-mercaptoacrylic acid", 3184 },
	{ "2UC", "", "", ResidueType::NON_POLYMER, false, "1-[3-(2-oxoethyl)benzyl]guanidine", 3185 },
	{ "2UD", "", "", ResidueType::NON_POLYMER, false, "3-(5-bromo-1H-indol-3-yl)-2-thioxopropanoic acid", 3186 },
	{ "2UE", "", "", ResidueType::NON_POLYMER, false, "1-[4-(2-oxoethyl)benzyl]guanidine", 3187 },
	{ "2UF", "", "", ResidueType::NON_POLYMER, false, "L-gulonate", 3188 },
	{ "2UG", "", "", ResidueType::NON_POLYMER, false, "4'-(cyclopropylmethyl)-N~2~-(pyridin-4-yl)-4,5'-bipyrimidine-2,2'-diamine", 3189 },
	{ "2UH", "", "", ResidueType::NON_POLYMER, false, "", 3190 },
	{ "2UJ", "", "", ResidueType::NON_POLYMER, false, "", 3191 },
	{ "2UK", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-hydroxy{[(S)-hydroxy(phosphonoamino)phosphoryl]oxy}phosphoryl]-N-[3-(propanoylamino)propyl]guanosine", 3192 },
	{ "2UL", "", "", ResidueType::NON_POLYMER, false, "3-[(2R)-2-{[(2R)-2-amino-2-phenylacetyl]amino}-2-(dihydroxyboranyl)ethyl]benzoic acid", 3193 },
	{ "2UN", "", "", ResidueType::NON_POLYMER, false, "{4-[2-BENZYL-3-METHOXY-2-(METHOXYCARBONYL)-3-OXOPROPYL]PHENYL}SULFAMIC ACID", 3194 },
	{ "2UO", "", "", ResidueType::NON_POLYMER, false, "Mevastatin, Compactin ", 3195 },
	{ "2UP", "", "", ResidueType::NON_POLYMER, false, "naphthalene-2-carboximidamide", 3196 },
	{ "2UQ", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-2-[(Z)-iminomethyl]pyrimidine-5-carboxamide", 3197 },
	{ "2UR", "", "", ResidueType::NON_POLYMER, false, "(2R)-5-fluoro-2-methyl-2,3-dihydro-1-benzofuran-7-carboxamide", 3198 },
	{ "2US", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-(2,4-dihydroxybenzylidene)-3-oxo-2,3-dihydro-1-benzofuran-7-carboxamide", 3199 },
	{ "2UT", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-{4-[2-(morpholin-4-yl)ethoxy]benzylidene}-3-oxo-2,3-dihydro-1-benzofuran-7-carboxamide", 3200 },
	{ "2UU", "", "", ResidueType::NON_POLYMER, false, "4-(4-methylnaphthalen-1-yl)-2-{[(4-phenoxyphenyl)sulfonyl]amino}benzoic acid", 3201 },
	{ "2UV", "", "", ResidueType::NON_POLYMER, false, "", 3202 },
	{ "2UW", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(6-{5-[(6-aminopyridin-3-yl)sulfonyl]thiophen-2-yl}-5-chloropyridin-3-yl)-1,1,1-trifluoropropan-2-ol", 3203 },
	{ "2UX", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{4'-[(6-aminopyridin-3-yl)sulfonyl]biphenyl-4-yl}-1,1,1-trifluoropropan-2-ol", 3204 },
	{ "2UY", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{6'-[(6-aminopyridin-3-yl)sulfonyl]-2'-(phenylamino)-2,3'-bipyridin-5-yl}-1,1,1-trifluoropropan-2-ol", 3205 },
	{ "2UZ", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(R)-amino(carboxy)methyl]-3,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 3206 },
	{ "2V0", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(R)-amino(carboxy)methyl]-5-methyl-3,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 3207 },
	{ "2V1", "", "", ResidueType::NON_POLYMER, false, "4-(methylsulfonyl)-N-[3-(8-{[4-(morpholin-4-ylcarbonyl)phenyl]amino}imidazo[1,2-a]pyrazin-6-yl)phenyl]benzamide", 3208 },
	{ "2V2", "", "", ResidueType::NON_POLYMER, false, "1-{5-[3-(7-tert-butyl-4-oxoquinazolin-3(4H)-yl)-2-methylphenyl]-1-methyl-2-oxo-1,2-dihydropyridin-3-yl}-3-methylurea", 3209 },
	{ "2V3", "", "", ResidueType::NON_POLYMER, false, "6-cyclopropyl-2-[3-(5-{[5-(4-ethylpiperazin-1-yl)pyridin-2-yl]amino}-1-methyl-6-oxo-1,6-dihydropyridin-3-yl)-2-(hydroxymethyl)phenyl]-8-fluoroisoquinolin-1(2H)-one", 3210 },
	{ "2V4", "", "", ResidueType::NON_POLYMER, false, "rabelomycin", 3211 },
	{ "2V5", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-5-(carbamimidamidooxy)-1-oxo-1-{[(1E,3S)-5-phenyl-1-(phenylsulfonyl)pent-1-en-3-yl]amino}pentan-2-yl]-4-methylpiperazine-1-carboxamide", 3212 },
	{ "2V6", "", "", ResidueType::NON_POLYMER, false, "N-[3,5-difluoro-4-(trifluoromethyl)phenyl]-5-methyl-2-(trifluoromethyl)[1,2,4]triazolo[1,5-a]pyrimidin-7-amine", 3213 },
	{ "2V7", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-1-(6-methoxynaphthalen-2-yl)propane-1,2-diol", 3214 },
	{ "2V8", "", "", ResidueType::NON_POLYMER, false, "1-(5-chloro-2-methylphenyl)-5-(3-chlorophenyl)-2-(3-methylphenyl)-1H-imidazole-4-carboxylic acid", 3215 },
	{ "2V9", "", "", ResidueType::NON_POLYMER, false, "Lestaurtinib", 3216 },
	{ "2VA", "", "", ResidueType::PEPTIDE_LINKING, false, "2'-(L-VALYL)AMINO-2'-DEOXYADENOSINE", 3217 },
	{ "2VC", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-5-(carbamimidamidooxy)-1-oxo-1-{[(1E,3S)-5-phenyl-1-(pyrimidin-2-ylsulfonyl)pent-1-en-3-yl]amino}pentan-2-yl]-4-methylpiperazine-1-carboxamide", 3218 },
	{ "2VD", "", "", ResidueType::NON_POLYMER, false, "(2R)-6-bromo-9-(2-{[(1R)-1-carboxy-2-phenylethyl]amino}-2-oxoethyl)-2,3,4,9-tetrahydro-1H-carbazole-2-carboxylic acid", 3219 },
	{ "2VE", "", "", ResidueType::NON_POLYMER, false, "(2R)-6-bromo-9-{2-[(carboxymethyl)amino]-2-oxoethyl}-2,3,4,9-tetrahydro-1H-carbazole-2-carboxylic acid", 3220 },
	{ "2VF", "", "", ResidueType::NON_POLYMER, false, "(2R)-9-(2-amino-2-oxoethyl)-6-chloro-2,3,4,9-tetrahydro-1H-carbazole-2-carboxylic acid", 3221 },
	{ "2VG", "", "", ResidueType::NON_POLYMER, false, "(2R)-6-chloro-2,3,4,9-tetrahydro-1H-carbazole-2-carboxylic acid", 3222 },
	{ "2VH", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,5R)-5-[2-(methylsulfonyl)-2,6-dihydropyrrolo[3,4-c]pyrazol-5(4H)-yl]-2-(2,4,5-trifluorophenyl)tetrahydro-2H-pyran-3-amine", 3223 },
	{ "2VJ", "", "", ResidueType::NON_POLYMER, false, "2-[(2-{(1S,2S)-2-[(3,4-dichlorobenzyl)carbamoyl]cyclohexyl}-6-ethylpyrimidin-4-yl)sulfanyl]-1H-imidazole-5-carboxylic acid", 3224 },
	{ "2VK", "", "", ResidueType::NON_POLYMER, false, "4-(3-{4-[(S)-cyclopentyl(hydroxy)phenylmethyl]piperidin-1-yl}propoxy)benzonitrile", 3225 },
	{ "2VL", "", "", ResidueType::NON_POLYMER, false, "N-{3-[6-({4-[(2R)-1,4-dimethyl-3-oxopiperazin-2-yl]phenyl}amino)-4-methyl-5-oxo-4,5-dihydropyrazin-2-yl]-2-methylphenyl}-4,5,6,7-tetrahydro-1-benzothiophene-2-carboxamide", 3226 },
	{ "2VM", "", "", ResidueType::NON_POLYMER, false, "(2R)-6-bromo-9-(2-{[(1S)-1-carboxy-2-phenylethyl]amino}-2-oxoethyl)-2,3,4,9-tetrahydro-1H-carbazole-2-carboxylic acid", 3227 },
	{ "2VO", "", "", ResidueType::NON_POLYMER, false, "Phytochromobilin, bound form", 3228 },
	{ "2VP", "", "", ResidueType::NON_POLYMER, false, "(2E,4E,6Z,8E)-3,7-dimethyl-8-(7-methyl-3,4-dihydronaphthalen-1(2H)-ylidene)octa-2,4,6-trienoic acid", 3229 },
	{ "2VQ", "", "", ResidueType::NON_POLYMER, false, "N-[2-(2-methyl-5-nitro-1H-imidazol-1-yl)ethyl]sulfamide", 3230 },
	{ "2VR", "", "", ResidueType::NON_POLYMER, false, "(2E,4E,6Z,8E)-3,7-dimethyl-8-(8-methyl-3,4-dihydronaphthalen-1(2H)-ylidene)octa-2,4,6-trienoic acid", 3231 },
	{ "2VS", "", "", ResidueType::NON_POLYMER, false, "(2Z,4E)-2-hydroxy-6-oxohexa-2,4-dienoic acid", 3232 },
	{ "2VT", "", "", ResidueType::NON_POLYMER, false, "N-[1-(3-cyanobenzyl)-1H-pyrazol-4-yl]-2H-indazole-3-carboxamide", 3233 },
	{ "2VU", "", "", ResidueType::NON_POLYMER, false, "N-[1-(3-cyanobenzyl)-1H-pyrazol-4-yl]-6-(1H-pyrazol-4-yl)-1H-indazole-3-carboxamide", 3234 },
	{ "2VV", "", "", ResidueType::NON_POLYMER, false, "N-{1-[(1S)-3-(dimethylamino)-1-phenylpropyl]-1H-pyrazol-4-yl}-6-(1H-pyrazol-4-yl)-1H-indazole-3-carboxamide", 3235 },
	{ "2VW", "", "", ResidueType::NON_POLYMER, false, "N-{1-[(1R)-3-(dimethylamino)-1-phenylpropyl]-1H-pyrazol-4-yl}-6-(1H-pyrazol-4-yl)-1H-indazole-3-carboxamide", 3236 },
	{ "2VX", "", "", ResidueType::NON_POLYMER, false, "N-{2,4-difluoro-3-[methyl(3-methyl-4-oxo-3,4-dihydroquinazolin-6-yl)amino]phenyl}propane-1-sulfonamide", 3237 },
	{ "2VY", "", "", ResidueType::NON_POLYMER, false, "4-[(4-amino-2-methylpyrimidin-5-yl)methyl]-3-methylthiophene-2-carbaldehyde", 3238 },
	{ "2VZ", "", "", ResidueType::NON_POLYMER, false, "(2E,4E,6Z,8E)-3,7-dimethyl-8-(6-methyl-3,4-dihydronaphthalen-1(2H)-ylidene)octa-2,4,6-trienoic acid", 3239 },
	{ "2W0", "", "", ResidueType::NON_POLYMER, false, "(2E,4E,6Z,8E)-3,7-dimethyl-8-(5-methyl-3,4-dihydronaphthalen-1(2H)-ylidene)octa-2,4,6-trienoic acid", 3240 },
	{ "2W1", "", "", ResidueType::NON_POLYMER, false, "1H-benzimidazol-2-yl(4-{[3-(tetrahydro-2H-pyran-4-yl)pyridin-2-yl]oxy}phenyl)methanone", 3241 },
	{ "2W2", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-4-carbamimidamido-1-carboxybutyl]-D-glutamic acid", 3242 },
	{ "2W3", "", "", ResidueType::NON_POLYMER, false, "2-[2-[(1S,2S)-2-[(3,4-dichlorophenyl)methylcarbamoyl]cyclohexyl]-6-ethyl-pyrimidin-4-yl]-4-oxidanyl-6-oxidanylidene-1H-pyrimidine-5-carboxamide", 3243 },
	{ "2W4", "", "", ResidueType::NON_POLYMER, false, "4-[4-(1-benzofuran-5-yl)phenyl]-5-{[(3S)-1-(cyclopropylcarbonyl)pyrrolidin-3-yl]methyl}-2,4-dihydro-3H-1,2,4-triazol-3-one", 3244 },
	{ "2W5", "", "", ResidueType::NON_POLYMER, false, "(1R,2R)-N-(3,4-dichlorobenzyl)-2-(4,6-dimethoxypyrimidin-2-yl)cyclohexanecarboxamide", 3245 },
	{ "2W6", "", "", ResidueType::NON_POLYMER, false, "N-{1-[(1S)-3-(dimethylamino)-1-phenylpropyl]-1H-pyrazol-4-yl}-6,6-dimethyl-4,5,6,7-tetrahydro-1H-indazole-3-carboxamide", 3246 },
	{ "2W7", "", "", ResidueType::NON_POLYMER, false, "N-{2-oxo-2-[(3s,5s,7s)-tricyclo[3.3.1.1~3,7~]dec-1-ylamino]ethyl}-2-sulfanylbenzamide", 3247 },
	{ "2W8", "", "", ResidueType::NON_POLYMER, false, "", 3248 },
	{ "2W9", "", "", ResidueType::NON_POLYMER, false, "3-[3-(5-nitrofuran-2-yl)phenyl]propanoic acid", 3249 },
	{ "2WA", "", "", ResidueType::NON_POLYMER, false, "(1S,8E)-1-{[(2S)-1-hydroxy-3-{[(1S)-1-hydroxypentadecyl]oxy}propan-2-yl]oxy}heptadec-8-en-1-ol", 3250 },
	{ "2WB", "", "", ResidueType::NON_POLYMER, false, "{2-[5-(3-nitrophenyl)furan-2-yl]phenyl}acetic acid", 3251 },
	{ "2WC", "", "", ResidueType::NON_POLYMER, false, "3-[2-azanyl-6-(cyclohexylmethoxy)-7H-purin-8-yl]-2-methyl-benzoic acid", 3252 },
	{ "2WD", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-{[(2S)-3-hydroxy-2-{[(1R)-1-hydroxypentyl]oxy}propyl]oxy}hexan-1-ol", 3253 },
	{ "2WE", "", "", ResidueType::NON_POLYMER, false, "2-{2-[(cyclopropylcarbonyl)amino]pyridin-4-yl}-4-oxo-4H-1lambda~4~,3-thiazole-5-carboxamide", 3254 },
	{ "2WF", "", "", ResidueType::NON_POLYMER, false, "N-[4-(isoquinolin-7-yl)pyridin-2-yl]cyclopropanecarboxamide", 3255 },
	{ "2WG", "", "", ResidueType::NON_POLYMER, false, "2-{2-[(cyclopropylcarbonyl)amino]pyridin-4-yl}-4-methoxypyrimidine-5-carboxamide", 3256 },
	{ "2WH", "", "", ResidueType::NON_POLYMER, false, "1-[6-(5-methoxypyridin-3-yl)-1,3-benzothiazol-2-yl]-3-[2-(1-propyl-1H-imidazol-4-yl)ethyl]urea", 3257 },
	{ "2WJ", "", "", ResidueType::NON_POLYMER, false, "N-[6-(pyridin-3-yl)-1,3-benzothiazol-2-yl]acetamide", 3258 },
	{ "2WK", "", "", ResidueType::NON_POLYMER, false, "N-[6-(5,6-dimethoxypyridin-3-yl)-1,3-benzothiazol-2-yl]acetamide", 3259 },
	{ "2WL", "", "", ResidueType::NON_POLYMER, false, "(1-benzyl-1H-imidazol-4-yl)[4-(2-chlorophenyl)piperazin-1-yl]methanone", 3260 },
	{ "2WM", "", "", ResidueType::NON_POLYMER, false, "(1S,8E)-1-{[(2S)-3-hydroxy-2-{[(1S)-1-hydroxyoctadecyl]oxy}propyl]oxy}octadec-8-en-1-ol", 3261 },
	{ "2WN", "", "", ResidueType::NON_POLYMER, false, "4-[5-(3,5-dichloro-4-hydroxyphenyl)-1,3,4-oxadiazol-2-yl]phenyl sulfurofluoridate", 3262 },
	{ "2WP", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-4-({[(2S,3S,4R,5S)-3,4,5-trihydroxytetrahydrofuran-2-yl]methyl}sulfanyl)butanoic acid", 3263 },
	{ "2WQ", "", "", ResidueType::NON_POLYMER, false, "[5-fluoro-2-(prop-2-yn-1-ylcarbamoyl)phenoxy]acetic acid", 3264 },
	{ "2WR", "", "", ResidueType::NON_POLYMER, false, "(2-carbamoyl-5-fluorophenoxy)acetic acid", 3265 },
	{ "2WS", "", "", ResidueType::NON_POLYMER, false, "beta-D-xylopyranosyl-(1->4)-beta-D-xylopyranosyl-(1->4)-beta-D-xylopyranose", 3266 },
	{ "2WT", "", "", ResidueType::NON_POLYMER, false, "2-[3-({4-[(1,3-benzodioxol-5-ylmethyl)amino]-4-oxobutanoyl}amino)phenyl]-6-hydroxy-3-iodo-1-methyl-1H-indole-5-carboxylic acid", 3267 },
	{ "2WU", "", "", ResidueType::NON_POLYMER, false, "6-amino-2-(methylamino)-3,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 3268 },
	{ "2WW", "", "", ResidueType::NON_POLYMER, false, "[(1S)-1-amino-3-methylbutyl]phosphonic acid", 3269 },
	{ "2WX", "", "", ResidueType::NON_POLYMER, false, "N-[(R)-1-benzothiophen-2-yl(2-chlorophenyl)methyl]-3,4-dihydro-2H-1,5-benzodioxepine-7-sulfonamide", 3270 },
	{ "2WY", "", "", ResidueType::NON_POLYMER, false, "N-[(R)-1-benzofuran-2-yl(phenyl)methyl]-3,4-dihydro-2H-1,5-benzodioxepine-7-sulfonamide", 3271 },
	{ "2WZ", "", "", ResidueType::NON_POLYMER, false, "N-[(R)-(2-amino-5-chloro-3-fluoropyridin-4-yl){7-[4-(2-hydroxypropan-2-yl)pyridin-2-yl]-1-benzothiophen-2-yl}methyl]cyclopropanesulfonamide", 3272 },
	{ "2X0", "", "", ResidueType::NON_POLYMER, false, "[(1R)-1-amino-3-phenylpropyl]phosphonic acid", 3273 },
	{ "2X1", "", "", ResidueType::NON_POLYMER, false, "4-({[3-(aminomethyl)phenyl]carbamoyl}amino)benzenecarboximidamide", 3274 },
	{ "2X3", "", "", ResidueType::NON_POLYMER, false, "", 3275 },
	{ "2X4", "", "", ResidueType::NON_POLYMER, false, "(4R,4a'S,10a'S)-7'-(5-chloropyridin-3-yl)-3',4',4a',10a'-tetrahydro-1'H-spiro[1,3-oxazole-4,5'-pyrano[3,4-b]chromen]-2-amine", 3276 },
	{ "2X5", "", "", ResidueType::NON_POLYMER, false, "(4R,4a'R,10a'R)-7'-(5-chloropyridin-3-yl)-3',4',4a',10a'-tetrahydro-1'H-spiro[1,3-oxazole-4,5'-pyrano[3,4-b]chromen]-2-amine", 3277 },
	{ "2X6", "", "", ResidueType::NON_POLYMER, false, "7-{[(1R,2S)-2-aminocyclohexyl]amino}-5-(1H-indol-7-ylamino)pyrido[4,3-d]pyrimidin-4(3H)-one", 3278 },
	{ "2X7", "", "", ResidueType::NON_POLYMER, false, "(3E)-3-iminooxepin-2(3H)-one", 3279 },
	{ "2X9", "", "", ResidueType::NON_POLYMER, false, "{2,6-dimethyl-5-[(4,5,7-trifluoro-1,3-benzothiazol-2-yl)methyl]pyridin-3-yl}acetic acid", 3280 },
	{ "2XA", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-2-AMINO-3-[(4-CHLOROPHENYL)-DIPHENYL-METHYL]SULFANYL-PROPANOIC ACID", 3281 },
	{ "2XB", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(2-amino-4-hydroxy-7H-pyrrolo[2,3-d]pyrimidin-5-yl)methyl]benzoyl}-L-glutamic acid", 3282 },
	{ "2XC", "", "", ResidueType::NON_POLYMER, false, "(2E)-1-(2-hydroxyphenyl)-3-[(3R)-3-phenylpiperidin-1-yl]prop-2-en-1-one", 3283 },
	{ "2XD", "", "", ResidueType::NON_POLYMER, false, "(2E)-1-(2-hydroxyphenyl)-3-(2,4,5,7-tetrahydro-6H-pyrazolo[3,4-c]pyridin-6-yl)prop-2-en-1-one", 3284 },
	{ "2XE", "", "", ResidueType::NON_POLYMER, false, "4-bromobenzenethiol", 3285 },
	{ "2XF", "", "", ResidueType::NON_POLYMER, false, "tert-butyl {(3S,5R)-5-[cyclopropyl(2,3-dichlorobenzyl)carbamoyl]piperidin-3-yl}carbamate", 3286 },
	{ "2XG", "", "", ResidueType::NON_POLYMER, false, "3,4-difluorobenzenethiol", 3287 },
	{ "2XH", "", "", ResidueType::NON_POLYMER, false, "naphthalene-1-thiol", 3288 },
	{ "2XJ", "", "", ResidueType::NON_POLYMER, false, "1-(5-(4-(((2,6-diaminopyrimidin-4-yl)thio)methyl)-5-propylthiazol-2-yl)-2-methoxyphenoxy)-2-methylpropan-2-ol", 3289 },
	{ "2XK", "", "", ResidueType::NON_POLYMER, false, "4-[(4,5-dimethoxy-2-nitrophenyl)acetyl]benzonitrile", 3290 },
	{ "2XL", "", "", ResidueType::NON_POLYMER, false, "5-(4-(((4,6-diaminopyrimidin-2-yl)thio)methyl)-5-propylthiazol-2-yl)-2-methoxyphenol", 3291 },
	{ "2XM", "", "", ResidueType::NON_POLYMER, false, "2,2'-((4-(4-(((4,6-diaminopyrimidin-2-yl)thio)methyl)-5-propylthiazol-2-yl)-1,2-phenylene)bis(oxy))bis(ethan-1-ol)", 3292 },
	{ "2XN", "", "", ResidueType::NON_POLYMER, false, "N-{2-[5-(4-{(1R)-1-[(4,6-diaminopyrimidin-2-yl)sulfanyl]ethyl}-5-methyl-1,3-thiazol-2-yl)-2-methoxyphenoxy]ethyl}methanesulfonamide", 3293 },
	{ "2XO", "", "", ResidueType::NON_POLYMER, false, "1H-benzimidazol-2-ylmethanethiol", 3294 },
	{ "2XP", "", "", ResidueType::NON_POLYMER, false, "(2Z,4Z)-2-imino-6-oxohex-4-enoic acid", 3295 },
	{ "2XQ", "", "", ResidueType::NON_POLYMER, false, "3-[[3-methyl-2-[[2,3,4-tris(fluoranyl)phenoxy]methyl]-1-benzofuran-4-yl]oxy]-N-(pyridin-3-ylmethyl)propan-1-amine", 3296 },
	{ "2XR", "", "", ResidueType::NON_POLYMER, false, "2-chloro-1-(1H-indol-3-yl)ethanone", 3297 },
	{ "2XS", "", "", ResidueType::NON_POLYMER, false, "4-[(3aR,4R,7S,7aS)-1,3-dioxo-1,3,3a,4,7,7a-hexahydro-2H-4,7-methanoisoindol-2-yl]-N-(quinolin-8-yl)benzamide", 3298 },
	{ "2XT", "", "", ResidueType::NON_POLYMER, false, "propyl 2-(acetylamino)-4-O-{3-O-[(1-benzyl-1H-1,2,3-triazol-4-yl)methyl]-beta-D-galactopyranosyl}-2-deoxy-beta-D-glucopyranoside", 3299 },
	{ "2XU", "", "", ResidueType::NON_POLYMER, false, "propyl 2-(acetylamino)-2-deoxy-4-O-[3-O-({1-[2-(3-hydroxyphenyl)-2-oxoethyl]-1H-1,2,3-triazol-4-yl}methyl)-beta-D-galactopyranosyl]-beta-D-glucopyranoside", 3300 },
	{ "2XV", "", "", ResidueType::NON_POLYMER, false, "prop-2-en-1-yl 2-(acetylamino)-2-deoxy-4-O-[3-O-(prop-2-yn-1-yl)-beta-D-galactopyranosyl]-beta-D-glucopyranoside", 3301 },
	{ "2XW", "", "", ResidueType::NON_POLYMER, false, "prop-2-en-1-yl 2-(acetylamino)-4-O-(3-O-{[1-(5-amino-1H-1,2,4-triazol-3-yl)-1H-1,2,3-triazol-4-yl]methyl}-beta-D-galactopyranosyl)-2-deoxy-beta-D-glucopyranoside", 3302 },
	{ "2XX", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-ethyl-4-hydroxy-5-methylfuran-3(2H)-one", 3303 },
	{ "2XY", "", "", ResidueType::NON_POLYMER, false, "N-[2-nitro-4-(trifluoromethyl)phenyl]morpholin-4-amine", 3304 },
	{ "2XZ", "", "", ResidueType::NON_POLYMER, false, "2-(5-(4-(((4,6-diaminopyrimidin-2-yl)thio)methyl)-5-propylthiazol-2-yl)-2-methoxyphenoxy)ethan-1-ol", 3305 },
	{ "2Y0", "", "", ResidueType::NON_POLYMER, false, "N-(2-(3-(4-(((4,6-diaminopyrimidin-2-yl)thio)methyl)-5-propylthiazol-2-yl)phenoxy)ethyl)methanesulfonamide", 3306 },
	{ "2Y1", "", "", ResidueType::NON_POLYMER, false, "(R)-2-((1-(2-(3-(2-fluoroethoxy)-4-methoxyphenyl)-5-propylthiazol-4-yl)ethyl)thio)pyrimidine-4,6-diamine", 3307 },
	{ "2Y2", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2R)-1-{[(2S,3R,5R)-1-cyclohexyl-3-hydroxy-5-{[2-(morpholin-4-yl)ethyl]carbamoyl}oct-7-yn-2-yl]amino}-3-(methylsulfanyl)-1-oxopropan-2-yl]-1H-benzimidazole-2-carboxamide", 3308 },
	{ "2Y3", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(tert-butoxycarbonyl)-L-phenylalanyl-N-[(2S,3S,5R)-1-cyclohexyl-3-hydroxy-7-methyl-5-(methylcarbamoyl)octan-2-yl]-L-histidinamide", 3309 },
	{ "2Y4", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S)-1-[[(2S)-1-[[(2S,3R)-1-cyclohexyl-4,4-difluoro-3-hydroxy-5-(methylamino)-5-oxo-pentan-2-yl]amino]-1-oxo-hexan-2-yl]amino]-1-oxo-3-phenyl-propan-2-yl]morpholine-4-carboxamide", 3310 },
	{ "2Y5", "", "", ResidueType::NON_POLYMER, false, "(2R)-1-{[(R)-hydroxy{[(1R,2R,3R,4R,5S,6R)-2,3,5,6-tetrahydroxy-4-(phosphonooxy)cyclohexyl]oxy}phosphoryl]oxy}-3-(octadecanoyloxy)propan-2-yl (5Z,8Z,11Z,14Z)-icosa-5,8,11,14-tetraenoate", 3311 },
	{ "2Y6", "", "", ResidueType::NON_POLYMER, false, "N-[(R)-(2-chlorophenyl){7-[4-(2-hydroxypropan-2-yl)pyridin-2-yl]-1-benzothiophen-2-yl}methyl]cyclopropanesulfonamide", 3312 },
	{ "2Y7", "", "", ResidueType::NON_POLYMER, false, "(S)-2-((1-(2-(3-(2-fluoroethoxy)-4-methoxyphenyl)-5-methylthiazol-4-yl)ethyl)thio)pyrimidine-4,6-diamine", 3313 },
	{ "2Y8", "", "", ResidueType::NON_POLYMER, false, "(R)-2-((1-(2-(3-(2-fluoroethoxy)-4-methoxyphenyl)-5-methylthiazol-4-yl)ethyl)thio)pyrimidine-4,6-diamine", 3314 },
	{ "2Y9", "", "", ResidueType::NON_POLYMER, false, "(3S,4R,5R)-N-cyclopropyl-N'-[(2R)-1-ethoxy-4-methylpentan-2-yl]-4-hydroxy-N-[5-(propan-2-yl)pyridin-2-yl]piperidine-3,5-dicarboxamide", 3315 },
	{ "2YA", "", "", ResidueType::NON_POLYMER, false, "4-[(1R)-1-[1-(4-chlorophenyl)-1,2,3-triazol-4-yl]ethoxy]-1-oxidanyl-quinoline", 3316 },
	{ "2YB", "", "", ResidueType::NON_POLYMER, false, "", 3317 },
	{ "2YC", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-{[(2S,3S)-3-methyl-3,4-dihydro-2H-pyrrol-2-yl]carbonyl}-L-lysine", 3318 },
	{ "2YD", "", "", ResidueType::NON_POLYMER, false, "(5R,6R,7S,8R,9R,12S,13E,16S,18S,19R,20aR)-4,7,19-trihydroxy-2,6,8,12,14,16,18-heptamethyl-6,7,8,9,10,11,12,15,16,17,18,19,20,20a-tetradecahydro-1,19:5,9-diepoxybenzo[18]annulen-3(5H)-one", 3319 },
	{ "2YF", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-[(2R)-2,3,4,5-tetrahydropyridin-2-ylcarbonyl]-L-lysine", 3320 },
	{ "2YG", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-L-lysyl-L-lysine", 3321 },
	{ "2YH", "", "", ResidueType::PEPTIDE_LINKING, false, "N~5~-D-ornithyl-L-ornithine", 3322 },
	{ "2YJ", "", "", ResidueType::PEPTIDE_LINKING, false, "N~5~-D-lysyl-L-ornithine", 3323 },
	{ "2YK", "", "", ResidueType::NON_POLYMER, false, "6-[(2,5-dimethoxyphenyl)sulfanyl]-3-(1-methyl-1H-pyrazol-4-yl)[1,2,4]triazolo[4,3-b]pyridazine", 3324 },
	{ "2YL", "", "", ResidueType::NON_POLYMER, false, "6-amino-4-phenyl-1,3,5-triazin-2(1H)-one", 3325 },
	{ "2YM", "", "", ResidueType::NON_POLYMER, false, "6-amino-2-{[2-(piperidin-1-yl)ethyl]amino}-3,5-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 3326 },
	{ "2YN", "", "", ResidueType::NON_POLYMER, false, "(1R,3S,4S,5R,6S)-2,4,5,6-tetrakis(phosphonooxy)cyclohexane-1,3-diyl bis[trihydrogen (diphosphate)]", 3327 },
	{ "2YO", "", "", ResidueType::NON_POLYMER, false, "2-{[2-(piperidin-1-yl)ethyl]amino}-3,5-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 3328 },
	{ "2YP", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[[(1R,2S,3R,4R,5R)-4-acetamido-2-[(2S,3R,4R,5S,6R)-3-acetamido-6-(hydroxymethyl)-4,5-bis(oxidanyl)oxan-2-yl]oxy-6,8-dioxabicyclo[3.2.1]octan-3-yl]oxy]propanoic acid", 3329 },
	{ "2YQ", "", "", ResidueType::NON_POLYMER, false, "(8S,9R)-5-fluoro-8-(4-fluorophenyl)-9-(1-methyl-1H-1,2,4-triazol-5-yl)-2,7,8,9-tetrahydro-3H-pyrido[4,3,2-de]phthalazin-3-one", 3330 },
	{ "2YR", "", "", ResidueType::NON_POLYMER, false, "", 3331 },
	{ "2YS", "", "", ResidueType::PEPTIDE_LIKE, false, "D-valyl-N-[(2S,3S)-7-amino-1-chloro-2-hydroxyheptan-3-yl]-L-leucinamide", 3332 },
	{ "2YT", "", "", ResidueType::PEPTIDE_LIKE, false, "L-phenylalanyl-N-[(2S,3S)-6-carbamimidamido-1-chloro-2-hydroxyhexan-3-yl]-L-phenylalaninamide", 3333 },
	{ "2YU", "", "", ResidueType::NON_POLYMER, false, "1-hydroxy-4-methylpyridine-2(1H)-thione", 3334 },
	{ "2YV", "", "", ResidueType::NON_POLYMER, false, "6-amino-2-[(2-phenylethyl)amino]-1,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 3335 },
	{ "2YW", "", "", ResidueType::NON_POLYMER, false, "methyl 4-{2-[(6-amino-8-oxo-7,8-dihydro-1H-imidazo[4,5-g]quinazolin-2-yl)amino]ethyl}benzoate", 3336 },
	{ "2YX", "", "", ResidueType::NON_POLYMER, false, "4-{2-[(6-amino-8-oxo-7,8-dihydro-1H-imidazo[4,5-g]quinazolin-2-yl)amino]ethyl}benzonitrile", 3337 },
	{ "2YY", "", "", ResidueType::NON_POLYMER, false, "4-{2-[(6-amino-8-oxo-7,8-dihydro-1H-imidazo[4,5-g]quinazolin-2-yl)amino]ethyl}benzoic acid", 3338 },
	{ "2YZ", "", "", ResidueType::NON_POLYMER, false, "[2-(benzylcarbamoyl)-5-fluorophenoxy]acetic acid", 3339 },
	{ "2Z0", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{[5-(dimethylamino)naphthalen-2-yl]sulfonyl}-L-alpha-glutamyl-N-[(1S)-4-{[amino(iminio)methyl]amino}-1-(chloroacetyl)butyl]glycinamide", 3340 },
	{ "2Z3", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(morpholin-4-ylcarbonyl)-L-phenylalanyl-N-[(1R)-1-(cyclohexylmethyl)-3,3-difluoro-2,2-dihydroxy-4-(methylamino)-4-oxobutyl]-L-norleucinamide", 3341 },
	{ "2Z4", "", "", ResidueType::PEPTIDE_LIKE, false, "benzyl [(1R)-1-({(1S,2S,3S)-1-benzyl-2-hydroxy-4-({(1S)-1-[(2-hydroxy-4-methoxybenzyl)carbamoyl]-2-methylpropyl}amino)-3-[(4-methoxybenzyl)amino]-4-oxobutyl}carbamoyl)-2,2-dimethylpropyl]carbamate", 3342 },
	{ "2Z5", "", "", ResidueType::PEPTIDE_LIKE, false, "6-ammonio-N-(trifluoroacetyl)-L-norleucyl-N-[4-(trifluoromethyl)phenyl]-L-alaninamide", 3343 },
	{ "2ZC", "", "", ResidueType::PEPTIDE_LINKING, false, "O-{[4-(2-aminoethyl)phenyl]sulfonyl}-L-serine", 3344 },
	{ "2ZE", "", "", ResidueType::NON_POLYMER, false, "(3R,4R,4aR,6aS,8R,9R,11aS,11bS)-4,9-bis(hydroxymethyl)-4,11b-dimethyltetradecahydro-8,11a-methanocyclohepta[a]naphthalene-3,9-diol", 3345 },
	{ "2ZF", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(tert-butoxycarbonyl)-L-alpha-glutamyl-N-[(1R)-1-(carboxycarbonyl)-3,3-difluoropropyl]-L-leucinamide", 3346 },
	{ "2ZI", "", "", ResidueType::NON_POLYMER, false, "8-methyl-2-[4-(trifluoromethyl)phenyl]-3H-quinazolin-4-one", 3347 },
	{ "2ZL", "", "", ResidueType::NON_POLYMER, false, "N~2~-benzyl-N~2~-[(4-fluoro-3-methylphenyl)sulfonyl]-N-hydroxy-D-alaninamide", 3348 },
	{ "2ZM", "", "", ResidueType::NON_POLYMER, false, "5-nitro-1H-benzimidazole", 3349 },
	{ "2ZO", "", "", ResidueType::NON_POLYMER, false, "N,N,N-trimethyl-4-oxobutan-1-aminium", 3350 },
	{ "2ZQ", "", "", ResidueType::NON_POLYMER, false, "8-nitroquinoline", 3351 },
	{ "2ZS", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(morpholin-4-ylcarbonyl)-L-phenylalanyl-N-[(1R,2S)-1-(cyclohexylmethyl)-2-hydroxy-3-(1-methylethoxy)-3-oxopropyl]-S-methyl-L-cysteinamide", 3352 },
	{ "2ZT", "", "", ResidueType::NON_POLYMER, false, "2-[(quinolin-7-yloxy)methyl]quinoline", 3353 },
	{ "2ZU", "", "", ResidueType::NON_POLYMER, false, "2-{[(2-methyl-1,3-benzothiazol-5-yl)oxy]methyl}quinoline", 3354 },
	{ "2ZV", "", "", ResidueType::NON_POLYMER, false, "4-methyl-3-nitropyridin-2-amine", 3355 },
	{ "2ZW", "", "", ResidueType::NON_POLYMER, false, "3-(2-chlorophenyl)-5-methyl-N-[4-(propan-2-yl)phenyl]-1,2-oxazole-4-carboxamide", 3356 },
	{ "2ZX", "", "", ResidueType::NON_POLYMER, false, "6-chloropyrimidine-2,4-diamine", 3357 },
	{ "2ZY", "", "", ResidueType::NON_POLYMER, false, "(5Z)-5-(3,5-difluoro-4-hydroxybenzylidene)-2-methyl-3-(2,2,2-trifluoroethyl)-3,5-dihydro-4H-imidazol-4-one", 3358 },
	{ "2ZZ", "", "", ResidueType::NON_POLYMER, false, "(5Z)-5-(3-bromobenzylidene)-2,3-dimethyl-3,5-dihydro-4H-imidazol-4-one", 3359 },
	{ "300", "", "", ResidueType::NON_POLYMER, false, "2-FORMYL-6-METHOXYPHENYL DIHYDROGEN PHOSPHATE", 3360 },
	{ "301", "", "", ResidueType::NON_POLYMER, false, "N6-(penta-2,3-dienyl)adenine", 3361 },
	{ "302", "", "", ResidueType::NON_POLYMER, false, "4-[(1E,7E)-8-(2,6-DIOXO-1,2,3,6-TETRAHYDROPYRIMIDIN-4-YL)-3,6-DIOXA-2,7-DIAZAOCTA-1,7-DIEN-1-YL]BENZOIC ACID", 3362 },
	{ "303", "", "", ResidueType::NON_POLYMER, false, "6-[(Z)-AMINO(IMINO)METHYL]-N-(1-ISOPROPYL-1,2,3,4-TETRAHYDROISOQUINOLIN-7-YL)-2-NAPHTHAMIDE", 3363 },
	{ "304", "", "", ResidueType::NON_POLYMER, false, "N-[2-methyl-5-(methylcarbamoyl)phenyl]-2-{[(1R)-1-methylpropyl]amino}-1,3-thiazole-5-carboxamide", 3364 },
	{ "306", "", "", ResidueType::NON_POLYMER, false, "3-[5-(PIPERIDIN-1-YLMETHYL)-1H-INDOL-2-YL]-6-(1H-PYRAZOL-4-YL)QUINOLIN-2(1H)-ONE", 3365 },
	{ "307", "", "", ResidueType::NON_POLYMER, false, "6,7-DIMETHYL-3-[(METHYL{2-[METHYL({1-[3-(TRIFLUOROMETHYL)PHENYL]-1H-INDOL-3-YL}METHYL)AMINO]ETHYL}AMINO)METHYL]-4H-CHROMEN-4-ONE", 3366 },
	{ "308", "", "", ResidueType::NON_POLYMER, false, "(3S,5S,7S)-tricyclo[3.3.1.1~3,7~]decan-1-amine", 3367 },
	{ "30A", "", "", ResidueType::NON_POLYMER, false, "6-BENZYL-5-CHLORO-7-HYDROXYPYRAZOLO[1,5-A]PYRIMIDINE-3-CARBOXYLIC ACID", 3368 },
	{ "30B", "", "", ResidueType::NON_POLYMER, false, "", 3369 },
	{ "30E", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-1-[3-amino-6-(3,4,5-trimethoxyphenyl)pyrazin-2-yl]-3-ethylpiperidine-4-carboxylic acid", 3370 },
	{ "30F", "", "", ResidueType::PEPTIDE_LINKING, false, "(2Z)-2-amino-3-selanylprop-2-enoic acid", 3371 },
	{ "30G", "", "", ResidueType::NON_POLYMER, false, "3,5-dihydro[1,2,4]triazino[3,4-c][1,4]benzoxazin-2(1H)-one", 3372 },
	{ "30H", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(4-fluoro-3-methylphenyl)sulfonyl]-N-hydroxy-N~2~-(pyridin-3-ylmethyl)-D-alaninamide", 3373 },
	{ "30J", "", "", ResidueType::NON_POLYMER, false, "6-[(2R)-4-(4-benzyl-7-chlorophthalazin-1-yl)-2-methylpiperazin-1-yl]pyridine-3-carbonitrile", 3374 },
	{ "30K", "", "", ResidueType::NON_POLYMER, false, "(3Z)-5-[(1-ethylpiperidin-4-yl)amino]-3-[(5-methoxy-1H-benzimidazol-2-yl)(phenyl)methylidene]-1,3-dihydro-2H-indol-2-one", 3375 },
	{ "30L", "", "", ResidueType::NON_POLYMER, false, "{5-fluoro-2-[(3-nitrobenzyl)carbamoyl]phenoxy}acetic acid", 3376 },
	{ "30M", "", "", ResidueType::NON_POLYMER, false, "N-[4-(1-oxo-1,2,3,4-tetrahydro-5H-pyrido[4,3-b]indol-5-yl)butyl]acetamide", 3377 },
	{ "30N", "", "", ResidueType::NON_POLYMER, false, "", 3378 },
	{ "30O", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(4-fluoro-3-methylphenyl)sulfonyl]-N-hydroxy-N~2~-(4-nitrobenzyl)-D-alaninamide", 3379 },
	{ "30P", "", "", ResidueType::NON_POLYMER, false, "N~2~-(3-aminobenzyl)-N~2~-[(4-fluoro-3-methylphenyl)sulfonyl]-N-hydroxy-D-alaninamide", 3380 },
	{ "30Q", "", "", ResidueType::NON_POLYMER, false, "S-[2-(propanoylamino)ethyl] (2S)-2-[(8S,9S,10R,13S,14S,17R)-10,13-dimethyl-3-oxo-6,7,8,9,10,11,12,13,14,15,16,17-dodecahydro-3H-cyclopenta[a]phenanthren-17-yl]propanethioate (non-preferred name)", 3381 },
	{ "30R", "", "", ResidueType::NON_POLYMER, false, "N~2~-[4-(aminomethyl)benzyl]-N~2~-[(4-fluoro-3-methylphenyl)sulfonyl]-N-hydroxy-D-alaninamide", 3382 },
	{ "30S", "", "", ResidueType::NON_POLYMER, false, "2-{[(2,4-diaminoquinazolin-5-yl)oxy]methyl}benzenesulfonic acid", 3383 },
	{ "30T", "", "", ResidueType::NON_POLYMER, false, "trans-4-({6-[(5-phenyl-1H-pyrazol-3-yl)amino]-4-(phenylsulfonyl)pyridin-2-yl}amino)cyclohexanol", 3384 },
	{ "30U", "", "", ResidueType::NON_POLYMER, false, "4-{[(2,4-diaminoquinazolin-5-yl)oxy]methyl}benzenesulfonic acid", 3385 },
	{ "30V", "", "", ResidueType::PEPTIDE_LINKING, false, "S-[(2-carbamoylphenyl)selanyl]-L-cysteine", 3386 },
	{ "30W", "", "", ResidueType::NON_POLYMER, false, "N-(6-formyl-4-oxo-3,4-dihydropteridin-2-yl)acetamide", 3387 },
	{ "30X", "", "", ResidueType::NON_POLYMER, false, "N~2~-[4-cyano-3-(trifluoromethyl)phenyl]-N,N-dimethyl-N~2~-(2,2,2-trifluoroethyl)-L-alaninamide", 3388 },
	{ "30Z", "", "", ResidueType::NON_POLYMER, false, "4-[(2R,3S)-3-[(3,4-DIHYDROXYPHENYL)METHYL]-2-METHYLBUTYL]BENZENE-1,2-DIOL", 3389 },
	{ "310", "", "", ResidueType::NON_POLYMER, false, "N-carbamimidoyl-2-[2-(2-chlorophenyl)-5-[4-(4-ethanoylphenoxy)phenyl]pyrrol-1-yl]ethanamide", 3390 },
	{ "311", "", "", ResidueType::NON_POLYMER, false, "(3,3-dimethylpiperidin-1-yl)(6-(3-fluoro-4-methylphenyl)pyridin-2-yl)methanone", 3391 },
	{ "312", "", "", ResidueType::NON_POLYMER, false, "2-(5-{5-[AMINO(IMINIO)METHYL]-1H-BENZIMIDAZOL-2-YL}-2'-METHOXY-6-OXIDO-1,1'-BIPHENYL-3-YL)SUCCINATE", 3392 },
	{ "313", "", "", ResidueType::NON_POLYMER, false, "(dimethyl-lambda~4~-sulfanyl)acetic acid", 3393 },
	{ "314", "", "", ResidueType::NON_POLYMER, false, "N'-[(1S,2R)-2-[(2R,4S)-4-benzylpiperidin-2-yl]-1-(3,5-difluorobenzyl)-2-hydroxyethyl]-5-methyl-N,N-dipropylbenzene-1,3-dicarboxamide", 3394 },
	{ "315", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-4-cyclopropyl-3-{(3R,5R)-3-[2-fluoro-4-(methylsulfonyl)phenyl]-1,2,4-oxadiazolidin-5-yl}-1-[(3S)-3-fluoropyrrolidin-1-yl]-1-oxobutan-2-amine", 3395 },
	{ "316", "", "", ResidueType::NON_POLYMER, false, "N'-[(1S,2S)-2-[(2S)-4-benzyl-3-oxopiperazin-2-yl]-1-(3,5-difluorobenzyl)-2-hydroxyethyl]-5-methyl-N,N-dipropylbenzene-1,3-dicarboxamide", 3396 },
	{ "317", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-3-{3-[2-chloro-4-(methylsulfonyl)phenyl]-1,2,4-oxadiazol-5-yl}-1-cyclopentylidene-4-cyclopropyl-1-fluorobutan-2-amine", 3397 },
	{ "318", "", "", ResidueType::NON_POLYMER, false, "N'-[(1S,2S)-2-[(4S)-1-benzyl-5-oxoimidazolidin-4-yl]-1-(3,5-difluorobenzyl)-2-hydroxyethyl]-5-methyl-N,N-dipropylbenzene-1,3-dicarboxamide", 3398 },
	{ "319", "", "", ResidueType::NON_POLYMER, false, "N-({4-[(2-aminopyridin-4-yl)oxy]-3-fluorophenyl}carbamoyl)-2-(4-fluorophenyl)acetamide", 3399 },
	{ "31A", "", "", ResidueType::NON_POLYMER, false, "N-[2-(3-methoxyphenyl)ethanimidoyl]-2-piperidin-4-yloxy-benzamide", 3400 },
	{ "31B", "", "", ResidueType::NON_POLYMER, false, "benzoyl-oxydephosphocoenzyme A", 3401 },
	{ "31D", "", "", ResidueType::NON_POLYMER, false, "4-({2-[(4-tert-butylbenzoyl)amino]benzoyl}amino)benzoic acid", 3402 },
	{ "31E", "", "", ResidueType::NON_POLYMER, false, "(Z)-[(furan-2-ylmethyl)imino]methanethiol", 3403 },
	{ "31F", "", "", ResidueType::NON_POLYMER, false, "4-(4-oxidanylidene-3H-quinazolin-2-yl)benzenesulfonamide", 3404 },
	{ "31G", "", "", ResidueType::NON_POLYMER, false, "3-{[(2,4-diaminoquinazolin-5-yl)oxy]methyl}benzenesulfonic acid", 3405 },
	{ "31H", "", "", ResidueType::RNA_LINKING, false, "", 3406 },
	{ "31I", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-{5-[(2,4-diaminopyrimidin-5-yl)methyl]-2,3-dimethoxyphenyl}-1-[(1S)-1-(propan-2-yl)phthalazin-2(1H)-yl]prop-2-en-1-one", 3407 },
	{ "31J", "", "", ResidueType::NON_POLYMER, false, "7-hydroxy-6-methoxy-3-[2-(2-methoxyethoxy)ethyl]-4,8-dimethyl-2H-chromen-2-one", 3408 },
	{ "31K", "", "", ResidueType::NON_POLYMER, false, "2-methoxy-6-methyl-4-(4-methyl-3,4-dihydro-2H-1,4-benzoxazin-7-yl)phenol", 3409 },
	{ "31L", "", "", ResidueType::NON_POLYMER, false, "3-methoxy-5-methyl-4'-(morpholin-4-yl)biphenyl-4-ol", 3410 },
	{ "31M", "", "", ResidueType::RNA_LINKING, false, "", 3411 },
	{ "31N", "", "", ResidueType::NON_POLYMER, false, "6-[({(1r,4S)-1-[(1S)-2-(3-fluoro-6-methoxy-1,5-naphthyridin-4-yl)-1-hydroxyethyl]-2-oxabicyclo[2.2.2]oct-4-yl}amino)methyl]-2H-pyrido[3,2-b][1,4]oxazin-3(4H)-one", 3412 },
	{ "31O", "", "", ResidueType::NON_POLYMER, false, "methyl (2R)-2-[(4S)-6-(4-chlorophenyl)-8-methoxy-1-methyl-4H-[1,2,4]triazolo[4,3-a][1,4]benzodiazepin-4-yl]propanoate", 3413 },
	{ "31P", "", "", ResidueType::NON_POLYMER, false, "methyl (2R)-2-[(4S)-6-(4-chlorophenyl)-8-methoxy-1-methyl-4H-[1,2,4]triazolo[4,3-a][1,4]benzodiazepin-4-yl]butanoate", 3414 },
	{ "31Q", "", "", ResidueType::PEPTIDE_LINKING, false, "(4-carboxyphenyl)(L-cysteinato-kappaS~3~)mercury", 3415 },
	{ "31R", "", "", ResidueType::NON_POLYMER, false, "3-(7-hydroxy-2-oxo-4-phenyl-2H-chromen-6-yl)propanoic acid", 3416 },
	{ "31S", "", "", ResidueType::NON_POLYMER, false, "(2Z)-3-(biphenyl-4-yl)-5-(4-chlorophenyl)pent-2-enoic acid", 3417 },
	{ "31T", "", "", ResidueType::NON_POLYMER, false, "4-hydroxy-6-[2-(7-hydroxy-2-oxo-4-phenyl-2H-chromen-6-yl)ethyl]pyridazin-3(2H)-one", 3418 },
	{ "31U", "", "", ResidueType::NON_POLYMER, false, "D-leucyl-N-(4-carbamimidoylbenzyl)-L-prolinamide", 3419 },
	{ "31V", "", "", ResidueType::NON_POLYMER, false, "N-(3-cyclopropyl-1-phenyl-1H-pyrazol-5-yl)-2-{4-[3-methoxy-4-(4-methyl-1H-imidazol-1-yl)phenyl]-1H-1,2,3-triazol-1-yl}acetamide", 3420 },
	{ "31W", "", "", ResidueType::NON_POLYMER, false, "1-cyclopropyl-1-[3-(1,3-thiazol-2-yl)benzyl]-3-[4-(trifluoromethoxy)phenyl]urea", 3421 },
	{ "31X", "", "", ResidueType::NON_POLYMER, false, "4-(naphthalen-1-yl)-1-[(5-phenyl-1,2,4-oxadiazol-3-yl)methyl]-1H-pyrrolo[3,2-c]pyridine-2-carboxylic acid", 3422 },
	{ "31Y", "", "", ResidueType::NON_POLYMER, false, "N~4~-[4-(morpholin-4-yl)phenyl]-N~6~-(pyridin-3-ylmethyl)pyrido[3,2-d]pyrimidine-4,6-diamine", 3423 },
	{ "31Z", "", "", ResidueType::NON_POLYMER, false, "2-(3-chlorophenoxy)-3-fluoro-4-{[(3S)-3-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)piperidin-1-yl]methyl}benzoic acid", 3424 },
	{ "320", "", "", ResidueType::NON_POLYMER, false, "2-(4-fluorophenyl)-N-{[3-fluoro-4-(1H-pyrrolo[2,3-b]pyridin-4-yloxy)phenyl]carbamoyl}acetamide", 3425 },
	{ "321", "", "", ResidueType::NON_POLYMER, false, "N-{3-[5-hydroxy-2-(3-methylbutyl)-3-oxo-6-thiophen-2-yl-2,3-dihydropyridazin-4-yl]-1,1-dioxido-2H-1,4-benzothiazin-7-yl}methanesulfonamide", 3426 },
	{ "322", "", "", ResidueType::NON_POLYMER, false, "[(5R)-5-(2,3-dibromo-5-ethoxy-4-hydroxybenzyl)-4-oxo-2-thioxo-1,3-thiazolidin-3-yl]acetic acid", 3427 },
	{ "323", "", "", ResidueType::NON_POLYMER, false, "2-[3,6-bis(dimethylamino)xanthen-9-yl]-5-methanoyl-benzoate", 3428 },
	{ "324", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(5-chloro-1H-pyrrolo[2,3-b]pyridin-3-yl)carbonyl]-2,4-difluorophenyl}propane-1-sulfonamide", 3429 },
	{ "325", "", "", ResidueType::NON_POLYMER, false, "N-{2,4-difluoro-3-[(5-pyridin-3-yl-1H-pyrrolo[2,3-b]pyridin-3-yl)carbonyl]phenyl}ethanesulfonamide", 3430 },
	{ "326", "", "", ResidueType::NON_POLYMER, false, "2-{(E)-[5-HYDROXY-3-METHYL-1-(2-METHYL-4-SULFOPHENYL)-1H-PYRAZOL-4-YL]DIAZENYL}-4-SULFOBENZOIC ACID", 3431 },
	{ "327", "", "", ResidueType::NON_POLYMER, false, "(3S,5E)-3-propyl-3,4-dihydrothieno[2,3-f][1,4]oxazepin-5(2H)-imine", 3432 },
	{ "328", "", "", ResidueType::NON_POLYMER, false, "4-({4-[(4-methoxypyridin-2-yl)amino]piperidin-1-yl}carbonyl)benzonitrile", 3433 },
	{ "329", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-methyl-2,3-dihydrothieno[2,3-f][1,4]oxazepin-5-amine", 3434 },
	{ "32A", "", "", ResidueType::NON_POLYMER, false, "2-[(5-hex-1-yn-1-ylfuran-2-yl)carbonyl]-N-methylhydrazinecarbothioamide", 3435 },
	{ "32B", "", "", ResidueType::NON_POLYMER, false, "2-(3-chlorophenoxy)-3-methoxy-4-{(1R)-1-[(3S)-3-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)piperidin-1-yl]propyl}benzoic acid", 3436 },
	{ "32C", "", "", ResidueType::NON_POLYMER, false, "2-(3-chlorophenoxy)-3-fluoro-4-{(1R)-3-methyl-1-[(3S)-3-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)piperidin-1-yl]butyl}benzoic acid", 3437 },
	{ "32D", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-[2-(difluoromethyl)pyridin-4-yl]-4-fluoro-1-(3-pyrimidin-5-ylphenyl)-1H-isoindol-3-amine", 3438 },
	{ "32E", "", "", ResidueType::NON_POLYMER, false, "2-(3-chlorophenoxy)-3-fluoro-4-{(1S)-3-methyl-1-[(3S)-3-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)piperidin-1-yl]butyl}benzoic acid", 3439 },
	{ "32F", "", "", ResidueType::NON_POLYMER, false, "2-[4-(4-oxidanylidene-3H-quinazolin-2-yl)phenoxy]ethanoic acid", 3440 },
	{ "32G", "", "", ResidueType::NON_POLYMER, false, "(3aS,4S,6aR)-4-(5-{1-[4-(6-amino-9H-purin-9-yl)butyl]-1H-1,2,3-triazol-4-yl}pentyl)tetrahydro-1H-thieno[3,4-d]imidazol-2(3H)-one", 3441 },
	{ "32H", "", "", ResidueType::NON_POLYMER, false, "2-bromo-3-(4-bromophenyl)-4-hydroxy-6-oxo-6,7-dihydrothieno[2,3-b]pyridine-5-carbonitrile", 3442 },
	{ "32J", "", "", ResidueType::NON_POLYMER, false, "2-chloro-4-hydroxy-3-(2'-hydroxybiphenyl-4-yl)-6-oxo-6,7-dihydrothieno[2,3-b]pyridine-5-carbonitrile", 3443 },
	{ "32K", "", "", ResidueType::NON_POLYMER, false, "2-(3-chlorophenoxy)-3-methoxy-4-{[(3S)-3-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)piperidin-1-yl]methyl}benzoic acid", 3444 },
	{ "32L", "", "", ResidueType::PEPTIDE_LINKING, false, "ethyl (3S,4S)-4-amino-3-hydroxy-6-methylheptanoate", 3445 },
	{ "32M", "", "", ResidueType::NON_POLYMER, false, "3,6,9,12,15,18-hexaoxahexacosan-1-ol", 3446 },
	{ "32O", "", "", ResidueType::SACCHARIDE, false, "beta-L-ribofuranose", 3447 },
	{ "32P", "", "", ResidueType::NON_POLYMER, false, "3-{2-[(5-AMINOPENTYL)AMINO]-2-OXOETHOXY}-5-({[1-(4-FLUOROPHENYL)ETHYL]AMINO}CARBONYL)PHENYL PHENYLMETHANESULFONATE", 3448 },
	{ "32Q", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[4-(aminomethyl)benzyl]-3-[(R)-[(1R)-1-amino-3-phenylpropyl](hydroxy)phosphoryl]propanoic acid", 3449 },
	{ "32R", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[4-(aminomethyl)benzyl]-3-[(R)-[(1R)-1-amino-3-phenylpropyl](hydroxy)phosphoryl]propanoic acid", 3450 },
	{ "32S", "", "", ResidueType::PEPTIDE_LINKING, false, "(S)-2-AMINO-3-(4H-SELENOLO[3,2-B]-PYRROL-6-YL)-PROPIONIC ACID", 3451 },
	{ "32T", "", "", ResidueType::PEPTIDE_LINKING, false, "(S)-2-AMINO-3-(4H-THIENO[3,2-B]-PYRROL-6-YL)-PROPIONIC ACID", 3452 },
	{ "32U", "", "", ResidueType::PEPTIDE_LIKE, false, "D-phenylalanyl-N-{4-[amino(iminio)methyl]benzyl}-L-prolinamide", 3453 },
	{ "32V", "", "", ResidueType::NON_POLYMER, false, "2-(cyclopentylamino)-3-ethyl-7-ethynylthieno[3,2-d]pyrimidin-4(3H)-one", 3454 },
	{ "32W", "", "", ResidueType::NON_POLYMER, false, "N-(2-methoxyethyl)-4-[(6-pyridin-4-ylquinazolin-2-yl)amino]benzamide", 3455 },
	{ "32X", "", "", ResidueType::NON_POLYMER, false, "5-aminoisoquinolin-1(4H)-one", 3456 },
	{ "32Y", "", "", ResidueType::NON_POLYMER, false, "6-amino-5-iodo-2H-chromen-2-one", 3457 },
	{ "32Z", "", "", ResidueType::NON_POLYMER, false, "5-[4-(piperidin-1-yl)butoxy]-3,4-dihydroisoquinolin-1(2H)-one", 3458 },
	{ "330", "", "", ResidueType::NON_POLYMER, false, "9-HYDROXY-6-(3-HYDROXYPROPYL)-4-(2-METHOXYPHENYL)PYRROLO[3,4-C]CARBAZOLE-1,3(2H,6H)-DIONE", 3459 },
	{ "331", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(4-[2-(3-[2,4-DIFLUOROPHENYL]-1-HEPTYLUREIDO)ETHYL]PHENOXY)-2-METHYLBUTYRIC ACID", 3460 },
	{ "332", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-[(1,2,3,4-tetrahydroisoquinolin-7-yloxy)methyl]-2,3-dihydrothieno[2,3-f][1,4]oxazepin-5-amine", 3461 },
	{ "333", "", "", ResidueType::NON_POLYMER, false, "4-(1,3-BENZODIOXOL-5-YLOXY)-2-[4-(1H-IMIDAZOL-1-YL)PHENOXY]PYRIMIDINE", 3462 },
	{ "334", "", "", ResidueType::NON_POLYMER, false, "2-{5-[AMINO(IMINIO)METHYL]-1H-BENZIMIDAZOL-2-YL}-6-BROMO-4-METHYLBENZENOLATE", 3463 },
	{ "335", "", "", ResidueType::NON_POLYMER, false, "[4-(2-(1H-1,2,3-BENZOTRIAZOL-1-YL)-3-{4-[DIFLUORO(PHOSPHONO)METHYL]PHENYL}-2-PHENYLPROPYL)PHENYL](DIFLUORO)METHYLPHOSPHONIC ACID", 3464 },
	{ "336", "", "", ResidueType::NON_POLYMER, false, "4-{2-[4-(3,10-DIBROMO-8-CHLORO-6,11-DIHYDRO-5H-BENZO[5,6]CYCLOHEPTA[1,2-B]PYRIDIN-11-YL)PIPERIDIN-1-YL]-2-OXOETHYL}PIPERIDINE-1-CARBOXAMIDE", 3465 },
	{ "337", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-1-[5-({5-tert-butyl-2-methoxy-3-[(methylsulfonyl)amino]phenyl}carbamoyl)-2-methylphenyl]-1H-1,2,3-triazole-4-carboxamide", 3466 },
	{ "338", "", "", ResidueType::NON_POLYMER, false, "2-(5-HYDROXY-NAPHTHALEN-1-YL)-1,3-BENZOOXAZOL-6-OL", 3467 },
	{ "339", "", "", ResidueType::NON_POLYMER, false, "(S)-2-(3-((R)-1-(4-BROMOPHENYL)ETHYL)UREIDO)-N-((S)-1-((S)-5-GUANIDINO-1-OXO-1-(THIAZOL-2-YL)PENTAN-2-YLAMINO)-3-METHYL-1-OXOBUTAN-2-YL)-5-UREIDOPENTANAMIDE", 3468 },
	{ "33A", "", "", ResidueType::NON_POLYMER, false, "N-BENZYL-4-[4-(3-CHLOROPHENYL)-1H-PYRAZOL-3-YL]-1H-PYRROLE-2-CARBOXAMIDE", 3469 },
	{ "33B", "", "", ResidueType::NON_POLYMER, false, "", 3470 },
	{ "33C", "", "", ResidueType::NON_POLYMER, false, "4-[(3aR,4R,7S,7aS)-1,3-dioxooctahydro-2H-4,7-methanoisoindol-2-yl]-N-(quinolin-8-yl)benzamide", 3471 },
	{ "33D", "", "", ResidueType::NON_POLYMER, false, "3,3-DIMETHYLBUTAN-1-OL", 3472 },
	{ "33E", "", "", ResidueType::NON_POLYMER, false, "4-iodo-3-nitrobenzamide", 3473 },
	{ "33F", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-butan-2-yl]-6-[(3R)-3-{[4-(trifluoromethoxy)benzyl]carbamoyl}-4-{[4-(trifluoromethoxy)phenyl]sulfonyl}piperazin-1-yl]pyridazine-3-carboxamide", 3474 },
	{ "33G", "", "", ResidueType::NON_POLYMER, false, "(4S)-6-amino-4-(5-cyano-3'-fluorobiphenyl-3-yl)-4-cyclobutyl-3-methyl-2,4-dihydropyrano[2,3-c]pyrazole-5-carbonitrile", 3475 },
	{ "33H", "", "", ResidueType::NON_POLYMER, false, "3-{(2R,5R)-5-cyclohexyl-2-[(2R)-2-hydroxypropyl]-3-oxomorpholin-4-yl}-5-(3,3-dimethylbut-1-yn-1-yl)thiophene-2-carboxylic acid", 3476 },
	{ "33J", "", "", ResidueType::NON_POLYMER, false, "3-[(2R)-2-cyclohexyl-5-oxopyrrolidin-1-yl]-5-phenylthiophene-2-carboxylic acid", 3477 },
	{ "33K", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-N-(carboxymethyl)glycyl-L-histidine", 3478 },
	{ "33L", "", "", ResidueType::NON_POLYMER, false, "N-(2-aminoethyl)-Nalpha-benzoyl-L-phenylalaninamide", 3479 },
	{ "33M", "", "", ResidueType::NON_POLYMER, false, "N~6~-methyl-N~6~-(naphthalen-1-yl)pyrido[2,3-d]pyrimidine-2,4,6-triamine", 3480 },
	{ "33N", "", "", ResidueType::NON_POLYMER, false, "N-(3,3-diphenylpropyl)pyridine-3-carboxamide", 3481 },
	{ "33O", "", "", ResidueType::NON_POLYMER, false, "3,6,9,12,15,18,21,24,27,30,33,36-dodecaoxaoctatriacontane-1,38-diol", 3482 },
	{ "33P", "", "", ResidueType::NON_POLYMER, false, "{3-[(3-HYDROXY-2-METHYL-5-PHOSPHONOOXYMETHYL-PYRIDIN-4-YLMETHYL)-AMINO]-2-METHYL-PROPYL}-PHOSPHONIC ACID", 3483 },
	{ "33R", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-{2-[4-(3,4-dichlorophenyl)-1,3-thiazol-2-yl]hydrazinylidene}-3-(2-nitrophenyl)propanoic acid", 3484 },
	{ "33S", "", "", ResidueType::PEPTIDE_LINKING, false, "3-iodo-L-phenylalanine", 3485 },
	{ "33T", "", "", ResidueType::NON_POLYMER, false, "3-chloro-4-({(2R)-4-[4-fluoro-2-(trifluoromethyl)phenyl]-2-methylpiperazin-1-yl}sulfonyl)benzamide", 3486 },
	{ "33U", "", "", ResidueType::PEPTIDE_LIKE, false, "beta-phenyl-D-phenylalanyl-N-(4-carbamimidoylbenzyl)-L-prolinamide", 3487 },
	{ "33V", "", "", ResidueType::NON_POLYMER, false, "(3R,6R,7S)-7-[(2R,3aR)-hexahydropyrazolo[1,5-c][1,3]thiazin-2-yl]-6-(hydroxymethyl)-1,4-thiazepane-3-carboxylic acid", 3488 },
	{ "33W", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(5-bromothiophen-2-yl)-L-alanine", 3489 },
	{ "33X", "", "", ResidueType::PEPTIDE_LINKING, false, "N-methyl-D-alanine", 3490 },
	{ "33Y", "", "", ResidueType::NON_POLYMER, false, "1-methylethyl 3-[(3,4-difluorophenyl)carbonyl]-1,1-dimethyl-1,2,3,6-tetrahydroazepino[4,5-b]indole-5-carboxylate", 3491 },
	{ "33Z", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(3-{[AMINO(IMINO)METHYL]AMINO}PHENYL)-3-[(R)-[(1R)-1-({N-[(BENZYLOXY)CARBONYL]-L-PHENYLALANYL}AMINO)-2-METHYLPROPYL](HYDROXY)PHOSPHORYL]PROPANOIC ACID", 3492 },
	{ "340", "", "", ResidueType::NON_POLYMER, false, "5-METHOXY-1,2-DIMETHYL-3-(PHENOXYMETHYL)INDOLE-4,7-DIONE", 3493 },
	{ "341", "", "", ResidueType::NON_POLYMER, false, "(3,5-difluorophenyl)methanol", 3494 },
	{ "342", "", "", ResidueType::NON_POLYMER, false, "(3S)-1-(1,3-BENZODIOXOL-5-YLMETHYL)-3-[4-(1H-IMIDAZOL-1-YL)PHENOXY]PIPERIDINE", 3495 },
	{ "343", "", "", ResidueType::NON_POLYMER, false, "(2S)-(3-{[AMINO(IMINO)METHYL]AMINO}PHENYL){[(S)-[(1R)-1-({N-[(BENZYLOXY)CARBONYL]-L-TYROSYL}AMINO)-2-METHYLPROPYL](HYDROXY)PHOSPHORYL]OXY}ACETIC ACID", 3496 },
	{ "344", "", "", ResidueType::NON_POLYMER, false, "6-AMINO-3,7-DIHYDRO-IMIDAZO[4,5-G]QUINAZOLIN-8-ONE", 3497 },
	{ "345", "", "CBP", ResidueType::NON_POLYMER, true, "4-[4-(4-CHLORO-PHENOXY)-BENZENESULFONYL]-4-METHYL-TETRAHYDRO-PYRAN;COMPOUND WITH N-HYDROXY-ACETAMIDE", 3498 },
	{ "346", "", "", ResidueType::NON_POLYMER, false, "(R)-(4-CARBAMIMIDOYL-PHENYLAMINO)-[5-ETHOXY-2-FLUORO-3-[(R)-TETRAHYDRO-FURAN-3-YLOXY]-PHENYL]-ACETIC ACID", 3499 },
	{ "347", "", "", ResidueType::NON_POLYMER, false, "TERT-BUTYL 4-({[4-(BUT-2-YN-1-YLAMINO)PHENYL]SULFONYL}METHYL)-4-[(HYDROXYAMINO)CARBONYL]PIPERIDINE-1-CARBOXYLATE", 3500 },
	{ "348", "", "", ResidueType::NON_POLYMER, false, "4-[(1R,3AS,4R,8AS,8BR)-1-ISOPROPYL-2-(4-METHOXYBENZYL)-3-OXODECAHYDROPYRROLO[3,4-A]PYRROLIZIN-4-YL]BENZENECARBOXIMIDAMIDE", 3501 },
	{ "349", "", "", ResidueType::NON_POLYMER, false, "5-{[4-{[2-(pyrrolidin-1-ylsulfonyl)benzyl]amino}-5-(trifluoromethyl)pyrimidin-2-yl]amino}-1,3-dihydro-2H-indol-2-one", 3502 },
	{ "34A", "", "", ResidueType::NON_POLYMER, false, "3,4-DIMETHYLANILINE", 3503 },
	{ "34B", "", "", ResidueType::NON_POLYMER, false, "2,4-DIAMINO-5-(1-O-CARBORANYLMETHYL)-6-METHYLPYRIMIDINE", 3504 },
	{ "34C", "", "", ResidueType::NON_POLYMER, false, "(3-CHLORO-4-PROPOXY-PHENYL)-ACETIC ACID", 3505 },
	{ "34D", "", "", ResidueType::NON_POLYMER, false, "3,5-DIHYDROXYBENZOATE", 3506 },
	{ "34E", "", "", ResidueType::PEPTIDE_LINKING, false, "(3R)-4-[4-(2-methoxyethyl)piperazin-1-yl]-N-methyl-L-valine", 3507 },
	{ "34F", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-(3,4-DICHLOROPHENYL)-3-[FORMYL(HYDROXY)AMINO]PROPYL}PHOSPHONIC ACID", 3508 },
	{ "34G", "", "", ResidueType::NON_POLYMER, false, "emetine", 3509 },
	{ "34H", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-HYDROXY-3-(4-HYDROXYPHENYL)PROPANOIC ACID", 3510 },
	{ "34I", "", "", ResidueType::NON_POLYMER, false, "N-[4-cyano-3-(1H-1,2,4-triazol-5-yl)thiophen-2-yl]-2-(2-oxo-3,4-dihydroquinolin-1(2H)-yl)acetamide", 3511 },
	{ "34J", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(4-amino-3-nitrophenyl)-2-{2-[4-(3,4-dichlorophenyl)-1,3-thiazol-2-yl]hydrazinyl}propanoic acid", 3512 },
	{ "34K", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-{2-[4-(4-bromophenyl)-1,3-thiazol-2-yl]hydrazinylidene}-3-(2-nitrophenyl)propanoic acid", 3513 },
	{ "34L", "", "", ResidueType::NON_POLYMER, false, "(8Z)-8-(1H-imidazol-5-ylmethylidene)-6,8-dihydro-7H-[1,3]thiazolo[5,4-e]indol-7-one", 3514 },
	{ "34M", "", "", ResidueType::NON_POLYMER, false, "3-(4-methoxyphenyl)-5-({[4-(4-methoxyphenyl)-5-methyl-4H-1,2,4-triazol-3-yl]sulfanyl}methyl)-1,2,4-oxadiazole", 3515 },
	{ "34N", "", "", ResidueType::NON_POLYMER, false, "4-cyano-N-{(3S)-3-(4-fluorophenyl)-3-[4-(methylsulfonyl)phenyl]propyl}benzamide", 3516 },
	{ "34O", "", "", ResidueType::NON_POLYMER, false, "2-(1,3-benzodioxol-5-yl)-5-[(3-fluoro-4-methoxybenzyl)sulfanyl]-1,3,4-oxadiazole", 3517 },
	{ "34P", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(CARBOXYMETHYL)-3-CYCLOHEXYL-D-ALANYL-N-({4-[(E)-AMINO(IMINO)METHYL]-1,3-THIAZOL-2-YL}METHYL)-L-PROLINAMIDE", 3518 },
	{ "34Q", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-4-(pyrrolidin-1-ylcarbonyl)-1-(quinoxalin-2-ylcarbonyl)pyrrolidin-3-amine", 3519 },
	{ "34R", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-{5-[(2,4-diaminopyrimidin-5-yl)methyl]-2,3-dimethoxyphenyl}-1-[(1R)-1-phenylphthalazin-2(1H)-yl]prop-2-en-1-one", 3520 },
	{ "34S", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-{5-[(2,4-diaminopyrimidin-5-yl)methyl]-2,3-dimethoxyphenyl}-1-[(1S)-1-phenylphthalazin-2(1H)-yl]prop-2-en-1-one", 3521 },
	{ "34T", "", "", ResidueType::NON_POLYMER, false, "(3R)-8-(dioxidosulfanyl)-3-methyl-1,2,3,4-tetrahydroquinoline", 3522 },
	{ "34U", "", "", ResidueType::NON_POLYMER, false, "1-{2-[5-(2-methoxyethoxy)-1H-benzimidazol-1-yl]quinolin-8-yl}piperidin-4-amine", 3523 },
	{ "34V", "", "", ResidueType::SACCHARIDE, false, "beta-L-ribulofuranose", 3524 },
	{ "34W", "", "", ResidueType::NON_POLYMER, false, "N-{2-[(1S,4R)-6-{[4-(cyclobutylamino)-5-(trifluoromethyl)pyrimidin-2-yl]amino}-1,2,3,4-tetrahydro-1,4-epiminonaphthalen-9-yl]-2-oxoethyl}acetamide", 3525 },
	{ "34X", "", "", ResidueType::NON_POLYMER, false, "1-(2-AMINO-4-PHENYLIMIDAZOL-1-YL)-3-(2-FLUOROPHENYL)UREA", 3526 },
	{ "34Y", "", "", ResidueType::NON_POLYMER, false, "4-[(4-methylpiperazin-1-yl)methyl]-N-{3-[3-methyl-4-({[5-(propan-2-yl)-1,2-oxazol-3-yl]carbamoyl}amino)phenyl]-1H-pyrazol-5-yl}benzamide", 3527 },
	{ "34Z", "", "", ResidueType::NON_POLYMER, false, "3,4-dichlorobenzoate", 3528 },
	{ "351", "", "", ResidueType::NON_POLYMER, false, "1-(3-{5-[4-(aminomethyl)phenyl]-1H-pyrrolo[2,3-b]pyridin-3-yl}phenyl)-3-(2-phenoxyphenyl)urea", 3529 },
	{ "352", "", "", ResidueType::NON_POLYMER, false, "(5S)-2-{[(1S)-1-(4-fluorophenyl)ethyl]amino}-5-(1-hydroxy-1-methylethyl)-5-methyl-1,3-thiazol-4(5H)-one", 3530 },
	{ "353", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(2-amino-3-chloropyridin-4-yl)oxy]-3-fluorophenyl}-4-ethoxy-1-(4-fluorophenyl)-2-oxo-1,2-dihydropyridine-3-carboxamide", 3531 },
	{ "354", "", "", ResidueType::NON_POLYMER, false, "N-[(S)-(4-{[(2-AMINO-4-HYDROXYQUINAZOLIN-6-YL)(DIHYDROXY)-LAMBDA~4~-SULFANYL]AMINO}PHENYL)(HYDROXY)METHYL]-L-GLUTAMIC ACID", 3532 },
	{ "355", "", "", ResidueType::NON_POLYMER, false, "trans-N-benzyl-4-({1-[(6-methyl-4-oxo-4H-pyrido[1,2-a]pyrimidin-2-yl)methyl]-2,4-dioxo-1,4-dihydroquinazolin-3(2H)-yl}methyl)cyclohexanecarboxamide", 3533 },
	{ "356", "", "", ResidueType::NON_POLYMER, false, "8-[(3R)-3-Aminopiperidin-1-yl]-7-but-2-yn-1-yl-3-methyl-1-[(4-methylquinazolin-2-yl)methyl]-3,7-dihydro-1H-purine-2,6-dione", 3534 },
	{ "357", "", "", ResidueType::NON_POLYMER, false, "5-ETHYL-3-[(2-METHOXYETHYL)METHYLAMINO]-6-METHYL-4-(3-METHYLBENZYL)PYRIDIN-2(1H)-ONE", 3535 },
	{ "358", "", "", ResidueType::NON_POLYMER, false, "1-(2,6-DICHLOROPHENYL)-5-(2,4-DIFLUOROPHENYL)-7-PIPERIDIN-4-YL-3,4-DIHYDROQUINOLIN-2(1H)-ONE", 3536 },
	{ "359", "", "", ResidueType::NON_POLYMER, false, "3-[[3-[(2R)-3-[[(2S)-5-amino-1-[(4-carbamimidoylphenyl)methylamino]-1,5-dioxo-pentan-2-yl]amino]-2-(ethylsulfonylamino)-3-oxo-propyl]-1H-indol-5-yl]oxymethyl]benzoic acid", 3537 },
	{ "35A", "", "", ResidueType::NON_POLYMER, false, "N-[(5R,14R)-5-AMINO-5,14-DIMETHYL-4-OXO-3-OXA-18-AZATRICYCLO[15.3.1.1~7,11~]DOCOSA-1(21),7(22),8,10,17,19-HEXAEN-19-YL]-N-METHYLMETHANESULFONAMIDE", 3538 },
	{ "35B", "", "", ResidueType::NON_POLYMER, false, "4-bromo-3-(carboxymethoxy)-5-{3-[cyclohexyl(methylcarbamoyl)amino]phenyl}thiophene-2-carboxylic acid", 3539 },
	{ "35C", "", "", ResidueType::NON_POLYMER, false, "3,5-dichlorobenzene-1,2-diol", 3540 },
	{ "35D", "", "", ResidueType::NON_POLYMER, false, "1-[4-(3-{[1-(quinolin-2-yl)azetidin-3-yl]oxy}quinoxalin-2-yl)piperidin-1-yl]ethanone", 3541 },
	{ "35E", "", "", ResidueType::NON_POLYMER, false, "[1-(3-{[1-(quinolin-2-yl)azetidin-3-yl]oxy}pyrazin-2-yl)piperidin-4-yl]methanol", 3542 },
	{ "35F", "", "", ResidueType::NON_POLYMER, false, "N-{3-[5-(1H-1,2,4-triazol-3-yl)-1H-indazol-3-yl]phenyl}furan-2-carboxamide", 3543 },
	{ "35G", "", "", ResidueType::NON_POLYMER, false, "GUANOSINE-3',5'-MONOPHOSPHATE", 3544 },
	{ "35H", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(1S)-1,2-dihydroxyethyl]benzyl}-N-methyl-4-(phenylsulfamoyl)benzamide", 3545 },
	{ "35I", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-{5-[(2,4-diaminopyrimidin-5-yl)methyl]-2,3-dimethoxyphenyl}-1-[(1S)-1-(3,3,3-trifluoropropyl)phthalazin-2(1H)-yl]prop-2-en-1-one", 3546 },
	{ "35J", "", "", ResidueType::NON_POLYMER, false, "N-(pyridin-3-ylmethyl)thioformamide", 3547 },
	{ "35K", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-4-(2,3-dioxo-1,2,3,4-tetrahydroquinoxalin-6-yl)butanoic acid", 3548 },
	{ "35M", "", "", ResidueType::NON_POLYMER, false, "2-[5-[(4-hydroxyphenyl)carbonylamino]-2-oxidanyl-phenyl]pyridine-4-carboxylic acid", 3549 },
	{ "35N", "", "", ResidueType::NON_POLYMER, false, "Copper(II) tetrapyrrole ", 3550 },
	{ "35O", "", "", ResidueType::NON_POLYMER, false, "N~2~-(1-cyclopentyl-4-oxo-4,7-dihydro-1H-pyrazolo[3,4-d]pyrimidin-6-yl)-N-(4-methoxyphenyl)-D-alaninamide", 3551 },
	{ "35P", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-5,5-dimethyl-2-{(1R)-2-oxo-1-[(phenoxyacetyl)amino]ethyl}-1,3-thiazolidine-4-carboxylic acid", 3552 },
	{ "35Q", "", "", ResidueType::NON_POLYMER, false, "N-(4-(4-methylpiperazin-1-yl)-3'-(morpholinomethyl)-[1,1'-biphenyl]-3-yl)-6-oxo-4-(trifluoromethyl)-1,6-dihydropyridine-3-carboxamide", 3553 },
	{ "35R", "", "", ResidueType::NON_POLYMER, false, "1-cyclopropyl-3-{3-[5-(morpholin-4-ylmethyl)-1H-benzimidazol-2-yl]-1H-pyrazol-4-yl}urea", 3554 },
	{ "35S", "", "", ResidueType::NON_POLYMER, false, "{(3R,5R,6S)-5-(3-chlorophenyl)-6-(4-chlorophenyl)-1-[(1S)-1-(6-cyclopropylpyridin-2-yl)propyl]-3-methyl-2-oxopiperidin-3-yl}acetic acid", 3555 },
	{ "35T", "", "", ResidueType::NON_POLYMER, false, "{(3R,5R,6S)-5-(3-chlorophenyl)-6-(4-chlorophenyl)-1-[(1S)-1-cyclopropyl-2-(pyrrolidin-1-ylsulfonyl)ethyl]-3-methyl-2-oxopiperidin-3-yl}acetic acid", 3556 },
	{ "35V", "", "", ResidueType::NON_POLYMER, false, "4-[(1R)-1-hydroxy-2-({2-[3-methoxy-4-(2-sulfanylethoxy)phenyl]ethyl}amino)ethyl]benzene-1,2-diol", 3557 },
	{ "35W", "", "", ResidueType::NON_POLYMER, false, "7-(1-benzyl-1H-pyrazol-4-yl)-2-(pyridin-4-yl)-5H-pyrrolo[2,3-b]pyrazine", 3558 },
	{ "35X", "", "", ResidueType::NON_POLYMER, false, "7-(1-propyl-1H-pyrazol-4-yl)-2-(pyridin-4-yl)-5H-pyrrolo[2,3-b]pyrazine", 3559 },
	{ "35Y", "", "", ResidueType::PEPTIDE_LINKING, false, "3-[(1H-tetrazol-5-ylcarbonyl)amino]-L-alanine", 3560 },
	{ "361", "", "", ResidueType::NON_POLYMER, false, "(7R,8R)-8-(2,4,5-trifluorophenyl)-6,7,8,9-tetrahydroimidazo[1,2-a:4,5-c']dipyridin-7-amine", 3561 },
	{ "362", "", "", ResidueType::NON_POLYMER, false, "2-(1H-pyrazol-4-yl)-7-(pyridin-3-yl)-5H-pyrrolo[2,3-b]pyrazine", 3562 },
	{ "363", "", "", ResidueType::NON_POLYMER, false, "2-(1H-pyrazol-4-yl)-5H-pyrrolo[2,3-b]pyrazine", 3563 },
	{ "364", "", "", ResidueType::NON_POLYMER, false, "3-BIPHENYL-3-YL-1-(2-HYDROXY-2,2-DIPHOSPHONOETHYL)PYRIDINIUM", 3564 },
	{ "365", "", "", ResidueType::NON_POLYMER, false, "", 3565 },
	{ "367", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXYPROPYL 3-[({7-[AMINO(IMINO)METHYL]-1-NAPHTHYL}AMINO)CARBONYL]BENZENESULFONATE", 3566 },
	{ "368", "", "", ResidueType::NON_POLYMER, false, "(1R)-2-{[AMINO(IMINO)METHYL]AMINO}-1-{4-[(4R)-4-(HYDROXYMETHYL)-1,3,2-DIOXABOROLAN-2-YL]PHENYL}ETHYL NICOTINATE", 3567 },
	{ "369", "", "", ResidueType::NON_POLYMER, false, "5-(4-hydroxyphenoxy)-6-(3-hydroxyphenyl)-7-methylnaphthalen-2-ol", 3568 },
	{ "36A", "", "", ResidueType::NON_POLYMER, false, "(S)-2-amino-4-(((2S,3S,4R,5R)-5-(6-(3-chlorobenzylamino)-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl)methylthio)butanoic acid", 3569 },
	{ "36C", "", "", ResidueType::NON_POLYMER, false, "3-[(4-fluorobenzyl)amino]-6-(trifluoromethyl)quinoxaline-2-carboxylic acid", 3570 },
	{ "36D", "", "", ResidueType::NON_POLYMER, false, "N-[(2R,3S)-3-amino-2-hydroxy-4-(thiophen-2-yl)butanoyl]-L-norvaline", 3571 },
	{ "36E", "", "", ResidueType::NON_POLYMER, false, "2-(trifluoromethyl)-1H-benzimidazole", 3572 },
	{ "36F", "", "", ResidueType::NON_POLYMER, false, "5-methyl-3-[4-(4-{5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentyl}-1H-1,2,3-triazol-1-yl)butyl]-1,3-benzoxazol-2(3H)-one", 3573 },
	{ "36G", "", "", ResidueType::NON_POLYMER, false, "N-(2-methoxyphenyl)-3,4-dihydro-2H-quinoline-1-carboxamide", 3574 },
	{ "36I", "", "", ResidueType::NON_POLYMER, false, "4-(2-phenylthieno[3,2-d]pyrimidin-4-yl)morpholine", 3575 },
	{ "36J", "", "", ResidueType::NON_POLYMER, false, "(3S,7R,11E)-7,14,16-trihydroxy-3-methyl-3,4,5,6,7,8,9,10-octahydro-1H-2-benzoxacyclotetradecin-1-one", 3576 },
	{ "36K", "", "", ResidueType::NON_POLYMER, false, "1-(1-ethylbenzimidazol-2-yl)-3-(2-methoxyphenyl)urea", 3577 },
	{ "36L", "", "", ResidueType::NON_POLYMER, false, "", 3578 },
	{ "36M", "", "", ResidueType::NON_POLYMER, false, "propyl 4-hydroxybenzoate", 3579 },
	{ "36N", "", "", ResidueType::NON_POLYMER, false, "5H-pyrrolo[2,3-b]pyrazine", 3580 },
	{ "36O", "", "", ResidueType::NON_POLYMER, false, "N-cyclohexyl-9H-purin-6-amine", 3581 },
	{ "36P", "", "", ResidueType::NON_POLYMER, false, "2,3-dihydroindol-1-yl-(2-thiophen-3-yl-1,3-thiazol-4-yl)methanone", 3582 },
	{ "36Q", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-phenyl-2-(9H-purin-6-ylamino)propan-1-ol", 3583 },
	{ "36R", "", "", ResidueType::NON_POLYMER, false, "5-chloro-1,3-benzoxazol-2-amine", 3584 },
	{ "36S", "", "", ResidueType::NON_POLYMER, false, "2-{4-[3-chloro-2-(2-methoxyphenyl)-1H-indol-5-yl]piperidin-1-yl}-N-methylethanamine", 3585 },
	{ "36U", "", "", ResidueType::NON_POLYMER, false, "(5S)-2-[(2-chlorophenyl)sulfanyl]-5-(2,6-dichlorophenyl)-3-hydroxycyclohex-2-en-1-one", 3586 },
	{ "36V", "", "", ResidueType::NON_POLYMER, false, "trans-2-[(2-nitrophenyl)sulfanyl]-5-phenylcyclohexane-1,3-dione", 3587 },
	{ "36X", "", "", ResidueType::NON_POLYMER, false, "4-methyl-2,3,4,5,6,7-hexahydrodicyclopenta[b,e]pyridin-8(1H)-imine", 3588 },
	{ "36Y", "", "", ResidueType::NON_POLYMER, false, "4-(4-bromophenyl)-1H-imidazole", 3589 },
	{ "36Z", "", "", ResidueType::NON_POLYMER, false, "methyl 3-amino-5-(3,5-dimethyl-1,2-oxazol-4-yl)benzoate", 3590 },
	{ "370", "", "", ResidueType::NON_POLYMER, false, "4-[(2-{5-[(3,5-dimethyl-1H-pyrazol-4-yl)methyl]-1,3,4-oxadiazol-2-yl}-1-benzothiophen-3-yl)oxy]piperidine", 3591 },
	{ "371", "", "", ResidueType::NON_POLYMER, false, "2-(3,4-DIHYDROXYPHENYL)-8-(1,1-DIOXIDOISOTHIAZOLIDIN-2-YL)-3-HYDROXY-6-METHYL-4H-CHROMEN-4-ONE", 3592 },
	{ "372", "", "", ResidueType::NON_POLYMER, false, "N-[(3R)-3-(cyanomethyl)-1-methyl-2-oxo-2,3-dihydro-1H-indol-5-yl]acetamide", 3593 },
	{ "373", "", "", ResidueType::NON_POLYMER, false, "3-(5-{[4-(AMINOMETHYL)PIPERIDIN-1-YL]METHYL}-1H-INDOL-2-YL)QUINOLIN-2(1H)-ONE", 3594 },
	{ "376", "", "", ResidueType::NON_POLYMER, false, "N-[(naphthalen-1-ylamino)(oxo)acetyl]-beta-D-glucopyranosylamine", 3595 },
	{ "377", "", "", ResidueType::NON_POLYMER, false, "Memantine", 3596 },
	{ "378", "", "", ResidueType::NON_POLYMER, false, "", 3597 },
	{ "379", "", "", ResidueType::NON_POLYMER, false, "3-{[(R)-1-amino-3-(pyridin-3-yl)propyl](hydroxy)phosphoryl}-(S)-2-benzylpropanoic acid", 3598 },
	{ "37A", "", "", ResidueType::NON_POLYMER, false, "(1S,5S,7R)-N~7~-(BIPHENYL-4-YLMETHYL)-N~3~-HYDROXY-6,8-DIOXA-3-AZABICYCLO[3.2.1]OCTANE-3,7-DICARBOXAMIDE", 3599 },
	{ "37B", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-[(S)-[(1R)-1-amino-3-phenylpropyl](hydroxy)phosphoryl]-2-benzylpropanoic acid", 3600 },
	{ "37D", "", "", ResidueType::NON_POLYMER, false, "methyl 5-furan-2-yl-3-methyl-1H-pyrazole-4-carboxylate", 3601 },
	{ "37E", "", "", ResidueType::NON_POLYMER, false, "[(1R)-1-amino-2-(cyclohexylamino)ethyl]phosphonic acid", 3602 },
	{ "37F", "", "", ResidueType::NON_POLYMER, false, "N-[2-(4-methylpiperazin-1-yl)-5-(quinolin-3-yl)phenyl]-6-oxo-4-(trifluoromethyl)-1,6-dihydropyridine-3-carboxamide", 3603 },
	{ "37G", "", "", ResidueType::NON_POLYMER, false, "6-(4-{[3-(2,6-dichlorophenyl)-5-(propan-2-yl)-1,2-oxazol-4-yl]methoxy}phenyl)-1H-indole-3-carboxylic acid", 3604 },
	{ "37H", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-{[(2R,3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]methyl}-N~6~-carbamimidoyl-L-lysine", 3605 },
	{ "37J", "", "", ResidueType::NON_POLYMER, false, "2-{[2-(trifluoromethoxy)benzoyl]amino}-N-[6-(trifluoromethyl)-1H-benzimidazol-2-yl]-1,3-thiazole-4-carboxamide", 3606 },
	{ "37K", "", "", ResidueType::NON_POLYMER, false, "(1R)-3-(3,4-dimethoxyphenyl)-1-{3-[2-(morpholin-4-yl)ethoxy]phenyl}propyl (2S)-1-[(2S)-2-[(1S)-cyclohex-2-en-1-yl]-2-(3,4,5-trimethoxyphenyl)acetyl]piperidine-2-carboxylate", 3607 },
	{ "37L", "", "", ResidueType::NON_POLYMER, false, "(3-{(1R)-3-(3,4-dimethoxyphenyl)-1-[({(2S)-1-[(2S)-2-(3,4,5-trimethoxyphenyl)pent-4-enoyl]piperidin-2-yl}carbonyl)oxy]propyl}phenoxy)acetic acid", 3608 },
	{ "37M", "", "", ResidueType::NON_POLYMER, false, "", 3609 },
	{ "37N", "", "", ResidueType::NON_POLYMER, false, "3-(3,5-dimethyl-1,2-oxazol-4-yl)-5-[(phenylsulfonyl)amino]benzoic acid", 3610 },
	{ "37O", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[3-(3,5-dimethoxyphenyl)-7-{[4-(4-methylpiperazin-1-yl)phenyl]amino}-2-oxo-3,4-dihydropyrimido[4,5-d]pyrimidin-1(2H)-yl]methyl}phenyl)propanamide", 3611 },
	{ "37P", "", "", ResidueType::NON_POLYMER, false, "5'-O-{[5-(7-hydroxy-3-oxo-3H-phenoxazin-2-yl)pentanoyl]sulfamoyl}adenosine", 3612 },
	{ "37Q", "", "", ResidueType::NON_POLYMER, false, "N-{1-[6-(phenylamino)pyrazin-2-yl]-1H-benzimidazol-6-yl}prop-2-enamide", 3613 },
	{ "37R", "", "", ResidueType::NON_POLYMER, false, "5-(3,7-dihydroxy-10H-phenoxazin-2-yl)pentanamide", 3614 },
	{ "37T", "", "", ResidueType::NON_POLYMER, false, "THEOBROMINE", 3615 },
	{ "37U", "", "", ResidueType::PEPTIDE_LIKE, false, "D-phenylalanyl-N-(3-fluorobenzyl)-L-prolinamide", 3616 },
	{ "37V", "", "", ResidueType::NON_POLYMER, false, "{2-[(1,3-benzothiazol-2-ylmethyl)carbamoyl]-5-fluorophenoxy}acetic acid", 3617 },
	{ "37W", "", "", ResidueType::NON_POLYMER, false, "5-{[3-carbamoyl-4-(3,4-dimethylphenyl)-5-methylthiophen-2-yl]amino}-5-oxopentanoic acid", 3618 },
	{ "37X", "", "", ResidueType::NON_POLYMER, false, "Octyl Glucose Neopentyl Glycol ", 3619 },
	{ "37Y", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(morpholin-4-ylacetyl)-D-alanyl-N-[(2S,4R)-1-cyclohexyl-5-hydroxy-4-methyl-3-oxopentan-2-yl]-O-methyl-L-tyrosinamide", 3620 },
	{ "37Z", "", "", ResidueType::NON_POLYMER, false, "sym-homospermidine", 3621 },
	{ "380", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-({4-[AMINO(IMINO)METHYL]PHENYL}AMINO)-N-BENZYL-2-(3,4-DIMETHOXYPHENYL)ACETAMIDE", 3622 },
	{ "381", "", "", ResidueType::NON_POLYMER, false, "(S)-(3-aminopropyl)(cyclohexylmethyl)phosphinic acid", 3623 },
	{ "382", "", "", ResidueType::NON_POLYMER, false, "(R)-2-(2-(1H-1,2,4-TRIAZOL-1-YL)BENZYL)-N-(2,2-DIFLUORO-2-(PIPERIDIN-2-YL)ETHYL)OXAZOLO[4,5-C]PYRIDIN-4-AMINE", 3624 },
	{ "383", "", "", ResidueType::NON_POLYMER, false, "[2-AMINO-3-(4-HYDROXY-PHENYL)-PROPIONYLAMINO]- (2,4,5,8-TETRAHYDROXY-7-OXA-2-AZA-BICYCLO[3.2.1]OCT-3-YL)- ACETIC ACID", 3625 },
	{ "384", "", "", ResidueType::NON_POLYMER, false, "(1S,5S,6R)-10-[(3,5-dichlorophenyl)sulfonyl]-5-(2-methoxyethoxy)-3-(2-methoxyethyl)-3,10-diazabicyclo[4.3.1]decan-2-one", 3626 },
	{ "385", "", "", ResidueType::NON_POLYMER, false, "(3R,3AS,6AR)-HEXAHYDROFURO[2,3-B]FURAN-3-YL [(1S,2R)-3-[(1,3-BENZODIOXOL-5-YLSULFONYL)(ISOBUTYL)AMINO]-2-HYDROXY-1-{4-[(2-METHYL-1,3-THIAZOL-4-YL)METHOXY]BENZYL}PROPYL]CARBAMATE", 3627 },
	{ "386", "", "", ResidueType::NON_POLYMER, false, "N-(2,2-difluoro-5H-[1,3]dioxolo[4,5-f]benzimidazol-6-yl)-2-{[2-(trifluoromethoxy)benzoyl]amino}-1,3-thiazole-4-carboxamide", 3628 },
	{ "387", "", "", ResidueType::NON_POLYMER, false, "1-{3-[(3,5-dichlorobenzyl)amino]propyl}-3-(3-hydroxyphenyl)urea", 3629 },
	{ "388", "", "", ResidueType::NON_POLYMER, false, "(2-{[(4-BROMO-2-FLUOROBENZYL)AMINO]CARBONYL}-5-CHLOROPHENOXY)ACETIC ACID", 3630 },
	{ "389", "", "", ResidueType::NON_POLYMER, false, "L-alanyl-L-valyl-N-(2,2-diphenylethyl)-L-prolinamide", 3631 },
	{ "38A", "", "", ResidueType::NON_POLYMER, false, "(2,4,6-trimethylbenzene-1,3,5-triyl)trimethanol", 3632 },
	{ "38B", "", "", ResidueType::NON_POLYMER, false, "3-(2-methoxyphenyl)-6-methyl[1,2]oxazolo[5,4-d]pyrimidin-4(5H)-one", 3633 },
	{ "38C", "", "", ResidueType::NON_POLYMER, false, "3-[(4-methoxybenzyl)amino]-6-(trifluoromethyl)quinoxaline-2-carboxylic acid", 3634 },
	{ "38D", "", "", ResidueType::NON_POLYMER, false, "N'-[(E)-(2,4-dichlorophenyl)methylidene]-3,4-dihydroxybenzohydrazide", 3635 },
	{ "38E", "", "", ResidueType::NON_POLYMER, false, "(5Z)-5-(3,5-difluoro-4-hydroxybenzylidene)-2,3-dimethyl-3,5-dihydro-4H-imidazol-4-one", 3636 },
	{ "38F", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-(2,3-dihydro-1H-inden-2-ylamino)-3-(3,4-dimethylphenoxy)propan-2-ol", 3637 },
	{ "38G", "", "", ResidueType::NON_POLYMER, false, "4-(3-{3-[(R)-{[2-(dimethylamino)ethyl]amino}(hydroxy)methyl]phenyl}imidazo[1,2-b]pyridazin-6-yl)-2-methoxyphenol", 3638 },
	{ "38H", "", "", ResidueType::NON_POLYMER, false, "2-[8-(1,3-benzothiazol-2-ylcarbamoyl)-3,4-dihydroisoquinolin-2(1H)-yl]-5-{3-[4-(1H-pyrazolo[3,4-d]pyrimidin-1-yl)phenoxy]propyl}-1,3-thiazole-4-carboxylic acid", 3639 },
	{ "38I", "", "", ResidueType::NON_POLYMER, false, "{(5R)-5-amino-5-carboxy-5-[(3-endo)-8-(3,4-dichlorobenzyl)-8-azabicyclo[3.2.1]oct-3-yl]pentyl}(trihydroxy)borate(1-)", 3640 },
	{ "38J", "", "", ResidueType::NON_POLYMER, false, "alpha-D-glucopyranosyl-(1->4)-alpha-D-glucopyranosyl-(1->4)-beta-D-glucopyranose", 3641 },
	{ "38K", "", "", ResidueType::NON_POLYMER, false, "3-{[7-(2,4-dimethoxypyrimidin-5-yl)-3-sulfamoylquinolin-4-yl]amino}benzoic acid", 3642 },
	{ "38L", "", "", ResidueType::NON_POLYMER, false, "2-nitrobenzene-1,3-diol", 3643 },
	{ "38M", "", "", ResidueType::NON_POLYMER, false, "3-(3-chlorophenyl)-2-({(1S)-1-[(6S)-2,8-diazaspiro[5.5]undec-2-ylcarbonyl]pentyl}sulfanyl)quinazolin-4(3H)-one", 3644 },
	{ "38N", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(morpholin-4-ylacetyl)-L-alanyl-N-[(2S,4R)-1-cyclohexyl-5-hydroxy-4-methyl-3-oxopentan-2-yl]-O-methyl-L-tyrosinamide", 3645 },
	{ "38O", "", "", ResidueType::NON_POLYMER, false, "4-amino-5-fluoro-3-[5-(4-methylpiperazin-1-yl)-1H-benzimidazol-2-yl]quinolin-2(1H)-one", 3646 },
	{ "38P", "", "", ResidueType::NON_POLYMER, false, "4-{[5-(cyclopropylcarbamoyl)-2-methylphenyl]amino}-5-methyl-N-propylpyrrolo[2,1-f][1,2,4]triazine-6-carboxamide", 3647 },
	{ "38Q", "", "", ResidueType::NON_POLYMER, false, "3-{[3-carbamoyl-7-(2,4-dimethoxypyrimidin-5-yl)quinolin-4-yl]amino}benzoic acid", 3648 },
	{ "38R", "", "", ResidueType::NON_POLYMER, false, "[4-({4-[(3-cyclopentyl-1H-pyrazol-5-yl)amino]pyrimidin-2-yl}amino)phenyl]acetonitrile", 3649 },
	{ "38S", "", "", ResidueType::NON_POLYMER, false, "1-[(2R,5S)-5-(hydroxymethyl)tetrahydrofuran-2-yl]-5-methylpyrimidine-2,4(1H,3H)-dione", 3650 },
	{ "38T", "", "", ResidueType::NON_POLYMER, false, "5-methyluridine", 3651 },
	{ "38U", "", "", ResidueType::NON_POLYMER, false, "3-methyl-1H-indene-2-carboxylic acid", 3652 },
	{ "38V", "", "", ResidueType::NON_POLYMER, false, "", 3653 },
	{ "38W", "", "", ResidueType::NON_POLYMER, false, "N-tert-butyl-5-[3-(4-cyclopropylpyrimidin-2-yl)-1H-indol-5-yl]-1,3,4-oxadiazol-2-amine", 3654 },
	{ "38X", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(3-methyl-1H-inden-2-yl)carbonyl]-D-alanyl-N-[(2S,4R)-1-cyclohexyl-5-hydroxy-4-methyl-3-oxopentan-2-yl]-L-tryptophanamide", 3655 },
	{ "38Y", "", "", ResidueType::NON_POLYMER, false, "3-(AMINOMETHYL)-4-BROMO-7-ETHOXYBENZO[C][1,2]OXABOROL-1(3H)-OL-MODIFIED ADENOSINE", 3656 },
	{ "38Z", "", "", ResidueType::NON_POLYMER, false, "(3R)-1-(2-oxo-2-{4-[4-(pyrimidin-2-yl)phenyl]piperazin-1-yl}ethyl)-N-[3-(pyridin-4-yl)-2H-indazol-5-yl]pyrrolidine-3-carboxamide", 3657 },
	{ "390", "", "", ResidueType::NON_POLYMER, false, "4-{2-[(2-chloro-4-fluorophenyl)amino]-5-methylpyrimidin-4-yl}-N-[(1S)-1-(3-chlorophenyl)-2-hydroxyethyl]-1H-pyrrole-2-carboxamide", 3658 },
	{ "391", "", "", ResidueType::NON_POLYMER, false, "4-(1,3-BENZODIOXOL-5-YLOXY)-2-[4-(1H-IMIDAZOL-1-YL)PHENOXY]-6-METHYLPYRIMIDINE", 3659 },
	{ "392", "", "", ResidueType::NON_POLYMER, false, "1-{3-[(3,5-dichlorobenzyl)amino]propyl}-3-(2-hydroxyphenyl)urea", 3660 },
	{ "393", "", "", ResidueType::NON_POLYMER, false, "(5-CHLORO-2-{[(3-NITROBENZYL)AMINO]CARBONYL}PHENOXY)ACETIC ACID", 3661 },
	{ "394", "", "", ResidueType::NON_POLYMER, false, "R-3-FLUORO-4-[2-HYDROXY-2-(5,5,8,8-TETRAMETHYL-5,6,7,8,-TETRAHYDRO-NAPHTALEN-2-YL)-ACETYLAMINO]-BENZOIC ACID", 3662 },
	{ "395", "", "961", ResidueType::NON_POLYMER, true, "S-3-FLUORO-4-[2-HYDROXY-2-(5,5,8,8-TETRAMETHYL-5,6,7,8,-TETRAHYDRO-NAPHTALEN-2-YL)-ACETYLAMINO]-BENZOIC ACID", 3663 },
	{ "396", "", "", ResidueType::NON_POLYMER, false, "4-(2-chlorophenyl)-9-hydroxy-6-methyl-1,3-dioxo-N-(2-pyrrolidin-1-ylethyl)pyrrolo[3,4-g]carbazole-8-carboxamide", 3664 },
	{ "397", "", "", ResidueType::NON_POLYMER, false, "2-(4-HYDROXY-PHENYL)BENZOFURAN-5-OL", 3665 },
	{ "398", "", "", ResidueType::NON_POLYMER, false, "N,N-dibutyl-4-chloranyl-1-[2-(3,4-dihydro-1H-isoquinolin-2-ylcarbonyl)-4-[(7-iodanylnaphthalen-2-yl)sulfonylcarbamoyl]phenyl]-5-methyl-pyrazole-3-carboxamide", 3666 },
	{ "39A", "", "", ResidueType::NON_POLYMER, false, "6-AMINO-3,9-DIMETHYL-9H-PURIN-3-IUM", 3667 },
	{ "39B", "", "", ResidueType::NON_POLYMER, false, "(S)-2,4-DIAMINO-5-((7,8-DICARBAUNDECABORAN-7-YL)METHYL)-6-METHYLPYRIMIDINE", 3668 },
	{ "39C", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-2-amino-5-hydroxy-4-methyl-1-phenylpentan-3-one", 3669 },
	{ "39D", "", "", ResidueType::NON_POLYMER, false, "4-{2-[(1S)-1-({[trans-4-(aminomethyl)cyclohexyl]carbonyl}amino)-2-phenylethyl]-1H-imidazol-4-yl}benzamide", 3670 },
	{ "39E", "", "", ResidueType::NON_POLYMER, false, "(R)-2,4-DIAMINO-5-((7,8-DICARBAUNDECABORAN-7-YL)METHYL)-6-METHYLPYRIMIDINE", 3671 },
	{ "39F", "", "", ResidueType::NON_POLYMER, false, "trans-N-{(1S)-1-[4-(3-amino-2H-indazol-6-yl)-5-chloro-1H-imidazol-2-yl]-2-phenylethyl}-4-(aminomethyl)cyclohexane-1-carboxamide", 3672 },
	{ "39G", "", "", ResidueType::NON_POLYMER, false, "N-[5-(dimethylsulfamoyl)-2-methylphenyl]-1-phenyl-5-propyl-1H-pyrazole-4-carboxamide", 3673 },
	{ "39H", "", "", ResidueType::NON_POLYMER, false, "2-(3-methyl-4-oxo-3,4-dihydrophthalazin-1-yl)-N-(6,7,8,9-tetrahydrodibenzo[b,d]furan-2-yl)acetamide", 3674 },
	{ "39J", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-chlorobutanoic acid", 3675 },
	{ "39K", "", "", ResidueType::NON_POLYMER, false, "N-(2-methylpropyl)-N-({5-[4-(methylsulfonyl)phenyl]thiophen-2-yl}methyl)-1-phenylmethanesulfonamide", 3676 },
	{ "39L", "", "", ResidueType::NON_POLYMER, false, "[1-fluoro-2-(imidazo[1,2-a]pyridin-3-yl)ethane-1,1-diyl]bis(phosphonic acid)", 3677 },
	{ "39N", "", "", ResidueType::NON_POLYMER, true, "beta-D-glucopyranosyl-(1->3)-beta-D-glucopyranosyl-(1->3)-beta-D-glucopyranose", 3678 },
	{ "39O", "", "", ResidueType::NON_POLYMER, false, "5-amino-1,3,6-trimethyl-1,3-dihydro-2H-benzimidazol-2-one", 3679 },
	{ "39P", "", "", ResidueType::NON_POLYMER, false, "4-{[5-(isoxazol-3-ylcarbamoyl)-2-methylphenyl]amino}-5-methyl-N-propylpyrrolo[2,1-f][1,2,4]triazine-6-carboxamide", 3680 },
	{ "39Q", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(morpholin-4-ylacetyl)-D-alanyl-N-[(2S,4R)-5-hydroxy-4-methyl-3-oxo-1-phenylpentan-2-yl]-O-methyl-L-tyrosinamide", 3681 },
	{ "39R", "", "", ResidueType::NON_POLYMER, false, "3-(5-phenyl-4H-1,2,4-triazol-3-yl)aniline", 3682 },
	{ "39S", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[4-({[(6S)-2-amino-4-oxo-3,4,5,6,7,8-hexahydropteridin-6-yl]methyl}amino)benzoyl]-L-gamma-glutamyl-L-gamma-glutamyl-L-glutamic acid", 3683 },
	{ "39U", "", "", ResidueType::NON_POLYMER, false, "2-amino-7,7-dimethyl-5,6,7,8-tetrahydro-4H-[1,3]thiazolo[5,4-c]azepin-4-one", 3684 },
	{ "39V", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(3-methyl-1H-inden-2-yl)carbonyl]-D-alanyl-N-[(2S,4R)-5-hydroxy-4-methyl-3-oxo-1-phenylpentan-2-yl]-L-tryptophanamide", 3685 },
	{ "39W", "", "", ResidueType::NON_POLYMER, false, "", 3686 },
	{ "39X", "", "", ResidueType::NON_POLYMER, false, "3-(6-fluoro-1H-benzimidazol-2-yl)-N-(naphthalen-2-ylcarbonyl)-D-alanine", 3687 },
	{ "39Y", "", "", ResidueType::NON_POLYMER, false, "(2E,5S)-5-methylhept-2-enoic acid", 3688 },
	{ "39Z", "", "", ResidueType::NON_POLYMER, false, "5-HYDROXY-3-[(1R)-1-(1H-PYRROL-2-YL)ETHYL]-2H-INDOL-2-ONE", 3689 },
	{ "3A0", "", "", ResidueType::NON_POLYMER, false, "(2S,4S)-4-methylpiperidine-2-carboxylic acid", 3690 },
	{ "3A1", "", "", ResidueType::PEPTIDE_LIKE, false, "N~2~-{(2S)-3-[(R)-hydroxy{(1R)-2-phenyl-1-[(phenylacetyl)amino]ethyl}phosphoryl]-2-methylpropanoyl}-L-lysyl-D-serine", 3691 },
	{ "3A2", "", "", ResidueType::PEPTIDE_LIKE, false, "1-{3-[(R)-{(1R)-1-[(glycyl-L-prolyl)amino]-2-phenylethyl}(hydroxy)phosphoryl]propanoyl}-L-prolyl-D-norleucine", 3692 },
	{ "3A3", "", "", ResidueType::NON_POLYMER, false, "", 3693 },
	{ "3A4", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-({[(3S,4aS,8aR)-2-(biphenyl-4-ylcarbonyl)decahydroisoquinolin-3-yl]methyl}amino)-3-(1H-imidazol-5-yl)propanal", 3694 },
	{ "3A5", "", "", ResidueType::PEPTIDE_LINKING, false, "(2Z,4S)-3-AZA-5-CARBOXYL-2-METHYL-4(METHYLCARBOXY)PENT-2-ENOYL", 3695 },
	{ "3A6", "", "", ResidueType::NON_POLYMER, false, "3-AMINO-6-FLUORO-2-[4-(2-METHYLPYRIDIN-4-YL)PHENYL]-N-(METHYLSULFONYL)QUINOLINE-4-CARBOXAMIDE", 3696 },
	{ "3A7", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-({[(3S,4aR,8aS)-2-(4-bromobenzoyl)decahydroisoquinolin-3-yl]methyl}amino)-3-(1H-imidazol-5-yl)propanal", 3697 },
	{ "3A8", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-(4-hydroxyphenyl)-3-phenyl-4,5-dihydropyrrolo[3,4-c]pyrazol-6(1H)-one", 3698 },
	{ "3A9", "", "", ResidueType::NON_POLYMER, false, "2,3-dihydro-1-benzofuran-5-carboxylic acid", 3699 },
	{ "3AA", "", "", ResidueType::NON_POLYMER, false, "3-AMINOPYRIDINE-ADENINE DINUCLEOTIDE PHOSPHATE", 3700 },
	{ "3AB", "", "", ResidueType::NON_POLYMER, false, "3-aminobenzamide", 3701 },
	{ "3AC", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-{3-[(5-ETHYL-3-IODO-6-METHYL-2-OXO-1,2-DIHYDROPYRIDIN-4-YL)OXY]PHENYL}ACRYLONITRILE", 3702 },
	{ "3AD", "", "", ResidueType::NON_POLYMER, false, "3'-DEOXYADENOSINE", 3703 },
	{ "3AE", "", "", ResidueType::NON_POLYMER, false, "4-(trifluoromethyl)benzoic acid", 3704 },
	{ "3AF", "", "", ResidueType::NON_POLYMER, false, "2,5-BIS{[4-(2-PENTYL)DIAMINOMETHYL]PHENYL}FURAN", 3705 },
	{ "3AG", "", "", ResidueType::NON_POLYMER, false, "2-[METHYL-(4-METHYL-PENT-3-ENYL)-AMINO]-ETHYL-DIPHOSPHATE", 3706 },
	{ "3AH", "", "", ResidueType::PEPTIDE_LINKING, false, "[HISTIDIN-1-YL-4H-[1,2,4]TRIAZOL-5-YL]-AMINE", 3707 },
	{ "3AI", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S)-2-amino-3-phenylpropyl]-D-methionyl-L-alanyl-L-isoleucine", 3708 },
	{ "3AJ", "", "", ResidueType::NON_POLYMER, false, "1-({[(1R,2S,3R,5Z,7E,14beta,17alpha)-1,3,25-trihydroxy-9,10-secocholesta-5,7,10-trien-2-yl]oxy}methyl)cyclopropanecarbonitrile", 3709 },
	{ "3AK", "", "", ResidueType::NON_POLYMER, false, "1-benzyl-1H-indole-2,3-dione", 3710 },
	{ "3AL", "", "", ResidueType::NON_POLYMER, false, "1-[(4S)-2,5-DIOXOIMIDAZOLIDIN-4-YL]UREA", 3711 },
	{ "3AM", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-5-(6-aminopurin-9-yl)-4-hydroxy-2-(hydroxymethyl)oxolan-3-yl] dihydrogen phosphate", 3712 },
	{ "3AN", "", "", ResidueType::NON_POLYMER, false, "", 3713 },
	{ "3AO", "", "", ResidueType::NON_POLYMER, false, "1-(3-aminophenyl)ethanone", 3714 },
	{ "3AP", "", "", ResidueType::NON_POLYMER, false, "3-AMINOPYRIDINE", 3715 },
	{ "3AQ", "", "", ResidueType::NON_POLYMER, false, "(4-hydroxyphenyl)acetonitrile", 3716 },
	{ "3AR", "", "", ResidueType::PEPTIDE_LINKING, false, "N-OMEGA-PROPYL-L-ARGININE", 3717 },
	{ "3AS", "", "", ResidueType::NON_POLYMER, false, "(3aS,4R,9bR)-2,2-difluoro-4-(4-hydroxyphenyl)-6-(methoxymethyl)-1,2,3,3a,4,9b-hexahydrocyclopenta[c]chromen-8-ol", 3718 },
	{ "3AT", "", "", ResidueType::NON_POLYMER, false, "3'-DEOXYADENOSINE-5'-TRIPHOSPHATE", 3719 },
	{ "3AU", "", "", ResidueType::RNA_LINKING, false, "", 3720 },
	{ "3AV", "", "", ResidueType::NON_POLYMER, false, "6-methyl-2H-chromen-2-one", 3721 },
	{ "3AW", "", "", ResidueType::NON_POLYMER, false, "6-METHYL-1,3,5-TRIAZINE-2,4-DIAMINE", 3722 },
	{ "3AX", "", "", ResidueType::NON_POLYMER, false, "1H-pyrazol-5-amine", 3723 },
	{ "3AY", "", "", ResidueType::NON_POLYMER, false, "PYRIMIDINE-2,4,6-TRIAMINE", 3724 },
	{ "3AZ", "", "", ResidueType::PEPTIDE_LIKE, false, "3-(aminomethyl)benzoic acid", 3725 },
	{ "3B0", "", "", ResidueType::NON_POLYMER, false, "5-(trifluoromethyl)pyridin-2-amine", 3726 },
	{ "3B1", "", "", ResidueType::NON_POLYMER, false, "(2R)-morpholin-4-yl(phenyl)ethanenitrile", 3727 },
	{ "3B2", "", "", ResidueType::NON_POLYMER, false, "(14R)-14-hydroxy-15,15-dimethyl-1-[5-({[(5-methyl-1,2-oxazol-3-yl)methyl]sulfanyl}methyl)-1,2-oxazol-3-yl]-4,9,13-trioxo-2-thia-5,8,12-triazahexadecan-16-yl dihydrogen phosphate", 3728 },
	{ "3B3", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-AMINO-3-[(5-NITROQUINOLIN-8-YL)AMINO]PROPAN-2-OL", 3729 },
	{ "3B4", "", "", ResidueType::NON_POLYMER, false, "2-(cyclohexylamino)benzoic acid", 3730 },
	{ "3B5", "", "", ResidueType::NON_POLYMER, false, "AIK-18/51", 3731 },
	{ "3B6", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-(4-cyano-3-iodophenyl)-3-(4-cyanophenoxy)-2-hydroxy-2-methylpropanamide", 3732 },
	{ "3B7", "", "", ResidueType::NON_POLYMER, true, "beta-D-glucopyranosyl-(1->3)-beta-D-glucopyranosyl-(1->3)-beta-D-glucopyranosyl-(1->3)-beta-D-glucopyranosyl-(1->3)-beta-D-glucopyranosyl-(1->3)-beta-D-glucopyranose", 3733 },
	{ "3B8", "", "", ResidueType::NON_POLYMER, false, "2-amino-7-fluoro-5-oxo-5H-chromeno[2,3-b]pyridine-3-carboxamide", 3734 },
	{ "3B9", "", "", ResidueType::NON_POLYMER, false, "N-[2-(2,4-diaminopyrido[2,3-d]pyrimidin-7-yl)-2-methylpropyl]-4-phenoxybenzamide", 3735 },
	{ "3BA", "", "", ResidueType::NON_POLYMER, false, "7-amino-2-tert-butyl-4-{[2-(1H-imidazol-4-yl)ethyl]amino}pyrido[2,3-d]pyrimidine-6-carboxamide", 3736 },
	{ "3BB", "", "", ResidueType::NON_POLYMER, false, "3-BROMOBUT-3-EN-1-OL", 3737 },
	{ "3BC", "", "", ResidueType::NON_POLYMER, false, "", 3738 },
	{ "3BD", "", "", ResidueType::NON_POLYMER, false, "7-amino-2-tert-butyl-4-(4-pyrimidin-2-ylpiperazin-1-yl)pyrido[2,3-d]pyrimidine-6-carboxamide", 3739 },
	{ "3BE", "", "", ResidueType::NON_POLYMER, false, "3-bromo-N'-[(1E)-(3,5-dibromo-2,4-dihydroxyphenyl)methylidene]benzohydrazide", 3740 },
	{ "3BF", "", "", ResidueType::NON_POLYMER, false, "thiazotropsin B", 3741 },
	{ "3BG", "", "", ResidueType::NON_POLYMER, false, "1-(4-{4-[(1H-benzimidazol-2-ylmethyl)amino]-6-(4,5-dimethoxy-2-methylphenoxy)pyrimidin-2-yl}piperazin-1-yl)ethanone", 3742 },
	{ "3BH", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S,5R)-2-(6,8-diaminopurin-9-yl)-5-(hydroxymethyl)oxolane-3,4-diol", 3743 },
	{ "3BI", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{[(R)-[(3R)-3-carboxy-3-{[(4-{[(2,4-diaminopteridin-6-yl)methyl](methyl)amino}phenyl)carbonyl]amino}propyl](hydroxy)phosphoryl]methyl}pentanedioic acid", 3744 },
	{ "3BJ", "", "", ResidueType::NON_POLYMER, false, "N-(1H-benzimidazol-2-ylmethyl)-N'-(2,4-dichlorophenyl)-6-(morpholin-4-yl)-1,3,5-triazine-2,4-diamine", 3745 },
	{ "3BK", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S,5R)-2-[6-amino-8-[(3,4-dichlorophenyl)methylamino]purin-9-yl]-5-(hydroxymethyl)oxolane-3,4-diol", 3746 },
	{ "3BL", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-({[(3S,4aR,8aS)-2-(biphenyl-4-ylcarbonyl)decahydroisoquinolin-3-yl]methyl}amino)-3-(1H-imidazol-5-yl)propanal", 3747 },
	{ "3BM", "", "", ResidueType::NON_POLYMER, false, "2-[(2-chloro-4-iodophenyl)amino]-N-{[(2R)-2,3-dihydroxypropyl]oxy}-3,4-difluorobenzamide", 3748 },
	{ "3BN", "", "", ResidueType::NON_POLYMER, false, "3-BENZOYL-N-[(1S,2R)-1-BENZYL-3-(CYCLOPROPYLAMINO)-2-HYDROXYPROPYL]-5-[METHYL(METHYLSULFONYL)AMINO]BENZAMIDE", 3749 },
	{ "3BP", "", "", ResidueType::NON_POLYMER, false, "2-(3-BIPHENYL-4-YL-2-ETHANESULFONYLAMINO-PROPIONYLAMINO)-PENTANEDIOIC ACID 5-AMIDE 1-(4-CARBAMIMIDOYL-BENZYLAMIDE)", 3750 },
	{ "3BQ", "", "", ResidueType::NON_POLYMER, false, "1-{2-[1-(aminomethyl)cyclohexyl]ethyl}-3-isoquinolin-6-ylurea", 3751 },
	{ "3BR", "", "", ResidueType::NON_POLYMER, false, "1-BROMOPROPANE", 3752 },
	{ "3BS", "", "", ResidueType::NON_POLYMER, false, "3-chloro-4-{[(1-hydroxy-2,2,6,6-tetramethylpiperidin-4-yl)carbamothioyl]amino}benzenesulfonamide", 3753 },
	{ "3BT", "", "", ResidueType::NON_POLYMER, false, "2-{2-[3-(2-CARBAMIMIDOYLSULFANYL-ETHYL)-PHENYL]-ETHYL}-ISOTHIOUREA", 3754 },
	{ "3BU", "", "", ResidueType::NON_POLYMER, false, "L-allose", 3755 },
	{ "3BV", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{(2S)-2-[(morpholin-4-ylacetyl)amino]-4-phenylbutanoyl}-L-leucyl-N-[(2R,3S,4S)-1,3-dihydroxy-2,6-dimethylheptan-4-yl]-L-phenylalaninamide", 3756 },
	{ "3BW", "", "", ResidueType::NON_POLYMER, false, "4-({[4-(4-chlorophenoxy)phenyl]sulfanyl}methyl)-N-hydroxytetrahydro-2H-pyran-4-carboxamide", 3757 },
	{ "3BX", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-4-[(4-{[4-(morpholin-4-ylmethyl)phenyl]ethynyl}phenoxy)methyl]tetrahydro-2H-pyran-4-carboxamide", 3758 },
	{ "3BY", "", "", ResidueType::PEPTIDE_LINKING, false, "1-methyl-L-proline", 3759 },
	{ "3BZ", "", "", ResidueType::NON_POLYMER, false, "3-chlorobenzoate", 3760 },
	{ "3C0", "", "", ResidueType::NON_POLYMER, false, "N-methyl scopolamine", 3761 },
	{ "3C1", "", "", ResidueType::NON_POLYMER, false, "4-ethyl-3,4-dihydro-2H-pyrido[4,3-e][1,2,4]thiadiazine 1,1-dioxide", 3762 },
	{ "3C2", "", "", ResidueType::NON_POLYMER, false, "4-ethyl-3,4-dihydro-2H-pyrido[3,2-e][1,2,4]thiadiazine 1,1-dioxide", 3763 },
	{ "3C3", "", "", ResidueType::NON_POLYMER, false, "4,4'-(1-PROPYL-1H-1,2,4-TRIAZOLE-3,5-DIYL)BIS(2,5-DIHYDRO-1,2,5-OXADIAZOL-3-AMINE)", 3764 },
	{ "3C4", "", "", ResidueType::NON_POLYMER, false, "(3-CHLORO-4-HYDROXYPHENYL)ACETIC ACID", 3765 },
	{ "3C5", "", "", ResidueType::NON_POLYMER, false, "N-methyl-1-[3-(pyridin-3-yl)phenyl]methanamine", 3766 },
	{ "3C6", "", "", ResidueType::NON_POLYMER, false, "N~2~-[4-(pyridin-3-yl)benzoyl]-L-lysinamide", 3767 },
	{ "3C7", "", "", ResidueType::NON_POLYMER, false, "(3R,5R,7aS)-5-(sulfanylmethyl)tetrahydro[1,3]thiazolo[4,3-b][1,3]thiazole-3-carboxylic acid", 3768 },
	{ "3C8", "", "", ResidueType::NON_POLYMER, false, "6-[(3S)-3-(4-methyl-1H-pyrazol-3-yl)piperidin-1-yl]pyrido[3,2-d]pyrimidin-4-amine", 3769 },
	{ "3C9", "", "", ResidueType::NON_POLYMER, false, "1-{(3S)-1-[(2-methylpropyl)sulfonyl]piperidin-3-yl}-3-(5H-pyrrolo[2,3-b]pyrazin-2-yl)urea", 3770 },
	{ "3CA", "", "", ResidueType::NON_POLYMER, false, "", 3771 },
	{ "3CB", "", "", ResidueType::NON_POLYMER, false, "N-[(3-CARBOXYBENZYL)SULFONYL]ISOLEUCYL-N~1~-{4-[AMINO(IMINO)METHYL]BENZYL}-5-IMINOORNITHINAMIDE", 3772 },
	{ "3CC", "", "", ResidueType::NON_POLYMER, false, "N-[(2R)-5-(aminosulfonyl)-2,3-dihydro-1H-inden-2-yl]-2-propylpentanamide", 3773 },
	{ "3CD", "", "", ResidueType::NON_POLYMER, false, "3-(CHLOROACETYL) PYRIDINE ADENINE DINUCLEOTIDE", 3774 },
	{ "3CE", "", "", ResidueType::NON_POLYMER, false, "3-chlorobenzene-1,2-diol", 3775 },
	{ "3CF", "", "", ResidueType::PEPTIDE_LINKING, false, "3-cyano-L-phenylalanine", 3776 },
	{ "3CG", "", "", ResidueType::NON_POLYMER, false, "(2Z)-3-{3-[dihydroxy(oxido)-lambda~5~-stibanyl]phenyl}prop-2-enoic acid", 3777 },
	{ "3CH", "", "", ResidueType::NON_POLYMER, false, "3-CHLOROPHENOL", 3778 },
	{ "3CJ", "", "", ResidueType::NON_POLYMER, false, "6-propyl-2-thioxo-2,3-dihydropyrimidin-4(1H)-one", 3779 },
	{ "3CK", "", "", ResidueType::NON_POLYMER, false, "beta-D-tagatofuranosyl alpha-D-glucopyranoside", 3780 },
	{ "3CL", "", "", ResidueType::NON_POLYMER, false, "3-CHLOROPROPANOL", 3781 },
	{ "3CM", "", "", ResidueType::SACCHARIDE, false, "3-CYCLOHEXYLPROPYL 4-O-ALPHA-D-GLUCOPYRANOSYL-BETA-D-GLUCOPYRANOSIDE", 3782 },
	{ "3CN", "", "", ResidueType::NON_POLYMER, false, "3-AMINOPROPANE", 3783 },
	{ "3CO", "", "", ResidueType::NON_POLYMER, false, "COBALT (III) ION", 3784 },
	{ "3CP", "", "", ResidueType::NON_POLYMER, false, "3-CARBOXYPROPYL-COENZYME A", 3785 },
	{ "3CQ", "", "", ResidueType::NON_POLYMER, false, "2-[8-(1,3-benzothiazol-2-ylcarbamoyl)-3,4-dihydroisoquinolin-2(1H)-yl]-5-(3-{4-[3-(dimethylamino)prop-1-yn-1-yl]-2-fluorophenoxy}propyl)-1,3-thiazole-4-carboxylic acid", 3786 },
	{ "3CR", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-(hydroxyimino)-3-phenylpropanoic acid", 3787 },
	{ "3CS", "", "", ResidueType::NON_POLYMER, false, "3-[3-(3,3-DIMETHYLBUTANOYL)-1-(4-IODOBENZYL)-5-(QUINOLIN-2-YLMETHOXY)-1H-INDOL-2-YL]-2,2-DIMETHYLPROPANOIC ACID", 3788 },
	{ "3CT", "", "", ResidueType::PEPTIDE_LINKING, false, "3-chloro-L-tyrosine", 3789 },
	{ "3CU", "", "", ResidueType::NON_POLYMER, false, "CASUARINE", 3790 },
	{ "3CX", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(cyclohexylamino)-2-hydroxypropane-1-sulfonic acid", 3791 },
	{ "3CY", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-[({(2S)-5-[(N-ACETYL-L-ALPHA-ASPARTYL)AMINO]-4-OXO-1,2,4,5,6,7-HEXAHYDROAZEPINO[3,2,1-HI]INDOL-2-YL}CARBONYL)AMINO]-5-(BENZYLSULFANYL)-4-OXOPENTANOIC ACID", 3792 },
	{ "3CZ", "", "", ResidueType::NON_POLYMER, false, "(2R)-1-[(4-tert-butylphenyl)sulfonyl]-2-methyl-4-(4-nitrophenyl)piperazine", 3793 },
	{ "3D0", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-2-[(N~2~-acetyl-D-lysyl)amino]-3-(pyridin-3-ylmethoxy)propyl]-L-allothreonyl-D-phenylalaninamide", 3794 },
	{ "3D1", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,5R)-5-(6-amino-9H-purin-9-yl)-tetrahydro-2-(hydroxymethyl)furan-3-ol", 3795 },
	{ "3D2", "", "", ResidueType::NON_POLYMER, false, "N~2~-[3-(pyridin-3-yl)benzyl]-L-lysinamide", 3796 },
	{ "3D3", "", "", ResidueType::NON_POLYMER, false, "2-[(6-AMINO-7H-PURIN-8-YL)THIO]ACETAMIDE", 3797 },
	{ "3D4", "", "", ResidueType::NON_POLYMER, false, "N~2~-[4-(pyridin-3-yl)benzyl]-L-lysyl-N-[(1R,2S,3R)-1-{[(2R)-1-amino-1-oxo-3-phenylpropan-2-yl]amino}-1,3-dihydroxybutan-2-yl]glycinamide", 3798 },
	{ "3D5", "", "", ResidueType::NON_POLYMER, false, "N~2~-[4-(pyridin-3-yl)benzyl]-D-lysinamide", 3799 },
	{ "3D6", "", "", ResidueType::NON_POLYMER, false, "N~2~-[4-(pyridin-3-yl)benzyl]-L-lysinamide", 3800 },
	{ "3D7", "", "", ResidueType::NON_POLYMER, false, "3-amino-5-(1-methyl-1H-pyrazol-4-yl)pyridin-2(1H)-one", 3801 },
	{ "3D8", "", "", ResidueType::NON_POLYMER, false, "N-(pyridin-3-yl)pyrrolo[2,1-f][1,2,4]triazin-4-amine", 3802 },
	{ "3D9", "", "", ResidueType::NON_POLYMER, false, "6-phenyl-N-(pyridin-4-yl)pyrrolo[2,1-f][1,2,4]triazin-4-amine", 3803 },
	{ "3DA", "", "", ResidueType::RNA_LINKING, false, "3'-DEOXYADENOSINE-5'-MONOPHOSPHATE", 3804 },
	{ "3DB", "", "D8W", ResidueType::NON_POLYMER, true, "5-[(phenylsulfonyl)amino]-1,3,4-thiadiazole-2-sulfonamide", 3805 },
	{ "3DC", "", "", ResidueType::NON_POLYMER, false, "6-(1H-pyrazol-4-yl)-N-(pyridin-4-yl)pyrrolo[2,1-f][1,2,4]triazin-4-amine", 3806 },
	{ "3DD", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-4-(4-AMINO-1H-IMIDAZO[4,5-C]PYRIDIN-1-YL)-2,3-DIHYDROXYBUTANOIC ACID", 3807 },
	{ "3DE", "", "", ResidueType::NON_POLYMER, false, "3,5-DIMETHYL-1-PHENYL-1H-PYRAZOLE-4-CARBOXYLIC ACID ETHYL ESTER", 3808 },
	{ "3DG", "", "", ResidueType::NON_POLYMER, false, "9-(3-DEOXY-BETA-D-RIBOFURANOSYL)GUANINE", 3809 },
	{ "3DH", "", "", ResidueType::NON_POLYMER, false, "5'-S-ethyl-5'-thioadenosine", 3810 },
	{ "3DJ", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-4-(2-amino-3-hydroxyphenyl)-4-oxobutanoic acid", 3811 },
	{ "3DK", "", "", ResidueType::NON_POLYMER, false, "3-[1-(2,5-difluorobenzyl)-1H-pyrazol-4-yl]-5-(1-methyl-1H-pyrazol-4-yl)-1H-pyrrolo[2,3-b]pyridine", 3812 },
	{ "3DL", "", "", ResidueType::NON_POLYMER, false, "4-[6-(3-hydroxyphenyl)pyrazin-2-yl]benzoic acid", 3813 },
	{ "3DM", "", "", ResidueType::NON_POLYMER, false, "2,6-dimethoxyphenol", 3814 },
	{ "3DN", "", "", ResidueType::NON_POLYMER, false, "3-(4-{[4-(dimethylamino)piperidin-1-yl]methyl}phenyl)-5-methylisoquinolin-1(2H)-one", 3815 },
	{ "3DO", "", "", ResidueType::SACCHARIDE, false, "3-deoxy-beta-D-ribo-hexopyranose", 3816 },
	{ "3DP", "", "", ResidueType::NON_POLYMER, false, "3-(N,N-DIMETHYLOCTYLAMMONIO)PROPANESULFONATE", 3817 },
	{ "3DQ", "9ZT", "", ResidueType::NON_POLYMER, false, "(1R,2S,4S,5R)-2-(4-methoxyphenyl)methyl-1,4,5-trihydroxy-3-oxocyclohexane-1-carboxylic acid", 3818 },
	{ "3DR", "", "", ResidueType::DNA_LINKING, false, "1',2'-DIDEOXYRIBOFURANOSE-5'-PHOSPHATE", 3819 },
	{ "3DS", "", "", ResidueType::NON_POLYMER, false, "(4S,5R)-4,5-dihydroxy-3-oxocyclohex-1-ene-1-carboxylic acid", 3820 },
	{ "3DT", "", "", ResidueType::NON_POLYMER, false, "3-methylthymidine", 3821 },
	{ "3DU", "", "", ResidueType::NON_POLYMER, false, "4-hydroxy-1-(5-O-phosphono-beta-D-ribofuranosyl)pyridin-2(1H)-one", 3822 },
	{ "3DV", "", "", ResidueType::NON_POLYMER, false, "4-[3-amino-6-(3-hydroxyphenyl)pyrazin-2-yl]benzoic acid", 3823 },
	{ "3DW", "", "", ResidueType::NON_POLYMER, false, "", 3824 },
	{ "3DX", "", "", ResidueType::NON_POLYMER, false, "3-[4-(4-methylpiperazin-1-yl)phenyl]-9H-pyrrolo[2,3-b:5,4-c']dipyridine-6-carbonitrile", 3825 },
	{ "3DY", "", "", ResidueType::SACCHARIDE, false, "3,6-anhydro-beta-L-galactopyranose", 3826 },
	{ "3DZ", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[3-(aminomethyl)benzyl]-3-[(R)-[(1R)-1-amino-3-phenylpropyl](hydroxy)phosphoryl]propanoic acid", 3827 },
	{ "3E0", "", "", ResidueType::NON_POLYMER, false, "4-[4-(3-fluoro-2-methoxyphenyl)-1,3-thiazol-2-yl]morpholine", 3828 },
	{ "3E1", "", "", ResidueType::NON_POLYMER, false, "N,N'-(6,6'-dihydroxybiphenyl-3,3'-diyl)diacetamide", 3829 },
	{ "3E2", "", "", ResidueType::NON_POLYMER, false, "(3-thioxo-2,3-dihydro-5H-[1,2,4]triazino[5,6-b]indol-5-yl)acetic acid", 3830 },
	{ "3E3", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-3-amino-N-(2,4-dimethylphenyl)-2-hydroxy-5-methylhexanamide", 3831 },
	{ "3E4", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(3-{2-[(trans-4-aminocyclohexyl)amino]pyrimidin-4-yl}pyridin-2-yl)oxy]-3-methylnaphthalen-1-yl}-2-chlorobenzenesulfonamide", 3832 },
	{ "3E5", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(benzyloxy)carbonyl]-L-leucyl-N-{(2S,3S)-1-[(2,4-dimethylphenyl)amino]-2-hydroxy-5-methyl-1-oxohexan-3-yl}-L-leucinamide", 3833 },
	{ "3E7", "", "", ResidueType::NON_POLYMER, false, "1-(naphthalen-1-ylsulfonyl)-N-[(1S)-1-phenylpropyl]-1H-indole-5-carboxamide", 3834 },
	{ "3E8", "", "", ResidueType::NON_POLYMER, false, "3-[1-(3-{5-[(1-methylpiperidin-4-yl)methoxy]pyrimidin-2-yl}benzyl)-6-oxo-1,6-dihydropyridazin-3-yl]benzonitrile", 3835 },
	{ "3E9", "", "", ResidueType::NON_POLYMER, false, "(3S,6E)-3,7,11-trimethyldodeca-6,10-dien-1-yl trihydrogen diphosphate", 3836 },
	{ "3EA", "", "", ResidueType::NON_POLYMER, false, "2-{5-[3-(7-PROPYL-3-TRIFLUOROMETHYLBENZO[D]ISOXAZOL-6-YLOXY)PROPOXY]INDOL-1-YL}ETHANOIC ACID", 3837 },
	{ "3EB", "", "", ResidueType::NON_POLYMER, false, "3-(2-CARBOXYETHYL)BENZOIC ACID", 3838 },
	{ "3EC", "", "", ResidueType::NON_POLYMER, false, "5-{[(2-aminoethyl)sulfanyl]methyl}furan-2-carbaldehyde", 3839 },
	{ "3EE", "", "", ResidueType::NON_POLYMER, false, "4-(2-aminophenyl)-2,4-dioxobutanoic acid", 3840 },
	{ "3EF", "", "", ResidueType::NON_POLYMER, false, "N-{(2S)-3-[(S)-[(1R)-1-{[(benzyloxy)carbonyl]amino}-2-phenylethyl](hydroxy)phosphoryl]-2-[(3-phenyl-1,2-oxazol-5-yl)methyl]propanoyl}-L-tyrosine", 3841 },
	{ "3EG", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-4,4,4-trifluorobutanoic acid", 3842 },
	{ "3EH", "", "", ResidueType::NON_POLYMER, false, "3-(diethylamino)propyl (3-{[5-(3,4-dimethoxyphenyl)-2-oxo-2H-1,3,4-thiadiazin-3(6H)-yl]methyl}phenyl)carbamate", 3843 },
	{ "3EJ", "", "", ResidueType::NON_POLYMER, false, "4-[(5-{2-[(3-fluorobenzyl)carbamoyl]pyridin-4-yl}-2H-tetrazol-2-yl)methyl]benzoic acid", 3844 },
	{ "3EK", "", "", ResidueType::NON_POLYMER, false, "trans-4-[(3-{2-[(4-fluorobenzyl)carbamoyl]-6-methylpyridin-4-yl}-1H-1,2,4-triazol-1-yl)methyl]cyclohexanecarboxylic acid", 3845 },
	{ "3EL", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(3-{2-[(trans-4-aminocyclohexyl)amino]pyrimidin-4-yl}pyridin-2-yl)oxy]naphthalen-1-yl}benzenesulfonamide", 3846 },
	{ "3EM", "", "", ResidueType::NON_POLYMER, false, "N~2~-({[7-(diethylamino)-2-oxo-2H-chromen-4-yl]methoxy}carbonyl)-N-[(2S,4S,5S)-4-hydroxy-1,6-diphenyl-5-{[(1,3-thiazol-5-ylmethoxy)carbonyl]amino}hexan-2-yl]-L-valinamide", 3847 },
	{ "3EN", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,4S,5S)-4-hydroxy-1,6-diphenyl-5-{[(1,3-thiazol-5-ylmethoxy)carbonyl]amino}hexan-2-yl]-L-valinamide", 3848 },
	{ "3EO", "", "", ResidueType::NON_POLYMER, false, "", 3849 },
	{ "3EP", "", "", ResidueType::NON_POLYMER, false, "TRIETHYLPHOSPHANE", 3850 },
	{ "3EQ", "", "", ResidueType::NON_POLYMER, false, "", 3851 },
	{ "3ER", "", "", ResidueType::NON_POLYMER, false, "(2S)-(3-chlorophenyl)[(methylsulfonyl)amino]ethanoic acid", 3852 },
	{ "3ES", "", "", ResidueType::NON_POLYMER, false, "[(2S)-2-({3-[HYDROXYL(2-PHENYL-(1R)-1-{[(BENZYLOXY)[(2S)-2-({3-[HYDROXYL(2-PHENYL-(1R)-1-CARBONYL]-AMINO}ETHYL)PHOSPHINYL]-2-[(3-PHENYLISOXAZOL-5-YL)METHYL]-1-OXO-PROPYL}AMINO)-3-(4-HYDROXY-PHENYL)", 3853 },
	{ "3ET", "", "", ResidueType::NON_POLYMER, false, "O-[(2R)-2-amino-3-(D-seryloxy)propanoyl]-N-[(2,3-dihydroxyphenyl)carbonyl]-L-serine", 3854 },
	{ "3EU", "", "", ResidueType::NON_POLYMER, false, "(3,5-dichlorophenyl)acetic acid", 3855 },
	{ "3EV", "", "", ResidueType::NON_POLYMER, false, "(1S,3S,5Z,7E,14beta,17alpha)-9,10-secocholesta-5,7,10-triene-1,3,25-triol", 3856 },
	{ "3EW", "", "", ResidueType::NON_POLYMER, false, "5-[(4-bromo-2-chlorophenyl)amino]-4-fluoro-N-(2-hydroxyethoxy)-1-methyl-1H-benzimidazole-6-carboxamide", 3857 },
	{ "3EX", "", "", ResidueType::NON_POLYMER, false, "3-[(4-cyclopropyl-2-fluorophenyl)amino]-N-(2-hydroxyethoxy)furo[3,2-c]pyridine-2-carboxamide", 3858 },
	{ "3EY", "", "", ResidueType::NON_POLYMER, false, "8-[(4-cyclopropyl-2-fluorophenyl)amino]-N-(2-hydroxyethoxy)imidazo[1,5-a]pyridine-7-carboxamide", 3859 },
	{ "3EZ", "", "", ResidueType::NON_POLYMER, false, "N,N'-bis[3-(1,4,5,6-tetrahydropyrimidin-2-yl)phenyl]biphenyl-4,4'-dicarboxamide", 3860 },
	{ "3F0", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-3-fluoranyl-benzoic acid", 3861 },
	{ "3F1", "", "", ResidueType::NON_POLYMER, false, "N-{[4-(benzyloxy)phenyl](methyl)-lambda~4~-sulfanylidene}-4-methylbenzenesulfonamide", 3862 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "N,N'-bis[3-(4,5-dihydro-1H-imidazol-2-yl)phenyl]biphenyl-4,4'-dicarboxamide", 3863 },
	{ "3F3", "", "", ResidueType::NON_POLYMER, false, "4-[(2-{5-[(3-METHOXYPHENYL)METHYL]-1,3,4-OXADIAZOL-2-YL}-1-BENZOTHIOPHEN-3-YL)OXY]PIPERIDINE", 3864 },
	{ "3F4", "", "", ResidueType::NON_POLYMER, false, "2-(4-hydroxyphenyl)-3H-quinazolin-4-one", 3865 },
	{ "3F5", "", "", ResidueType::NON_POLYMER, false, "5'-O-(2-amino-2-oxoethyl)-8-(methylamino)adenosine", 3866 },
	{ "3F6", "", "", ResidueType::NON_POLYMER, false, "2,2'-benzene-1,4-diylbis[6-(1,4,5,6-tetrahydropyrimidin-2-yl)-1H-indole]", 3867 },
	{ "3F7", "", "", ResidueType::NON_POLYMER, false, "1,1'-benzene-1,4-diylbis(1H-pyrrole-2,5-dione)", 3868 },
	{ "3F8", "", "", ResidueType::NON_POLYMER, false, "1,1'-[ethane-1,2-diylbis(oxyethane-2,1-diyl)]bis(1H-pyrrole-2,5-dione)", 3869 },
	{ "3F9", "", "", ResidueType::NON_POLYMER, false, "N-{[(3R)-1-(2,3-dihydro-1H-inden-2-yl)piperidin-3-yl]methyl}-N-(2-methoxyethyl)naphthalene-2-carboxamide", 3870 },
	{ "3FA", "", "", ResidueType::NON_POLYMER, false, "3-FLUOROBENZENE-1,2-DIOL", 3871 },
	{ "3FB", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-AMINO-4-PHENYLBUTANOIC ACID", 3872 },
	{ "3FC", "", "", ResidueType::NON_POLYMER, false, "(1R)-2,2-DIMETHYL-1-({5-[4-(TRIFLUOROMETHYL)PHENYL]-1,3,4-OXADIAZOL-2-YL}METHYL)PROPYL (1S)-1-{OXO[(2-OXO-1,3-OXAZOLIDIN-3-YL)AMINO]ACETYL}PENTYLCARBAMATE", 3873 },
	{ "3FD", "", "", ResidueType::NON_POLYMER, false, "4-[[(2R,3S,4R,5R)-5-[6-amino-8-[(3,4-dichlorophenyl)methylamino]purin-9-yl]-3,4-dihydroxy-oxolan-2-yl]methoxymethyl]benzonitrile", 3874 },
	{ "3FE", "", "", ResidueType::NON_POLYMER, false, "3-[4-(morpholin-4-yl)-7H-pyrrolo[2,3-d]pyrimidin-5-yl]benzonitrile", 3875 },
	{ "3FF", "", "", ResidueType::NON_POLYMER, false, "2-[(2,4-difluorophenyl)amino]-7-{[(2R)-2,3-dihydroxypropyl]oxy}-10,11-dihydro-5H-dibenzo[a,d][7]annulen-5-one", 3876 },
	{ "3FG", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-amino(3,5-dihydroxyphenyl)ethanoic acid", 3877 },
	{ "3FH", "", "", ResidueType::NON_POLYMER, false, "1-hydroxy-3-(trifluoromethyl)pyridine-2(1H)-thione", 3878 },
	{ "3FI", "", "", ResidueType::NON_POLYMER, false, "3-{(E)-[(3-{[(2,6-dioxo-1,2,3,6-tetrahydropyrimidin-4-yl)methyl]amino}propoxy)imino]methyl}benzoic acid", 3879 },
	{ "3FK", "", "", ResidueType::NON_POLYMER, false, "(2R)-(3,5-dichlorophenyl)(dimethylamino)ethanoic acid", 3880 },
	{ "3FL", "", "", ResidueType::NON_POLYMER, false, "3-{[(4-{[(2,6-dioxo-1,2,3,6-tetrahydropyrimidin-4-yl)methyl]amino}butyl)amino]methyl}benzoic acid", 3881 },
	{ "3FM", "", "", ResidueType::SACCHARIDE, false, "3-O-FORMAMIDO-ALPHA-D-MANNOPYRANOSIDE", 3882 },
	{ "3FN", "", "", ResidueType::NON_POLYMER, false, "6-(2,4-difluorophenoxy)-8-methyl-2-(tetrahydro-2H-pyran-4-ylamino)pyrido[2,3-d]pyrimidin-7(8H)-one", 3883 },
	{ "3FO", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{(2S)-2-(3-chlorophenyl)-2-[(methylsulfonyl)amino]acetyl}-L-phenylalanyl-N-[(2Z)-2-iminoethyl]glycinamide", 3884 },
	{ "3FP", "", "", ResidueType::NON_POLYMER, false, "(2R)-1-(DIMETHYLAMINO)-3-{4-[(6-{[2-FLUORO-5-(TRIFLUOROMETHYL)PHENYL]AMINO}PYRIMIDIN-4-YL)AMINO]PHENOXY}PROPAN-2-OL", 3885 },
	{ "3FQ", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-(DIMETHYLAMINO)-3-{4-[(6-{[2-FLUORO-5-(TRIFLUOROMETHYL)PHENYL]AMINO}PYRIMIDIN-4-YL)AMINO]PHENOXY}PROPAN-2-OL", 3886 },
	{ "3FR", "", "", ResidueType::NON_POLYMER, false, "3'-chloro-5'-(3-methyl-6-{[(1S)-1-phenylethyl]amino}-1H-pyrazolo[4,3-c]pyridin-1-yl)biphenyl-2-carboxamide", 3887 },
	{ "3FS", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(3,5-dichlorophenyl)acetyl]-L-threonyl-N-[(2Z)-2-iminoethyl]glycinamide", 3888 },
	{ "3FT", "", "", ResidueType::NON_POLYMER, false, "", 3889 },
	{ "3FU", "", "", ResidueType::PEPTIDE_LIKE, false, "N~2~-[(2R)-2-(3,5-dichlorophenyl)-2-(dimethylamino)acetyl]-N-({2-[(Z)-iminomethyl]pyrimidin-4-yl}methyl)-L-isoleucinamide", 3890 },
	{ "3FV", "", "", ResidueType::NON_POLYMER, false, "4-chloro-1-(piperidin-4-yl)-N-[3-(pyridin-2-yl)-1H-pyrazol-4-yl]-1H-pyrazole-3-carboxamide", 3891 },
	{ "3FW", "", "", ResidueType::NON_POLYMER, false, "1-{2-[(Z)-iminomethyl]pyrimidin-4-yl}methanamine", 3892 },
	{ "3FX", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-(cyclohexylamino)-2-hydroxypropane-1-sulfonic acid", 3893 },
	{ "3FY", "", "", ResidueType::NON_POLYMER, false, "N-(2-{(4-bromophenyl)[(1-methyl-1H-imidazol-5-yl)methyl]amino}ethyl)-1-methyl-N-(2-methylbenzyl)-1H-imidazole-4-sulfonamide", 3894 },
	{ "3FZ", "", "", ResidueType::NON_POLYMER, false, "3-formylbenzenecarboximidamide", 3895 },
	{ "3G1", "", "", ResidueType::NON_POLYMER, false, "2-[(S)-benzylsulfinyl]benzoic acid", 3896 },
	{ "3G3", "", "", ResidueType::NON_POLYMER, false, "2-[2-(1H-tetrazol-5-yl)ethyl]-1H-isoindole-1,3(2H)-dione", 3897 },
	{ "3G4", "", "", ResidueType::NON_POLYMER, false, "2-(6-{[(3-chloro-2-methylphenyl)sulfonyl]amino}pyridin-2-yl)-N,N-diethylacetamide", 3898 },
	{ "3G5", "", "", ResidueType::NON_POLYMER, false, "4-(6,8-dibromo-3-hydroxy-4-oxo-4H-chromen-2-yl)benzoic acid", 3899 },
	{ "3G6", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[(8S,9S,10R,13S,14S,17R)-10,13-dimethyl-3-oxo-2,3,6,7,8,9,10,11,12,13,14,15,16,17-tetradecahydro-1H-cyclopenta[a]phenanthren-17-yl]propanoic acid (non-preferred name)", 3900 },
	{ "3G7", "", "", ResidueType::NON_POLYMER, false, "(3R)-1-{2-[4-(4-acetylphenyl)piperazin-1-yl]-2-oxoethyl}-N-(3-chloro-4-hydroxyphenyl)pyrrolidine-3-carboxamide", 3901 },
	{ "3G8", "", "", ResidueType::NON_POLYMER, false, "7-(diethylamino)-3-(thiophen-2-ylcarbonyl)-2H-chromen-2-one", 3902 },
	{ "3G9", "", "", ResidueType::NON_POLYMER, false, "1-{4-[4-(3-chlorobenzoyl)piperazin-1-yl]phenyl}ethanone", 3903 },
	{ "3GA", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3-[(2S)-2-amino-3-oxopropyl]piperidine-1-carboximidamide", 3904 },
	{ "3GB", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3R,4E)-1-{[alpha-D-galactopyranosyl-(1->4)-beta-D-galactopyranosyl-(1->4)-beta-D-glucopyranosyl]oxy}-3-hydroxyoctadec-4-en-2-yl]hexacosanamide", 3905 },
	{ "3GC", "", "", ResidueType::NON_POLYMER, false, "GAMMA-GLUTAMYLCYSTEINE", 3906 },
	{ "3GD", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3R,4E)-1-{[4-O-(beta-D-galactopyranosyl)-beta-D-glucopyranosyl]oxy}-3-hydroxyoctadec-4-en-2-yl]docosanamide", 3907 },
	{ "3GE", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-[bis(oxidanylidene)-$l^{5}-sulfanyl]-2-[[2-(hydroxymethyl)-3-oxidanyl-propyl]amino]-3-methyl-butanoic acid", 3908 },
	{ "3GF", "", "", ResidueType::NON_POLYMER, false, "6-(4-methylpiperazin-1-yl)-3-(naphthalen-2-yl)-4-(pyridin-4-yl)pyridazine", 3909 },
	{ "3GG", "", "", ResidueType::NON_POLYMER, false, "1-phenyl-3-[4-(1H-tetrazol-5-yl)phenyl]urea", 3910 },
	{ "3GH", "", "", ResidueType::NON_POLYMER, false, "N-{(2S,3R)-1-[(3-deoxy-alpha-D-xylo-hexopyranosyl)oxy]-3-hydroxyoctadecan-2-yl}hexacosanamide", 3911 },
	{ "3GJ", "", "", ResidueType::NON_POLYMER, false, "N-(3,5-dichloropyridin-4-yl)-3-[(3-ethyl-1,2-oxazol-5-yl)methoxy]-4-methoxybenzamide", 3912 },
	{ "3GK", "", "", ResidueType::NON_POLYMER, false, "N-[3-(2H-tetrazol-5-yl)phenyl]-6-(trifluoromethyl)-1H-benzimidazole-4-carboxamide", 3913 },
	{ "3GL", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,4S)-2-amino-4-hydroxy-pentanedioic acid", 3914 },
	{ "3GM", "", "", ResidueType::NON_POLYMER, false, "(2s)-6-[[(1r,2s)-2-(4-azanylbutanoylamino)-2,3-dihydro-1h-inden-1-yl]methyl]-2-(3-hydroxy-3-oxopropyl)-2,3-dihydro-1,4-benzodioxine-5-carboxylic acid", 3915 },
	{ "3GN", "", "", ResidueType::NON_POLYMER, false, "2-[(2S)-2-methylpyrrolidin-2-yl]-1H-benzimidazole-7-carboxamide", 3916 },
	{ "3GO", "", "", ResidueType::NON_POLYMER, false, "4-[[(2R,3S,4R,5R)-5-[6-amino-8-(quinolin-6-ylmethylamino)purin-9-yl]-3,4-dihydroxy-oxolan-2-yl]methoxymethyl]benzonitrile", 3917 },
	{ "3GP", "", "", ResidueType::NON_POLYMER, false, "GUANOSINE-3'-MONOPHOSPHATE", 3918 },
	{ "3GQ", "", "", ResidueType::NON_POLYMER, false, "benzene-1,2,3-tricarboxylic acid", 3919 },
	{ "3GR", "", "", ResidueType::NON_POLYMER, false, "GLYCERALDEHYDE", 3920 },
	{ "3GS", "", "", ResidueType::NON_POLYMER, false, "dimethyl (2R)-5-(3-fluorophenyl)-1H-pyrrolo[1,2-c][1,3]thiazole-6,7-dicarboxylate 2-oxide", 3921 },
	{ "3GT", "", "", ResidueType::NON_POLYMER, false, "(3beta,4beta,5beta,10beta,11E,13E)-maytansine", 3922 },
	{ "3GU", "", "", ResidueType::NON_POLYMER, false, "N6-cyclopentyladenosine", 3923 },
	{ "3GV", "", "", ResidueType::NON_POLYMER, false, "(3S)-1-(2-hydroxyphenyl)-5-oxopyrrolidine-3-carboxylic acid", 3924 },
	{ "3GW", "", "", ResidueType::NON_POLYMER, false, "5-(5-formylthiophen-2-yl)uridine-5'(2-(acetylamino)-2-deoxy-alpha-D-galactosyl)-diphosphate", 3925 },
	{ "3GX", "", "", ResidueType::NON_POLYMER, false, "1-methyl-7-phenyl-2,3,4,6-tetrahydro-1,6-naphthyridin-5(1H)-one", 3926 },
	{ "3GY", "", "", ResidueType::NON_POLYMER, false, "(2R)-butan-2-ylbenzene", 3927 },
	{ "3GZ", "", "", ResidueType::NON_POLYMER, false, "hexylbenzene", 3928 },
	{ "3H0", "", "", ResidueType::NON_POLYMER, false, "propylbenzene", 3929 },
	{ "3H1", "", "", ResidueType::NON_POLYMER, false, "3-chloro-4,6-dihydroxy-2-methyl-5-{(2E,4E)-3-methyl-5-[(1R,2R,6R)-1,2,6-trimethyl-3-oxocyclohexyl]penta-2,4-dien-1-yl}benzaldehyde", 3930 },
	{ "3H2", "", "", ResidueType::NON_POLYMER, false, "pentylbenzene", 3931 },
	{ "3H3", "", "", ResidueType::NON_POLYMER, false, "4-{(2R,5S,6E)-2-hydroxy-5-methyl-7-[(2R,3S,4E,6Z,10E)-3-methyl-12-oxooxacyclododeca-4,6,10-trien-2-yl]-4-oxooct-6-en-1-yl}piperidine-2,6-dione", 3932 },
	{ "3H4", "", "", ResidueType::NON_POLYMER, false, "(1Z,4S,6Z)-1-[(N-{(2Z,4Z,6E,8S)-8-[(2S)-5-methoxy-6-oxo-3,6-dihydro-2H-pyran-2-yl]-6-methylnona-2,4,6-trienoyl}-3-methyl-L-valyl)amino]octa-1,6-dien-4-yl carbamate", 3933 },
	{ "3H5", "", "", ResidueType::NON_POLYMER, false, "N-(1H-benzimidazol-2-yl)-1,3-dimethyl-1H-pyrazole-4-carboxamide", 3934 },
	{ "3H6", "", "", ResidueType::NON_POLYMER, false, "N-(1H-benzimidazol-2-yl)-3-(4-fluorophenyl)-1H-pyrazole-4-carboxamide", 3935 },
	{ "3H7", "", "", ResidueType::NON_POLYMER, false, "4,6-difluoro-1,3-benzothiazol-2-amine", 3936 },
	{ "3H8", "", "", ResidueType::NON_POLYMER, false, "3-(4-{[(2-chlorophenyl)carbamoyl]amino}-1H-pyrazol-1-yl)-N-(2-methylpyridin-4-yl)benzamide", 3937 },
	{ "3H9", "", "", ResidueType::NON_POLYMER, false, "(S)-3-Hydroxyhexanoyl-CoA", 3938 },
	{ "3HA", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXYANTHRANILIC ACID", 3939 },
	{ "3HB", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXYBENZOIC ACID", 3940 },
	{ "3HC", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXYBUTANOYL-COENZYME A", 3941 },
	{ "3HD", "", "", ResidueType::NON_POLYMER, false, "3-O-METHYL-O-ALPHA-D-MANNOPYRANOSYL", 3942 },
	{ "3HE", "", "", ResidueType::NON_POLYMER, false, "4-{(2R)-2-[(1S,3S,5S)-3,5-dimethyl-2-oxocyclohexyl]-2-hydroxyethyl}piperidine-2,6-dione", 3943 },
	{ "3HF", "", "", ResidueType::NON_POLYMER, false, "N~3~-{(1S,2R)-1-benzyl-2-hydroxy-3-[(3-methoxybenzyl)amino]propyl}-N~1~,N~1~-dibutyl-1H-indole-1,3-dicarboxamide", 3944 },
	{ "3HG", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXYPENTANEDIOIC ACID", 3945 },
	{ "3HH", "", "", ResidueType::NON_POLYMER, false, "N~1~-butyl-5-cyano-N~3~-{(1S,2R)-1-(3,5-difluorobenzyl)-2-hydroxy-3-[(3-methoxybenzyl)amino]propyl}-N~1~-methyl-1H-indole-1,3-dicarboxamide", 3946 },
	{ "3HI", "", "", ResidueType::NON_POLYMER, false, "(3R,5R)-7-[2-(4-fluorophenyl)-4-[(2-hydroxyphenyl)carbamoyl]-5-(1-methylethyl)-3-phenyl-1H-pyrrol-1-yl]-3,5-dihydroxyheptanoic acid", 3947 },
	{ "3HJ", "", "", ResidueType::NON_POLYMER, false, "N-(2-methylpyridin-4-yl)-3-{4-[(phenylcarbamoyl)amino]-1H-pyrazol-1-yl}benzamide", 3948 },
	{ "3HK", "", "", ResidueType::NON_POLYMER, false, "4-{7-methoxy-6-[3-(morpholin-4-yl)propoxy]-1,4-dihydroindeno[1,2-c]pyrazol-3-yl}benzonitrile", 3949 },
	{ "3HL", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-HYDROXYBUTANOIC ACID", 3950 },
	{ "3HM", "", "", ResidueType::NON_POLYMER, false, "5-hydroxy-6-methylpyridine-3-carboxylic acid", 3951 },
	{ "3HN", "", "", ResidueType::NON_POLYMER, false, "3-(4-{[(4-fluorophenyl)carbamoyl]amino}-1H-pyrazol-1-yl)-N-(2-methylpyridin-4-yl)benzamide", 3952 },
	{ "3HO", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-hydroxyoctanoic acid", 3953 },
	{ "3HP", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXYPHENYLACETATE", 3954 },
	{ "3HQ", "", "", ResidueType::NON_POLYMER, false, "3-(4-{[(4-methylphenyl)carbamoyl]amino}-1H-pyrazol-1-yl)-N-(2-methylpyridin-4-yl)benzamide", 3955 },
	{ "3HR", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-hydroxybutanoic acid", 3956 },
	{ "3HS", "", "", ResidueType::NON_POLYMER, false, "5-[4-({[4-(5-carboxyfuran-2-yl)-2-chlorobenzoyl]amino}methyl)phenyl]-1-(3,4-dichlorophenyl)-1H-pyrazole-3-carboxylic acid", 3957 },
	{ "3HT", "", "", ResidueType::NON_POLYMER, false, "5-[1-(4-methoxyphenyl)-1H-benzimidazol-6-yl]-1,3,4-oxadiazole-2(3H)-thione", 3958 },
	{ "3HU", "", "", ResidueType::NON_POLYMER, false, "(S)-1-(2'-AMINO-2'-CARBOXYETHYL)-3-[(2-CARBOXYTHIEN-3-YL)METHYL]THIENO[3,4-D]PYRIMIDIN-2,4-DIONE", 3959 },
	{ "3HV", "", "", ResidueType::NON_POLYMER, false, "5-(4-{[6-(5-carboxyfuran-2-yl)-1-thioxo-3,4-dihydroisoquinolin-2(1H)-yl]methyl}phenyl)-1-(3,4-dichlorophenyl)-1H-pyrazole-3-carboxylic acid", 3960 },
	{ "3HW", "", "", ResidueType::NON_POLYMER, false, "5-(4-{[4-(5-carboxyfuran-2-yl)benzyl]carbamothioyl}phenyl)-1-(3,4-dichlorophenyl)-1H-pyrazole-3-carboxylic acid", 3961 },
	{ "3HX", "", "", ResidueType::NON_POLYMER, false, "(4S)-N-{4-AMINO-5-[(2-AMINOETHYL)(HYDROXYAMINO]-PENTYL}-N'-NITROGUANIDINE", 3962 },
	{ "3HY", "", "", ResidueType::NON_POLYMER, false, "3-(hydroxymethyl)phenol", 3963 },
	{ "3HZ", "", "", ResidueType::NON_POLYMER, false, "5-[4-({acetyl[4-(5-carboxyfuran-2-yl)benzyl]amino}methyl)phenyl]-1-(3,4-dichlorophenyl)-1H-pyrazole-3-carboxylic acid", 3964 },
	{ "3I6", "", "", ResidueType::NON_POLYMER, false, "4-((5-BROMO-4-(PROP-2-YN-1-YLAMINO)PYRIMIDIN-2-YL)AMINO)BENZENESULFONAMIDE", 3965 },
	{ "3I7", "", "", ResidueType::NON_POLYMER, false, "3-[2-(phenylcarbamoyl)-5-(1H-pyrazol-4-yl)phenoxy]propan-1-aminium", 3966 },
	{ "3IB", "", "", ResidueType::NON_POLYMER, false, "3-INDOLEBUTYRIC ACID", 3967 },
	{ "3ID", "", "", ResidueType::NON_POLYMER, false, "3H-INDOLE-5,6-DIOL", 3968 },
	{ "3IG", "", "", ResidueType::NON_POLYMER, false, "N-{2-[6-(2,4-DIAMINO-6-ETHYLPYRIMIDIN-5-YL)-2,2-DIMETHYL-3-OXO-2,3-DIHYDRO-4H-1,4-BENZOXAZIN-4-YL]ETHYL}ACETAMIDE", 3969 },
	{ "3IH", "", "", ResidueType::NON_POLYMER, true, "N-[(5-METHYLISOXAZOL-3-YL)CARBONYL]ALANYL-L-VALYL-N~1~-((1R,2Z)-4-(BENZYLOXY)-4-OXO-1-{[(3R)-2-OXOPYRROLIDIN-3-YL]METHYL}BUT-2-ENYL)-L-LEUCINAMIDE", 3970 },
	{ "3II", "", "", ResidueType::NON_POLYMER, false, "N-[2-(2,4-dichlorophenyl)ethyl]-2-{8-[(2,4-dimethoxyphenyl)carbonyl]-4-oxo-1-phenyl-1,3,8-triazaspiro[4.5]dec-3-yl}acetamide", 3971 },
	{ "3IL", "", "", ResidueType::NON_POLYMER, false, "3-(INDOL-3-YL) LACTATE", 3972 },
	{ "3IN", "", "", ResidueType::NON_POLYMER, false, "N-[2(S)-CYCLOPENTYL-1(R)-HYDROXY-3(R)METHYL]-5-[(2(S)-TERTIARY-BUTYLAMINO-CARBONYL)-4-(N1-(2)-(N-METHYLPIPERAZINYL)-3-CHLORO-PYRAZINYL-5-CARBONYL)-PIPERAZINO]-4(S)-HYDROXY-2(R)-PHENYLMETHYL-PENTANAMIDE", 3973 },
	{ "3IO", "", "", ResidueType::NON_POLYMER, false, "3-(1H-INDOL-3-YL)-2-OXOPROPANOIC ACID", 3974 },
	{ "3IP", "", "", ResidueType::NON_POLYMER, false, "3-(BENZYLOXY)PYRIDIN-2-AMINE", 3975 },
	{ "3IT", "", "", ResidueType::NON_POLYMER, false, "2-hydroxy-3-(prop-1-en-2-yl)cyclohepta-2,4,6-trien-1-one", 3976 },
	{ "3J0", "", "", ResidueType::NON_POLYMER, false, "5-{4-[({[4-(5-carboxyfuran-2-yl)phenyl]carbonothioyl}amino)methyl]phenyl}-1-(3,4-dichlorophenyl)-1H-pyrazole-3-carboxylic acid", 3977 },
	{ "3J1", "", "", ResidueType::NON_POLYMER, false, "8-(hydroxymethyl)-2-[4-(1-methyl-1H-pyrazol-4-yl)phenyl]quinazolin-4(3H)-one", 3978 },
	{ "3J2", "", "", ResidueType::NON_POLYMER, false, "Nagilactone C", 3979 },
	{ "3J3", "", "", ResidueType::NON_POLYMER, false, "(1R)-1,5-anhydro-1-{[4-(sulfamoyloxy)piperidin-1-yl]sulfonyl}-D-galactitol", 3980 },
	{ "3J4", "", "", ResidueType::NON_POLYMER, false, "(6S)-2,6-anhydro-6-{[(3R)-3-(sulfamoyloxy)pyrrolidin-1-yl]sulfonyl}-D-glucitol", 3981 },
	{ "3J5", "", "", ResidueType::NON_POLYMER, false, "2-(4-{6-[(3S)-3,4-dimethylpiperazin-1-yl]-4-methylpyridin-3-yl}phenyl)-8-(hydroxymethyl)quinazolin-4(3H)-one", 3982 },
	{ "3J6", "", "", ResidueType::NON_POLYMER, false, "(3beta,7alpha)-3,7,15-trihydroxy-12,13-epoxytrichothec-9-en-8-one", 3983 },
	{ "3J7", "", "", ResidueType::NON_POLYMER, false, "N~1~-[2-(1H-indazol-5-yl)pyrido[3,4-d]pyrimidin-4-yl]-2-methylpropane-1,2-diamine", 3984 },
	{ "3J8", "", "", ResidueType::NON_POLYMER, false, "5-methylphenazin-1(5H)-one", 3985 },
	{ "3J9", "", "", ResidueType::NON_POLYMER, false, "(4R,4a'S,10a'R)-8'-(2-fluoropyridin-3-yl)-4a'-methyl-3',4',4a',10a'-tetrahydro-2'H-spiro[1,3-oxazole-4,10'-pyrano[3,2-b]chromen]-2-amine", 3986 },
	{ "3JA", "", "", ResidueType::NON_POLYMER, false, "5-(1-methyl-1H-pyrazol-4-yl)-4-(morpholin-4-yl)-7H-pyrrolo[2,3-d]pyrimidine", 3987 },
	{ "3JB", "", "", ResidueType::NON_POLYMER, false, "3-{4-[(2R)-2-(5-methyl-1,2,4-oxadiazol-3-yl)morpholin-4-yl]-7H-pyrrolo[2,3-d]pyrimidin-5-yl}benzonitrile", 3988 },
	{ "3JC", "", "", ResidueType::NON_POLYMER, false, "(7S)-2-amino-4-methyl-7-phenyl-7,8-dihydroquinazolin-5(6H)-one", 3989 },
	{ "3JD", "", "", ResidueType::NON_POLYMER, false, "2-{4-[(3S)-piperidin-3-yl]phenyl}-2H-indazole-7-carboxamide", 3990 },
	{ "3JE", "", "", ResidueType::NON_POLYMER, false, "triphenyl(phenylethynyl)phosphonium", 3991 },
	{ "3JF", "", "", ResidueType::NON_POLYMER, false, "N-acetyl-3-methyl-L-valyl-(4R)-4-hydroxy-N-[4-(4-methyl-1,3-thiazol-5-yl)benzyl]-L-prolinamide", 3992 },
	{ "3JG", "", "", ResidueType::NON_POLYMER, false, "(4R)-1-(3,3-dimethylbutanoyl)-4-hydroxy-N-[4-(1,3-oxazol-5-yl)benzyl]-L-prolinamide", 3993 },
	{ "3JH", "", "", ResidueType::NON_POLYMER, false, "N-acetyl-L-leucyl-3-methyl-L-valyl-(4R)-4-hydroxy-N-[4-(4-methyl-1,3-thiazol-5-yl)benzyl]-L-prolinamide", 3994 },
	{ "3JI", "", "", ResidueType::NON_POLYMER, false, "3-(4-PHENYLBUTANAMIDO)PYRIDINE-4-CARBOXYLIC ACID", 3995 },
	{ "3JJ", "", "", ResidueType::NON_POLYMER, false, "N-acetyl-3-methyl-L-valyl-3-methyl-L-valyl-(4R)-4-hydroxy-N-[4-(4-methyl-1,3-thiazol-5-yl)benzyl]-L-prolinamide", 3996 },
	{ "3JK", "", "", ResidueType::NON_POLYMER, false, "(4R)-1-(3,3-dimethylbutanoyl)-4-hydroxy-N-[4-(4-methyl-1,3-oxazol-5-yl)benzyl]-L-prolinamide", 3997 },
	{ "3JL", "", "", ResidueType::NON_POLYMER, false, "3-(3-carboxypropyl)benzene-1,2-dicarboxylic acid", 3998 },
	{ "3JM", "", "", ResidueType::NON_POLYMER, false, "3-(2-carboxyethyl)benzene-1,2-dicarboxylic acid", 3999 },
	{ "3JN", "", "", ResidueType::NON_POLYMER, false, "3-[(1E)-3-carboxyprop-1-en-1-yl]benzene-1,2-dicarboxylic acid", 4000 },
	{ "3JO", "", "", ResidueType::NON_POLYMER, false, "N-acetyl-L-phenylalanyl-3-methyl-L-valyl-(4R)-4-hydroxy-N-[4-(4-methyl-1,3-thiazol-5-yl)benzyl]-L-prolinamide", 4001 },
	{ "3JP", "", "", ResidueType::NON_POLYMER, false, "(1S,5S,6R)-10-[(3,5-dichlorophenyl)sulfonyl]-3-[2-(3,4-dimethoxyphenoxy)ethyl]-5-ethyl-3,10-diazabicyclo[4.3.1]decan-2-one", 4002 },
	{ "3JQ", "", "", ResidueType::NON_POLYMER, false, "(1S,5S,6R)-10-[(3,5-dichlorophenyl)sulfonyl]-5-[(1R)-1,2-dihydroxyethyl]-3-[2-(3,4-dimethoxyphenoxy)ethyl]-3,10-diazabicyclo[4.3.1]decan-2-one", 4003 },
	{ "3JR", "", "", ResidueType::NON_POLYMER, false, "(1S,5S,6R)-10-[(3,5-dichlorophenyl)sulfonyl]-5-[(1S)-1,2-dihydroxyethyl]-3-[2-(3,4-dimethoxyphenoxy)ethyl]-3,10-diazabicyclo[4.3.1]decan-2-one", 4004 },
	{ "3JS", "", "", ResidueType::NON_POLYMER, false, "(4R)-1-acetyl-4-hydroxy-L-prolyl-(4R)-4-hydroxy-N-[4-(4-methyl-1,3-thiazol-5-yl)benzyl]-L-prolinamide", 4005 },
	{ "3JT", "", "", ResidueType::NON_POLYMER, false, "(4R)-1-(3,3-dimethylbutanoyl)-4-hydroxy-N-[4-(1,3-thiazol-5-yl)benzyl]-L-prolinamide", 4006 },
	{ "3JU", "", "", ResidueType::NON_POLYMER, false, "(4R)-1-(3,3-dimethylbutanoyl)-4-hydroxy-N-[4-(4-methyl-1,3-thiazol-5-yl)benzyl]-L-prolinamide", 4007 },
	{ "3JV", "", "", ResidueType::NON_POLYMER, false, "(4R)-1-(3,3-dimethylbutanoyl)-4-hydroxy-N-[3-methyl-4-(1,3-thiazol-5-yl)benzyl]-L-prolinamide", 4008 },
	{ "3JW", "", "", ResidueType::NON_POLYMER, false, "Baricitinib", 4009 },
	{ "3JX", "", "", ResidueType::NON_POLYMER, false, "", 4010 },
	{ "3JY", "", "", ResidueType::NON_POLYMER, false, "[(1R)-2-methoxy-1-{[(1S,3R)-3-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)cyclopentyl]oxy}-2-oxoethyl]phosphonic acid", 4011 },
	{ "3JZ", "", "", ResidueType::NON_POLYMER, false, "N-methyl-N-{2-[({2-[(2-oxo-2,3-dihydro-1H-indol-5-yl)amino]-5-(trifluoromethyl)pyrimidin-4-yl}amino)methyl]phenyl}methanesulfonamide", 4012 },
	{ "3K0", "", "", ResidueType::NON_POLYMER, false, "N-sulfamoyl-L-glutamic acid", 4013 },
	{ "3K1", "", "", ResidueType::NON_POLYMER, false, "5-hydroxy-2-[4-(1H-tetrazol-5-yl)phenyl]pyrimidin-4(3H)-one", 4014 },
	{ "3K2", "", "", ResidueType::NON_POLYMER, false, "", 4015 },
	{ "3K3", "", "", ResidueType::NON_POLYMER, false, "5-({(1R,1aS,6bR)-1-[5-(trifluoromethyl)-1H-benzimidazol-2-yl]-1a,6b-dihydro-1H-cyclopropa[b][1]benzofuran-5-yl}oxy)-3,4-dihydro-1,8-naphthyridin-2(1H)-one", 4016 },
	{ "3K4", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,3S)-3-methylaziridine-2-carboxylic acid", 4017 },
	{ "3K5", "", "", ResidueType::NON_POLYMER, false, "", 4018 },
	{ "3K6", "", "", ResidueType::NON_POLYMER, false, "N,N-dimethyl-4-[(6R)-6-methyl-5-(1H-pyrrolo[2,3-b]pyridin-4-yl)-4,5,6,7-tetrahydropyrazolo[1,5-a]pyrazin-3-yl]benzenesulfonamide", 4019 },
	{ "3K7", "", "", ResidueType::NON_POLYMER, false, "6-chloro-3-(3,4-dimethoxyphenyl)-2-methylimidazo[1,2-b]pyridazin-8-amine", 4020 },
	{ "3K8", "", "", ResidueType::NON_POLYMER, false, "(14aR)-2,3,6-trimethoxy-11,12,13,14,14a,15-hexahydro-9H-dibenzo[f,h]pyrido[1,2-b]isoquinoline", 4021 },
	{ "3K9", "", "", ResidueType::NON_POLYMER, false, "1-[2-fluoro-4-(1H-pyrazol-1-yl)phenyl]-5-methoxy-3-(1-phenyl-1H-pyrazol-5-yl)pyridazin-4(1H)-one", 4022 },
	{ "3KA", "", "", ResidueType::NON_POLYMER, false, "1-(2-deoxy-5-O-phosphono-beta-L-erythro-pentofuranosyl)pyrimidine-2,4(1H,3H)-dione", 4023 },
	{ "3KB", "", "", ResidueType::NON_POLYMER, false, "5-methoxy-3-(1-phenyl-1H-pyrazol-5-yl)-1-[3-(trifluoromethyl)phenyl]pyridazin-4(1H)-one", 4024 },
	{ "3KC", "", "", ResidueType::NON_POLYMER, false, "3-chloro-4-(4H-3,4,7-triazadibenzo[cd,f]azulen-6-yl)phenol", 4025 },
	{ "3KD", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,12bS,12cS)-2,4,5,7,12b,12c-hexahydro-1H-[1,3]dioxolo[4,5-j]pyrrolo[3,2,1-de]phenanthridine-1,2-diol", 4026 },
	{ "3KE", "", "", ResidueType::NON_POLYMER, false, "4-{[({3-[2-(4-methoxybenzyl)-2H-tetrazol-5-yl]phenyl}carbonyl)amino]methyl}benzoic acid", 4027 },
	{ "3KF", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4S,4aR)-2,3,4,7-tetrahydroxy-3,4,4a,5-tetrahydro[1,3]dioxolo[4,5-j]phenanthridin-6(2H)-one", 4028 },
	{ "3KG", "", "", ResidueType::NON_POLYMER, false, "3-(1-phenyl-1H-pyrazol-5-yl)-1-[3-(trifluoromethyl)phenyl]pyridazin-4(1H)-one", 4029 },
	{ "3KH", "", "", ResidueType::NON_POLYMER, false, "5-(1H-benzotriazol-6-yl)-1,3,4-thiadiazol-2-amine", 4030 },
	{ "3KJ", "", "", ResidueType::NON_POLYMER, false, "N~5~-(N-hydroxy-N-methylcarbamimidoyl)-L-ornithine", 4031 },
	{ "3KK", "", "", ResidueType::NON_POLYMER, false, "", 4032 },
	{ "3KL", "", "", ResidueType::NON_POLYMER, false, "(5beta,9beta)-3-oxocholan-24-oic acid", 4033 },
	{ "3KM", "", "", ResidueType::NON_POLYMER, false, "3-({(2S)-3-[4-(2-aminoethyl)piperidin-1-yl]-2-[(naphthalen-2-ylsulfonyl)amino]-3-oxopropyl}oxy)benzenecarboximidamide", 4034 },
	{ "3KN", "", "", ResidueType::NON_POLYMER, false, "3-(5-amino-1,3,4-thiadiazol-2-yl)pyridin-4-amine", 4035 },
	{ "3KO", "", "", ResidueType::NON_POLYMER, false, "(2E,5R)-5-(2-cyclohexylethyl)-5-{[(3R)-1-(cyclopentylacetyl)pyrrolidin-3-yl]methyl}-2-imino-3-methylimidazolidin-4-one", 4036 },
	{ "3KP", "", "", ResidueType::NON_POLYMER, false, "1,2,3-trichloropropane", 4037 },
	{ "3KQ", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-2-{6-[(3,5-dichloropyridin-4-yl)acetyl]-2,3-dimethoxyphenoxy}acetamide", 4038 },
	{ "3KR", "", "", ResidueType::NON_POLYMER, false, "1-(2-methoxyethyl)-N-oxo-4-({4-[4-(trifluoromethoxy)phenoxy]phenyl}sulfonyl)piperidine-4-carboxamide", 4039 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "N-acetyl-L-alanyl-N-[(1S,5R)-5-amino-1,5-dicarboxypentyl]-D-glutamine", 4040 },
	{ "3KT", "", "", ResidueType::NON_POLYMER, false, "(2E,5R)-5-(2-cyclohexylethyl)-5-{[(1S,3R)-3-(cyclopentylamino)cyclohexyl]methyl}-2-imino-3-methylimidazolidin-4-one", 4041 },
	{ "3KU", "", "", ResidueType::NON_POLYMER, false, "N-[(1R,3S)-3-{[(2E,4R)-4-(2-cyclohexylethyl)-2-imino-1-methyl-5-oxoimidazolidin-4-yl]methyl}cyclohexyl]pyridine-4-carboxamide", 4042 },
	{ "3KV", "", "REA", ResidueType::NON_POLYMER, true, "retinoic acid", 4043 },
	{ "3KW", "", "", ResidueType::NON_POLYMER, false, "(2E,5R)-5-(2-cyclohexylethyl)-2-imino-3-methyl-5-{[(1S,3R)-3-(quinolin-2-ylamino)cyclohexyl]methyl}imidazolidin-4-one", 4044 },
	{ "3KX", "", "", ResidueType::NON_POLYMER, false, "6-(cyclohexylmethyl)-4-hydroxy-3-phenylpyridin-2(1H)-one", 4045 },
	{ "3KY", "", "", ResidueType::NON_POLYMER, false, "6-[(4,4-dimethylcyclohexyl)methyl]-4-hydroxy-3-phenylpyridin-2(1H)-one", 4046 },
	{ "3KZ", "", "", ResidueType::NON_POLYMER, false, "(1R)-9-[(3S,4S)-1,3-dimethylpiperidin-4-yl]-8-(2-fluorophenyl)-1-methyl-3,5-dihydro[1,2,4]triazino[3,4-c][1,4]benzoxazin-2(1H)-one", 4047 },
	{ "3L0", "", "", ResidueType::NON_POLYMER, false, "(1R)-9-[(1,3-dimethylazetidin-3-yl)(methyl)amino]-1-methyl-8-phenyl-3,5-dihydro[1,2,4]triazino[3,4-c][1,4]benzoxazin-2(1H)-one", 4048 },
	{ "3L1", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,5S)-5-(6-amino-9H-purin-9-yl)-tetrahydro-2-(hydroxymethyl)furan-3-ol", 4049 },
	{ "3L2", "", "", ResidueType::NON_POLYMER, false, "", 4050 },
	{ "3L3", "", "", ResidueType::NON_POLYMER, false, "[(E)-2-(2-{[2-(2-amino-8-bromo-6-oxo-1,6-dihydro-9H-purin-9-yl)ethyl][(E)-2-phosphonoethenyl]amino}ethoxy)ethenyl]phosphonic acid", 4051 },
	{ "3L4", "", "", ResidueType::NON_POLYMER, false, "[(2-{[2-(2-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)ethyl][(E)-2-phosphonoethenyl]amino}ethoxy)methyl]phosphonic acid", 4052 },
	{ "3L5", "", "", ResidueType::NON_POLYMER, false, "(2-{[2-(2-amino-6-oxo-3,6-dihydro-9H-purin-9-yl)ethyl][2-(2-phosphonoethoxy)ethyl]amino}ethyl)phosphonic acid", 4053 },
	{ "3L6", "", "", ResidueType::NON_POLYMER, false, "(2-{[2-(2-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)ethyl](3-aminopropyl)amino}ethyl)phosphonic acid", 4054 },
	{ "3L7", "", "", ResidueType::NON_POLYMER, false, "(2-{[2-(6-oxo-1,6-dihydro-9H-purin-9-yl)ethyl](2-{[(E)-2-phosphonoethenyl]oxy}ethyl)amino}ethyl)phosphonic acid", 4055 },
	{ "3L8", "", "", ResidueType::NON_POLYMER, false, "[(2-{[2-(6-oxo-1,6-dihydro-9H-purin-9-yl)ethyl](2-phosphonoethyl)amino}ethoxy)methyl]phosphonic acid", 4056 },
	{ "3L9", "", "", ResidueType::NON_POLYMER, false, "Montbretin A", 4057 },
	{ "3LA", "", "", ResidueType::NON_POLYMER, false, "3-OXODODECANOIC ACID", 4058 },
	{ "3LB", "", "", ResidueType::NON_POLYMER, false, "", 4059 },
	{ "3LC", "", "", ResidueType::NON_POLYMER, false, "", 4060 },
	{ "3LD", "", "", ResidueType::NON_POLYMER, false, "3-hydroxy-6-(2-phenylethyl)pyridazin-4(1H)-one", 4061 },
	{ "3LE", "", "", ResidueType::NON_POLYMER, false, "", 4062 },
	{ "3LF", "", "", ResidueType::NON_POLYMER, false, "3-(3,4,5-trimethoxyphenyl)propanoic acid", 4063 },
	{ "3LG", "", "", ResidueType::NON_POLYMER, false, "(5-{[(2R)-1-(4-{3-[(2-METHOXYBENZYL)OXY]PROPOXY}PHENYL)-6-OXOPIPERAZIN-2-YL]METHOXY}-1H-INDOL-1-YL)ACETIC ACID", 4064 },
	{ "3LH", "", "", ResidueType::NON_POLYMER, false, "N-{2-methyl-5-[2-oxo-9-(1H-pyrazol-4-yl)benzo[h][1,6]naphthyridin-1(2H)-yl]phenyl}propanamide", 4065 },
	{ "3LI", "", "", ResidueType::NON_POLYMER, false, "(4R)-3-(4-[4-(2-chlorophenyl)piperazin-1-yl]-6-{[2-methyl-6-(methylcarbamoyl)phenyl]amino}-1,3,5-triazin-2-yl)-N-[2-(hydroxyamino)-2-oxoethyl]-1,3-thiazolidine-4-carboxamide", 4066 },
	{ "3LJ", "", "", ResidueType::NON_POLYMER, false, "2-amino-2-deoxy-6-O-sulfo-alpha-D-glucopyranose", 4067 },
	{ "3LK", "", "", ResidueType::NON_POLYMER, false, "BC-3205", 4068 },
	{ "3LL", "", "", ResidueType::NON_POLYMER, false, "(5S)-7-(2-fluoropyridin-3-yl)-3-[(3-methyloxetan-3-yl)ethynyl]spiro[chromeno[2,3-b]pyridine-5,4'-[1,3]oxazol]-2'-amine", 4069 },
	{ "3LM", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-[({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methyl)amino]-4-(methylsulfanyl)but-2-enoic acid", 4070 },
	{ "3LN", "", "", ResidueType::NON_POLYMER, false, "(4S)-2'-(2,2-dimethylpropoxy)-7'-(pyrimidin-5-yl)spiro[1,3-oxazole-4,9'-xanthen]-2-amine", 4071 },
	{ "3LO", "", "", ResidueType::NON_POLYMER, false, "(4S)-2'-(3,6-dihydro-2H-pyran-4-yl)-4'-fluoro-7'-(2-fluoropyridin-3-yl)spiro[1,3-oxazole-4,9'-xanthen]-2-amine", 4072 },
	{ "3LP", "", "", ResidueType::NON_POLYMER, false, "1-(CYCLOHEXYLAMINO)-3-(6-METHYL-3,4-DIHYDRO-1H-CARBAZOL-9(2H)-YL)PROPAN-2-OL", 4073 },
	{ "3LQ", "", "", ResidueType::NON_POLYMER, false, "5-{2-[2-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)ethoxy]phenoxy}naphthalene-2-carbonitrile", 4074 },
	{ "3LR", "", "", ResidueType::SACCHARIDE, false, "3,6-dideoxy-L-arabino-hexonic acid", 4075 },
	{ "3LS", "", "", ResidueType::NON_POLYMER, false, "", 4076 },
	{ "3LT", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-[[(2S)-2-[[(2R)-2-[(2R,3S,4R,5R,6R)-5-acetamido-2-(hydroxymethyl)-3,6-bis(oxidanyl)oxan-4-yl]oxypropanoyl]amino]propanoyl]amino]-5-azanyl-5-oxidanylidene-pentanoic acid", 4077 },
	{ "3LU", "", "", ResidueType::NON_POLYMER, false, "1-({(2R)-4-carboxy-2-[(R)-carboxy{[(2R)-2-phenyl-2-sulfoacetyl]amino}methyl]-3,6-dihydro-2H-1,3-thiazin-5-yl}methyl)pyridinium", 4078 },
	{ "3LV", "", "", ResidueType::NON_POLYMER, false, "4-[2,2-bis(hydroxymethyl)-5-oxopyrrolidin-1-yl]-3-[(dipropylamino)methyl]benzoic acid", 4079 },
	{ "3LW", "", "", ResidueType::NON_POLYMER, false, "(3s,5s,7s)-N-[(5-bromothiophen-2-yl)methyl]tricyclo[3.3.1.1~3,7~]decan-1-aminium", 4080 },
	{ "3LX", "", "", ResidueType::NON_POLYMER, false, "tridecanethial", 4081 },
	{ "3LZ", "", "", ResidueType::NON_POLYMER, false, "1-{3-[(2-ethylpyridin-3-yl)oxy]-5-(pyridin-2-ylsulfanyl)pyridin-2-yl}-3-methylurea", 4082 },
	{ "3M0", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-3-methyl-benzoic acid", 4083 },
	{ "3M1", "", "", ResidueType::NON_POLYMER, false, "(3,4-dihydroxy-5-nitrophenyl)(2-fluorophenyl)methanone", 4084 },
	{ "3M2", "", "", ResidueType::NON_POLYMER, false, "(5Z)-2-amino-5-(3,5-dibromo-4-hydroxybenzylidene)-1-methyl-1,5-dihydro-4H-imidazol-4-one", 4085 },
	{ "3M3", "", "", ResidueType::NON_POLYMER, false, "4-[3-(2-fluorophenoxy)propyl]-3,5-dimethyl-1H-pyrazole", 4086 },
	{ "3M4", "", "", ResidueType::NON_POLYMER, false, "4-[5-(2-ethoxyphenyl)-1,2,4-oxadiazol-3-yl]pyridine", 4087 },
	{ "3M5", "", "", ResidueType::NON_POLYMER, false, "3-oxo-N-[(3S)-2-oxotetrahydrofuran-3-yl]decanamide", 4088 },
	{ "3M6", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[(2S,3R)-10-{[(4-fluorophenyl)sulfonyl]amino}-3-methyl-2-[(methyl{[4-(trifluoromethyl)phenyl]carbamoyl}amino)methyl]-6-oxo-3,4-dihydro-2H-1,5-benzoxazocin-5(6H)-yl]propanoic acid", 4089 },
	{ "3M7", "", "", ResidueType::NON_POLYMER, false, "", 4090 },
	{ "3M8", "", "", ResidueType::NON_POLYMER, false, "2-[(2-cyano-3-fluoro-5-hydroxyphenyl)sulfanyl]ethanesulfonic acid", 4091 },
	{ "3M9", "", "", ResidueType::NON_POLYMER, false, "4-fluoro-N-({1-[(2R)-4-(hydroxyamino)-1-(naphthalen-2-yl)-4-oxobutan-2-yl]-1H-1,2,3-triazol-5-yl}methyl)benzamide", 4092 },
	{ "3MA", "", "", ResidueType::NON_POLYMER, false, "6-AMINO-3-METHYLPURINE", 4093 },
	{ "3MB", "", "", ResidueType::NON_POLYMER, false, "3-METHOXYBENZAMIDE", 4094 },
	{ "3MC", "", "", ResidueType::NON_POLYMER, false, "3-METHYLCYTOSINE", 4095 },
	{ "3MD", "", "2AS", ResidueType::PEPTIDE_LINKING, true, "2S,3S-3-METHYLASPARTIC ACID", 4096 },
	{ "3ME", "", "", ResidueType::RNA_LINKING, false, "", 4097 },
	{ "3MF", "", "", ResidueType::SACCHARIDE, false, "3-O-METHYLFRUCTOSE IN LINEAR FORM", 4098 },
	{ "3MG", "", "", ResidueType::SACCHARIDE, false, "3-O-methyl-beta-D-glucopyranose", 4099 },
	{ "3MH", "", "", ResidueType::NON_POLYMER, false, "1-hydroxy-3-methylpyridine-2(1H)-thione", 4100 },
	{ "3MI", "", "", ResidueType::NON_POLYMER, false, "2-(3,5-dichlorophenyl)-1,3-benzoxazole-6-carboxylic acid", 4101 },
	{ "3MJ", "", "", ResidueType::NON_POLYMER, false, "1-(3,4,5-trihydroxyphenyl)dodecan-1-one", 4102 },
	{ "3ML", "", "", ResidueType::NON_POLYMER, false, "[(2S)-3-methyl-5-oxo-2,5-dihydrofuran-2-yl]acetic acid", 4103 },
	{ "3MM", "", "", ResidueType::PEPTIDE_AMINO_TERMINUS, false, "(1R)-1-CARBOXY-N,N,N-TRIMETHYL-3-(METHYLSULFANYL)PROPAN-1-AMINIUM", 4104 },
	{ "3MN", "", "", ResidueType::NON_POLYMER, false, "3-({3-[3-(1H-IMIDAZOL-1-YL)PROPYL]-5-METHYL-5-(1-NAPHTHYL)-2,4-DIOXOIMIDAZOLIDIN-1-YL}METHYL)BENZONITRILE", 4105 },
	{ "3MO", "", "", ResidueType::NON_POLYMER, false, "3-METHYL-1,3-OXAZOLIDIN-2-ONE", 4106 },
	{ "3MP", "", "", ResidueType::NON_POLYMER, false, "3-METHYLPYRIDINE", 4107 },
	{ "3MQ", "", "", ResidueType::NON_POLYMER, false, "(5-thiophen-2-ylisoxazol-3-yl)methanol", 4108 },
	{ "3MR", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-(2-AMINO-6-PHENOXYQUINAZOLIN-3(4H)-YL)-N,4-DICYCLOHEXYL-N-METHYLBUTANAMIDE", 4109 },
	{ "3MS", "", "", ResidueType::NON_POLYMER, false, "N-{3-[4-hydroxy-1-(3-methylbutyl)-2-oxo-1,2-dihydropyrrolo[1,2-b]pyridazin-3-yl]-1,1-dioxido-2H-1,2,4-benzothiadiazin-7-yl}methanesulfonamide", 4110 },
	{ "3MT", "", "", ResidueType::NON_POLYMER, false, "3-METHYLTHIAZOLIUM ION", 4111 },
	{ "3MU", "", "UR3", ResidueType::RNA_LINKING, true, "", 4112 },
	{ "3MV", "", "", ResidueType::NON_POLYMER, false, "(3R,5R)-3-ethyl-2,5-dimethylheptane", 4113 },
	{ "3MW", "", "", ResidueType::NON_POLYMER, false, "4-amino-N-{(1R)-2-(hydroxyamino)-2-oxo-1-[4-(1H-pyrazol-1-yl)phenyl]ethyl}benzamide", 4114 },
	{ "3MX", "", "", ResidueType::NON_POLYMER, false, "1-(3,4,5-trihydroxyphenyl)decan-1-one", 4115 },
	{ "3MY", "", "", ResidueType::PEPTIDE_LINKING, false, "3-chloro-D-tyrosine", 4116 },
	{ "3MZ", "", "", ResidueType::NON_POLYMER, false, "1-(2,3,4-trihydroxyphenyl)nonan-1-one", 4117 },
	{ "3N0", "", "", ResidueType::NON_POLYMER, false, "1-(3,4,5-trihydroxyphenyl)hexan-1-one", 4118 },
	{ "3N1", "", "", ResidueType::NON_POLYMER, false, "(5-chloro-3-methyl-1-benzothiophen-2-yl)acetic acid", 4119 },
	{ "3N2", "", "", ResidueType::NON_POLYMER, false, "(5-chloro-1-benzothiophen-3-yl)acetic acid", 4120 },
	{ "3N3", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-[(benzyloxy)carbonyl]-2,3-dihydro-1H-indole-2-carboxylic acid", 4121 },
	{ "3N4", "", "", ResidueType::NON_POLYMER, false, "naphtho[2,1-b]thiophen-1-ylacetic acid", 4122 },
	{ "3N5", "", "", ResidueType::NON_POLYMER, false, "(2R)-1-[(benzyloxy)carbonyl]-2,3-dihydro-1H-indole-2-carboxylic acid", 4123 },
	{ "3N6", "", "", ResidueType::NON_POLYMER, false, "N-{(1S)-5-amino-1-[(4-pyridin-4-ylpiperazin-1-yl)carbonyl]pentyl}-3,5-dibromo-Nalpha-{[4-(2-oxo-1,4-dihydroquinazolin-3(2H)-yl)piperidin-1-yl]carbonyl}-D-tyrosinamide", 4124 },
	{ "3N7", "", "", ResidueType::NON_POLYMER, false, "N~4~-(5-cyclopropyl-1H-pyrazol-3-yl)-N~2~-1H-indazol-5-yl-6-methylpyrimidine-2,4-diamine", 4125 },
	{ "3N8", "", "", ResidueType::NON_POLYMER, false, "4-fluorobenzene-1,2-diol", 4126 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "(6S)-4-fluoro-6-hydroperoxy-6-hydroxycyclohexa-2,4-dien-1-one", 4127 },
	{ "3NA", "", "", ResidueType::NON_POLYMER, false, "{3-[(4,5,7-TRIFLUORO-1,3-BENZOTHIAZOL-2-YL)METHYL]-1H-INDOL-1-YL}ACETIC ACID", 4128 },
	{ "3NB", "", "", ResidueType::NON_POLYMER, false, "1-(3,4,5-trihydroxyphenyl)octan-1-one", 4129 },
	{ "3NC", "", "", ResidueType::NON_POLYMER, false, "cis-4-amino-N-(7-chloro-1-oxo-1,2-dihydroisoquinolin-6-yl)cyclohexanecarboxamide", 4130 },
	{ "3ND", "", "", ResidueType::NON_POLYMER, false, "(3S,4R)-N-(7-chloro-1-oxo-1,4-dihydroisoquinolin-6-yl)-4-(4-chlorophenyl)pyrrolidine-3-carboxamide", 4131 },
	{ "3NE", "", "", ResidueType::NON_POLYMER, false, "4-(trifluoromethyl)-3-[3-(trifluoromethyl)phenyl]-1,7-dihydro-6H-pyrazolo[3,4-b]pyridin-6-one", 4132 },
	{ "3NF", "", "", ResidueType::PEPTIDE_LINKING, false, "N-acetyl-L-tyrosine", 4133 },
	{ "3NG", "", "", ResidueType::NON_POLYMER, false, "5-[(3-chlorophenyl)amino]benzo[c][2,6]naphthyridine-8-carboxylic acid", 4134 },
	{ "3NH", "", "", ResidueType::NON_POLYMER, false, "(3S)-TETRAHYDROFURAN-3-YL (1R,2S)-3-[4-((1R)-2-{[(S)-AMINO(HYDROXY)METHYL]OXY}-2,3-DIHYDRO-1H-INDEN-1-YL)-2-BENZYL-3-OXOPYRROLIDIN-2-YL]-1-BENZYL-2-HYDROXYPROPYLCARBAMATE", 4135 },
	{ "3NI", "", "", ResidueType::NON_POLYMER, false, "NICKEL (III) ION", 4136 },
	{ "3NJ", "", "", ResidueType::NON_POLYMER, false, "4-fluorooxepine-2,7-dione", 4137 },
	{ "3NK", "", "", ResidueType::NON_POLYMER, false, "1-(6-METHOXYNAPHTHALEN-2-YL)BUTANE-1,3-DIONE", 4138 },
	{ "3NL", "", "", ResidueType::NON_POLYMER, false, "3-(4-{[(2-chlorophenyl)carbamoyl]amino}-1H-pyrazol-1-yl)-N-{1-[(3S)-pyrrolidin-3-yl]-1H-pyrazol-4-yl}benzamide", 4139 },
	{ "3NM", "", "", ResidueType::NON_POLYMER, false, "4-methyl-5-[2-(phosphonooxy)ethyl]-1,3-thiazole-2-carboxylic acid", 4140 },
	{ "3NP", "", "", ResidueType::NON_POLYMER, false, "3-NITROPROPANOIC ACID", 4141 },
	{ "3NQ", "", "", ResidueType::NON_POLYMER, false, "6-oxime-17-(3-pyridyl)-androst-16-en-3-ol", 4142 },
	{ "3NR", "", "", ResidueType::NON_POLYMER, false, "6-cyano-17-(3-pyridyl)-androst-5,16-dien-3-ol", 4143 },
	{ "3NS", "", "", ResidueType::PEPTIDE_LIKE, false, "(3S)-4-hydroxy-3-{[(2S)-4-{[2-(2-methyl-1H-benzimidazol-1-yl)ethyl]amino}-2-(1-methylethyl)-4-oxobutanoyl]amino}butanoic acid", 4144 },
	{ "3NT", "", "", ResidueType::NON_POLYMER, false, "3-NITROTOLUENE", 4145 },
	{ "3NU", "", "", ResidueType::NON_POLYMER, false, "4-[3-(1-methylethyl)-1H-pyrazol-4-yl]-N-(1-methylpiperidin-4-yl)pyrimidin-2-amine", 4146 },
	{ "3NV", "", "", ResidueType::NON_POLYMER, false, "4-[5-chloro-3-(1-methylethyl)-1H-pyrazol-4-yl]-N-(5-piperazin-1-ylpyridin-2-yl)pyrimidin-2-amine", 4147 },
	{ "3NW", "", "", ResidueType::NON_POLYMER, false, "1-[2-(2-{[2-(dimethylamino)ethyl]amino}-6-{2-[(1-methylethyl)amino]-1,3-thiazol-5-yl}pyrimidin-4-yl)benzyl]-3-ethylurea", 4148 },
	{ "3NX", "", "", ResidueType::NON_POLYMER, false, "3-hydroxy-17-(3-pyridyl)-androst-5,16-dien-6-amide", 4149 },
	{ "3NY", "", "", ResidueType::NON_POLYMER, false, "5-nitro-1H-benzotriazole", 4150 },
	{ "3NZ", "", "", ResidueType::NON_POLYMER, false, "3'-deoxy-3'-[(O-methyl-L-tyrosyl)amino]adenosine", 4151 },
	{ "3O0", "", "", ResidueType::NON_POLYMER, false, "{4-amino-2-[(4-chlorophenyl)amino]-1,3-thiazol-5-yl}(3-nitrophenyl)methanone", 4152 },
	{ "3O1", "", "", ResidueType::NON_POLYMER, false, "tert-butyl 4-(4-sulfamoylphenoxy)butylcarbamate", 4153 },
	{ "3O2", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-1-(2-methoxyethyl)-4-{[4-(3-{5-[4-(trifluoromethoxy)phenyl]-2H-tetrazol-2-yl}propoxy)phenyl]sulfonyl}piperidine-4-carboxamide", 4154 },
	{ "3O3", "", "", ResidueType::PEPTIDE_LINKING, false, "N-[(3S)-3-amino-3-carboxypropyl]-L-glutamic acid", 4155 },
	{ "3O4", "", "", ResidueType::NON_POLYMER, false, "N-[4-[2-[(4-morpholin-4-ylphenyl)amino]pyrimidin-4-yl]phenyl]ethanamide", 4156 },
	{ "3O5", "", "", ResidueType::NON_POLYMER, false, "4-(4-sulfamoyl-phenoxy)-butylammonium", 4157 },
	{ "3O6", "", "", ResidueType::NON_POLYMER, false, "1-(4-fluorophenyl)-3-[4-(4-fluorophenyl)-1-methyl-3-(trifluoromethyl)-1H-pyrazol-5-yl]urea", 4158 },
	{ "3O7", "", "", ResidueType::NON_POLYMER, false, "1,4,5,8-tetrahydroxyanthracene-9,10-dione", 4159 },
	{ "3O8", "", "", ResidueType::NON_POLYMER, false, "1-amino-5,8-dihydroxy-4-({2-[(2-hydroxyethyl)amino]ethyl}amino)anthracene-9,10-dione", 4160 },
	{ "3OA", "", "", ResidueType::NON_POLYMER, false, "1,4-dihydroxy-5,8-bis{[2-(2-hydroxyethoxy)ethyl]amino}anthracene-9,10-dione", 4161 },
	{ "3OB", "", "", ResidueType::NON_POLYMER, false, "3-chloro-5-({6-[2-(3,4-dihydroisoquinolin-2(1H)-yl)-2-oxoethyl]-3-(dimethylamino)-2-oxo-1,2-dihydropyridin-4-yl}oxy)benzonitrile", 4162 },
	{ "3OC", "", "", ResidueType::NON_POLYMER, false, "(1R)-3-oxocyclohexanecarboxylic acid", 4163 },
	{ "3OD", "", "", ResidueType::NON_POLYMER, false, "", 4164 },
	{ "3OE", "", "", ResidueType::PEPTIDE_LIKE, false, "4-(benzyloxy)-N-[(2S,3R)-3-hydroxy-1-{[(2S)-1-{[(3-methylthiophen-2-yl)methyl]amino}-1-oxo-4-phenylbutan-2-yl]amino}-1-oxobutan-2-yl]benzamide", 4165 },
	{ "3OF", "", "", ResidueType::NON_POLYMER, true, "HYDRATED FE (III) ION, 2 WATERS COORDINATED", 4166 },
	{ "3OG", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-[(2R)-6-oxotetrahydro-2H-pyran-2-yl]undecyl acetate", 4167 },
	{ "3OH", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXY-PROPANOIC ACID", 4168 },
	{ "3OJ", "", "", ResidueType::NON_POLYMER, false, "4-[(1-hydroxy-1,3-dihydro-2,1-benzoxaborol-5-yl)oxy]benzene-1,2-dicarbonitrile", 4169 },
	{ "3OK", "", "", ResidueType::NON_POLYMER, false, "1,4-bis[(2-aminoethyl)amino]-5,8-dihydroxyanthracene-9,10-dione", 4170 },
	{ "3OL", "", "", ResidueType::NON_POLYMER, false, "(3R)-oct-1-en-3-ol", 4171 },
	{ "3OM", "", "", ResidueType::NON_POLYMER, false, "(3S)-1-octen-3-ol", 4172 },
	{ "3ON", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-HYDROXY-8'-APOCAROTENOL", 4173 },
	{ "3OO", "", "", ResidueType::NON_POLYMER, false, "3-bromo-N-[3-(tert-butylamino)propyl]benzamide", 4174 },
	{ "3OP", "", "", ResidueType::NON_POLYMER, false, "3,3'-oxydipyridine", 4175 },
	{ "3OQ", "", "", ResidueType::NON_POLYMER, false, "3-(2-fluoroethyl)-4-({4-[(2S)-1,1,1-trifluoro-2-hydroxypropan-2-yl]phenyl}sulfonyl)benzonitrile", 4176 },
	{ "3OR", "", "", ResidueType::NON_POLYMER, false, "3,4-difluoro-2-[(2-fluoro-4-iodophenyl)amino]-N-(2-hydroxyethoxy)-5-[(3-oxo-1,2-oxazinan-2-yl)methyl]benzamide", 4177 },
	{ "3OS", "", "", ResidueType::NON_POLYMER, false, "2-[(4-ethynyl-2-fluorophenyl)amino]-3,4-difluoro-N-(2-hydroxyethoxy)-5-{[(2-hydroxyethoxy)imino]methyl}benzamide", 4178 },
	{ "3OT", "", "", ResidueType::NON_POLYMER, false, "2-methoxy-4-{1-[2-(morpholin-4-yl)ethyl]-2-(2-phenylethyl)-1H-benzimidazol-5-yl}cyclohepta-2,4,6-trien-1-one", 4179 },
	{ "3OU", "", "", ResidueType::NON_POLYMER, false, "6-(dimethylamino)-2-[2-(hydroxymethyl)-3-(1-methyl-5-{[5-(morpholin-4-ylcarbonyl)pyridin-2-yl]amino}-6-oxo-1,6-dihydropyridin-3-yl)phenyl]-3,4-dihydroisoquinolin-1(2H)-one", 4180 },
	{ "3OV", "", "", ResidueType::NON_POLYMER, false, "6-(dimethylamino)-8-fluoro-2-[2-(hydroxymethyl)-3-(1-methyl-5-{[5-(morpholin-4-ylcarbonyl)pyridin-2-yl]amino}-6-oxo-1,6-dihydropyridin-3-yl)phenyl]isoquinolin-1(2H)-one", 4181 },
	{ "3OW", "", "", ResidueType::NON_POLYMER, false, "", 4182 },
	{ "3OX", "", "", ResidueType::NON_POLYMER, false, "", 4183 },
	{ "3OY", "", "", ResidueType::NON_POLYMER, false, "N-propanoyl-D-alanyl-(4R)-4-[(7-bromoisoquinolin-1-yl)oxy]-N-{(1R,2S)-1-[(cyclopropylsulfonyl)carbamoyl]-2-ethenylcyclopropyl}-L-prolinamide", 4184 },
	{ "3OZ", "", "", ResidueType::NON_POLYMER, false, "[4-({(1S)-1-[(2,4-dichlorophenyl)carbamoyl]-1,3-dihydro-2H-isoindol-2-yl}methyl)-2-methylphenoxy]acetic acid", 4185 },
	{ "3P0", "", "", ResidueType::NON_POLYMER, false, "2-{8-fluoro-2-[2-(hydroxymethyl)-3-(1-methyl-5-{[5-(4-methylpiperazin-1-yl)pyridin-2-yl]amino}-6-oxo-1,6-dihydropyridin-3-yl)phenyl]-1-oxo-1,2,3,4-tetrahydroisoquinolin-6-yl}-2-methylpropanenitrile", 4186 },
	{ "3P1", "", "", ResidueType::NON_POLYMER, false, "8-[(quinolin-2-ylmethyl)amino]adenosine", 4187 },
	{ "3P2", "", "", ResidueType::NON_POLYMER, false, "N-tert-butyl-2-[4-(3,5-dimethyl-1,2-oxazol-4-yl)phenyl]imidazo[1,2-a]pyrazin-3-amine", 4188 },
	{ "3P3", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R)-2-hydroxy-1-(hydroxycarbamoyl)propyl]-4-(4-phenylbuta-1,3-diyn-1-yl)benzamide", 4189 },
	{ "3P4", "", "", ResidueType::NON_POLYMER, false, "5-[2-(BUT-3-EN-1-YLOXY)-5-(1-HYDROXYVINYL)PYRIDIN-3-YL]-3-ETHYL-2-(1-ETHYLAZETIDIN-3-YL)-1,2,6,7A-TETRAHYDRO-7H-PYRAZOLO[4,3-D]PYRIMIDIN-7-ONE", 4190 },
	{ "3P5", "", "", ResidueType::NON_POLYMER, false, "(3S,4S,5R)-3-(3-bromo-4-hydroxybenzyl)-5-[(3-cyclopropylbenzyl)amino]tetrahydro-2H-thiopyran-4-ol 1,1-dioxide", 4191 },
	{ "3P6", "", "", ResidueType::NON_POLYMER, false, "(4aS,5aR)-N-{1-[(R)-[(2R)-1,1-dioxidotetrahydro-2H-thiopyran-2-yl](phenyl)methyl]-1H-pyrazol-4-yl}-5,5-difluoro-5a-methyl-1,4,4a,5,5a,6-hexahydrocyclopropa[f]indazole-3-carboxamide", 4192 },
	{ "3P7", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(1R)-1-{[(2R)-2-carboxy-2-(4-hydroxyphenyl)acetyl]amino}-1-methoxy-2-oxoethyl]-5-methylidene-5,6-dihydro-2H-1,3-oxazine-4-carboxylic acid", 4193 },
	{ "3P8", "", "", ResidueType::NON_POLYMER, false, "methylammonium ion", 4194 },
	{ "3P9", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{[(2S)-2-{[(2R)-2-hydroxypropyl]oxy}propyl]oxy}propan-1-ol", 4195 },
	{ "3PA", "", "", ResidueType::NON_POLYMER, false, "3-CYCLOPENTYL-PROPIONIC ACID", 4196 },
	{ "3PB", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-(phosphonooxy)butanoic acid", 4197 },
	{ "3PC", "", "", ResidueType::NON_POLYMER, false, "(3S)-3,4-DI-N-HEXANOYLOXYBUTYL-1-PHOSPHOCHOLINE", 4198 },
	{ "3PD", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-9-(2-DEOXY-3-O-PHOSPHONOPENTOFURANOSYL)-1,9-DIHYDRO-6H-PURIN-6-ONE", 4199 },
	{ "3PE", "", "", ResidueType::NON_POLYMER, false, "1,2-DIACYL-SN-GLYCERO-3-PHOSPHOETHANOLAMINE", 4200 },
	{ "3PF", "", "", ResidueType::NON_POLYMER, false, "3-methyl-3,4-dihydroquinazolin-2(1H)-one", 4201 },
	{ "3PG", "MP3", "", ResidueType::NON_POLYMER, false, "3-PHOSPHOGLYCERIC ACID", 4202 },
	{ "3PH", "", "", ResidueType::NON_POLYMER, false, "1,2-DIACYL-GLYCEROL-3-SN-PHOSPHATE", 4203 },
	{ "3PI", "", "", ResidueType::NON_POLYMER, false, "(1S)-2-(1-HYDROXYBUTOXY)-1-{[(HYDROXY{[(2R,3S,5R,6S)-2,4,6-TRIHYDROXY-3,5-BIS(PHOSPHONOOXY)CYCLOHEXYL]OXY}PHOSPHORYL)OXY]METHYL}ETHYL BUTYRATE", 4204 },
	{ "3PJ", "", "", ResidueType::NON_POLYMER, false, "N-[trans-4-(3-amino-3-oxopropyl)-4-phenylcyclohexyl]-N-cyclopropyl-4-[(1S)-2,2,2-trifluoro-1-hydroxy-1-methylethyl]benzamide", 4205 },
	{ "3PK", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-(pentanoyloxy)propan-2-yl hexanoate", 4206 },
	{ "3PL", "", "", ResidueType::NON_POLYMER, false, "3-PHENYLPROPANAL", 4207 },
	{ "3PM", "", "", ResidueType::PEPTIDE_LINKING, false, "O-tert-butyl-D-serine", 4208 },
	{ "3PO", "", "", ResidueType::NON_POLYMER, false, "TRIPHOSPHATE", 4209 },
	{ "3PP", "", "", ResidueType::NON_POLYMER, false, "3-PHOSPHONOPROPANOIC ACID", 4210 },
	{ "3PQ", "", "", ResidueType::NON_POLYMER, false, "2-(4-chlorophenoxy)-N-{[(4R)-4-methyl-2,5-dioxoimidazolidin-4-yl]methyl}acetamide", 4211 },
	{ "3PS", "", "", ResidueType::NON_POLYMER, false, "4-amino-N-(6-methoxypyridin-3-yl)-2-methylquinazoline-8-carboxamide", 4212 },
	{ "3PT", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-{[(S)-hydroxy{[(1S,2R,3R,4S,5S,6S)-2,3,6-trihydroxy-4,5-bis(phosphonooxy)cyclohexyl]oxy}phosphoryl]oxy}propane-1,2-diyl dibutanoate", 4213 },
	{ "3PU", "", "", ResidueType::NON_POLYMER, false, "5-chloro-N-{[(4R)-2,5-dioxo-4-(1,3-thiazol-2-yl)imidazolidin-4-yl]methyl}-1-benzofuran-2-carboxamide", 4214 },
	{ "3PV", "", "", ResidueType::NON_POLYMER, false, "methyl 2-(acetylamino)-2-deoxy-beta-D-glucopyranosyl-(1->2)-beta-D-galactofuranosyl-(1->6)-alpha-D-glucopyranoside", 4215 },
	{ "3PW", "", "", ResidueType::NON_POLYMER, false, "5-chloro-N-{[(4S)-4-(1-methyl-1H-imidazol-2-yl)-2,5-dioxoimidazolidin-4-yl]methyl}-1-benzofuran-2-carboxamide", 4216 },
	{ "3PX", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3-(propan-2-yloxy)-L-proline", 4217 },
	{ "3PY", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXYPYRUVIC ACID", 4218 },
	{ "3PZ", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-benzyl-4-[(4-methoxyphenyl)sulfonyl]-1-[(1-methyl-1H-imidazol-5-yl)methyl]-2,3,4,5-tetrahydro-1H-1,4-benzodiazepine-7-carbonitrile", 4219 },
	{ "3Q0", "", "", ResidueType::NON_POLYMER, false, "6-(3-amino-2H-indazol-6-yl)-N~4~-ethylpyrimidine-2,4-diamine", 4220 },
	{ "3Q1", "", "", ResidueType::NON_POLYMER, false, "6-[2-amino-6-(morpholin-4-yl)pyrimidin-4-yl]-2H-indazol-3-amine", 4221 },
	{ "3Q2", "", "", ResidueType::NON_POLYMER, false, "6-{2-amino-6-[(3R)-3-methylmorpholin-4-yl]pyrimidin-4-yl}-2H-indazol-3-amine", 4222 },
	{ "3Q3", "", "", ResidueType::NON_POLYMER, false, "(2S)-4-[2-amino-6-(3-amino-2H-indazol-6-yl)pyrimidin-4-yl]-N-phenylmorpholine-2-carboxamide", 4223 },
	{ "3Q4", "", "", ResidueType::NON_POLYMER, false, "(3S,6R)-1-[2-amino-6-(3-amino-2H-indazol-6-yl)pyrimidin-4-yl]-6-methyl-N-phenylpiperidine-3-carboxamide", 4224 },
	{ "3Q5", "", "", ResidueType::NON_POLYMER, false, "tert-butyl {(3R,6S)-1-[2-amino-6-(3-amino-2H-indazol-6-yl)pyrimidin-4-yl]-6-methylpiperidin-3-yl}carbamate", 4225 },
	{ "3Q6", "", "", ResidueType::NON_POLYMER, false, "tert-butyl {(3R,5R)-1-[2-amino-6-(3-amino-2H-indazol-6-yl)pyrimidin-4-yl]-5-methylpiperidin-3-yl}carbamate", 4226 },
	{ "3Q7", "", "", ResidueType::NON_POLYMER, false, "(trimethylarsonio)acetate", 4227 },
	{ "3Q8", "", "", ResidueType::NON_POLYMER, false, "", 4228 },
	{ "3QA", "", "", ResidueType::NON_POLYMER, false, "(3R,4S)-1-[(4-amino-5H-pyrrolo[3,2-d]pyrimidin-7-yl)methyl]-4-(2-{[2-(2-hydroxyethoxy)ethyl]sulfanyl}ethyl)pyrrolidin-3-ol", 4229 },
	{ "3QB", "", "", ResidueType::NON_POLYMER, false, "LINCOMYCIN", 4230 },
	{ "3QC", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-(3-HYDROXYPHENYL)-N,N,7,8-TETRAMETHYL-3,4-DIHYDROISOQUINOLINE-2(1H)-CARBOXAMIDE", 4231 },
	{ "3QD", "", "", ResidueType::NON_POLYMER, false, "ethylboronic acid", 4232 },
	{ "3QE", "", "", ResidueType::NON_POLYMER, false, "{[(2R)-3-(2-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)propane-1,2-diyl]bis(oxyethane-2,1-diyl)}bis(phosphonic acid)", 4233 },
	{ "3QF", "", "", ResidueType::NON_POLYMER, false, "[2-([2-(2-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)ethyl]{2-[(2-oxoethyl)(2-phosphonoethyl)amino]ethyl}amino)ethyl]phosphonic acid", 4234 },
	{ "3QG", "", "", ResidueType::NON_POLYMER, false, "[2-({2-[bis(2-phosphonoethyl)amino]ethyl}[2-(6-oxo-3,6-dihydro-9H-purin-9-yl)ethyl]amino)ethyl]phosphonic acid", 4235 },
	{ "3QH", "", "", ResidueType::NON_POLYMER, false, "6-cyano-4-[[(1R)-1-(4-methylphenyl)ethyl]amino]quinoline-3-carboxamide", 4236 },
	{ "3QI", "", "", ResidueType::NON_POLYMER, false, "5,6-DIMETHYL-3-(4-METHYL-2-PYRIDINYL)-2-THIOXO-2,3-DIHYDROTHIENO[2,3- D]PYRIMIDIN-4(1H)-ONE", 4237 },
	{ "3QJ", "", "", ResidueType::NON_POLYMER, false, "hexyl(trihydroxy)borate(1-)", 4238 },
	{ "3QK", "", "", ResidueType::NON_POLYMER, false, "trihydroxy(octyl)borate(1-)", 4239 },
	{ "3QL", "", "", ResidueType::NON_POLYMER, false, "N-[(1R,2S,3R,4R,5R)-2-[(2S,3R,4R,5S,6R)-3-acetamido-6-(hydroxymethyl)-4,5-bis(oxidanyl)oxan-2-yl]oxy-3-oxidanyl-6,8-dioxabicyclo[3.2.1]octan-4-yl]ethanamide", 4240 },
	{ "3QM", "", "", ResidueType::NON_POLYMER, false, "[(2R)-2-nitrosopropyl]benzene", 4241 },
	{ "3QN", "", "", ResidueType::PEPTIDE_LINKING, false, "(E)-N~6~-{2-hydroxy-3-methyl-6-[(phosphonooxy)methyl]benzylidene}-L-lysine", 4242 },
	{ "3QO", "", "", ResidueType::NON_POLYMER, false, "4-benzylpyridine", 4243 },
	{ "3QP", "", "", ResidueType::PEPTIDE_LIKE, false, "(E)-N-{2-hydroxy-3-methyl-6-[(phosphonooxy)methyl]benzylidene}-L-aspartic acid", 4244 },
	{ "3QQ", "", "", ResidueType::NON_POLYMER, false, "N-(4-fluorobenzyl)-N-(2-methylpropyl)-6-{[1-(methylsulfonyl)piperidin-4-yl]amino}pyridine-3-sulfonamide", 4245 },
	{ "3QR", "", "", ResidueType::NON_POLYMER, false, "[1-(1,1-dioxido-3-oxo-2,3-dihydro-1,2-benzothiazol-6-yl)-1H-1,2,3-triazol-4-yl]methyl alpha-L-idopyranoside", 4246 },
	{ "3QS", "", "", ResidueType::NON_POLYMER, false, "1-cyclopentyl-N-[2-(4-methoxypiperidin-1-yl)pyrimidin-4-yl]-1H-pyrrolo[3,2-c]pyridin-6-amine", 4247 },
	{ "3QT", "", "", ResidueType::NON_POLYMER, false, "6-{[6-(1-methyl-1H-pyrazol-4-yl)imidazo[1,2-b]pyridazin-3-yl]methyl}quinoline", 4248 },
	{ "3QU", "", "", ResidueType::NON_POLYMER, false, "4-(4-nitrobenzyl)pyridine", 4249 },
	{ "3QV", "", "", ResidueType::NON_POLYMER, false, "7-hydroxy-2-oxo-2H-chromene-3-carbonitrile", 4250 },
	{ "3QW", "", "", ResidueType::NON_POLYMER, false, "N-[2-(4-methoxypiperidin-1-yl)pyrimidin-4-yl]-1-(propan-2-yl)-2-(1H-pyrazol-4-yl)-1H-pyrrolo[3,2-c]pyridin-6-amine", 4251 },
	{ "3QX", "", "", ResidueType::NON_POLYMER, false, "4-{[(1R,2S)-2-fluoro-2-methylcyclopentyl]amino}pyrrolo[1,2-b]pyridazine-3-carboxamide", 4252 },
	{ "3QY", "", "", ResidueType::NON_POLYMER, false, "N-[2-(4-methoxypiperidin-1-yl)pyrimidin-4-yl]-2-(1H-pyrazol-4-yl)-1H-pyrrolo[3,2-c]pyridin-6-amine", 4253 },
	{ "3QZ", "", "", ResidueType::NON_POLYMER, false, "(9beta)-17-hydroxypregn-4-ene-3,20-dione", 4254 },
	{ "3R0", "", "", ResidueType::NON_POLYMER, false, "N-[2-(4-methoxypiperidin-1-yl)pyrimidin-4-yl]-2-(1H-pyrazol-4-yl)-3H-imidazo[4,5-c]pyridin-6-amine", 4255 },
	{ "3R1", "", "", ResidueType::NON_POLYMER, false, "2,6-dichloro-N-{2-[(2-{[(2S)-1-hydroxypropan-2-yl]amino}-6-methylpyrimidin-4-yl)amino]pyridin-4-yl}benzamide", 4256 },
	{ "3R2", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-[(R)-{[(R)-{[(1S,3R,4R,5S)-3,4-dihydroxy-5-methylcyclohexyl]oxy}(hydroxy)phosphoryl]oxy}(hydroxy)phosphoryl]-3,4-dihydrothymidine", 4257 },
	{ "3R3", "", "", ResidueType::NON_POLYMER, false, "[[[(2R,3R,4S,5R)-3,4-bis(oxidanyl)-5-(phosphonooxymethyl)oxolan-2-yl]oxy-oxidanyl-phosphoryl]amino]phosphonic acid", 4258 },
	{ "3R4", "", "", ResidueType::NON_POLYMER, false, "3-chloro-6-fluoro-1-benzothiophene-2-carboxylic acid", 4259 },
	{ "3R5", "", "", ResidueType::NON_POLYMER, false, "5-methoxy-2-(pyridin-3-ylmethoxy)benzaldehyde", 4260 },
	{ "3R6", "", "", ResidueType::NON_POLYMER, false, "2-hydroxy-5-(methylsulfanyl)benzoic acid", 4261 },
	{ "3R7", "", "", ResidueType::NON_POLYMER, false, "4-ethenyl-2-[(phenylsulfonyl)amino]benzoic acid", 4262 },
	{ "3R9", "", "", ResidueType::NON_POLYMER, false, "(3S,5S,7aR)-5-(sulfanylmethyl)tetrahydro[1,3]thiazolo[4,3-b][1,3]thiazole-3-carboxylic acid", 4263 },
	{ "3RA", "", "", ResidueType::NON_POLYMER, false, "5-(1,3-benzodioxol-5-ylmethyl)-2-(phenylamino)-4H-imidazol-4-one", 4264 },
	{ "3RB", "", "", ResidueType::NON_POLYMER, false, "(2E,4E,6Z,8E)-3,7-dimethyl-8-(6,7,8,9-tetrahydro-5H-benzo[7]annulen-5-ylidene)octa-2,4,6-trienoic acid", 4265 },
	{ "3RC", "", "", ResidueType::NON_POLYMER, false, "3-(1-benzyl-1H-1,2,3-triazol-4-yl)-1H-pyrrolo[2,3-b]pyridine", 4266 },
	{ "3RD", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-{4-formyl-5-hydroxy-6-methyl-3-[(phosphonooxy)methyl]pyridin-2-yl}diazenyl]benzoic acid", 4267 },
	{ "3RE", "", "", ResidueType::NON_POLYMER, false, "2-amino-8-(trans-4-methoxycyclohexyl)-4-methyl-6-(1H-pyrazol-3-yl)pyrido[2,3-d]pyrimidin-7(8H)-one", 4268 },
	{ "3RF", "", "", ResidueType::NON_POLYMER, false, "N~2~-(4-aminophenyl)-N~4~-(5-cyclopropyl-1H-pyrazol-3-yl)quinazoline-2,4-diamine", 4269 },
	{ "3RG", "", "", ResidueType::NON_POLYMER, false, "2-[(carboxymethyl)amino]benzoic acid", 4270 },
	{ "3RH", "", "", ResidueType::NON_POLYMER, false, "(6S)-6-phenyl-5,6-dihydrobenzo[h]quinazolin-2-amine", 4271 },
	{ "3RI", "", "", ResidueType::NON_POLYMER, false, "(3S,4R,5R,6S)-1-(2-hydroxyethyl)azepane-3,4,5,6-tetrol", 4272 },
	{ "3RJ", "", "", ResidueType::NON_POLYMER, false, "N~2~-(1H-benzimidazol-6-yl)-N~4~-(5-cyclobutyl-1H-pyrazol-3-yl)quinazoline-2,4-diamine", 4273 },
	{ "3RK", "", "", ResidueType::NON_POLYMER, false, "(3S,4R,5R,6S)-azepane-3,4,5,6-tetrol", 4274 },
	{ "3RL", "", "", ResidueType::NON_POLYMER, false, "Pterostilbene", 4275 },
	{ "3RM", "", "", ResidueType::NON_POLYMER, false, "5-{4-[2-(4-bromophenoxy)ethyl]piperazin-1-yl}-4H-1,2,4-triazol-3-amine", 4276 },
	{ "3RN", "", "", ResidueType::NON_POLYMER, false, "2-(hydroxymethyl)cyclopent-2-en-1-one", 4277 },
	{ "3RO", "", "", ResidueType::NON_POLYMER, false, "5-[2-(3-chlorophenyl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 4278 },
	{ "3RP", "", "", ResidueType::NON_POLYMER, false, "4-(2,4-dichloro-5-methoxyphenyl)-6-methylpyrimidin-2-amine", 4279 },
	{ "3RQ", "", "", ResidueType::NON_POLYMER, false, "4-(2,4-dichloro-5-methoxyphenyl)-2-methyl-7H-pyrrolo[2,3-d]pyrimidine-5-carbonitrile", 4280 },
	{ "3RR", "", "", ResidueType::NON_POLYMER, false, "4-(2,4-dichloro-5-methoxyphenyl)-2,6-dimethyl-7H-pyrrolo[2,3-d]pyrimidine-5-carbonitrile", 4281 },
	{ "3RS", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-[2-amino-6-(2-methylphenyl)quinolin-3-yl]-N-[(4R)-2,2-dimethyltetrahydro-2H-pyran-4-yl]-2-methylpropanamide", 4282 },
	{ "3RT", "", "", ResidueType::NON_POLYMER, false, "N~3~-(tetrahydro-2H-pyran-4-yl)-N~6~-[5-(tetrahydro-2H-pyran-4-ylmethyl)[1,2,4]triazolo[1,5-a]pyridin-2-yl]-1H-indazole-3,6-diamine", 4283 },
	{ "3RU", "", "", ResidueType::NON_POLYMER, false, "3-(2-aminoquinolin-3-yl)-N-(cyclohexylmethyl)propanamide", 4284 },
	{ "3RV", "", "", ResidueType::NON_POLYMER, false, "5-fluoro-2-{[(5Z)-5-(naphthalen-1-ylmethylidene)-4-oxo-4,5-dihydro-1,3-thiazol-2-yl]amino}benzoic acid", 4285 },
	{ "3RW", "", "", ResidueType::NON_POLYMER, false, "[4-amino-7-(propan-2-yl)-7H-pyrrolo[2,3-d]pyrimidin-5-yl](6-{[2-(pyridin-3-yl)ethyl]amino}pyrazin-2-yl)methanone", 4286 },
	{ "3RX", "", "", ResidueType::NON_POLYMER, false, "N-[(2E)-3,7-dimethylocta-2,6-dien-1-yl]-N'-[(1R,3S,5R,7R)-tricyclo[3.3.1.1~3,7~]dec-2-yl]ethane-1,2-diamine", 4287 },
	{ "3RY", "", "", ResidueType::NON_POLYMER, false, "2-{[5-(naphthalen-1-ylmethyl)-4-oxo-4H-1lambda~4~,3-thiazol-2-yl]amino}benzoic acid", 4288 },
	{ "3RZ", "", "", ResidueType::NON_POLYMER, false, "4-amino-2-methyl-N-(1H-pyrazol-3-yl)quinazoline-8-carboxamide", 4289 },
	{ "3S0", "", "", ResidueType::NON_POLYMER, false, "(2R,5S)-5-[(carbamoyloxy)methyl]-2-[(R)-carboxy{[(2Z)-2-(furan-2-yl)-2-(methoxyimino)acetyl]amino}methyl]-5,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 4290 },
	{ "3S1", "", "", ResidueType::NON_POLYMER, false, "6-[2-(hydroxymethyl)phenyl]isoquinolin-1(2H)-one", 4291 },
	{ "3S2", "", "", ResidueType::NON_POLYMER, false, "[(2S,3R)-2-formyl-1-{[4-(methylamino)butyl]carbamoyl}pyrrolidin-3-yl]sulfamic acid", 4292 },
	{ "3S3", "", "", ResidueType::NON_POLYMER, false, "(1R)-2-({(R)-carboxy[(2R,5S)-4-carboxy-5-methyl-5,6-dihydro-2H-1,3-thiazin-2-yl]methyl}amino)-2-oxo-1-phenylethanaminium", 4293 },
	{ "3S4", "", "", ResidueType::NON_POLYMER, false, "(3R)-5-hydroxy-3-methyl-3-(phosphonooxy)pentanoic acid", 4294 },
	{ "3S5", "", "", ResidueType::NON_POLYMER, false, "Taurocyamine", 4295 },
	{ "3S6", "", "", ResidueType::NON_POLYMER, false, "prop-2-en-1-yl beta-D-galactofuranoside", 4296 },
	{ "3S9", "", "", ResidueType::NON_POLYMER, false, "benzyl (cyanomethyl)carbamate", 4297 },
	{ "3SA", "", "", ResidueType::SACCHARIDE, false, "ACARBOSE DERIVED TRISACCHARIDE", 4298 },
	{ "3SB", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-N'-[(1E)-(2,4-dihydroxy-6-methylphenyl)methylidene]-2-phenylethanehydrazide", 4299 },
	{ "3SC", "", "", ResidueType::NON_POLYMER, false, "5-(2,3-dichlorophenyl)-N-(pyridin-4-ylmethyl)-3-thiocyanatopyrazolo[1,5-a]pyrimidin-7-amine", 4300 },
	{ "3SD", "", "", ResidueType::PEPTIDE_LIKE, false, "N~4~-(2,2-dimethylpropyl)-N~1~-{(2S)-1-[(4-methylbenzyl)amino]-1-oxo-4-phenylbutan-2-yl}-N~2~-[(5-methyl-1,2-oxazol-3-yl)carbonyl]-L-aspartamide", 4301 },
	{ "3SE", "", "", ResidueType::NON_POLYMER, false, "4,4,4-trifluoro-1-{4-[3-(1,3-thiazol-2-yl)-1,2,4-oxadiazol-5-yl]piperidin-1-yl}butan-1-one", 4302 },
	{ "3SF", "", "", ResidueType::NON_POLYMER, false, "5,5,5-trifluoro-1-{4-[3-(1,3-thiazol-2-yl)-1,2,4-oxadiazol-5-yl]piperidin-1-yl}pentan-1-one", 4303 },
	{ "3SG", "", "", ResidueType::NON_POLYMER, false, "", 4304 },
	{ "3SH", "", "", ResidueType::NON_POLYMER, false, "ethyl 2-[(3-chloro-4-methylphenyl)amino]-4-phenyl-1,3-thiazole-5-carboxylate", 4305 },
	{ "3SJ", "", "", ResidueType::NON_POLYMER, false, "1-methyl-5-(1-methyl-3-{[4-(quinolin-2-yl)phenoxy]methyl}-1H-pyrazol-4-yl)pyridin-2(1H)-one", 4306 },
	{ "3SK", "", "", ResidueType::NON_POLYMER, false, "2-methylbenzoic acid", 4307 },
	{ "3SL", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-SULFOLACTIC ACID", 4308 },
	{ "3SM", "", "", ResidueType::NON_POLYMER, false, "2-methoxy-N-({6-[1-methyl-4-(methylamino)-1,6-dihydroimidazo[4,5-d]pyrrolo[2,3-b]pyridin-7-yl]pyridin-2-yl}methyl)acetamide", 4309 },
	{ "3SN", "", "", ResidueType::NON_POLYMER, false, "N-[4-(4-acetylpiperazin-1-yl)-2-fluorobenzyl]-N-cyclobutylbenzenesulfonamide", 4310 },
	{ "3SO", "", "", ResidueType::NON_POLYMER, false, "{5-hydroxy-4-[(1E)-4-(1H-indol-3-yl)-3-oxobut-1-en-1-yl]-6-methylpyridin-3-yl}methyl dihydrogen phosphate", 4311 },
	{ "3SP", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(CARBOXYMETHYL)-3-CYCLOHEXYL-D-ALANYL-N-({5-[(E)-AMINO(IMINO)METHYL]THIEN-2-YL}METHYL)-L-PROLINAMIDE", 4312 },
	{ "3SQ", "", "", ResidueType::NON_POLYMER, false, "4-(4-fluorophenyl)-1H-imidazole", 4313 },
	{ "3SR", "", "", ResidueType::NON_POLYMER, false, "8-{[4-(furan-2-ylcarbonyl)piperazin-1-yl]methyl}-1,3-dimethyl-7-(3-methylbutyl)-3,7-dihydro-1H-purine-2,6-dione", 4314 },
	{ "3SS", "", "", ResidueType::NON_POLYMER, false, "3-disulfanylpropanoic acid", 4315 },
	{ "3ST", "", "", ResidueType::NON_POLYMER, false, "1-{[1,3-dimethyl-7-(3-methylbutyl)-2,6-dioxo-2,3,6,7-tetrahydro-1H-purin-8-yl]methyl}piperidine-4-carboxamide", 4316 },
	{ "3SU", "", "", ResidueType::NON_POLYMER, false, "(2Z)-3-(6-bromo-1H-indol-3-yl)-2-sulfanylprop-2-enoic acid", 4317 },
	{ "3SV", "", "", ResidueType::NON_POLYMER, false, "(3S,7S,8E)-8-[3-ethyl-2-(3-methylbutyl)cyclohex-2-en-1-ylidene]-3,7-dimethyloctanoic acid", 4318 },
	{ "3SW", "", "", ResidueType::NON_POLYMER, false, "(2E,4E,6Z,8E)-8-[3-cyclopropyl-2-(3-methylbutyl)cyclohex-2-en-1-ylidene]-3,7-dimethylocta-2,4,6-trienoic acid", 4319 },
	{ "3SX", "", "", ResidueType::NON_POLYMER, false, "N-[4-(4-acetylpiperazin-1-yl)benzyl]-N-(2-methylpropyl)-1-phenylmethanesulfonamide", 4320 },
	{ "3SY", "", "", ResidueType::NON_POLYMER, false, "2,2-bis(hydroxymethyl)propane-1,3-diol", 4321 },
	{ "3SZ", "", "", ResidueType::NON_POLYMER, false, "3-{[4-(2,3-dihydro-1,4-benzodioxin-6-ylsulfonyl)-1,4-diazepan-1-yl]sulfonyl}aniline", 4322 },
	{ "3T0", "", "", ResidueType::NON_POLYMER, false, "(5Z)-5-(5-bromo-2-methoxybenzylidene)-3-(4-methylbenzyl)-1,3-thiazolidine-2,4-dione", 4323 },
	{ "3T1", "", "", ResidueType::NON_POLYMER, false, "(3S,11S)-11-(3-chloro-4-hydroxy-5-methoxyphenyl)-3-phenyl-2,3,4,5,10,11-hexahydro-1H-dibenzo[b,e][1,4]diazepin-1-one", 4324 },
	{ "3T2", "", "", ResidueType::NON_POLYMER, false, "(2E,4E,6Z,8E)-3,7-dimethyl-8-[2-(3-methylbutyl)-3-(propan-2-yl)cyclohex-2-en-1-ylidene]octa-2,4,6-trienoic acid", 4325 },
	{ "3T3", "", "", ResidueType::NON_POLYMER, false, "[(amino-kappaN)methanethiolato](3-fluoro-9-hydroxypyrido[2,3-a]pyrrolo[3,4-c]carbazole-5,7(6H,12H)-dionato-kappa~2~N,N')(1,4,7-trithionane-kappa~3~S~1~,S~4~,S~7~)ruthenium", 4326 },
	{ "3T4", "", "", ResidueType::NON_POLYMER, false, "{5-chloro-2-[(4-cyano-3-nitrobenzyl)carbamoyl]phenoxy}acetic acid", 4327 },
	{ "3T5", "", "", ResidueType::NON_POLYMER, false, "(11alpha,16alpha)-9-fluoro-11,17-dihydroxy-16-methyl-3,20-dioxopregna-1,4-dien-21-yl dihydrogen phosphate", 4328 },
	{ "3T7", "", "", ResidueType::NON_POLYMER, false, "2-({[1-(beta-D-glucopyranosyl)-1H-1,2,3-triazol-4-yl]methyl}[(1-phenyl-1H-1,2,3-triazol-4-yl)methyl]amino)-5-sulfamoyl-1,3,4-thiadiazole", 4329 },
	{ "3T8", "", "", ResidueType::NON_POLYMER, false, "N~2~-{2-chloro-4-[(4-methylpiperazin-1-yl)carbonyl]phenyl}-N~2~,N~8~-dimethyl-4,5-dihydrothieno[3,2-d][1]benzoxepine-2,8-dicarboxamide", 4330 },
	{ "3T9", "", "", ResidueType::NON_POLYMER, false, "2-methoxy-4-(3-phenyl-2H-pyrazolo[3,4-b]pyridin-6-yl)phenol", 4331 },
	{ "3TA", "", "", ResidueType::NON_POLYMER, false, "9-chloro-2-({5-[3-(dimethylamino)propyl]-2-methylpyridin-3-yl}amino)-5,7-dihydro-6H-pyrimido[5,4-d][1]benzazepine-6-thione", 4332 },
	{ "3TB", "", "", ResidueType::NON_POLYMER, false, "N-[(1E,2R)-1-[(2R)-2-{[(2S)-1-amino-5-carbamimidamido-1-oxopentan-2-yl]carbamoyl}cyclopentylidene]-3-(phosphonooxy)propan-2-yl]-L-phenylalaninamide", 4333 },
	{ "3TC", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-1-[(2R,5S)-2-(HYDROXYMETHYL)-1,3-OXATHIOLAN-5-YL]PYRIMIDIN-2(1H)-ONE", 4334 },
	{ "3TD", "", "", ResidueType::RNA_LINKING, false, "(1S)-1,4-anhydro-1-(3-methyl-2,4-dioxo-1,2,3,4-tetrahydropyrimidin-5-yl)-5-O-phosphono-D-ribitol", 4335 },
	{ "3TE", "", "", ResidueType::NON_POLYMER, false, "2-[(4,6-dimethylpyrimidin-2-yl)sulfanyl]-N-[5-(naphthalen-1-ylmethyl)-1,3-thiazol-2-yl]acetamide", 4336 },
	{ "3TF", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-(alpha-D-glucopyranosyloxy)-3-(hexadecanoyloxy)propan-2-yl (11Z)-octadec-11-enoate", 4337 },
	{ "3TG", "", "", ResidueType::NON_POLYMER, false, "1-(1H-imidazol-1-yl)-4,4-diphenylbutan-2-one", 4338 },
	{ "3TH", "", "", ResidueType::NON_POLYMER, false, "2-CHLORO-N-[(3R)-2-OXO-1,2,3,4-TETRAHYDROQUINOLIN-3-YL]-6H-THIENO[2,3-B]PYRROLE-5-CARBOXAMIDE", 4339 },
	{ "3TI", "", "", ResidueType::NON_POLYMER, false, "1-{(E)-[(4-hydroxyphenyl)imino]methyl}naphthalen-2-ol", 4340 },
	{ "3TJ", "", "", ResidueType::NON_POLYMER, false, "4-ethyl-7-fluoro-3,4-dihydro-2H-1,2,4-benzothiadiazine 1,1-dioxide", 4341 },
	{ "3TK", "", "", ResidueType::NON_POLYMER, false, "N-(5-benzyl-1,3-thiazol-2-yl)-2-[(4,6-dimethylpyrimidin-2-yl)sulfanyl]acetamide", 4342 },
	{ "3TL", "", "", ResidueType::PEPTIDE_LIKE, false, "benzyl [(1S,4S,7S,8R,9R,10S,13S,16S)-7,10-dibenzyl-8,9-dihydroxy-1,16-dimethyl-4,13-bis(1-methylethyl)-2,5,12,15,18-pentaoxo-20-phenyl-19-oxa-3,6,11,14,17-pentaazaicos-1-yl]carbamate", 4343 },
	{ "3TN", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-[4-HYDROXY-3-(3-METHOXY-5,5,8,8-TETRAMETHYL-5,6,7,8-TETRAHYDRONAPHTHALEN-2-YL)PHENYL]ACRYLIC ACID", 4344 },
	{ "3TO", "", "", ResidueType::NON_POLYMER, false, "3-[2-(3-{[(furan-2-ylmethyl)(methyl)amino]methyl}phenyl)ethyl]pyridin-2-amine", 4345 },
	{ "3TP", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-3-{3-[4-(METHYLSULFONYL)PHENYL]-1,2,4-OXADIAZOL-5-YL}-1-OXO-1-PYRROLIDIN-1-YLBUTAN-2-AMINE", 4346 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "N-(4-{(S)-[1-(2-methylpropyl)piperidin-4-yl]sulfinyl}benzyl)furo[2,3-c]pyridine-2-carboxamide", 4347 },
	{ "3TR", "", "", ResidueType::NON_POLYMER, false, "3-AMINO-1,2,4-TRIAZOLE", 4348 },
	{ "3TS", "", "", ResidueType::NON_POLYMER, false, "", 4349 },
	{ "3TT", "", "", ResidueType::NON_POLYMER, false, "[[[[(2R,5S)-5-(4-azanyl-2-oxidanylidene-pyrimidin-1-yl)-1,3-oxathiolan-2-yl]methoxy-oxidanyl-phosphoryl]oxy-oxidanyl-phosphoryl]amino]phosphonic acid", 4350 },
	{ "3TU", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(5-{[(2-amino-4-oxo-3,4-dihydro[1]benzothieno[2,3-d]pyrimidin-5-yl)methyl]amino}-1-oxo-1,3-dihydro-2H-isoindol-2-yl)pentanedioic acid", 4351 },
	{ "3TV", "", "", ResidueType::NON_POLYMER, false, "2,3,5,6-tetrafluoro-4-(propylsulfanyl)benzenesulfonamide", 4352 },
	{ "3TW", "", "", ResidueType::NON_POLYMER, false, "4-{4-[6-(2-methoxyethoxy)quinolin-2-yl]-1H-1,2,3-triazol-1-yl}phenol", 4353 },
	{ "3TX", "", "", ResidueType::NON_POLYMER, false, "4-[4-(quinolin-2-yl)-1H-1,2,3-triazol-1-yl]phenol", 4354 },
	{ "3TY", "", "", ResidueType::PEPTIDE_LINKING, false, "3-[(3E)-3-(BENZYLHYDRAZONO)-4-HYDROXY-6-OXOCYCLOHEXA-1,4-DIEN-1-YL]-L-ALANINE", 4355 },
	{ "3TZ", "", "", ResidueType::NON_POLYMER, false, "N-[(4-{[(2-amino-4-oxo-3,4-dihydro[1]benzothieno[2,3-d]pyrimidin-5-yl)methyl]amino}phenyl)carbonyl]-L-glutamic acid", 4356 },
	{ "3U1", "", "", ResidueType::NON_POLYMER, false, "3-{6-[(4R)-6-azaspiro[2.5]oct-4-yloxy]pyrazin-2-yl}-5-(2,6-difluorophenyl)-1H-indazole", 4357 },
	{ "3U2", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R,3R,4S,5R)-3,4,5-trihydroxy-2-methylcyclohexyl]benzamide", 4358 },
	{ "3U3", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R,3R,4S,5R)-3,4,5-trihydroxy-2-methylcyclohexyl]acetamide", 4359 },
	{ "3U4", "", "", ResidueType::NON_POLYMER, false, "2-fluorobenzoic acid", 4360 },
	{ "3U5", "", "", ResidueType::NON_POLYMER, false, "5-[3-(quinolin-3-yl)-2H-indazol-5-yl]-1,3-thiazol-2-amine", 4361 },
	{ "3U6", "", "", ResidueType::NON_POLYMER, false, "6-[5-(5-amino-1,3,4-thiadiazol-2-yl)-1H-indol-3-yl]-N-cyclopentylpyridin-2-amine", 4362 },
	{ "3U7", "", "", ResidueType::NON_POLYMER, false, "4-{2,3-dichloro-4-[3-(1H-imidazol-2-yl)propanoyl]phenoxy}butanoic acid", 4363 },
	{ "3U8", "", "", ResidueType::NON_POLYMER, false, "4-{2-chloro-4-[3-(1H-imidazol-2-yl)propanoyl]phenoxy}butanoic acid", 4364 },
	{ "3U9", "", "", ResidueType::NON_POLYMER, false, "3-[(1R)-1-(5-fluoro-2-methoxyphenyl)ethoxy]-5-(1-methyl-1H-1,2,3-triazol-5-yl)pyridin-2-amine", 4365 },
	{ "3UA", "", "", ResidueType::NON_POLYMER, false, "", 4366 },
	{ "3UB", "", "", ResidueType::NON_POLYMER, false, "propan-2-yl hydrogen (S)-[(1R)-1-{[(benzyloxy)carbonyl]amino}ethyl]phosphonate", 4367 },
	{ "3UC", "", "", ResidueType::NON_POLYMER, false, "", 4368 },
	{ "3UD", "", "", ResidueType::NON_POLYMER, false, "4-({[(3R,5R,6S)-1-[(1S)-2-(tert-butylsulfonyl)-1-cyclopropylethyl]-6-(4-chloro-3-fluorophenyl)-5-(3-chlorophenyl)-3-methyl-2-oxopiperidin-3-yl]acetyl}amino)-2-methoxybenzoic acid", 4369 },
	{ "3UE", "", "", ResidueType::NON_POLYMER, false, "[4-(diphenylmethyl)piperazin-1-yl](3-methyl-4-nitrophenyl)methanone", 4370 },
	{ "3UF", "", "", ResidueType::NON_POLYMER, false, "4-[(2-hydroxyethyl)sulfanyl]benzenesulfonamide", 4371 },
	{ "3UG", "", "", ResidueType::NON_POLYMER, false, "2,3,5,6-tetrafluoro-4-(piperidin-1-yl)benzenesulfonamide", 4372 },
	{ "3UH", "", "", ResidueType::NON_POLYMER, false, "({3-[(3-nitrobenzyl)carbamoyl]biphenyl-4-yl}oxy)acetic acid", 4373 },
	{ "3UJ", "", "", ResidueType::NON_POLYMER, false, "5-cyano-2'-{4-[2-(3-methyl-1H-indol-1-yl)ethyl]piperazin-1-yl}-N-[3-(pyrrolidin-1-yl)propyl]biphenyl-3-carboxamide", 4374 },
	{ "3UK", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-[(2-aminobenzoyl)oxy](hydroxy)phosphoryl]adenosine", 4375 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "N-[2-(1-piperidinyl)-5-(trifluoromethyl)phenyl]-4-pyridinecarboxamide", 4376 },
	{ "3UM", "", "", ResidueType::NON_POLYMER, false, "(5beta,6alpha,8alpha,14alpha)-13-ethenyl-5,6-dihydroxy-14-methylpodocarp-12-en-15-oic acid", 4377 },
	{ "3UN", "", "", ResidueType::NON_POLYMER, false, "(4-{4-[(TERT-BUTOXYCARBONYL)AMINO]-2,2-BIS(ETHOXYCARBONYL)BUTYL}PHENYL)SULFAMIC ACID", 4378 },
	{ "3UO", "", "", ResidueType::NON_POLYMER, false, "2-[(cyclopropylcarbonyl)amino]-N-(4-methoxypyridin-3-yl)pyridine-4-carboxamide", 4379 },
	{ "3UP", "", "", ResidueType::NON_POLYMER, false, "2-[(cyclopropylcarbonyl)amino]-N-(4-phenylpyridin-3-yl)pyridine-4-carboxamide", 4380 },
	{ "3UQ", "", "", ResidueType::NON_POLYMER, false, "[(1,2,3,4,5-eta)-cyclopentadienyl][(1,2,3,4,4a,8a-eta)-naphthalene]ruthenium(1+)", 4381 },
	{ "3UR", "", "", ResidueType::NON_POLYMER, false, "(3S)-1-{6-[5-(2,6-difluorophenyl)-2H-indazol-3-yl]pyrazin-2-yl}piperidin-3-amine", 4382 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "N-[4-(acetylamino)butyl]-5'-[(3-{[(4-tert-butylphenyl)carbamoyl]amino}propyl)(propan-2-yl)amino]-5'-deoxyadenosine", 4383 },
	{ "3UT", "", "", ResidueType::NON_POLYMER, false, "(5S)-3-(5,6-dihydro-2H-pyran-3-yl)-1-fluoro-7-(2-fluoropyridin-3-yl)spiro[chromeno[2,3-c]pyridine-5,4'-[1,3]oxazol]-2'-amine", 4384 },
	{ "3UW", "", "", ResidueType::NON_POLYMER, false, "(4S,4a'S,10a'R)-2-amino-8'-(2-fluoropyridin-3-yl)-1-methyl-3',4',4a',10a'-tetrahydro-2'H-spiro[imidazole-4,10'-pyrano[3,2-b]chromen]-5(1H)-one", 4385 },
	{ "3UX", "", "", ResidueType::NON_POLYMER, false, "(4S,4a'R,10a'S)-2-amino-8'-(2-fluoropyridin-3-yl)-1,4a'-dimethyl-3',4',4a',10a'-tetrahydro-2'H-spiro[imidazole-4,10'-pyrano[3,2-b]chromen]-5(1H)-one", 4386 },
	{ "3UY", "", "", ResidueType::NON_POLYMER, false, "(4R,4a'R,10a'S)-8'-(2-fluoropyridin-3-yl)-4a'-methyl-3',4',4a',10a'-tetrahydro-2'H-spiro[1,3-oxazole-4,10'-pyrano[3,2-b]chromen]-2-amine", 4387 },
	{ "3UZ", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(4-chlorophenyl)-N-{2-[3-methoxy-4-(prop-2-yn-1-yloxy)phenyl]ethyl}-2-(prop-2-yn-1-yloxy)ethanamide", 4388 },
	{ "3V0", "", "", ResidueType::NON_POLYMER, false, "N-{[(2R)-2,3-dihydroxypropyl]oxy}-3-[(2-fluoro-4-iodophenyl)amino]furo[3,2-c]pyridine-2-carboxamide", 4389 },
	{ "3V1", "", "", ResidueType::NON_POLYMER, false, "2-chloro-N-[3-(4-{[(2Z)-2-cyano-3-cyclopropyl-3-hydroxyprop-2-enoyl]amino}phenoxy)phenyl]-4-methyl-1,3-thiazole-5-carboxamide", 4390 },
	{ "3V2", "", "", ResidueType::NON_POLYMER, false, "[(1R)-1-aminopropyl]phosphonic acid", 4391 },
	{ "3V3", "", "", ResidueType::NON_POLYMER, false, "1-amino-3,6,9,12-tetraoxapentadecan-15-oic acid", 4392 },
	{ "3V4", "", "", ResidueType::NON_POLYMER, false, "(+)-3-carene", 4393 },
	{ "3V5", "", "", ResidueType::NON_POLYMER, false, "(3S,5S)-3-({[(aminomethyl)amino]methyl}sulfanyl)-5-[(2S)-1,3-dioxobutan-2-yl]-L-proline", 4394 },
	{ "3V6", "", "", ResidueType::NON_POLYMER, false, "Bactobolin A", 4395 },
	{ "3V7", "", "", ResidueType::NON_POLYMER, false, "3-[4-(hydroxymethyl)-1H-1,2,3-triazol-1-yl]propan-1-ol", 4396 },
	{ "3V8", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-[4-(2-carboxyethyl)-1H-1,2,3-triazol-1-yl]-L-proline", 4397 },
	{ "3V9", "", "", ResidueType::NON_POLYMER, false, "N-(1,3-benzodioxol-5-ylmethyl)-N~3~-[(2R)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alaninamide", 4398 },
	{ "3VB", "", "", ResidueType::NON_POLYMER, false, "D-Threitol", 4399 },
	{ "3VC", "", "", ResidueType::NON_POLYMER, false, "N-{(1S)-1-[7-fluoro-2-(pyridin-2-yl)quinolin-3-yl]ethyl}-9H-purin-6-amine", 4400 },
	{ "3VD", "", "", ResidueType::NON_POLYMER, false, "N-{(1S)-1-[8-chloro-2-(3-fluorophenyl)quinolin-3-yl]ethyl}-9H-purin-6-amine", 4401 },
	{ "3VE", "", "", ResidueType::NON_POLYMER, false, "N-{(1S)-1-[8-chloro-2-(2-methylpyridin-3-yl)quinolin-3-yl]ethyl}-9H-purin-6-amine", 4402 },
	{ "3VF", "", "", ResidueType::NON_POLYMER, false, "N-[(2-cyanopyrimidin-4-yl)methyl]-3-[2-(3,5-dichlorophenyl)-2-methylpropanoyl]-4-methoxybenzamide", 4403 },
	{ "3VH", "", "", ResidueType::PEPTIDE_LIKE, false, "", 4404 },
	{ "3VJ", "", "", ResidueType::NON_POLYMER, false, "3-[2-(3,5-dichlorophenyl)-2-methylpropanoyl]-N-(2-{[(2Z)-2-iminoethyl]amino}-2-oxoethyl)-4-methoxybenzamide", 4405 },
	{ "3VK", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-2-(3,5-dichlorophenyl)-2-(ethylamino)acetyl]-3-methyl-L-valyl-N-[3-(methylsulfonyl)propyl]glycinamide", 4406 },
	{ "3VL", "", "", ResidueType::NON_POLYMER, false, "methyl (1R,2R,4S)-2-ethyl-2,5,7-trihydroxy-6,11-dioxo-4-{[2,3,6-trideoxy-3-(dimethylamino)-alpha-L-lyxo-hexopyranosyl]oxy}-1,2,3,4,6,11-hexahydrotetracene-1-carboxylate", 4407 },
	{ "3VM", "", "", ResidueType::NON_POLYMER, false, "trans-N-{(1S)-1-[4-(3-amino-2H-indazol-6-yl)pyridin-2-yl]-2-phenylethyl}-4-(aminomethyl)cyclohexanecarboxamide", 4408 },
	{ "3VN", "", "", ResidueType::NON_POLYMER, false, "(2R,5R)-2,5-diamino-2,5-bis(4-aminobutyl)hexanedioic acid", 4409 },
	{ "3VO", "", "", ResidueType::NON_POLYMER, false, "(4aR,8aS)-8a-(2,4-difluorophenyl)-4,4a,5,6,8,8a-hexahydropyrano[3,4-d][1,3]thiazin-2-amine", 4410 },
	{ "3VP", "", "", ResidueType::NON_POLYMER, false, "(4aR,6R,8aS)-8a-(2,4-difluorophenyl)-6-(fluoromethyl)-4,4a,5,6,8,8a-hexahydropyrano[3,4-d][1,3]thiazin-2-amine", 4411 },
	{ "3VQ", "", "", ResidueType::NON_POLYMER, false, "5-(pyridin-2-yl)thiophene-2-carboxamide", 4412 },
	{ "3VR", "", "", ResidueType::NON_POLYMER, false, "N-methyl-1-[4-(1H-pyrazol-1-ylmethyl)phenyl]methanamine", 4413 },
	{ "3VS", "", "", ResidueType::NON_POLYMER, false, "4-(1H-imidazol-1-yl)benzamide", 4414 },
	{ "3VT", "", "", ResidueType::NON_POLYMER, false, "[(3R)-1-hydroxy-4,5-dimethyl-6-(pyrazin-2-yloxy)-1,3-dihydro-2,1-benzoxaborol-3-yl]acetic acid", 4415 },
	{ "3VU", "", "", ResidueType::NON_POLYMER, false, "{(3R)-6-[(3-amino-1,2,4-thiadiazol-5-yl)oxy]-1-hydroxy-4,5-dimethyl-1,3-dihydro-2,1-benzoxaborol-3-yl}acetic acid", 4416 },
	{ "3VV", "", "", ResidueType::NON_POLYMER, false, "", 4417 },
	{ "3VW", "", "", ResidueType::NON_POLYMER, false, "phenyl(piperidin-4-yl)methanone", 4418 },
	{ "3VX", "", "", ResidueType::NON_POLYMER, false, "N-(1-oxo-1H-inden-5-yl)acetamide", 4419 },
	{ "3VY", "", "", ResidueType::NON_POLYMER, false, "(1-methyl-1H-indol-3-yl)acetic acid", 4420 },
	{ "3VZ", "", "", ResidueType::NON_POLYMER, false, "{6-(3,5-diaminophenyl)-1-[4-(propan-2-yl)benzyl]-1H-indol-3-yl}acetic acid", 4421 },
	{ "3W1", "", "", ResidueType::NON_POLYMER, false, "1-{4-[(4-chloro-1H-pyrazol-1-yl)methyl]phenyl}methanamine", 4422 },
	{ "3W2", "", "", ResidueType::NON_POLYMER, false, "2'-tert-butyl-1-(2H-indazol-5-ylcarbonyl)-2'H-spiro[piperidine-4,5'-pyrano[3,2-c]pyrazol]-7'(6'H)-one", 4423 },
	{ "3W3", "", "", ResidueType::NON_POLYMER, false, "4-(allyloxy)benzenesulfonamide", 4424 },
	{ "3W4", "", "", ResidueType::NON_POLYMER, false, "N-[(3R)-1,1-dioxidotetrahydro-2H-thiopyran-3-yl]-4-(4-{[(3S)-3-hydroxy-1-azabicyclo[2.2.2]oct-3-yl]ethynyl}phenoxy)benzamide", 4425 },
	{ "3W5", "", "", ResidueType::NON_POLYMER, false, "N-[(3S)-1,1-dioxidotetrahydro-2H-thiopyran-3-yl]-4-(4-{[(3S)-3-hydroxy-1-azabicyclo[2.2.2]oct-3-yl]ethynyl}phenoxy)benzamide", 4426 },
	{ "3W6", "", "", ResidueType::NON_POLYMER, false, "4-propoxybenzenesulfonamide", 4427 },
	{ "3W7", "", "", ResidueType::NON_POLYMER, false, "1'-(2H-indazol-5-ylcarbonyl)-1-(propan-2-yl)-1,4-dihydrospiro[indazole-5,4'-piperidin]-7(6H)-one", 4428 },
	{ "3W8", "", "", ResidueType::NON_POLYMER, false, "4-ethoxybenzenesulfonamide", 4429 },
	{ "3W9", "", "", ResidueType::NON_POLYMER, false, "4-(diethylamino)benzaldehyde", 4430 },
	{ "3WA", "", "", ResidueType::NON_POLYMER, false, "4-aminopyrido[2,3-d]pyrimidin-5(8H)-one", 4431 },
	{ "3WB", "", "", ResidueType::NON_POLYMER, false, "(10,12-dimethyldipyrido[3,2-a:2',3'-c]phenazine-kappa~2~N~4~,N~5~)[bis(pyrazino[2,3-f]quinoxaline-kappa~2~N~1~,N~10~)]ruthenium", 4432 },
	{ "3WC", "", "", ResidueType::NON_POLYMER, false, "4-METHYL-2-(PIPERAZIN-1-YL) QUINOLINE", 4433 },
	{ "3WD", "", "", ResidueType::PEPTIDE_LIKE, false, "", 4434 },
	{ "3WE", "", "", ResidueType::NON_POLYMER, false, "(2E,3aR,14aS)-9-bromo-2-imino-1,2,3,5,6,14a-hexahydro-4H,8H-imidazo[4',5':5,6]pyrrolo[1',2':4,5]pyrazino[1,2-a]indol-8-one", 4435 },
	{ "3WF", "", "", ResidueType::NON_POLYMER, false, "Ethinyl estradiol", 4436 },
	{ "3WG", "", "", ResidueType::NON_POLYMER, false, "Trans-nonachlor", 4437 },
	{ "3WH", "", "", ResidueType::NON_POLYMER, false, "N-ethyl-4-{[4-(1H-indol-3-yl)-5-iodopyrimidin-2-yl]amino}piperidine-1-carboxamide", 4438 },
	{ "3WJ", "", "", ResidueType::NON_POLYMER, false, "4-amino-8-(4-aminophenyl)pyrido[2,3-d]pyrimidin-5(8H)-one", 4439 },
	{ "3WK", "", "", ResidueType::NON_POLYMER, false, "4-[(4-aminophenyl)amino]pyrido[2,3-d]pyrimidin-5(6H)-one", 4440 },
	{ "3WL", "", "", ResidueType::NON_POLYMER, false, "5,6,7-trihydroxy-2-phenyl-4H-chromen-4-one", 4441 },
	{ "3WM", "", "", ResidueType::NON_POLYMER, false, "(1S,8E,1'R,8'Z)-1,1'-{[(2S)-3-hydroxypropane-1,2-diyl]bis(oxy)}bisoctadec-8-en-1-ol", 4442 },
	{ "3WN", "", "", ResidueType::NON_POLYMER, false, "4-[(3-aminophenyl)amino]pyrido[2,3-d]pyrimidin-5(8H)-one", 4443 },
	{ "3WO", "", "", ResidueType::NON_POLYMER, false, "4-[(3-aminophenyl)amino]pyrido[2,3-d]pyrimidin-5(6H)-one", 4444 },
	{ "3WP", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-(2,4-difluorophenyl)-4-methyl-5,6-dihydro-4H-1,3-thiazin-2-amine", 4445 },
	{ "3WQ", "", "", ResidueType::NON_POLYMER, false, "1-{1-[2-(methylsulfonyl)phenyl]-7-propoxyindolizin-3-yl}ethanone", 4446 },
	{ "3WR", "", "", ResidueType::NON_POLYMER, false, "1-[4-(4-amino-5-oxopyrido[2,3-d]pyrimidin-8(5H)-yl)phenyl]-3-[2-fluoro-5-(trifluoromethyl)phenyl]urea", 4447 },
	{ "3WS", "", "", ResidueType::PEPTIDE_LINKING, false, "N,2-dimethyl-L-alanine", 4448 },
	{ "3WT", "", "", ResidueType::PEPTIDE_LIKE, false, "(3R,4S,5S)-3-methoxy-5-methyl-4-(methylamino)heptanoic acid", 4449 },
	{ "3WU", "", "", ResidueType::PEPTIDE_LIKE, false, "(2R,3R)-3-methoxy-2-methyl-3-[(2S)-pyrrolidin-2-yl]propanoic acid", 4450 },
	{ "?", "", "", ResidueType::PEPTIDE_LIKE, false, "N,2-dimethyl-L-alanyl-N-[(3R,4S,5S)-1-{(2S)-2-[(1R,2R)-3-{[(1S)-1-carboxy-2-phenylethyl]amino}-1-methoxy-2-methyl-3-oxopropyl]pyrrolidin-1-yl}-3-methoxy-5-methyl-1-oxoheptan-4-yl]-N-methyl-L-valinamide", 4451 },
	{ "3WW", "", "", ResidueType::PEPTIDE_LIKE, false, "(1S)-2-phenyl-1-(1,3-thiazol-2-yl)ethanamine", 4452 },
	{ "3WX", "", "", ResidueType::PEPTIDE_LIKE, false, "2-methyl-L-proline", 4453 },
	{ "3WY", "", "", ResidueType::PEPTIDE_LIKE, false, "2-methyl-L-prolyl-N-[(3R,4S,5S)-1-{(2S)-2-[(1R,2R)-3-{[(1S)-1-carboxy-2-phenylethyl]amino}-1-methoxy-2-methyl-3-oxopropyl]pyrrolidin-1-yl}-3-methoxy-5-methyl-1-oxoheptan-4-yl]-N-methyl-L-valinamide", 4454 },
	{ "3WZ", "", "", ResidueType::PEPTIDE_LIKE, false, "2-methyl-L-alanyl-N-[(3R,4S,5S)-1-{(2S)-2-[(1R,2R)-3-{[(1S)-1-carboxy-2-phenylethyl]amino}-1-methoxy-2-methyl-3-oxopropyl]pyrrolidin-1-yl}-3-methoxy-5-methyl-1-oxoheptan-4-yl]-N-methyl-L-valinamide", 4455 },
	{ "3X0", "", "", ResidueType::NON_POLYMER, false, "(4R)-6-(4-chlorophenyl)-1,4-dimethyl-5,6-dihydro-4H-[1,2,4]triazolo[4,3-a][1,5]benzodiazepine", 4456 },
	{ "3X1", "", "", ResidueType::NON_POLYMER, false, "(2E)-dodec-2-enoic acid", 4457 },
	{ "3X2", "", "", ResidueType::NON_POLYMER, false, "2-[(E)-{2-[4-(2-chlorophenyl)-1,3-thiazol-2-yl]hydrazinylidene}methyl]benzoic acid", 4458 },
	{ "3X3", "", "", ResidueType::NON_POLYMER, false, "5-[2-(FURAN-2-YLMETHOXY)PHENYL]-2-PHENYLTETRAZOLE", 4459 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "N~6~-{N-[(1,3-dioxo-1,3-dihydro-2H-isoindol-2-yl)acetyl]-2-methyl-D-alanyl}-D-lysine", 4460 },
	{ "3X5", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-({[(3R,4aS,8aR)-2-(biphenyl-4-ylcarbonyl)decahydroisoquinolin-3-yl]methyl}amino)-3-(1H-imidazol-5-yl)propanal", 4461 },
	{ "3X6", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(3-chloro-5-{2-[2-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)ethoxy]phenoxy}phenyl)prop-2-enenitrile", 4462 },
	{ "3X7", "", "", ResidueType::NON_POLYMER, false, "3-[4-(piperidin-1-ylmethyl)phenyl]-9H-pyrrolo[2,3-b:5,4-c']dipyridine-6-carbonitrile", 4463 },
	{ "3X8", "", "", ResidueType::NON_POLYMER, false, "biphenyl-4-yl alpha-D-mannopyranoside", 4464 },
	{ "3X9", "", "", ResidueType::PEPTIDE_LINKING, false, "3-{[(1-hydroxy-2,2,5,5-tetramethyl-2,5-dihydro-1H-pyrrol-3-yl)methyl]disulfanyl}-L-alanine", 4465 },
	{ "3XA", "", "", ResidueType::NON_POLYMER, false, "6-{[(3S,4S)-4-(2-{[2,2-difluoro-2-(3-fluorophenyl)ethyl]amino}ethoxy)pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 4466 },
	{ "3XB", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,4R)-4-(2-{[2,2-difluoro-2-(3-fluorophenyl)ethyl]amino}ethoxy)pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 4467 },
	{ "3XC", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,4R)-4-(2-{[2,2-difluoro-2-(4-fluorophenyl)ethyl]amino}ethoxy)pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 4468 },
	{ "3XD", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,4R)-4-{2-[(2,2-difluoro-2-phenylethyl)amino]ethoxy}pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 4469 },
	{ "3XE", "", "", ResidueType::NON_POLYMER, false, "(4S,6S)-6-{[(3R,4R)-4-{2-[(2,2-difluoro-2-phenylethyl)amino]ethoxy}pyrrolidin-3-yl]methyl}-4-methyl-3,4,5,6-tetrahydropyridin-2-amine", 4470 },
	{ "3XF", "", "", ResidueType::NON_POLYMER, false, "6-({(3S,4S)-4-[2-({2,2-difluoro-2-[(2R)-piperidin-2-yl]ethyl}amino)ethoxy]pyrrolidin-3-yl}methyl)-4-methylpyridin-2-amine", 4471 },
	{ "3XG", "", "", ResidueType::NON_POLYMER, false, "ethyl ({4-oxo-3-[3-(pyrrolidin-1-yl)propyl]-3,4-dihydro[1]benzothieno[3,2-d]pyrimidin-2-yl}sulfanyl)acetate", 4472 },
	{ "3XH", "", "", ResidueType::PEPTIDE_LINKING, false, "3-Hydroxyhippuric acid", 4473 },
	{ "3XJ", "", "", ResidueType::NON_POLYMER, false, "4-{[3-chloro-4-(alpha-D-mannopyranosyloxy)phenyl]carbamoyl}benzoic acid", 4474 },
	{ "3XK", "", "", ResidueType::NON_POLYMER, false, "N-[3-(6-cyano-9H-pyrrolo[2,3-b:5,4-c']dipyridin-3-yl)phenyl]acetamide", 4475 },
	{ "3XL", "", "", ResidueType::NON_POLYMER, false, "3-(2-hydroxyphenyl)-9H-pyrrolo[2,3-b:5,4-c']dipyridine-6-carbonitrile", 4476 },
	{ "3XM", "", "", ResidueType::NON_POLYMER, false, "3-hexanoyl-4-hydroxy-5-(4-hydroxyphenyl)pyridin-2(1H)-one", 4477 },
	{ "3XN", "", "", ResidueType::NON_POLYMER, false, "4-(5-nitro-1H-indol-1-yl)phenyl alpha-D-mannopyranoside", 4478 },
	{ "3XO", "", "", ResidueType::NON_POLYMER, false, "2-chloro-4-{[2-(4-methylpiperazin-1-yl)-3,4-dioxocyclobut-1-en-1-yl]amino}phenyl alpha-D-mannopyranoside", 4479 },
	{ "3XQ", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,3-dihydroxypropyl octadecanoate", 4480 },
	{ "3XR", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4S,5S)-2-(acetylamino)-5-carboxy-3,4-dihydroxypiperidinium", 4481 },
	{ "3XS", "", "", ResidueType::NON_POLYMER, false, "2-[(E)-{2-[4-(3-methoxyphenyl)-1,3-thiazol-2-yl]hydrazinylidene}methyl]benzoic acid", 4482 },
	{ "3XT", "", "", ResidueType::NON_POLYMER, false, "4-amino-3-fluoro-N-(1-{[(2Z)-2-iminoethyl]carbamoyl}cyclohexyl)benzamide", 4483 },
	{ "3XU", "", "", ResidueType::NON_POLYMER, false, "(4S,7S,23Z)-4-hydroxy-7-[(1S,2Z)-1-hydroxyhexadec-2-en-1-yl]-N,N,N-trimethyl-9-oxo-3,5-dioxa-8-aza-4-phosphadotriacont-23-en-1-aminium 4-oxide", 4484 },
	{ "3XV", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-3-(3,4-dihydroisoquinolin-2(1H)-yl)-2-hydroxypropyl]-6-(oxetan-3-ylamino)pyrimidine-4-carboxamide", 4485 },
	{ "3XW", "", "", ResidueType::NON_POLYMER, false, "4-methyl-1-(1H-pyrazol-4-ylmethyl)-5-[(4-{[6-(2,2,2-trifluoroethyl)thieno[2,3-d]pyrimidin-4-yl]amino}piperidin-1-yl)methyl]-1H-indole-2-carbonitrile", 4486 },
	{ "3XX", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-ethylidene-4-hydroxy-5-methylfuran-3(2H)-one", 4487 },
	{ "3XY", "", "", ResidueType::NON_POLYMER, false, "5-[(4-{[6-(2,2,2-trifluoroethyl)thieno[2,3-d]pyrimidin-4-yl]amino}piperidin-1-yl)methyl]-1H-indole-2-carbonitrile", 4488 },
	{ "3XZ", "", "", ResidueType::NON_POLYMER, false, "bis{[(2R,3S,5R)-5-(6-amino-9H-purin-9-yl)-3-hydroxytetrahydrofuran-2-yl]methyl} hydrogen phosphate", 4489 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "[[(2R,3S,4R,5R)-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methoxy-oxidanyl-phosphoryl] [(2R,3R,4R,5R)-3-oxidanyl-5-sulfanyl-4-tridecoxy-oxolan-2-yl]methyl hydrogen phosphate", 4490 },
	{ "3Y1", "", "", ResidueType::NON_POLYMER, false, "2-amino-4-bromo-N-{1-[(cyanomethyl)carbamoyl]cyclohexyl}benzamide", 4491 },
	{ "3Y2", "", "", ResidueType::NON_POLYMER, false, "2-amino-4-chloro-N-(1-{[(2E)-2-iminoethyl]carbamoyl}cyclohexyl)benzamide", 4492 },
	{ "3Y3", "", "", ResidueType::NON_POLYMER, false, "1-{(1S)-1-[4-(3-amino-1H-indazol-6-yl)-5-chloro-1H-imidazol-2-yl]-2-phenylethyl}-3-[2-(aminomethyl)-5-chlorobenzyl]urea", 4493 },
	{ "3Y4", "", "", ResidueType::NON_POLYMER, false, "methyl (4-{4-chloro-2-[(1S)-1-({3-[5-chloro-2-(1H-tetrazol-1-yl)phenyl]propanoyl}amino)-2-phenylethyl]-1H-imidazol-5-yl}phenyl)carbamate", 4494 },
	{ "3Y5", "", "", ResidueType::NON_POLYMER, false, "1-{(1S)-1-[4-(3-amino-1H-indazol-6-yl)-5-chloro-1H-imidazol-2-yl]-2-phenylethyl}-3-[5-chloro-2-(1H-tetrazol-1-yl)benzyl]urea", 4495 },
	{ "3Y6", "", "", ResidueType::NON_POLYMER, false, "3-[(2R)-2-(dihydroxyboranyl)-2-{[(2R)-2-{[(4-ethyl-2,3-dioxo-3,4-dihydropyrazin-1(2H)-yl)carbonyl]amino}-2-(4-hydroxyphenyl)acetyl]amino}ethyl]benzoic acid", 4496 },
	{ "3Y7", "", "", ResidueType::NON_POLYMER, false, "7-(morpholin-4-yl)-2,1,3-benzoxadiazol-4-amine", 4497 },
	{ "3Y8", "", "", ResidueType::NON_POLYMER, false, "", 4498 },
	{ "3Y9", "", "", ResidueType::NON_POLYMER, false, "N-{4-[4-(2-amino-4-oxo-4,7-dihydro-3H-pyrrolo[2,3-d]pyrimidin-6-yl)butyl]benzoyl}-L-glutamic acid", 4499 },
	{ "3YA", "", "", ResidueType::NON_POLYMER, false, "N-{4-[4-(2-amino-4-oxo-1,4-dihydrothieno[2,3-d]pyrimidin-6-yl)butyl]benzoyl}-L-glutamic acid", 4500 },
	{ "3YB", "", "", ResidueType::NON_POLYMER, false, "N-({4-[4-(2-amino-4-oxo-4,7-dihydro-3H-pyrrolo[2,3-d]pyrimidin-6-yl)butyl]thiophen-2-yl}carbonyl)-L-glutamic acid", 4501 },
	{ "3YC", "", "", ResidueType::NON_POLYMER, false, "(S)-2-({5-[4-(2-Amino-4-oxo-4,7-dihydro-3H-pyrrolo[2,3-d]-pyrimidin-6-yl)butyl]thiophene-3-carbonyl}amino)pentanedioic acid", 4502 },
	{ "3YD", "", "", ResidueType::NON_POLYMER, false, "(S)-2-(7-(2-Amino-4-oxo-4,7-dihydro-3H-pyrrolo[2,3-d]pyrimidin-6-yl)heptanamido)pentanedioic acid", 4503 },
	{ "3YE", "", "", ResidueType::NON_POLYMER, false, "(S)-2-(8-(2-Amino-4-oxo-4,7-dihydro-3H-pyrrolo[2,3-d]pyrimidin-6-yl)octanamido)pentanedioic acid", 4504 },
	{ "3YF", "", "", ResidueType::NON_POLYMER, false, "(S)-2-({4-[3-(2-Amino-4-oxo-4,7-dihydro-3H-pyrrolo[2,3-d]pyrimidin-6-yl)-propyl]-thiophene-2-carbonyl}-amino)-pentanedioic acid", 4505 },
	{ "3YG", "", "", ResidueType::NON_POLYMER, false, "(S)-2-({5-[3-(2-Amino-4-oxo-4,7-dihydro-3H-pyrrolo[2,3-d]pyrimidin-6-yl)-propyl]-thiophene-3-carbonyl}-amino)-pentanedioic acid", 4506 },
	{ "3YH", "", "", ResidueType::NON_POLYMER, false, "3-(3-carbamimidoylphenyl)-N-(2'-sulfamoylbiphenyl-4-yl)-1,2-oxazole-4-carboxamide", 4507 },
	{ "3YM", "", "", ResidueType::PEPTIDE_LINKING, false, "3-methoxy-L-tyrosine", 4508 },
	{ "3YN", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,5R)-3-hydroxy-5-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)tetrahydrofuran-2-yl]methyl (2R,4R,6R)-4-hydroxy-6-methyl-5-oxotetrahydro-2H-pyran-2-yl dihydrogen diphosphate", 4509 },
	{ "3YO", "", "", ResidueType::NON_POLYMER, false, "N-(6-fluoro-2-methyl-3-{5-[(5-methyl-4,5,6,7-tetrahydropyrazolo[1,5-a]pyrazin-2-yl)amino]-6-oxo-1,6-dihydropyridazin-3-yl}phenyl)-1-benzothiophene-2-carboxamide", 4510 },
	{ "3YP", "", "", ResidueType::NON_POLYMER, false, "3-CYCLOPENTYL-N-HYDROXYPROPANAMIDE", 4511 },
	{ "3YQ", "", "", ResidueType::NON_POLYMER, false, "{[(3-methylpyridin-2-yl)amino]methanediyl}bis(phosphonic acid)", 4512 },
	{ "3YR", "", "", ResidueType::NON_POLYMER, false, "2-(2,6-difluorophenyl)-N-{4-[(3S)-pyrrolidin-3-yloxy]pyridin-3-yl}-1,3-thiazole-4-carboxamide", 4513 },
	{ "3YS", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(4aS,7aS)-2-amino-4a,5-dihydro-4H-furo[3,4-d][1,3]thiazin-7a(7H)-yl]-4-fluorophenyl}-5-fluoropyridine-2-carboxamide", 4514 },
	{ "3YT", "", "", ResidueType::NON_POLYMER, false, "2-{[(1R,2S)-2-aminocyclohexyl]amino}-4-{[3-(2H-1,2,3-triazol-2-yl)phenyl]amino}pyrimidine-5-carboxamide", 4515 },
	{ "3YU", "", "", ResidueType::NON_POLYMER, false, "(2E)-N-{(1S)-1-[4-(3-amino-1H-indazol-6-yl)-1H-imidazol-2-yl]-2-phenylethyl}-3-[5-chloro-2-(1H-tetrazol-1-yl)phenyl]prop-2-enamide", 4516 },
	{ "3YV", "", "", ResidueType::NON_POLYMER, false, "3-{[(1R,2S)-2-aminocyclohexyl]amino}-5-{[3-(2H-1,2,3-triazol-2-yl)phenyl]amino}-1,2,4-triazine-6-carboxamide", 4517 },
	{ "3YW", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,3-dihydroxypropyl 2-(acetylamino)-2-deoxy-alpha-D-glucopyranoside", 4518 },
	{ "3YX", "", "", ResidueType::NON_POLYMER, false, "3-{[(1R,2S)-2-aminocyclohexyl]amino}-5-(1H-indol-7-ylamino)-1,2,4-triazine-6-carboxamide", 4519 },
	{ "3YY", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-[3-(4-fluorophenyl)-1-phenyl-1H-pyrazol-4-yl]imidazolidine-2,4-dione", 4520 },
	{ "3YZ", "", "", ResidueType::NON_POLYMER, false, "[(3S,4R)-3-amino-4-hydroxypiperidin-1-yl]{2-[1-(cyclopropylmethyl)-1H-pyrrolo[2,3-b]pyridin-2-yl]-7-methoxy-1-methyl-1H-benzimidazol-5-yl}methanone", 4521 },
	{ "3Z0", "", "", ResidueType::NON_POLYMER, false, "[(3R)-3-aminopiperidin-1-yl][2-(1-ethyl-1H-pyrrolo[2,3-b]pyridin-2-yl)-7-methoxy-1-methyl-1H-benzimidazol-5-yl]methanone", 4522 },
	{ "3Z1", "", "", ResidueType::NON_POLYMER, false, "2-amino-N-[4-methoxy-3-(trifluoromethyl)phenyl]-4-methyl-3-[2-(methylamino)quinazolin-6-yl]benzamide", 4523 },
	{ "3Z2", "", "", ResidueType::NON_POLYMER, false, "N-{5-[(6,7-dimethoxyquinolin-4-yl)oxy]pyridin-2-yl}-1-methyl-3-oxo-2-phenyl-5-(pyridin-4-yl)-2,3-dihydro-1H-pyrazole-4-carboxamide", 4524 },
	{ "3Z3", "", "", ResidueType::NON_POLYMER, false, "4-{2-amino-3-[5-fluoro-2-(methylamino)quinazolin-6-yl]-4-methylbenzoyl}-1-methyl-2,5-diphenyl-1,2-dihydro-3H-pyrazol-3-one", 4525 },
	{ "3Z4", "", "", ResidueType::NON_POLYMER, false, "4-{2-amino-4-methyl-3-[2-(methylamino)-1,3-benzothiazol-6-yl]benzoyl}-1-methyl-2,5-diphenyl-1,2-dihydro-3H-pyrazol-3-one", 4526 },
	{ "3Z5", "", "", ResidueType::NON_POLYMER, false, "4-[2-amino-4-methyl-3-(2-methylquinolin-6-yl)benzoyl]-1-methyl-2,5-diphenyl-1,2-dihydro-3H-pyrazol-3-one", 4527 },
	{ "3Z6", "", "", ResidueType::NON_POLYMER, false, "1-[5-(4-amino-2,7-dimethyl-7H-pyrrolo[2,3-d]pyrimidin-5-yl)-2,3-dihydro-1H-indol-1-yl]-2-[3-fluoro-5-(trifluoromethyl)phenyl]ethanone", 4528 },
	{ "3Z7", "", "", ResidueType::NON_POLYMER, false, "4-bromo-2-methoxyphenol", 4529 },
	{ "3Z8", "", "", ResidueType::NON_POLYMER, false, "7-chloro-3,4-dihydroisoquinolin-1(2H)-one", 4530 },
	{ "3Z9", "", "", ResidueType::NON_POLYMER, false, "methyl {3-[(2R)-1-{(2R)-2-(3,4-dimethoxyphenyl)-2-[(1-oxo-1,2,3,4-tetrahydroisoquinolin-7-yl)amino]acetyl}pyrrolidin-2-yl]-4-(propan-2-ylsulfonyl)phenyl}carbamate", 4531 },
	{ "3ZA", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-{3-[hydroxy(methyl)amino]-3-oxopropyl}-L-glutamic acid", 4532 },
	{ "3ZB", "", "", ResidueType::NON_POLYMER, false, "5-chloro-1H-indole-2-carboxylic acid", 4533 },
	{ "3ZC", "", "", ResidueType::NON_POLYMER, false, "6-({7-[(1-aminocyclopropyl)methoxy]-6-methoxyquinolin-4-yl}oxy)-N-methylnaphthalene-1-carboxamide", 4534 },
	{ "3ZD", "", "", ResidueType::NON_POLYMER, false, "(2R)-N-[(2S)-1-[(4-carbamimidoylphenyl)methylamino]-1-oxidanylidene-propan-2-yl]-3-phenyl-2-[(phenylmethyl)sulfonylamino]propanamide", 4535 },
	{ "3ZE", "", "", ResidueType::NON_POLYMER, false, "{2-[(3S,4R)-3-(2-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)-4-hydroxypyrrolidin-1-yl]-2-oxoethyl}phosphonic acid", 4536 },
	{ "3ZF", "", "", ResidueType::NON_POLYMER, false, "{2-[(3S)-3-(2-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)pyrrolidin-1-yl]-2-oxoethyl}phosphonic acid", 4537 },
	{ "3ZG", "", "", ResidueType::NON_POLYMER, false, "1-isoquinolin-6-yl-3-[2-oxo-2-(pyrrolidin-1-yl)ethyl]urea", 4538 },
	{ "3ZH", "", "", ResidueType::PEPTIDE_LINKING, false, "11-{4-[(2S)-2-amino-2-carboxyethyl]-3-(8-phenyloctyl)-2,3-dihydro-1H-imidazol-1-yl}undecanoic acid", 4539 },
	{ "3ZJ", "", "", ResidueType::NON_POLYMER, false, "N-({(3S,4S)-4-[(benzylsulfonyl)amino]pyrrolidin-3-yl}methyl)-4-methoxy-3-(3-methoxypropoxy)-N-(propan-2-yl)benzamide", 4540 },
	{ "3ZK", "", "", ResidueType::NON_POLYMER, false, "4-methoxy-3-(3-methoxypropoxy)-N-{[(3S,4S)-4-{[(4-methylphenyl)sulfonyl]amino}pyrrolidin-3-yl]methyl}-N-(propan-2-yl)benzamide", 4541 },
	{ "3ZL", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-[(1Z)-4-amino-3-oxopenta-1,4-dien-1-yl]-L-lysine", 4542 },
	{ "3ZM", "", "", ResidueType::NON_POLYMER, false, "5-(4-chlorophenyl)-N-{(S)-[5-(hydroxymethyl)-4-methyl-1,3-thiazol-2-yl][(2R)-piperidin-2-yl]methyl}-1H-pyrrole-2-carboxamide", 4543 },
	{ "3ZN", "", "", ResidueType::NON_POLYMER, false, "(3S,4S)-4-({[4-methoxy-3-(3-methoxypropoxy)benzoyl](propan-2-yl)amino}methyl)pyrrolidin-3-yl benzylcarbamate", 4544 },
	{ "3ZO", "", "", ResidueType::DNA_LINKING, false, "2'-DEOXY-XANTHOSINE-5'-MONOPHOSPHATE", 4545 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "", 4546 },
	{ "3ZQ", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-cyclohexane-1,2-diol", 4547 },
	{ "3ZR", "", "", ResidueType::NON_POLYMER, false, "diethyl [(1R,2S)-2-[(N-{[(3-chlorobenzyl)oxy]carbonyl}-3-cyclohexyl-L-alanyl)amino]-1-hydroxy-3-(2-oxo-2H-pyrrol-3-yl)propyl]phosphonate", 4548 },
	{ "3ZS", "", "", ResidueType::NON_POLYMER, false, "(1R,5S)-6-oxabicyclo[3.1.0]hexane", 4549 },
	{ "3ZU", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(4-aminophenyl)-1-hydroxy-5-methoxy-1,2-dihydro-3H-indol-3-one", 4550 },
	{ "3ZV", "", "", ResidueType::NON_POLYMER, false, "5-methoxy-2-(4-methoxyphenyl)-3H-indol-3-one", 4551 },
	{ "3ZW", "", "", ResidueType::SACCHARIDE, false, "2-(acetylamino)-2-deoxy-4-O-beta-D-galactofuranosyl-alpha-D-glucopyranose", 4552 },
	{ "3ZZ", "", "", ResidueType::NON_POLYMER, false, "PROTOPORPHYRIN IX CONTAINING INDIUM", 4553 },
	{ "400", "", "", ResidueType::NON_POLYMER, false, "3-({[4-(4-METHYLPIPERAZIN-1-YL)PHENYL]CARBONYL}AMINO)-N-[(1R)-1-PHENYLPROPYL]-1H-THIENO[3,2-C]PYRAZOLE-5-CARBOXAMIDE", 4554 },
	{ "401", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{3-[({[2-fluoro-4-(trifluoromethyl)phenyl]carbonyl}amino)methyl]-4-methoxybenzyl}butanoic acid", 4555 },
	{ "402", "", "", ResidueType::NON_POLYMER, false, "dicarbonyl[bis(cyanide-kappaC)]-mu-(iminodimethanethiolatato-1kappaS:2kappaS)-mu-(oxomethylidene)diiron(2+)", 4556 },
	{ "403", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-4-[4-(2-chlorophenyl)piperazin-1-yl]-2,3-dihydroxy-4-oxo-N-(2-thiophen-2-ylethyl)butanamide", 4557 },
	{ "404", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-{[7-(benzylamino)-3-(propan-2-yl)-1H-pyrazolo[4,3-d]pyrimidin-5-yl]amino}butan-1-ol", 4558 },
	{ "405", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-phenyl-3-[4-(trifluoromethyl)phenoxy]propan-1-amine", 4559 },
	{ "406", "", "", ResidueType::NON_POLYMER, false, "N-[3-(4,5'-BIPYRIMIDIN-2-YLAMINO)-4-METHYLPHENYL]-4-{[(3S)-3-(DIMETHYLAMINO)PYRROLIDIN-1-YL]METHYL}-3-(TRIFLUOROMETHYL)BENZAMIDE", 4560 },
	{ "407", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(4-fluoro-3-methylphenyl)sulfonyl]-N-hydroxy-D-alaninamide", 4561 },
	{ "408", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-phenyl-3-[4-(trifluoromethyl)phenoxy]propan-1-amine", 4562 },
	{ "409", "", "", ResidueType::NON_POLYMER, false, "N-{[3-(4-aminoquinazolin-7-yl)phenyl]sulfonyl}-L-threoninamide", 4563 },
	{ "40A", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S)-2-aminopropyl]-N-[(6-amino-9H-purin-9-yl)acetyl]glycine", 4564 },
	{ "40B", "", "", ResidueType::NON_POLYMER, false, "", 4565 },
	{ "40C", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(4-amino-2-oxopyrimidin-1(2H)-yl)acetyl]-N-[(2S)-2-aminopropyl]glycine", 4566 },
	{ "40D", "", "", ResidueType::NON_POLYMER, false, "3-[2-bromanyl-4-(trifluoromethyl)phenoxy]-N-methyl-3-phenyl-propan-1-amine", 4567 },
	{ "40E", "", "", ResidueType::NON_POLYMER, false, "oxo(propan-2-ylamino)acetic acid", 4568 },
	{ "40F", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,5R,6S)-2-aminobicyclo[3.1.0]hexane-2,6-dicarboxylic acid", 4569 },
	{ "40G", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)acetyl]-N-[(2S)-2-aminopropyl]glycine", 4570 },
	{ "40H", "", "", ResidueType::NON_POLYMER, false, "", 4571 },
	{ "40J", "", "", ResidueType::NON_POLYMER, false, "1,6-dichloro-1,6-dideoxy-beta-D-fructofuranosyl 4-chloro-4-deoxy-alpha-D-galactopyranoside", 4572 },
	{ "40K", "", "", ResidueType::NON_POLYMER, false, "[(7S)-6-(4-chlorophenyl)-3-(thiophen-2-yl)-7H-[1,2,4]triazolo[3,4-b][1,3,4]thiadiazin-7-yl]acetic acid", 4573 },
	{ "40L", "", "", ResidueType::NON_POLYMER, false, "5-fluoro-3-phenyl-2-[(1S)-1-(7H-purin-6-ylamino)propyl]quinazolin-4(3H)-one", 4574 },
	{ "40M", "", "", ResidueType::NON_POLYMER, false, "N-(2-{[6-(2,6-dichloro-3,5-dimethoxyphenyl)quinazolin-2-yl]amino}-3-methylphenyl)prop-2-enamide", 4575 },
	{ "40N", "", "", ResidueType::NON_POLYMER, false, "6-(2-fluorophenyl)[1,3]dioxolo[4,5-g]quinolin-8(5H)-one", 4576 },
	{ "40O", "", "", ResidueType::NON_POLYMER, false, "(1R,2R)-cyclohexane-1,2-diol", 4577 },
	{ "40P", "", "", ResidueType::NON_POLYMER, false, "Pinnatoxin A", 4578 },
	{ "40Q", "", "", ResidueType::NON_POLYMER, false, "4-({[(6S)-2-amino-4-oxo-3,4,5,6,7,8-hexahydropteridin-6-yl]methyl}amino)benzoic acid", 4579 },
	{ "40R", "", "", ResidueType::NON_POLYMER, false, "1-butyl-1H-1,2,4-triazole", 4580 },
	{ "40S", "", "", ResidueType::NON_POLYMER, false, "3-methylpentane-1,5-diol", 4581 },
	{ "40T", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S)-2-aminopropyl]-N-[(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)acetyl]glycine", 4582 },
	{ "40U", "", "", ResidueType::NON_POLYMER, false, "N-{(2R)-1-[(4S)-4-(4-chlorophenyl)-4-hydroxy-3,3-dimethylpiperidin-1-yl]-3-methyl-1-oxobutan-2-yl}-2-cyclopropylacetamide", 4583 },
	{ "40V", "", "", ResidueType::NON_POLYMER, false, "N-{[(3R)-1-(2,3-dihydro-1H-inden-2-yl)piperidin-3-yl]methyl}-8-hydroxy-N-(2-methoxyethyl)-5-nitroquinoline-7-carboxamide", 4584 },
	{ "40W", "", "", ResidueType::NON_POLYMER, false, "4-(3,6,6-trimethyl-4-oxo-4,5,6,7-tetrahydro-1H-indol-1-yl)benzamide", 4585 },
	{ "40X", "", "", ResidueType::NON_POLYMER, false, "(6S)-2-chloro-8,11,11-trimethyl-9-oxo-6-propyl-6,7,9,10,11,12-hexahydroindolo[2,1-d][1,5]benzoxazepine-3-carboxamide", 4586 },
	{ "40Y", "", "", ResidueType::NON_POLYMER, false, "8,11,11-trimethyl-9-oxo-6,7,9,10,11,12-hexahydroindolo[2,1-d][1,5]benzoxazepine-3-carboxamide", 4587 },
	{ "40Z", "", "", ResidueType::NON_POLYMER, false, "2-chloro-5-(furan-2-ylmethyl)-8,11,11-trimethyl-9-oxo-6,7,9,10,11,12-hexahydro-5H-indolo[1,2-a][1,5]benzodiazepine-3-carboxamide", 4588 },
	{ "410", "", "", ResidueType::NON_POLYMER, false, "4-bromo-3-(carboxymethoxy)-5-{3-[cyclohexyl(phenylcarbonyl)amino]phenyl}thiophene-2-carboxylic acid", 4589 },
	{ "411", "", "", ResidueType::NON_POLYMER, false, "3-bromo-N-[4-[1-(2-carbamimidamido-2-oxo-ethyl)-5-phenyl-pyrrol-2-yl]phenyl]benzamide", 4590 },
	{ "412", "", "", ResidueType::NON_POLYMER, false, "(R)-1-(4-(4-(HYDROXYMETHYL)-1,3,2-DIOXABOROLAN-2-YL)PHENETHYL)GUANIDINE", 4591 },
	{ "413", "", "", ResidueType::NON_POLYMER, false, "(S)-[(R)-2-(4-BENZYLOXY-3-METHOXY-PHENYL)-2-(4-CARBAMIMIDOYL-PHENYLAMINO)-ACETYLAMINO]-PHENYL-ACETIC ACID", 4592 },
	{ "414", "", "", ResidueType::NON_POLYMER, false, "(5R,6R,8S)-8-(3-{[AMINO(IMINO)METHYL]AMINO}PHENYL)-5-CYCLOHEXYL-6-HYDROXY-3-OXO-1-PHENYL-2,7-DIOXA-4-AZA-6-PHOSPHANONAN-9-OIC ACID 6-OXIDE", 4593 },
	{ "415", "", "", ResidueType::NON_POLYMER, false, "1-{3-[(3-chloro-5-methoxybenzyl)amino]propyl}-3-phenylurea", 4594 },
	{ "416", "", "", ResidueType::NON_POLYMER, false, "(2S)-7-tert-butyl-6-chloro-2-(trifluoromethyl)-2H-chromene-3-carboxylic acid", 4595 },
	{ "417", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,5S)-5-[3-(TRIFLUOROMETHYL)-5,6-DIHYDRO[1,2,4]TRIAZOLO[4,3-A]PYRAZIN-7(8H)-YL]-2-(2,4,5-TRIFLUOROPHENYL)CYCLOHEXANAMINE", 4596 },
	{ "418", "", "", ResidueType::NON_POLYMER, false, "2-{4-[2-(S)-ALLYLOXYCARBONYLAMINO-3-{4-[(2-CARBOXY-PHENYL)-OXALYL-AMINO]-PHENYL}-PROPIONYLAMINO]-BUTOXY}-6-HYDROXY-BENZOIC ACID METHYL ESTER", 4597 },
	{ "419", "", "", ResidueType::NON_POLYMER, false, "N-[(3aR,6S,6aS)-1-(N-methyl-L-alanyl-3-methyl-L-valyl)octahydrocyclopenta[b]pyrrol-6-yl]-2,2-diphenylacetamide", 4598 },
	{ "41A", "", "", ResidueType::NON_POLYMER, false, "5,5-dimethyl-2-morpholin-4-yl-5,6-dihydro-1,3-benzothiazol-7(4H)-one", 4599 },
	{ "41B", "", "", ResidueType::NON_POLYMER, false, "1-[(1S)-1-(4-chloro-3-fluorophenyl)-2-hydroxyethyl]-4-[2-(tetrahydro-2H-pyran-4-ylamino)pyrimidin-4-yl]pyridin-2(1H)-one", 4600 },
	{ "41D", "", "", ResidueType::NON_POLYMER, false, "3-[2-(2-hydroxyethyl)pyridinium-1-yl]propane-1-sulfonate", 4601 },
	{ "41E", "", "", ResidueType::NON_POLYMER, false, "3-{1-[(5-acetylthiophen-2-yl)carbonyl]piperidin-4-yl}-N-(3-methoxyphenyl)propanamide", 4602 },
	{ "41F", "", "", ResidueType::NON_POLYMER, false, "N-(1,2,3-benzothiadiazol-5-yl)-4-phenylpiperazine-1-carboxamide", 4603 },
	{ "41G", "", "", ResidueType::NON_POLYMER, false, "5-[2-(2-azanyl-7-methyl-6-oxidanylidene-1H-purin-9-ium-9-yl)ethanoyl]-2-oxidanyl-benzoic acid", 4604 },
	{ "41H", "", "", ResidueType::PEPTIDE_LINKING, false, "(betaS)-beta-methyl-L-phenylalanine", 4605 },
	{ "41I", "", "", ResidueType::NON_POLYMER, false, "4-(4-chlorophenoxy)-6-oxo-1-phenyl-1,6-dihydropyridazine-3-carboxamide", 4606 },
	{ "41J", "", "", ResidueType::NON_POLYMER, false, "Pinnatoxin G", 4607 },
	{ "41K", "", "", ResidueType::NON_POLYMER, false, "(2R,4R)-2-methyl-1,3-thiazolidine-2,4-dicarboxylic acid", 4608 },
	{ "41L", "", "", ResidueType::NON_POLYMER, false, "N-(1H-benzimidazol-1-yl)-2-phenylacetamide", 4609 },
	{ "41M", "", "", ResidueType::NON_POLYMER, false, "N~6~-{5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoyl}-L-lysinamide", 4610 },
	{ "41N", "", "", ResidueType::NON_POLYMER, false, "1-{4-[4-(1,3-benzodioxol-5-ylcarbonyl)piperazin-1-yl]phenyl}ethanone", 4611 },
	{ "41O", "", "", ResidueType::NON_POLYMER, false, "5-[4-(3-chlorobenzoyl)piperazin-1-yl]-1H-inden-1-one", 4612 },
	{ "41P", "", "", ResidueType::NON_POLYMER, false, "2,2'-(naphthalene-1,4-diylbis(((4-methoxyphenyl)sulfonyl)azanediyl))diacetamide", 4613 },
	{ "41Q", "", "", ResidueType::PEPTIDE_LINKING, false, "4-imino-L-homoserine", 4614 },
	{ "41R", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(4-fluoro-3-methylphenyl)sulfonyl]-N-hydroxy-N~2~-(2-methylpropyl)-D-valinamide", 4615 },
	{ "41S", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(4-fluoro-3-methoxyphenyl)sulfonyl]-N-hydroxy-N~2~-(2-methylpropyl)-D-valinamide", 4616 },
	{ "41T", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-N~2~-{[3-(methoxymethyl)phenyl]sulfonyl}-N~2~-(2-methylpropyl)-D-valinamide", 4617 },
	{ "41U", "", "", ResidueType::NON_POLYMER, false, "nisoxetine", 4618 },
	{ "41V", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,7Z,14beta,17alpha)-17-[(2R)-6-hydroxy-6-methylheptan-2-yl]-9,10-secoestra-5,7-diene-1,3-diol", 4619 },
	{ "41W", "", "", ResidueType::NON_POLYMER, false, "(1R,3R)-5-[(2Z)-2-[(1R,3aS,7aR)-7a-methyl-1-[(2R)-6-methyl-6-oxidanyl-heptan-2-yl]-2,3,3a,5,6,7-hexahydro-1H-inden-4-ylidene]ethylidene]cyclohexane-1,3-diol", 4620 },
	{ "41X", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(R)-(2-ethoxyphenoxy)(phenyl)methyl]morpholine", 4621 },
	{ "41Z", "", "", ResidueType::NON_POLYMER, false, "4-[(2,6-dimethylbenzyl)amino]-2-methylquinoline-8-carboxamide", 4622 },
	{ "420", "", "", ResidueType::NON_POLYMER, false, "N-[2-({[5-(DIMETHYLAMINO)NAPHTHALEN-1-YL]SULFONYL}AMINO)ETHYL]-2-IODOACETAMIDE", 4623 },
	{ "421", "", "", ResidueType::NON_POLYMER, false, "6-CARBAMIMIDOYL-4-(3-HYDROXY-2-METHYL-BENZOYLAMINO)-NAPHTHALENE-2-CARBOXYLIC ACID METHYL ESTER", 4624 },
	{ "422", "", "", ResidueType::NON_POLYMER, false, "3-(5-{[4-(AMINOMETHYL)PIPERIDIN-1-YL]METHYL}-1H-INDOL-2-YL)-1H-INDAZOLE-6-CARBONITRILE", 4625 },
	{ "423", "", "", ResidueType::NON_POLYMER, false, "", 4626 },
	{ "424", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-1-[1-(4-chlorophenyl)cyclopropyl]carbonyl-4-(2-chlorophenyl)sulfonyl-N-[1-(iminomethyl)cyclopropyl]pyrrolidine-2-carboxamide", 4627 },
	{ "425", "", "", ResidueType::NON_POLYMER, false, "", 4628 },
	{ "426", "", "", ResidueType::NON_POLYMER, false, "6-[(Z)-AMINO(IMINO)METHYL]-N-[3-(CYCLOPENTYLOXY)PHENYL]-2-NAPHTHAMIDE", 4629 },
	{ "427", "", "", ResidueType::NON_POLYMER, false, "(R)-1-(4-(4-(HYDROXYMETHYL)-1,3,2-DIOXABOROLAN-2-YL)PHENYL)GUANIDINE", 4630 },
	{ "428", "", "", ResidueType::NON_POLYMER, false, "2-(1-methylethyl)imidazo[1,2-b]pyridazin-6-ol", 4631 },
	{ "429", "", "", ResidueType::NON_POLYMER, false, "2-{4-[2-ACETYLAMINO-3-(4-CARBOXYMETHOXY-3-HYDROXY-PHENYL)-PROPIONYLAMINO]-BUTOXY}-6-HYDROXY-BENZOIC ACID METHYL ESTER", 4632 },
	{ "42A", "", "", ResidueType::NON_POLYMER, false, "1H-pyrrolo[2,3-b]pyridine-3-carbonitrile", 4633 },
	{ "42B", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-2-HYDROXYBUTANOIC ACID", 4634 },
	{ "42C", "", "", ResidueType::NON_POLYMER, false, "N,N-dimethyl-7H-purin-6-amine", 4635 },
	{ "42D", "", "", ResidueType::NON_POLYMER, false, "3,5-dideoxy-5-[(methoxycarbonyl)amino]-D-glycero-alpha-D-galacto-non-2-ulopyranosonic acid", 4636 },
	{ "42E", "", "", ResidueType::NON_POLYMER, false, "[(2R,5S)-5-(4-amino-2-oxopyrimidin-1(2H)-yl)-1,3-oxathiolan-2-yl]methyl dihydrogen phosphate", 4637 },
	{ "42F", "", "", ResidueType::NON_POLYMER, false, "methyl (1R,2S,3S,5S)-3-(4-iodophenyl)-8-methyl-8-azabicyclo[3.2.1]octane-2-carboxylate", 4638 },
	{ "42H", "", "", ResidueType::NON_POLYMER, false, "(4R,7R,18Z)-4,7-dihydroxy-N,N,N-trimethyl-10-oxo-3,5,9-trioxa-4-phosphaheptacos-18-en-1-aminium 4-oxide", 4639 },
	{ "42J", "", "", ResidueType::NON_POLYMER, false, "2-(3,4-dichlorophenyl)ethanamine", 4640 },
	{ "42K", "", "", ResidueType::NON_POLYMER, false, "4-[(2Z)-2-(7-oxidanylidene-3,6-dihydropyrrolo[3,2-e]benzotriazol-8-ylidene)hydrazinyl]benzenesulfonamide", 4641 },
	{ "42L", "", "", ResidueType::NON_POLYMER, false, "methyl (1R,2S,3S,5S)-3-(4-fluorophenyl)-8-methyl-8-azabicyclo[3.2.1]octane-2-carboxylate", 4642 },
	{ "42M", "", "", ResidueType::NON_POLYMER, false, "{4-[4-(hydroxymethyl)-2-methoxyphenoxy]benzene-1,3-diyl}bis[hydroxy(oxo)ammonium]", 4643 },
	{ "42O", "", "", ResidueType::NON_POLYMER, false, "(3~{R})-8-cyclopropyl-7-(naphthalen-1-ylmethyl)-5-oxidanylidene-2,3-dihydro-[1,3]thiazolo[3,2-a]pyridine-3-carboxylic acid", 4644 },
	{ "42P", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3R,5R)-3-({5-(1,3-benzothiazol-2-yl)-6-chloro-2-[(3-methoxypropyl)amino]pyrimidin-4-yl}amino)-5-(hydroxymethyl)cyclopentane-1,2-diol", 4645 },
	{ "42Q", "", "", ResidueType::NON_POLYMER, false, "1-{2-fluoro-4-[(5-methyl-5H-pyrrolo[3,2-d]pyrimidin-4-yl)oxy]phenyl}-3-[3-(trifluoromethyl)phenyl]urea", 4646 },
	{ "42R", "", "", ResidueType::NON_POLYMER, false, "(3S)-6-(4-bromophenyl)-3-hydroxy-1,3-dimethyl-2,3-dihydropyridin-4(1H)-one", 4647 },
	{ "42S", "", "", ResidueType::NON_POLYMER, false, "N'-hydroxy-N-phenyl-3-(trifluoromethyl)benzenecarboximidamide", 4648 },
	{ "42T", "", "", ResidueType::NON_POLYMER, false, "3-{[(2,6-dichlorophenyl)carbamoyl]amino}-N-hydroxy-N'-phenyl-5-(trifluoromethyl)benzenecarboximidamide", 4649 },
	{ "42U", "", "", ResidueType::NON_POLYMER, false, "4-[3-(4-fluorophenyl)-1H-pyrazol-4-yl]-N-[2-(piperazin-1-yl)ethyl]-2-(trifluoromethyl)aniline", 4650 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "5-[(E)-(1-methyl-5-oxo-2-thioxoimidazolidin-4-ylidene)methyl]pyridin-2(1H)-one", 4651 },
	{ "42W", "", "", ResidueType::NON_POLYMER, false, "(E)-1-benzyl-5-((1-methyl-5-oxo-2-thioxoimidazolidin-4-ylidene)methyl)pyridin-2(1H)-one", 4652 },
	{ "42X", "", "", ResidueType::NON_POLYMER, false, "N~3~-[(2R)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-N-[2-(propanoylamino)ethyl]-beta-alaninamide", 4653 },
	{ "42Y", "", "", ResidueType::NON_POLYMER, false, "O-propanoyl-L-serine", 4654 },
	{ "42Z", "", "", ResidueType::NON_POLYMER, false, "N-[(5,6-dichloro-1H-benzimidazol-2-yl)carbonyl]glycine", 4655 },
	{ "430", "", "", ResidueType::NON_POLYMER, false, "5-(1H-benzimidazol-1-yl)-3-{(1R)-1-[2-(trifluoromethyl)phenyl]ethoxy}thiophene-2-carboxamide", 4656 },
	{ "431", "", "", ResidueType::NON_POLYMER, false, "2-(4-methylphenyl)-4H-chromen-4-one", 4657 },
	{ "432", "", "", ResidueType::PEPTIDE_LINKING, false, "O-butanoyl-L-serine", 4658 },
	{ "433", "", "", ResidueType::NON_POLYMER, false, "2-(4-{3-[1-[2-(2-CHLORO-6-FLUORO-PHENYL)-ETHYL]-3-(2,3-DICHLORO-PHENYL)-UREIDO]-PROPYL}-PHENOXY)-2-METHYL-PROPIONIC ACID", 4659 },
	{ "434", "", "", ResidueType::NON_POLYMER, false, "", 4660 },
	{ "435", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-(4-hydroxy-3,5-dimethylphenyl)diazenyl]-N-(pyridin-2-yl)benzenesulfonamide", 4661 },
	{ "436", "", "", ResidueType::NON_POLYMER, false, "", 4662 },
	{ "437", "", "", ResidueType::NON_POLYMER, false, "1-{3-tert-butyl-1-[4-(hydroxymethyl)phenyl]-1H-pyrazol-5-yl}-3-naphthalen-1-ylurea", 4663 },
	{ "438", "", "", ResidueType::NON_POLYMER, false, "", 4664 },
	{ "439", "", "", ResidueType::NON_POLYMER, false, "6-CHLORO-N-{(3S)-1-[(1S)-1-(DIMETHYLAMINO)-2,3-DIHYDRO-1H-INDEN-5-YL]-2-OXO-3-PYRROLIDINYL}-2-NAPHTHALENESULFONAMIDE", 4665 },
	{ "43A", "", "", ResidueType::NON_POLYMER, false, "(3Z)-6-(4-HYDROXY-3-METHOXYPHENYL)-3-(1H-PYRROL-2-YLMETHYLENE)-1,3-DIHYDRO-2H-INDOL-2-ONE", 4666 },
	{ "43B", "", "", ResidueType::NON_POLYMER, false, "3-NITRO-N-{4-[2-(2-PHENYLETHYL)-1,3-BENZOTHIAZOL-5-YL]BENZOYL}-4-{[2-(PHENYLSULFANYL)ETHYL]AMINO}BENZENESULFONAMIDE", 4667 },
	{ "43C", "", "", ResidueType::NON_POLYMER, false, "4-{1-[2-(4-methyl-1H-1,2,3-triazol-1-yl)ethyl]-4-phenyl-1H-imidazol-5-yl}benzonitrile", 4668 },
	{ "43D", "", "", ResidueType::NON_POLYMER, false, "4-{4-(1-methyl-1H-pyrazol-4-yl)-1-[2-(4-methyl-1H-1,2,3-triazol-1-yl)ethyl]-1H-imidazol-5-yl}benzonitrile", 4669 },
	{ "43E", "", "", ResidueType::NON_POLYMER, false, "1-{3-[(3,5-dichlorobenzyl)amino]propyl}-3-thiophen-3-ylurea", 4670 },
	{ "43F", "", "", ResidueType::NON_POLYMER, false, "2,4-DICHLORO-1-[4-(CHLOROMETHYL)-2-METHOXYPHENOXY]BENZENE", 4671 },
	{ "43G", "", "", ResidueType::NON_POLYMER, false, "1-(biphenyl-3-yl)-3-hydroxypyridin-4(1H)-one", 4672 },
	{ "43H", "", "", ResidueType::NON_POLYMER, false, "[1-(biphenyl-3-yl)-5-hydroxy-4-oxo-1,4-dihydropyridin-3-yl]boronic acid", 4673 },
	{ "43J", "", "", ResidueType::NON_POLYMER, false, "2-(biphenyl-3-yl)-5-hydroxy-3-methylpyrimidin-4(3H)-one", 4674 },
	{ "43K", "", "", ResidueType::NON_POLYMER, false, "(5S)-7-(2-fluoropyridin-3-yl)-3-(2-fluoropyridin-4-yl)spiro[chromeno[2,3-c]pyridine-5,4'-[1,3]oxazol]-2'-amine", 4675 },
	{ "43L", "", "", ResidueType::NON_POLYMER, false, "(5S,7R)-5,7-bis(3-bromophenyl)-4,5,6,7-tetrahydrotetrazolo[1,5-a]pyrimidine", 4676 },
	{ "43M", "", "", ResidueType::NON_POLYMER, false, "4-CHLORO-3-METHYLPHENOL", 4677 },
	{ "43N", "", "", ResidueType::NON_POLYMER, false, "2-(3-chlorophenoxy)-6-(ethylamino)-4-[(R)-[(3S)-3-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)piperidin-1-yl](phenyl)methyl]benzoic acid", 4678 },
	{ "43O", "", "", ResidueType::NON_POLYMER, false, "N-[2-(5-hydroxy-2-methyl-1H-indol-3-yl)ethyl]-2-methoxyacetamide", 4679 },
	{ "43P", "", "", ResidueType::NON_POLYMER, false, "4-(1H-IMIDAZOL-4-YL)-3-(5-ETHYL-2,4-DIHYDROXY-PHENYL)-1H-PYRAZOLE", 4680 },
	{ "43Q", "", "", ResidueType::NON_POLYMER, false, "(3S)-1,3-dihydroxy-4-{[(S)-hydroxy(phosphonooxy)phosphoryl]oxy}-2-methylbut-2-ylium, carbokation intermediate", 4681 },
	{ "43R", "", "", ResidueType::NON_POLYMER, false, "N-[5-(5-methoxypyridin-3-yl)-4,5,6,7-tetrahydro[1,3]thiazolo[5,4-c]pyridin-2-yl]acetamide", 4682 },
	{ "43S", "", "", ResidueType::NON_POLYMER, false, "6-(5-bromo-1-benzofuran-7-yl)-9H-purin-2-amine", 4683 },
	{ "43T", "", "", ResidueType::NON_POLYMER, false, "3-{[(4S)-2-amino-4-methyl-6-oxo-4-(propan-2-yl)-5,6-dihydropyrimidin-1(4H)-yl]methyl}-5-fluoro-N-[(1S)-1-phenylethyl]benzamide", 4684 },
	{ "43U", "", "", ResidueType::NON_POLYMER, false, "6-(5-bromo-2-methoxyphenyl)-9H-purin-2-amine", 4685 },
	{ "43V", "", "", ResidueType::NON_POLYMER, false, "N-[4-(2,5-dichlorophenyl)-5-phenyl-1,3-thiazol-2-yl]-2-[4-(ethylsulfonyl)phenyl]acetamide", 4686 },
	{ "43W", "", "", ResidueType::NON_POLYMER, false, "but-3-yn-1-yl trihydrogen diphosphate", 4687 },
	{ "43X", "", "", ResidueType::NON_POLYMER, false, "[(2R,5S)-5-(4-amino-5-fluoro-2-oxopyrimidin-1(2H)-yl)-1,3-oxathiolan-2-yl]methyl dihydrogen phosphate", 4688 },
	{ "43Y", "", "", ResidueType::NON_POLYMER, false, "[(2R)-3-[oxidanyl-[2-(trimethyl-$l^{4}-azanyl)ethoxy]phosphoryl]oxy-2-propanoyloxy-propyl] propanoate", 4689 },
	{ "43Z", "", "", ResidueType::NON_POLYMER, false, "Optactamide", 4690 },
	{ "440", "", "", ResidueType::NON_POLYMER, false, "3-{[4-(but-2-yn-1-yloxy)phenyl]sulfonyl}propane-1-thiol", 4691 },
	{ "442", "", "", ResidueType::NON_POLYMER, false, "2-[3,5-DIBROMO-4-(4-HYDROXY-3-{HYDROXY[(2-PHENYLETHYL)AMINO]METHYL}PHENOXY)PHENYL]ETHANE-1,1-DIOL", 4692 },
	{ "443", "", "", ResidueType::NON_POLYMER, false, "1-(1-{(2S)-3-[(6-chloronaphthalen-2-yl)sulfonyl]-2-hydroxypropanoyl}piperidin-4-yl)tetrahydropyrimidin-2(1H)-one", 4693 },
	{ "444", "", "", ResidueType::NON_POLYMER, false, "N-(2,2,2-TRIFLUOROETHYL)-N-{4-[2,2,2-TRIFLUORO-1-HYDROXY-1-(TRIFLUOROMETHYL)ETHYL]PHENYL}BENZENESULFONAMIDE", 4694 },
	{ "445", "", "", ResidueType::NON_POLYMER, false, "N-[oxo(phenylamino)acetyl]-beta-D-glucopyranosylamine", 4695 },
	{ "446", "", "", ResidueType::NON_POLYMER, false, "4-[(4-{[6-bromo-3-(methoxycarbonyl)-1-oxo-4-phenylisoquinolin-2(1H)-yl]methyl}phenyl)amino]-4-oxobutanoic acid", 4696 },
	{ "447", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[6-methoxy-7-(3-morpholin-4-ylpropoxy)quinazolin-4-yl]amino}phenyl)benzamide", 4697 },
	{ "448", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-[(8R)-8-METHYL-2-(TRIFLUOROMETHYL)-5,6-DIHYDRO[1,2,4]TRIAZOLO[1,5-A]PYRAZIN-7(8H)-YL]-4-OXO-1-(2,4,5-TRIFLUOROPHENYL)BUTAN-2-AMINE", 4698 },
	{ "449", "", "", ResidueType::NON_POLYMER, false, "4-carboxy-1,1-dimethylpiperidin-1-ium", 4699 },
	{ "44A", "", "", ResidueType::NON_POLYMER, false, "9-beta-D-ribofuranuronosyl-9H-purin-6-amine", 4700 },
	{ "44B", "", "", ResidueType::NON_POLYMER, false, "1,1,1,3,3,3-HEXAFLUORO-2-{4-[(2,2,2-TRIFLUOROETHYL)AMINO]PHENYL}PROPAN-2-OL", 4701 },
	{ "44C", "", "", ResidueType::NON_POLYMER, false, "", 4702 },
	{ "44D", "", "", ResidueType::NON_POLYMER, false, "7-[5-(4-AMINO-5-HYDROXY-6-METHYL-TETRAHYDRO-PYRAN-2-YLOXY)-4-HYDROXY-6-METHYL-TETRAHYDRO-PYRAN-2-YLOXY]-6,9,11-TRIHYDROXY-9-(2-HYDROXY-ACETYL)-7,8,9,10-TETRAHYDRO-NAPHTHACENE-5,12-DIONE", 4703 },
	{ "44E", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-(phosphonooxy)propane-1,2-diyl dihexanoate", 4704 },
	{ "44F", "", "", ResidueType::NON_POLYMER, false, "1-{3-[(3-chloro-5-methoxybenzyl)amino]propyl}-3-thiophen-3-ylurea", 4705 },
	{ "44G", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-{[(R)-{[(2R)-2,3-dihydroxypropyl]oxy}(hydroxy)phosphoryl]oxy}-2-(hexanoyloxy)propyl hexanoate", 4706 },
	{ "44I", "", "", ResidueType::NON_POLYMER, false, "6-chloro-N-{(3S)-1-[(2S)-1-{(1R,5S)-7-[2-(methylamino)ethyl]-3,7-diazabicyclo[3.3.1]non-3-yl}-1-oxopropan-2-yl]-2-oxopyrrolidin-3-yl}naphthalene-2-sulfonamide", 4707 },
	{ "44J", "", "", ResidueType::NON_POLYMER, false, "N-({[(1R,2S,3R,4R)-4-(6-amino-9H-purin-9-yl)-2,3-dihydroxycyclopentyl]methyl}sulfamoyl)-5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanamide", 4708 },
	{ "44K", "", "", ResidueType::NON_POLYMER, false, "N-({[(1R,3S)-3-(6-amino-9H-purin-9-yl)cyclopentyl]methyl}sulfamoyl)-5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanamide", 4709 },
	{ "44L", "", "", ResidueType::NON_POLYMER, false, "2',5'-dideoxy-2'-fluoro-5'-[({5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoyl}sulfamoyl)amino]adenosine", 4710 },
	{ "44M", "", "", ResidueType::NON_POLYMER, false, "2'-azido-2',5'-dideoxy-5'-[({5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoyl}sulfamoyl)amino]adenosine", 4711 },
	{ "44N", "", "", ResidueType::NON_POLYMER, false, "2'-C-methyl-5'-O-({5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoyl}sulfamoyl)adenosine", 4712 },
	{ "44O", "", "", ResidueType::NON_POLYMER, false, "[(2S,6R)-6-(6-amino-9H-purin-9-yl)morpholin-2-yl]methyl {5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoyl}sulfamate", 4713 },
	{ "44P", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-HYDROXY(PHOSPHONOMETHYL)PHOSPHORYL]URIDINE", 4714 },
	{ "44Q", "", "", ResidueType::NON_POLYMER, false, "3',5'-dideoxy-5'-[({5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoyl}sulfamoyl)amino]adenosine", 4715 },
	{ "44R", "", "", ResidueType::NON_POLYMER, false, "N-({2-[(6-amino-9H-purin-9-yl)methoxy]ethyl}sulfamoyl)-5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanamide", 4716 },
	{ "44S", "", "", ResidueType::NON_POLYMER, false, "tagatose-6-phosphate, bound form", 4717 },
	{ "44U", "", "", ResidueType::NON_POLYMER, false, "beta-phenyl-D-phenylalanyl-N-propyl-L-prolinamide", 4718 },
	{ "44V", "", "", ResidueType::NON_POLYMER, false, "(6S)-2-amino-6-methyl-5,6,7,8-tetrahydropteridin-4(3H)-one", 4719 },
	{ "44W", "", "", ResidueType::NON_POLYMER, false, "2-amino-6-methyl-7,8-dihydropteridin-4(3H)-one", 4720 },
	{ "44X", "", "", ResidueType::NON_POLYMER, false, "6-{(1S)-1-[8-fluoro-6-(3-methyl-1,2-oxazol-5-yl)[1,2,4]triazolo[4,3-a]pyridin-3-yl]ethyl}-3-(2-methoxyethoxy)quinoline", 4721 },
	{ "44Z", "", "", ResidueType::NON_POLYMER, false, "4-[[(4S,5R)-5-(4-chlorophenyl)-4-(3-methoxyphenyl)-2-(4-methoxy-2-propan-2-yloxy-phenyl)-4,5-dihydroimidazol-1-yl]carbonyl]piperazin-2-one", 4722 },
	{ "450", "", "DMQ", ResidueType::NON_POLYMER, true, "{[4-R(-4-ALPHA,5-ALPHA,6-BETA,7-BETA)]-HEXAHYDRO-5,6-BIS(HYDROXY)-1,3-BIS([3-AMINO)PHENYL]METHYL-4,7-BIA(PHENYLMETHYL)-2H-1,3-DIAZEPINONE", 4723 },
	{ "451", "", "", ResidueType::NON_POLYMER, false, "N-(6,7,9,10,17,18,20,21-octahydrodibenzo[b,k][1,4,7,10,13,16]hexaoxacyclooctadecin-2-yl)acetamide", 4724 },
	{ "452", "", "", ResidueType::NON_POLYMER, false, "2-{[N-(2-ACETYL-5-CHLORO-4-FLUOROPHENYL)GLYCYL]AMINO}BENZOIC ACID", 4725 },
	{ "453", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-{4-fluoro-3-[(pyridin-2-ylmethyl)carbamoyl]phenyl}-N-(1H-indazol-5-yl)-6-methyl-2-oxo-1,2,3,4-tetrahydropyrimidine-5-carboxamide", 4726 },
	{ "454", "", "", ResidueType::NON_POLYMER, false, "8,8-diphenyl-2,3,4,8-tetrahydroimidazo[1,5-a]pyrimidin-6-amine", 4727 },
	{ "455", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-1-SULFAMOYL-PYRROLIDINE-3,4-DICARBOXYLIC ACID 3-[(4-CHLORO-PHENYL)-AMIDE] 4-{[2-FLUORO-4-(2-OXO-2H-PYRIDIN-1-YL)-PHENYL]-AMIDE}", 4728 },
	{ "456", "", "", ResidueType::NON_POLYMER, false, "N-[5-(6-methoxypyrazin-2-yl)-4,5,6,7-tetrahydro[1,3]thiazolo[5,4-c]pyridin-2-yl]acetamide", 4729 },
	{ "458", "", "", ResidueType::NON_POLYMER, false, "4-[(1S,2S,5S)-5-(HYDROXYMETHYL)-8-METHYL-3-OXABICYCLO[3.3.1]NON-7-EN-2-YL]PHENOL", 4730 },
	{ "459", "", "", ResidueType::NON_POLYMER, false, "4-[(1S,2S,5S,9R)-5-(HYDROXYMETHYL)-8,9-DIMETHYL-3-OXABICYCLO[3.3.1]NON-7-EN-2-YL]PHENOL", 4731 },
	{ "45A", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-hydroxy(methyl)phosphoryl]adenosine", 4732 },
	{ "45B", "", "", ResidueType::NON_POLYMER, false, "4-{[2-({4-[2-(4-acetylpiperazin-1-yl)-2-oxoethyl]phenyl}amino)-5-fluoropyrimidin-4-yl]amino}-N-(2-chlorophenyl)benzamide", 4733 },
	{ "45C", "", "", ResidueType::NON_POLYMER, false, "4,5-dichlorobenzene-1,2-diol", 4734 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "beta,beta-carotene-4,4'-dione", 4735 },
	{ "45E", "", "", ResidueType::NON_POLYMER, false, "1-[4-(2,3-dimethoxybenzoyl)piperazin-1-yl]-2-(3-methylphenoxy)ethanone", 4736 },
	{ "45F", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-(prop-2-yn-1-yloxy)-L-proline", 4737 },
	{ "45H", "", "", ResidueType::NON_POLYMER, true, "beta,beta-carotene-4,4'-dione", 4738 },
	{ "45I", "", "", ResidueType::NON_POLYMER, false, "2-[(2-PHENYLETHYL)SULFAMOYL]-4-SULFAMOYLBENZOIC ACID", 4739 },
	{ "45J", "", "", ResidueType::NON_POLYMER, false, "4-chloro-2-methylthieno[2,3-d][1,2,3]diazaborinin-1(2H)-ol", 4740 },
	{ "45K", "", "", ResidueType::NON_POLYMER, false, "(8Z)-8-{[(2,2-dioxido-1,3-dihydro-2-benzothiophen-5-yl)amino]methylidene}-6,8-dihydro-7H-[1,3]thiazolo[5,4-e]indol-7-one", 4741 },
	{ "45L", "", "", ResidueType::NON_POLYMER, false, "3-methylbenzohydrazide", 4742 },
	{ "45M", "", "", ResidueType::NON_POLYMER, false, "4-bromo-N'-(3,4-dihydro-2H-pyrrol-5-yl)benzohydrazide", 4743 },
	{ "45N", "", "", ResidueType::NON_POLYMER, false, "N-(1,3-benzodioxol-5-ylmethyl)cyclopentanamine", 4744 },
	{ "45O", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,5S)-3,5-dimethylpiperidin-1-yl]methyl}-N,N-dimethyl-1,3,5-triazine-2,4-diamine", 4745 },
	{ "45P", "", "", ResidueType::NON_POLYMER, false, "3-(5-AMINO-7-HYDROXY-[1,2,3]TRIAZOLO[4,5-D]PYRIMIDIN-2-YL)-N-(3,5-DICHLOROBENZYL)-BENZAMIDE", 4746 },
	{ "45Q", "", "", ResidueType::NON_POLYMER, false, "N-[3-(4-amino-3-methylphenyl)-1H-pyrazol-5-yl]-4-[(4-methylpiperazin-1-yl)methyl]benzamide", 4747 },
	{ "45R", "", "", ResidueType::NON_POLYMER, false, "7-{[2-methoxy-4-(1H-pyrazol-4-yl)benzoyl]amino}-2,3,4,5-tetrahydro-1H-3-benzazepinium", 4748 },
	{ "45S", "", "", ResidueType::NON_POLYMER, false, "N-[2-(aminomethyl)-5-chlorobenzyl]-1-[(5-methyl-1H-pyrrol-2-yl)carbonyl]-L-prolinamide", 4749 },
	{ "45T", "", "", ResidueType::NON_POLYMER, false, "{[(2S)-3-(2-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)propane-1,2-diyl]bis(oxyethane-2,1-diyl)}bis(phosphonic acid)", 4750 },
	{ "45U", "", "", ResidueType::PEPTIDE_LIKE, false, "(S)-N-(4-carbamimidoylbenzyl)-1-(2-(cyclopentyloxy)ethanoyl)pyrrolidine-2-carboxamide", 4751 },
	{ "45V", "", "", ResidueType::NON_POLYMER, false, "2-[(1S)-2-acetyl-1,2-dihydroisoquinolin-1-yl]-N,N-dimethylacetamide", 4752 },
	{ "45W", "", "", ResidueType::PEPTIDE_LINKING, false, "(4S)-4-(ethynyloxy)-D-proline", 4753 },
	{ "45X", "", "", ResidueType::NON_POLYMER, false, "2-(pyridin-3-yl)ethanamine", 4754 },
	{ "45Y", "", "", ResidueType::NON_POLYMER, false, "2-(4-fluorophenyl)acetohydrazide", 4755 },
	{ "45Z", "", "", ResidueType::NON_POLYMER, false, "2,2'-[(4-fluorobenzene-1,2-diyl)bis(oxy)]bis(5-nitrobenzonitrile)", 4756 },
	{ "460", "", "", ResidueType::NON_POLYMER, false, "2-[5-(6-METHYLPYRIDIN-2-YL)-2,3-DIHYDRO-1H-PYRAZOL-4-YL]-1,5-NAPHTHYRIDINE", 4757 },
	{ "461", "", "", ResidueType::NON_POLYMER, false, "(E)-2-(5-CHLOROTHIOPHEN-2-YL)-N-[(3S)-1-{4-[(1R)-1-(DIMETHYLAMINO)ETHYL]-2-FLUOROPHENYL}-2-OXOPYRROLIDIN-3-YL]ETHENESULFONAMIDE", 4758 },
	{ "462", "", "", ResidueType::NON_POLYMER, false, "N-[amino(imino)methyl]-2-[2-(2-chlorophenyl)-4-(4-propoxyphenyl)-3-thienyl]acetamide", 4759 },
	{ "463", "", "", ResidueType::NON_POLYMER, false, "N-[3-(aminomethyl)phenyl]acetamide", 4760 },
	{ "464", "", "", ResidueType::NON_POLYMER, false, "3-[5-({5-[(AMINOCARBONYL)AMINO]-2-OXO-2H-INDOL-3-YL}METHYL)-1H-PYRROL-3-YL]-N-(2-PIPERIDIN-1-YLETHYL)BENZAMIDE", 4761 },
	{ "465", "", "", ResidueType::NON_POLYMER, false, "8-amino-7-chloro-1-methyl-6-(methylideneamino)-2-oxo-1,2-dihydropyrrolo[4,3,2-de]quinoline-4-carboxamide", 4762 },
	{ "467", "", "", ResidueType::NON_POLYMER, false, "N~2~-[2-(5-chloro-1H-pyrrolo[2,3-b]pyridin-3-yl)-5-fluoropyrimidin-4-yl]-2-methyl-N-(2,2,2-trifluoroethyl)-D-alaninamide", 4763 },
	{ "468", "", "", ResidueType::NON_POLYMER, false, "(3S)-N-(3-CHLORO-2-METHYLPHENYL)-1-CYCLOHEXYL-5-OXOPYRROLIDINE-3-CARBOXAMIDE", 4764 },
	{ "469", "", "", ResidueType::NON_POLYMER, false, "2-(6-chloro-5-{[(2R,5S)-4-(4-fluorobenzyl)-2,5-dimethylpiperazin-1-yl]carbonyl}-1-methyl-1H-indol-3-yl)-N,N-dimethyl-2-oxoacetamide", 4765 },
	{ "46A", "", "", ResidueType::NON_POLYMER, false, "N-butyl-4,6-dimethyl-N-{[2'-(2H-tetrazol-5-yl)biphenyl-4-yl]methyl}pyrimidin-2-amine", 4766 },
	{ "46B", "", "", ResidueType::NON_POLYMER, false, "{4-[6-BROMO-3-(BUTYLAMINO)IMIDAZO[1,2-A]PYRIDIN-2-YL]PHENOXY}ACETIC ACID", 4767 },
	{ "46C", "", "", ResidueType::NON_POLYMER, false, "4-[(6-chloro-1-oxo-4-phenyl-3-propanoylisoquinolin-2(1H)-yl)methyl]benzoic acid", 4768 },
	{ "46D", "", "", ResidueType::SACCHARIDE, false, "(4AR,6R,7S,8R,8AR)-8-((5R,6R)-3-CARBOXY-TETRAHYDRO-4,5,6-TRIHYDROXY-2H-PYRAN-2-YLOXY)-HEXAHYDRO-6,7-DIHYDROXY-2-METHYLPYRANO[3,2-D][1,3]DIOXINE-2-CARBOXYLIC ACID)", 4769 },
	{ "46E", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-{[(S)-(2-aminoethoxy)(hydroxy)phosphoryl]oxy}-2-(tetradecanoyloxy)propyl tetradecanoate", 4770 },
	{ "46F", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-(6-chloropyridazin-3-yl)-N-(4-methoxybenzyl)-1-{[4-(trifluoromethoxy)phenyl]sulfonyl}piperazine-2-carboxamide", 4771 },
	{ "46G", "", "", ResidueType::NON_POLYMER, false, "6-{(1R)-1-fluoro-1-[8-fluoro-6-(3-methyl-1,2-oxazol-5-yl)[1,2,4]triazolo[4,3-a]pyridin-3-yl]ethyl}-3-methoxyquinoline", 4772 },
	{ "46H", "", "", ResidueType::NON_POLYMER, false, "(3S)-piperidin-3-yl(piperidin-1-yl)methanone", 4773 },
	{ "46J", "", "", ResidueType::NON_POLYMER, false, "(3R)-piperidin-3-yl(piperidin-1-yl)methanone", 4774 },
	{ "46K", "", "", ResidueType::NON_POLYMER, false, "N-[(4-{[(Z)-(7-oxo-6,7-dihydro-8H-[1,3]thiazolo[5,4-e]indol-8-ylidene)methyl]amino}phenyl)sulfonyl]acetamide", 4775 },
	{ "46L", "", "", ResidueType::NON_POLYMER, false, "6-(dimethylamino)pyridine-3-carboxylic acid", 4776 },
	{ "46M", "", "", ResidueType::SACCHARIDE, false, "(4AR,6R,7S,8R,8AS)-HEXAHYDRO-6,7,8-TRIHYDROXY-2-METHYLPYRANO[3,2-D][1,3]DIOXINE-2-CARBOXYLIC ACID", 4777 },
	{ "46O", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(2,3-dihydro-1,4-benzodioxin-6-yl)pyrrolidine", 4778 },
	{ "46P", "", "", ResidueType::NON_POLYMER, false, "4-methyl-5-(1-methyl-1H-imidazol-2-yl)-1,3-thiazol-2-amine", 4779 },
	{ "46Q", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-methyl-2-(morpholin-4-yl)butan-1-amine", 4780 },
	{ "46R", "", "", ResidueType::NON_POLYMER, false, "N-(2,2,2-trifluoroethyl)-1,2-oxazole-3-carboxamide", 4781 },
	{ "46S", "", "", ResidueType::NON_POLYMER, false, "1-(6-methylpyrimidin-4-yl)azepane", 4782 },
	{ "46T", "", "", ResidueType::NON_POLYMER, false, "(1E,2E)-N,N'-di(propan-2-yl)cyclohepta-3,5-diene-1,2-diimine", 4783 },
	{ "46U", "", "", ResidueType::PEPTIDE_LIKE, false, "(S)-N-(4-carbamimidoylbenzyl)-1-(2-(cyclohexyloxy)ethanoyl)pyrrolidine-2-carboxamide", 4784 },
	{ "46V", "", "", ResidueType::NON_POLYMER, false, "1-(4-bromo-2-chlorophenyl)-3-methylthiourea", 4785 },
	{ "46W", "", "", ResidueType::NON_POLYMER, false, "4-methylpiperidine-1-carboximidamide", 4786 },
	{ "46X", "", "", ResidueType::NON_POLYMER, false, "3-amino-5-(pyrrolidin-1-yl)-1H-pyrazole-4-carbonitrile", 4787 },
	{ "46Y", "", "", ResidueType::NON_POLYMER, false, "4,6-dimethyl-2-{[3-(morpholin-4-yl)propyl]amino}pyridine-3-carbonitrile", 4788 },
	{ "46Z", "", "", ResidueType::SACCHARIDE, false, "(2R,3R,4S,5S)-4-fluoro-3,5-dihydroxytetrahydrofuran-2-yl 2-phenylethyl hydrogen (S)-phosphate", 4789 },
	{ "470", "", "", ResidueType::NON_POLYMER, false, "(3aS,6aR)-5-[(4E)-oct-4-en-4-yl]-N,4-diphenyl-2,3,6,6a-tetrahydropentalen-3a(1H)-amine", 4790 },
	{ "471", "", "", ResidueType::NON_POLYMER, false, "N-((2S)-2-({(1Z)-1-METHYL-3-OXO-3-[4-(TRIFLUOROMETHYL) PHENYL]PROP-1-ENYL}AMINO)-3-{4-[2-(5-METHYL-2-PHENYL-1,3-OXAZOL-4-YL)ETHOXY]PHENYL}PROPYL)PROPANAMIDE", 4791 },
	{ "472", "", "", ResidueType::NON_POLYMER, false, "(5S)-2-amino-3-methyl-5-pyridin-4-yl-5-(3-pyridin-3-ylphenyl)-3,5-dihydro-4H-imidazol-4-one", 4792 },
	{ "474", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-3-AMINO-4-(3,3-DIFLUOROPYRROLIDIN-1-YL)-N,N-DIMETHYL-4-OXO-2-(TRANS-4-[1,2,4]TRIAZOLO[1,5-A]PYRIDIN-6-YLCYCLOHEXYL)BUTANAMIDE", 4793 },
	{ "475", "", "", ResidueType::NON_POLYMER, false, "N-[oxo(pyridin-2-ylamino)acetyl]-beta-D-glucopyranosylamine", 4794 },
	{ "476", "", "", ResidueType::NON_POLYMER, false, "3-butyl-1-(2,2-diphosphonoethyl)pyridinium", 4795 },
	{ "477", "", "", ResidueType::NON_POLYMER, false, "3-{2-[5-(difluoromethyl)-2H-thieno[3,2-c]pyrazol-3-yl]-1H-indol-6-yl}pentan-3-ol", 4796 },
	{ "478", "", "", ResidueType::NON_POLYMER, false, "{3-[(4-AMINO-BENZENESULFONYL)-ISOBUTYL-AMINO]-1-BENZYL-2-HYDROXY-PROPYL}-CARBAMIC ACID TETRAHYDRO-FURAN-3-YL ESTER", 4797 },
	{ "479", "", "", ResidueType::NON_POLYMER, false, "4-oxo-N-[(1S)-1-(pyridin-3-yl)ethyl]-4-(thiophen-2-yl)butanamide", 4798 },
	{ "47A", "", "", ResidueType::NON_POLYMER, false, "2-amino-1-(4-bromophenyl)ethanone", 4799 },
	{ "47B", "", "", ResidueType::NON_POLYMER, false, "3-(3,4-difluorophenyl)imidazo[2,1-c][1,2,4]triazine", 4800 },
	{ "47C", "", "", ResidueType::DNA_LINKING, false, "", 4801 },
	{ "47D", "", "", ResidueType::NON_POLYMER, false, "{3-[(5-CHLORO-1,3-BENZOTHIAZOL-2-YL)METHYL]-2,4-DIOXO-3,4-DIHYDROPYRIMIDIN-1(2H)-YL}ACETIC ACID", 4802 },
	{ "47E", "", "", ResidueType::NON_POLYMER, false, "(2R)-(3-chlorophenyl)(hydroxy)ethanoic acid", 4803 },
	{ "47G", "", "", ResidueType::NON_POLYMER, false, "5-(aminomethyl)-2-methoxyphenol", 4804 },
	{ "47H", "", "", ResidueType::NON_POLYMER, false, "6,6,8-trimethyl-5,6-dihydro[1,3]dioxolo[4,5-g]quinoline", 4805 },
	{ "47J", "", "", ResidueType::NON_POLYMER, false, "1-(1,3-dimethyl-1H-pyrazol-5-yl)methanamine", 4806 },
	{ "47K", "", "", ResidueType::NON_POLYMER, false, "2-(4-methylpiperidin-1-yl)-N-[3-(propan-2-yl)-1,2-oxazol-5-yl]acetamide", 4807 },
	{ "47L", "", "", ResidueType::NON_POLYMER, false, "N-[(2R)-tetrahydrofuran-2-ylmethyl]cyclohexanecarboxamide", 4808 },
	{ "47M", "", "", ResidueType::NON_POLYMER, false, "1-[5-(trifluoromethyl)furan-2-yl]methanamine", 4809 },
	{ "47N", "", "", ResidueType::NON_POLYMER, false, "NEOAGAROBIOSE", 4810 },
	{ "47P", "", "", ResidueType::NON_POLYMER, false, "2-({[(1S)-1-cyclopropylethyl](methyl)amino}methyl)quinazolin-4(3H)-one", 4811 },
	{ "47Q", "", "", ResidueType::NON_POLYMER, false, "5-[(pyridin-2-ylmethyl)amino]-1,3-dihydro-2H-benzimidazol-2-one", 4812 },
	{ "47R", "", "", ResidueType::NON_POLYMER, false, "(1Z)-N,N-diethylethanimidamide", 4813 },
	{ "47S", "", "", ResidueType::NON_POLYMER, false, "3-(dimethylamino)benzohydrazide", 4814 },
	{ "47T", "", "", ResidueType::NON_POLYMER, false, "(2R)-N-(trans-4-methylcyclohexyl)tetrahydrofuran-2-carboxamide", 4815 },
	{ "47U", "", "", ResidueType::NON_POLYMER, false, "N-(pyridin-2-yl)-2-(1,3,5-trimethyl-1H-pyrazol-4-yl)acetamide", 4816 },
	{ "47V", "", "", ResidueType::NON_POLYMER, false, "2,5-dimethyl-N-(pyridin-4-yl)furan-3-carboxamide", 4817 },
	{ "47W", "", "", ResidueType::NON_POLYMER, false, "1-(4-{[3-(isoquinolin-7-yl)prop-2-yn-1-yl]oxy}-2-methoxybenzyl)piperazinediium", 4818 },
	{ "47X", "", "", ResidueType::NON_POLYMER, false, "3-(3,4-dihydroxyphenyl)-7-hydroxy-4H-chromen-4-one", 4819 },
	{ "47Y", "", "", ResidueType::NON_POLYMER, false, "3-[(4E)-4-imino-5,6-dimethylfuro[2,3-d]pyrimidin-3(4H)-yl]-N,N-dimethylpropan-1-amine", 4820 },
	{ "480", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,3-dihydroxypropyl octanoate", 4821 },
	{ "481", "", "", ResidueType::NON_POLYMER, false, "4-tert-butyl-N-{3-[8-({4-[(4-methylpiperazin-1-yl)carbonyl]phenyl}amino)imidazo[1,2-a]pyrazin-6-yl]phenyl}benzamide", 4822 },
	{ "482", "", "", ResidueType::NON_POLYMER, false, "3-oxo-N-[(3S)-2-oxotetrahydrofuran-3-yl]hexanamide", 4823 },
	{ "483", "", "", ResidueType::NON_POLYMER, false, "2-(1H-imidazol-1-yl)-N-(trans-4-methylcyclohexyl)acetamide", 4824 },
	{ "484", "", "", ResidueType::NON_POLYMER, false, "3-(5'-{2-[3,4-bis(hydroxymethyl)phenyl]ethyl}-2'-methyl-2-propylbiphenyl-4-yl)pentan-3-ol", 4825 },
	{ "485", "", "", ResidueType::NON_POLYMER, false, "[2-AMINO-3-(4-HYDROXY-PHENYL)-PROPIONYLAMINO]- (3,4,5-TRIHYDROXY-6-METHYL-TETRAHYDRO-PYRAN-2-YL)- ACETIC ACID", 4826 },
	{ "486", "", "", ResidueType::NON_POLYMER, false, "11-(4-DIMETHYLAMINO-PHENYL)-17-HYDROXY-13-METHYL-17-PROP-1-YNYL-1,2,6,7,8,11,12,13,14,15,16,17-DODEC AHYDRO-CYCLOPENTA[A]PHENANTHREN-3-ONE", 4827 },
	{ "487", "", "", ResidueType::NON_POLYMER, false, "6-[(1S)-1-(azepan-1-yl)ethyl]-N,N-dimethyl-1,3,5-triazine-2,4-diamine", 4828 },
	{ "488", "", "", ResidueType::NON_POLYMER, false, "(2R,4R)-2-[(4R)-2-(2-hydroxyphenyl)-4,5-dihydro-1,3-thiazol-4-yl]-3-methyl-1,3-thiazolidine-4-carboxylic acid", 4829 },
	{ "489", "", "", ResidueType::NON_POLYMER, false, "(1S)-2-amino-1-(4-fluorophenyl)ethanol", 4830 },
	{ "48B", "", "", ResidueType::NON_POLYMER, false, "2-chloro-N-[4-({5-fluoro-2-[(4-hydroxyphenyl)amino]pyrimidin-4-yl}amino)phenyl]benzamide", 4831 },
	{ "48C", "", "", ResidueType::NON_POLYMER, false, "5'-(D-alanylamino)-5'-deoxyuridine", 4832 },
	{ "48D", "", "", ResidueType::NON_POLYMER, false, "(4E,6S,7S,8S,9E)-7-hydroxy-8-methoxy-4,6-dimethylcyclotetradeca-4,9-dien-1-one", 4833 },
	{ "48E", "", "", ResidueType::NON_POLYMER, false, "5'-deoxy-5'-{[(2R)-3-hydroxy-2-(4-phenyl-1H-1,2,3-triazol-1-yl)propanoyl]amino}uridine", 4834 },
	{ "48F", "", "", ResidueType::NON_POLYMER, false, "[[(2R,3S,4R,5R)-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methoxy-oxidanyl-phosphoryl] [(2R,3R)-2,3,5-tris(oxidanyl)-4-oxidanylidene-pentyl] hydrogen phosphate", 4835 },
	{ "48G", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3S,4R)-3,4-dihydroxy-1-{[6-O-(naphthalen-1-ylcarbamoyl)-alpha-D-galactopyranosyl]oxy}octadecan-2-yl]hexacosanamide", 4836 },
	{ "48H", "", "", ResidueType::NON_POLYMER, false, "2-[(E)-[(4R)-5-[[[(2R,3S,4R,5R)-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methoxy-oxidanyl-phosphoryl]oxy-oxidanyl-phosphoryl]oxy-4-oxidanyl-3-oxidanylidene-pentan-2-ylidene]amino]ethanoic acid", 4837 },
	{ "48I", "", "", ResidueType::NON_POLYMER, false, "[3-(4-chloro-3-nitrobenzyl)-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl]acetic acid", 4838 },
	{ "48K", "", "", ResidueType::NON_POLYMER, false, "N-[2-(dimethylamino)ethyl]-4-{[(Z)-(2-oxo-1,2-dihydro-3H-indol-3-ylidene)methyl]amino}benzenesulfonamide", 4839 },
	{ "48L", "", "", ResidueType::NON_POLYMER, false, "4-({(4S,5R)-4-(5-bromo-2-fluorophenyl)-5-(4-chlorophenyl)-2-[4-methoxy-2-(propan-2-yloxy)phenyl]-4,5-dihydro-1H-imidazol-1-yl}carbonyl)piperazin-2-one", 4840 },
	{ "48M", "", "", ResidueType::NON_POLYMER, false, "4-[(4S,5R)-4-(3-chlorophenyl)-5-(4-chlorophenyl)-1-(3-oxidanylidenepiperazin-1-yl)carbonyl-4,5-dihydroimidazol-2-yl]-3-propan-2-yloxy-benzenecarbonitrile", 4841 },
	{ "48N", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-[(2S,4R)-5-[[[(2R,3S,4R,5R)-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methoxy-oxidanyl-phosphoryl]oxy-oxidanyl-phosphoryl]oxy-4-oxidanyl-3-oxidanylidene-pentan-2-yl]iminoethanoic acid", 4842 },
	{ "48O", "", "", ResidueType::NON_POLYMER, false, "5'-deoxy-5'-{[(2S)-2-(triaza-1,2-dien-2-ium-1-yl)propanoyl]amino}uridine", 4843 },
	{ "48P", "", "", ResidueType::NON_POLYMER, false, "(1R,4R,5R)-1,4,5-trihydroxy-3-hydroxymethylcyclohex-2-ene-1-carboxylic acid", 4844 },
	{ "48Q", "", "", ResidueType::NON_POLYMER, false, "~{N}1-[(~{Z},3~{R})-4-[2-(3-methoxyphenyl)propan-2-ylamino]-3-oxidanyl-1-phenyl-but-1-en-2-yl]-5-piperidin-1-yl-~{N}3,~{N}3-dipropyl-benzene-1,3-dicarboxamide", 4845 },
	{ "48R", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-[(9H-fluoren-9-ylideneamino)oxy]-2-methyl-N-(methylsulfonyl)propanamide", 4846 },
	{ "48S", "", "", ResidueType::NON_POLYMER, false, "[(2R)-4-[hydroxy(methyl)amino]-2-(4-methylphenyl)-4-oxobutyl]phosphonic acid", 4847 },
	{ "48T", "", "", ResidueType::NON_POLYMER, false, "L-gamma-glutamyl-S-(2-biphenyl-4-yl-2-oxoethyl)-L-cysteinylglycine", 4848 },
	{ "48U", "", "", ResidueType::NON_POLYMER, false, "4-[(3S)-3-({[(E)-2-(5-chlorothiophen-2-yl)ethenyl]sulfonyl}amino)-2-oxopyrrolidin-1-yl]-3-fluoro-N,N-dimethylbenzamide", 4849 },
	{ "48V", "", "", ResidueType::PEPTIDE_LIKE, false, "{[(2R)-2,3-diamino-3-oxopropyl]sulfanyl}acetic acid", 4850 },
	{ "48W", "", "", ResidueType::NON_POLYMER, false, "6-chloro-N-{(3S)-1-[(2S)-1-(4-methyl-5-oxo-1,4-diazepan-1-yl)-1-oxopropan-2-yl]-2-oxopyrrolidin-3-yl}naphthalene-2-sulfonamide", 4851 },
	{ "48X", "", "", ResidueType::NON_POLYMER, false, "3-(phosphonooxy)propanoic acid", 4852 },
	{ "48Y", "", "", ResidueType::NON_POLYMER, false, "(1R,2S)-1-hydroxybutane-1,2,4-tricarboxylic acid", 4853 },
	{ "48Z", "", "", ResidueType::SACCHARIDE, false, "2-deoxy-2-fluoro-5-O-thiophosphono-alpha-D-arabinofuranose", 4854 },
	{ "490", "", "", ResidueType::NON_POLYMER, false, "1-methyl-5-(1-methyl-3-{[4-(1-methyl-1H-benzimidazol-4-yl)phenoxy]methyl}-1H-pyrazol-4-yl)pyridin-2(1H)-one", 4855 },
	{ "491", "", "", ResidueType::NON_POLYMER, false, "2-(acetylamino)-3-O-[(1R)-1-carboxyethyl]-2-deoxy-1-O-phosphono-alpha-D-glucopyranose", 4856 },
	{ "492", "", "", ResidueType::NON_POLYMER, false, "1-(2,2'-bithiophen-5-yl)methanamine", 4857 },
	{ "493", "", "", ResidueType::NON_POLYMER, false, "{4-[2-ACETYLAMINO-2-(1-BIPHENYL-4-YLMETHYL-2-OXO-AZEPAN-3-YLCARBAMOYL)-ETHYL]-2-PHOSPHONO-PHENOXY}-ACETIC ACID", 4858 },
	{ "494", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(3-chloro-5-{4-chloro-2-[2-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)ethoxy]phenoxy}phenyl)prop-2-enenitrile", 4859 },
	{ "495", "", "", ResidueType::NON_POLYMER, false, "4-chlorophthalazin-1(2H)-one", 4860 },
	{ "496", "", "", ResidueType::NON_POLYMER, false, "2-({[4-(hydroxymethyl)-3-(trifluoromethyl)-1H-pyrazol-1-yl]acetyl}amino)-4,5,6,7-tetrahydro-1-benzothiophene-3-carboxamide", 4861 },
	{ "497", "", "", ResidueType::NON_POLYMER, false, "6-[AMINO(IMINO)METHYL]-N-[(4R)-4-ETHYL-1,2,3,4-TETRAHYDROISOQUINOLIN-6-YL]-2-NAPHTHAMIDE", 4862 },
	{ "498", "", "", ResidueType::NON_POLYMER, false, "p-(5-ruthenocenyl-1H-1,2,3-triazol-1-yl)benzenesulfonamide", 4863 },
	{ "499", "", "", ResidueType::NON_POLYMER, false, "5-[5-(1H-indol-3-yl)-1H-pyrrolo[2,3-b]pyridin-3-yl]-1,3,4-oxadiazol-2-amine", 4864 },
	{ "49A", "", "", ResidueType::NON_POLYMER, false, "4,9-AMINO-2,4-DEOXY-2,3-DEHYDRO-N-ACETYL-NEURAMINIC ACID", 4865 },
	{ "49B", "", "", ResidueType::NON_POLYMER, false, "5-[2-amino-5-(quinolin-3-yl)pyridin-3-yl]-1,3,4-oxadiazole-2(3H)-thione", 4866 },
	{ "49C", "", "", ResidueType::NON_POLYMER, false, "(1R)-5'-[(2-chlorophenyl)sulfanyl]-4'-hydroxy-2,3-dihydrospiro[indene-1,2'-pyran]-6'(3'H)-one", 4867 },
	{ "49D", "", "", ResidueType::NON_POLYMER, false, "6-{[(1S)-1-(4-chlorophenyl)ethyl]amino}-1-cyclopentyl-1,5-dihydro-4H-pyrazolo[3,4-d]pyrimidin-4-one", 4868 },
	{ "49E", "", "", ResidueType::NON_POLYMER, false, "6-{[(1R)-1-(4-chlorophenyl)ethyl]amino}-1-cyclopentyl-1,5-dihydro-4H-pyrazolo[3,4-d]pyrimidin-4-one", 4869 },
	{ "49F", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(2-methoxyethyl)pyrrolidine", 4870 },
	{ "49G", "", "", ResidueType::NON_POLYMER, false, "N-[(1-methyl-1H-pyrazol-3-yl)methyl]-2-phenylethanamine", 4871 },
	{ "49H", "", "", ResidueType::NON_POLYMER, false, "4-({(4S,5R)-4-(3-chlorophenyl)-5-(4-chlorophenyl)-2-[4-methoxy-2-(propan-2-yloxy)phenyl]-4,5-dihydro-1H-imidazol-1-yl}carbonyl)piperazin-2-one", 4872 },
	{ "49J", "", "", ResidueType::NON_POLYMER, false, "2-methoxy-4-[3-(morpholin-4-yl)[1,2]thiazolo[4,3-b]pyridin-6-yl]aniline", 4873 },
	{ "49K", "", "", ResidueType::NON_POLYMER, false, "N-{[5-(4-fluorophenyl)-1H-pyrazol-4-yl]methyl}-N-methylethane-1,2-diamine", 4874 },
	{ "49L", "", "", ResidueType::NON_POLYMER, false, "N,N'-dimethyl-N-({3-[4-({trans-3-[2-(tetrahydro-2H-pyran-4-yl)ethoxy]cyclobutyl}oxy)phenyl]-1H-pyrazol-4-yl}methyl)ethane-1,2-diamine", 4875 },
	{ "49M", "", "", ResidueType::NON_POLYMER, false, "(1R)-1,5-anhydro-1-[(1E,3S,4S,5R)-4,5-dihydroxy-3-(nonacosanoylamino)nonadec-1-en-1-yl]-D-galactitol", 4876 },
	{ "49N", "", "", ResidueType::NON_POLYMER, false, "1-[3-(trifluoromethyl)pyridin-2-yl]piperazine", 4877 },
	{ "49O", "", "", ResidueType::NON_POLYMER, false, "2-(piperazin-1-yl)pyridine-3-carbonitrile", 4878 },
	{ "49P", "", "", ResidueType::NON_POLYMER, false, "1-[3-(trifluoromethyl)phenyl]-1H-pyrazol-4-ol", 4879 },
	{ "49Q", "", "", ResidueType::NON_POLYMER, false, "3-[4-(benzyloxy)phenyl]propan-1-ol", 4880 },
	{ "49R", "", "", ResidueType::NON_POLYMER, false, "tert-butyl (3R)-1,2,3,4-tetrahydroquinolin-3-ylcarbamate", 4881 },
	{ "49S", "", "", ResidueType::NON_POLYMER, false, "2-(acetylamino)-2-deoxy-beta-D-mannopyranuronic acid", 4882 },
	{ "49T", "", "", ResidueType::NON_POLYMER, false, "2-(acetylamino)-2,6-dideoxy-alpha-D-galactopyranose", 4883 },
	{ "49U", "", "", ResidueType::NON_POLYMER, false, "(S)-N-(4-carbamimidoylbenzyl)-1-(3-cyclopentylpropanoyl)pyrrolidine-2-carboxamide", 4884 },
	{ "49V", "", "", ResidueType::NON_POLYMER, false, "2-(acetylamino)-2,4-dideoxy-alpha-L-erythro-hex-4-enopyranuronic acid", 4885 },
	{ "49W", "", "", ResidueType::NON_POLYMER, false, "N'-[(2S,3S)-3-hydroxy-1-phenyl-4-{[2-(pyridin-2-yl)propan-2-yl]amino}butan-2-yl]-N,N-dipropyl-5-(pyridin-1(2H)-yl)benzene-1,3-dicarboxamide", 4886 },
	{ "49X", "", "", ResidueType::NON_POLYMER, false, "(1R)-1,5-anhydro-1-{(1E,3S,4S,5R)-4,5-dihydroxy-3-[(8-phenyloctanoyl)amino]nonadec-1-en-1-yl}-D-galactitol", 4887 },
	{ "49Y", "", "", ResidueType::NON_POLYMER, false, "(4Z)-9-[(1R,2R)-2-decylcyclopropyl]-N-[(2S,3S,4S)-1-(alpha-D-galactopyranosyloxy)-3,4-dihydroxyoctadecan-2-yl]non-4-enamide", 4888 },
	{ "49Z", "", "", ResidueType::NON_POLYMER, false, "2-(2-fluorophenyl)-N-[(5-methylthiophen-2-yl)methyl]ethanamine", 4889 },
	{ "4A0", "", "", ResidueType::NON_POLYMER, false, "2-[({2-[(3s,5s,7s)-tricyclo[3.3.1.1~3,7~]dec-1-yl]ethyl}amino)methyl]phenol", 4890 },
	{ "4A1", "", "", ResidueType::NON_POLYMER, false, "2-[(propylsulfonyl)amino]benzoic acid", 4891 },
	{ "4A2", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-(3-fluoranyl-4-methoxy-phenyl)imino-1-[[2-(trifluoromethyl)phenyl]methyl]-3H-benzimidazole-5-carboxylic acid", 4892 },
	{ "4A3", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-3-HYDROXYBENZOIC ACID", 4893 },
	{ "4A5", "", "", ResidueType::NON_POLYMER, false, "(4-bromo-3-cyclopropyl-1H-pyrazol-1-yl)acetic acid", 4894 },
	{ "4A6", "", "", ResidueType::NON_POLYMER, false, "[(1,2,3,4,5,6-eta)-1-methyl-4-(propan-2-yl)benzene]ruthenium", 4895 },
	{ "4A7", "", "", ResidueType::NON_POLYMER, false, "2,4-dimethoxy-N-(1-methyl-2-oxo-1,2,3,4-tetrahydroquinolin-6-yl)benzenesulfonamide", 4896 },
	{ "4A8", "", "", ResidueType::NON_POLYMER, false, "N-(1,3-dimethyl-2-oxo-2,3-dihydro-1H-benzimidazol-5-yl)-4-methoxybenzenesulfonamide", 4897 },
	{ "4A9", "", "", ResidueType::NON_POLYMER, false, "2-({6-[4-(2-hydroxyethyl)piperazin-1-yl]-2-methylpyrimidin-4-yl}amino)-N-(3-{[3-(trifluoromethyl)benzoyl]amino}phenyl)-1,3-thiazole-5-carboxamide", 4898 },
	{ "4AA", "", "", ResidueType::NON_POLYMER, false, "4-CHLORO-3-HYDROXYANTHRANILIC ACID", 4899 },
	{ "4AB", "", "", ResidueType::NON_POLYMER, false, "2,4-DIAMINO-6-[2,3-DIHYDROXY-PROP-3-YL]-5,6,7,8-TETRAHYDROPTERIDINE", 4900 },
	{ "4AC", "", "", ResidueType::RNA_LINKING, false, "N(4)-ACETYLCYTIDINE-5'-MONOPHOSPHATE", 4901 },
	{ "4AD", "", "", ResidueType::NON_POLYMER, false, "", 4902 },
	{ "4AE", "", "", ResidueType::NON_POLYMER, false, "N-[6-(4-methoxyphenoxy)-1,3-dimethyl-2-oxo-2,3-dihydro-1H-benzimidazol-5-yl]benzenesulfonamide", 4903 },
	{ "4AF", "", "", ResidueType::PEPTIDE_LINKING, false, "4-ACETYL-L-PHENYLALANINE", 4904 },
	{ "4AG", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-HYDROXYPROPANE-1,2-DIYL DIHEXADECANOATE", 4905 },
	{ "4AH", "", "", ResidueType::NON_POLYMER, false, "", 4906 },
	{ "4AJ", "", "", ResidueType::NON_POLYMER, false, "2,6-dichloro-4-[5-(3-hydroxyphenyl)-1,3,4-oxadiazol-2-yl]phenol", 4907 },
	{ "4AK", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-sulfo-L-lysine", 4908 },
	{ "4AL", "", "", ResidueType::NON_POLYMER, false, "[4-(aminomethyl)phenyl]methanol", 4909 },
	{ "4AM", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-2-DEOXY-2,3-DEHYDRO-N-NEURAMINIC ACID", 4910 },
	{ "4AN", "", "", ResidueType::NON_POLYMER, false, "6-AMINO-BENZO[DE]ISOQUINOLINE-1,3-DIONE", 4911 },
	{ "4AO", "", "", ResidueType::NON_POLYMER, false, "2-(4-ethoxy-8-methylquinazolin-2-yl)guanidine", 4912 },
	{ "4AP", "", "", ResidueType::NON_POLYMER, false, "4-AMINOPYRIDINE", 4913 },
	{ "4AQ", "", "", ResidueType::NON_POLYMER, false, "2-(1H-indol-3-yl)-N-[(1-methyl-1H-pyrrol-2-yl)methyl]ethanamine", 4914 },
	{ "4AR", "", "", ResidueType::PEPTIDE_LINKING, false, "amino({(4S)-4-amino-6-[(2,6-dimethylbenzoyl)oxy]-5-oxohexyl}amino)methaniminium", 4915 },
	{ "4AS", "", "", ResidueType::NON_POLYMER, false, "N-methyl-1-(1-methyl-1H-imidazol-2-yl)methanamine", 4916 },
	{ "4AT", "", "", ResidueType::NON_POLYMER, false, "5-OXOHEXANOIC ACID", 4917 },
	{ "4AU", "", "", ResidueType::NON_POLYMER, false, "1H-benzimidazol-2-yl(1H-pyrrol-2-yl)methanone", 4918 },
	{ "4AV", "", "", ResidueType::NON_POLYMER, false, "1-(2-chloro-5-nitrophenyl)-N-methylmethanamine", 4919 },
	{ "4AW", "", "", ResidueType::PEPTIDE_LINKING, false, "4-AZATRYPTOPHAN", 4920 },
	{ "4AX", "", "", ResidueType::NON_POLYMER, false, "(R)-4-AMINO-ISOXAZOLIDIN-3-ONE", 4921 },
	{ "4AY", "", "", ResidueType::NON_POLYMER, false, "4-(bromomethyl)benzoic acid", 4922 },
	{ "4AZ", "", "", ResidueType::NON_POLYMER, false, "4-(aminomethyl)benzoic acid", 4923 },
	{ "4B0", "", "", ResidueType::NON_POLYMER, false, "3-(4,5,6,7-tetrabromo-1H-benzotriazol-1-yl)propan-1-ol", 4924 },
	{ "4B1", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-N-[(3S,4S)-4-{benzyl[(4-nitrophenyl)sulfonyl]amino}pyrrolidin-3-yl]-3-nitrobenzenesulfonamide", 4925 },
	{ "4B2", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-[2,4-difluoro-5-(pyrimidin-5-yl)phenyl]-4-methyl-5,6-dihydro-4H-1,3-thiazin-2-amine", 4926 },
	{ "4B3", "", "", ResidueType::NON_POLYMER, false, "4-BROMO-3-(CARBOXYMETHOXY)-5-{3-[(3,3,5,5-TETRAMETHYLCYCLOHEXYL)AMINO]PHENYL}THIOPHENE-2-CARBOXYLIC ACID", 4927 },
	{ "?", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{(2R,4S,5S)-2-benzyl-5-[(tert-butoxycarbonyl)amino]-4-hydroxy-6-phenylhexanoyl}-L-leucyl-L-phenylalaninamide", 4928 },
	{ "4B7", "", "", ResidueType::NON_POLYMER, false, "2-({6-[4-(2-hydroxyethyl)piperazin-1-yl]-2-methylpyrimidin-4-yl}amino)-N-(4-phenoxyphenyl)-1,3-thiazole-5-carboxamide", 4929 },
	{ "4B8", "", "", ResidueType::NON_POLYMER, false, "2,6-dichloro-4-[5-(4-hydroxyphenyl)-1,3,4-oxadiazol-2-yl]phenol", 4930 },
	{ "4BA", "", "", ResidueType::NON_POLYMER, false, "4-[(2-CARBOXY-ETHYLAMINO)-METHYL]-BENZOIC ACID", 4931 },
	{ "4BB", "", "", ResidueType::NON_POLYMER, false, "4-tert-butyl-N'-[(1E)-(3,5-dibromo-2,4-dihydroxyphenyl)methylidene]benzohydrazide", 4932 },
	{ "4BC", "", "", ResidueType::NON_POLYMER, false, "4-(1,3-BENZODIOXOL-5-YL)-5-(5-ETHYL-2,4-DIHYDROXYPHENYL)-2H-PYRAZOLE-3-CARBOXYLIC ACID", 4933 },
	{ "4BD", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-{difluoro[(S)-hydroxy(phosphonooxy)phosphoryl]methyl}(hydroxy)phosphoryl]thymidine", 4934 },
	{ "4BE", "", "", ResidueType::NON_POLYMER, false, "4-bromo-N'-[(1E)-(3,5-dibromo-2,4-dihydroxyphenyl)methylidene]benzohydrazide", 4935 },
	{ "4BF", "", "", ResidueType::PEPTIDE_LINKING, false, "4-BROMO-L-PHENYLALANINE", 4936 },
	{ "4BG", "", "", ResidueType::NON_POLYMER, false, "N-[4-(benzyloxy)phenyl]glycinamide", 4937 },
	{ "4BH", "", "", ResidueType::NON_POLYMER, false, "4-CHLORO-6-(4-PIPERAZIN-1-YL-1H-PYRAZOL-5-YL)BENZENE-1,3-DIOL", 4938 },
	{ "4BI", "", "", ResidueType::NON_POLYMER, false, "(2S)-tert-butoxy[4-(4-chlorophenyl)-2-methylquinolin-3-yl]ethanoic acid", 4939 },
	{ "4BJ", "", "", ResidueType::NON_POLYMER, false, "N-{6-[3-(benzyloxy)phenoxy]-1,3-dimethyl-2-oxo-2,3-dihydro-1H-benzimidazol-5-yl}-3,4-dimethoxybenzenesulfonamide", 4940 },
	{ "4BK", "", "", ResidueType::NON_POLYMER, false, "N-{1,3-dimethyl-6-[3-(2-methylpropoxy)phenoxy]-2-oxo-2,3-dihydro-1H-benzimidazol-5-yl}-1,2-dimethyl-1H-imidazole-4-sulfonamide", 4941 },
	{ "4BL", "", "", ResidueType::NON_POLYMER, false, "6-methyl-1H-indole-2-carboxylic acid", 4942 },
	{ "4BM", "", "", ResidueType::NON_POLYMER, false, "N-{[(2R)-2,3-dihydroxypropyl]oxy}-3,4-difluoro-2-[(2-fluoro-4-iodophenyl)amino]benzamide", 4943 },
	{ "4BN", "", "", ResidueType::NON_POLYMER, false, "3-oxo-4-pregnene-20-carboxyl-Coenzyme A", 4944 },
	{ "4BO", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-amino-4-oxo-4-[(4-phenylmethoxyphenyl)amino]butanoic acid", 4945 },
	{ "4BP", "", "", ResidueType::NON_POLYMER, false, "4,4'-bis(bromomethyl)biphenyl", 4946 },
	{ "4BQ", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-5-oxo-5-[(4-phenylmethoxyphenyl)amino]pentanoic acid", 4947 },
	{ "4BR", "", "", ResidueType::NON_POLYMER, false, "2-(4-METHYLPHENOXY)ETHYLPHOSPHINATE", 4948 },
	{ "4BS", "", "", ResidueType::NON_POLYMER, false, "4-amino-N-[4-(benzyloxy)phenyl]butanamide", 4949 },
	{ "4BT", "", "", ResidueType::NON_POLYMER, false, "2-{2-[4-(2-CARBAMIMIDOYLSULFANYL-ETHYL)-PHENYL]-ETHYL}-ISOTHIOUREA", 4950 },
	{ "4BU", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-5-[[4-[(2S)-2-hydroxy-2-phenyl-ethoxy]phenyl]amino]-5-oxo-pentanoic acid", 4951 },
	{ "4BV", "", "", ResidueType::NON_POLYMER, false, "N-(1,3-dimethyl-2-oxo-6-{3-[(3S)-tetrahydrofuran-3-ylmethoxy]phenoxy}-2,3-dihydro-1H-benzimidazol-5-yl)-1-methyl-1H-imidazole-4-sulfonamide", 4952 },
	{ "4BW", "", "", ResidueType::NON_POLYMER, false, "", 4953 },
	{ "4BX", "", "", ResidueType::NON_POLYMER, false, "3-(1H-benzimidazol-2-yl)propanoic acid", 4954 },
	{ "4BY", "", "", ResidueType::NON_POLYMER, false, "5-methyl-1H-indole-2-carboxylic acid", 4955 },
	{ "4BZ", "", "", ResidueType::NON_POLYMER, false, "4-(HYDROXYMETHYL)BENZAMIDINE", 4956 },
	{ "4C0", "", "", ResidueType::NON_POLYMER, false, "3-(1H-benzimidazol-2-yl)-N-(3-phenylpropanoyl)-D-alanine", 4957 },
	{ "4C1", "", "", ResidueType::NON_POLYMER, false, "N-(6-{3-[4-(dimethylamino)butoxy]-5-propoxyphenoxy}-1,3-dimethyl-2-oxo-2,3-dihydro-1H-benzimidazol-5-yl)-3,4-dimethoxybenzenesulfonamide", 4958 },
	{ "4C2", "", "", ResidueType::NON_POLYMER, false, "N-[3,4-dioxo-2-(4-{[4-(trifluoromethyl)benzyl]amino}piperidin-1-yl)cyclobut-1-en-1-yl]-3,5-dimethyl-1,2-oxazole-4-sulfonamide", 4959 },
	{ "4C4", "", "", ResidueType::NON_POLYMER, false, "Myxopyronin B", 4960 },
	{ "4C6", "", "", ResidueType::NON_POLYMER, false, "3,5-dimethyl-N-{2-[4-(4-methylbenzyl)piperidin-1-yl]-3,4-dioxocyclobut-1-en-1-yl}-1,2-oxazole-4-sulfonamide", 4961 },
	{ "4C7", "", "", ResidueType::NON_POLYMER, false, "(3R,7S)-3,7,11-trimethyldodecyl trihydrogen diphosphate", 4962 },
	{ "4C8", "", "", ResidueType::NON_POLYMER, false, "2,4-dibromophenyl 2,4,6-tribromophenyl ether", 4963 },
	{ "4C9", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-({(3R)-3-[4-amino-3-(4-phenoxyphenyl)-1H-pyrazolo[3,4-d]pyrimidin-1-yl]piperidin-1-yl}carbonyl)-4,4-dimethylpentanenitrile", 4964 },
	{ "4CA", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXYBENZYL COENZYME A", 4965 },
	{ "4CB", "", "", ResidueType::NON_POLYMER, false, "4-CARBOXYPHENYLBORONIC ACID", 4966 },
	{ "4CC", "", "", ResidueType::NON_POLYMER, false, "N-[(2-{[(4-carbamimidoylphenyl)amino]methyl}-1-methyl-1H-benzimidazol-5-yl)carbonyl]-N-pyridin-2-yl-beta-alanine", 4967 },
	{ "4CD", "", "", ResidueType::NON_POLYMER, false, "4-chloro-6-{[(2R)-2-(2-methylphenyl)pyrrolidin-1-yl]carbonyl}benzene-1,3-diol", 4968 },
	{ "4CE", "", "", ResidueType::NON_POLYMER, false, "(2E)-N-[(1S)-1-[5-chloro-4-(4-hydroxy-2-oxo-1,2-dihydroquinolin-6-yl)-1H-imidazol-2-yl]-3-(4-methylpiperazin-1-yl)-3-oxopropyl]-3-[5-chloro-2-(1H-tetrazol-1-yl)phenyl]prop-2-enamide", 4969 },
	{ "4CF", "", "", ResidueType::PEPTIDE_LINKING, false, "4-cyano-L-phenylalanine", 4970 },
	{ "4CG", "", "", ResidueType::PEPTIDE_LINKING, false, "(1R,2Z)-2-[(2R)-2-amino-3-(phosphonooxy)propylidene]cyclopentanecarboxylic acid", 4971 },
	{ "4CH", "", "", ResidueType::NON_POLYMER, false, "4-chlorophenol", 4972 },
	{ "4CK", "", "", ResidueType::NON_POLYMER, false, "4-[(5-cyclopropyl-1H-pyrazol-3-yl)carbamoyl]benzoic acid", 4973 },
	{ "4CL", "", "", ResidueType::NON_POLYMER, false, "4-CHLOROBENZENE-1,2-DIOL", 4974 },
	{ "4CM", "", "", ResidueType::NON_POLYMER, false, "(4-CARBAMIMIDOYLPHENYL)-METHYL-PHOSPHINIC ACID", 4975 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "1-methyl-5-(2-methyl-1,3-thiazol-4-yl)-1,3-dihydro-2H-indol-2-one", 4976 },
	{ "4CO", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXYPHENACYL COENZYME A", 4977 },
	{ "4CP", "", "", ResidueType::NON_POLYMER, false, "2-[2-(4-CHLORO-PHENYLSULFANYL)-ACETYLAMINO]-3-(4-GUANIDINO-PHENYL)-PROPIONAMIDE", 4978 },
	{ "4CQ", "", "", ResidueType::SACCHARIDE, false, "6-O-alpha-D-Glucosyl-beta-cyclodextrin", 4979 },
	{ "4CR", "", "", ResidueType::NON_POLYMER, false, "(1R)-4-({[ETHYL(METHYL)AMINO]CARBONYL}OXY)-N-METHYL-N-[(1E)-PROP-2-EN-1-YLIDENE]INDAN-1-AMINIUM", 4980 },
	{ "4CS", "", "", ResidueType::NON_POLYMER, false, "(4S)-2-METHYL-1,4,5,6-TETRAHYDROPYRIMIDINE-4-CARBOXYLIC ACID", 4981 },
	{ "4CT", "", "", ResidueType::NON_POLYMER, false, "(3R,4S)-1-[(4-amino-5H-pyrrolo[3,2-d]pyrimidin-7-yl)methyl]-4-{[(4-chlorophenyl)sulfanyl]methyl}pyrrolidin-3-ol", 4982 },
	{ "4CU", "", "", ResidueType::NON_POLYMER, false, "(~{E})-3-[4-oxidanyl-3-(5-prop-2-enyl-2-propoxy-phenyl)phenyl]prop-2-enoic acid", 4983 },
	{ "4CV", "", "", ResidueType::NON_POLYMER, false, "3-[(5-bromo-7H-pyrrolo[2,3-d]pyrimidin-4-yl)amino]-N-methyl-4-(morpholin-4-yl)benzenesulfonamide", 4984 },
	{ "4CW", "", "", ResidueType::NON_POLYMER, false, "N-methyl-3-(9H-purin-6-ylamino)benzenesulfonamide", 4985 },
	{ "4CX", "", "", ResidueType::NON_POLYMER, false, "N-[3'-cyano-4'-(2-methylpropyl)-2-(trifluoromethyl)biphenyl-4-yl]-2-[4-(ethylsulfonyl)phenyl]acetamide", 4986 },
	{ "4CY", "", "", ResidueType::PEPTIDE_LINKING, false, "nitrilo-L-methionine", 4987 },
	{ "4CZ", "", "", ResidueType::NON_POLYMER, false, "2-[4-(ethylsulfonyl)phenyl]-N-{5-[2-(2-methylpropyl)benzoyl]-4-phenyl-1,3-thiazol-2-yl}acetamide", 4988 },
	{ "4D0", "", "", ResidueType::NON_POLYMER, false, "N-{[3-(biphenyl-4-yl)propanoyl]carbamoyl}-beta-D-glucopyranosylamine", 4989 },
	{ "4D1", "", "", ResidueType::NON_POLYMER, false, "N-({(2E)-3-[4-(propan-2-yl)phenyl]prop-2-enoyl}carbamoyl)-beta-D-glucopyranosylamine", 4990 },
	{ "4D2", "", "", ResidueType::NON_POLYMER, false, "5-[(2S)-4-methyl-2-[(pyridin-3-ylcarbonylamino)methyl]pentyl]-1,3-benzodioxole-4-carboxylic acid", 4991 },
	{ "4D3", "", "", ResidueType::NON_POLYMER, false, "methyl (2Z)-3-cyano-3-(4-fluorophenyl)prop-2-enoate", 4992 },
	{ "4D4", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,3R)-2-azanyl-5-carbamimidamido-3-oxidanyl-pentanoic acid", 4993 },
	{ "4D5", "", "", ResidueType::NON_POLYMER, false, "methyl (4-{4-chloro-2-[(1S)-1-({(2E)-3-[5-chloro-2-(1H-tetrazol-1-yl)phenyl]prop-2-enoyl}amino)-3-(morpholin-4-yl)-3-oxopropyl]-1H-imidazol-5-yl}phenyl)carbamate", 4994 },
	{ "4D6", "", "", ResidueType::NON_POLYMER, false, "{(3R,6S)-2-hydroxy-3-[(thiophen-2-ylacetyl)amino]-1,2-oxaborinan-6-yl}acetic acid", 4995 },
	{ "4D7", "", "", ResidueType::NON_POLYMER, false, "3-(1H-benzimidazol-2-yl)-N-[(2-methylfuran-3-yl)carbonyl]-D-alanine", 4996 },
	{ "4D8", "", "", ResidueType::NON_POLYMER, false, "(3beta,4alpha,5beta,14beta)-3-hydroxy-4-methylcholesta-8,24-diene-4-carboxylic acid", 4997 },
	{ "4D9", "", "", ResidueType::NON_POLYMER, false, "3-(1H-benzimidazol-2-yl)-N-(1-benzothiophen-2-ylcarbonyl)-D-alanine", 4998 },
	{ "4DB", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-4-[5-(dimethylamino)-1,3-dioxo-1,3-dihydro-2H-isoindol-2-yl]butanoic acid", 4999 },
	{ "4DC", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-cyclopentyl-2-[4-(methylsulfonyl)phenyl]-N-(1,3-thiazol-2-yl)propanamide", 5000 },
	{ "4DD", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-phenylbutan-2-amine", 5001 },
	{ "4DE", "", "", ResidueType::NON_POLYMER, false, "1-(4-METHOXYPHENYL)-3,5-DIMETHYL-1H-PYRAZOLE-4-CARBOXYLIC ACID ETHYL ESTER", 5002 },
	{ "4DF", "", "", ResidueType::NON_POLYMER, false, "5-chloro-N~2~-(1,1-dioxido-2,3-dihydro-1,2-benzothiazol-6-yl)-N~4~-ethyl-N~4~-(1H-indazol-4-yl)pyrimidine-2,4-diamine", 5003 },
	{ "4DG", "", "", ResidueType::DNA_HYDROXY_TERMINUS, false, "2-[(2-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)methoxy]ethyl dihydrogen phosphate", 5004 },
	{ "4DH", "", "", ResidueType::NON_POLYMER, false, "3-(1H-benzimidazol-2-yl)-N-[(1-methyl-3-phenyl-1H-pyrazol-5-yl)carbonyl]-D-alanine", 5005 },
	{ "4DI", "", "", ResidueType::NON_POLYMER, false, "4-(DIMETHYLAMINO)BUTYL IMIDOTHIOCARBAMATE", 5006 },
	{ "4DJ", "", "", ResidueType::NON_POLYMER, false, "3-(1H-indazol-4-yl{2-[(1-methyl-1H-indazol-5-yl)amino]pyrimidin-4-yl}amino)propan-1-ol", 5007 },
	{ "4DK", "", "", ResidueType::NON_POLYMER, false, "3-[1H-indazol-4-yl(2-{[3-(4-methyl-1,3-oxazol-5-yl)phenyl]amino}pyrimidin-4-yl)amino]propan-1-ol", 5008 },
	{ "4DL", "", "", ResidueType::NON_POLYMER, false, "2-[{2-[(1,1-dioxido-2,3-dihydro-1,2-benzothiazol-6-yl)amino]pyrimidin-4-yl}(1H-indazol-4-yl)amino]ethanol", 5009 },
	{ "4DM", "", "", ResidueType::NON_POLYMER, false, "(4aS,12aS)-3,10,11,12a-tetrahydroxy-6-methyl-1,12-dioxo-1,4,4a,5,12,12a-hexahydrotetracene-2-carboxamide", 5010 },
	{ "4DN", "", "", ResidueType::NON_POLYMER, false, "3-[{2-[(1,1-dioxido-2,3-dihydro-1,2-benzothiazol-6-yl)amino]pyrimidin-4-yl}(1H-indazol-4-yl)amino]propan-1-ol", 5011 },
	{ "4DO", "", "", ResidueType::NON_POLYMER, false, "N~2~-(1,1-dioxido-2,3-dihydro-1,2-benzothiazol-6-yl)-5-fluoro-N~4~-(1H-indazol-4-yl)-N~4~-methylpyrimidine-2,4-diamine", 5012 },
	{ "4DP", "", "", ResidueType::PEPTIDE_LINKING, false, "3-[5-(DIMETHYLAMINO)-1,3-DIOXO-1,3-DIHYDRO-2H-ISOINDOL-2-YL]-L-ALANINE", 5013 },
	{ "4DQ", "", "", ResidueType::NON_POLYMER, false, "N~2~-(1,1-dioxido-2,3-dihydro-1,2-benzothiazol-6-yl)-N~4~-ethyl-5-fluoro-N~4~-(1H-indazol-4-yl)pyrimidine-2,4-diamine", 5014 },
	{ "4DS", "", "", ResidueType::NON_POLYMER, false, "", 5015 },
	{ "4DT", "", "", ResidueType::NON_POLYMER, false, "3-[6-({4-[ethyl(1H-indazol-4-yl)amino]-5-fluoropyrimidin-2-yl}amino)-2,4-dihydro-1H-indazol-1-yl]propan-1-ol", 5016 },
	{ "4DU", "", "", ResidueType::DNA_LINKING, false, "1-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-1H-imidazo[4,5-c]pyridin-4-amine", 5017 },
	{ "4DV", "", "", ResidueType::NON_POLYMER, false, "", 5018 },
	{ "4DW", "", "", ResidueType::NON_POLYMER, false, "N-{4-[2-(2-amino-4-oxo-4,7-dihydro-3H-pyrrolo[2,3-d]pyrimidin-5-yl)ethyl]benzoyl}-L-glutamic acid", 5019 },
	{ "4DX", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-2-methylcyclohexanol", 5020 },
	{ "4DY", "", "", ResidueType::NON_POLYMER, false, "(6E)-N-(4-hydroxy-3-methoxybenzyl)-8-methylnon-6-enamide", 5021 },
	{ "4DZ", "", "", ResidueType::NON_POLYMER, false, "2-(9-chloro-1H-phenanthro[9,10-d]imidazol-2-yl)benzene-1,3-dicarbonitrile", 5022 },
	{ "4E1", "", "", ResidueType::NON_POLYMER, false, "10-iodo-11H-indolo[3,2-c]quinoline-6-carboxylic acid", 5023 },
	{ "4E2", "", "", ResidueType::NON_POLYMER, false, "10-chloro-2-iodo-11H-indolo[3,2-c]quinoline-6-carboxylic acid", 5024 },
	{ "4E3", "", "", ResidueType::NON_POLYMER, false, "10-bromo-2-iodo-11H-indolo[3,2-c]quinoline-6-carboxylic acid", 5025 },
	{ "4E4", "", "", ResidueType::NON_POLYMER, false, "2-ethyl-2-(hydroxymethyl)-N-(6-methylpyridin-3-yl)butanamide", 5026 },
	{ "4E5", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-(3-carboxy-5-hydroxyphenyl)-L-proline", 5027 },
	{ "4E6", "", "", ResidueType::NON_POLYMER, false, "(4E,6E)-hexadeca-1,4,6-triene", 5028 },
	{ "4E7", "", "", ResidueType::NON_POLYMER, false, "(3R,4S)-3-(3-carboxyphenyl)-4-propyl-L-proline", 5029 },
	{ "4E8", "", "", ResidueType::NON_POLYMER, false, "3-(3-fluorophenyl)-N-{2-[2-(1H-imidazol-1-yl)pyrimidin-4-yl]ethyl}propan-1-amine", 5030 },
	{ "4E9", "", "", ResidueType::DNA_LINKING, false, "", 5031 },
	{ "4EA", "", "", ResidueType::NON_POLYMER, false, "(1S)-2-(1H-INDOL-3-YL)-1-[({5-[(E)-2-PYRIDIN-4-YLVINYL]PYRIDIN-3-YL}OXY)METHYL]ETHYLAMINE", 5032 },
	{ "4EB", "", "", ResidueType::NON_POLYMER, false, "4-({2-[(2,4-DIMETHYLPHENYL)SULFANYL]ETHYL}AMINO)-N-[(4'-FLUORO-1,1'-BIPHENYL-4-YL)CARBONYL]-3-NITROBENZENESULFONAMIDE", 5033 },
	{ "4ED", "", "", ResidueType::NON_POLYMER, false, "5,6-dimethyl-2-[(E)-2-(pyridin-3-yl)ethenyl]-1,3-benzothiazole", 5034 },
	{ "4EE", "", "", ResidueType::NON_POLYMER, false, "6-(4-ethoxyphenyl)-3-(2-methoxyphenyl)-7H-[1,2,4]triazolo[3,4-b][1,3,4]thiadiazine", 5035 },
	{ "4EF", "", "", ResidueType::NON_POLYMER, false, "3-[(5-chloro-7H-pyrrolo[2,3-d]pyrimidin-4-yl)amino]-N-methyl-4-(morpholin-4-yl)benzenesulfonamide", 5036 },
	{ "4EG", "", "", ResidueType::NON_POLYMER, false, "methyl (2Z)-3-cyano-3-phenylprop-2-enoate", 5037 },
	{ "4EH", "", "", ResidueType::NON_POLYMER, false, "(3R,4S)-1-[(4-amino-5H-pyrrolo[3,2-d]pyrimidin-7-yl)methyl]-4-[(pyrazin-2-ylsulfanyl)methyl]pyrrolidin-3-ol", 5038 },
	{ "4EJ", "", "", ResidueType::NON_POLYMER, false, "4-[6-(benzylamino)imidazo[1,2-b]pyridazin-3-yl]benzonitrile", 5039 },
	{ "4EK", "", "", ResidueType::NON_POLYMER, false, "6-[(2R)-2-(3-fluorophenyl)pyrrolidin-1-yl]-3-(pyridin-2-yl)imidazo[1,2-b]pyridazine", 5040 },
	{ "4EL", "", "", ResidueType::NON_POLYMER, false, "3-(6-methoxypyridin-3-yl)-5-[({4-[(5-methyl-1,3,4-thiadiazol-2-yl)sulfamoyl]phenyl}amino)methyl]benzoic acid", 5041 },
	{ "4EM", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-hydroxy-2,2-dimethyl-4-oxo-4-{[3-oxo-3-({2-[(1H-pyrrol-2-ylcarbonyl)amino]ethyl}amino)propyl]amino}butyl dihydrogen phosphate", 5042 },
	{ "4EN", "", "", ResidueType::DNA_LINKING, false, "[(2R,3S,5R)-5-(4-azanylpyrazolo[3,4-d]pyrimidin-2-yl)-3-oxidanyl-oxolan-2-yl]methyl dihydrogen phosphate", 5043 },
	{ "4EO", "", "", ResidueType::NON_POLYMER, false, "1-(5-ethyl-2,4-dihydroxyphenyl)-1,3-dihydro-2H-benzimidazol-2-one", 5044 },
	{ "4EP", "", "", ResidueType::NON_POLYMER, false, "1-(2,4-dihydroxy-5-propylphenyl)-1,3-dihydro-2H-benzimidazol-2-one", 5045 },
	{ "4EQ", "", "", ResidueType::NON_POLYMER, false, "1-(5-chloro-2,4-dihydroxyphenyl)-5-({[dihydroxy(pyridin-3-yl)-lambda~4~-sulfanyl]amino}methyl)-1,3-dihydro-2H-benzimidazol-2-one", 5046 },
	{ "4ER", "", "", ResidueType::NON_POLYMER, false, "6-(2-chlorophenyl)-1,3,5-triazine-2,4-diamine", 5047 },
	{ "4ES", "", "", ResidueType::NON_POLYMER, false, "4-(2-chloro-4-nitrophenyl)-6-methylpyrimidin-2-amine", 5048 },
	{ "4ET", "", "", ResidueType::NON_POLYMER, false, "(5-chloro-2-hydroxyphenyl)(4-hydroxyphenyl)methanone", 5049 },
	{ "4EU", "", "", ResidueType::NON_POLYMER, false, "(2,4-dihydroxyphenyl)(4-hydroxyphenyl)methanone", 5050 },
	{ "4EV", "", "", ResidueType::NON_POLYMER, false, "(2,4-dihydroxyphenyl)(3-hydroxyphenyl)methanone", 5051 },
	{ "4EW", "", "", ResidueType::NON_POLYMER, false, "2-(5-chloro-1H-pyrrolo[2,3-b]pyridin-3-yl)-5-fluoro-N-[(1R,2S,3S,4R)-3-(1H-tetrazol-5-yl)bicyclo[2.2.2]oct-2-yl]pyrimidin-4-amine", 5052 },
	{ "4EX", "", "", ResidueType::NON_POLYMER, true, "(3~{a}~{S},6~{S},6~{a}~{R})-3~{a}-methyl-2,2-bis(oxidanyl)-6,6~{a}-dihydro-5~{H}-furo[2,3-d][1,3,2]dioxaborol-6-ol", 5053 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "1-[(2R,3R,4S,5R)-3,4-bis(oxidanyl)-5-(phosphonooxymethyl)oxolan-2-yl]-5-methanethioyl-pyridine-3-carbothioic S-acid", 5054 },
	{ "4EZ", "", "", ResidueType::NON_POLYMER, false, "{[(4-amino-5H-pyrrolo[3,2-d]pyrimidin-7-yl)methyl](hexyl)amino}methanol", 5055 },
	{ "4F0", "", "", ResidueType::NON_POLYMER, false, "(3S,4R)-1-[(4-amino-5H-pyrrolo[3,2-d]pyrimidin-7-yl)methyl]-4-[(methylsulfanyl)methyl]pyrrolidin-3-ol", 5056 },
	{ "4F1", "", "", ResidueType::NON_POLYMER, false, "4-{1-[2-chloro-6-(trifluoromethyl)benzoyl]-1H-indazol-3-yl}benzoic acid", 5057 },
	{ "4F2", "", "", ResidueType::NON_POLYMER, false, "1-{trans-4-[(8-cyclopentyl-7-oxo-7,8-dihydropyrido[2,3-d]pyrimidin-2-yl)amino]cyclohexyl}-3-propan-2-ylurea", 5058 },
	{ "4F3", "", "", ResidueType::PEPTIDE_LINKING, false, "[2-(1-AMINO-2-HYDROXY-PROPYL)-4-(4-FLUORO-1H-INDOL-3-YLMETHYL)-5-HYDROXY-IMIDAZOL-1-YL]-ACETIC ACID", 5059 },
	{ "4F4", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(1H-benzotriazol-1-ylacetyl)(thiophen-3-ylmethyl)amino]phenyl}thiophene-2-carboxamide", 5060 },
	{ "4F5", "", "", ResidueType::NON_POLYMER, false, "N-[4-(acetylamino)phenyl]-2-(1H-benzotriazol-1-yl)-N-[(1R)-2-(tert-butylamino)-2-oxo-1-(thiophen-3-yl)ethyl]acetamide", 5061 },
	{ "4F6", "", "", ResidueType::NON_POLYMER, false, "4-{6-[(3R)-3-(3-fluorophenyl)morpholin-4-yl]imidazo[1,2-b]pyridazin-3-yl}benzonitrile", 5062 },
	{ "4F7", "", "", ResidueType::NON_POLYMER, false, "2-[2-(4-phenyl-1H-imidazol-2-yl)ethyl]quinoxaline", 5063 },
	{ "4F8", "", "", ResidueType::NON_POLYMER, false, "2-PHENYL-1H-IMIDAZOLE-4,5-DICARBOXYLIC ACID", 5064 },
	{ "4F9", "", "", ResidueType::NON_POLYMER, false, "4-(1H-imidazol-5-yl)pyridine", 5065 },
	{ "4FA", "", "", ResidueType::NON_POLYMER, false, "4-FLUOROPHENETHYL ALCOHOL", 5066 },
	{ "4FB", "", "", ResidueType::PEPTIDE_LINKING, false, "(4S)-4-FLUORO-L-PROLINE", 5067 },
	{ "4FC", "", "", ResidueType::NON_POLYMER, false, "", 5068 },
	{ "4FD", "", "", ResidueType::NON_POLYMER, false, "6-(benzylamino)pyridine-3-carboxamide", 5069 },
	{ "4FE", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(3-hydroxy-4-methoxyphenyl)prop-2-enoic acid", 5070 },
	{ "4FF", "", "", ResidueType::NON_POLYMER, false, "5-METHYL-2-PHENYL-1H-IMIDAZOLE-4-CARBOXYLIC ACID", 5071 },
	{ "4FG", "", "", ResidueType::NON_POLYMER, false, "6-aminopyridine-3-carboxamide", 5072 },
	{ "4FH", "", "", ResidueType::NON_POLYMER, false, "1-hydroxy-4-(trifluoromethyl)pyridine-2(1H)-thione", 5073 },
	{ "4FI", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(2-methyl-5-phenyl-pyrazol-3-yl)carbonylamino]-3-naphthalen-2-yl-propanoic acid", 5074 },
	{ "4FJ", "", "", ResidueType::NON_POLYMER, false, "1'-[7-fluoro-3-methyl-2-(pyridin-2-yl)quinolin-4-yl]-6'-(morpholin-4-yl)-1',2,2',3,5,6-hexahydrospiro[pyran-4,3'-pyrrolo[3,2-b]pyridine]", 5075 },
	{ "4FL", "", "", ResidueType::NON_POLYMER, false, "4-(1H-imidazol-2-yl)pyridine", 5076 },
	{ "4FM", "", "", ResidueType::NON_POLYMER, false, "4-amino-N-(4-chlorobenzyl)-1,2,5-oxadiazole-3-carboxamide", 5077 },
	{ "4FN", "", "", ResidueType::NON_POLYMER, false, "N-(1-{[(3-tert-butylbenzoyl)amino]methyl}cyclohexyl)-2,1-benzoxazole-4-carboxamide", 5078 },
	{ "4FO", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-2,4-diaminobutanoic acid", 5079 },
	{ "4FP", "", "", ResidueType::NON_POLYMER, false, "4-(4-FLUOROBENZYL)PIPERIDINE", 5080 },
	{ "4FR", "", "", ResidueType::NON_POLYMER, false, "3'-chloro-5'-[6-({2-methoxy-4-[(1-methylpiperidin-4-yl)carbamoyl]phenyl}amino)-3-methyl-1H-pyrazolo[4,3-c]pyridin-1-yl]biphenyl-2-carboxamide", 5081 },
	{ "4FS", "", "", ResidueType::NON_POLYMER, false, "quinolin-3-amine", 5082 },
	{ "4FT", "", "", ResidueType::NON_POLYMER, false, "phthalazine", 5083 },
	{ "4FU", "", "", ResidueType::NON_POLYMER, false, "(1R,2S)-cyclohexane-1,2-dicarboxylic acid", 5084 },
	{ "4FV", "", "", ResidueType::NON_POLYMER, false, "4-amino-N-[(1R,3S)-3-hydroxycyclopentyl]-1,2,5-oxadiazole-3-carboxamide", 5085 },
	{ "4FW", "", "", ResidueType::PEPTIDE_LINKING, false, "4-FLUOROTRYPTOPHANE", 5086 },
	{ "4FX", "", "", ResidueType::NON_POLYMER, false, "6-[(2-methoxybenzyl)amino]pyridine-3-carboxamide", 5087 },
	{ "4FY", "", "", ResidueType::NON_POLYMER, false, "4-(MORPHOLIN-4-YLCARBONYL)-2-PHENYL-1H-IMIDAZOLE-5-CARBOXYLIC ACID", 5088 },
	{ "4FZ", "", "", ResidueType::NON_POLYMER, false, "4-formylbenzenecarboximidamide", 5089 },
	{ "4G0", "", "", ResidueType::NON_POLYMER, false, "6-{[3-(dimethylamino)benzyl]amino}pyridine-3-carboxamide", 5090 },
	{ "4G1", "", "", ResidueType::NON_POLYMER, false, "N-(1-{[(3-methylbenzoyl)amino]methyl}cyclopentyl)-2,1-benzoxazole-4-carboxamide", 5091 },
	{ "4G2", "", "", ResidueType::NON_POLYMER, false, "2-(3-CHLORO-PHENYL)-5-METHYL-1H-IMIDAZOLE-4-CARBOXYLIC ACID", 5092 },
	{ "4G3", "", "", ResidueType::NON_POLYMER, false, "6-[(3-hydroxybenzyl)amino]pyridine-3-carboxamide", 5093 },
	{ "4G4", "", "", ResidueType::NON_POLYMER, false, "6-{[2-(dimethylamino)benzyl]amino}pyridine-3-carboxamide", 5094 },
	{ "4G5", "", "", ResidueType::NON_POLYMER, false, "4-[(2-amino-2-oxoethyl)(methyl)carbamoyl]-2-phenyl-1H-imidazole-5-carboxylic acid", 5095 },
	{ "4G6", "", "", ResidueType::NON_POLYMER, false, "2-methylpropane-1,2-diamine", 5096 },
	{ "4G7", "", "", ResidueType::NON_POLYMER, false, "3-({[2-(carboxymethoxy)-4-fluorobenzoyl]amino}methyl)benzoic acid", 5097 },
	{ "4G8", "", "", ResidueType::NON_POLYMER, false, "4-[BENZYL(CARBOXYMETHYL)CARBAMOYL]-2-PHENYL-1H-IMIDAZOLE-5-CARBOXYLIC ACID", 5098 },
	{ "4G9", "", "", ResidueType::NON_POLYMER, false, "2-chloro-N-[4-chloro-3-(dimethylsulfamoyl)phenyl]acetamide", 5099 },
	{ "4GA", "", "", ResidueType::NON_POLYMER, false, "1-butyl-3-(2-hydroxy-2,2-diphosphonoethyl)-1H-imidazol-3-ium", 5100 },
	{ "4GB", "", "", ResidueType::NON_POLYMER, false, "N-{5-(azepan-1-ylsulfonyl)-2-[(ethylsulfanyl)methoxy]phenyl}acetamide", 5101 },
	{ "4GC", "", "", ResidueType::SACCHARIDE_LINKING, false, "Beta-D-glucopyranosyl-(1->4)-beta-D-glucopyranosyl-(1->4)-beta-D-glucopyranosyl-(1->4)-alpha-D-glucopyranose", 5102 },
	{ "4GD", "", "", ResidueType::NON_POLYMER, false, "N-(3-methyl-1-phenyl-1H-pyrazol-5-yl)pyrazolo[1,5-a]pyrimidine-3-carboxamide", 5103 },
	{ "4GE", "", "", ResidueType::NON_POLYMER, false, "5-[BENZYL(METHYL)CARBAMOYL]-2-(3-CHLOROPHENYL)-1H-IMIDAZOLE-4-CARBOXYLIC ACID", 5104 },
	{ "4GF", "", "", ResidueType::NON_POLYMER, false, "N-{1-(4-cyclopropyl-2-fluorophenyl)-3-[1-(propan-2-yl)piperidin-4-yl]-1H-pyrazol-5-yl}pyrazolo[1,5-a]pyrimidine-3-carboxamide", 5105 },
	{ "4GG", "", "", ResidueType::NON_POLYMER, false, "2-(ethylsulfanyl)-N-methyl-N-[(1-phenyl-1H-pyrazol-4-yl)methyl]acetamide", 5106 },
	{ "4GH", "", "", ResidueType::NON_POLYMER, false, "N-{(2S,3R)-1-[(4-deoxy-alpha-D-xylo-hexopyranosyl)oxy]-3-hydroxyoctadecan-2-yl}hexacosanamide", 5107 },
	{ "4GI", "", "", ResidueType::NON_POLYMER, false, "3-(pyridin-3-yl)propyl (2S)-1-[(3-nitrophenyl)sulfonyl]piperidine-2-carboxylate", 5108 },
	{ "4GJ", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(pyridin-4-yldisulfanyl)-L-alanine", 5109 },
	{ "4GK", "", "", ResidueType::NON_POLYMER, false, "2-[2-(5,8-dimethyl[1,2,4]triazolo[1,5-a]pyrazin-2-yl)ethyl]-3-methyl-3H-imidazo[4,5-f]quinoline", 5110 },
	{ "4GM", "", "", ResidueType::NON_POLYMER, false, "6-[(2-hydroxybenzyl)amino]pyridine-3-carboxamide", 5111 },
	{ "4GN", "", "", ResidueType::NON_POLYMER, false, "6-[(cyclopentylmethyl)amino]pyridine-3-carboxamide", 5112 },
	{ "4GO", "", "", ResidueType::NON_POLYMER, false, "6-(cyclopentylamino)pyridine-3-carboxamide", 5113 },
	{ "4GP", "", "", ResidueType::NON_POLYMER, false, "N-(BETA-D-GLUCOPYRANOSYL)OXAMIC ACID", 5114 },
	{ "4GQ", "", "", ResidueType::NON_POLYMER, false, "N-cyclohexyl-N~3~-[2-(3,4-dichlorophenyl)ethyl]-N-(2-{[(2R)-2-hydroxy-2-(3-oxo-3,4-dihydro-2H-1,4-benzoxazin-8-yl)ethyl]amino}ethyl)-beta-alaninamide", 5115 },
	{ "4GR", "", "", ResidueType::NON_POLYMER, false, "methyl (4-{4-chloro-2-[(1S)-1-({(2E)-3-[5-chloro-2-(1H-tetrazol-1-yl)phenyl]prop-2-enoyl}amino)-2-phenylethyl]-1H-imidazol-5-yl}phenyl)carbamate", 5116 },
	{ "4GS", "", "", ResidueType::NON_POLYMER, false, "4-amino-N-(piperidin-4-yl)-1,2,5-oxadiazole-3-carboxamide", 5117 },
	{ "4GT", "", "", ResidueType::NON_POLYMER, false, "4-amino-2-(cyclopentylamino)pyrimidine-5-carboxamide", 5118 },
	{ "4GU", "", "", ResidueType::NON_POLYMER, false, "N-(2-fluorophenyl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 5119 },
	{ "4GW", "", "", ResidueType::NON_POLYMER, false, "", 5120 },
	{ "4GX", "", "", ResidueType::NON_POLYMER, false, "(4-amino-1,2,5-oxadiazol-3-yl)[4-(pyridin-2-ylmethyl)piperazin-1-yl]methanone", 5121 },
	{ "4GY", "", "", ResidueType::NON_POLYMER, false, "4-amino-N-(cyclohexylmethyl)-1,2,5-oxadiazole-3-carboxamide", 5122 },
	{ "4GZ", "", "", ResidueType::NON_POLYMER, false, "6-{[(1-{2-[(3-methylbenzoyl)amino]ethyl}cyclohexyl)methyl]amino}pyridine-3-carboxamide", 5123 },
	{ "4H0", "", "", ResidueType::PEPTIDE_LIKE, false, "(3S)-3-amino-4-oxo-5-(2,3,5,6-tetrafluorophenoxy)pentanoic acid", 5124 },
	{ "4H1", "", "", ResidueType::NON_POLYMER, false, "6-({[(1R,3S)-3-(aminomethyl)cyclohexyl]methyl}amino)pyridine-3-carboxamide", 5125 },
	{ "4H2", "", "", ResidueType::NON_POLYMER, false, "4-methylpyridine-2(1H)-thione", 5126 },
	{ "4H3", "", "", ResidueType::NON_POLYMER, false, "6-{[(1R,3S,4R)-3-hydroxy-4-(hydroxymethyl)cyclopentyl]amino}pyridine-3-carboxamide", 5127 },
	{ "4H4", "", "", ResidueType::NON_POLYMER, false, "4-amino-N-[(1S,2R)-2-(4-sulfamoylphenyl)cyclopropyl]-1,2,5-oxadiazole-3-carboxamide", 5128 },
	{ "4H5", "", "", ResidueType::NON_POLYMER, false, "(1-chloro-7-methoxy-9H-beta-carbolin-9-yl)acetonitrile", 5129 },
	{ "4H6", "", "", ResidueType::NON_POLYMER, false, "6-{[2-(morpholin-4-yl)benzyl]amino}pyridine-3-carboxamide", 5130 },
	{ "4H7", "", "", ResidueType::NON_POLYMER, false, "6-{[2-(4-methylpiperazin-1-yl)benzyl]amino}pyridine-3-carboxamide", 5131 },
	{ "4H8", "", "", ResidueType::NON_POLYMER, false, "4-amino-2-[(2,2-dimethylpropyl)amino]pyrimidine-5-carboxamide", 5132 },
	{ "4H9", "", "", ResidueType::NON_POLYMER, false, "(5-amino-1H-1,2,4-triazol-1-yl)(4-methoxyphenyl)methanone", 5133 },
	{ "4HA", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXYBUTAN-1-AMINIUM", 5134 },
	{ "4HB", "", "", ResidueType::NON_POLYMER, false, "4,4'-DIHYDROXYBIPHENYL", 5135 },
	{ "4HC", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-2H-CHROMEN-2-ONE", 5136 },
	{ "4HD", "", "", ResidueType::NON_POLYMER, false, "(4S,5E,7Z,10Z,13Z,16Z,19Z)-4-hydroxydocosa-5,7,10,13,16,19-hexaenoic acid", 5137 },
	{ "4HE", "", "", ResidueType::NON_POLYMER, false, "(4-chlorophenyl)[3,3'-(7,12-diethenyl-3,8,13,17-tetramethylporphyrin-2,18-diyl-kappa~4~N~21~,N~22~,N~23~,N~24~)di(propanoato)(2-)]iron", 5138 },
	{ "4HF", "", "", ResidueType::NON_POLYMER, false, "N-[(5-{2-[(6R)-2-AMINO-4-OXO-3,4,5,6,7,8-HEXAHYDROPYRIDO[2,3-D]PYRIMIDIN-6-YL]ETHYL}-2-THIENYL)CARBONYL]-L-GLUTAMIC ACID", 5139 },
	{ "4HG", "", "", ResidueType::NON_POLYMER, false, "N-[(4-HYDROXY-8-IODOISOQUINOLIN-3-YL)CARBONYL]GLYCINE", 5140 },
	{ "4HH", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[(S)-hydroxy{[(3R)-3-hydroxy-2,2-dimethyl-4-oxo-4-({3-oxo-3-[(2-sulfanylethyl)amino]propyl}amino)butyl]oxy}phosphoryl]-L-serine", 5141 },
	{ "4HI", "", "", ResidueType::NON_POLYMER, false, "(3R,5R)-7-[4-(benzylcarbamoyl)-2-(4-fluorophenyl)-5-(1-methylethyl)-1H-imidazol-1-yl]-3,5-dihydroxyheptanoic acid", 5142 },
	{ "4HJ", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[(R)-hydroxy{[(3R)-3-hydroxy-4-{[3-({2-[(2-hydroxybenzoyl)sulfanyl]ethyl}amino)-3-oxopropyl]amino}-2,2-dimethyl-4-oxobutyl]oxy}phosphoryl]-L-serine", 5143 },
	{ "4HK", "", "", ResidueType::NON_POLYMER, false, "5-{7-ethyl-6-[(3S)-tetrahydrofuran-3-yloxy]-2,4-dihydroindeno[1,2-c]pyrazol-3-yl}pyridine-2-carbonitrile", 5144 },
	{ "4HL", "", "", ResidueType::PEPTIDE_LINKING, false, "(6E)-4-[(2S)-2-amino-2-carboxyethyl]-6-[2-(4-hydroxybenzyl)hydraziniumylidene]-3-oxocyclohexa-1,4-dien-1-olate", 5145 },
	{ "4HM", "", "", ResidueType::NON_POLYMER, false, "4-HYDROPEROXY-2-METHOXY-PHENOL", 5146 },
	{ "4HN", "", "", ResidueType::NON_POLYMER, false, "2-(2'-ETHOXYBIPHENYL-4-YL)-4-HYDROXY-1,6-NAPHTHYRIDINE-3-CARBONITRILE", 5147 },
	{ "4HO", "", "", ResidueType::NON_POLYMER, false, "1-hydroxy-4-methylpyridin-2(1H)-one", 5148 },
	{ "4HP", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXYPHENYLACETATE", 5149 },
	{ "4HQ", "", "", ResidueType::NON_POLYMER, false, "(4-amino-1,2,5-oxadiazol-3-yl)(4-methylpiperazin-1-yl)methanone", 5150 },
	{ "4HR", "", "", ResidueType::NON_POLYMER, false, "(2-bromophenyl)methanol", 5151 },
	{ "4HS", "", "", ResidueType::NON_POLYMER, false, "5-bromopyridin-2(1H)-one", 5152 },
	{ "4HT", "", "", ResidueType::PEPTIDE_LINKING, false, "4-HYDROXYTRYPTOPHAN", 5153 },
	{ "4HU", "", "", ResidueType::NON_POLYMER, false, "(6-bromopyridin-2-yl)methanol", 5154 },
	{ "4HV", "", "", ResidueType::NON_POLYMER, false, "N-[(2R)-1-(3-cyanophenyl)-3-hydroxypropan-2-yl]-5-(3,4-dimethoxyphenyl)furan-3-carboxamide", 5155 },
	{ "4HW", "", "", ResidueType::NON_POLYMER, false, "N~3~-phenyl-1-[6-(phenylamino)pyrimidin-4-yl]-1H-1,2,4-triazole-3,5-diamine", 5156 },
	{ "4HX", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-(HYDROXY{N~5~-[IMINO(NITROAMINO)METHYL]-L-ORNITHYL}AMINO)-L-PROLINAMIDE", 5157 },
	{ "4HY", "", "", ResidueType::NON_POLYMER, false, "[4-(4-HYDROXY-3-IODO-PHENOXY)-3,5-DIIODO-PHENYL]-ACETIC ACID", 5158 },
	{ "4HZ", "", "", ResidueType::NON_POLYMER, false, "N~2~-[2-(5-chloro-1H-pyrrolo[2,3-b]pyridin-3-yl)-5-fluoropyrimidin-4-yl]-N-(2,2,2-trifluoroethyl)-L-alaninamide", 5159 },
	{ "4I4", "", "", ResidueType::NON_POLYMER, false, "(5R,6R,8S)-8-(3-{[AMINO(IMINO)METHYL]AMINO}PHENYL)-5-CYCLOHEXYL-6-HYDROXY-3-OXO-1-PHENYL-2,7-DIOXA-4-AZA-6-PHOSPHANONAN-9-OIC ACID 6-OXIDE", 5160 },
	{ "4I5", "", "", ResidueType::NON_POLYMER, false, "(6S)-2-chloro-5,6,7,8,9,10-hexahydrocyclohepta[b]indole-6-carboxamide", 5161 },
	{ "4I8", "", "", ResidueType::NON_POLYMER, false, "methyl 2-oxidanylidene-3~{H}-1,3-benzoxazole-6-carboxylate", 5162 },
	{ "4IA", "", "", ResidueType::NON_POLYMER, false, "4-propan-2-ylbenzoic acid", 5163 },
	{ "4IC", "", "", ResidueType::NON_POLYMER, false, "(3E)-4-(1H-imidazol-4-yl)but-3-enoic acid", 5164 },
	{ "4ID", "", "", ResidueType::NON_POLYMER, false, "2-({5-[(2,4-dimethylphenyl)sulfonyl]-6-oxo-1,6-dihydropyrimidin-2-yl}sulfanyl)-N-[2-(trifluoromethyl)phenyl]acetamide", 5165 },
	{ "4IG", "", "", ResidueType::NON_POLYMER, false, "(2S)-6-(2,4-DIAMINO-6-ETHYLPYRIMIDIN-5-YL)-2-(3,5-DIFLUOROPHENYL)-4-(3-METHOXYPROPYL)-2H-1,4-BENZOXAZIN-3(4H)-ONE", 5166 },
	{ "4IH", "", "", ResidueType::NON_POLYMER, false, "~{N}-[3-[(3-chloranyl-4-phenyl-phenyl)methylamino]propyl]methanesulfonamide", 5167 },
	{ "4IK", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,5S)-2,6-diamino-5-{[(2R,3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]methyl}hexanoic acid", 5168 },
	{ "4IN", "", "", ResidueType::PEPTIDE_LINKING, false, "4-AMINO-L-TRYPTOPHAN", 5169 },
	{ "4IP", "ITS", "", ResidueType::NON_POLYMER, false, "INOSITOL-(1,3,4,5)-TETRAKISPHOSPHATE", 5170 },
	{ "4IR", "", "", ResidueType::NON_POLYMER, false, "{N-(4-{[2-(amino-kappaN)ethyl]sulfamoyl-kappaN}phenyl)-5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanamide}(chloro)[(1,2,3,4,5-eta)-1,2,3,4,5-pentamethylcyclopentadienyl]iridium(III)", 5171 },
	{ "4J0", "", "", ResidueType::NON_POLYMER, false, "", 5172 },
	{ "4J2", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-2-amino-3-(naphthalen-2-yl)propanoic acid", 5173 },
	{ "4J3", "", "", ResidueType::NON_POLYMER, false, "amino(aminooxy)sulfane dioxide", 5174 },
	{ "4J4", "", "", ResidueType::PEPTIDE_LINKING, false, "S-(2-{[(2',4'-difluorobiphenyl-4-yl)methyl]amino}-2-oxoethyl)-L-cysteine", 5175 },
	{ "4J6", "", "", ResidueType::NON_POLYMER, false, "(4R,5S)-5-[(2S,3R)-3-hydroxy-1-oxobutan-2-yl]-4-methyl-3-({(3S,5S)-5-[(sulfamoylamino)methyl]pyrrolidin-3-yl}sulfanyl)-4,5-dihydro-1H-pyrrole-2-carboxylic acid", 5176 },
	{ "4J7", "", "", ResidueType::NON_POLYMER, false, "2-({2-fluoro-4-[(2-fluoro-3-nitrobenzyl)sulfonyl]phenyl}sulfanyl)-5-methoxy-N-(3-methyl-1H-pyrazol-5-yl)-6-(morpholin-4-yl)pyrimidin-4-amine", 5177 },
	{ "4J8", "", "", ResidueType::NON_POLYMER, false, "4-methylbenzenesulfonamide", 5178 },
	{ "4J9", "", "", ResidueType::NON_POLYMER, false, "", 5179 },
	{ "4JA", "", "", ResidueType::DNA_LINKING, false, "(2S)-3-[(6-deoxy-beta-D-glucopyranosyl)oxy]-2-hydroxypropyl dihydrogen phosphate", 5180 },
	{ "4JC", "", "", ResidueType::NON_POLYMER, false, "4-ethylbenzenesulfonamide", 5181 },
	{ "4JE", "", "", ResidueType::NON_POLYMER, false, "4-propylbenzenesulfonamide", 5182 },
	{ "4JF", "", "", ResidueType::NON_POLYMER, false, "", 5183 },
	{ "4JG", "", "", ResidueType::NON_POLYMER, false, "1-[4-methyl-2-(naphthalen-2-ylamino)-1,3-thiazol-5-yl]ethanone", 5184 },
	{ "4JH", "", "", ResidueType::NON_POLYMER, false, "1-(3-bromophenyl)methanamine", 5185 },
	{ "4JJ", "", "", ResidueType::NON_POLYMER, false, "4-chlorobenzene-1,2-diamine", 5186 },
	{ "4JK", "", "", ResidueType::NON_POLYMER, false, "(S)-2-AMINO-5-(2-HYDROXYACETIMIDAMIDO)PENTANOIC ACID", 5187 },
	{ "4JL", "", "", ResidueType::NON_POLYMER, false, "(4-chlorophenyl)methanol", 5188 },
	{ "4JM", "", "", ResidueType::NON_POLYMER, false, "4-(methylsulfanyl)aniline", 5189 },
	{ "4JN", "", "", ResidueType::NON_POLYMER, false, "6-bromopyridin-3-amine", 5190 },
	{ "4JO", "", "", ResidueType::NON_POLYMER, false, "5-bromo-6-methylpyridin-2-amine", 5191 },
	{ "4JP", "", "", ResidueType::NON_POLYMER, false, "1H-pyrrolo[3,2-b]pyridine", 5192 },
	{ "4JQ", "", "", ResidueType::NON_POLYMER, false, "6-amino-2H-chromen-2-one", 5193 },
	{ "4JR", "", "", ResidueType::NON_POLYMER, false, "2-(biphenyl-4-yl)-8-[(1-methyl-1H-imidazol-2-yl)methyl]-2,8-diazaspiro[4.5]decan-1-one", 5194 },
	{ "4JS", "", "", ResidueType::NON_POLYMER, false, "N-(quinolin-3-yl)propanamide", 5195 },
	{ "4JT", "", "", ResidueType::NON_POLYMER, false, "2H-1,4-benzothiazin-3-amine", 5196 },
	{ "4JU", "", "", ResidueType::NON_POLYMER, false, "trans-4-methylcyclohexanamine", 5197 },
	{ "4JV", "", "", ResidueType::NON_POLYMER, false, "5-[(4-methylbenzyl)oxy]quinazoline-2,4-diamine", 5198 },
	{ "4JW", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-methyl-N-phenyl-2,3-dihydro-1,4-benzodioxine-2-carboxamide", 5199 },
	{ "4JX", "", "", ResidueType::NON_POLYMER, false, "N-[(1R,2s,3S,5s,7s)-5-hydroxytricyclo[3.3.1.1~3,7~]dec-2-yl]-5,7-dimethylpyrazolo[1,5-a]pyrimidine-3-carboxamide", 5200 },
	{ "4JY", "", "", ResidueType::NON_POLYMER, false, "4-[[(R)-(5-ethoxy-2-fluoranyl-3-propan-2-yloxy-phenyl)-(4-phenyl-1H-imidazol-2-yl)methyl]amino]benzenecarboximidamide", 5201 },
	{ "4JZ", "", "", ResidueType::NON_POLYMER, false, "1-[5-tert-butyl-2-(4-methylphenyl)-1,2-dihydro-3H-pyrazol-3-ylidene]-3-{3-[(pyridin-3-yloxy)methyl]-1H-pyrazol-5-yl}urea", 5202 },
	{ "4K0", "", "", ResidueType::NON_POLYMER, false, "4-[3-(1H-pyrrolo[2,3-b]pyridin-3-ylmethyl)-[1,2,4]triazolo[4,3-b][1,2,4]triazin-6-yl]benzenecarbonitrile", 5203 },
	{ "4K1", "", "", ResidueType::NON_POLYMER, false, "2-[2-[(R)-[(4-carbamimidoylphenyl)amino]-(5-ethoxy-2-fluoranyl-3-propan-2-yloxy-phenyl)methyl]-1H-imidazol-4-yl]benzamide", 5204 },
	{ "4K2", "", "", ResidueType::NON_POLYMER, false, "quinolin-8-yl piperidine-1-carboxylate", 5205 },
	{ "4K3", "", "", ResidueType::NON_POLYMER, false, "N-phenyl-3-sulfanylpropanamide", 5206 },
	{ "4K4", "", "", ResidueType::NON_POLYMER, false, "2-[(2-methoxy-4-{[4-(4-methylpiperazin-1-yl)piperidin-1-yl]carbonyl}phenyl)amino]-5,11-dimethyl-5,11-dihydro-6H-pyrimido[4,5-b][1,4]benzodiazepin-6-one", 5207 },
	{ "4K5", "", "", ResidueType::NON_POLYMER, false, "(4-{[4-(cyclopropylamino)-5-(trifluoromethyl)pyrimidin-2-yl]amino}-2-fluoro-5-methoxyphenyl)(morpholin-4-yl)methanone", 5208 },
	{ "4K6", "", "", ResidueType::NON_POLYMER, false, "N-[2-(5,6-dimethyl-1H-benzimidazol-2-yl)ethyl]-4-(4H-1,2,4-triazol-4-yl)benzamide", 5209 },
	{ "4K7", "", "", ResidueType::NON_POLYMER, false, "(5R)-2-(3,4-dichlorobenzyl)-N-(4-methylbenzyl)-2,7-diazaspiro[4.5]decane-7-carboxamide", 5210 },
	{ "4K8", "", "", ResidueType::NON_POLYMER, false, "isoquinoline-3-carboxylic acid", 5211 },
	{ "4K9", "", "", ResidueType::NON_POLYMER, false, "4-(3,4-dihydroquinolin-1(2H)-ylcarbonyl)benzenesulfonamide", 5212 },
	{ "4KA", "", "", ResidueType::NON_POLYMER, false, "3-methyl-1,5-dihydropyrazolo[4,3-c]pyrazole", 5213 },
	{ "4KB", "", "", ResidueType::NON_POLYMER, false, "4-[(6,7-dihydroxy-3,4-dihydroisoquinolin-2(1H)-yl)carbonyl]benzenesulfonamide", 5214 },
	{ "4KC", "", "", ResidueType::NON_POLYMER, false, "4-(3,4-dihydroisoquinolin-2(1H)-ylcarbonyl)benzenesulfonamide", 5215 },
	{ "4KD", "", "", ResidueType::NON_POLYMER, false, "4-[(6,7-dimethoxy-3,4-dihydro-1H-isoquinolin-2-yl)carbonyl]benzenesulfonamide", 5216 },
	{ "4KE", "", "", ResidueType::NON_POLYMER, false, "(3R,4S,5R)-3,4-dihydroxy-5-{[(2E)-3-(4-hydroxyphenyl)prop-2-enoyl]oxy}cyclohex-1-ene-1-carboxylic acid", 5217 },
	{ "4KF", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-2-{(1R)-2-[(3,5-dimethoxybenzyl)amino]-1-hydroxy-2-oxoethyl}-3-methylpentanoic acid", 5218 },
	{ "4KG", "", "", ResidueType::NON_POLYMER, false, "2-amino-7-phenyl-3-{[(2R,5S)-5-phenyltetrahydrofuran-2-yl]methyl}quinazolin-4(3H)-one", 5219 },
	{ "4KH", "", "", ResidueType::NON_POLYMER, false, "2-fluoro-N-[4-(pyridin-4-yl)-1,3-thiazol-2-yl]benzamide", 5220 },
	{ "4KJ", "", "", ResidueType::NON_POLYMER, false, "(5E)-5-[(N-methoxy-N-methylcarbamimidoyl)imino]-L-norvaline", 5221 },
	{ "4KK", "", "", ResidueType::NON_POLYMER, false, "2-(3-methoxyphenyl)-N-[4-(pyridin-4-yl)-1,3-thiazol-2-yl]acetamide", 5222 },
	{ "4KL", "", "", ResidueType::NON_POLYMER, false, "Xanthuric acid", 5223 },
	{ "4KM", "", "", ResidueType::NON_POLYMER, false, "tert-butyl 2-[[4-[ethanoyl(methyl)amino]phenoxy]methyl]-5-(trifluoromethyl)benzoate", 5224 },
	{ "4KN", "", "", ResidueType::NON_POLYMER, false, "2-(4-fluorophenoxy)-1-(2,3,4-trihydroxyphenyl)ethanone", 5225 },
	{ "4KO", "", "", ResidueType::NON_POLYMER, false, "(6R,7S)-7-({[(cyanomethyl)sulfanyl]acetyl}amino)-7-methoxy-3-{[(1-methyl-1H-tetrazol-5-yl)sulfanyl]methyl}-8-oxo-5-thia-1-azabicyclo[4.2.0]oct-2-ene-2-carboxylic acid", 5226 },
	{ "4KP", "", "", ResidueType::NON_POLYMER, false, "8-[(6-iodo-1,3-benzodioxol-5-yl)sulfanyl]-9-[6-(triphenyl-lambda~5~-phosphanyl)hexyl]-9H-purin-6-amine", 5227 },
	{ "4KQ", "", "", ResidueType::NON_POLYMER, false, "2-[4-[4-[[2-[(2-methylpropan-2-yl)oxycarbonyl]-3-oxidanyl-4-(trifluoromethyl)phenyl]methoxy]phenyl]phenyl]ethanoic acid", 5228 },
	{ "4KR", "", "", ResidueType::NON_POLYMER, false, "7-aminocephalosporanic acid", 5229 },
	{ "4KS", "", "", ResidueType::NON_POLYMER, false, "4-methoxyphenol", 5230 },
	{ "4KT", "", "", ResidueType::NON_POLYMER, false, "4-methoxy-3-[2-[(3-methoxy-4-morpholin-4-yl-phenyl)amino]pyridin-4-yl]benzenecarbonitrile", 5231 },
	{ "4KU", "", "", ResidueType::NON_POLYMER, false, "", 5232 },
	{ "4KV", "", "", ResidueType::NON_POLYMER, false, "3-[2-chloranyl-2-[dimethyl(oxidanyl)-{4}-sulfanyl]-4-ethylsulfanyl-1-oxa-3{3}-thia-2{4}-platinacyclohexa-3,5-dien-6-yl]phenol", 5233 },
	{ "4KX", "", "", ResidueType::NON_POLYMER, false, "1,5 Dienoyl-CoA", 5234 },
	{ "4KY", "", "", ResidueType::PEPTIDE_LINKING, false, "(4R)-1-acetyl-4-(oct-7-en-1-yloxy)-L-proline", 5235 },
	{ "4KZ", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-1-(dihydroxyboranyl)-2-phenylethyl]-Nalpha-(pyrazin-2-ylcarbonyl)-L-phenylalaninamide", 5236 },
	{ "4L0", "", "", ResidueType::PEPTIDE_LINKING, false, "(4R)-1-acetyl-4-(hexyloxy)-L-proline", 5237 },
	{ "4L1", "", "", ResidueType::NON_POLYMER, false, "5-(4-methylpiperazin-1-yl)-2'-(pyridin-2-yl)-1H,1'H-2,5'-bibenzimidazole", 5238 },
	{ "4L2", "", "", ResidueType::NON_POLYMER, false, "1,4-dimethyl-7-(2-oxopiperidin-1-yl)quinolin-2(1H)-one", 5239 },
	{ "4L3", "", "", ResidueType::NON_POLYMER, false, "tert-butyl [(2R,3S)-1-(1,4-dimethyl-2-oxo-1,2-dihydroquinolin-7-yl)-6-oxo-2-phenylpiperidin-3-yl]carbamate", 5240 },
	{ "4L4", "", "", ResidueType::NON_POLYMER, false, "Hygromycin A", 5241 },
	{ "4L5", "", "", ResidueType::NON_POLYMER, false, "2-methoxy-4-[6-(propan-2-ylamino)imidazo[1,2-b]pyridazin-3-yl]benzamide", 5242 },
	{ "4L6", "", "", ResidueType::NON_POLYMER, false, "4-amino-8-(5-methyl-1H-indazol-6-yl)cinnoline-3-carboxamide", 5243 },
	{ "4L7", "", "", ResidueType::NON_POLYMER, false, "7-{(3S,4R)-4-[(5-bromothiophen-2-yl)carbonyl]pyrrolidin-3-yl}quinazolin-4(3H)-one", 5244 },
	{ "4L8", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-2-(aminomethyl)-4-methylpentanoic acid", 5245 },
	{ "4L9", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(3,5-difluorophenyl)acetyl]-N-[(3S,7R)-1-methyl-2-oxo-7-phenyl-2,3,4,7-tetrahydro-1H-azepin-3-yl]-L-alaninamide", 5246 },
	{ "4LA", "", "", ResidueType::NON_POLYMER, false, "(R)-7-{[5-methoxy-2-methyl-3-(methoxycarbonylmethyl)-1H-indolyl]carbonyl}-7,8-dicarba-nido-dodeca-hydroundecaborate", 5247 },
	{ "4LB", "", "", ResidueType::NON_POLYMER, false, "trans-4-[({[(2-chlorobenzyl)oxy]carbonyl}amino)methyl]cyclohexanecarboxylic acid", 5248 },
	{ "4LC", "", "", ResidueType::NON_POLYMER, false, "3-(6-{[(2S,3S)-3-(hydroxymethyl)-2-phenylmorpholin-4-yl]carbonyl}-1-methyl-1H-benzimidazol-2-yl)-1H-indole-6-carbonitrile", 5249 },
	{ "4LD", "", "", ResidueType::NON_POLYMER, false, "1-(3-cyclopropyl-5-methyl-1H-pyrazol-4-yl)-7-(3,5-dimethyl-1,2-oxazol-4-yl)-8-methoxy-5H-pyrido[4,3-b]indole", 5250 },
	{ "4LE", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-chloro-2-(difluoromethoxy)-1,1,1-trifluoroethane", 5251 },
	{ "4LF", "", "", ResidueType::NON_POLYMER, false, "N-[2-[2,5-bis(oxidanylidene)pyrrol-1-yl]ethyl]-2,3-bis(oxidanyl)benzamide", 5252 },
	{ "4LG", "", "", ResidueType::NON_POLYMER, false, "METHYL (6-{[(2R)-1-(4-{3-[(2-METHOXYBENZYL)OXY]PROPOXY}PHENYL)-6-OXOPIPERAZIN-2-YL]METHOXY}-1H-INDOL-1-YL)ACETATE", 5253 },
	{ "4LH", "", "", ResidueType::NON_POLYMER, false, "N-(3-{[(5-chloro-2-{[2-methoxy-4-(4-methylpiperazin-1-yl)phenyl]amino}pyrimidin-4-yl)amino]methyl}phenyl)prop-2-enamide", 5254 },
	{ "4LI", "", "", ResidueType::NON_POLYMER, false, "(4R)-3-(4-[4-(2-chlorophenyl)piperazin-1-yl]-6-{[2-methyl-6-(methylcarbamoyl)phenyl]amino}-1,3,5-triazin-2-yl)-N-methyl-1,3-thiazolidine-4-carboxamide", 5255 },
	{ "4LJ", "", "", ResidueType::NON_POLYMER, false, "1.7.6 3-bromanylpropan-1-amine ", 5256 },
	{ "4LK", "", "", ResidueType::NON_POLYMER, false, "3-[3-fluoranyl-4-[5-methoxy-4-oxidanylidene-3-(2-phenylpyrazol-3-yl)pyridazin-1-yl]phenyl]-1,3-oxazolidin-2-one", 5257 },
	{ "4LL", "", "", ResidueType::NON_POLYMER, false, "2-(butylamino)quinolin-8-ol", 5258 },
	{ "4LM", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-{[(1E)-{3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methylidene]amino}but-2-enoic acid", 5259 },
	{ "4LN", "", "", ResidueType::NON_POLYMER, false, "N-[(2R)-10-hydroxy-2,7-dimethyl-1,2,3,4-tetrahydropyrido[1,2-b]indazol-2-yl]-4-(4H-1,2,4-triazol-4-yl)benzamide", 5260 },
	{ "4LO", "", "", ResidueType::NON_POLYMER, false, "N~6~-[5-methyl-4-(1-methylpiperidin-4-yl)-2-(propan-2-yloxy)phenyl]-N~4~-[2-(propan-2-ylsulfonyl)phenyl]-2H-pyrazolo[3,4-d]pyrimidine-4,6-diamine", 5261 },
	{ "4LP", "", "", ResidueType::NON_POLYMER, false, "1-(cyclopropylmethyl)-4-fluoranyl-5-[5-methoxy-4-oxidanylidene-3-(2-phenylpyrazol-3-yl)pyridazin-1-yl]-3,3-dimethyl-indol-2-one", 5262 },
	{ "4LQ", "", "", ResidueType::NON_POLYMER, false, "3-[5-(2-cyclohexylethyl)-4-ethyl-1,2,4-triazol-3-yl]-N-naphthalen-1-yl-propanamide", 5263 },
	{ "4LR", "", "", ResidueType::NON_POLYMER, false, "Dimethylallyl monophosphate", 5264 },
	{ "4LS", "", "", ResidueType::NON_POLYMER, false, "1-deoxy-1-[7,8-dimethyl-5-(3-methylbut-2-en-1-yl)-2,4-dioxo-1,3,4,5-tetrahydrobenzo[g]pteridin-10(2H)-yl]-5-O-phosphono-D-ribitol", 5265 },
	{ "4LT", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-fluoropropanoic acid", 5266 },
	{ "4LU", "", "", ResidueType::NON_POLYMER, false, "1-deoxy-5-O-phosphono-1-(3,3,4,5-tetramethyl-9,11-dioxo-2,3,8,9,10,11-hexahydro-7H-quinolino[1,8-fg]pteridin-12-ium-7-yl)-D-ribitol", 5267 },
	{ "4LV", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-methyl-3-phenylprop-2-enoic acid", 5268 },
	{ "4LW", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-fluoro-3-phenylprop-2-enoic acid", 5269 },
	{ "4LX", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3S,4R)-1-(alpha-D-galactopyranosyloxy)-3,4-dihydroxyoctadecan-2-yl]hexacosanethioamide", 5270 },
	{ "4LZ", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[2-(triaza-1,2-dien-2-ium-1-yl)ethyl]-L-tyrosine", 5271 },
	{ "4M0", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-4-methyl-benzoic acid", 5272 },
	{ "4M1", "", "", ResidueType::NON_POLYMER, false, "2,6-dichloro-N-[(2R)-2-(5,6-dimethyl-1H-benzimidazol-2-yl)-2-phenylethyl]-4-(4H-1,2,4-triazol-4-yl)benzamide", 5273 },
	{ "4M2", "", "", ResidueType::NON_POLYMER, false, "3'-deoxy-3'-{[(2E)-3-(4-{[(4Z)-6-O-(6-deoxy-3,4-di-O-methyl-alpha-D-mannopyranosyl)-5-O-methyl-alpha-D-threo-hex-4-enofuranosyl]oxy}phenyl)-2-methylprop-2-enoyl]amino}-N,N-dimethyladenosine", 5274 },
	{ "4M3", "", "", ResidueType::NON_POLYMER, false, "N-(4-carbamimidoylbenzoyl)-beta-alanyl-N-[(S)-carboxy(phenyl)methyl]-L-alpha-asparagine", 5275 },
	{ "4M4", "", "", ResidueType::NON_POLYMER, false, "2-Methoxy-4-vinylphenol", 5276 },
	{ "4M5", "", "", ResidueType::NON_POLYMER, false, "(4~{Z},7~{Z},10~{Z},13~{Z},19~{Z})-17-oxidanylidenedocosa-4,7,10,13,19-pentaenoic acid", 5277 },
	{ "4M6", "", "", ResidueType::NON_POLYMER, false, "1-[3-(naphthalen-1-yloxy)propyl]-5,6-dihydro-4H-pyrrolo[3,2,1-ij]quinoline-2-carboxylic acid", 5278 },
	{ "4M7", "", "", ResidueType::NON_POLYMER, false, "(1R)-7-[3-(naphthalen-1-yloxy)propyl]-3,4-dihydro-2H-[1,4]thiazepino[2,3,4-hi]indole-6-carboxylic acid 1-oxide", 5279 },
	{ "?", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-4-[(S)-hydroxy(methoxy)phosphoryl]butanoic acid", 5280 },
	{ "4M9", "", "", ResidueType::NON_POLYMER, false, "(4Z)-4-imino-4-[(4Z)-4-(1H-indol-3-ylmethylidene)-5-oxo-1-(2-oxoethyl)-4,5-dihydro-1H-imidazol-2-yl]butanamide", 5281 },
	{ "4MA", "", "", ResidueType::NON_POLYMER, false, "4-METHYLBENZOIC ACID", 5282 },
	{ "4MB", "", "", ResidueType::NON_POLYMER, false, "4-[(METHYLSULFONYL)AMINO]BENZOIC ACID", 5283 },
	{ "4MC", "", "", ResidueType::NON_POLYMER, false, "(Z)-N-(5-GUANIDINO-1-OXO-1-(5-PHENYL-1-(PHENYLSULFONYL)PENT-1-EN-3-YLAMINO)PENTAN-2-YL)-4-METHYLPIPERAZINE-1-CARBOXAMIDE", 5284 },
	{ "4MD", "", "", ResidueType::NON_POLYMER, false, "N-(4-chlorobenzyl)-N-methylbenzene-1,4-disulfonamide", 5285 },
	{ "4ME", "", "", ResidueType::NON_POLYMER, false, "methyl 1H-indole-4-carboxylate", 5286 },
	{ "4MF", "", "", ResidueType::DNA_LINKING, false, "1-(2-DEOXY-5-O-PHOSPHONO-BETA-D-ERYTHRO-PENTOFURANOSYL)-4-METHYL-1H-INDOLE", 5287 },
	{ "4MG", "", "", ResidueType::NON_POLYMER, false, "1-[(3-methyl-1-{2-[(1,2,3-trimethyl-1H-indol-5-yl)amino]pyrimidin-4-yl}-1H-pyrazol-4-yl)methyl]azetidin-3-ol", 5288 },
	{ "4MH", "", "", ResidueType::NON_POLYMER, false, "2-(butylamino)-4-[(trans-4-hydroxycyclohexyl)amino]-N-(4-sulfamoylbenzyl)pyrimidine-5-carboxamide", 5289 },
	{ "4MI", "", "", ResidueType::NON_POLYMER, false, "4-methylsulfanylbenzoic acid", 5290 },
	{ "4MJ", "", "", ResidueType::NON_POLYMER, false, "1-deoxy-5-O-phosphono-1-[(1S)-3,3,4,5-tetramethyl-9,11-dioxo-1-(phenylacetyl)-2,3,8,9,10,11-hexahydro-1H,7H-quinolino[1,8-fg]pteridin-7-yl]-D-ribitol", 5291 },
	{ "4MK", "", "", ResidueType::NON_POLYMER, false, "5-chloro-N~2~-[5-methyl-4-(piperidin-4-yl)-2-(propan-2-yloxy)phenyl]-N~4~-[2-(propan-2-ylsulfonyl)phenyl]pyrimidine-2,4-diamine", 5292 },
	{ "4ML", "", "", ResidueType::NON_POLYMER, false, "[(2S)-2-methyl-5-oxo-2,5-dihydrofuran-2-yl]acetic acid", 5293 },
	{ "4MM", "", "", ResidueType::PEPTIDE_AMINO_TERMINUS, false, "N,N,N-trimethylmethionine", 5294 },
	{ "4MN", "", "", ResidueType::NON_POLYMER, false, "4-METHYLANILINE", 5295 },
	{ "4MO", "", "", ResidueType::NON_POLYMER, false, "MOLYBDENUM(IV) ION", 5296 },
	{ "4MP", "", "", ResidueType::NON_POLYMER, false, "1-(4-METHOXYBENZOYL)-2-PYRROLIDINONE", 5297 },
	{ "4MQ", "", "", ResidueType::NON_POLYMER, false, "4-(4-METHYL-1,4-DIAZEPAN-1-YL)QUINAZOLINE", 5298 },
	{ "4MR", "", "", ResidueType::NON_POLYMER, false, "5-(4-PHENOXYPHENYL)-5-(4-PYRIMIDIN-2-YLPIPERAZIN-1-YL)PYRIMIDINE-2,4,6(2H,3H)-TRIONE", 5299 },
	{ "4MS", "", "", ResidueType::NON_POLYMER, false, "N-({3-[(5S)-5-tert-butyl-1-(3-chloro-4-fluorobenzyl)-4-hydroxy-2-oxo-2,5-dihydro-1H-pyrrol-3-yl]-1,1-dioxido-1,2-benzisothiazol-7-yl}methyl)methanesulfonamide", 5300 },
	{ "4MT", "", "", ResidueType::NON_POLYMER, false, "N-[2-(4-hydroxyphenyl)ethyl]thioformamide", 5301 },
	{ "4MU", "", "", ResidueType::NON_POLYMER, false, "7-hydroxy-4-methyl-2H-chromen-2-one", 5302 },
	{ "4MV", "", "", ResidueType::NON_POLYMER, false, "4-METHYL VALERIC ACID", 5303 },
	{ "4MW", "", "", ResidueType::NON_POLYMER, false, "", 5304 },
	{ "4MX", "", "", ResidueType::NON_POLYMER, false, "2,4-bis(oxidanyl)-6-pentyl-benzoic acid", 5305 },
	{ "4MY", "", "", ResidueType::NON_POLYMER, false, "Myo inositol 3,4,5,6 tetrakisphosphate", 5306 },
	{ "4MZ", "", "", ResidueType::NON_POLYMER, false, "4-METHYLIMIDAZOLE", 5307 },
	{ "4N1", "", "", ResidueType::NON_POLYMER, false, "4-methoxy-1-(5-methoxy-3H-imidazo[4,5-b]pyridin-2-yl)-3,5-dimethyl-2-(sulfanylmethyl)pyridin-1-ium", 5308 },
	{ "4N2", "", "", ResidueType::NON_POLYMER, false, "beta-L-idopyranose", 5309 },
	{ "4N3", "", "", ResidueType::PEPTIDE_LINKING, false, "N-octanoyl-D-valine", 5310 },
	{ "4N5", "", "", ResidueType::NON_POLYMER, false, "1-(3-{5-[(3-chlorobenzyl)sulfonyl]-1H-tetrazol-1-yl}phenyl)ethanone", 5311 },
	{ "4N6", "", "", ResidueType::NON_POLYMER, false, "2-[(7-chloro-4-nitro-2,1,3-benzoxadiazol-5-yl)amino]ethanol", 5312 },
	{ "4N7", "", "", ResidueType::PEPTIDE_AMINO_TERMINUS, false, "1-[(1Z)-3-(4-methylphenyl)-3-oxo-1-phenylprop-1-en-1-yl]-L-proline", 5313 },
	{ "4N8", "", "", ResidueType::PEPTIDE_AMINO_TERMINUS, false, "1-[(furan-2-ylmethyl)carbamothioyl]-L-proline", 5314 },
	{ "4N9", "", "", ResidueType::PEPTIDE_CARBOXY_TERMINUS, false, "1-[(4-cyanobenzyl)carbamothioyl]-L-proline", 5315 },
	{ "4NA", "", "", ResidueType::NON_POLYMER, false, "1-CHLORO-6-(4-HYDROXYPHENYL)-2-NAPHTHOL", 5316 },
	{ "4NB", "", "", ResidueType::NON_POLYMER, false, "4-NITROBENZOIC ACID", 5317 },
	{ "4NC", "", "", ResidueType::NON_POLYMER, false, "4-NITROCATECHOL", 5318 },
	{ "4ND", "", "", ResidueType::NON_POLYMER, false, "N4-(N,N-DIPHENYLCARBAMOYL)-AMINOGUANIDINE", 5319 },
	{ "4NE", "", "", ResidueType::NON_POLYMER, false, "tetrabutylphosphonium", 5320 },
	{ "4NF", "", "", ResidueType::NON_POLYMER, false, "N-(4-nitrophenyl)thioformamide", 5321 },
	{ "4NG", "", "", ResidueType::NON_POLYMER, false, "[(3S,5S)-1,5-dihydroxy-2-oxopyrrolidin-3-yl]phosphonic acid", 5322 },
	{ "4NH", "", "", ResidueType::NON_POLYMER, false, "4-({4-[(4-AMINOBUT-2-YNYL)OXY]PHENYL}SULFONYL)-N-HYDROXY-2,2-DIMETHYLTHIOMORPHOLINE-3-CARBOXAMIDE", 5323 },
	{ "4NI", "", "", ResidueType::NON_POLYMER, false, "4-nitrobutanoic acid", 5324 },
	{ "4NJ", "", "", ResidueType::NON_POLYMER, false, "(5S)-3,5-bis(4-chlorobenzyl)-4-(6-chloro-1H-indol-3-yl)-5-hydroxy-1-methyl-1,5-dihydro-2H-pyrrol-2-one", 5325 },
	{ "4NK", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-carboxy-4-({(1R)-1-carboxy-2-[(S)-{4-[(2S)-2-carboxy-2-(trimethylammonio)ethyl]-1H-imidazol-2-yl}sulfinyl]ethyl}amino)-4-oxobutan-1-aminium", 5326 },
	{ "4NL", "", "", ResidueType::NON_POLYMER, false, "4-AMINOPHENOL", 5327 },
	{ "4NM", "", "", ResidueType::NON_POLYMER, false, "4-NITROPHENYL METHANETHIOL", 5328 },
	{ "4NN", "", "", ResidueType::SACCHARIDE, false, "N-[(5S,6R)-5-hydroxy-6-(hydroxymethyl)-2-oxo-5,6-dihydro-2H-pyran-3-yl]acetamide", 5329 },
	{ "4NO", "", "", ResidueType::NON_POLYMER, false, "4-nitro-2-phosphonobenzoic acid", 5330 },
	{ "4NP", "", "", ResidueType::NON_POLYMER, false, "4-NITROPHENYL PHOSPHATE", 5331 },
	{ "4NR", "", "", ResidueType::NON_POLYMER, false, "5-(4-fluorophenyl)-7H-pyrrolo[2,3-d]pyrimidine-2,4-diamine", 5332 },
	{ "4NS", "", "", ResidueType::NON_POLYMER, false, "4-nitrophenyl sulfate", 5333 },
	{ "4NT", "", "", ResidueType::PEPTIDE_LINKING, false, "[(4Z)-2-[(1R,2R)-1-amino-2-hydroxypropyl]-4-(3-chloro-4-hydroxybenzylidene)-5-oxo-4,5-dihydro-1H-imidazol-1-yl]acetic acid", 5334 },
	{ "4NU", "", "", ResidueType::PEPTIDE_LINKING, false, "{(4Z)-2-[(1R,2R)-1-amino-2-hydroxypropyl]-4-[(3,5-dichloro-4-oxocyclohexa-2,5-dien-1-yl)methylidene]-5-oxo-4,5-dihydro-1H-imidazol-1-yl}acetic acid", 5335 },
	{ "4NX", "", "", ResidueType::NON_POLYMER, false, "(5R)-3,5-bis(4-chlorobenzyl)-4-(6-chloro-1H-indol-3-yl)-5-hydroxyfuran-2(5H)-one", 5336 },
	{ "4NY", "", "", ResidueType::NON_POLYMER, false, "4-{(Z)-2-[6-chloro-1-(4-fluorobenzyl)-1H-indol-3-yl]-1-cyanoethenyl}benzoic acid", 5337 },
	{ "4NZ", "", "", ResidueType::NON_POLYMER, false, "4-nitrobenzenesulfonamide", 5338 },
	{ "4O0", "", "", ResidueType::NON_POLYMER, false, "", 5339 },
	{ "4O1", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(6-chloronaphthalen-2-yl)sulfonyl]-N~2~-{(3S)-1-[(2S)-1-(4-methyl-1,4-diazepan-1-yl)-1-oxopropan-2-yl]-2-oxopyrrolidin-3-yl}glycinamide", 5340 },
	{ "4O2", "", "", ResidueType::NON_POLYMER, false, "", 5341 },
	{ "4O3", "", "", ResidueType::NON_POLYMER, false, "(11aS)-6-(4-fluorobenzyl)-5,6,11,11a-tetrahydro-1H-imidazo[1',5':1,6]pyrido[3,4-b]indole-1,3(2H)-dione", 5342 },
	{ "4O4", "", "", ResidueType::NON_POLYMER, false, "6-chloro-N-{(3S)-1-[(2S)-1-(morpholin-4-yl)-1-oxopropan-2-yl]-2-oxo-2,3-dihydro-1H-pyrrol-3-yl}-N-(2-oxobutyl)naphthalene-2-sulfonamide", 5343 },
	{ "4O5", "", "", ResidueType::NON_POLYMER, false, "4-[(3S)-3-({[(E)-2-(5-chlorothiophen-2-yl)ethenyl]sulfonyl}amino)-2-oxo-2,3-dihydro-1H-pyrrol-1-yl]-3-fluoro-N-methylbenzamide", 5344 },
	{ "4O6", "", "", ResidueType::NON_POLYMER, false, "(E)-2-(4-chlorophenyl)-N-{(3S)-1-[(2S)-1-(morpholin-4-yl)-1-oxopropan-2-yl]-2-oxopyrrolidin-3-yl}ethenesulfonamide", 5345 },
	{ "4O7", "", "", ResidueType::NON_POLYMER, false, "(5S,6R,7R,9R,13cR,14R,16aS)-6-methoxy-5-methyl-7-(methylamino)-6,7,8,9,14,15,16,16a-octahydro-5H,13cH-5,9-epoxy-4b,9a,15-triazadibenzo[b,h]cyclonona[1,2,3,4-jkl]cyclopenta[e]-as-indacen-14-ol", 5346 },
	{ "4O8", "", "", ResidueType::NON_POLYMER, false, "{2-[(4-bromo-2,6-difluorobenzyl)carbamoyl]-5-chlorophenoxy}acetic acid", 5347 },
	{ "4O9", "", "", ResidueType::NON_POLYMER, false, "{5-chloro-2-[(2,6-difluoro-4-iodobenzyl)carbamoyl]phenoxy}acetic acid", 5348 },
	{ "4OA", "", "", ResidueType::NON_POLYMER, false, "(3beta,5beta,14beta,17alpha)-3-hydroxycholan-24-oic acid", 5349 },
	{ "4OB", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-N'-phenyl-3-(trifluoromethyl)benzenecarboximidamide", 5350 },
	{ "4OC", "", "", ResidueType::RNA_LINKING, false, "4N,O2'-METHYLCYTIDINE-5'-MONOPHOSPHATE", 5351 },
	{ "4OD", "", "", ResidueType::NON_POLYMER, false, "N'-(3-bromophenyl)-4-fluoro-N-hydroxy-3-(trifluoromethyl)benzenecarboximidamide", 5352 },
	{ "4OE", "", "", ResidueType::NON_POLYMER, false, "5-(4-fluorophenyl)-4-[4-fluoro-3-(trifluoromethyl)phenyl]-1H-pyrazole", 5353 },
	{ "4OG", "", "", ResidueType::NON_POLYMER, false, "3-(1-benzothiophen-3-yl)-L-alanine", 5354 },
	{ "4OH", "", "", ResidueType::NON_POLYMER, false, "(14beta,15alpha,16alpha,17alpha)-estra-1,3,5(10)-triene-3,15,16,17-tetrol", 5355 },
	{ "4OJ", "", "", ResidueType::NON_POLYMER, false, "(2-methylphenyl) dihydrogen phosphate", 5356 },
	{ "4OK", "", "", ResidueType::NON_POLYMER, false, "3-(3,4-dichlorophenyl)-6-(morpholin-4-ylcarbonyl)-9H-carbazole-1-carboxamide", 5357 },
	{ "4OL", "", "", ResidueType::NON_POLYMER, false, "N,N'-butane-1,4-diylbis[1-hydroxy-N-(3-{[(1-hydroxy-6-oxo-1,6-dihydropyridin-2-yl)carbonyl]amino}propyl)-6-oxo-1,6-dihydropyridine-2-carboxamide]", 5358 },
	{ "4OO", "", "", ResidueType::NON_POLYMER, false, "4-triaza-1,2-dien-2-ium-1-yl-L-phenylalanine", 5359 },
	{ "4OP", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,4S)-2-carboxy-4-hydroxy-1,1-dimethylpyrrolidinium", 5360 },
	{ "4OQ", "", "", ResidueType::NON_POLYMER, false, "2-chloro-5-ethyl-8-fluoro-11-(4-methylpiperazin-1-yl)-dibenzodiazepine", 5361 },
	{ "4OR", "", "", ResidueType::NON_POLYMER, false, "(S)-N-(tert-butyl)-3-((2-chloro-5-ethyl-8-fluoro-dibenzodiazepin-11-yl)amino)pyrrolidine-1-carboxamide", 5362 },
	{ "4OS", "", "", ResidueType::NON_POLYMER, false, "4-methoxybenzenesulfonic acid", 5363 },
	{ "4OT", "", "", ResidueType::NON_POLYMER, false, "[5-(2-fluorophenyl)-2-methyl-1,3-thiazol-4-yl]{(2S)-2-[(5-phenyl-1,3,4-oxadiazol-2-yl)methyl]pyrrolidin-1-yl}methanone", 5364 },
	{ "4OU", "", "", ResidueType::PEPTIDE_LINKING, false, "4-(acryloylamino)-L-phenylalanine", 5365 },
	{ "?", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-2-[(1R)-2-[(2S)-2-amino-2-carboxyethoxy]-1-{[(2R)-2-amino-2-phenylacetyl]amino}-2-oxoethyl]-5-methyl-3,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 5366 },
	{ "4OX", "", "", ResidueType::NON_POLYMER, false, "4-OXODECANEDIOIC ACID", 5367 },
	{ "4OZ", "", "", ResidueType::PEPTIDE_LIKE, false, "methyl N-(2,3-dihydroxybenzoyl)-O-formyl-L-serinate", 5368 },
	{ "4P0", "", "", ResidueType::NON_POLYMER, false, "1-[(1R,6R)-9-azabicyclo[4.2.1]non-2-en-2-yl]ethanone", 5369 },
	{ "4P1", "", "", ResidueType::NON_POLYMER, false, "4-chloro-3-[1-(2-chloro-6-fluorobenzoyl)-1,2,3,4-tetrahydroquinolin-6-yl]-N-methylbenzamide", 5370 },
	{ "4P3", "", "", ResidueType::NON_POLYMER, false, "6-chloro-4'-[(2-chloro-6-fluorobenzoyl)(methyl)amino]-3'-(2,2,2-trifluoroethoxy)biphenyl-3-carboxamide", 5371 },
	{ "4P4", "", "", ResidueType::NON_POLYMER, false, "8-amino-N-[1-(cyclopropylcarbonyl)azetidin-3-yl]-2-(3-fluorophenyl)-1,7-naphthyridine-5-carboxamide", 5372 },
	{ "4P5", "", "", ResidueType::NON_POLYMER, false, "4H-furo[3,2-b]pyrrole-5-carboxylic acid", 5373 },
	{ "4P6", "", "", ResidueType::NON_POLYMER, false, "(3E)-3-(thiophen-2-ylmethylidene)-3,4,5,6-tetrahydro-2,3'-bipyridine", 5374 },
	{ "4P7", "", "", ResidueType::NON_POLYMER, false, "(3E)-3-(1H-pyrrol-3-ylmethylidene)-3,4,5,6-tetrahydro-2,3'-bipyridine", 5375 },
	{ "4P8", "", "", ResidueType::NON_POLYMER, false, "5-(2-chlorobenzyl)-2-hydroxy-3-nitrobenzaldehyde", 5376 },
	{ "4P9", "", "", ResidueType::NON_POLYMER, false, "4-{(E)-[2-(4-chlorophenyl)hydrazinylidene]methyl}benzene-1,2,3-triol", 5377 },
	{ "4PA", "", "", ResidueType::NON_POLYMER, false, "PROPYL ACETATE", 5378 },
	{ "4PB", "", "", ResidueType::NON_POLYMER, false, "N-HYDROXY-4-PHOSPHONO-BUTANAMIDE", 5379 },
	{ "4PC", "", "", ResidueType::DNA_LINKING, false, "3-(2'-DEOXY-5-O-PHOSPHONO-BETA-D-ERYTHRO-PENTOFURANOSYL)-6-METHYL-3,7-DIHYDRO-2H-PYRROLO[2,3-D]PYRIMIDIN-2-ONE", 5380 },
	{ "4PD", "", "", ResidueType::DNA_LINKING, false, "3-(2-DEOXY-5-O-PHOSPHONO-BETA-D-ERYTHRO-PENTOFURANOSYL)-6-METHYL-1,3-DIHYDRO-2H-PYRROLO[2,3-D]PYRIMIDIN-2-ONE", 5381 },
	{ "4PE", "", "", ResidueType::DNA_LINKING, false, "3-(2-DEOXY-5-O-PHOSPHONO-BETA-D-ERYTHRO-PENTOFURANOSYL)-6-METHYL-3H-PYRROLO[2,3-D]PYRIMIDIN-2-OL", 5382 },
	{ "4PF", "", "", ResidueType::NON_POLYMER, false, "(2R)-1-[(2R)-2-(2-methoxyethoxy)propoxy]propan-2-amine", 5383 },
	{ "4PG", "", "", ResidueType::NON_POLYMER, false, "1-[4-(2-oxo-2-phenylethyl)phenyl]guanidine", 5384 },
	{ "4PH", "", "", ResidueType::PEPTIDE_LINKING, false, "4-methyl-L-phenylalanine", 5385 },
	{ "4PI", "", "", ResidueType::NON_POLYMER, false, "N-(4-METHYLBENZOYL)-4-BENZYLPIPERIDINE", 5386 },
	{ "4PK", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(benzyloxy)carbonyl]-O-carbamimidamido-L-homoseryl-N-{(3S,4S)-3-hydroxy-6-methyl-1-oxo-1-[(2-phenylethyl)amino]heptan-4-yl}-L-valinamide", 5387 },
	{ "4PL", "", "", ResidueType::NON_POLYMER, false, "7-hydroxy-6-methylfuro[3,4-c]pyridin-1(3H)-one", 5388 },
	{ "4PN", "", "", ResidueType::NON_POLYMER, false, "4-PIPERIDINO-PIPERIDINE", 5389 },
	{ "4PO", "", "", ResidueType::NON_POLYMER, false, "alpha-(4-pyridyl-1-oxide)-N-tert-butylnitrone", 5390 },
	{ "4PP", "", "", ResidueType::NON_POLYMER, false, "", 5391 },
	{ "4PQ", "", "", ResidueType::PEPTIDE_LINKING, false, "5-hydroxy-L-tryptophan", 5392 },
	{ "4PR", "", "", ResidueType::NON_POLYMER, false, "(3S)-1-{[(3,5-DIMETHYLISOXAZOL-4-YL)AMINO]CARBONYL}-4,4-DIMETHYLPYRROLIDIN-3-YL{(1S)-1-[1-HYDROXY-2-OXO-2-{[(1R)-1-PHENYLETHYL]AMINO}ETHYL]PENTYL}CARBAMATE", 5393 },
	{ "4PS", "", "", ResidueType::NON_POLYMER, false, "", 5394 },
	{ "4PT", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-{[(S)-{[(2S,3R,5S,6S)-2,6-DIHYDROXY-3,4,5-TRIS(PHOSPHONOOXY)CYCLOHEXYL]OXY}(HYDROXY)PHOSPHORYL]OXY}-2-(1-HYDROXYBUTOXY)PROPYL BUTYRATE", 5395 },
	{ "4PU", "", "", ResidueType::NON_POLYMER, false, "PLUTONIUM ION", 5396 },
	{ "4PV", "", "", ResidueType::NON_POLYMER, false, "2,8-difluoro-11-(4-methylpiperazin-1-yl)-5H-dibenzo[b,e][1,4]diazepine", 5397 },
	{ "4PW", "", "", ResidueType::NON_POLYMER, false, "Levoglucosan", 5398 },
	{ "4PX", "", "", ResidueType::NON_POLYMER, false, "3-(1-hydroxy-2-methylpropan-2-yl)-5-phenyl-3,5-dihydro-1H-imidazo[4,5-c][1,8]naphthyridine-2,4-dione", 5399 },
	{ "4PY", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-(6H-INDOL-3-YL)-3-{[5-(7H-PYRAZOLO[3,4-C]PYRIDIN-5-YL)PYRIDIN-3-YL]OXY}PROPAN-2-AMINE", 5400 },
	{ "4PZ", "", "", ResidueType::NON_POLYMER, false, "4-methyl-1H-pyrazole", 5401 },
	{ "4Q0", "", "", ResidueType::NON_POLYMER, false, "2-{2-[3-(4-methoxyphenyl)-4-oxo-3,4-dihydroquinazolin-2-yl]ethyl}-4-(propan-2-yloxy)-1H-isoindole-1,3(2H)-dione", 5402 },
	{ "4Q1", "", "", ResidueType::NON_POLYMER, false, "fumitremorgen B", 5403 },
	{ "4Q2", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-N~1~-(8-tert-butyl-4,5-dihydro[1,3]thiazolo[4,5-h]quinazolin-2-yl)-3-methylpyrrolidine-1,2-dicarboxamide", 5404 },
	{ "4Q3", "", "", ResidueType::NON_POLYMER, false, "N-{4-[3-(acetylamino)-1-(propan-2-yl)-1H-pyrazol-5-yl]-2-[(1R,5S)-3-azabicyclo[3.1.0]hex-3-yl]phenyl}-2-chloro-6-fluoro-N-methylbenzamide", 5405 },
	{ "4Q5", "", "", ResidueType::PEPTIDE_LIKE, false, "", 5406 },
	{ "4Q7", "", "", ResidueType::NON_POLYMER, false, "2-methoxyphenyl (1S,2R,4S)-5,6-bis(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonate", 5407 },
	{ "4Q9", "", "", ResidueType::NON_POLYMER, false, "2-methylphenyl (1S,2R,4S)-5,6-bis(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonate", 5408 },
	{ "4QA", "", "", ResidueType::NON_POLYMER, false, "4-(cyclohexylamino)-1-(3-fluorophenyl)-8-[3-(propan-2-yloxy)benzyl]-1,3,8-triazaspiro[4.5]dec-3-en-2-one", 5409 },
	{ "4QB", "", "", ResidueType::NON_POLYMER, false, "3-{2-ETHYL-6-[4-(QUINOXALIN-2-YLAMINO)-BENZOYLAMINO]-HEXANOYLAMINO}-4-OXO-BUTYRIC ACID", 5410 },
	{ "4QC", "", "", ResidueType::NON_POLYMER, false, "3-[6-{2'-[(DIMETHYLAMINO)METHYL]BIPHENYL-4-YL}-7-OXO-3-(TRIFLUOROMETHYL)-4,5,6,7-TETRAHYDRO-1H-PYRAZOLO[3,4-C]PYRIDIN-1-YL]BENZAMIDE", 5411 },
	{ "4QD", "", "", ResidueType::NON_POLYMER, false, "8-(3-{[(2S)-1-aminopropan-2-yl]oxy}benzyl)-4-(cyclohexylamino)-1-(3-fluorophenyl)-1,3,8-triazaspiro[4.5]dec-3-en-2-one", 5412 },
	{ "4QE", "", "", ResidueType::NON_POLYMER, false, "6-(cyclohexylmethoxy)-8-(2-methylphenyl)-9H-purin-2-amine", 5413 },
	{ "4QF", "", "", ResidueType::NON_POLYMER, false, "(5R,7S)-8-benzyl-4-(cyclohexylamino)-1-(3-fluorophenyl)-7-methyl-1,3,8-triazaspiro[4.5]dec-3-en-2-one", 5414 },
	{ "4QG", "", "", ResidueType::NON_POLYMER, false, "4-[5-(4-chlorophenyl)-1,3-oxazol-2-yl]benzamide", 5415 },
	{ "4QH", "", "", ResidueType::NON_POLYMER, false, "3,4-dimethoxy-N-[6-(4-methoxyphenoxy)-1,3-dimethyl-2-oxo-2,3-dihydro-1H-benzimidazol-5-yl]benzenesulfonamide", 5416 },
	{ "4QJ", "", "", ResidueType::NON_POLYMER, false, "(11R,15S)-4-{[4-(6-fluoropyridin-2-yl)phenyl]methyl}-8-methyl-5-(phenylamino)-1,3,4,8,10-pentaazatetracyclo[7.6.0.02,6.011,15]pentadeca-2,5,9-trien-7-one", 5417 },
	{ "4QK", "", "", ResidueType::PEPTIDE_LINKING, false, "6-[4-(2-aminoethyl)-1H-1,2,3-triazol-1-yl]-L-norleucine", 5418 },
	{ "4QL", "", "", ResidueType::NON_POLYMER, false, "2,4,6-tris(iodanyl)-5-(octanoylamino)benzene-1,3-dicarboxylic acid", 5419 },
	{ "4QM", "", "", ResidueType::NON_POLYMER, false, "(3R,5S,7R,8R,9S,10S,12S,13R,14S,17R)-10,13-dimethyl-17-[(2R)-pentan-2-yl]-2,3,4,5,6,7,8,9,11,12,14,15,16,17-tetradecahydro-1H-cyclopenta[a]phenanthrene-3,7,12-triol", 5420 },
	{ "4QO", "", "", ResidueType::NON_POLYMER, false, "2-chloro-N,N-dimethyl-5-[({2-[3-(prop-1-en-2-yl)phenyl]propan-2-yl}carbamoyl)amino]benzamide", 5421 },
	{ "4QP", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-{[(R)-[(R)-amino(phenyl)methyl](hydroxy)phosphoryl]methyl}-4-methylpentanoic acid", 5422 },
	{ "4QQ", "", "", ResidueType::NON_POLYMER, false, "4-[(2S)-2-{[(4-methylphenyl)sulfonyl]amino}-3-oxo-3-(piperidin-1-yl)propyl]benzene-1-carboximidamide", 5423 },
	{ "4QS", "", "", ResidueType::NON_POLYMER, false, "[(3R,5S,6R,7R,10R,11S,12E)-5,11,21-trimethoxy-3,7,9,15,19-pentamethyl-6-oxidanyl-16,20,22-tris(oxidanylidene)-17-azabicyclo[16.3.1]docosa-1(21),8,12,14,18-pentaen-10-yl] carbamate", 5424 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "5-amino-2,4,6-tribromobenzene-1,3-diyl dihydroperoxide", 5425 },
	{ "4QV", "", "", ResidueType::NON_POLYMER, false, "5-hydroxy-1'H-1,2'-bibenzimidazol-2(3H)-one", 5426 },
	{ "4QW", "", "", ResidueType::NON_POLYMER, false, "3-{(4E)-4-[(1-methyl-1H-imidazol-5-yl)methylidene]-3,4-dihydro-2H-pyrrol-5-yl}pyridine", 5427 },
	{ "4QX", "", "", ResidueType::NON_POLYMER, false, "3-amino-5-[(4-chlorophenyl)amino]-N-(propan-2-yl)-1H-1,2,4-triazole-1-carboxamide", 5428 },
	{ "4QY", "", "", ResidueType::NON_POLYMER, false, "beta-N-acetylglucosamine-6-phosphate", 5429 },
	{ "4QZ", "", "", ResidueType::NON_POLYMER, false, "3-amino-5-[(4-chlorophenyl)amino]-N-[(1S)-1-phenylethyl]-1H-1,2,4-triazole-1-carboxamide", 5430 },
	{ "4R0", "", "", ResidueType::NON_POLYMER, false, "3-amino-5-[(4-chloro-3-methylphenyl)amino]-N-(propan-2-yl)-1H-1,2,4-triazole-1-carboxamide", 5431 },
	{ "4R1", "", "", ResidueType::NON_POLYMER, false, "beta-glucosamine-6-phosphate", 5432 },
	{ "4R5", "", "", ResidueType::NON_POLYMER, false, "1-(3,5-difluoro-3'-methoxybiphenyl-4-yl)-3-(1,3-thiazol-5-yl)urea", 5433 },
	{ "4R8", "", "", ResidueType::NON_POLYMER, false, "(6E,10Z,13Z,16Z,19Z)-4-oxodocosa-6,10,13,16,19-pentaenoic acid", 5434 },
	{ "4RA", "", "", ResidueType::NON_POLYMER, false, "", 5435 },
	{ "4RB", "", "", ResidueType::NON_POLYMER, false, "4-(6-{[(1R)-1-(hydroxymethyl)propyl]amino}imidazo[1,2-b]pyridazin-3-yl)benzoic acid", 5436 },
	{ "4RC", "", "", ResidueType::NON_POLYMER, false, "N-[(4R)-6,8-dichloro-1,2,3,4-tetrahydroquinolin-4-yl]-N'-(5-fluoro-3H-imidazo[4,5-b]pyridin-2-yl)propane-1,3-diamine", 5437 },
	{ "4RD", "", "", ResidueType::NON_POLYMER, false, "N-[(4R)-6,8-dichloro-3,4-dihydro-2H-chromen-4-yl]-N'-(5-fluoro-1H-imidazo[4,5-b]pyridin-2-yl)propane-1,3-diamine", 5438 },
	{ "4RF", "", "", ResidueType::NON_POLYMER, false, "Tripalmitoylglycerol", 5439 },
	{ "4RG", "", "", ResidueType::NON_POLYMER, false, "3-(phenoxymethyl)benzoic acid", 5440 },
	{ "4RJ", "", "", ResidueType::NON_POLYMER, false, "6-({4-[(Z)-{(2Z)-2-[(4-ethylphenyl)imino]-3-methyl-4-oxo-1,3-thiazolidin-5-ylidene}methyl]pyridin-2-yl}amino)pyridine-3-carboxylic acid", 5441 },
	{ "4RK", "", "", ResidueType::NON_POLYMER, false, "(2Z,5Z)-2-[(4-ethylphenyl)imino]-3-methyl-5-[(2-{[4-(1H-tetrazol-5-yl)phenyl]amino}pyridin-4-yl)methylidene]-1,3-thiazolidin-4-one", 5442 },
	{ "4RL", "", "", ResidueType::NON_POLYMER, false, "N-{[(2S,5S)-1-benzyl-5-(2-{[(2S,3S)-1-(tert-butylamino)-3-methyl-1-oxopentan-2-yl]amino}-2-oxoethyl)-3,6-dioxopiperazin-2-yl]methyl}-L-alpha-asparagine", 5443 },
	{ "4RM", "", "", ResidueType::NON_POLYMER, false, "(2Z,5Z)-2-[(4-ethylphenyl)imino]-3-(2-methoxyethyl)-5-(pyridin-4-ylmethylidene)-1,3-thiazolidin-4-one", 5444 },
	{ "4RN", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-(3,5-dichlorobenzyl)-N'-(1H-imidazo[4,5-b]pyridin-2-yl)-2-methylpropane-1,3-diamine", 5445 },
	{ "4RO", "", "", ResidueType::NON_POLYMER, false, "N-(3,5-dichlorobenzyl)-2,2-difluoro-N'-(1H-imidazo[4,5-b]pyridin-2-yl)propane-1,3-diamine", 5446 },
	{ "4RP", "", "", ResidueType::NON_POLYMER, false, "N-(3,5-dichlorobenzyl)-N'-(1H-imidazo[4,5-b]pyridin-2-yl)propane-1,3-diamine", 5447 },
	{ "4RQ", "", "", ResidueType::NON_POLYMER, false, "N-(3,5-dichlorobenzyl)-N'-(5-fluoro-1H-imidazo[4,5-b]pyridin-2-yl)propane-1,3-diamine", 5448 },
	{ "4RR", "", "ROL", ResidueType::NON_POLYMER, true, "(4R)-4-[3-(CYCLOPENTYLOXY)-4-METHOXYPHENYL]PYRROLIDIN-2-ONE", 5449 },
	{ "4RS", "", "", ResidueType::NON_POLYMER, false, "trehalose mono-butyrate", 5450 },
	{ "4RT", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,5R)-8'-(3-chloro-4-fluorobenzyl)-6'-hydroxy-1-(hydroxymethyl)-2'-methyl-9',10'-dihydro-2'H-spiro[bicyclo[3.1.0]hexane-2,3'-imidazo[5,1-a][2,6]naphthyridine]-1',5',7'(8'H)-trione", 5451 },
	{ "4RU", "", "", ResidueType::NON_POLYMER, false, "4-aminocinnoline-3-carboxamide", 5452 },
	{ "4RV", "", "", ResidueType::NON_POLYMER, false, "4-amino-8-(4-methylpyridin-3-yl)cinnoline-3-carboxamide", 5453 },
	{ "4RW", "", "", ResidueType::NON_POLYMER, false, "(4aS,8aR)-4a,5,6,7,8,8a-hexahydro-4H-3,1-benzothiazin-2-amine", 5454 },
	{ "4RX", "", "", ResidueType::NON_POLYMER, false, "N-[(4S,4aS,6S,8aR)-10-aminohexahydro-3H-4,8a-(epithiomethenoazeno)isochromen-6(1H)-yl]-3-chlorobenzamide", 5455 },
	{ "4RY", "", "", ResidueType::NON_POLYMER, false, "N-[(4aS,6S,8aR)-2-amino-5,6,7,8-tetrahydro-4a,8a-(methanooxymethano)-3,1-benzothiazin-6(4H)-yl]-3-chlorobenzamide", 5456 },
	{ "4RZ", "", "", ResidueType::NON_POLYMER, false, "N-[(4aS,6S,8aR)-2-amino-4a,5,6,7,8,8a-hexahydro-4H-3,1-benzothiazin-6-yl]-3-chlorobenzamide", 5457 },
	{ "4S0", "", "", ResidueType::NON_POLYMER, false, "DENDRON D2-1", 5458 },
	{ "4S1", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3R,5R)-3-{[5-(1,3-benzothiazol-2-yl)-2-(propylamino)pyrimidin-4-yl]amino}-5-(hydroxymethyl)cyclopentane-1,2-diol", 5459 },
	{ "4S2", "", "", ResidueType::NON_POLYMER, false, "5-(1,3-benzothiazol-2-yl)-2-(cyclopropylamino)-6-{[(1R,2S,3R,4R)-2,3-dihydroxy-4-(hydroxymethyl)cyclopentyl]amino}pyrimidin-4(3H)-one", 5460 },
	{ "4S3", "", "", ResidueType::NON_POLYMER, false, "5-(1,3-benzothiazol-2-yl)-2-(morpholin-4-yl)-6-[(3R)-piperidin-3-ylamino]pyrimidin-4(3H)-one", 5461 },
	{ "4S4", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[(4,5-dibromo-1H-pyrrol-2-yl)carbonyl]amino}benzoyl)glycine", 5462 },
	{ "4S7", "", "", ResidueType::NON_POLYMER, false, "1-{3-[(R)-hydroxy(octadecyloxy)phosphoryl]propyl}triaza-1,2-dien-2-ium", 5463 },
	{ "4S9", "", "", ResidueType::NON_POLYMER, false, "tert-butyl [(1S)-1-(4-bromophenyl)-2-(hydroxyamino)-2-oxoethyl]carbamate", 5464 },
	{ "4SA", "", "", ResidueType::NON_POLYMER, false, "tert-butyl [(1S)-1-(biphenyl-4-yl)-2-(hydroxyamino)-2-oxoethyl]carbamate", 5465 },
	{ "4SB", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-amino-N'-[(1E)-(3-bromo-4-hydroxyphenyl)methylidene]-2-phenylbutanehydrazide", 5466 },
	{ "4SC", "", "", ResidueType::DNA_LINKING, false, "", 5467 },
	{ "4SD", "", "", ResidueType::NON_POLYMER, false, "3-hydroxypentanedinitrile", 5468 },
	{ "4SF", "", "", ResidueType::PEPTIDE_LIKE, false, "(2Z,4S)-2,5-dimethyl-4-(methylamino)hex-2-enoic acid", 5469 },
	{ "4SH", "", "", ResidueType::PEPTIDE_LIKE, false, "N-benzyl-2-[(morpholin-4-ylacetyl)amino]-4,5,6,7-tetrahydro-1-benzothiophene-3-carboxamide", 5470 },
	{ "4SJ", "", "", ResidueType::PEPTIDE_LINKING, false, "N,beta,beta-trimethyl-L-phenylalanine", 5471 },
	{ "4SL", "", "", ResidueType::PEPTIDE_LIKE, false, "N,beta,beta-trimethyl-L-phenylalanyl-N-[(3S,4Z)-5-carboxy-2-methylhex-4-en-3-yl]-N,3-dimethyl-L-valinamide", 5472 },
	{ "4SM", "", "", ResidueType::NON_POLYMER, false, "TETRATHIOMOLYBDATE", 5473 },
	{ "4SN", "", "", ResidueType::NON_POLYMER, false, "(6S)-1,3,4,5-tetra-O-acetyl-2,6-anhydro-6-{[5-(sulfamoyloxy)pentyl]sulfamoyl}-L-altritol", 5474 },
	{ "4SO", "", "", ResidueType::NON_POLYMER, false, "4-sulfamoylbenzoic acid", 5475 },
	{ "4SP", "", "", ResidueType::NON_POLYMER, false, "", 5476 },
	{ "4SQ", "", "", ResidueType::NON_POLYMER, false, "tetraglycine phosphinate", 5477 },
	{ "4SR", "", "ROL", ResidueType::NON_POLYMER, true, "(4S)-4-[3-(CYCLOPENTYLOXY)-4-METHOXYPHENYL]PYRROLIDIN-2-ONE", 5478 },
	{ "4SS", "", "", ResidueType::NON_POLYMER, false, "(S)-2-(2-((2H-tetrazol-5-yl)methoxy)-4-methylphenyl)-1-(4-chlorophenyl)-6,7-diethoxy-1,2-dihydroisoquinolin-3(4H)-one", 5479 },
	{ "4ST", "", "", ResidueType::NON_POLYMER, false, "1,2,3,4-TETRAHYDROGEN-STAUROSPORINE", 5480 },
	{ "4SU", "S4U", "", ResidueType::RNA_LINKING, false, "4-THIOURIDINE-5'-MONOPHOSPHATE", 5481 },
	{ "4SV", "", "", ResidueType::NON_POLYMER, false, "3-AMINOPYRIDINE-4-CARBOXYLIC ACID", 5482 },
	{ "4SX", "", "", ResidueType::NON_POLYMER, false, "3,4-dihydroxybenzenesulfonic acid", 5483 },
	{ "4SY", "", "", ResidueType::NON_POLYMER, false, "tert-butyl {(1S)-2-(hydroxyamino)-1-[4-(1-methyl-1H-pyrazol-4-yl)phenyl]-2-oxoethyl}carbamate", 5484 },
	{ "4SZ", "", "", ResidueType::NON_POLYMER, false, "", 5485 },
	{ "4T0", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(2R)-1-{(2R)-2-[(1-aminoisoquinolin-6-yl)amino]-2-phenylacetyl}pyrrolidin-2-yl]-4-(propan-2-ylsulfonyl)phenyl}acetamide", 5486 },
	{ "4T1", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(1-aminoisoquinolin-6-yl)amino]-4,11-diazatricyclo[14.2.2.1~6,10~]henicosa-1(18),6(21),7,9,16,19-hexaene-3,12-dione", 5487 },
	{ "4T2", "", "", ResidueType::NON_POLYMER, false, "", 5488 },
	{ "4T3", "", "", ResidueType::NON_POLYMER, false, "2-(4-aminopiperidin-1-yl)-N-(5-cyclopropyl-1H-pyrazol-3-yl)thieno[3,2-d]pyrimidin-4-amine", 5489 },
	{ "4T4", "", "", ResidueType::NON_POLYMER, false, "(S)-1-(4-chlorophenyl)-7-isopropoxy-6-methoxy-2-(4-(methyl(((1r,4S)-4-(4-methyl-3-oxopiperazin-1-yl)cyclohexyl)methyl)amino)phenyl)-1,2-dihydroisoquinolin-3(4H)-one", 5490 },
	{ "4T5", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(trans-4-aminocyclohexyl)methyl]-N~4~-(3-cyclopropyl-1H-pyrazol-5-yl)pyrimidine-2,4-diamine", 5491 },
	{ "4T6", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(7-chloro-1H-benzimidazol-6-yl)methyl]-N~4~-(5-cyclopropyl-1H-pyrazol-3-yl)pyrimidine-2,4-diamine", 5492 },
	{ "4T7", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-(naphthalen-2-yl)ethane-1,2-diol", 5493 },
	{ "4T8", "", "", ResidueType::NON_POLYMER, false, "5'-({[(2R,3R)-3-amino-2-({2-[(N-{(2R)-4-[(dihydroxyphosphanyl)oxy]-2-hydroxy-3,3-dimethylbutanoyl}-beta-alanyl)amino]ethyl}sulfanyl)-4-hydroxybutyl]sulfonyl}amino)-5'-deoxyadenosine", 5494 },
	{ "4T9", "", "", ResidueType::NON_POLYMER, false, "N-(3,4-dimethoxyphenyl)-2-(1H-pyrazol-4-yl)-1H-pyrrolo[3,2-c]pyridin-6-amine", 5495 },
	{ "4TA", "", "", ResidueType::RNA_LINKING, false, "P1-(5'-ADENOSYL)P4-(5'-(2'-DEOXY-THYMIDYL))TETRAPHOSPHATE", 5496 },
	{ "4TB", "", "", ResidueType::NON_POLYMER, false, "4-(2-THIENYL)BUTYRIC ACID", 5497 },
	{ "4TC", "", "", ResidueType::NON_POLYMER, false, "", 5498 },
	{ "4TD", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-[3-[(2S)-2-oxidanylpropoxy]-2-[[(2S)-2-oxidanylpropoxy]methyl]-2-[[(2R)-2-oxidanylpropoxy]methyl]propoxy]propan-2-ol", 5499 },
	{ "4TE", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,3S,4R,5S)-5-methyl-7-oxabicyclo[2.2.1]heptane-2,3-dicarboxylic acid", 5500 },
	{ "4TF", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3R,4S,5S)-5-(propoxymethyl)-7-oxabicyclo[2.2.1]heptane-2,3-dicarboxylic acid", 5501 },
	{ "4TG", "", "", ResidueType::NON_POLYMER, false, "dTDP-4,6-dideoxy-4-formamido-glucose", 5502 },
	{ "4TH", "", "", ResidueType::NON_POLYMER, false, "(S)-7-((R)-sec-butoxy)-1-(4-chlorophenyl)-6-methoxy-2-(4-(methyl(pyridin-4-ylmethyl)amino)phenyl)-1,2-dihydroisoquinolin-3(4H)-one", 5503 },
	{ "4TI", "", "", ResidueType::NON_POLYMER, false, "TITANIUM ION", 5504 },
	{ "4TJ", "", "", ResidueType::NON_POLYMER, false, "", 5505 },
	{ "4TK", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-1-(4-bromophenyl)-2-(hydroxyamino)-2-oxoethyl]-2,2-dimethylpropanamide", 5506 },
	{ "4TL", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-2-(hydroxyamino)-2-oxo-1-(3',4',5'-trifluorobiphenyl-4-yl)ethyl]-2,2-dimethylpropanamide", 5507 },
	{ "4TM", "", "", ResidueType::NON_POLYMER, false, "N-{(1R)-2-(hydroxyamino)-2-oxo-1-[4-(thiophen-3-yl)phenyl]ethyl}-2,2-dimethylpropanamide", 5508 },
	{ "4TN", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-[3-(3-ETHOXY-5,5,8,8-TETRAMETHYL-5,6,7,8-TETRAHYDRONAPHTHALEN-2-YL)-4-HYDROXYPHENYL]ACRYLIC ACID", 5509 },
	{ "4TO", "", "", ResidueType::NON_POLYMER, false, "(4S)-N-[3-(1,3-oxazol-5-yl)phenyl]-7-[3-(trifluoromethyl)phenyl]-3,4-dihydro-1,4-methanopyrido[2,3-b][1,4]diazepine-5(2H)-carboxamide", 5510 },
	{ "4TP", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-L-THREONINE-5-MONOPHOSPHATE", 5511 },
	{ "4TQ", "", "", ResidueType::NON_POLYMER, false, "(3S)-1,3-dimethyl-N-[3-(1,3-oxazol-5-yl)phenyl]-6-[3-(trifluoromethyl)phenyl]-2,3-dihydropyrido[2,3-b]pyrazine-4(1H)-carboxamide", 5512 },
	{ "4TR", "", "", ResidueType::NON_POLYMER, false, "2-BROMO-4-{[(4-CYANOPHENYL)(4H-1,2,4-TRIAZOL-4-YL)AMINO]METHYL}PHENYL SULFAMATE", 5513 },
	{ "4TT", "", "", ResidueType::NON_POLYMER, false, "4,5,6,11-tetrahydro-1H-pyrazolo[4',3':6,7]cyclohepta[1,2-b]indole", 5514 },
	{ "4TU", "", "", ResidueType::NON_POLYMER, false, "5-chloranyl-2,3-dihydroindole-1-carboxamide", 5515 },
	{ "4TV", "", "", ResidueType::NON_POLYMER, false, "8-{3-chloro-5-[4-(1-methyl-1H-pyrazol-4-yl)phenyl]pyridin-4-yl}-2,8-diazaspiro[4.5]decan-1-one", 5516 },
	{ "4TW", "", "", ResidueType::NON_POLYMER, false, "N-[4-(2-fluoropyridin-4-yl)thiophen-2-yl]-2-{3-[(methylsulfonyl)amino]phenyl}acetamide", 5517 },
	{ "4TX", "", "", ResidueType::NON_POLYMER, false, "5-(2,5-dimethylphenoxy)-2,2-dimethylpentanoic acid", 5518 },
	{ "4TY", "", "", ResidueType::NON_POLYMER, false, "tert-butyl [(1R)-1-(4-bromophenyl)-2-(hydroxyamino)-2-oxoethyl]carbamate", 5519 },
	{ "4TZ", "", "", ResidueType::NON_POLYMER, false, "4-{[(4-CYANOPHENYL)(4H-1,2,4-TRIAZOL-4-YL)AMINO]METHYL}PHENYL SULFAMATE", 5520 },
	{ "4U0", "", "", ResidueType::NON_POLYMER, false, "(6R)-5-(acetylamino)-3,5-dideoxy-6-[(1R,2R)-1,2,3-trihydroxypropyl]-beta-L-threo-hex-2-ulopyranonosyl-(2->6)-beta-D-galactopyranosyl-(1->4)-beta-D-glucopyranose", 5521 },
	{ "4U1", "", "", ResidueType::NON_POLYMER, false, "(6R)-5-(acetylamino)-3,5-dideoxy-6-[(1R,2R)-1,2,3-trihydroxypropyl]-beta-L-threo-hex-2-ulopyranonosyl-(2->6)-beta-D-galactopyranosyl-(1->4)-2-(acetylamino)-2-deoxy-beta-D-glucopyranose", 5522 },
	{ "4U2", "", "", ResidueType::NON_POLYMER, false, "(6R)-5-(acetylamino)-3,5-dideoxy-6-[(1R,2R)-1,2,3-trihydroxypropyl]-beta-L-threo-hex-2-ulopyranonosyl-(2->3)-beta-D-galactopyranosyl-(1->4)-2-(acetylamino)-2-deoxy-beta-D-glucopyranose", 5523 },
	{ "4U3", "", "", ResidueType::DNA_LINKING, false, "", 5524 },
	{ "4U5", "", "", ResidueType::NON_POLYMER, false, "N-{(1R)-2-(hydroxyamino)-1-[4-(1-methyl-1H-pyrazol-4-yl)phenyl]-2-oxoethyl}-2,2-dimethylpropanamide", 5525 },
	{ "4U6", "", "", ResidueType::NON_POLYMER, false, "N-{(1R)-2-(hydroxyamino)-1-[3'-(N'-hydroxycarbamimidoyl)biphenyl-4-yl]-2-oxoethyl}-2,2-dimethylpropanamide", 5526 },
	{ "4U7", "", "", ResidueType::PEPTIDE_LINKING, false, "[(5S)-5-amino-5-carboxy-6,6-difluorohexyl](trihydroxy)borate(1-)", 5527 },
	{ "4U8", "", "", ResidueType::NON_POLYMER, false, "5-(4-tert-butylphenyl)-1-[4-(propan-2-yloxy)phenyl]-1H-indole-2-carboxylic acid", 5528 },
	{ "4U9", "", "", ResidueType::NON_POLYMER, false, "5-[4-bromo-2-(2-chloro-6-fluorophenyl)-1H-imidazol-5-yl]-2-{[4-(trifluoromethyl)phenyl]ethynyl}pyridine", 5529 },
	{ "4UA", "", "", ResidueType::NON_POLYMER, false, "4-[[(2-methoxy-5-methyl-phenyl)sulfonylamino]methyl]-4-phenyl-N-(p-tolylmethyl)piperidine-1-carboxamide", 5530 },
	{ "4UB", "", "", ResidueType::NON_POLYMER, false, "3-PHENYL-6-(1H-PYRAZOL-4-YL)IMIDAZO[1,2-A]PYRAZINE", 5531 },
	{ "4UC", "", "", ResidueType::NON_POLYMER, false, "N-[4-(acetylsulfamoyl)phenyl]-2-(4-ethoxyphenyl)quinoline-4-carboxamide", 5532 },
	{ "4UD", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-amino[(5S)-4,5-dihydro-1,2-oxazol-5-yl]acetic acid", 5533 },
	{ "4UE", "", "", ResidueType::NON_POLYMER, false, "ethyl 5-(1-methyl-1H-imidazol-5-yl)-1H-indole-2-carboxylate", 5534 },
	{ "4UF", "", "", ResidueType::NON_POLYMER, false, "4-{[({5-[2-(ethoxycarbonyl)-1H-indol-5-yl]-1-methyl-1H-pyrazol-3-yl}carbonyl)amino]methyl}benzoic acid", 5535 },
	{ "4UG", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S})-3-azanyl-2-oxidanyl-4-[(3~{S})-2-oxidanylidenepiperidin-3-yl]butanenitrile", 5536 },
	{ "4UJ", "", "", ResidueType::NON_POLYMER, false, "2-chloro-N-(4-phenyl-1,3-thiazol-2-yl)benzamide", 5537 },
	{ "4UK", "", "", ResidueType::NON_POLYMER, false, "N-[4-(4-chlorophenyl)-1H-imidazol-2-yl]-2-(difluoromethyl)-5-{[(2-methylpropanoyl)amino]methyl}benzamide", 5538 },
	{ "4UL", "", "", ResidueType::NON_POLYMER, false, "2-(difluoromethyl)-5-{[(2-methylpropanoyl)amino]methyl}-N-{5-methyl-4-[4-(trifluoromethyl)phenyl]-1H-imidazol-2-yl}pyridine-3-carboxamide", 5539 },
	{ "4UM", "", "", ResidueType::NON_POLYMER, false, "ethyl 5-carbamoyl-1H-indole-2-carboxylate", 5540 },
	{ "4UN", "", "", ResidueType::NON_POLYMER, false, "{4-[2,2-BIS(5-METHYL-1,2,4-OXADIAZOL-3-YL)-3-PHENYLPROPYL]PHENYL}SULFAMIC ACID", 5541 },
	{ "4UO", "", "", ResidueType::NON_POLYMER, false, "2,3-dihydroxanthosine", 5542 },
	{ "4UP", "", "", ResidueType::NON_POLYMER, false, "6-[(2S,3S)-3-phenyloxiran-2-yl]naphthalene-2-carboximidamide", 5543 },
	{ "4UQ", "", "", ResidueType::NON_POLYMER, false, "6-{(3R)-3-[(4-tert-butylbenzoyl)amino]piperidin-1-yl}-2-{[4-(morpholin-4-ylcarbonyl)phenyl]amino}pyridine-3-carboxamide", 5544 },
	{ "4UR", "", "", ResidueType::NON_POLYMER, false, "3'2'-cGAMP", 5545 },
	{ "4US", "", "", ResidueType::NON_POLYMER, false, "4-(2-chlorophenyl)-7-[(4-methylpiperazin-1-yl)carbonyl]-9H-carbazole-1-carboxamide", 5546 },
	{ "4UT", "", "", ResidueType::NON_POLYMER, false, "4-(4-ethylpiperazin-1-yl)-N-[6-(3-methoxyphenyl)-2H-indazol-3-yl]benzamide", 5547 },
	{ "4UU", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-hydroxy{[(2E)-3-(4-oxocyclohexa-1,5-dien-1-yl)prop-2-enoyl]oxy}phosphoryl]adenosine", 5548 },
	{ "4UV", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-{[(2E)-3-(3,4-dioxocyclohexa-1,5-dien-1-yl)prop-2-enoyl]oxy}(hydroxy)phosphoryl]adenosine", 5549 },
	{ "4UW", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-hydroxy{[(2E)-3-(5-methoxy-4-oxocyclohexa-1,5-dien-1-yl)prop-2-enoyl]oxy}phosphoryl]adenosine", 5550 },
	{ "4UX", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,4R,6aR)-4-(methylamino)hexahydrofuro[2,3-b]furan-3-yl [(2S,3R)-4-{[(4-aminophenyl)sulfonyl](2-methylpropyl)amino}-3-hydroxy-1-phenylbutan-2-yl]carbamate", 5551 },
	{ "4UY", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,4R,6aR)-4-(methylamino)hexahydrofuro[2,3-b]furan-3-yl [(2S,3R)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino}-1-phenylbutan-2-yl]carbamate", 5552 },
	{ "4UZ", "", "", ResidueType::NON_POLYMER, false, "2-{[(benzyloxy)carbonyl]amino}-2-deoxy-beta-D-glucopyranose", 5553 },
	{ "4V0", "", "", ResidueType::NON_POLYMER, false, "3-(3H-azepin-5-yl)-L-alanine", 5554 },
	{ "4V1", "", "", ResidueType::NON_POLYMER, false, "2-(4-hydroxy-3,5-dimethylphenyl)-7-methyl-5,6,7,8-tetrahydropyrido[4',3':4,5]thieno[2,3-d]pyrimidin-4(3H)-one", 5555 },
	{ "4V2", "", "", ResidueType::NON_POLYMER, false, "3-(5-MERCAPTO-1,3,4-OXADIAZOL-2-YL)-PHENOL", 5556 },
	{ "4V3", "", "", ResidueType::NON_POLYMER, false, "2-deoxy-2-({[(1,1-dioxido-1-benzothiophen-2-yl)methoxy]carbonyl}amino)-beta-D-glucopyranose", 5557 },
	{ "4V4", "", "", ResidueType::NON_POLYMER, false, "N1-(3-(2-(6-Amino-4-methylpyridin-2-yl)ethyl)phenyl)-N1,N2-dimethylethane-1,2-diamine", 5558 },
	{ "4V5", "", "", ResidueType::NON_POLYMER, false, "2-deoxy-2-{[3-(4-hydroxyphenyl)propanoyl]amino}-alpha-D-glucopyranose", 5559 },
	{ "4V6", "", "", ResidueType::NON_POLYMER, false, "(3R)-7-chloro-2,3,4-trimethyl-3,4-dihydro-2H-1,2,4-benzothiadiazine 1,1-dioxide", 5560 },
	{ "4V7", "", "", ResidueType::NON_POLYMER, false, "N-[(1R,3S)-3-({5-fluoro-2-[5-fluoro-2-(hydroxymethyl)-1H-pyrrolo[2,3-b]pyridin-3-yl]pyrimidin-4-yl}amino)cyclohexyl]pyrrolidine-1-carboxamide", 5561 },
	{ "4V8", "", "", ResidueType::NON_POLYMER, false, "1-benzyl-4-[3-(pyridin-4-yl)-2,4,6,7-tetrahydro-5H-pyrazolo[4,3-c]pyridin-5-yl]pyridin-2(1H)-one", 5562 },
	{ "4V9", "", "", ResidueType::NON_POLYMER, false, "3-(4-fluorophenyl)-5-(pyridin-2-yl)-4,5,6,7-tetrahydro-2H-pyrazolo[4,3-c]pyridine", 5563 },
	{ "4VA", "", "", ResidueType::NON_POLYMER, false, "(2S)-4-amino-N-[(1R)-1-(4-chloro-2-fluoro-3-phenoxyphenyl)propyl]-4-oxobutan-2-aminium", 5564 },
	{ "4VB", "", "", ResidueType::NON_POLYMER, false, "4-[3-(pyridin-4-yl)-2,4,6,7-tetrahydro-5H-pyrazolo[4,3-c]pyridin-5-yl]pyridin-2(1H)-one", 5565 },
	{ "4VC", "", "", ResidueType::NON_POLYMER, false, "1-(2-chlorophenyl)-3-(pyridin-3-ylmethyl)urea", 5566 },
	{ "4VD", "", "", ResidueType::NON_POLYMER, false, "N-[5-({[(3-fluorophenyl)carbamoyl]amino}methyl)-2-methylphenyl]imidazo[1,2-a]pyridine-3-carboxamide", 5567 },
	{ "4VE", "", "", ResidueType::NON_POLYMER, false, "N-(5-{(1S)-1-[(5-fluoro-1,3-benzoxazol-2-yl)amino]ethyl}-2-methylphenyl)imidazo[1,2-a]pyridine-3-carboxamide", 5568 },
	{ "4VF", "", "", ResidueType::NON_POLYMER, false, "2-[(1S)-1-(3-chlorophenyl)-2-hydroxyethyl]-7-[2-(tetrahydro-2H-pyran-4-ylamino)pyrimidin-4-yl]-3,4-dihydropyrrolo[1,2-a]pyrazin-1(2H)-one", 5569 },
	{ "4VG", "", "", ResidueType::NON_POLYMER, false, "2-[(1S)-1-(3-chlorophenyl)-2-hydroxyethyl]-8-[2-(tetrahydro-2H-pyran-4-ylamino)pyrimidin-4-yl]-2,3,4,5-tetrahydro-1H-pyrrolo[1,2-a][1,4]diazepin-1-one", 5570 },
	{ "4VJ", "", "", ResidueType::NON_POLYMER, false, "2-[(1S)-1-(3-chlorophenyl)-2-hydroxyethyl]-8-(2-{[(1S,3R)-3-hydroxycyclopentyl]amino}pyrimidin-4-yl)-2,3,4,5-tetrahydro-1H-pyrrolo[1,2-a][1,4]diazepin-1-one", 5571 },
	{ "4VK", "", "", ResidueType::NON_POLYMER, false, "N-{[3'-(hydroxymethyl)biphenyl-4-yl]methyl}benzenesulfonamide", 5572 },
	{ "4VL", "", "", ResidueType::NON_POLYMER, false, "1-{5-[2-fluoro-5-(hydroxymethyl)phenyl]pyridin-2-yl}piperidine-4-carboxylic acid", 5573 },
	{ "4VM", "", "", ResidueType::NON_POLYMER, false, "1-{5-[2-fluoro-5-(hydroxymethyl)phenyl]pyridin-2-yl}-N-(quinolin-6-ylmethyl)piperidine-4-carboxamide", 5574 },
	{ "4VN", "", "", ResidueType::NON_POLYMER, false, "1-{5-[2-chloro-5-(hydroxymethyl)phenyl]pyridin-2-yl}piperidine-4-carboxylic acid", 5575 },
	{ "4VO", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,3aR,5aR,6R,11bR,11cS)-3a-methoxy-3,14-dimethyl-2-phenyl-2,3,3a,6,7,11c-hexahydro-1H-6,11b-(epiminoethano)-3,5a-methanonaphtho[2,1-g]indol-10-ol", 5576 },
	{ "4VP", "", "", ResidueType::NON_POLYMER, false, "4-ethenylphenol", 5577 },
	{ "4VQ", "", "", ResidueType::NON_POLYMER, false, "4-[3-amino-6-(3,4,5-trimethoxyphenyl)pyrazin-2-yl]-2-methylbenzoic acid", 5578 },
	{ "4VR", "", "", ResidueType::NON_POLYMER, false, "2-[(4-bromobenzyl)amino]-5-propyl[1,2,4]triazolo[1,5-a]pyrimidin-7(4H)-one", 5579 },
	{ "4VS", "", "", ResidueType::NON_POLYMER, false, "5-ethyl-2-methyl-7-oxo-4,7-dihydropyrazolo[1,5-a]pyrimidine-3-carbonitrile", 5580 },
	{ "4VT", "", "", ResidueType::NON_POLYMER, false, "5-benzyl-7-oxo-4,7-dihydropyrazolo[1,5-a]pyrimidine-3-carbonitrile", 5581 },
	{ "4VU", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(pyridin-3-yl)-1-azabicyclo[2.2.2]octane", 5582 },
	{ "4VV", "", "", ResidueType::NON_POLYMER, false, "(Z,Z)-[heptane-1,7-diylbis(1H-imidazol-1-yl-2-ylidene)]bis(N-hydroxymethanamine)", 5583 },
	{ "4VW", "", "", ResidueType::NON_POLYMER, false, "5-[(2S)-2-[[(4-aminophenyl)carbonylamino]methyl]-4-methyl-pentyl]-1,3-benzodioxole-4-carboxylic acid", 5584 },
	{ "4VY", "", "", ResidueType::NON_POLYMER, false, "2-[(5-BROMO-2-PYRIDYL)-METHYL-AMINO]ETHANOL", 5585 },
	{ "4W0", "", "", ResidueType::NON_POLYMER, false, "5-fluoro-3-methyl-2-{4-[4-(trifluoromethoxy)benzyl]phenyl}quinolin-4(1H)-one", 5586 },
	{ "4W1", "", "", ResidueType::NON_POLYMER, false, "1-benzothiophen-3-ylmethanol", 5587 },
	{ "4W4", "", "", ResidueType::NON_POLYMER, false, "5-butyl-2-[(4-chloro-2-fluorobenzyl)amino]-7-oxo-4,7-dihydropyrazolo[1,5-a]pyrimidine-3-carbonitrile", 5588 },
	{ "4W5", "", "", ResidueType::NON_POLYMER, false, "ethyl 2H-indazole-5-carboxylate", 5589 },
	{ "4W6", "", "", ResidueType::NON_POLYMER, false, "7-oxo-2-[2-oxo-2-(pyrrolidin-1-yl)ethyl]-5-propyl-4,7-dihydropyrazolo[1,5-a]pyrimidine-3-carbonitrile", 5590 },
	{ "4W9", "", "", ResidueType::NON_POLYMER, false, "", 5591 },
	{ "4WA", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-(4-aminophenyl)diazenyl]benzenesulfonamide", 5592 },
	{ "4WC", "", "", ResidueType::NON_POLYMER, false, "(S)-CYCLOHEXYL LACTIC ACID", 5593 },
	{ "4WE", "", "", ResidueType::NON_POLYMER, false, "4-({5-fluoro-4-[2-methyl-1-(propan-2-yl)-1H-imidazol-5-yl]pyrimidin-2-yl}amino)-N-[2-(piperidin-1-yl)ethyl]benzamide", 5594 },
	{ "4WF", "", "", ResidueType::NON_POLYMER, false, "5-azanyl-6-oxidanyl-1-(phenylmethyl)pyrimidine-2,4-dione", 5595 },
	{ "4WG", "", "", ResidueType::NON_POLYMER, false, "2-{[2-ethoxy-4-(4-hydroxypiperidin-1-yl)phenyl]amino}-5,11-dimethyl-5,11-dihydro-6H-pyrimido[4,5-b][1,4]benzodiazepin-6-one", 5596 },
	{ "4WH", "", "", ResidueType::NON_POLYMER, false, "4-[(4-tert-butylphenyl)sulfonyl]-1-(2,4-dimethoxy-5-methylphenyl)-5-methyl-1H-1,2,3-triazole", 5597 },
	{ "4WJ", "", "", ResidueType::NON_POLYMER, false, "4-(4-bromo-1H-pyrazol-1-yl)piperidinium", 5598 },
	{ "4WK", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-{[(2S)-1-amino-3-methyl-1-oxobutan-2-yl]amino}-1-oxopropan-2-aminium", 5599 },
	{ "4WL", "", "", ResidueType::NON_POLYMER, false, "4H-THIENO[3,2-B]PYROLE-5-CARBOXYLIC ACID", 5600 },
	{ "4WM", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-{[(S)-tert-butoxy(hydroxy)methyl]amino}-5-[(1S)-cyclohex-2-en-1-ylselanyl]pentane-1,1-diol", 5601 },
	{ "4WN", "", "", ResidueType::NON_POLYMER, false, "2-[2-(1-methyl-1H-imidazol-2-yl)ethyl]-1,2,3,4-tetrahydroisoquinolin-8-amine", 5602 },
	{ "4WO", "", "", ResidueType::NON_POLYMER, false, "methyl 3-(8-amino-3,4-dihydroisoquinolin-2(1H)-yl)propanoate", 5603 },
	{ "4WP", "", "", ResidueType::NON_POLYMER, false, "methyl 3-(3,4-dihydroisoquinolin-2(1H)-yl)propanoate", 5604 },
	{ "4WQ", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-7,7-dimethyloctanoic acid", 5605 },
	{ "4WR", "", "", ResidueType::NON_POLYMER, false, "1-[(2R)-2,3-diaminopropyl]-5-fluoropyrimidine-2,4(1H,3H)-dione", 5606 },
	{ "4WS", "", "", ResidueType::NON_POLYMER, false, "N-{[(1R,2R,3R,7S,7aR)-1,2,7-trihydroxyhexahydro-1H-pyrrolizin-3-yl]methyl}acetamide", 5607 },
	{ "4WT", "", "", ResidueType::NON_POLYMER, false, "4,4-dimethyl-1,2,3,4-tetrahydroisoquinoline", 5608 },
	{ "4WU", "", "", ResidueType::NON_POLYMER, false, "1,2,3,4-tetrahydroisoquinolin-8-amine", 5609 },
	{ "4WV", "", "", ResidueType::NON_POLYMER, false, "bis(cyanido-kappaC)(dicarbonyl)-mu-(oxomethylidene)-mu-(oxydimethanethiolate-1kappaS:2kappaS)diiron(2+)", 5610 },
	{ "4WW", "", "", ResidueType::NON_POLYMER, false, "bis(cyanido-kappaC)(dicarbonyl)-mu-(oxomethylidene)[mu-propane-1,3-bis(thiolate)-1kappa~2~S~1~,S~3~:2kappa~2~S~1~,S~3~]diiron(2+)", 5611 },
	{ "4WX", "", "", ResidueType::NON_POLYMER, false, "bis(cyanido-kappaC)(dicarbonyl)-mu-(oxomethylidene)-mu-(sulfanediyldimethanethiolatato-1kappaS:2kappaS)diiron(2+)", 5612 },
	{ "4WY", "", "", ResidueType::NON_POLYMER, false, "{[(1R,3S,4S,5R,6S)-2,4,5,6-tetrakis(phosphonooxy)cyclohexane-1,3-diyl]bis[oxy(2-oxoethane-2,1-diyl)]}bis(phosphonic acid)", 5613 },
	{ "4WZ", "", "", ResidueType::NON_POLYMER, false, "{[(1R,3S,4S,5R,6S)-2,4,5,6-tetrakis(phosphonooxy)cyclohexane-1,3-diyl]bis[oxy(hydroxyphosphoryl)methanediyl]}bis(phosphonic acid)", 5614 },
	{ "4X1", "", "", ResidueType::NON_POLYMER, false, "3-(3,4-dihydroisoquinolin-2(1H)-yl)propan-1-amine", 5615 },
	{ "4X2", "", "", ResidueType::NON_POLYMER, false, "(2-{[(2S)-1-hydroxy-3-(6-oxo-1,6-dihydro-9H-purin-9-yl)propan-2-yl]oxy}ethyl)phosphonic acid", 5616 },
	{ "4X3", "", "", ResidueType::NON_POLYMER, false, "2-ethyl-1,2,3,4-tetrahydroisoquinolin-5-amine", 5617 },
	{ "4X4", "", "", ResidueType::NON_POLYMER, false, "N-[2-(2-methoxy-1H-dipyrido[2,3-a:3',2'-e]pyrrolizin-11-yl)ethyl]furan-2-carboxamide", 5618 },
	{ "4X6", "", "", ResidueType::NON_POLYMER, false, "2-methyl-1,2,3,4-tetrahydroisoquinolin-5-amine", 5619 },
	{ "4X7", "", "", ResidueType::NON_POLYMER, false, "(2-{[(2S)-1-(2-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)-3-hydroxypropan-2-yl]oxy}ethyl)phosphonic acid", 5620 },
	{ "4X8", "", "", ResidueType::NON_POLYMER, false, "2-[(4-amino-3-methylpyridin-2-yl)methyl]-1,2,3,4-tetrahydroisoquinolin-8-amine", 5621 },
	{ "4X9", "", "", ResidueType::NON_POLYMER, false, "3-chloro-2,6-dimethyl-5-{4-[4-(trifluoromethoxy)phenoxy]phenyl}pyridin-4-ol", 5622 },
	{ "4XA", "", "", ResidueType::NON_POLYMER, false, "3-(5,6-dimethyl-2H-isoindol-2-yl)-N'-[(E)-furan-2-ylmethylidene]benzohydrazide", 5623 },
	{ "4XB", "", "", ResidueType::NON_POLYMER, false, "3-methoxybenzyl 3-methyl-4-(piperidin-4-yloxy)-1-benzofuran-2-carboxylate", 5624 },
	{ "4XC", "", "", ResidueType::NON_POLYMER, false, "3-(8-amino-3,4-dihydroisoquinolin-2(1H)-yl)-N-methylpropanamide", 5625 },
	{ "4XD", "", "", ResidueType::NON_POLYMER, false, "2-(2-methoxyethyl)-1,2,3,4-tetrahydroisoquinolin-8-amine", 5626 },
	{ "4XE", "", "", ResidueType::NON_POLYMER, false, "4-[2-oxo-2-(piperidin-1-yl)ethyl]piperazin-1-ium", 5627 },
	{ "4XF", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-[(6-aminopyridin-2-yl)amino]-1-oxopropan-2-aminium", 5628 },
	{ "4XG", "", "", ResidueType::NON_POLYMER, false, "2-[3-(dimethylamino)propyl]-1,2,3,4-tetrahydroisoquinolin-8-amine", 5629 },
	{ "4XH", "", "", ResidueType::NON_POLYMER, false, "5-BROMOQUINOLINE", 5630 },
	{ "4XJ", "", "", ResidueType::NON_POLYMER, false, "2-(1,3-dimethoxypropan-2-yl)-1,2,3,4-tetrahydroisoquinolin-8-amine", 5631 },
	{ "4XK", "", "", ResidueType::NON_POLYMER, false, "2-[3-(tetrahydro-2H-pyran-4-yloxy)propyl]-1,2,3,4-tetrahydroisoquinolin-5-amine", 5632 },
	{ "4XL", "", "", ResidueType::NON_POLYMER, false, "2-[3-(morpholin-4-yl)propyl]-1,2,3,4-tetrahydroisoquinolin-8-amine", 5633 },
	{ "4XM", "", "", ResidueType::NON_POLYMER, false, "2-[3-(tetrahydro-2H-pyran-4-yloxy)propyl]-1,2,3,4-tetrahydroisoquinolin-8-amine", 5634 },
	{ "4XN", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R)-1-(cyclopropylcarbonyl)pyrrolidin-3-yl]methyl}-5-[4-(1-methyl-1H-indazol-5-yl)phenyl]-4,6-diazaspiro[2.4]hept-4-en-7-one", 5635 },
	{ "4XO", "", "", ResidueType::NON_POLYMER, false, "6-({4-[(4-cyanophenyl)amino]-1,3,5-triazin-2-yl}amino)-5,7-dimethylindolizine-2-carbonitrile", 5636 },
	{ "4XP", "", "", ResidueType::NON_POLYMER, false, "4,4'-propane-1,3-diylbis(1-methyl-1H-1,2,3-triazole)", 5637 },
	{ "4XQ", "", "", ResidueType::NON_POLYMER, false, "4,4'-pentane-1,5-diylbis(1-propyl-1H-1,2,3-triazole)", 5638 },
	{ "4XR", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-3-amino-6-(aminomethyl)-3,4-dihydro-2H-pyran-2-ol", 5639 },
	{ "4XS", "", "", ResidueType::NON_POLYMER, false, "4,6-dichloro-2-cyclopropyl-5-methylpyrimidine", 5640 },
	{ "4XU", "", "", ResidueType::NON_POLYMER, false, "6-chloro-N-[(2,4-dimethyl-1,3-thiazol-5-yl)methyl]-5-methyl-2-[3-(quinolin-2-yl)propoxy]pyrimidin-4-amine", 5641 },
	{ "4XV", "", "", ResidueType::NON_POLYMER, false, "6-chloro-2-cyclopropyl-5-methylpyrimidin-4-amine", 5642 },
	{ "4XW", "", "", ResidueType::NON_POLYMER, false, "(5S,6S,9R,13R)-2,3-didehydro-5,6,7,8,9,10,11,12,13,14-decahydroretinoic acid", 5643 },
	{ "4XX", "", "", ResidueType::NON_POLYMER, false, "4-hydroxy-5-methylfuran-3(2H)-one", 5644 },
	{ "4XY", "", "", ResidueType::NON_POLYMER, false, "6-chloro-2-cyclopropyl-5-methyl-N-propylpyrimidin-4-amine", 5645 },
	{ "4Y0", "", "", ResidueType::NON_POLYMER, false, "3,4-dimethoxy-N-(5-phenyl-1H-pyrazol-3-yl)benzamide", 5646 },
	{ "4Y1", "", "", ResidueType::NON_POLYMER, false, "6-chloro-N-[(2,4-dimethyl-1,3-thiazol-5-yl)methyl]-5-methyl-2-[2-(pyridin-2-yl)ethoxy]pyrimidin-4-amine", 5647 },
	{ "4Y2", "", "", ResidueType::NON_POLYMER, false, "6-chloro-2-cyclopropyl-N-[(2,4-dimethyl-1,3-thiazol-5-yl)methyl]-5-methylpyrimidin-4-amine", 5648 },
	{ "4Y3", "", "", ResidueType::NON_POLYMER, false, "[[(2S,5R)-5-(4-azanyl-5-fluoranyl-2-oxidanylidene-pyrimidin-1-yl)oxolan-2-yl]methoxy-oxidanyl-phosphoryl] phosphono hydrogen phosphate", 5649 },
	{ "4Y5", "", "", ResidueType::NON_POLYMER, false, "4-{1-[2-chloro-6-(trifluoromethyl)benzoyl]-4-fluoro-1H-indazol-3-yl}-3-fluorobenzoic acid", 5650 },
	{ "4Y6", "", "", ResidueType::NON_POLYMER, false, "(1S)-4-{1-[2-chloro-6-(trifluoromethyl)benzoyl]-4-fluoro-1H-indazol-3-yl}-1-methylcyclohex-3-ene-1-carboxylic acid", 5651 },
	{ "4Y7", "", "", ResidueType::NON_POLYMER, false, "4-{1-[2-chloro-6-(trifluoromethyl)benzoyl]-1H-pyrazolo[4,3-b]pyridin-3-yl}-5-fluoro-2-hydroxybenzoic acid", 5652 },
	{ "4Y8", "", "", ResidueType::NON_POLYMER, false, "1-hydroxypropan-2-one", 5653 },
	{ "4YA", "", "", ResidueType::NON_POLYMER, false, "hexyl 2-O-(6-deoxy-alpha-L-galactopyranosyl)-beta-D-galactopyranoside", 5654 },
	{ "4YB", "", "", ResidueType::NON_POLYMER, false, "5'-O-{[4-(2-carboxyphenyl)-4-oxobutanoyl]sulfamoyl}adenosine", 5655 },
	{ "4YC", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-[2-(6-chloro-3,3-dimethyl-2,3-dihydro-1H-indol-1-yl)-2-oxoethyl]-2-methylpiperazin-1-ium", 5656 },
	{ "4YD", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-methyl-4-[2-oxo-2-(pyrrolidin-1-yl)ethyl]piperazin-1-ium", 5657 },
	{ "4YE", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-[2-(2,3-dihydro-1H-indol-1-yl)-2-oxoethyl]-2-methylpiperazin-1-ium", 5658 },
	{ "4YF", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-[2-(6-chloro-2,3-dihydro-1H-pyrrolo[3,2-c]pyridin-1-yl)-2-oxoethyl]-2-methylpiperazin-1-ium", 5659 },
	{ "4YH", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(3,4-dimethoxyphenyl)-5-{[2-(3,4-dimethoxyphenyl)ethyl](methyl)amino}-2-(propan-2-yl)pentanenitrile", 5660 },
	{ "4YK", "", "", ResidueType::NON_POLYMER, false, "3-methoxy[1]benzothieno[2,3-c]quinolin-6(5H)-one", 5661 },
	{ "4YL", "", "", ResidueType::NON_POLYMER, false, "(2R,5R)-4-[2-(6-chloro-3,3-dimethyl-2,3-dihydro-1H-pyrrolo[3,2-c]pyridin-1-yl)-2-oxoethyl]-5-(methoxymethyl)-2-methylpiperazin-1-ium", 5662 },
	{ "4YM", "", "", ResidueType::NON_POLYMER, false, "ethyl 4-[(2R)-2-(aminomethyl)morpholin-4-yl]-3-(3-cyanophenyl)-1H-pyrazolo[3,4-b]pyridine-5-carboxylate", 5663 },
	{ "4YN", "", "", ResidueType::NON_POLYMER, false, "(2R,5R)-4-[2-(6-benzyl-3,3-dimethyl-2,3-dihydro-1H-pyrrolo[3,2-c]pyridin-1-yl)-2-oxoethyl]-5-(methoxymethyl)-2-methylpiperazin-1-ium", 5664 },
	{ "4YO", "", "", ResidueType::NON_POLYMER, false, "6-bromo-3,4-dihydroquinoxalin-2(1H)-one", 5665 },
	{ "4YP", "", "", ResidueType::NON_POLYMER, false, "2-amino-5-[(2E)-3,7-dimethylocta-2,6-dien-1-yl]-3-methoxy-6-methylcyclohexa-2,5-diene-1,4-dione", 5666 },
	{ "4YQ", "", "", ResidueType::NON_POLYMER, false, "4-cyclopropyl-2-(2-hydroxyethyloxy)-N-[(1S,3R)-5-oxidanyl-2-adamantyl]-1,3-thiazole-5-carboxamide", 5667 },
	{ "4YR", "", "", ResidueType::NON_POLYMER, false, "N-[(3R)-1-(cyclopropylmethyl)pyrrolidin-3-yl]-5-[(2,4-dioxo-3,4-dihydroquinazolin-1(2H)-yl)methyl]-2-fluorobenzamide", 5668 },
	{ "4YS", "", "", ResidueType::NON_POLYMER, false, "isoquinolin-1(2H)-one", 5669 },
	{ "4YT", "", "", ResidueType::NON_POLYMER, false, "1-ethyl-8-methoxy-5-methyl[1,2,4]triazolo[4,3-a]quinoline", 5670 },
	{ "4YU", "", "", ResidueType::NON_POLYMER, false, "methyl (2E)-4-{[(5-methoxy-1,2-dimethyl-1H-indol-3-yl)carbonyl]amino}but-2-enoate", 5671 },
	{ "4YV", "", "", ResidueType::NON_POLYMER, false, "1-cyclopentyl-N-[2-(4-methoxypiperidin-1-yl)pyrimidin-4-yl]-1H-imidazo[4,5-c]pyridin-6-amine", 5672 },
	{ "4YW", "", "", ResidueType::NON_POLYMER, false, "2-methyl-N-{2-[4-(methylsulfonyl)piperidin-1-yl]pyrimidin-4-yl}-1-(propan-2-yl)-1H-imidazo[4,5-c]pyridin-6-amine", 5673 },
	{ "4YX", "", "", ResidueType::NON_POLYMER, false, "N-{2-[4-(2-aminoethyl)-4-methoxypiperidin-1-yl]pyrimidin-4-yl}-2-methyl-1-(propan-2-yl)-1H-imidazo[4,5-c]pyridin-6-amine", 5674 },
	{ "4YY", "", "", ResidueType::NON_POLYMER, false, "N-[(1-fluorocyclopropyl)carbonyl]-3-methyl-L-valyl-(4R)-4-hydroxy-N-[4-(4-methyl-1,3-thiazol-5-yl)benzyl]-L-prolinamide", 5675 },
	{ "4YZ", "", "", ResidueType::NON_POLYMER, false, "3-[(4-chlorophenyl)sulfanyl]propanoic acid", 5676 },
	{ "4Z0", "", "", ResidueType::NON_POLYMER, false, "(3E)-2-oxo-4-[(thiophen-2-ylcarbonyl)oxy]but-3-enoic acid", 5677 },
	{ "4Z1", "", "", ResidueType::NON_POLYMER, false, "[2-(2,4-dichlorophenyl)hydrazinyl](oxo)acetic acid", 5678 },
	{ "4Z2", "", "", ResidueType::NON_POLYMER, false, "2-(cyclobutylamino)-N-[(2S)-3-(3,4-dihydroisoquinolin-2(1H)-yl)-2-hydroxypropyl]pyridine-4-carboxamide", 5679 },
	{ "4Z3", "", "", ResidueType::NON_POLYMER, false, "(2E)-N-(2-bromophenyl)-2-(hydroxyimino)acetamide", 5680 },
	{ "4Z4", "", "", ResidueType::NON_POLYMER, false, "2,4-dichloro-5-fluorobenzoic acid", 5681 },
	{ "4Z5", "", "", ResidueType::NON_POLYMER, false, "1-(3,3-dimethylbutyl)-3-{2-fluoro-4-methyl-5-[7-methyl-2-(methylamino)pyrido[2,3-d]pyrimidin-6-yl]phenyl}urea", 5682 },
	{ "4Z8", "", "", ResidueType::NON_POLYMER, false, "2,2-dimethyl-3-[(4-{[2-methyl-1-(propan-2-yl)-1H-imidazo[4,5-c]pyridin-6-yl]amino}pyrimidin-2-yl)amino]propanamide", 5683 },
	{ "4Z9", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-hydroxy-3-(1H-indol-3-yl)propanoic acid", 5684 },
	{ "4ZA", "", "", ResidueType::NON_POLYMER, false, "6H-thieno[2,3-b]pyrrole-5-carboxylic acid", 5685 },
	{ "4ZB", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-methyl-1-(4-{[2-methyl-1-(propan-2-yl)-1H-imidazo[4,5-c]pyridin-6-yl]amino}pyrimidin-2-yl)pyrrolidine-3-carboxamide", 5686 },
	{ "4ZC", "", "", ResidueType::NON_POLYMER, false, "5-chloro-2-hydroxybenzonitrile", 5687 },
	{ "4ZD", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(phenylsulfanyl)prop-2-enoic acid", 5688 },
	{ "4ZE", "", "", ResidueType::NON_POLYMER, false, "4-amino-2-methylphenol", 5689 },
	{ "4ZF", "", "", ResidueType::NON_POLYMER, false, "(5E)-5-(3H-indol-3-ylidene)-2,5-dihydro-1H-pyrazole-3-carboxylic acid", 5690 },
	{ "4ZG", "", "", ResidueType::NON_POLYMER, false, "N~2~-[2-methyl-2-(methylsulfonyl)propyl]-N~4~-[2-methyl-1-(propan-2-yl)-1H-imidazo[4,5-c]pyridin-6-yl]pyrimidine-2,4-diamine", 5691 },
	{ "4ZH", "", "", ResidueType::NON_POLYMER, false, "2-methyl-N-[2-(2-methyl-2-methylsulfonyl-propoxy)pyrimidin-4-yl]-1-propan-2-yl-imidazo[4,5-c]pyridin-6-amine", 5692 },
	{ "4ZJ", "", "", ResidueType::NON_POLYMER, false, "N-[2-[(3R,4S)-3-fluoranyl-4-methoxy-piperidin-1-yl]pyrimidin-4-yl]-2-methyl-1-propan-2-yl-imidazo[4,5-c]pyridin-6-amine", 5693 },
	{ "4ZK", "", "", ResidueType::NON_POLYMER, false, "3,4-dichloro-5-(5-hydroxypyridin-3-yl)-L-phenylalanine", 5694 },
	{ "4ZL", "", "", ResidueType::NON_POLYMER, false, "ethyl N-(benzylcarbamoyl)glycinate", 5695 },
	{ "4ZM", "", "", ResidueType::NON_POLYMER, false, "ethyl N-{[3-(pyridin-4-yl)benzyl]carbamoyl}glycinate", 5696 },
	{ "4ZN", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{[(R)-[(R)-amino(phenyl)methyl](hydroxy)phosphoryl]methyl}-4-methylpentanoic acid", 5697 },
	{ "4ZO", "", "", ResidueType::NON_POLYMER, false, "ethyl N-{[4-(acetylamino)benzyl]carbamoyl}glycinate", 5698 },
	{ "4ZP", "", "", ResidueType::NON_POLYMER, false, "ethyl N-{[3-(pyridin-3-yl)benzyl]carbamoyl}glycinate", 5699 },
	{ "4ZQ", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-{6-({2-[(3R,4S)-3-fluoro-4-methoxypiperidin-1-yl]pyrimidin-4-yl}amino)-1-[(2S)-1,1,1-trifluoropropan-2-yl]-1H-imidazo[4,5-c]pyridin-2-yl}ethanol", 5700 },
	{ "4ZR", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-{6-({2-[(3S,4R)-3-fluoro-4-methoxypiperidin-1-yl]pyrimidin-4-yl}amino)-1-[(2S)-1,1,1-trifluoropropan-2-yl]-1H-imidazo[4,5-c]pyridin-2-yl}ethanol", 5701 },
	{ "4ZS", "", "", ResidueType::NON_POLYMER, false, "N-[5-(3-{2-[(cyclopropylmethyl)amino]pyrimidin-4-yl}-7-[(dimethylamino)methyl]-6-methylimidazo[1,2-a]pyridin-2-yl)-2-fluorophenyl]methanesulfonamide", 5702 },
	{ "4ZT", "", "", ResidueType::NON_POLYMER, false, "ethyl N-[(4-aminobenzyl)carbamoyl]-L-methioninate", 5703 },
	{ "4ZU", "", "", ResidueType::NON_POLYMER, false, "6-bromanyl-1H-indole-2-carboxylic acid", 5704 },
	{ "4ZV", "", "", ResidueType::NON_POLYMER, false, "1H-indole-5-carboxylic acid", 5705 },
	{ "4ZW", "", "", ResidueType::NON_POLYMER, false, "2-oxidanylidene-N-piperidin-4-yl-1,3-dihydroindole-5-carboxamide", 5706 },
	{ "4ZX", "", "", ResidueType::NON_POLYMER, false, "6-chloranyl-2-oxidanylidene-N-[(1S,5R)-8-[4-[(phenylmethyl)amino]piperidin-1-yl]sulfonyl-8-azabicyclo[3.2.1]octan-3-yl]-1,3-dihydroindole-5-carboxamide", 5707 },
	{ "4ZY", "", "", ResidueType::NON_POLYMER, false, "4-(aminomethyl)aniline", 5708 },
	{ "4ZZ", "", "", ResidueType::NON_POLYMER, false, "ethyl N-{[3-(3-aminopyridin-4-yl)benzyl]carbamoyl}glycinate", 5709 },
	{ "501", "", "", ResidueType::NON_POLYMER, false, "N7-BUTYL-N2-(5-CHLORO-2-METHYLPHENYL)-5-METHYL[1,2,4]TRIAZOLO[1,5-A]PYRIMIDINE-2,7-DIAMINE", 5710 },
	{ "502", "", "", ResidueType::NON_POLYMER, false, "ethyl N-{[(2-aminopyridin-4-yl)methyl]carbamoyl}glycinate", 5711 },
	{ "504", "", "", ResidueType::NON_POLYMER, false, "2-{3-[3-(piperidin-4-yl)propoxy]phenyl}-N-[4-(1H-pyrrolo[2,3-b]pyridin-3-yl)-1,3-thiazol-2-yl]acetamide", 5712 },
	{ "505", "", "", ResidueType::NON_POLYMER, false, "(2R)-1-(2,6-dimethylphenoxy)propan-2-amine", 5713 },
	{ "506", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(3-{2-[2-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)ethoxy]-4-fluorophenoxy}-5-fluorophenyl)prop-2-enenitrile", 5714 },
	{ "507", "", "", ResidueType::NON_POLYMER, false, "1-{3-[6-(tetrahydro-2H-pyran-4-ylamino)imidazo[1,2-b]pyridazin-3-yl]phenyl}ethanone", 5715 },
	{ "508", "", "", ResidueType::NON_POLYMER, false, "(1R,4'S)-3,4-dihydro-2H-spiro[naphthalene-1,3'-pyrrolidin]-4'-yl[(2S,4R)-2,4-diphenylpiperidin-1-yl]methanone", 5716 },
	{ "509", "", "", ResidueType::NON_POLYMER, false, "4-BROMO-3-(CARBOXYMETHOXY)-5-PHENYLTHIOPHENE-2-CARBOXYLIC ACID", 5717 },
	{ "50A", "", "", ResidueType::SACCHARIDE, false, "2-deoxy-2-fluoro-5-O-phosphono-alpha-D-ribofuranose", 5718 },
	{ "50B", "", "", ResidueType::NON_POLYMER, false, "13-diphenylalkyl Berberine", 5719 },
	{ "50C", "", "", ResidueType::NON_POLYMER, false, "3-(4-fluorophenyl)-4-methyl-1H-pyrazol-5-amine", 5720 },
	{ "50D", "", "", ResidueType::NON_POLYMER, false, "2-[[6-[3,3-bis(fluoranyl)pyrrolidin-1-yl]-4-[1-(oxetan-3-yl)piperidin-4-yl]pyridin-2-yl]amino]pyridine-4-carbonitrile", 5721 },
	{ "50E", "", "", ResidueType::NON_POLYMER, false, "N-(5-piperidin-4-yl-1-propan-2-yl-pyrazol-3-yl)-4-(trifluoromethyl)pyridin-2-amine", 5722 },
	{ "50F", "", "", ResidueType::NON_POLYMER, false, "2-[[1-cyclopentyl-5-[1-(oxetan-3-yl)piperidin-4-yl]pyrazol-3-yl]amino]pyridine-4-carbonitrile", 5723 },
	{ "50G", "", "", ResidueType::NON_POLYMER, false, "DENDRON-D1", 5724 },
	{ "50H", "", "", ResidueType::NON_POLYMER, false, "3-{8-[(3,4-dimethoxyphenyl)amino]imidazo[1,2-a]pyrazin-6-yl}benzamide", 5725 },
	{ "50J", "", "", ResidueType::NON_POLYMER, false, "3-{8-[(3,4-dimethoxyphenyl)amino]imidazo[1,2-a]pyrazin-6-yl}-N-[4-(methylcarbamoyl)phenyl]benzamide", 5726 },
	{ "50K", "", "", ResidueType::NON_POLYMER, false, "2-[6-(1-hydroxycyclohexyl)pyridin-2-yl]-1H-indole-5-carboximidamide", 5727 },
	{ "50L", "", "", ResidueType::RNA_LINKING, false, "[(2R,3S,4R,5R)-5-(4-azanyl-2-oxidanylidene-1$l^{4},3,5,7-tetrazabicyclo[4.3.0]nona-1(6),3,8-trien-7-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methyl dihydrogen phosphate", 5728 },
	{ "50M", "", "", ResidueType::NON_POLYMER, false, "(2R,4S,4aS,5R)-6'-hydroxy-2,4-dimethyl-8-nitro-1,2,4,4a-tetrahydro-2'H,6H-spiro[1,4-oxazino[4,3-a]quinoline-5,5'-pyrimidine]-2',4'(3'H)-dione", 5729 },
	{ "50N", "", "", ResidueType::RNA_LINKING, false, "(1S)-1-(6-amino-2-hydroxy-5-nitropyridin-3-yl)-1,4-anhydro-5-O-phosphono-D-ribitol", 5730 },
	{ "50O", "", "", ResidueType::NON_POLYMER, false, "N,N-dicyclopropyl-6-[(2S)-2,3-dihydroxypropyl]-1-methyl-4-(methylamino)-1,6-dihydroimidazo[4,5-d]pyrrolo[2,3-b]pyridine-7-carboxamide", 5731 },
	{ "50P", "", "", ResidueType::NON_POLYMER, false, "7-oxo-5-phenyl-6-(propan-2-yl)-4,7-dihydropyrazolo[1,5-a]pyrimidine-3-carbonitrile", 5732 },
	{ "50Q", "", "", ResidueType::NON_POLYMER, false, "5-(3,4-dichloro-phenoxy)-benzene-1,3-diol", 5733 },
	{ "50R", "", "", ResidueType::NON_POLYMER, false, "4-(4-iodophenoxy)-N-methylthieno[2,3-c]pyridine-2-carboxamide", 5734 },
	{ "50T", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE-5'-PHOSPHOVANADATE", 5735 },
	{ "50U", "", "", ResidueType::PEPTIDE_LIKE, false, "(S)-N-(4-carbamimidoylbenzyl)-1-(3-cyclohexylpropanoyl)pyrrolidine-2-carboxamide", 5736 },
	{ "50V", "", "", ResidueType::NON_POLYMER, false, "N,N-dicyclopropyl-4-[(1,5-dimethyl-1H-pyrazol-3-yl)amino]-6-ethyl-1-methyl-1,6-dihydroimidazo[4,5-d]pyrrolo[2,3-b]pyridine-7-carboxamide", 5737 },
	{ "50W", "", "", ResidueType::NON_POLYMER, false, "N,N-dicyclopropyl-4-[(4,5-dimethyl-1,3-thiazol-2-yl)amino]-6-ethyl-1-methyl-1,6-dihydroimidazo[4,5-d]pyrrolo[2,3-b]pyridine-7-carboxamide", 5738 },
	{ "50X", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-4-[(2R)-2-(3-chlorophenyl)pyrrolidin-1-yl]-2,3-dihydroxy-4-oxo-N-[(5-{[2-(trifluoromethyl)-1H-benzimidazol-1-yl]methyl}thiophen-2-yl)methyl]butanamide", 5739 },
	{ "50Y", "", "", ResidueType::NON_POLYMER, false, "N,N-dicyclopropyl-6-ethyl-4-[(3-methoxypropyl)amino]-1-methyl-1,6-dihydroimidazo[4,5-d]pyrrolo[2,3-b]pyridine-7-carboxamide", 5740 },
	{ "50Z", "", "", ResidueType::NON_POLYMER, false, "[4-amino-2-(prop-2-en-1-ylamino)-1,3-thiazol-5-yl](pyridin-2-yl)methanone", 5741 },
	{ "510", "", "", ResidueType::NON_POLYMER, false, "methyl (2S,4R)-1-[(2S,3R,4R,5S,6S)-6-(hydroxymethyl)-3,4,5-tris(oxidanyl)oxan-2-yl]sulfonyl-4-sulfamoyloxy-pyrrolidine-2-carboxylate", 5742 },
	{ "511", "", "", ResidueType::NON_POLYMER, false, "[1-(4-chlorobenzoyl)-5-methoxy-1H-indol-3-yl]acetic acid", 5743 },
	{ "512", "", "", ResidueType::NON_POLYMER, false, "4-BROMO-3-(CARBOXYMETHOXY)THIOPHENE-2-CARBOXYLIC ACID", 5744 },
	{ "513", "", "", ResidueType::NON_POLYMER, false, "1-(5-BROMO-1-BENZOTHIOPHEN-3-YL)METHANAMINE", 5745 },
	{ "514", "", "", ResidueType::NON_POLYMER, false, "(3Z)-5-ACETYL-3-(BENZOYLIMINO)-3,6-DIHYDROPYRROLO[3,4-C]PYRAZOL-5-IUM", 5746 },
	{ "515", "", "", ResidueType::NON_POLYMER, false, "3-({5-[(N-ACETYL-3-{4-[(CARBOXYCARBONYL)(2-CARBOXYPHENYL)AMINO]-1-NAPHTHYL}-L-ALANYL)AMINO]PENTYL}OXY)-2-NAPHTHOIC ACID", 5747 },
	{ "516", "", "", ResidueType::NON_POLYMER, false, "N-{(1S)-1-cyclohexyl-2-[(2S)-2-(4-naphthalen-1-yl-1,3-thiazol-2-yl)pyrrolidin-1-yl]-2-oxoethyl}-N~2~-methyl-L-alaninamide", 5748 },
	{ "517", "", "", ResidueType::NON_POLYMER, false, "1-{2-OXO-3-[(1R)-1-(1H-PYRROL-2-YL)ETHYL]-2H-INDOL-5-YL}UREA", 5749 },
	{ "518", "", "", ResidueType::NON_POLYMER, false, "N-[4-(5-{[(1S)-1-cyclohexyl-2-(methylamino)-2-oxoethyl]carbamoyl}furan-2-yl)phenyl]-1-benzofuran-2-carboxamide", 5750 },
	{ "519", "", "", ResidueType::NON_POLYMER, false, "1-(trans-4-{[7-oxo-8-(propan-2-yl)-7,8-dihydropyrido[2,3-d]pyrimidin-2-yl]amino}cyclohexyl)-3-propan-2-ylurea", 5751 },
	{ "51B", "", "", ResidueType::NON_POLYMER, false, "2-[(3S)-1-{[2-(methylamino)pyrimidin-5-yl]methyl}piperidin-3-yl]-6-(thiophen-2-yl)pyrimidin-4(1H)-one", 5752 },
	{ "51C", "", "", ResidueType::NON_POLYMER, false, "(6R)-1,6-anhydro-2-O-heptyl-6-(hydroxymethyl)-D-galactitol", 5753 },
	{ "51D", "", "", ResidueType::NON_POLYMER, false, "3-chloro-4-fluoro-5-[6-(1H-pyrazol-1-yl)pyrimidin-4-yl]benzonitrile", 5754 },
	{ "51E", "", "", ResidueType::NON_POLYMER, false, "3-chloro-5-[6-(5-fluoropyridin-2-yl)pyrimidin-4-yl]benzonitrile", 5755 },
	{ "51F", "", "", ResidueType::NON_POLYMER, false, "2-(2-methyl-1H-imidazol-1-yl)ethanol", 5756 },
	{ "51G", "", "", ResidueType::NON_POLYMER, false, "gentamicin C1", 5757 },
	{ "51H", "", "", ResidueType::NON_POLYMER, false, "'adenylyl-2\"-tobramycin'", 5758 },
	{ "51J", "", "", ResidueType::NON_POLYMER, false, "2-(BUT-2-YN-1-YLSULFAMOYL)-4-SULFAMOYLBENZOIC ACID", 5759 },
	{ "51K", "", "", ResidueType::NON_POLYMER, false, "2-(2-{3-[3,5-bis(trifluoromethyl)phenyl]-1H-1,2,4-triazol-1-yl}ethyl)-1,3,4-oxadiazole", 5760 },
	{ "51M", "", "", ResidueType::NON_POLYMER, false, "(3S)-1-(4-{[(2,3,5,6-tetramethylphenyl)sulfonyl]amino}naphthalen-1-yl)pyrrolidine-3-carboxylic acid", 5761 },
	{ "51N", "", "", ResidueType::NON_POLYMER, false, "5-O-[(R)-hydroxy(phosphonooxy)phosphoryl]-1-O-phosphono-alpha-D-ribofuranose", 5762 },
	{ "51O", "", "", ResidueType::NON_POLYMER, false, "Au(caffein-2-ylidene)2", 5763 },
	{ "51P", "", "", ResidueType::NON_POLYMER, false, "5-[(1Z)-2-(2-methoxyphenyl)prop-1-en-1-yl]furo[2,3-d]pyrimidine-2,4-diamine", 5764 },
	{ "51Q", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[(3-hydroxy-5-oxo-4,5-dihydro-1,2,4-triazin-6-yl)sulfanyl]propanoic acid", 5765 },
	{ "51R", "", "", ResidueType::NON_POLYMER, false, "3-(trifluoromethyl)aniline", 5766 },
	{ "51S", "", "", ResidueType::NON_POLYMER, false, "2,4-dimethylaniline", 5767 },
	{ "51T", "", "", ResidueType::PEPTIDE_LINKING, false, "2,3,6-trifluoro-L-tyrosine", 5768 },
	{ "51U", "", "", ResidueType::PEPTIDE_LIKE, false, "D-phenylalanyl-N-(3-methylbenzyl)-L-prolinamide", 5769 },
	{ "51V", "", "", ResidueType::NON_POLYMER, false, "2-methylaniline", 5770 },
	{ "51W", "", "", ResidueType::NON_POLYMER, false, "N-[3-({4-[(3-aminopropyl)amino]-5-iodopyrimidin-2-yl}amino)phenyl]pyrrolidine-1-carboxamide", 5771 },
	{ "51X", "", "", ResidueType::NON_POLYMER, false, "(1,3-dioxo-1,3-dihydro-2H-isoindol-2-yl)acetic acid", 5772 },
	{ "51Y", "", "", ResidueType::NON_POLYMER, false, "2-chloro-4-{[(1R,2R)-2-hydroxy-2-methylcyclopentyl]amino}-3-methylbenzonitrile", 5773 },
	{ "520", "", "", ResidueType::NON_POLYMER, false, "4'-(4-aminobenzoyl)biphenyl-4-sulfonamide", 5774 },
	{ "521", "", "", ResidueType::NON_POLYMER, false, "5-(4-CHLORO-5-PHENYL-3-THIENYL)-1,2,5-THIADIAZOLIDIN-3-ONE 1,1-DIOXIDE", 5775 },
	{ "522", "", "", ResidueType::NON_POLYMER, false, "Peroxidized Heme", 5776 },
	{ "523", "", "", ResidueType::NON_POLYMER, false, "", 5777 },
	{ "524", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-3-AMINO-4-[(3S)-3-FLUOROPYRROLIDIN-1-YL]-N,N-DIMETHYL-4-OXO-2-(TRANS-4-[1,2,4]TRIAZOLO[1,5-A]PYRIDIN-5-YLCYCLOHEXYL)BUTANAMIDE", 5778 },
	{ "525", "", "", ResidueType::NON_POLYMER, false, "(3S)-tetrahydrofuran-3-yl {(2S,3R)-4-[(4R)-4-tert-butyl-7-fluoro-1,1-dioxido-4,5-dihydro-1,2-benzothiazepin-2(3H)-yl]-3-hydroxy-1-phenylbutan-2-yl}carbamate", 5779 },
	{ "526", "", "", ResidueType::NON_POLYMER, false, "(3S)-tetrahydrofuran-3-yl {(2S,3R)-4-[(4S)-4-tert-butyl-7-fluoro-1,1-dioxido-4,5-dihydro-1,2-benzothiazepin-2(3H)-yl]-3-hydroxy-1-phenylbutan-2-yl}carbamate", 5780 },
	{ "527", "", "", ResidueType::NON_POLYMER, false, "5-(3-{[1-(BENZYLSULFONYL)PIPERIDIN-4-YL]AMINO}PHENYL)-4-BROMO-3-(CARBOXYMETHOXY)THIOPHENE-2-CARBOXYLIC ACID", 5781 },
	{ "528", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[3-(AMINOMETHYL)PHENYL]-3-{(R)-HYDROXY[(1R)-2-METHYL-1-{[(3-PHENYLPROPYL)SULFONYL]AMINO}PROPYL]PHOSPHORYL}PROPANOIC ACID", 5782 },
	{ "529", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-[(3Z)-5-CYCLOPROPYL-3H-PYRAZOL-3-YLIDENE]-2-[4-(2-OXOIMIDAZOLIDIN-1-YL)PHENYL]PROPANAMIDE", 5783 },
	{ "52A", "", "", ResidueType::NON_POLYMER, false, "(2R,4R)-4-aminopyrrolidine-2,4-dicarboxylic acid", 5784 },
	{ "52B", "", "", ResidueType::NON_POLYMER, false, "(2S)-6,8-dichloro-2-(trifluoromethyl)-2H-chromene-3-carboxylic acid", 5785 },
	{ "52C", "", "", ResidueType::NON_POLYMER, false, "5-(2-CHLOROPHENYL)-1H-TETRAZOLE", 5786 },
	{ "52D", "", "", ResidueType::NON_POLYMER, false, "pyridin-4-yl[4-(2-pyrrolidin-1-ylethoxy)phenyl]methanone", 5787 },
	{ "52E", "", "", ResidueType::NON_POLYMER, false, "4-{[(2-chloro-3-fluorobenzyl)carbamoyl](methyl)amino}-3,4-dideoxy-5-O-(isoquinolin-3-ylcarbamoyl)-D-erythro-pentitol", 5788 },
	{ "52F", "", "", ResidueType::NON_POLYMER, false, "3-(3-oxo-3,4-dihydroquinoxalin-2-yl)propanoic acid", 5789 },
	{ "52G", "", "", ResidueType::NON_POLYMER, false, "Zorbamycin", 5790 },
	{ "52H", "", "", ResidueType::NON_POLYMER, false, "5'-O-{[(2R)-2-hydroxy-3,3-dimethylbutanoyl]sulfamoyl}adenosine", 5791 },
	{ "52I", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-{5-[(2,4-diaminopyrimidin-5-yl)methyl]-2,3-dimethoxyphenyl}-1-[(1R)-1-(2-methylpropyl)phthalazin-2(1H)-yl]prop-2-en-1-one", 5792 },
	{ "52J", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-{5-[(2,4-diaminopyrimidin-5-yl)methyl]-2,3-dimethoxyphenyl}-1-[(1S)-1-(2-methylpropyl)phthalazin-2(1H)-yl]prop-2-en-1-one", 5793 },
	{ "52K", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(3R)-5-amino-3-methyl-3,6-dihydro-2H-1,4-oxazin-3-yl]phenyl}-5-chloropyridine-2-carboxamide", 5794 },
	{ "52L", "", "", ResidueType::NON_POLYMER, false, "DAHP Oxime", 5795 },
	{ "52M", "", "", ResidueType::NON_POLYMER, false, "2-(6-hydroxy-3-oxo-3H-xanthen-9-yl)-5-[(sulfanylcarbonyl)amino]benzoic acid", 5796 },
	{ "52N", "", "", ResidueType::NON_POLYMER, false, "1,2-dioctanoyl phosphatidyl epi-inositol (3,4)-bisphosphate", 5797 },
	{ "52O", "", "", ResidueType::NON_POLYMER, false, "pivalyl-coenzyme A", 5798 },
	{ "52P", "", "", ResidueType::NON_POLYMER, false, "5-(2,6-dichlorophenyl)-2-[(2,4-difluorophenyl)sulfanyl]-6H-pyrimido[1,6-b]pyridazin-6-one", 5799 },
	{ "52Q", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,4R,5R,6R)-2-amino-4-(1H-1,2,4-triazol-3-ylsulfanyl)bicyclo[3.1.0]hexane-2,6-dicarboxylic acid", 5800 },
	{ "52T", "", "", ResidueType::NON_POLYMER, false, "(4R,7R)-7-hydroxy-1-(4-methoxybenzyl)-7-methyl-4,5,6,7-tetrahydro-1H-benzotriazol-4-yl propan-2-ylcarbamate", 5801 },
	{ "52U", "", "", ResidueType::NON_POLYMER, false, "(3aS,4S,7aR)-hexahydro-4H-furo[2,3-b]pyran-4-yl [(2S,3R)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino}-1-phenylbutan-2-yl]carbamate", 5802 },
	{ "52V", "", "", ResidueType::NON_POLYMER, false, "5-[(3S)-3-(5-methoxy-2',6'-dimethylbiphenyl-3-yl)but-1-yn-1-yl]-6-methylpyrimidine-2,4-diamine", 5803 },
	{ "52W", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,4S,7aS)-3-hydroxyhexahydro-4H-furo[2,3-b]pyran-4-yl [(2S,3R)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino}-1-phenylbutan-2-yl]carbamate", 5804 },
	{ "52X", "", "", ResidueType::NON_POLYMER, false, "methyl {3-[2-(acetylamino)ethyl]-2-iodo-1H-indol-5-yl}carbamate", 5805 },
	{ "52Y", "", "", ResidueType::NON_POLYMER, false, "", 5806 },
	{ "52Z", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,4S,7aS)-3-hydroxyhexahydro-4H-furo[2,3-b]pyran-4-yl [(2S,3R)-3-hydroxy-1-(4-methoxyphenyl)-4-{[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino}butan-2-yl]carbamate", 5807 },
	{ "530", "", "", ResidueType::NON_POLYMER, false, "6-(2,4-difluorophenoxy)-N-(tetrahydro-2H-pyran-4-yl)-1H-pyrazolo[3,4-d]pyrimidin-3-amine", 5808 },
	{ "531", "", "", ResidueType::NON_POLYMER, false, "1-[(3S)-1-benzylpiperidin-3-yl]ethanone", 5809 },
	{ "532", "", "", ResidueType::NON_POLYMER, false, "(5S)-2-amino-3-methyl-5-[3-(pyridin-3-yl)phenyl]-5-(thiophen-3-yl)-3,5-dihydro-4H-imidazol-4-one", 5810 },
	{ "533", "", "", ResidueType::NON_POLYMER, false, "6-(2,4-difluorophenoxy)-8-methyl-2-{[(1R)-1-methyl-2-(2H-tetrazol-2-yl)ethyl]amino}pyrido[2,3-d]pyrimidin-7(8H)-one", 5811 },
	{ "534", "", "", ResidueType::NON_POLYMER, false, "5-{3-[(4-{3-[4-(1-methylethyl)phenyl]pyrazin-2-yl}piperazin-1-yl)sulfonyl]phenyl}pyrimidin-2-amine", 5812 },
	{ "535", "", "", ResidueType::NON_POLYMER, false, "ethyl 3-methyl-5,6-dihydroimidazo[2,1-b][1,3]thiazole-2-carboxylate", 5813 },
	{ "536", "", "", ResidueType::NON_POLYMER, false, "1-benzyl-1,4,5,6-tetrahydropyridine-3-carboxamide", 5814 },
	{ "537", "", "", ResidueType::NON_POLYMER, false, "2,6-DIHYDROANTHRA/1,9-CD/PYRAZOL-6-ONE", 5815 },
	{ "538", "", "", ResidueType::NON_POLYMER, false, "", 5816 },
	{ "539", "", "", ResidueType::NON_POLYMER, false, "6,7-dichloro-N-cyclopentyl-4-(pyridin-4-yl)phthalazin-1-amine", 5817 },
	{ "53A", "", "", ResidueType::NON_POLYMER, false, "ethyl 5-{[(1R)-1-(ethoxycarbonyl)-2-oxopropyl]sulfanyl}-1,2-dihydro[1,2,3]triazolo[1,5-a]quinazoline-3-carboxylate", 5818 },
	{ "53B", "", "", ResidueType::NON_POLYMER, false, "6-hydroxypyridine-2-carboxylic acid", 5819 },
	{ "53C", "", "", ResidueType::NON_POLYMER, false, "1-(3-hydroxyphenyl)ethanone", 5820 },
	{ "53E", "", "", ResidueType::NON_POLYMER, false, "2,3-dihydro-1,4-benzodioxine-5-carboxylic acid", 5821 },
	{ "53F", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,4S,7aS)-3-hydroxyhexahydro-4H-furo[2,3-b]pyran-4-yl [(2S,3R)-4-{[(4-aminophenyl)sulfonyl](2-methylpropyl)amino}-3-hydroxy-1-(4-methoxyphenyl)butan-2-yl]carbamate", 5822 },
	{ "53G", "", "", ResidueType::NON_POLYMER, false, "N,N-dimethylquinoxaline-6-carboxamide", 5823 },
	{ "53H", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(3-methyl-D-valyl)sulfamoyl]adenosine", 5824 },
	{ "53I", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-{5-[(2,4-diaminopyrimidin-5-yl)methyl]-2,3-dimethoxyphenyl}-1-[(1R)-1-(2-methylprop-1-en-1-yl)phthalazin-2(1H)-yl]prop-2-en-1-one", 5825 },
	{ "53J", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-{5-[(2,4-diaminopyrimidin-5-yl)methyl]-2,3-dimethoxyphenyl}-1-[(1S)-1-(2-methylprop-1-en-1-yl)phthalazin-2(1H)-yl]prop-2-en-1-one", 5826 },
	{ "53K", "", "", ResidueType::NON_POLYMER, false, "2-(2-methylphenoxy)-5-[(4-phenyl-1H-1,2,3-triazol-1-yl)methyl]phenol", 5827 },
	{ "53L", "", "", ResidueType::NON_POLYMER, false, "(2R,4S,4aS,5S)-6'-hydroxy-2,4-dimethyl-8-nitro-1,2,4,4a-tetrahydro-2'H,6H-spiro[1,4-oxazino[4,3-a]quinoline-5,5'-pyrimidine]-2',4'(3'H)-dione", 5828 },
	{ "53M", "", "", ResidueType::NON_POLYMER, false, "(2R,4S,4aS)-4',6'-dihydroxy-2,4-dimethyl-8-nitro-1,2,4,4a-tetrahydro-2'H,6H-spiro[1,4-oxazino[4,3-a]quinoline-5,5'-pyrimidin]-2'-one", 5829 },
	{ "53N", "", "", ResidueType::NON_POLYMER, false, "3-[5-(3-nitrophenyl)thiophen-2-yl]propanoic acid", 5830 },
	{ "53O", "", "", ResidueType::NON_POLYMER, false, "1-(biphenyl-3-yl)-1H-imidazole", 5831 },
	{ "53P", "", "5P8", ResidueType::NON_POLYMER, true, "(10R)-7-amino-12-fluoro-2,10,16-trimethyl-15-oxo-10,15,16,17-tetrahydro-2H-8,4-(metheno)pyrazolo(4,3-h)(2,5,11)benzoxadiazacyclotetradecine-3-carbonitrile", 5832 },
	{ "53Q", "", "", ResidueType::NON_POLYMER, false, "Clomifene", 5833 },
	{ "53R", "", "", ResidueType::NON_POLYMER, false, "5-[(3R)-3-(5-methoxybiphenyl-3-yl)but-1-yn-1-yl]-6-methylpyrimidine-2,4-diamine", 5834 },
	{ "53S", "", "", ResidueType::NON_POLYMER, false, "5-[(3R)-3-(5-methoxy-4'-methylbiphenyl-3-yl)but-1-yn-1-yl]-6-methylpyrimidine-2,4-diamine", 5835 },
	{ "53T", "", "", ResidueType::NON_POLYMER, false, "5-[(3R)-3-(5-methoxy-3',5'-dimethylbiphenyl-3-yl)but-1-yn-1-yl]-6-methylpyrimidine-2,4-diamine", 5836 },
	{ "53U", "", "", ResidueType::PEPTIDE_LIKE, false, "D-phenylalanyl-N-benzyl-L-prolinamide", 5837 },
	{ "53V", "", "", ResidueType::NON_POLYMER, false, "5-[(3R)-3-(5-methoxy-2',6'-dimethylbiphenyl-3-yl)but-1-yn-1-yl]-6-methylpyrimidine-2,4-diamine", 5838 },
	{ "53W", "", "", ResidueType::NON_POLYMER, false, "5-(3,5-dimethyl-1,2-oxazol-4-yl)-2-[2-(4-methoxyphenyl)ethyl]-1-[2-(morpholin-4-yl)ethyl]-1H-benzimidazole", 5839 },
	{ "53X", "", "", ResidueType::NON_POLYMER, false, "3-(1-ethyl-1H-indol-3-yl)-1-methyl-1H-pyrazole-5-carboxylic acid", 5840 },
	{ "53Y", "", "", ResidueType::NON_POLYMER, false, "pyrrolo[1,2-a]quinoxalin-4(5H)-one", 5841 },
	{ "53Z", "", "", ResidueType::NON_POLYMER, false, "1-(4-aminobenzyl)-3-[2-oxo-2-(pyrrolidin-1-yl)ethyl]urea", 5842 },
	{ "540", "", "", ResidueType::NON_POLYMER, false, "8-fluoro-6-methoxy-3,4-dimethyl-1-(3-methylpyridin-4-yl)imidazo[1,5-a]quinoxaline", 5843 },
	{ "541", "", "", ResidueType::NON_POLYMER, false, "(2R)-N-HYDROXY-2-[(3S)-3-METHYL-3-{4-[(2-METHYLQUINOLIN-4-YL)METHOXY]PHENYL}-2-OXOPYRROLIDIN-1-YL]PROPANAMIDE", 5844 },
	{ "542", "", "", ResidueType::NON_POLYMER, false, "N-[(E)-3-[(2R,3S,4R,5R)-3,4-dihydroxy-5-(6-methylaminopurin-9-yl)oxolan-2-yl]prop-2-enyl]-5-(4-fluorophenyl)-2,3-dihydroxy-benzamide", 5845 },
	{ "543", "", "", ResidueType::NON_POLYMER, true, "CALCIUM ION, 6 WATERS PLUS ETHANOL COORDINATED", 5846 },
	{ "544", "", "", ResidueType::NON_POLYMER, false, "2-(1-METHYL-3-OXO-3-PHENYL-PROPYLAMINO)-3-{4-[2-(5-METHYL-2-PHENYL-OXAZOL-4-YL)-ETHOXY]-PHENYL}-PROPIONIC ACID", 5847 },
	{ "545", "", "", ResidueType::NON_POLYMER, false, "[2-AMINO-3-(4-HYDROXY-PHENYL)-PROPIONYLAMINO]-(1,3,4,5-TETRAHYDROXY-4-HYDROXYMETHYL-PIPERIDIN-2-YL)- ACETIC ACID BUTYL ESTER", 5848 },
	{ "546", "", "", ResidueType::NON_POLYMER, false, "2-methoxy-6,7-dimethyl-9-(4-methylpyridin-3-yl)imidazo[1,5-a]pyrido[3,2-e]pyrazine", 5849 },
	{ "547", "", "", ResidueType::NON_POLYMER, false, "2,3-DIPHENYL-N-(2-PIPERAZIN-1-YLETHYL)FURO[2,3-B]PYRIDIN-4-AMINE", 5850 },
	{ "548", "", "", ResidueType::NON_POLYMER, false, "6-chloro-3,4-dimethyl-1-(3-methylpyridin-4-yl)-8-(trifluoromethyl)imidazo[1,5-a]quinoxaline", 5851 },
	{ "549", "", "", ResidueType::NON_POLYMER, false, "1-(propan-2-yl)-1H-benzimidazole-5-carboxylic acid", 5852 },
	{ "54C", "", "", ResidueType::NON_POLYMER, false, "(betaR)-beta-hydroxy-1-{2-[(2R)-oxiran-2-yl]propan-2-yl}-L-tryptophan", 5853 },
	{ "54D", "", "", ResidueType::NON_POLYMER, false, "methyl thiophene-2-carboxylate", 5854 },
	{ "54E", "", "", ResidueType::NON_POLYMER, false, "1-(2-chlorobiphenyl-4-yl)methanamine", 5855 },
	{ "54F", "", "", ResidueType::NON_POLYMER, false, "3-(pyridin-2-yloxy)aniline", 5856 },
	{ "54G", "", "", ResidueType::NON_POLYMER, false, "2-hydroxy-5-methylbenzoic acid", 5857 },
	{ "54H", "", "", ResidueType::NON_POLYMER, false, "5'-O-(D-valylsulfamoyl)adenosine", 5858 },
	{ "54J", "", "", ResidueType::NON_POLYMER, false, "N-(3-{5-[(1-ethylpiperidin-4-yl)(methyl)amino]-3-(pyrimidin-5-yl)-1H-pyrrolo[3,2-b]pyridin-1-yl}-2,4-difluorophenyl)propane-1-sulfonamide", 5859 },
	{ "54K", "", "", ResidueType::NON_POLYMER, false, "7-methyl-3H-imidazo[4,5-c]pyridin-4-amine", 5860 },
	{ "54L", "", "", ResidueType::NON_POLYMER, false, "pent-4-ynoic acid", 5861 },
	{ "54M", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-(4-methoxyphenyl)-5-(3-pyrimidin-5-ylphenyl)-3,4-dihydropyrrol-2-amine", 5862 },
	{ "54O", "", "", ResidueType::NON_POLYMER, false, "3-hydroxypropane-1-sulfonic acid", 5863 },
	{ "54P", "", "", ResidueType::NON_POLYMER, false, "3-{[(2-chlorobiphenyl-4-yl)methyl]amino}propan-1-ol", 5864 },
	{ "54Q", "", "", ResidueType::NON_POLYMER, false, "(2R,4S,4aS)-2,4-dimethyl-8-nitro-1,2,4,4a-tetrahydro-2'H,6H-spiro[1,4-oxazino[4,3-a]quinoline-5,5'-pyrimidine]-2',4',6'(1'H,3'H)-trione", 5865 },
	{ "54R", "", "", ResidueType::NON_POLYMER, false, "N-(3-{[(2-chlorobiphenyl-4-yl)methyl]amino}propyl)acetamide", 5866 },
	{ "54S", "", "", ResidueType::NON_POLYMER, false, "N-[(2-chlorobiphenyl-4-yl)methyl]-beta-alanyl-N-(3-carboxyphenyl)-beta-alaninamide", 5867 },
	{ "54T", "", "", ResidueType::NON_POLYMER, false, "6-chloro-1,3-benzothiazol-2-amine", 5868 },
	{ "54U", "", "", ResidueType::NON_POLYMER, false, "1-[4-(4-hydroxyphenyl)piperazin-1-yl]ethanone", 5869 },
	{ "54V", "", "", ResidueType::NON_POLYMER, false, "methyl 4-[(4-methylpiperazin-1-yl)methyl]benzoate", 5870 },
	{ "54W", "", "", ResidueType::NON_POLYMER, false, "N-(2-phenylethyl)acetamide", 5871 },
	{ "54X", "", "", ResidueType::NON_POLYMER, false, "5-(thiophen-2-yl)thieno[2,3-d]pyrimidin-4(1H)-one", 5872 },
	{ "54Y", "", "", ResidueType::NON_POLYMER, false, "5-chloro-N,1-dimethyl-1H-pyrazole-4-carboxamide", 5873 },
	{ "54Z", "", "", ResidueType::NON_POLYMER, false, "1-[3-chloro-4-(trifluoromethoxy)phenyl]methanamine", 5874 },
	{ "550", "", "", ResidueType::NON_POLYMER, false, "methyl (1R,2S)-2-(hydroxycarbamoyl)-1-{4-[(2-methylquinolin-4-yl)methoxy]benzyl}cyclopropanecarboxylate", 5875 },
	{ "551", "", "", ResidueType::NON_POLYMER, false, "methyl 3-[(3-{[(2-chlorobiphenyl-4-yl)methyl]amino}propyl)amino]-3-oxopropanoate", 5876 },
	{ "552", "", "", ResidueType::NON_POLYMER, false, "(6S)-1-chloro-3-[(4-fluorobenzyl)oxy]-6-(pyrrolidin-1-ylcarbonyl)pyrrolo[1,2-a]pyrazin-4(6H)-one", 5877 },
	{ "553", "", "", ResidueType::NON_POLYMER, false, "(7S)-2-(2-aminopyrimidin-4-yl)-7-(2-fluoroethyl)-1,5,6,7-tetrahydro-4H-pyrrolo[3,2-c]pyridin-4-one", 5878 },
	{ "555", "", "", ResidueType::NON_POLYMER, false, "4-(4-HYDROXYPHENYL)-1-NAPHTHALDEHYDE OXIME", 5879 },
	{ "556", "", "", ResidueType::NON_POLYMER, false, "3-(thiophen-2-yl)-6,7-dihydro-5H-pyrrolo[1,2-a]imidazole", 5880 },
	{ "557", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-2-{4-[4-(hydroxymethyl)-3-(trifluoromethyl)-1H-pyrazol-1-yl]phenyl}propyl]propane-2-sulfonamide", 5881 },
	{ "558", "", "", ResidueType::NON_POLYMER, false, "5-[(4R)-6-(4-chlorophenyl)-1,4-dimethyl-5,6-dihydro-4H-[1,2,4]triazolo[4,3-a][1,5]benzodiazepin-8-yl]pyridin-2-amine", 5882 },
	{ "559", "", "", ResidueType::NON_POLYMER, false, "5-[(4S)-6-(4-chlorophenyl)-1,4-dimethyl-5,6-dihydro-4H-[1,2,4]triazolo[4,3-a][1,5]benzodiazepin-8-yl]pyridin-2-amine", 5883 },
	{ "55A", "", "", ResidueType::NON_POLYMER, false, "N~2~-acetyl-N-[(2S,3R)-4-{(1,3-benzothiazol-6-ylsulfonyl)[(2S)-2-methylbutyl]amino}-3-hydroxy-1-phenylbutan-2-yl]-L-leucinamide", 5884 },
	{ "55B", "", "", ResidueType::NON_POLYMER, false, "4-[(1E)-3-hydroxyprop-1-en-1-yl]-2,6-dimethoxyphenol", 5885 },
	{ "55C", "", "", ResidueType::NON_POLYMER, false, "2-{[(2E)-3-(naphthalen-2-yl)but-2-enoyl]amino}benzoic acid", 5886 },
	{ "55D", "", "", ResidueType::NON_POLYMER, false, "2-(butanoylamino)thiophene-3-carboxamide", 5887 },
	{ "55E", "", "", ResidueType::NON_POLYMER, false, "4-(4-hydroxy-3-methylphenyl)-6-phenylpyrimidin-2(5H)-one", 5888 },
	{ "55F", "", "", ResidueType::NON_POLYMER, false, "N-[4-(5-fluoro-6-methylpyridin-2-yl)-5-quinoxalin-6-yl-1H-imidazol-2-yl]acetamide", 5889 },
	{ "55G", "", "", ResidueType::NON_POLYMER, false, "4-phenyl-3-[2-(pyridin-3-yl)-1,3-thiazol-5-yl]-2,7-dihydro-6H-pyrazolo[3,4-b]pyridin-6-one", 5890 },
	{ "55H", "", "", ResidueType::NON_POLYMER, false, "3-[2-(pyridin-3-yl)-1,3-thiazol-5-yl]-2,7-dihydro-6H-pyrazolo[3,4-b]pyridin-6-one", 5891 },
	{ "55J", "", "", ResidueType::NON_POLYMER, false, "1-methyl-5-({2-[5-(trifluoromethyl)-1H-imidazol-2-yl]pyridin-4-yl}oxy)-N-[4-(trifluoromethyl)phenyl]-1H-benzimidazol-2-amine", 5892 },
	{ "55K", "", "", ResidueType::NON_POLYMER, false, "1-({[(1-ethyl-2-oxo-1,2-dihydrobenzo[cd]indol-6-yl)sulfonyl]amino}methyl)cyclopentanecarboxylic acid", 5893 },
	{ "55L", "", "", ResidueType::NON_POLYMER, false, "(R)-4-(((S)-1-(((S)-1-amino-4-carboxy-1-oxobutan-2-yl)amino)-4-carboxy-1-oxobutan-2-yl)amino)-3-((3-(3'-chloro-[1,1'-biphenyl]-4-yl)isoxazol-5-yl)methyl)-4-oxobutanoate", 5894 },
	{ "55M", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-[(1R)-1-{[6-(3,4-dimethoxyphenyl)[1,3]thiazolo[5,4-c]pyridin-4-yl]oxy}ethyl]pyrrolidin-2-one", 5895 },
	{ "55N", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R,4R)-2-(acetyloxy)-5-methyl-4-(methylamino)hexanoic acid", 5896 },
	{ "55P", "", "", ResidueType::NON_POLYMER, false, "(2R,4R)-4-amino-2-methyl-5-phenylpentanoic acid", 5897 },
	{ "?", "", "", ResidueType::PEPTIDE_LIKE, false, "(2R,4R)-4-{[(2-{(1R,3R)-1-(acetyloxy)-4-methyl-3-[methyl(N-{[(2S)-1-methylpiperidin-2-yl]carbonyl}-D-isoleucyl)amino]pentyl}-1,3-thiazol-4-yl)carbonyl]amino}-2-methyl-5-phenylpentanoic acid", 5898 },
	{ "55R", "", "", ResidueType::NON_POLYMER, false, "2-[2-(4-oxocyclohexa-2,5-dien-1-ylidene)hydrazinyl]benzoic acid", 5899 },
	{ "55S", "", "", ResidueType::NON_POLYMER, false, "6-(cyclohexylmethoxy)-N-[4-(ethylsulfonyl)phenyl]-9H-purin-2-amine", 5900 },
	{ "55T", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-[(S)-[3-(acetylamino)phenyl](phosphono)methoxy](hydroxy)phosphoryl]cytidine", 5901 },
	{ "55U", "", "", ResidueType::NON_POLYMER, false, "N-{7-[4-(dimethylamino)phenyl]-1,6-naphthyridin-5-yl}propane-1,3-diamine", 5902 },
	{ "55V", "", "", ResidueType::NON_POLYMER, false, "6-methyl-5-[3-methyl-3-(3,4,5-trimethoxyphenyl)but-1-yn-1-yl]pyrimidine-2,4-diamine", 5903 },
	{ "55W", "", "", ResidueType::NON_POLYMER, false, "1-[4-(7-amino-5-methylpyrazolo[1,5-a]pyrimidin-2-yl)phenyl]-3-{[(R)-(2,4-dimethylphenyl)(methoxy)phosphoryl]amino}-1H-pyrazole-4-carboxylic acid", 5904 },
	{ "55X", "", "", ResidueType::NON_POLYMER, false, "", 5905 },
	{ "55Y", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-[(1R)-1-{[6-(1-methyl-1H-pyrazol-4-yl)-2,1-benzothiazol-4-yl]oxy}ethyl]-1,3-oxazolidin-2-one", 5906 },
	{ "561", "", "", ResidueType::NON_POLYMER, false, "6-HYDROXY-3-{(4R)-1-[4-(1-NAPHTHYLAMINO)-4-OXOBUTYL]-1,2,3-TRIAZOLIDIN-4-YL}-1-BENZOFURAN-5-CARBOXYLIC ACID", 5907 },
	{ "562", "", "", ResidueType::PEPTIDE_LINKING, false, "N~5~-[N-(2-{2-[2-(triaza-1,2-dien-2-ium-1-yl)ethoxy]ethoxy}ethyl)carbamimidoyl]-L-ornithine", 5908 },
	{ "563", "", "", ResidueType::NON_POLYMER, false, "N-[4-({4-(4-methylpiperazin-1-yl)-6-[(5-methyl-1H-pyrazol-3-yl)amino]pyrimidin-2-yl}oxy)phenyl]prop-2-enamide", 5909 },
	{ "564", "", "", ResidueType::NON_POLYMER, false, "6-(5,5,8,8-TETRAMETHYL-5,6,7,8-TETRAHYDRO-NAPHTALENE-2-CARBONYL)-NAPHTALENE-2-CARBOXYLIC ACID", 5910 },
	{ "565", "", "", ResidueType::NON_POLYMER, false, "(3R)-4-[(3R)-3-AMINO-4-(2,4,5-TRIFLUOROPHENYL)BUTANOYL]-3-METHYL-1,4-DIAZEPAN-2-ONE", 5911 },
	{ "566", "", "", ResidueType::NON_POLYMER, false, "(3S)-1-CYCLOHEXYL-5-OXO-N-PHENYLPYRROLIDINE-3-CARBOXAMIDE", 5912 },
	{ "567", "", "", ResidueType::NON_POLYMER, false, "2-[[(2R)-1-[[(2S)-5-amino-1-[(4-carbamimidoylphenyl)methylamino]-1,5-dioxo-pentan-2-yl]amino]-3-(1H-indol-3-yl)-1-oxo-propan-2-yl]sulfamoyl]ethanoic acid", 5913 },
	{ "568", "", "", ResidueType::NON_POLYMER, false, "N,N-[2,5-O-DIBENZYL-GLUCARYL]-DI-[1-AMINO-INDAN-2-OL]", 5914 },
	{ "569", "", "", ResidueType::NON_POLYMER, false, "(5R)-2-amino-5-(4-fluoro-3-pyrimidin-5-ylphenyl)-3-methyl-5-[4-(trifluoromethoxy)phenyl]-3,5-dihydro-4H-imidazol-4-one", 5915 },
	{ "56A", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(8-phenyloctyl)-L-histidine", 5916 },
	{ "56B", "", "", ResidueType::RNA_LINKING, false, "2-amino-5-({[(1S,4S,5R)-4,5-dihydroxycyclopent-2-en-1-yl]amino}methyl)-7-(5-O-phosphono-beta-D-ribofuranosyl)-3,7-dihydro-4H-pyrrolo[2,3-d]pyrimidin-4-one", 5917 },
	{ "56C", "", "", ResidueType::PEPTIDE_LINKING, false, "N~5~-{N-[2-(2-{2-[2-(triaza-1,2-dien-2-ium-1-yl)ethoxy]ethoxy}ethoxy)ethyl]carbamimidoyl}-L-ornithine", 5918 },
	{ "56D", "", "", ResidueType::NON_POLYMER, false, "(3R)-2-oxo-3-phenylbutanoic acid", 5919 },
	{ "56E", "", "", ResidueType::NON_POLYMER, false, "ethyl N-[(5-methylthiophen-3-yl)carbonyl]glycinate", 5920 },
	{ "56F", "", "", ResidueType::NON_POLYMER, false, "1-(4-chlorophenyl)-N-methylmethanesulfonamide", 5921 },
	{ "56G", "", "", ResidueType::NON_POLYMER, false, "N-[3-({4-(4-methylpiperazin-1-yl)-6-[(5-methyl-1H-pyrazol-3-yl)amino]pyrimidin-2-yl}oxy)phenyl]prop-2-enamide", 5922 },
	{ "56H", "", "", ResidueType::NON_POLYMER, false, "N-(5-{[(5-tert-butyl-1,3-oxazol-2-yl)methyl]sulfanyl}-1,3-thiazol-2-yl)piperidine-4-carboxamide", 5923 },
	{ "56J", "", "", ResidueType::NON_POLYMER, false, "3-(9H-fluoren-9-yl)propanal", 5924 },
	{ "56K", "", "", ResidueType::NON_POLYMER, false, "3-(2-methyl-1,3-thiazol-4-yl)aniline", 5925 },
	{ "56L", "", "", ResidueType::NON_POLYMER, false, "5-(propan-2-yl)-2-thioxodihydropyrimidine-4,6(1H,5H)-dione", 5926 },
	{ "56M", "", "", ResidueType::NON_POLYMER, false, "4-acetyl-N-[5-(diethylsulfamoyl)-2-hydroxyphenyl]-3,5-dimethyl-1H-pyrrole-2-carboxamide", 5927 },
	{ "56N", "", "", ResidueType::NON_POLYMER, false, "phenyl beta-D-galactopyranoside", 5928 },
	{ "56O", "", "", ResidueType::NON_POLYMER, false, "N-[(2R)-2-{[3-(3'-chlorobiphenyl-4-yl)-1,2-oxazol-5-yl]methyl}-4-(hydroxyamino)-4-oxobutanoyl]-L-alpha-glutamyl-L-alpha-glutamine", 5929 },
	{ "56P", "", "", ResidueType::NON_POLYMER, false, "N~2~-(6-aminohexyl)-N~2~-[(4-fluoro-3-methylphenyl)sulfonyl]-N-hydroxy-D-alaninamide", 5930 },
	{ "56Q", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(4-fluoro-3-methylphenyl)sulfonyl]-N-hydroxy-N~2~-methyl-D-alaninamide", 5931 },
	{ "56R", "", "", ResidueType::NON_POLYMER, false, "N~2~-[3-(aminomethyl)benzyl]-N~2~-[(4-fluoro-3-methylphenyl)sulfonyl]-N-hydroxy-D-alaninamide", 5932 },
	{ "56S", "", "", ResidueType::NON_POLYMER, false, "propan-2-yl dodecanoate", 5933 },
	{ "56T", "", "", ResidueType::NON_POLYMER, false, "2-(furan-2-yl)ethanamine", 5934 },
	{ "56U", "", "", ResidueType::NON_POLYMER, false, "2-(difluoromethyl)-1H-benzimidazole", 5935 },
	{ "56V", "", "", ResidueType::NON_POLYMER, false, "(3R)-2,3-dihydro[1,3]thiazolo[3,2-a]benzimidazol-3-ol", 5936 },
	{ "56W", "", "", ResidueType::NON_POLYMER, false, "(2R,6R)-2-{[(R)-[(3R)-3-(acetylamino)-3-carboxypropyl](hydroxy)phosphoryl]methyl}-6-aminoheptanedioic acid", 5937 },
	{ "56Y", "", "", ResidueType::NON_POLYMER, false, "4-acetyl-N-(3-carbamoylbenzyl)-3-ethyl-N,5-dimethyl-1H-pyrrole-2-carboxamide", 5938 },
	{ "56Z", "", "", ResidueType::NON_POLYMER, false, "4-{[4-amino-5-(4-methoxybenzoyl)-1,3-thiazol-2-yl]amino}benzenesulfonamide", 5939 },
	{ "570", "", "", ResidueType::NON_POLYMER, false, "2-(2-BENZOYL-PHENYLAMINO)-3-{4-[2-(5-METHYL-2-PHENYL-OXAZOL-4-YL)-ETHOXY]-PHENYL}-PROPIONIC ACID", 5940 },
	{ "571", "", "", ResidueType::NON_POLYMER, false, "5-[(2R)-2-hydroxy-2-phenylacetyl]-3-({[4-(4-methylpiperazin-1-yl)phenyl]carbonyl}amino)-1,6-dihydropyrrolo[3,4-c]pyrazol-5-ium ", 5941 },
	{ "572", "", "", ResidueType::NON_POLYMER, false, "4-[2-(HYDROXYMETHYL)PYRIMIDIN-4-YL]-N,N-DIMETHYLPIPERAZINE-1-SULFONAMIDE", 5942 },
	{ "573", "", "", ResidueType::NON_POLYMER, false, "7-fluoro-3-[(2-fluoro-4-iodophenyl)amino]-N-{[(2S)-2-hydroxypropyl]oxy}furo[3,2-c]pyridine-2-carboxamide", 5943 },
	{ "574", "", "", ResidueType::RNA_LINKING, false, "[(3aS,4R,6R,6aR)-2-{2-[(1S)-2-amino-1-hydroxyethyl]phenyl}-6-(6-amino-9H-purin-9-yl)tetrahydrofuro[3,4-d][1,3,2]dioxaborol-4-yl]methyl dihydrogen phosphite", 5944 },
	{ "575", "", "", ResidueType::NON_POLYMER, false, "(4Z)-6-bromo-4-({[4-(pyrrolidin-1-ylmethyl)phenyl]amino}methylidene)isoquinoline-1,3(2H,4H)-dione", 5945 },
	{ "576", "", "", ResidueType::NON_POLYMER, false, "(3S)-5-(9H-FLUOREN-2-YL)-3-HYDROXYPENTANOIC ACID", 5946 },
	{ "577", "", "SB2", ResidueType::NON_POLYMER, true, "4-[5-(4-FLUORO-PHENYL)-2-[4-METHANESULFINYL-PHENYL]-3H-IMIDAZOL-4-YL]-PYRIDINE", 5947 },
	{ "578", "", "", ResidueType::NON_POLYMER, false, "(5R,6S,8S)-8-[3-(AMINOMETHYL)PHENYL]-6-HYDROXY-5-ISOPROPYL-3-OXO-1-PHENYL-2,7-DIOXA-4-AZA-6-PHOSPHANONAN-9-OIC ACID 6-OXIDE", 5948 },
	{ "579", "", "", ResidueType::NON_POLYMER, false, "4-acetyl-3-ethyl-N-[4-fluoro-3-(morpholin-4-ylsulfonyl)phenyl]-5-methyl-1H-pyrrole-2-carboxamide", 5949 },
	{ "57C", "", "", ResidueType::NON_POLYMER, false, "4-acetyl-N-[3-(azepan-1-ylsulfonyl)phenyl]-5-methyl-3-propyl-1H-pyrrole-2-carboxamide", 5950 },
	{ "57D", "", "", ResidueType::NON_POLYMER, false, "chrysin", 5951 },
	{ "57E", "", "", ResidueType::NON_POLYMER, false, "1-[(4-acetyl-3-ethyl-5-methyl-1H-pyrrol-2-yl)carbonyl]-N-methyl-1H-indole-6-sulfonamide", 5952 },
	{ "57F", "", "", ResidueType::NON_POLYMER, false, "4-acetyl-N-[5-(diethylsulfamoyl)-2-hydroxy-4-methylphenyl]-3-ethyl-5-methyl-1H-pyrrole-2-carboxamide", 5953 },
	{ "57G", "", "", ResidueType::NON_POLYMER, false, "N-[5-(diethylsulfamoyl)-2-hydroxyphenyl]-3-ethyl-4-(hydroxyacetyl)-5-methyl-1H-pyrrole-2-carboxamide", 5954 },
	{ "57H", "", "", ResidueType::NON_POLYMER, false, "prop-2-en-1-ylphosphonic acid", 5955 },
	{ "57J", "", "", ResidueType::NON_POLYMER, false, "6,7-dimethyl-1'-[(7-methyl-1H-indazol-5-yl)carbonyl]spiro[chromene-2,4'-piperidin]-4(3H)-one", 5956 },
	{ "57K", "", "", ResidueType::NON_POLYMER, false, "tert-butyl 7-[(7-methyl-1H-indazol-5-yl)carbonyl]-2,7-diazaspiro[3.5]nonane-2-carboxylate", 5957 },
	{ "57L", "", "", ResidueType::NON_POLYMER, false, "2,2-dimethylpropyl (1S)-1-methyl-8-[(7-methyl-1H-indazol-5-yl)carbonyl]-2,8-diazaspiro[4.5]decane-2-carboxylate", 5958 },
	{ "57M", "", "", ResidueType::NON_POLYMER, false, "Muraymycin D2", 5959 },
	{ "57N", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(1-oxo-1,3-dihydro-2H-isoindol-2-yl)-2-phenyl-N-(1,3-thiazol-2-yl)acetamide", 5960 },
	{ "57O", "", "", ResidueType::NON_POLYMER, false, "(4,6-dihydroxy-3,5-dimethylpyridin-2-yl)acetic acid", 5961 },
	{ "57P", "", "", ResidueType::NON_POLYMER, false, "3-(5-cyclopropyl-2,3-diphenyl-1H-indol-1-yl)propanoic acid", 5962 },
	{ "57Q", "", "", ResidueType::NON_POLYMER, false, "3-(2-phenyl-1H-indol-1-yl)propanoic acid", 5963 },
	{ "57R", "", "", ResidueType::NON_POLYMER, false, "(4S,7R)-7-hydroxy-1-(4-methoxybenzyl)-7-methyl-4,5,6,7-tetrahydro-1H-benzotriazol-4-yl propan-2-ylcarbamate", 5964 },
	{ "57S", "", "", ResidueType::NON_POLYMER, false, "4-O-[2-(acetylamino)-2-deoxy-beta-D-glucopyranosyl]-5-O-phosphono-D-ribitol", 5965 },
	{ "57T", "", "", ResidueType::NON_POLYMER, false, "", 5966 },
	{ "57U", "", "", ResidueType::NON_POLYMER, false, "1-ethyl-3-[4-(hydroxymethyl)-5-(1H-pyrrol-2-yl)-1,3-thiazol-2-yl]urea", 5967 },
	{ "57V", "", "", ResidueType::NON_POLYMER, false, "1-ethyl-3-{4-[(E)-2-(pyridin-3-yl)ethenyl]-5-(1H-pyrrol-2-yl)-1,3-thiazol-2-yl}urea", 5968 },
	{ "57W", "", "", ResidueType::NON_POLYMER, false, "1-ethyl-3-[1-(pyridin-2-yl)-6-(pyridin-3-yl)-1H-pyrrolo[3,2-b]pyridin-3-yl]urea", 5969 },
	{ "57X", "", "", ResidueType::NON_POLYMER, false, "7-propyl-3-[2-(pyridin-3-yl)-1,3-thiazol-5-yl]-1,7-dihydro-6H-pyrazolo[3,4-b]pyridin-6-one", 5970 },
	{ "57Y", "", "", ResidueType::NON_POLYMER, false, "3-hydroxy-5-[5-(6-hydroxy-7-propyl-2H-indazol-3-yl)-1,3-thiazol-2-yl]pyridine-2-carboxylic acid", 5971 },
	{ "57Z", "", "", ResidueType::NON_POLYMER, false, "1-[(6,8-dimethyl-2-oxo-1,2-dihydroquinolin-3-yl)methyl]-1-(2-hydroxyethyl)-3-(4-hydroxyphenyl)thiourea", 5972 },
	{ "580", "", "", ResidueType::NON_POLYMER, false, "3-(4-FLUOROPHENYL)-2-(6-METHYLPYRIDIN-2-YL)-5,6-DIHYDRO-4H-PYRROLO[1,2-B]PYRAZOLE", 5973 },
	{ "581", "", "", ResidueType::NON_POLYMER, false, "2-[3-(acetylamino)phenyl]-5-hydroxy-6-oxo-1,6-dihydropyrimidine-4-carboxylic acid", 5974 },
	{ "582", "", "", ResidueType::NON_POLYMER, false, "5-ETHYL-3-METHYL-1,5-DIHYDRO-4H-PYRAZOLO[4,3-C]QUINOLIN-4-ONE", 5975 },
	{ "583", "", "", ResidueType::NON_POLYMER, false, "4,4'-(1H-pyrazole-3,4-diyl)diphenol", 5976 },
	{ "584", "", "", ResidueType::NON_POLYMER, false, "(7R)-2-[(3,5-difluoro-4-hydroxyphenyl)amino]-5,7-dimethyl-8-(3-methylbutyl)-7,8-dihydropteridin-6(5H)-one", 5977 },
	{ "585", "", "", ResidueType::NON_POLYMER, false, "6-({5-fluoro-2-[(3,4,5-trimethoxyphenyl)amino]pyrimidin-4-yl}amino)-2,2-dimethyl-2H-pyrido[3,2-b][1,4]oxazin-3(4H)-one", 5978 },
	{ "586", "", "", ResidueType::NON_POLYMER, false, "N-[4-(1-BENZYLCARBAMOYL-2-METHYL-PROPYLCARBAMOYL)-1-(3,5-DIFLUORO-PHENOXYMETHYL)-2-HYDROXY-4-METHOXY-BUTYL]-5-(METHANESULFONYL-METHYL-AMINO)-N'-(1-PHENYLETHYL)-ISOPHTHALAMIDE", 5979 },
	{ "587", "", "", ResidueType::NON_POLYMER, false, "C32-O-(1-METHYL-INDOL-5-YL) 18-HYDROXY-ASCOMYCIN", 5980 },
	{ "588", "", "", ResidueType::NON_POLYMER, false, "2-{[2-(2-CARBAMOYL-VINYL)-4-(2-METHANESULFONYLAMINO-2-PENTYLCARBAMOYL-ETHYL)-PHENYL]-OXALYL-AMINO}-BENZOIC ACID", 5981 },
	{ "589", "", "", ResidueType::NON_POLYMER, false, "5-[2-(cyclohexylamino)pyridin-4-yl]-4-naphthalen-2-yl-2-(tetrahydro-2H-pyran-4-yl)-2,4-dihydro-3H-1,2,4-triazol-3-one", 5982 },
	{ "58A", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-{[(S)-{(2R)-2,3-bis[(9E)-octadec-9-enoyloxy]propoxy}(hydroxy)phosphoryl]oxy}(hydroxy)phosphoryl]cytidine", 5983 },
	{ "58B", "", "", ResidueType::NON_POLYMER, false, "L-alanyl-D-alpha-glutamine", 5984 },
	{ "58C", "", "", ResidueType::NON_POLYMER, false, "cis-4-{[2-(1H-benzimidazol-5-ylamino)quinazolin-8-yl]oxy}cyclohexanol", 5985 },
	{ "58D", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-(4-methoxybenzyl)-4-methyl-3,4-dihydro-1H-1,4-benzodiazepine-2,5-dione", 5986 },
	{ "58E", "", "", ResidueType::NON_POLYMER, false, "(5aS,6S,9aS)-7-hydroxy-2,6,9a-trimethyl-3-(pyridin-3-yl)-4,5,5a,6,9,9a-hexahydro-2H-benzo[g]indazole-8-carbonitrile", 5987 },
	{ "58F", "", "", ResidueType::NON_POLYMER, false, "p-iodo Hoechst", 5988 },
	{ "58G", "", "", ResidueType::NON_POLYMER, false, "6-{[(1R,3S)-3-phenylcyclopentyl]amino}pyridine-3-carboxamide", 5989 },
	{ "58H", "", "", ResidueType::NON_POLYMER, false, "methyl (4R)-4-(2-chloro-4-fluorophenyl)-6-{[4-(3-hydroxypenta-1,4-diyn-3-yl)piperidin-1-yl]methyl}-2-(pyridin-2-yl)-1,4-dihydropyrimidine-5-carboxylate", 5990 },
	{ "58J", "", "", ResidueType::NON_POLYMER, false, "4-Methoxydehydrocyclopeptin", 5991 },
	{ "58K", "", "", ResidueType::NON_POLYMER, false, "cyclopeptin", 5992 },
	{ "58L", "", "", ResidueType::NON_POLYMER, false, "demethylated cyclopeptin", 5993 },
	{ "58N", "", "", ResidueType::NON_POLYMER, false, "(4R)-6-(1-tert-butyl-1H-pyrazol-4-yl)-4-methyl-1,3,4,5-tetrahydro-2H-1,5-benzodiazepin-2-one", 5994 },
	{ "58O", "", "", ResidueType::NON_POLYMER, false, "6-methoxy-5-[(4-{[6-(2,2,2-trifluoroethyl)thieno[2,3-d]pyrimidin-4-yl]amino}piperidin-1-yl)methyl]-1H-indole-2-carbonitrile", 5995 },
	{ "58P", "", "", ResidueType::NON_POLYMER, false, "1-[(2S)-2,3-dihydroxypropyl]-5-[(4-{[6-(2,2,2-trifluoroethyl)thieno[2,3-d]pyrimidin-4-yl]amino}piperidin-1-yl)methyl]-1H-indole-2-carbonitrile", 5996 },
	{ "58Q", "", "", ResidueType::NON_POLYMER, false, "6-methoxy-4-methyl-1-(1H-pyrazol-4-ylmethyl)-5-[(4-{[6-(2,2,2-trifluoroethyl)thieno[2,3-d]pyrimidin-4-yl]amino}piperidin-1-yl)methyl]-1H-indole-2-carbonitrile", 5997 },
	{ "58R", "", "", ResidueType::NON_POLYMER, false, "2-{2-cyano-5-[(4-{[6-(2,2,2-trifluoroethyl)thieno[2,3-d]pyrimidin-4-yl]amino}piperidin-1-yl)methyl]-1H-indol-1-yl}acetamide", 5998 },
	{ "58T", "", "", ResidueType::NON_POLYMER, false, "13-(METHYLAMINO)-23,24,25-TRIOXA-17,18,19,21-TETRAZATETRACYCLO-TRICOSA-1(3),2(10),4(11),12(14),13(18),16(19)-HEXAN-15-ONE", 5999 },
	{ "58U", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-methyl-2,5,7-trioxoheptanoic acid", 6000 },
	{ "58V", "", "", ResidueType::NON_POLYMER, false, "(2-chloro-4-{[6-cyclopropyl-3-(1H-pyrazol-4-yl)imidazo[1,2-a]pyrazin-8-yl]amino}phenyl)(morpholin-4-yl)methanone", 6001 },
	{ "58W", "", "", ResidueType::NON_POLYMER, false, "N-(5-chloro-2,4-dihydroxyphenyl)-1-phenylcyclobutanecarboxamide", 6002 },
	{ "58X", "", "", ResidueType::NON_POLYMER, false, "(2E)-3,7-dimethylocta-2,6-dienoic acid", 6003 },
	{ "58Y", "", "", ResidueType::NON_POLYMER, false, "(2R,3aR,5R,6R,7R,7aR)-5-(hydroxymethyl)-2-methylhexahydro-3aH-pyrano[3,2-d][1,3]thiazole-6,7-diol", 6004 },
	{ "58Z", "", "", ResidueType::NON_POLYMER, false, "1-[2-(1H-indol-5-yloxy)ethyl]piperidine-4-carboxylic acid", 6005 },
	{ "590", "", "", ResidueType::NON_POLYMER, false, "9-[2-azido-2-deoxy-5-O-({5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoyl}sulfamoyl)-beta-D-arabinofuranosyl]-9H-purin-6-amine", 6006 },
	{ "591", "", "", ResidueType::NON_POLYMER, false, "(5S)-2-amino-5-(1-ethyl-1H-pyrazol-4-yl)-3-methyl-5-[3-(pyrimidin-5-yl)phenyl]-3,5-dihydro-4H-imidazol-4-one", 6007 },
	{ "592", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-6-[(3-endo)-3-{[(3-methoxy-2-methylphenyl)carbonyl]amino}-8-azabicyclo[3.2.1]oct-8-yl]pyridine-3-carboxamide", 6008 },
	{ "593", "", "", ResidueType::NON_POLYMER, false, "(5S)-2-amino-3-methyl-5-phenyl-5-[(3S,5S,7S)-tricyclo[3.3.1.1~3,7~]dec-1-yl]-3,5-dihydro-4H-imidazol-4-one", 6009 },
	{ "594", "", "", ResidueType::NON_POLYMER, false, "9-[2-deoxy-2-fluoro-5-O-({5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoyl}sulfamoyl)-beta-D-arabinofuranosyl]-9H-purin-6-amine", 6010 },
	{ "595", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,5S)-5-{[(4-aminophenyl)sulfonyl](3-methylbutyl)amino}-1-methyl-6-oxohexyl]-Nalpha-(methoxycarbonyl)-beta-phenyl-L-phenylalaninamide", 6011 },
	{ "596", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-(1H-indazol-3-ylmethylidene)-6-methoxy-7-(piperazin-1-ylmethyl)-1-benzofuran-3(2H)-one", 6012 },
	{ "598", "", "", ResidueType::NON_POLYMER, false, "6-{[1-(BENZYLSULFONYL)PIPERIDIN-4-YL]AMINO}-3-(CARBOXYMETHOXY)THIENO[3,2-B][1]BENZOTHIOPHENE-2-CARBOXYLIC ACID", 6013 },
	{ "599", "", "", ResidueType::NON_POLYMER, false, "2-[3-{4-chloro-3-[(4-chlorophenyl)ethynyl]phenyl}-1-(3-morpholin-4-ylpropyl)-1,4,6,7-tetrahydro-5H-pyrazolo[4,3-c]pyridin-5-yl]-2-oxoethanol", 6014 },
	{ "59A", "", "", ResidueType::NON_POLYMER, false, "N-{[(2S,3S)-3-(ETHOXYCARBONYL)OXIRAN-2-YL]CARBONYL}-L-ISOLEUCINE", 6015 },
	{ "59B", "", "", ResidueType::NON_POLYMER, false, "morpholin-4-yl[4-(tetrazolo[1,5-a]quinoxalin-4-ylamino)phenyl]methanone", 6016 },
	{ "59C", "", "", ResidueType::NON_POLYMER, false, "[(3R,5S,6R,7R,12E)-5,11-dimethoxy-3,7,9,15,19-pentamethyl-6-oxidanyl-16,20,22-tris(oxidanylidene)-21-(prop-2-enylamino)-17-azabicyclo[16.3.1]docosa-1(21),8,12,14,18-pentaen-10-yl] carbamate", 6017 },
	{ "59D", "", "", ResidueType::NON_POLYMER, false, "(7R)-1-(4-fluorobenzyl)-N-{3-[(1S)-1-hydroxyethyl]phenyl}-7-methyl-5-(1H-pyrrol-2-ylcarbonyl)-4,5,6,7-tetrahydro-1H-pyrazolo[4,3-c]pyridine-3-carboxamide", 6018 },
	{ "59E", "", "", ResidueType::NON_POLYMER, false, "methyl [(4S)-6-(1H-indol-4-yl)-8-methoxy-1-methyl-4H-[1,2,4]triazolo[4,3-a][1,4]benzodiazepin-4-yl]acetate", 6019 },
	{ "59F", "", "", ResidueType::NON_POLYMER, false, "(2R,4R,5R)-2-[(1R)-1-{[(2R)-2-{[(4-ethyl-2,3-dioxopiperazin-1-yl)carbonyl]amino}-2-(4-hydroxyphenyl)acetyl]amino}-2-oxoethyl]-5-methyl-1,3-thiazinane-4-carboxylic acid", 6020 },
	{ "59G", "", "", ResidueType::NON_POLYMER, false, "6-(4-{[3-(2,6-dichlorophenyl)-5-(propan-2-yl)-1,2-oxazol-4-yl]methoxy}phenyl)-1-benzothiophene-3-carboxylic acid", 6021 },
	{ "59H", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-5,5-dimethyl-2-[(1R)-2-oxo-1-{[(2R)-2-{[(2-oxoimidazolidin-1-yl)carbonyl]amino}-2-phenylacetyl]amino}ethyl]-1,3-thiazolidine-4-carboxylic acid", 6022 },
	{ "59J", "", "", ResidueType::NON_POLYMER, false, "(2R,5R)-2-[(R)-carboxy{[(2R)-2-{[(4-ethyl-2,3-dioxopiperazin-1-yl)carbonyl]amino}-2-(4-hydroxyphenyl)acetyl]amino}methyl]-5-methyl-5,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 6023 },
	{ "59K", "", "", ResidueType::NON_POLYMER, false, "4-[4-(5-methyl-1,3,4-thiadiazol-2-yl)piperazin-1-yl]-6-(2,2,2-trifluoroethyl)thieno[2,3-d]pyrimidine", 6024 },
	{ "59L", "", "", ResidueType::NON_POLYMER, false, "2-[(2-carboxy-5-nitrophenyl)amino]-3-methylbenzoic acid", 6025 },
	{ "59M", "", "", ResidueType::NON_POLYMER, false, "4-{4-[5-(fluoromethyl)-1,3,4-thiadiazol-2-yl]piperazin-1-yl}-6-(2,2,2-trifluoroethyl)thieno[2,3-d]pyrimidine", 6026 },
	{ "59N", "", "", ResidueType::NON_POLYMER, false, "8-[(trans-4-aminocyclohexyl)methyl]-6-[2-chloro-4-(6-methylpyrazin-2-yl)phenyl]-2-(ethylamino)pyrido[2,3-d]pyrimidin-7(8H)-one", 6027 },
	{ "59Q", "", "", ResidueType::NON_POLYMER, false, "4-{4-[5-(difluoromethyl)-1,3,4-thiadiazol-2-yl]piperazin-1-yl}-6-(2,2,2-trifluoroethyl)thieno[2,3-d]pyrimidine", 6028 },
	{ "59R", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,4R)-4-(2-{[2-(3-fluorophenyl)ethyl]amino}ethoxy)pyrrolidin-3-yl]methyl}pyridin-2-amine", 6029 },
	{ "59T", "", "", ResidueType::NON_POLYMER, false, "8-[(trans-5-amino-1,3-dioxan-2-yl)methyl]-6-[2-chloro-4-(6-methylpyridin-2-yl)phenyl]-2-(methylamino)pyrido[2,3-d]pyrimidin-7(8H)-one", 6030 },
	{ "59U", "", "", ResidueType::NON_POLYMER, false, "6-[2-chloro-4-(6-methylpyrazin-2-yl)phenyl]-8-ethyl-2-{[2-(1-methylpiperidin-4-yl)ethyl]amino}pyrido[2,3-d]pyrimidin-7(8H)-one", 6031 },
	{ "59V", "", "", ResidueType::NON_POLYMER, false, "6-(2,2,2-trifluoroethyl)-4-{4-[5-(trifluoromethyl)-1,3,4-thiadiazol-2-yl]piperazin-1-yl}thieno[2,3-d]pyrimidine", 6032 },
	{ "59W", "", "", ResidueType::NON_POLYMER, false, "6-{[(3S,4S)-4-(2-{[2-(3-fluorophenyl)ethyl]amino}ethoxy)pyrrolidin-3-yl]methyl}pyridin-2-amine", 6033 },
	{ "59X", "", "", ResidueType::NON_POLYMER, false, "4-[4-(5,5-dimethyl-4,5-dihydro-1,3-thiazol-2-yl)piperazin-1-yl]-6-(2-fluoroethyl)thieno[2,3-d]pyrimidine", 6034 },
	{ "59Y", "", "", ResidueType::NON_POLYMER, false, "8-(naphthalen-1-yl)quinoline-2-carboxylic acid", 6035 },
	{ "59Z", "", "", ResidueType::NON_POLYMER, false, "{2-[(phosphonomethyl)carbamoyl]-1H-benzo[g]indol-1-yl}acetic acid", 6036 },
	{ "5A0", "", "", ResidueType::NON_POLYMER, false, "6-(2,2-difluoroethyl)-4-[4-(5,5-dimethyl-4,5-dihydro-1,3-thiazol-2-yl)piperazin-1-yl]thieno[2,3-d]pyrimidine", 6037 },
	{ "5A1", "", "", ResidueType::NON_POLYMER, false, "4-[4-(5,5-dimethyl-4,5-dihydro-1,3-thiazol-2-yl)piperazin-1-yl]-6-(pentafluoroethyl)thieno[2,3-d]pyrimidine", 6038 },
	{ "5A2", "", "", ResidueType::NON_POLYMER, false, "3,5-di-methylenebisphosphonate inositol tetrakisphosphate", 6039 },
	{ "5A3", "", "", ResidueType::NON_POLYMER, false, "Methylenebisphosphonate inositol pentakisphosphate", 6040 },
	{ "5A6", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-4-[5-(5-aminopentyl)-1,3,4-oxadiazol-2-yl]butanoic acid", 6041 },
	{ "5A7", "", "", ResidueType::NON_POLYMER, false, "{(E)-2-[6-(acetylamino)-8-(naphthalen-1-yl)quinolin-2-yl]ethenyl}phosphonic acid", 6042 },
	{ "5A8", "", "", ResidueType::NON_POLYMER, false, "5'-azido-5'-deoxy-8-[(2-{[2-(1H-indol-3-yl)ethyl]amino}-2-oxoethyl)sulfanyl]adenosine", 6043 },
	{ "5A9", "", "", ResidueType::NON_POLYMER, false, "5'-azido-8-[(2-{[2-(3-bromophenyl)ethyl]amino}-2-oxoethyl)sulfanyl]-5'-deoxyadenosine", 6044 },
	{ "5AA", "", "", ResidueType::RNA_LINKING, false, "N6-DIMETHYL-3'-AMINO-ADENOSINE-5'-MONOPHOSPHATE", 6045 },
	{ "5AB", "", "", ResidueType::PEPTIDE_LINKING, false, "[(5S)-5-amino-5-carboxyhexyl](trihydroxy)borate", 6046 },
	{ "5AC", "", "", ResidueType::NON_POLYMER, false, "5-amino-1H-imidazole-4-carboxamide", 6047 },
	{ "5AD", "", "", ResidueType::NON_POLYMER, false, "5'-DEOXYADENOSINE", 6048 },
	{ "5AE", "", "", ResidueType::NON_POLYMER, false, "4-amino-1-(beta-D-ribofuranosyl)-1,3,5-triazin-2(1H)-one", 6049 },
	{ "5AF", "", "", ResidueType::NON_POLYMER, false, "2,5-BIS{[4-(3-PENTYL)DIAMINOMETHYL]PHENYL}FURAN", 6050 },
	{ "5AG", "", "", ResidueType::NON_POLYMER, false, "5'-azido-5'-deoxy-8-[(2-{[2-(3-ethynylphenyl)ethyl]amino}-2-oxoethyl)sulfanyl]adenosine", 6051 },
	{ "5AH", "", "", ResidueType::NON_POLYMER, false, "METHYL [(1S)-1-({2-[(3S)-3-BENZYL-3-HYDROXY-4-{[(1S,2R)-2-HYDROXY-2,3-DIHYDRO-1H-INDEN-1-YL]AMINO}-4-OXOBUTYL]-2-(4-PYRIDIN-2-YLBENZYL)HYDRAZINO}CARBONYL)-2,2-DIMETHYLPROPYL]CARBAMATE", 6052 },
	{ "5AJ", "", "", ResidueType::NON_POLYMER, false, "5'-azido-8-[(2-{[2-(1H-benzimidazol-2-yl)ethyl]amino}-2-oxoethyl)sulfanyl]-5'-deoxyadenosine", 6053 },
	{ "5AK", "", "", ResidueType::NON_POLYMER, false, "8-[(2-{[2-(3-bromophenyl)ethyl]amino}-2-oxoethyl)sulfanyl]adenosine", 6054 },
	{ "5AL", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-{[(2S)-2-aminopropanoyl]oxy}(hydroxy)phosphoryl]adenosine", 6055 },
	{ "5AM", "", "", ResidueType::NON_POLYMER, false, "BENZYL {(1S)-5-AMINO-1-[(S)-HYDROXY(5-{[4-(4-PHENYLBUTANOYL)PIPERAZIN-1-YL]METHYL}-1,2,4-OXADIAZOL-3-YL)METHYL]PENTYL}CARBAMATE", 6056 },
	{ "5AN", "", "", ResidueType::NON_POLYMER, false, "3,5-DIFLUOROANILINE", 6057 },
	{ "5AO", "", "", ResidueType::NON_POLYMER, false, "3-(1,3-oxazol-5-yl)aniline", 6058 },
	{ "5AP", "", "", ResidueType::NON_POLYMER, false, "5-(AMINOMETHYL)-6-(2,4-DICHLOROPHENYL)-2-(3,5-DIMETHOXYPHENYL)PYRIMIDIN-4-AMINE", 6059 },
	{ "5AQ", "", "", ResidueType::NON_POLYMER, false, "8-({2-oxo-2-[(2-phenylethyl)amino]ethyl}sulfanyl)adenosine", 6060 },
	{ "5AR", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-4-[5-(4-aminobutyl)-1,3,4-oxadiazol-2-yl]butanoic acid", 6061 },
	{ "5AS", "", "", ResidueType::NON_POLYMER, false, "5'-O-(N-ETHYL-SULFAMOYL)ADENOSINE", 6062 },
	{ "5AT", "", "", ResidueType::DNA_LINKING, false, "5'-AMINO-5'-DEOXYTHYMIDINE", 6063 },
	{ "5AU", "", "", ResidueType::NON_POLYMER, false, "Di-glutathione-PhenylArsine", 6064 },
	{ "5AV", "", "", ResidueType::NON_POLYMER, false, "5-chloro-N-[(2,4-dimethyl-1,3-thiazol-5-yl)methyl]pyrazolo[1,5-a]pyrimidin-7-amine", 6065 },
	{ "5AW", "", "", ResidueType::NON_POLYMER, false, "N~2~-(methyl{[2-(propan-2-yl)-1,3-thiazol-4-yl]methyl}carbamoyl)-N-[(2S,5S)-5-{[(1,3-thiazol-5-ylmethoxy)carbonyl]amino}hexan-2-yl]-D-valinamide", 6066 },
	{ "5AX", "", "NAG", ResidueType::NON_POLYMER, true, "2-(ACETYLAMINO)-1,5-ANHYDRO-2-DEOXY-D-GLUCITOL", 6067 },
	{ "5AY", "", "", ResidueType::NON_POLYMER, false, "N-[(1-methyl-1H-pyrazol-4-yl)methyl]-5-{[(1S,2S)-2-(pyridin-2-yl)cyclopropyl]methoxy}pyrazolo[1,5-a]pyrimidin-7-amine", 6068 },
	{ "5AZ", "", "", ResidueType::NON_POLYMER, false, "6-amino-1,3,5-triazin-2(1H)-one", 6069 },
	{ "5B0", "", "", ResidueType::NON_POLYMER, false, "{2-[5-hydroxy-4-(hydroxymethyl)-6-methylpyridin-3-yl]ethyl}phosphonic acid", 6070 },
	{ "5B1", "", "", ResidueType::NON_POLYMER, false, "5-bromo-1H-indazol-3-amine", 6071 },
	{ "5B2", "", "", ResidueType::NON_POLYMER, false, "5-phenyl-1H-indazol-3-amine", 6072 },
	{ "5B3", "", "", ResidueType::NON_POLYMER, false, "4-(3-amino-1H-indazol-5-yl)-N-tert-butylbenzenesulfonamide", 6073 },
	{ "5B4", "", "", ResidueType::NON_POLYMER, false, "N-(2,5-difluoro-4-{[2-(1-methyl-1H-pyrazol-4-yl)pyridin-4-yl]oxy}phenyl)-N'-(4-fluorophenyl)cyclopropane-1,1-dicarboxamide", 6074 },
	{ "5B5", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,4S,7aS)-3-(ethylamino)hexahydro-4H-furo[2,3-b]pyran-4-yl [(2S,3R)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino}-1-phenylbutan-2-yl]carbamate", 6075 },
	{ "5B6", "", "", ResidueType::NON_POLYMER, false, "", 6076 },
	{ "5B7", "", "", ResidueType::NON_POLYMER, false, "(3R,3aR,4S,7aS)-3-methoxyhexahydro-4H-furo[2,3-b]pyran-4-yl [(2S,3R)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino}-1-phenylbutan-2-yl]carbamate", 6077 },
	{ "5B8", "", "", ResidueType::NON_POLYMER, false, "(1R)-3-(3,4-dimethoxyphenyl)-1-{3-[2-(morpholin-4-yl)ethoxy]phenyl}propyl (2S)-1-[(2S,3R)-2-cyclohexyl-3-hydroxybutanoyl]piperidine-2-carboxylate", 6078 },
	{ "5B9", "", "", ResidueType::NON_POLYMER, false, "2-(naphthalen-1-ylmethoxy)benzoic acid", 6079 },
	{ "5BA", "", "", ResidueType::NON_POLYMER, false, "5-bromo-2-{5-[(4-methylpiperazin-1-yl)acetyl]-2-propoxyphenyl}-6-(propan-2-yl)pyrimidin-4(3H)-one", 6080 },
	{ "5BB", "", "", ResidueType::NON_POLYMER, false, "5-bromo-2-{2-ethoxy-5-[(4-methylpiperazin-1-yl)sulfonyl]phenyl}-6-octylpyrimidin-4(3H)-one", 6081 },
	{ "5BC", "", "", ResidueType::NON_POLYMER, false, "(5-{3-[4-(biphenyl-4-ylcarbonyl)-2-propylphenoxy]propoxy}-1H-indol-1-yl)acetic acid", 6082 },
	{ "5BD", "", "", ResidueType::NON_POLYMER, false, "N,N'-(9,10-dioxo-9,10-dihydroanthracene-2,7-diyl)bis[2-(dimethylamino)acetamide]", 6083 },
	{ "5BE", "", "", ResidueType::NON_POLYMER, false, "3-methyl-5-[5-(1-methylethyl)-1H-benzimidazol-2-yl]-N-(1-methylpiperidin-4-yl)-1H-pyrazole-4-carboxamide", 6084 },
	{ "5BF", "", "", ResidueType::NON_POLYMER, false, "(11S)-4,9-dioxo-N-[(2S)-1-oxo-3-phenylpropan-2-yl]-17,22-dioxa-10,30-diazatetracyclo[21.2.2.2~13,16~.1~5,8~]triaconta-1(25),5,7,13,15,23,26,28-octaene-11-carboxamide", 6085 },
	{ "5BG", "", "", ResidueType::NON_POLYMER, false, "{3-[(1R)-1-[({(2S)-1-[(2S)-2-cyclohexyl-2-(3,4,5-trimethoxyphenyl)acetyl]piperidin-2-yl}carbonyl)amino]-3-(3,4-dimethoxyphenyl)propyl]phenoxy}acetic acid", 6086 },
	{ "5BH", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-(1-carbamoylcyclopentyl)-1-[(2S)-2-cyclohexyl-2-(3,4,5-trimethoxyphenyl)acetyl]piperidine-2-carboxamide", 6087 },
	{ "5BJ", "", "", ResidueType::NON_POLYMER, false, "4-(naphthalen-1-yl)-1H-indole-2-carboxylic acid", 6088 },
	{ "5BK", "", "", ResidueType::NON_POLYMER, false, "", 6089 },
	{ "5BL", "", "", ResidueType::NON_POLYMER, false, "8-(naphthalen-1-yl)-6-(1H-pyrrol-2-yl)quinoline-2-carboxylic acid", 6090 },
	{ "5BM", "", "", ResidueType::NON_POLYMER, false, "(2Z)-bis{amino[(2-aminophenyl)sulfanyl]methylidene}butanedinitrile", 6091 },
	{ "5BN", "", "", ResidueType::NON_POLYMER, false, "5-[(2-AMINOETHYL)AMINO]-6-FLUORO-3-(1H-PYRROL-2-YL)BENZO[CD]INDOL-2(1H)-ONE", 6092 },
	{ "5BO", "", "", ResidueType::NON_POLYMER, false, "5-bromo-6-ethyl-2-{5-[(4-methylpiperazin-1-yl)sulfonyl]-2-propoxyphenyl}pyrimidin-4(3H)-one", 6093 },
	{ "5BP", "", "", ResidueType::NON_POLYMER, false, "N-cyclopropyl-4-pyrazolo[1,5-b]pyridazin-3-ylpyrimidin-2-amine", 6094 },
	{ "5BQ", "", "", ResidueType::NON_POLYMER, false, "2-[2-chloro-4-(methylsulfonyl)benzoyl]cyclohexane-1,3-dione", 6095 },
	{ "5BR", "", "", ResidueType::NON_POLYMER, false, "1-BROMOPENTANE", 6096 },
	{ "5BS", "", "", ResidueType::NON_POLYMER, false, "4-[(5,10-dimethyl-6-oxo-6,10-dihydro-5H-pyrimido[5,4-b]thieno[3,2-e][1,4]diazepin-2-yl)amino]benzenesulfonamide", 6097 },
	{ "5BT", "", "", ResidueType::NON_POLYMER, false, "5-bromo-2'-deoxycytidine", 6098 },
	{ "5BU", "", "", ResidueType::RNA_LINKING, false, "5-BROMO-URIDINE-5'-MONOPHOSPHATE", 6099 },
	{ "5BV", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-3-(glycyloxy)-2-methylnonanoic acid", 6100 },
	{ "5BW", "", "", ResidueType::NON_POLYMER, false, "(2E)-1-(2-hydroxyphenyl)-3-[(1R,4R)-5-(pyridin-2-yl)-2,5-diazabicyclo[2.2.1]hept-2-yl]prop-2-en-1-one", 6101 },
	{ "5BX", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-[(1R)-1-(1H-indol-3-yl)ethyl]-2-(methylamino)-1,3-oxazol-4(5H)-one", 6102 },
	{ "5BY", "", "", ResidueType::NON_POLYMER, false, "{2-[2-(2-{4-[(1E)-4-{[(2S)-1-{[(1R)-1-(dihydroxyboranyl)-3-methylbutyl]amino}-1-oxo-3-phenylpropan-2-yl]amino}-4-oxobut-1-en-1-yl]-1H-1,2,3-triazol-1-yl}ethoxy)ethoxy]ethoxy}acetic acid", 6103 },
	{ "5BZ", "", "", ResidueType::NON_POLYMER, false, "[(1~{R})-1-[[(2~{S})-2-(hex-5-ynoylamino)-3-phenyl-propanoyl]amino]-3-methyl-butyl]boronic acid", 6104 },
	{ "5C0", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-[(6S,9R)-4-(cyclopropylamino)-6,7,8,9-tetrahydro-5H-6,9-epiminocyclohepta[d]pyrimidin-10-yl]-1-(2-hydroxyphenyl)prop-2-en-1-one", 6105 },
	{ "5C1", "", "", ResidueType::NON_POLYMER, false, "5-(2-chlorophenyl)-N-hydroxy-1,3-oxazole-2-carboxamide", 6106 },
	{ "5C2", "", "", ResidueType::NON_POLYMER, false, "1-(propan-2-yl)-N-{[2-(thiophen-2-yl)-1,3-oxazol-4-yl]methyl}-1H-pyrazolo[3,4-b]pyridine-5-carboxamide", 6107 },
	{ "5C3", "", "", ResidueType::NON_POLYMER, false, "4-(aminomethyl)-N-(benzenesulfonyl)cyclohexanecarboxamide", 6108 },
	{ "5C4", "", "", ResidueType::NON_POLYMER, false, "4,4'-{2-[3-(phenylamino)phenyl]prop-1-ene-1,1-diyl}diphenol", 6109 },
	{ "5C6", "", "", ResidueType::NON_POLYMER, false, "4,4'-{2-[3-(naphthalen-1-ylamino)phenyl]but-1-ene-1,1-diyl}diphenol", 6110 },
	{ "5C7", "", "", ResidueType::NON_POLYMER, false, "4,4'-[2-(4-tert-butylphenyl)prop-1-ene-1,1-diyl]diphenol", 6111 },
	{ "5C8", "", "", ResidueType::NON_POLYMER, false, "4,4'-[2-(naphthalen-2-yl)prop-1-ene-1,1-diyl]diphenol", 6112 },
	{ "5C9", "", "", ResidueType::NON_POLYMER, false, "4,4'-(2-{3-[(3-methylphenyl)amino]phenyl}but-1-ene-1,1-diyl)diphenol", 6113 },
	{ "5CA", "", "", ResidueType::NON_POLYMER, false, "5'-O-(N-(L-CYSTEINYL)-SULFAMOYL)ADENOSINE", 6114 },
	{ "5CB", "", "", ResidueType::NON_POLYMER, false, "N-(5-CHLORO-BENZO[B]THIOPHEN-3-YLMETHYL)-2-[6-CHLORO-OXO-3-(2-PYRIDIN-2-YL-ETHYLAMINO)-2H-PYRAZIN-1-YL]-ACETAMIDE", 6115 },
	{ "5CC", "", "", ResidueType::NON_POLYMER, false, "4,4'-{2-[3-(phenylamino)phenyl]but-1-ene-1,1-diyl}diphenol", 6116 },
	{ "5CD", "", "", ResidueType::NON_POLYMER, false, "5'-CHLORO-5'-DEOXYADENOSINE", 6117 },
	{ "5CE", "", "", ResidueType::NON_POLYMER, false, "(1S,3aR,5S,7aS)-5-[4-hydroxy-2-(trifluoromethyl)phenyl]-7a-methyloctahydro-1H-inden-1-ol", 6118 },
	{ "5CF", "", "", ResidueType::RNA_LINKING, false, "", 6119 },
	{ "5CG", "", "", ResidueType::RNA_LINKING, false, "5'-CHLORO-5'-DEOXY-GUANOSINE", 6120 },
	{ "5CH", "", "", ResidueType::NON_POLYMER, false, "5-chloro-6'-methyl-3-[4-(methylsulfonyl)phenyl]-2,3'-bipyridine", 6121 },
	{ "5CI", "", "", ResidueType::NON_POLYMER, false, "8-bromo-5'-{[3-carboxy-2-(carboxymethyl)-2-hydroxypropanoyl]amino}-5'-deoxyadenosine", 6122 },
	{ "5CJ", "", "", ResidueType::NON_POLYMER, false, "(1S,3aR,5S,7aS)-7a-methyl-5-(2,3,5-trifluoro-4-hydroxyphenyl)octahydro-1H-inden-1-ol", 6123 },
	{ "5CK", "", "", ResidueType::NON_POLYMER, false, "(1S,3aR,5S,7aS)-5-(2,3-difluoro-4-hydroxyphenyl)-7a-methyloctahydro-1H-inden-1-ol", 6124 },
	{ "5CL", "", "", ResidueType::NON_POLYMER, false, "1,2,3,4,5-PENTACHLOROBENZENE", 6125 },
	{ "5CM", "", "", ResidueType::DNA_LINKING, false, "5-METHYL-2'-DEOXY-CYTIDINE-5'-MONOPHOSPHATE", 6126 },
	{ "5CN", "", "", ResidueType::NON_POLYMER, false, "5-CYANO-FURAN-2-CARBOXYLIC ACID [5-HYDROXYMETHYL-2-(4-METHYL-PIPERIDIN-1-YL)-PHENYL]-AMIDE", 6127 },
	{ "5CO", "", "", ResidueType::NON_POLYMER, false, "5-chloro-6-ethyl-2-{5-[(4-methylpiperazin-1-yl)sulfonyl]-2-propoxyphenyl}pyrimidin-4(3H)-one", 6128 },
	{ "5CP", "", "", ResidueType::NON_POLYMER, false, "[4-({4-[(5-cyclopropyl-1H-pyrazol-3-yl)amino]-6-(methylamino)pyrimidin-2-yl}amino)phenyl]acetonitrile", 6129 },
	{ "5CQ", "", "", ResidueType::NON_POLYMER, false, "(1S,3aR,5S,7aS)-5-(4-hydroxy-2-methylphenyl)-7a-methyloctahydro-1H-inden-1-ol", 6130 },
	{ "5CR", "", "", ResidueType::PEPTIDE_LINKING, false, "N-acetyl-L-phenylalanine", 6131 },
	{ "5CS", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-3-(CYSTEIN-S-YL)-ISOXAZOLIDIN-5-YL-ACETIC ACID", 6132 },
	{ "5CT", "", "", ResidueType::PEPTIDE_LINKING, false, "Hypusine", 6133 },
	{ "5CU", "", "", ResidueType::NON_POLYMER, false, "2,4-dioxo-1,2,3,4-tetrahydropyrimidine-5-carboxylic acid", 6134 },
	{ "5CV", "", "", ResidueType::NON_POLYMER, false, "1-benzyl-N-(5-{5-[3-(dimethylamino)-2,2-dimethylpropoxy]-1H-indol-2-yl}-6-oxo-1,6-dihydropyridin-3-yl)-1H-pyrazole-4-carboxamide", 6135 },
	{ "5CW", "", "", ResidueType::PEPTIDE_LINKING, false, "5-chloro-L-tryptophan", 6136 },
	{ "5CX", "", "", ResidueType::NON_POLYMER, false, "2'-(propan-2-yl)biphenyl-4-sulfonamide", 6137 },
	{ "5CY", "", "", ResidueType::NON_POLYMER, false, "1-(3-hydroxypropyl)-2-{(1E,3E,5E)-5-[1-(3-hydroxypropyl)-3,3-dimethyl-1,3-dihydro-2H-indol-2-ylidene]penta-1,3-dien-1-yl}-3,3-dimethyl-3H-indolium", 6138 },
	{ "5CZ", "", "", ResidueType::NON_POLYMER, false, "2-[4-(4-carbamimidoylphenoxy)phenyl]-1H-indole-6-carboximidamide", 6139 },
	{ "5D0", "", "", ResidueType::NON_POLYMER, false, "2,2'-[pentane-1,5-diylbis(oxybenzene-4,1-diyl)]di-1,4,5,6-tetrahydropyrimidine", 6140 },
	{ "5D1", "", "", ResidueType::NON_POLYMER, false, "N-{[1-(3-methylbenzyl)piperidin-4-yl]methyl}-4-[(1-methyl-2-oxo-1,2-dihydroquinolin-4-yl)oxy]butanamide", 6141 },
	{ "5D2", "", "", ResidueType::NON_POLYMER, false, "N-{3-[4-(3-chlorophenyl)piperazin-1-yl]propyl}-1-(3-methyl[1,2,4]triazolo[4,3-b]pyridazin-6-yl)piperidine-4-carboxamide", 6142 },
	{ "5D4", "", "", ResidueType::NON_POLYMER, false, "N-(6-ACETAMIDOHEXYL)ACETAMIDE", 6143 },
	{ "5D5", "", "", ResidueType::NON_POLYMER, false, "2-{[(3alpha,5beta,7alpha,8alpha,14beta,17alpha)-3,7-dihydroxy-24-oxocholan-24-yl]amino}ethanesulfonic acid", 6144 },
	{ "5D6", "", "", ResidueType::NON_POLYMER, false, "orthoformimycin", 6145 },
	{ "5D7", "", "", ResidueType::NON_POLYMER, false, "prop-2-en-1-yl 2-[(1S)-1-amino-4-carbamimidamidobutyl]-1,3-thiazole-4-carboxylate", 6146 },
	{ "5D8", "", "", ResidueType::NON_POLYMER, false, "ethyl 2-(2-{2-[(1S)-1-amino-4-carbamimidamidobutyl]-1,3-thiazol-4-yl}-5-methyl-1,3-oxazol-4-yl)-1,3-thiazole-4-carboxylate", 6147 },
	{ "5D9", "", "", ResidueType::NON_POLYMER, false, "ethyl 2-(2-{2-[(1S)-4-carbamimidamido-1-(methylamino)butyl]-1,3-thiazol-4-yl}-5-methyl-1,3-oxazol-4-yl)-1,3-thiazole-4-carboxylate", 6148 },
	{ "5DA", "", "", ResidueType::NON_POLYMER, false, "1-[(4S)-4-(4-{4-[4-(5,5'-dimethyl-2,4'-bi-1,3-oxazol-2'-yl)-1,3-thiazol-2-yl]-5-methyl-1,3-oxazol-2-yl}-1,3-thiazol-2-yl)-4-(methylamino)butyl]guanidine", 6149 },
	{ "?", "", "", ResidueType::DNA_LINKING, false, "1-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-4-methoxy-5-methylpyrimidin-2(1H)-one", 6150 },
	{ "5DE", "", "", ResidueType::NON_POLYMER, false, "1-(4-AMINOPHENYL)-3,5-DIMETHYL-1H-PYRAZOLE-4-CARBOXYLIC ACID ETHYL ESTER", 6151 },
	{ "5DF", "", "", ResidueType::NON_POLYMER, false, "4-{6-amino-5-[4-(methylsulfonyl)phenyl]pyridin-3-yl}phenol", 6152 },
	{ "5DG", "", "", ResidueType::NON_POLYMER, false, "4,4'-(2-{3-[(4-fluorophenyl)amino]phenyl}prop-1-ene-1,1-diyl)diphenol", 6153 },
	{ "5DH", "", "", ResidueType::NON_POLYMER, false, "3,3-bis(4-hydroxyphenyl)-2-phenylprop-2-enenitrile", 6154 },
	{ "5DI", "", "", ResidueType::SACCHARIDE, false, "2-OXO-1,2,DIDEOXY-5F-D-IDOPYRANOSE", 6155 },
	{ "5DJ", "", "", ResidueType::NON_POLYMER, false, "4,4'-(2-phenylethene-1,1-diyl)diphenol", 6156 },
	{ "5DK", "", "", ResidueType::NON_POLYMER, false, "(E)-N~2~-({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methylidene)-D-arginine", 6157 },
	{ "5DL", "", "", ResidueType::NON_POLYMER, false, "[(2S)-2-hydroxy-3-(1H-1,2,4-triazol-1-yl)propyl]phosphonic acid", 6158 },
	{ "5DM", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S)-2-amino-3-phenylpropyl]-D-methionine", 6159 },
	{ "5DN", "", "", ResidueType::NON_POLYMER, false, "2-(3-bromophenyl)-8-fluoroquinoline-4-carboxylic acid", 6160 },
	{ "5DP", "", "", ResidueType::NON_POLYMER, false, "5-(2,5-dioxopyrrolidin-1-yl)-N-[2-(2-{2-[(4-O-alpha-D-idopyranosyl-alpha-D-mannopyranosyl)oxy]ethoxy}ethoxy)ethyl]pentanamide", 6161 },
	{ "5DQ", "", "", ResidueType::NON_POLYMER, false, "N-CYCLOPENTYL-2-[4-(TRIFLUOROMETHYL)PHENYL]-3H-IMIDAZO[4,5-B]PYRIDINE-7-SULFONAMIDE", 6162 },
	{ "5DR", "", "", ResidueType::NON_POLYMER, false, "6-ethyl-5-[3-(4-methoxybiphenyl-3-yl)prop-1-yn-1-yl]pyrimidine-2,4-diamine", 6163 },
	{ "5DS", "", "", ResidueType::NON_POLYMER, false, "(R)-1-AMINO-1-[5-(DIMETHYLAMINO)-1,3,4-THIADIAZOL-2-YL]METHANESULFONAMIDE", 6164 },
	{ "5DT", "", "", ResidueType::NON_POLYMER, false, "2-(benzylamino)-3,5,6-trifluoro-4-[(2-phenylethyl)sulfanyl]benzenesulfonamide", 6165 },
	{ "5DU", "", "", ResidueType::NON_POLYMER, false, "2-[(1S)-2,3-dihydro-1H-inden-1-ylamino]-3,5,6-trifluoro-4-[(2-hydroxyethyl)sulfanyl]benzenesulfonamide", 6166 },
	{ "5DV", "", "", ResidueType::NON_POLYMER, false, "methyl (R)-(2-carbamoyl-5-chloro-1H-indol-3-yl)[3-(2-cyanoethyl)-5-methylphenyl]phosphinate", 6167 },
	{ "5DW", "", "", ResidueType::PEPTIDE_LINKING, false, "4-ethynyl-L-phenylalanine", 6168 },
	{ "5DX", "", "", ResidueType::NON_POLYMER, false, "5-[(2R)-2-amino-2-carboxyethyl]-1-(4-bromophenyl)-1H-pyrazole-3-carboxylic acid", 6169 },
	{ "5DY", "", "", ResidueType::NON_POLYMER, false, "5-[(2R)-2-amino-2-carboxyethyl]-1-[4-(3-fluoropropyl)phenyl]-1H-pyrazole-3-carboxylic acid", 6170 },
	{ "5DZ", "", "", ResidueType::NON_POLYMER, false, "5-[(2R)-2-amino-2-carboxyethyl]-1-(4-fluorophenyl)-1H-pyrazole-3-carboxylic acid", 6171 },
	{ "5E0", "", "", ResidueType::NON_POLYMER, false, "5-[(2R)-2-amino-2-carboxyethyl]-1-phenyl-1H-pyrazole-3-carboxylic acid", 6172 },
	{ "5E1", "", "", ResidueType::NON_POLYMER, false, "2-(3-bromophenyl)quinoline-4-carboxylic acid", 6173 },
	{ "5E2", "", "", ResidueType::NON_POLYMER, false, "2-(3-bromophenyl)-6-chloroquinoline-4-carboxylic acid", 6174 },
	{ "5E4", "", "", ResidueType::NON_POLYMER, false, "2-[(3-bromophenyl)amino]benzoic acid", 6175 },
	{ "5E5", "", "", ResidueType::NON_POLYMER, false, "3-methyl-5-(pyridin-3-yl)-2H-pyrazolo[3,4-c]pyridine", 6176 },
	{ "5E6", "", "", ResidueType::NON_POLYMER, false, "(1S,3S)-N-{6-[5-(pyridin-3-yl)-1H-pyrazolo[3,4-c]pyridin-3-yl]pyridin-2-yl}cyclohexane-1,3-diamine", 6177 },
	{ "5E7", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3R)-3-hydroxy-4-({(2S,3S)-3-hydroxy-1-[(2-methylpropyl)amino]-1-oxobutan-2-yl}amino)-1-phenylbutan-2-yl]-5-[methyl(methylsulfonyl)amino]-N'-[(1R)-1-phenylethyl]benzene-1,3-dicarboxamide", 6178 },
	{ "5E8", "", "", ResidueType::NON_POLYMER, false, "ethyl (2Z,4S)-4-{[(2S)-2-methyl-3-phenylpropanoyl]amino}-5-[(3S)-2-oxopyrrolidin-3-yl]pent-2-enoate", 6179 },
	{ "5E9", "", "", ResidueType::NON_POLYMER, false, "ethyl (2Z,4S)-4-{[(2R,5S)-5-amino-2-(4-fluorobenzyl)-6-methyl-4-oxoheptanoyl]amino}-5-[(3S)-2-oxopyrrolidin-3-yl]pent-2-enoate", 6180 },
	{ "5EA", "", "", ResidueType::NON_POLYMER, false, "5-{3,4-DIFLUORO-2-[(2-FLUORO-4-IODOPHENYL)AMINO]PHENYL}-N-(2-MORPHOLIN-4-YLETHYL)-1,3,4-OXADIAZOL-2-AMINE", 6181 },
	{ "5EB", "", "", ResidueType::NON_POLYMER, false, "ethyl (2Z,4S)-4-{[N-(3-cyclopropylpropanoyl)-L-phenylalanyl]amino}-5-[(3S)-2-oxopyrrolidin-3-yl]pent-2-enoate", 6182 },
	{ "5EC", "", "", ResidueType::NON_POLYMER, false, "ethyl (2Z,4S)-4-{[N-(3-methylbutanoyl)-L-phenylalanyl]amino}-5-[(3S)-2-oxopyrrolidin-3-yl]pent-2-enoate", 6183 },
	{ "5ED", "", "", ResidueType::NON_POLYMER, false, "ethyl (2Z,4S)-4-[(N-{[(2-cyclopropylethyl)amino](oxo)acetyl}-L-phenylalanyl)amino]-5-[(3S)-2-oxopyrrolidin-3-yl]pent-2-enoate", 6184 },
	{ "5EE", "", "", ResidueType::NON_POLYMER, false, "5R-(3,4-DICHLOROPHENYLMETHYL)-3-(2-THIOPHENESULFONYLAMINO)-4-OXO-2-THIONOTHIAZOLIDINE", 6185 },
	{ "5EF", "", "", ResidueType::NON_POLYMER, false, "3-[(1S)-2,3-dihydro-1H-inden-1-ylamino]-2,5,6-trifluoro-4-[(2-hydroxyethyl)sulfonyl]benzenesulfonamide", 6186 },
	{ "5EG", "", "", ResidueType::NON_POLYMER, false, "2-({5-[(2-chlorophenoxy)methyl]-1H-tetrazol-1-yl}acetyl)-N-(4-chlorophenyl)hydrazinecarboxamide", 6187 },
	{ "5EH", "", "", ResidueType::NON_POLYMER, false, "(3E)-3-(dibenzo[b,e]oxepin-11(6H)-ylidene)-N,N-dimethylpropan-1-amine", 6188 },
	{ "5EJ", "", "", ResidueType::DNA_LINKING, false, "1-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-4-ethoxy-5-methylpyrimidin-2(1H)-one", 6189 },
	{ "5EK", "", "", ResidueType::NON_POLYMER, false, "N-[1-(2-chlorophenyl)-1H-indol-6-yl]-2-{[5-(2-chlorophenyl)-1H-tetrazol-1-yl]acetyl}hydrazinecarboxamide", 6190 },
	{ "5EL", "", "", ResidueType::NON_POLYMER, false, "4-(4-{[(3S)-3-HYDROXY-1-AZABICYCLO[2.2.2]OCT-3-YL]ETHYNYL}PHENOXY)-N-(PYRIDIN-4-YLMETHYL)BENZAMIDE", 6191 },
	{ "5EM", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-3-amino-1-(hydroxyamino)-3-methyl-1-oxobutan-2-yl]-4-[4-(4-aminophenyl)buta-1,3-diyn-1-yl]benzamide", 6192 },
	{ "5EN", "", "", ResidueType::NON_POLYMER, false, "4-[4-(4-aminophenyl)buta-1,3-diyn-1-yl]-N-[(2S,3S)-4,4-difluoro-3-hydroxy-1-(hydroxyamino)-3-methyl-1-oxobutan-2-yl]benzamide", 6193 },
	{ "5EO", "", "", ResidueType::NON_POLYMER, false, "6-ethyl-2-{5-[(4-methylpiperazin-1-yl)sulfonyl]-2-propoxyphenyl}pyrimidin-4(3H)-one", 6194 },
	{ "5EP", "", "", ResidueType::NON_POLYMER, false, "N~2~-{4-[4-(4-aminophenyl)buta-1,3-diyn-1-yl]benzoyl}-N-hydroxy-L-isoleucinamide", 6195 },
	{ "5EQ", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-hydroxy-4-(1H-indol-5-yl)-4-oxobut-2-enoic acid", 6196 },
	{ "5ER", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-hydroxy-4-(1H-indol-3-yl)-4-oxobut-2-enoic acid", 6197 },
	{ "5ES", "", "", ResidueType::NON_POLYMER, false, "4,4'-(2-{3-[(4-fluorophenyl)amino]phenyl}ethene-1,1-diyl)diphenol", 6198 },
	{ "5ET", "", "", ResidueType::NON_POLYMER, false, "4,4'-thiene-2,5-diylbis(3-chlorophenol)", 6199 },
	{ "5EU", "", "", ResidueType::NON_POLYMER, false, "4,4'-(3-methylthiene-2,5-diyl)bis(3-chlorophenol)", 6200 },
	{ "5EV", "", "", ResidueType::NON_POLYMER, false, "N~4~-methyl-N~2~-[2-methyl-1-(2-phenoxyphenyl)-1H-indol-6-yl]pyrimidine-2,4-diamine", 6201 },
	{ "5EW", "", "", ResidueType::NON_POLYMER, false, "6'-chloro-1,4-dimethyl-5'-(2-methyl-6-{[4-(methylamino)pyrimidin-2-yl]amino}-1H-indol-1-yl)-3,3'-bipyridin-2(1H)-one", 6202 },
	{ "5EX", "", "", ResidueType::NON_POLYMER, false, "ethyl (2Z,4S)-4-[(N-{[(cyclobutylmethyl)amino](oxo)acetyl}-L-phenylalanyl)amino]-5-[(3S)-2-oxopyrrolidin-3-yl]pent-2-enoate", 6203 },
	{ "5EY", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-(3-hydroxy-3-oxopropyl)-6-[(E)-[(2R)-2-oxidanyl-2,3-dihydroinden-1-ylidene]methyl]-2,3-dihydro-1,4-benzodioxine-5-carboxylic acid", 6204 },
	{ "5EZ", "", "", ResidueType::NON_POLYMER, false, "7-choro-6-[(3R)-pyrrolidin-3-ylmethoxy]isoquinolin-1(2H)-one", 6205 },
	{ "5F1", "", "", ResidueType::NON_POLYMER, false, "5'-FLUORO-2',5'-DIDEOXYADENOSINE", 6206 },
	{ "5F2", "", "", ResidueType::NON_POLYMER, false, "ethyl (2Z,4S)-4-[(N-acetyl-L-phenylalanyl)amino]-5-[(3S)-2-oxopyrrolidin-3-yl]pent-2-enoate", 6207 },
	{ "5F3", "", "", ResidueType::NON_POLYMER, false, "3,5-di(pyridin-4-yl)benzoic acid", 6208 },
	{ "5F4", "", "", ResidueType::NON_POLYMER, false, "4-(2,6-dichlorobenzoyl)-N-methyl-1H-pyrrole-2-carboxamide", 6209 },
	{ "5F5", "", "", ResidueType::NON_POLYMER, false, "3-(1,3-thiazol-2-yl)benzoic acid", 6210 },
	{ "5F6", "", "", ResidueType::NON_POLYMER, false, "(2,6-dichlorophenyl)(quinolin-6-yl)methanone", 6211 },
	{ "5F7", "", "", ResidueType::NON_POLYMER, false, "N-(2,6-dichlorophenyl)-4-methoxy-N-methylquinolin-6-amine", 6212 },
	{ "5F8", "", "", ResidueType::NON_POLYMER, false, "3-(pyridin-3-yl)benzoic acid", 6213 },
	{ "5F9", "", "", ResidueType::NON_POLYMER, false, "Arachinoyl-CoA", 6214 },
	{ "5FA", "", "", ResidueType::RNA_LINKING, false, "ADENOSINE-5'-PENTAPHOSPHATE", 6215 },
	{ "5FB", "", "", ResidueType::NON_POLYMER, false, "4-(4-{[(5R)-2,4-dioxo-1,3-thiazolidin-5-yl]methyl}-2-methoxyphenoxy)-3-(trifluoromethyl)benzonitrile", 6216 },
	{ "5FC", "", "", ResidueType::DNA_LINKING, false, "5-FORMYL-2'-DEOXY-CYTIDINE-5'-MONOPHOSPHATE", 6217 },
	{ "5FD", "", "", ResidueType::NON_POLYMER, false, "5'-FLUORO-5'-DEOXYADENOSINE", 6218 },
	{ "5FE", "", "", ResidueType::PEPTIDE_LIKE, false, "5,5,5-TRIFLUORO-3-HYDROXY-4-[2-(5,5,5-TRIFLUORO-3-HYDROXY-4-{3-METHYL-2-[3-METHYL-2-(3-METHYL-BUTYRYLAMINO)-BUTYRYLAMINO]-BUTYRYLAMINO}-PENTANOYLAMINO)-PROPIONYLAMINO]-PENTANOIC ACID METHYL ESTER", 6219 },
	{ "5FF", "", "", ResidueType::NON_POLYMER, false, "(5R,7S)-5-(4-ethylphenyl)-N-(4-methoxybenzyl)-7-(trifluoromethyl)-4,5,6,7-tetrahydropyrazolo[1,5-a]pyrimidine-3-carboxamide", 6220 },
	{ "5FH", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-benzylimidazolidine-2,4-dione", 6221 },
	{ "5FI", "", "", ResidueType::NON_POLYMER, false, "2-{[4-(5-ethylpyrimidin-4-yl)piperazin-1-yl]methyl}-5-(trifluoromethyl)-1H-benzimidazole", 6222 },
	{ "5FJ", "", "", ResidueType::NON_POLYMER, false, "N-tert-butyl-1-(1-{5-[5-(trifluoromethyl)-1,3,4-oxadiazol-2-yl]pyridin-2-yl}piperidin-4-yl)-1H-imidazole-5-carboxamide", 6223 },
	{ "5FK", "", "", ResidueType::NON_POLYMER, false, "(5R,7S)-5-(4-ethylphenyl)-N-[(5-fluoropyridin-2-yl)methyl]-7-(trifluoromethyl)-4,5,6,7-tetrahydropyrazolo[1,5-a]pyrimidine-3-carboxamide", 6224 },
	{ "5FL", "", "", ResidueType::NON_POLYMER, false, "3-(pyridin-4-yl)benzoic acid", 6225 },
	{ "5FN", "", "", ResidueType::NON_POLYMER, false, "(3AS,5S,6S,7R,7AR)-5-FLUORO-5-(HYDROXYMETHYL)-2-METHYL-5,6,7,7A-TETRAHYDRO-3AH-PYRANO[3,2-D][1,3]OXAZOLE-6,7-DIOL", 6226 },
	{ "5FO", "", "", ResidueType::NON_POLYMER, false, "6-ethyl-5-fluoro-2-{5-[(4-methylpiperazin-1-yl)sulfonyl]-2-propoxyphenyl}pyrimidin-4(3H)-one", 6227 },
	{ "5FP", "", "", ResidueType::PEPTIDE_LIKE, false, "5,5,5-TRIFLUORO-3-HYDROXY-4-[2-(5,5,5-TRIFLUORO-3-HYDROXY-4-{3-METHYL-2-[3-METHYL-2-(3-METHYL-BUTYRYLAMINO)-BUTYRYLAMINO]-BUTYRYLAMINO}-PENTANOYLAMINO)-PROPIONYLAMINO]-PENTANOIC ACID", 6228 },
	{ "5FQ", "", "", ResidueType::PEPTIDE_LINKING, false, "N-pentyl-L-alaninamide", 6229 },
	{ "5FR", "", "", ResidueType::NON_POLYMER, false, "4-({1-[3-(3-amino-3-oxopropyl)-5-chlorophenyl]-3-methyl-1H-pyrazolo[4,3-c]pyridin-6-yl}amino)-3-methoxy-N-(1-methylpiperidin-4-yl)benzamide", 6230 },
	{ "5FS", "", "", ResidueType::NON_POLYMER, false, "3,4-bis(4-hydroxy-2-methylphenyl)-1H-1lambda~6~-thiophene-1,1-dione", 6231 },
	{ "5FT", "", "", ResidueType::NON_POLYMER, false, "phenyl (1S,2S,4S,7S)-5,6-bis(4-hydroxy-3-methylphenyl)-7-thiabicyclo[2.2.1]hept-5-ene-2-sulfonate 7-oxide", 6232 },
	{ "5FU", "", "", ResidueType::RNA_LINKING, false, "5-FLUORO-URIDINE-5'-MONOPHOSPHATE", 6233 },
	{ "5FV", "", "", ResidueType::NON_POLYMER, false, "phenyl (1S,2S,4S,7S)-5,6-bis(4-hydroxy-2-methylphenyl)-7-thiabicyclo[2.2.1]hept-5-ene-2-sulfonate 7-oxide", 6234 },
	{ "5FW", "", "", ResidueType::NON_POLYMER, false, "ISOPRENALINE", 6235 },
	{ "5FX", "", "", ResidueType::NON_POLYMER, false, "5-deoxy-5-fluoro-D-xylulose", 6236 },
	{ "5FY", "", "", ResidueType::NON_POLYMER, false, "4-hydroxyphenyl (1S,2S,4S,7S)-5,6-bis(4-hydroxy-2-methylphenyl)-7-thiabicyclo[2.2.1]hept-5-ene-2-sulfonate 7-oxide", 6237 },
	{ "5G0", "", "", ResidueType::NON_POLYMER, false, "(Z)-[(3R,4R,5R,6R)-3-acetamido-6-(hydroxymethyl)-4,5-bis(oxidanyl)oxan-2-ylidene]amino] N-phenylcarbamate", 6238 },
	{ "5G1", "", "", ResidueType::NON_POLYMER, false, "2-chlorobenzohydrazide", 6239 },
	{ "5G2", "", "", ResidueType::NON_POLYMER, false, "3,4-bis(2-chloro-4-hydroxyphenyl)-1H-1lambda~6~-thiophene-1,1-dione", 6240 },
	{ "5G3", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-[(2-chlorophenyl)imino](4-hydroxyphenyl)methyl]benzene-1,3-diol", 6241 },
	{ "5G4", "", "", ResidueType::NON_POLYMER, false, "4-{(E)-(4-hydroxyphenyl)[(2-methylphenyl)imino]methyl}benzene-1,3-diol", 6242 },
	{ "5G5", "", "", ResidueType::NON_POLYMER, false, "4,4'-[(2-chlorophenyl)carbonimidoyl]diphenol", 6243 },
	{ "5G6", "", "", ResidueType::NON_POLYMER, false, "4,4'-(phenylcarbonimidoyl)diphenol", 6244 },
	{ "5G7", "", "", ResidueType::NON_POLYMER, false, "4,4'-[(2-methylphenyl)carbonimidoyl]diphenol", 6245 },
	{ "5G8", "", "", ResidueType::NON_POLYMER, false, "1-[5-(2,4-dichlorophenoxy)pentyl]-1H-imidazole", 6246 },
	{ "5G9", "", "", ResidueType::NON_POLYMER, false, "4-(3-chlorophenyl)-5-(1,5-naphthyridin-2-yl)-1,3-thiazol-2-amine", 6247 },
	{ "5GA", "", "", ResidueType::NON_POLYMER, false, "4-(3-chloro-4-fluorophenyl)-5-(1,5-naphthyridin-2-yl)-1,3-thiazol-2-amine", 6248 },
	{ "5GB", "", "", ResidueType::NON_POLYMER, false, "4-(3-methylphenyl)-5-(1,5-naphthyridin-2-yl)-1,3-thiazol-2-amine", 6249 },
	{ "5GC", "", "", ResidueType::NON_POLYMER, false, "5-(methylsulfanyl)-4-(propan-2-ylsulfonyl)-1H-pyrazol-3-amine", 6250 },
	{ "5GD", "", "", ResidueType::NON_POLYMER, false, "2-{3,5-dimethyl-4-[2-(pyrrolidin-1-yl)ethoxy]phenyl}-5,7-dimethoxyquinazolin-4(3H)-one", 6251 },
	{ "5GF", "", "", ResidueType::SACCHARIDE, false, "5-FLUORO-BETA-D-GLUCOPYRANOSE", 6252 },
	{ "5GG", "", "", ResidueType::PEPTIDE_LINKING, false, "Deoxyhypusine", 6253 },
	{ "5GH", "", "", ResidueType::NON_POLYMER, false, "ethyl (4S)-5-[(3S)-2-oxopyrrolidin-3-yl]-4-[(3-phenylpropanoyl)amino]pent-2-enoate", 6254 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{S})-3-(4-fluorophenyl)-1-oxidanylidene-1-[[(2~{S})-1-oxidanylidene-3-[(3~{S})-2-oxidanylidenepiperidin-3-yl]propan-2-yl]amino]propan-2-yl]-5-methyl-1,2-oxazole-3-carboxamide", 6255 },
	{ "5GJ", "", "", ResidueType::NON_POLYMER, false, "[(3R)-3-hydroxypiperidin-1-yl](1-phenylcyclopropyl)methanone", 6256 },
	{ "5GL", "", "", ResidueType::NON_POLYMER, false, "4-propan-2-ylsulfanyl-1-propyl-6,7-dihydro-5~{H}-cyclopenta[d]pyrimidin-2-one", 6257 },
	{ "5GM", "", "", ResidueType::PEPTIDE_LINKING, false, "(4S)-2,4-dimethyl-L-norleucine", 6258 },
	{ "5GN", "", "", ResidueType::NON_POLYMER, false, "N-{5-[(7-bromonaphthalen-1-yl)methyl]-1,3-thiazol-2-yl}-2-[(4,6-dimethylpyrimidin-2-yl)sulfanyl]acetamide", 6259 },
	{ "5GO", "", "", ResidueType::NON_POLYMER, false, "4-O-(3-O-sulfo-beta-D-galactopyranosyl)-beta-D-glucopyranose", 6260 },
	{ "5GP", "CPG", "", ResidueType::NON_POLYMER, false, "GUANOSINE-5'-MONOPHOSPHATE", 6261 },
	{ "5GQ", "", "", ResidueType::NON_POLYMER, false, "7-methyl-3,4-dihydro-2~{H}-pyrido[1,2-a]pyrimidin-3-ol", 6262 },
	{ "5GR", "", "", ResidueType::NON_POLYMER, false, "N-(5-{3-[(1-benzyl-1H-1,2,3-triazol-4-yl)methoxy]benzyl}-1,3-thiazol-2-yl)-2-[(4,6-dimethylpyrimidin-2-yl)sulfanyl]acetamide", 6263 },
	{ "5GS", "", "", ResidueType::NON_POLYMER, false, "", 6264 },
	{ "5GT", "", "", ResidueType::NON_POLYMER, false, "7-(trifluoromethyl)-3,4-dihydroquinoxalin-2(1H)-one", 6265 },
	{ "5GU", "", "", ResidueType::NON_POLYMER, false, "7-bromo-3,4-dihydroquinoxalin-2(1H)-one", 6266 },
	{ "5GV", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-ethyl-3-oxo-1,2,3,4-tetrahydroquinoxaline-6-carboxylic acid", 6267 },
	{ "5GW", "", "", ResidueType::NON_POLYMER, false, "", 6268 },
	{ "5GX", "", "", ResidueType::NON_POLYMER, false, "7-(1-benzyl-1H-pyrazol-4-yl)-6-chloro-2-(1,3-dimethyl-1H-pyrazol-4-yl)-3H-imidazo[4,5-b]pyridine", 6269 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "3-[(4-amino-2-methylpyrimidin-5-yl)methyl]-2-[(1R)-2-fluoro-1-hydroxyethyl]-5-(2-{[(S)-hydroxy(phosphonooxy)phosphoryl]oxy}ethyl)-4-methyl-1,3-thiazol-3-ium", 6270 },
	{ "5GZ", "", "", ResidueType::NON_POLYMER, false, "4-(2-chloro-6-nitrophenoxy)-N-[2-(diethylamino)ethyl]benzenesulfonamide", 6271 },
	{ "5H", "", "", ResidueType::NON_POLYMER, false, "5R-(4-BROMOPHENYLMETHYL)-3-(BENZENESULFONYLAMINO)-4-OXO-2-THIONOTHIAZOLIDINE", 6272 },
	{ "5H1", "", "", ResidueType::NON_POLYMER, false, "1H-indol-5-ol", 6273 },
	{ "5H2", "", "", ResidueType::NON_POLYMER, false, "methyl {2-[4-(2-chlorophenyl)-4H-1,2,4-triazol-3-yl]-4,5-dihydrothieno[3,2-d][1]benzoxepin-8-yl}carbamate", 6274 },
	{ "5H3", "", "", ResidueType::NON_POLYMER, false, "N-[3-({[2-(3-fluorophenyl)ethyl]amino}methyl)phenyl]thiophene-2-carboximidamide", 6275 },
	{ "5H4", "", "", ResidueType::NON_POLYMER, false, "N-[3-({ethyl[2-(3-fluorophenyl)ethyl]amino}methyl)phenyl]thiophene-2-carboximidamide", 6276 },
	{ "5H5", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-({2-[1-(propan-2-yl)-1H-1,2,4-triazol-5-yl]-5,6-dihydroimidazo[1,2-d][1,4]benzoxazepin-9-yl}oxy)propanamide", 6277 },
	{ "5H6", "", "", ResidueType::NON_POLYMER, false, "5-(5-chlorothiophen-2-yl)-1,2-oxazole-3-carboxylic acid", 6278 },
	{ "5H7", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(1R,3S,5S)-3-amino-5-methylcyclohexyl]pyridin-3-yl}-6-(2,6-difluorophenyl)-5-fluoropyridine-2-carboxamide", 6279 },
	{ "5H8", "", "", ResidueType::NON_POLYMER, false, "N-[(S)-({[(benzyloxy)carbonyl]amino}methyl)(hydroxy)phosphoryl]-L-leucyl-3-methyl-L-valine", 6280 },
	{ "5H9", "", "", ResidueType::NON_POLYMER, false, "N-[(S)-({[(benzyloxy)carbonyl]amino}methyl)(hydroxy)phosphoryl]-L-leucyl-4-methyl-L-leucine", 6281 },
	{ "5HA", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R)-1-BENZYL-3-(CYCLOPROPYLAMINO)-2-HYDROXYPROPYL]-5-[METHYL(METHYLSULFONYL)AMINO]-N'-[(1R)-1-PHENYLETHYL]ISOPHTHALAMIDE", 6282 },
	{ "5HB", "", "", ResidueType::NON_POLYMER, false, "N-{[(3R)-1-benzylpiperidin-3-yl]methyl}-N-methylnaphthalene-2-sulfonamide", 6283 },
	{ "5HC", "", "", ResidueType::DNA_LINKING, false, "", 6284 },
	{ "5HD", "", "", ResidueType::NON_POLYMER, false, "5-(2-hydroxyethyl)nonane-1,9-diol", 6285 },
	{ "5HE", "", "", ResidueType::NON_POLYMER, false, "(5R,6E,8Z,11Z,14Z,17Z)-5-hydroxyicosa-6,8,11,14,17-pentaenoic acid", 6286 },
	{ "5HF", "", "", ResidueType::NON_POLYMER, false, "N-{[(3S)-1-benzylpiperidin-3-yl]methyl}-N-(2-methoxyethyl)naphthalene-2-sulfonamide", 6287 },
	{ "5HG", "", "", ResidueType::NON_POLYMER, false, "{[2-(6-AMINO-9H-PURIN-9-YL)ETHOXY]METHYL}PHOSPHONIC ACID", 6288 },
	{ "5HH", "", "", ResidueType::NON_POLYMER, false, "N-{[(3R)-1-benzylpiperidin-3-yl]methyl}naphthalene-2-sulfonamide", 6289 },
	{ "5HI", "", "", ResidueType::NON_POLYMER, false, "(3R,5R)-7-[2-(4-fluorophenyl)-4-{[(1S)-2-hydroxy-1-phenylethyl]carbamoyl}-5-(1-methylethyl)-1H-imidazol-1-yl]-3,5-dihydroxyheptanoic acid", 6290 },
	{ "5HJ", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-cyclopropyl-2-(4-methoxyphenyl)-1,3-thiazolidin-4-one", 6291 },
	{ "5HK", "", "", ResidueType::NON_POLYMER, false, "2-[3-(3-methoxy-4-nitrophenyl)-11-oxo-10,11-dihydro-5H-dibenzo[b,e][1,4]diazepin-8-yl]-N,N-dimethylacetamide", 6292 },
	{ "5HL", "", "", ResidueType::NON_POLYMER, false, "3-[(cyclopropylamino)methyl]-8-ethylquinolin-2(1H)-one", 6293 },
	{ "5HM", "", "", ResidueType::RNA_LINKING, false, "", 6294 },
	{ "5HN", "", "", ResidueType::NON_POLYMER, false, "5-hydroxypyridine-3-carboxylic acid", 6295 },
	{ "5HO", "", "", ResidueType::NON_POLYMER, false, "N-(5-chloropyridin-2-yl)-2-oxo-2-(pyrrolidin-1-yl)acetamide", 6296 },
	{ "5HP", "", "PCA", ResidueType::PEPTIDE_LINKING, true, "PYROGLUTAMIC ACID", 6297 },
	{ "5HQ", "", "", ResidueType::NON_POLYMER, false, "1-[6-(furan-2-yl)pyridin-3-yl]methanamine", 6298 },
	{ "5HR", "", "", ResidueType::NON_POLYMER, false, "[(1R)-1-amino-2-(benzylamino)ethyl]phosphonic acid", 6299 },
	{ "5HS", "", "", ResidueType::NON_POLYMER, false, "3-[2-(4-methyl-1,2-oxazol-3-yl)ethyl]pyridine", 6300 },
	{ "5HT", "", "", ResidueType::DNA_LINKING, false, "5-HYDROXY-THYMIDINE", 6301 },
	{ "5HU", "", "", ResidueType::DNA_LINKING, false, "5-HYDROXYMETHYLURIDINE-2'-DEOXY-5'-MONOPHOSPHATE", 6302 },
	{ "5HV", "", "", ResidueType::NON_POLYMER, false, "N-[2-(diethylamino)ethyl]-2-{2-[(4-fluorobenzyl)sulfanyl]-4-oxo-4,5,6,7-tetrahydro-1H-cyclopenta[d]pyrimidin-1-yl}-N-{[4'-(trifluoromethyl)biphenyl-4-yl]methyl}acetamide", 6303 },
	{ "5HW", "", "", ResidueType::NON_POLYMER, false, "4,4'-{[(3R)-3-methylcyclohexylidene]methanediyl}diphenol", 6304 },
	{ "5HX", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-(1s,5s)-bicyclo[3.3.1]non-9-ylidene(phenyl)methyl]phenol", 6305 },
	{ "5HY", "", "", ResidueType::NON_POLYMER, false, "[(4R)-2,5-dioxoimidazolidin-4-yl]acetic acid", 6306 },
	{ "5HZ", "", "", ResidueType::NON_POLYMER, false, "4,4'-[(1s,5s)-bicyclo[3.3.1]non-9-ylidenemethanediyl]diphenol", 6307 },
	{ "5I1", "", "", ResidueType::NON_POLYMER, false, "N-[4-[(3R)-3-[[5-chloranyl-4-(1H-indol-3-yl)pyrimidin-2-yl]amino]piperidin-1-yl]carbonylphenyl]-4-(dimethylamino)butanamide", 6308 },
	{ "5I5", "", "", ResidueType::NON_POLYMER, false, "7-(5-DEOXY-BETA-D-RIBOFURANOSYL)-5-IODO-7H-PYRROLO[2,3-D]PYRIMIDIN-4-AMINE", 6309 },
	{ "5IC", "", "", ResidueType::RNA_LINKING, false, "5-IODO-CYTIDINE-5'-MONOPHOSPHATE", 6310 },
	{ "5ID", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S,5R)-2-(4-AMINO-5-IODO-7H-PYRROLO[2,3-D]PYRIMIDIN-7-YL)-5-(HYDROXYMETHYL)TETRAHYDROFURAN-3,4-DIOL", 6311 },
	{ "5IG", "", "", ResidueType::NON_POLYMER, false, "6-(2,4-DIAMINO-6-ETHYLPYRIMIDIN-5-YL)-4-(3-METHOXYPROPYL)-2,2-DIMETHYL-2H-1,4-BENZOXAZIN-3(4H)-ONE", 6312 },
	{ "5IM", "", "", ResidueType::NON_POLYMER, false, "2-(1-PIPERIDINYL)-1,3-THIAZOL-4-AMINE", 6313 },
	{ "5IN", "", "", ResidueType::NON_POLYMER, false, "N-(BENZYLSULFONYL)-L-SERYL-N~1~-{4-[AMINO(IMINO)METHYL]BENZYL}-O-BENZYL-L-SERINAMIDE", 6314 },
	{ "5IO", "", "", ResidueType::NON_POLYMER, false, "6-ethyl-5-iodo-2-{5-[(4-methylpiperazin-1-yl)sulfonyl]-2-propoxyphenyl}pyrimidin-4(3H)-one", 6315 },
	{ "5IP", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3R,4R,5S,6S)-6-HYDROXYCYCLOHEXANE-1,2,3,4,5-PENTAYL PENTAKIS[DIHYDROGEN (PHOSPHATE)]", 6316 },
	{ "5IQ", "", "", ResidueType::NON_POLYMER, false, "ISOQUINOLIN-5-AMINE", 6317 },
	{ "5IR", "", "", ResidueType::NON_POLYMER, false, "[N-(4-{[2-(amino-kappaN)ethyl]sulfamoyl-kappaN}phenyl)-5-(2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl)pentanamidato]iridium(III)", 6318 },
	{ "5IT", "", "5IU", ResidueType::DNA_LINKING, true, "5-IODO-THYMIDINE-5'-PHOSPHATE", 6319 },
	{ "5IU", "5IT", "", ResidueType::DNA_LINKING, false, "5-IODO-2'-DEOXYURIDINE-5'-MONOPHOSPHATE", 6320 },
	{ "5J0", "", "", ResidueType::NON_POLYMER, false, "3-[(E)-(1s,5s)-bicyclo[3.3.1]non-9-ylidene(4-hydroxyphenyl)methyl]phenol", 6321 },
	{ "5J1", "", "", ResidueType::NON_POLYMER, false, "4,4'-[(9s)-bicyclo[3.3.1]non-9-ylmethanediyl]diphenol", 6322 },
	{ "5J2", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-[(4-fluorophenyl)imino](4-hydroxyphenyl)methyl]benzene-1,3-diol", 6323 },
	{ "5J4", "", "", ResidueType::NON_POLYMER, false, "2-[6-(cyclobuta-1,3-dien-1-ylamino)-1,3-benzothiazol-2-yl]-1,3-thiazol-4-ol", 6324 },
	{ "5J5", "", "", ResidueType::NON_POLYMER, false, "2-[(chloroacetyl)amino]-5-[(E)-(4-sulfophenyl)diazenyl]benzenesulfonic acid", 6325 },
	{ "5J6", "", "", ResidueType::NON_POLYMER, false, "methyl 4-(2-bromo-4-fluorophenyl)-6-(morpholin-4-ylmethyl)-2-(1,3-thiazol-2-yl)pyrimidine-5-carboxylate", 6326 },
	{ "5J7", "", "", ResidueType::NON_POLYMER, false, "5,7-dihydroxy-4-oxo-2-(3,4,5-trihydroxyphenyl)-4H-chromen-3-yl 6-deoxy-2-O-{6-O-[(2E)-3-(3,4-dihydroxyphenyl)prop-2-enoyl]-beta-D-glucopyranosyl}-alpha-L-mannopyranoside", 6327 },
	{ "5J8", "", "", ResidueType::NON_POLYMER, false, "", 6328 },
	{ "5J9", "", "", ResidueType::NON_POLYMER, false, "3'-{4-[(4-amino-2-oxopyrimidin-1(2H)-yl)methyl]-1H-1,2,3-triazol-1-yl}-3'-deoxyadenosine", 6329 },
	{ "5JA", "", "", ResidueType::NON_POLYMER, false, "(5R)-N-(1-{2-[4-(2-methoxyethyl)piperazin-1-yl]ethyl}-1H-pyrazol-3-yl)-5,8-dimethyl-9-phenyl-6,8-dihydro-5H-pyrazolo[3,4-h]quinazolin-2-amine", 6330 },
	{ "5JB", "", "", ResidueType::NON_POLYMER, false, "(25S)-3-oxocholest-4-en-26-oyl-CoA", 6331 },
	{ "5JC", "", "", ResidueType::NON_POLYMER, false, "2,4-dichlorophenol", 6332 },
	{ "5JD", "", "", ResidueType::NON_POLYMER, false, "3,4-dichlorophenol", 6333 },
	{ "5JE", "", "", ResidueType::NON_POLYMER, false, "2-IMIDAZOL-1-YL-1H-BENZIMIDAZOLE", 6334 },
	{ "5JF", "", "", ResidueType::NON_POLYMER, false, "2,3-dichlorophenol", 6335 },
	{ "5JG", "", "", ResidueType::NON_POLYMER, false, "6-chloro-2-(2-fluoro-4,5-dimethoxyphenyl)-N-(piperidin-4-ylmethyl)-3H-imidazo[4,5-b]pyridin-7-amine", 6336 },
	{ "5JJ", "", "", ResidueType::NON_POLYMER, false, "N~6~-(2,6-dichlorophenyl)-N~6~-(pent-2-yn-1-yl)quinoline-4,6-diamine", 6337 },
	{ "5JK", "", "", ResidueType::NON_POLYMER, false, "7alpha-hydroxycholesterol", 6338 },
	{ "5JL", "", "", ResidueType::NON_POLYMER, false, "2,8-dithioxo-1,2,3,7,8,9-hexahydro-6H-purin-6-one", 6339 },
	{ "5JM", "", "", ResidueType::NON_POLYMER, false, "4-[(N-{(2E)-3-[5-chloro-2-(1H-tetrazol-1-yl)phenyl]prop-2-enoyl}-L-phenylalanyl)amino]benzoic acid", 6340 },
	{ "5JN", "", "", ResidueType::NON_POLYMER, false, "2-(nitrooxy)ethyl 2-(4-{2-[(3,5-dimethylphenyl)amino]-2-oxoethyl}phenoxy)-2-methylpropanoate", 6341 },
	{ "5JO", "", "", ResidueType::RNA_LINKING, false, "", 6342 },
	{ "5JP", "", "", ResidueType::NON_POLYMER, false, "N-methyl-L-serine", 6343 },
	{ "5JQ", "", "", ResidueType::NON_POLYMER, false, "2-thioxo-2,3,7,9-tetrahydro-1H-purine-6,8-dione", 6344 },
	{ "5JT", "", "", ResidueType::NON_POLYMER, false, "(3R)-1-(7H-pyrrolo[2,3-d]pyrimidin-4-yl)piperidin-3-amine", 6345 },
	{ "5JU", "", "", ResidueType::NON_POLYMER, false, "N~2~-{[2-chloro-3-(2-methylpyridin-3-yl)-1-benzothiophen-5-yl]carbamoyl}-N-(3-{methyl[(3R)-1-(5H-pyrrolo[2,3-d]pyrimidin-4-yl)piperidin-3-yl]amino}propyl)glycinamide", 6346 },
	{ "5JV", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methylidene)amino]pent-4-enoic acid", 6347 },
	{ "5JW", "", "", ResidueType::NON_POLYMER, false, "{[(2,7-dichloro-9H-fluoren-9-ylidene)amino]oxy}acetic acid", 6348 },
	{ "5JX", "", "", ResidueType::NON_POLYMER, false, "4,4'-{[4-(fluoromethyl)cyclohexylidene]methanediyl}diphenol", 6349 },
	{ "5JY", "", "", ResidueType::NON_POLYMER, false, "4,4'-[(4-ethylcyclohexylidene)methanediyl]diphenol", 6350 },
	{ "5JZ", "", "", ResidueType::NON_POLYMER, false, "N~2~-{4-[6-(3,4-dihydroquinolin-1(2H)-ylcarbonyl)-1H-benzimidazol-1-yl]-6-ethoxy-1,3,5-triazin-2-yl}-3-(2,2-dimethyl-4H-1,3-benzodioxin-6-yl)-N-methyl-L-alaninamide", 6351 },
	{ "5K0", "", "", ResidueType::NON_POLYMER, false, "4,4'-[(4-methylcyclohexylidene)methanediyl]diphenol", 6352 },
	{ "5K1", "", "", ResidueType::NON_POLYMER, false, "4,4'-{[(3S)-3-(methylsulfanyl)cyclohexylidene]methanediyl}diphenol", 6353 },
	{ "5K2", "", "", ResidueType::NON_POLYMER, false, "4,4'-(3,4-dihydronaphthalen-2(1H)-ylidenemethanediyl)diphenol", 6354 },
	{ "5K3", "", "", ResidueType::NON_POLYMER, false, "4-[(3S)-3-hydroxy-3-methoxypropyl]phenol", 6355 },
	{ "5K4", "", "", ResidueType::NON_POLYMER, false, "4,4'-{[(3S)-3-ethylcyclohexylidene]methanediyl}diphenol", 6356 },
	{ "5K5", "", "", ResidueType::NON_POLYMER, false, "4,4'-[(4aR,8aR)-octahydronaphthalen-2(1H)-ylidenemethanediyl]diphenol", 6357 },
	{ "5K7", "", "", ResidueType::NON_POLYMER, false, "methyl {4-[bis(4-hydroxyphenyl)methylidene]cyclohexyl}acetate", 6358 },
	{ "5K8", "", "", ResidueType::NON_POLYMER, false, "dimethyl {(1S)-3-[bis(4-hydroxyphenyl)methylidene]cyclohexyl}propanedioate", 6359 },
	{ "5KA", "", "", ResidueType::NON_POLYMER, false, "4,4'-({4-[2-(4-fluorobutoxy)ethyl]cyclohexylidene}methanediyl)diphenol", 6360 },
	{ "5KB", "", "", ResidueType::NON_POLYMER, false, "4,4'-{[(3R)-3-phenylcyclohexylidene]methanediyl}diphenol", 6361 },
	{ "5KD", "", "", ResidueType::NON_POLYMER, false, "4,4'-{[(3S)-3-(4-methoxyphenyl)cyclohexylidene]methanediyl}diphenol", 6362 },
	{ "5KE", "", "", ResidueType::NON_POLYMER, false, "4,4'-{[(3S)-3-(4-hydroxyphenyl)cyclohexylidene]methanediyl}diphenol", 6363 },
	{ "5KF", "", "", ResidueType::NON_POLYMER, false, "4,4'-{[(3S)-3-(2-hydroxyethyl)cyclohexylidene]methanediyl}diphenol", 6364 },
	{ "5KG", "", "", ResidueType::NON_POLYMER, false, "4,4'-{[4-(2-hydroxyethyl)cyclohexylidene]methanediyl}diphenol", 6365 },
	{ "5KH", "", "", ResidueType::NON_POLYMER, false, "N-(1-acetyl-1H-indol-3-yl)-N-(5-hydroxy-2-methylphenyl)-3-(trifluoromethyl)benzamide", 6366 },
	{ "5KJ", "", "", ResidueType::NON_POLYMER, false, "N~5~-(N-hydroxycarbamimidoyl)-N~5~-methyl-L-ornithine", 6367 },
	{ "5KK", "", "", ResidueType::NON_POLYMER, false, "1,3,6,8,10,13,16,19-octaazabicyclo[6.6.6]icosane", 6368 },
	{ "5KL", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(dimethylamino)-1-(2-hydroxyphenyl)prop-2-en-1-one", 6369 },
	{ "5KN", "", "", ResidueType::NON_POLYMER, false, "2,4-di(morpholin-4-yl)aniline", 6370 },
	{ "5KO", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-hydroxybutanal", 6371 },
	{ "5KP", "", "", ResidueType::NON_POLYMER, false, "N-(3-chloro-2-methylphenyl)-4-(3,4-dimethyl-7-oxo-2-phenyl-2,7-dihydro-6H-pyrazolo[3,4-d]pyridazin-6-yl)butanamide", 6372 },
	{ "5KQ", "", "", ResidueType::NON_POLYMER, false, "(6R)-5-(acetylamino)-6-[(1S,2S)-3-(acetylamino)-1,2-dihydroxypropyl]-3,5-dideoxy-beta-L-threo-hex-2-ulopyranosonic acid", 6373 },
	{ "5KR", "", "", ResidueType::NON_POLYMER, false, "2-({3-[(4-bromophenyl)sulfamoyl]-4-methylbenzoyl}amino)benzoic acid", 6374 },
	{ "5KS", "", "", ResidueType::SACCHARIDE, false, "3-deoxy-3-[4-(4-fluorophenyl)-1H-1,2,3-triazol-1-yl]-beta-D-galactopyranosyl 3-deoxy-3-[4-(4-fluorophenyl)-1H-1,2,3-triazol-1-yl]-1-thio-beta-D-galactopyranoside", 6375 },
	{ "5KT", "", "", ResidueType::SACCHARIDE, false, "3-deoxy-3-[4-(thiophen-3-yl)-1H-1,2,3-triazol-1-yl]-beta-D-galactopyranosyl 3-deoxy-1-thio-3-[4-(thiophen-3-yl)-1H-1,2,3-triazol-1-yl]-beta-D-galactopyranoside", 6376 },
	{ "5KU", "", "", ResidueType::NON_POLYMER, false, "(6R)-5-(acetylamino)-2,6-anhydro-3,4,5-trideoxy-4-[(diaminomethylidene)amino]-6-[(11R,12S)-12,13-dihydroxy-9-oxo-2,5,10-trioxa-8-azatridecan-11-yl]-D-threo-hex-2-enonic acid", 6377 },
	{ "5KV", "", "", ResidueType::NON_POLYMER, false, "2-deoxy-6-O-sulfo-2-(sulfoamino)-beta-D-glucopyranose", 6378 },
	{ "5KW", "", "", ResidueType::NON_POLYMER, false, "2-chloro-N-{2-[(5-chloro-2-{[4-(4-methylpiperazin-1-yl)phenyl]amino}pyrimidin-4-yl)oxy]phenyl}acetamide", 6379 },
	{ "5KX", "", "", ResidueType::NON_POLYMER, false, "2-chloro-1H-imidazole", 6380 },
	{ "5KY", "", "", ResidueType::NON_POLYMER, false, "2-({[2-amino-4-(trifluoromethyl)phenyl]carbamoyl}amino)-4-methylbenzoic acid", 6381 },
	{ "5KZ", "", "", ResidueType::NON_POLYMER, false, "(1S)-2,3,4,6-tetra-O-acetyl-1,5-anhydro-1-{[5-(sulfamoyloxy)pentyl]sulfamoyl}-D-allitol", 6382 },
	{ "5L0", "", "", ResidueType::NON_POLYMER, false, "1-[1-(imidazo[1,2-a]pyridin-5-yl)-7-(morpholin-4-yl)indolizin-3-yl]ethanone", 6383 },
	{ "5L2", "", "", ResidueType::NON_POLYMER, false, "methyl (2S,4R)-1-[(2S,3R,4R,5S,6S)-6-(acetyloxymethyl)-3,4,5-tris(oxidanyl)oxan-2-yl]sulfonyl-4-sulfamoyloxy-pyrrolidine-2-carboxylate", 6384 },
	{ "5L3", "", "", ResidueType::NON_POLYMER, false, "(6R)-5-O-acetyl-2,6-anhydro-6-{[4-(sulfamoyloxy)piperidin-1-yl]sulfonyl}-L-glucitol", 6385 },
	{ "5L4", "", "", ResidueType::NON_POLYMER, false, "3-amino-6-[4-(2-hydroxyethyl)phenyl]-N-[4-(morpholin-4-yl)pyridin-3-yl]pyrazine-2-carboxamide", 6386 },
	{ "5L6", "", "", ResidueType::NON_POLYMER, false, "N-methyl-N-({4-[4-(propan-2-yloxy)phenyl]-1H-pyrrol-3-yl}methyl)ethane-1,2-diamine", 6387 },
	{ "5L7", "", "", ResidueType::NON_POLYMER, false, "2-methyl-3-({2-[1-(propan-2-yl)-1H-pyrazol-5-yl]pyridin-3-yl}methoxy)phenol", 6388 },
	{ "5L8", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-(1-chloranylcyclopropyl)-1-(2-chlorophenyl)-3-(1,2,4-triazol-1-yl)propan-2-ol", 6389 },
	{ "5L9", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-(1-chloranylcyclopropyl)-1-(2-chlorophenyl)-3-(1,2,4-triazol-1-yl)propan-2-ol", 6390 },
	{ "5LA", "", "", ResidueType::NON_POLYMER, false, "2-chloranyl-6~{H}-thieno[2,3-b]pyrrole-5-carboxylic acid", 6391 },
	{ "5LB", "", "", ResidueType::PEPTIDE_LINKING, false, "(2~{S})-2-azanyl-3-[1-(2-azanylethyl)-1,2,3-triazol-4-yl]propanoic acid", 6392 },
	{ "5LC", "", "", ResidueType::NON_POLYMER, false, "N,N'-pentane-1,5-diylbis(2,3-dihydroxybenzamide)", 6393 },
	{ "5LD", "", "", ResidueType::NON_POLYMER, false, "[(2R)-2-hydroxy-3-(1H-1,2,4-triazol-1-yl)propyl]phosphonic acid", 6394 },
	{ "5LE", "", "", ResidueType::PEPTIDE_LINKING, false, "(2~{S})-2-azanyl-3-[1-(3-azanylpropyl)-1,2,3-triazol-4-yl]propanoic acid", 6395 },
	{ "5LF", "", "", ResidueType::PEPTIDE_LINKING, false, "(2~{S})-2-azanyl-3-[1-(6-azanylhexyl)-1,2,3-triazol-4-yl]propanoic acid", 6396 },
	{ "?", "", "", ResidueType::PEPTIDE_LIKE, false, "(phenylmethyl) ~{N}-[(8~{S},11~{S},14~{S})-8-(hydroxymethyl)-11-(2-methylpropyl)-5,10,13-tris(oxidanylidene)-1,4,9,12,17,18-hexazabicyclo[14.2.1]nonadeca-16(19),17-dien-14-yl]carbamate", 6397 },
	{ "?", "", "", ResidueType::PEPTIDE_LIKE, false, "(phenylmethyl) ~{N}-[(9~{S},12~{S},15~{S})-9-(hydroxymethyl)-12-(2-methylpropyl)-6,11,14-tris(oxidanylidene)-1,5,10,13,18,19-hexazabicyclo[15.2.1]icosa-17(20),18-dien-15-yl]carbamate", 6398 },
	{ "5LI", "", "", ResidueType::NON_POLYMER, false, "2,3-dichloro-N-{2-[formyl(hydroxy)amino]ethyl}benzamide", 6399 },
	{ "?", "", "", ResidueType::PEPTIDE_LIKE, false, "(phenylmethyl) ~{N}-[(12~{S},15~{S},18~{S})-15-(cyclohexylmethyl)-12-(hydroxymethyl)-9,14,17-tris(oxidanylidene)-1,8,13,16,21,22-hexazabicyclo[18.2.1]tricosa-20(23),21-dien-18-yl]carbamate", 6400 },
	{ "5LK", "", "", ResidueType::NON_POLYMER, false, "4-{(6R,7R)-7-amino-3-[3-(4-methylpiperazin-1-yl)phenyl]-6,7-dihydropyrazolo[1,5-a]pyrimidin-6-yl}phenol", 6401 },
	{ "5LL", "", "", ResidueType::NON_POLYMER, false, "5-[(E)-3-(furan-2-yl)prop-2-enylidene]-1,3-diazinane-2,4,6-trione", 6402 },
	{ "5LM", "", "", ResidueType::NON_POLYMER, false, "5-[(E)-3-thiophen-2-ylprop-2-enylidene]-1,3-diazinane-2,4,6-trione", 6403 },
	{ "5LN", "", "", ResidueType::NON_POLYMER, false, "chloranyl-bis(hydroxymethyl)-bis(oxidanyl)ruthenium", 6404 },
	{ "5LO", "", "", ResidueType::NON_POLYMER, false, "4-[(11S,15R)-4,4,7,7-Tetramethyl-16-oxatetracyclo[8.6.0.03,8.011,15]hexadeca-1(10),2,8-trien-11-yl]benzoic acid", 6405 },
	{ "5LP", "", "", ResidueType::NON_POLYMER, false, "2-[(2-azanyl-4-chloranyl-phenyl)carbamoylamino]-4-methyl-benzoic acid", 6406 },
	{ "5LQ", "", "", ResidueType::NON_POLYMER, false, "5-(3-chlorophenyl)-4-methyl-~{N}-(3-morpholin-4-ylpropyl)-1,1-bis(oxidanylidene)-1,2-thiazol-3-amine", 6407 },
	{ "5LR", "", "", ResidueType::NON_POLYMER, false, "5-(4-chlorophenyl)-~{N}-[3-(3,4-dihydro-1~{H}-isoquinolin-2-yl)propyl]-4-methyl-1,1-bis(oxidanylidene)-1,2-thiazol-3-amine", 6408 },
	{ "5LS", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},4~{S},5~{R},6~{S})-2-(hydroxymethyl)-4,6-bis(oxidanyl)-5-sulfooxy-oxan-3-yl] hydrogen sulfate", 6409 },
	{ "5LU", "", "", ResidueType::NON_POLYMER, false, "Prochloraz", 6410 },
	{ "5LW", "", "", ResidueType::NON_POLYMER, false, "1-[[(2~{S},4~{S})-2-[2-chloranyl-4-(4-chloranylphenoxy)phenyl]-4-methyl-1,3-dioxolan-2-yl]methyl]-1,2,4-triazole", 6411 },
	{ "5LX", "", "", ResidueType::NON_POLYMER, false, "1-[[(2~{R},4~{S})-2-[2-chloranyl-4-(4-chloranylphenoxy)phenyl]-4-methyl-1,3-dioxolan-2-yl]methyl]-1,2,4-triazole", 6412 },
	{ "5LY", "", "", ResidueType::NON_POLYMER, false, "1-[[(2~{R},4~{R})-2-[2-chloranyl-4-(4-chloranylphenoxy)phenyl]-4-methyl-1,3-dioxolan-2-yl]methyl]-1,2,4-triazole", 6413 },
	{ "5LZ", "", "", ResidueType::NON_POLYMER, false, "1-[[(2~{S},4~{R})-2-[2-chloranyl-4-(4-chloranylphenoxy)phenyl]-4-methyl-1,3-dioxolan-2-yl]methyl]-1,2,4-triazole", 6414 },
	{ "5M0", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-5-methyl-benzoic acid", 6415 },
	{ "5M1", "", "", ResidueType::NON_POLYMER, false, "5-methyl-1H-pyrrole-2-carboxylic acid", 6416 },
	{ "5M2", "", "", ResidueType::NON_POLYMER, false, "(~{Z})-4-(4-methyl-1~{H}-indol-5-yl)-2-oxidanyl-4-oxidanylidene-but-2-enoic acid", 6417 },
	{ "5M6", "", "", ResidueType::NON_POLYMER, false, "1-(4-chlorophenyl)-3-methyl-~{N}-[[(2~{R})-oxolan-2-yl]methyl]thieno[2,3-c]pyrazole-5-carboxamide", 6418 },
	{ "5M7", "", "", ResidueType::NON_POLYMER, false, "6-chloranyl-4-phenyl-2-piperidin-1-yl-quinoline-3-carboxylic acid", 6419 },
	{ "5M8", "", "", ResidueType::NON_POLYMER, false, "6-chloranyl-2-methyl-4-phenyl-quinoline-3-carboxylic acid", 6420 },
	{ "5M9", "", "", ResidueType::NON_POLYMER, false, "6-chloranyl-5,8-dimethyl-2-[2-(2-methyl-5-pyrrolidin-1-yl-1,2,4-triazol-3-yl)ethyl]-[1,2,4]triazolo[1,5-a]pyridine", 6421 },
	{ "5MA", "", "", ResidueType::NON_POLYMER, false, "1-(2,5-dichloro-3-{[5-chloro-1-(2H-pyrazolo[3,4-b]pyridin-3-ylmethyl)-1H-benzotriazol-4-yl]oxy}phenyl)methanamine", 6422 },
	{ "5MB", "", "", ResidueType::NON_POLYMER, false, "5-METHYLBENZIMIDAZOLE", 6423 },
	{ "5MC", "", "", ResidueType::RNA_LINKING, false, "5-METHYLCYTIDINE-5'-MONOPHOSPHATE", 6424 },
	{ "5MD", "", "", ResidueType::DNA_LINKING, false, "2'-deoxy-1-methyl-pseudouridine", 6425 },
	{ "5ME", "", "", ResidueType::NON_POLYMER, false, "3-(4-oxo-3,4-dihydroquinazolin-2-yl)-N-[(1R)-1-(pyridin-2-yl)ethyl]propanamide", 6426 },
	{ "5MF", "", "", ResidueType::NON_POLYMER, false, "8-ethyl-5-methyl-2-[2-(2-methyl-5-pyrrolidin-1-yl-1,2,4-triazol-3-yl)ethyl]-[1,2,4]triazolo[1,5-c]pyrimidine", 6427 },
	{ "5MG", "", "", ResidueType::NON_POLYMER, false, "3-(2-chloranyl-5-phenyl-1~{H}-imidazol-4-yl)-1-[3-(trifluoromethyloxy)phenyl]pyridazin-4-one", 6428 },
	{ "5MH", "", "", ResidueType::NON_POLYMER, false, "1-hydroxy-5-methylpyridine-2(1H)-thione", 6429 },
	{ "5MI", "", "", ResidueType::NON_POLYMER, false, "5-METHYL INDOLE", 6430 },
	{ "5MJ", "", "", ResidueType::NON_POLYMER, false, "3-chloranyl-~{N}-(4-methoxyphenyl)-4-[(2-methyl-3-oxidanylidene-cyclopenten-1-yl)amino]benzamide", 6431 },
	{ "5MK", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-5-chloranyl-benzamide", 6432 },
	{ "5ML", "", "", ResidueType::NON_POLYMER, false, "3-methyl-~{N}-[2-(4-methylpiperazin-1-yl)-5-quinolin-3-yl-phenyl]benzamide", 6433 },
	{ "5MM", "", "", ResidueType::SACCHARIDE, false, "2-O-methyl-1,6-di-O-phosphono-D-mannitol", 6434 },
	{ "5MN", "", "", ResidueType::NON_POLYMER, false, "~{N}-[5-(1~{H}-indol-5-yl)-2-(4-methylpiperazin-1-yl)phenyl]-3-methyl-benzamide", 6435 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "N-[5-(2,3-dihydro-1-benzofuran-5-yl)-2-(4-methylpiperazin-1-yl)phenyl]-3-methylbenzamide", 6436 },
	{ "5MP", "", "", ResidueType::NON_POLYMER, false, "5-METHYLPYRROLE", 6437 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "N-[5-(2,3-dihydro-1-benzofuran-7-yl)-2-(4-methylpiperazin-1-yl)phenyl]-3-methylbenzamide", 6438 },
	{ "5MR", "", "", ResidueType::NON_POLYMER, false, "NALPHA-{(2S)-3-[(S)-HYDROXY(PHENYL)PHOSPHORYL]-2-[(3-PHENYLISOXAZOL-5-YL)METHYL]PROPANOYL}-L-TRYPTOPHANAMIDE", 6439 },
	{ "5MS", "", "", ResidueType::NON_POLYMER, false, "N-{2-methyl-5-[(6-phenylpyrimidin-4-yl)amino]phenyl}methanesulfonamide", 6440 },
	{ "5MT", "", "", ResidueType::NON_POLYMER, false, "4-azanyl-6-[[(1~{S})-1-[6-fluoranyl-1-(3-methylsulfonylphenyl)benzimidazol-2-yl]ethyl]amino]pyrimidine-5-carbonitrile", 6441 },
	{ "5MU", "RT", "", ResidueType::RNA_LINKING, false, "", 6442 },
	{ "5MV", "", "", ResidueType::NON_POLYMER, false, "3-[[4-[(1~{S})-1-[3-[3,5-bis(chloranyl)phenyl]-5-(6-methoxynaphthalen-2-yl)pyrazol-1-yl]ethyl]phenyl]carbonylamino]propanoic acid", 6443 },
	{ "5MW", "", "", ResidueType::PEPTIDE_LINKING, false, "(2~{S})-5-[4-(aminomethyl)-1,2,3-triazol-1-yl]-2-azanyl-pentanoic acid", 6444 },
	{ "5MX", "", "", ResidueType::NON_POLYMER, false, "benzyl (2-{[(2-amino-4-oxo-3,4-dihydropteridin-7-yl)carbonyl]amino}ethyl)carbamate", 6445 },
	{ "5MY", "", "", ResidueType::NON_POLYMER, false, "MYO-INOSITOL-(1,3,4,5,6)-PENTAKISPHOSPHATE", 6446 },
	{ "5MZ", "", "", ResidueType::NON_POLYMER, false, "3-[5-(chloromethyl)-1,2,4-oxadiazol-3-yl]aniline", 6447 },
	{ "5N1", "", "", ResidueType::NON_POLYMER, false, "6-ethyl-5-[(3~{S})-3-(6-pyridin-4-yl-1,3-benzodioxol-4-yl)but-1-ynyl]pyrimidine-2,4-diamine", 6448 },
	{ "5N2", "", "", ResidueType::NON_POLYMER, false, "2-[4-[3-[(4-oxidanylidene-3~{H}-phthalazin-1-yl)methyl]phenyl]carbonylpiperazin-1-yl]pyridine-3-carbonitrile", 6449 },
	{ "5N3", "", "", ResidueType::NON_POLYMER, false, "~{N}-(7-chloranyl-1~{H}-indazol-3-yl)-7,7-dimethyl-2-(1~{H}-pyrazol-4-yl)-5~{H}-furo[3,4-d]pyrimidin-4-amine", 6450 },
	{ "5N4", "", "", ResidueType::NON_POLYMER, false, "~{N}-(1~{H}-indazol-3-yl)-7,7-dimethyl-2-(2-methylpyrazol-3-yl)-5~{H}-furo[3,4-d]pyrimidin-4-amine", 6451 },
	{ "5N5", "", "", ResidueType::NON_POLYMER, false, "5'-amino-5'-deoxyadenosine", 6452 },
	{ "5N6", "", "", ResidueType::NON_POLYMER, false, "(2~{R},4~{S},5~{R},6~{R})-5-acetamido-6-[(1~{R},2~{R})-3-acetyloxy-1,2-bis(oxidanyl)propyl]-2,4-bis(oxidanyl)oxane-2-carboxylic acid", 6453 },
	{ "5N7", "", "", ResidueType::NON_POLYMER, false, "(13S,16R)-N-(4-carbamimidoylbenzyl)-16-((N-cyclohexylsulfamoyl)amino)-3,9,15-trioxo-2,10,14-triaza-6(1,4)-piperazina-1,11(1,4)-dibenzenacycloheptadecaphane-13-carboxamide", 6454 },
	{ "5N8", "", "", ResidueType::NON_POLYMER, false, "4-[bis(fluoranyl)-[3-[[(6~{S})-6-methyl-3-(trifluoromethyl)-6,8-dihydro-5~{H}-[1,2,4]triazolo[4,3-a]pyrazin-7-yl]carbonyl]phenyl]methyl]-2~{H}-phthalazin-1-one", 6455 },
	{ "5NA", "", "", ResidueType::NON_POLYMER, false, "2-hydroxy-5-methyl naphthoic acid", 6456 },
	{ "5NB", "", "", ResidueType::NON_POLYMER, false, "5'-amino-8-bromo-5'-deoxyadenosine", 6457 },
	{ "5NC", "", "", ResidueType::DNA_LINKING, false, "5-AZA-CYTIDINE-5'MONOPHOSPHATE", 6458 },
	{ "5ND", "", "", ResidueType::NON_POLYMER, false, "5-(2-NAPHTHYLMETHYL)-D-HYDANTOIN", 6459 },
	{ "5NE", "", "", ResidueType::NON_POLYMER, false, "5-methylnaphthalene-1-carboxylic acid", 6460 },
	{ "5NG", "", "", ResidueType::NON_POLYMER, false, "", 6461 },
	{ "5NH", "", "", ResidueType::NON_POLYMER, false, "", 6462 },
	{ "5NI", "", "", ResidueType::NON_POLYMER, false, "5-NITROINDAZOLE", 6463 },
	{ "5NJ", "", "", ResidueType::NON_POLYMER, false, "6-[2-methyl-3-oxidanyl-5-(phosphonooxymethyl)pyridin-4-yl]-4-oxidanylidene-hexanoic acid", 6464 },
	{ "5NK", "", "", ResidueType::NON_POLYMER, false, "2-[[2-[[1-(2-azanylethyl)piperidin-4-yl]amino]-4-methyl-benzimidazol-1-yl]methyl]-6-methyl-pyridin-3-ol", 6465 },
	{ "5NL", "", "", ResidueType::NON_POLYMER, false, "5-(2-NAPHTHYLMETHYL)-L-HYDANTOIN", 6466 },
	{ "5NM", "", "", ResidueType::NON_POLYMER, false, "3-[[5-bromanyl-1-(3-methylsulfonylpropyl)benzimidazol-2-yl]methyl]-1-cyclopropyl-imidazo[4,5-c]pyridin-2-one", 6467 },
	{ "5NN", "", "", ResidueType::NON_POLYMER, false, "5-AMINO-3-PHENYL-1,2-DIHYDROISOQUINOLIN-1-ONE", 6468 },
	{ "5NO", "", "", ResidueType::NON_POLYMER, false, "1-cyclopropyl-3-[[1-(4-oxidanylbutyl)benzimidazol-2-yl]methyl]imidazo[4,5-c]pyridin-2-one", 6469 },
	{ "5NP", "", "", ResidueType::NON_POLYMER, false, "(9~{b}~{R})-9~{b}-(4-chlorophenyl)-1-pyridin-3-ylcarbonyl-2,3-dihydroimidazo[5,6]pyrrolo[1,2-~{a}]pyridin-5-one", 6470 },
	{ "5NQ", "", "", ResidueType::NON_POLYMER, false, "3-butyl-8-[(6-butyl-5,7-dimethyl-[1,2,4]triazolo[1,5-a]pyrimidin-2-yl)sulfanylmethyl]-7-ethyl-purine-2,6-dione", 6471 },
	{ "5NR", "", "", ResidueType::NON_POLYMER, false, "2-[4-(phenylmethyl)piperidin-1-yl]ethanamine", 6472 },
	{ "5NS", "", "", ResidueType::NON_POLYMER, false, "5-aminonaphthalene-1-sulfonic acid", 6473 },
	{ "5NT", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-7-[(2~{S},3~{R},5~{S})-5-(hydroxymethyl)-3-oxidanyl-pyrrolidin-2-yl]-3,5-dihydropyrrolo[3,2-d]pyrimidin-4-one", 6474 },
	{ "5NU", "", "", ResidueType::NON_POLYMER, false, "5-nitrouracil", 6475 },
	{ "5NV", "", "", ResidueType::NON_POLYMER, false, "8-[(3-azanyl-1~{H}-1,2,4-triazol-5-yl)sulfanylmethyl]-3-[(4-chlorophenyl)methyl]-7-ethyl-purine-2,6-dione", 6476 },
	{ "5NW", "", "", ResidueType::NON_POLYMER, false, "N2-(2-Methoxy-4-(1-methyl-1H-pyrazol-4-yl)phenyl)-N8-neopentylpyrido[3,4-d]pyrimidine-2,8-diamine", 6477 },
	{ "5NX", "", "", ResidueType::NON_POLYMER, false, "3-[[(2~{R},3~{S},4~{R},5~{R})-5-[2-azanyl-7-[(3-chlorophenyl)methyl]-6-oxidanylidene-1~{H}-purin-7-ium-9-yl]-3,4-bis(oxidanyl)oxolan-2-yl]methylamino]-4-oxidanyl-cyclobut-3-ene-1,2-dione", 6478 },
	{ "5NY", "", "", ResidueType::NON_POLYMER, false, "2-chloranyl-~{N}-[(7~{S})-2-methyl-7-phenyl-10-(1~{H}-1,2,3,4-tetrazol-5-yl)-8,9-dihydro-6~{H}-pyrido[1,2-a]indol-7-yl]-4-(1,2,4-triazol-4-yl)benzamide", 6479 },
	{ "5NZ", "", "", ResidueType::NON_POLYMER, false, "6-phenyl-5-[5-[3-[2-(1,2,3,4-tetrahydroacridin-9-ylamino)ethyl]-1,2,3-triazol-4-yl]pentyl]phenanthridin-5-ium-3,8-diamine", 6480 },
	{ "5O0", "", "", ResidueType::NON_POLYMER, false, "4-[3-[(2-azanyl-4-chloranyl-phenyl)carbamoylamino]phenyl]sulfonyloxybenzoic acid", 6481 },
	{ "5O1", "", "", ResidueType::NON_POLYMER, false, "~{N}8-cyclohexyl-~{N}2-[2-methoxy-4-(1-methylpyrazol-4-yl)phenyl]pyrido[3,4-d]pyrimidine-2,8-diamine", 6482 },
	{ "5O2", "", "", ResidueType::NON_POLYMER, false, "6-phenyl-5-[5-[1-[2-(1,2,3,4-tetrahydroacridin-9-ylamino)ethyl]-1,2,3-triazol-4-yl]pentyl]phenanthridin-5-ium-3,8-diamine", 6483 },
	{ "5O3", "", "", ResidueType::NON_POLYMER, false, "4-[[3-[(2-azanyl-4-chloranyl-phenyl)carbamoylamino]phenyl]sulfonylamino]benzoic acid", 6484 },
	{ "5O4", "", "", ResidueType::NON_POLYMER, false, "4-(furan-3-yl)-3-phenyl-2~{H}-pyrazolo[4,3-c]pyridine", 6485 },
	{ "5O5", "", "", ResidueType::NON_POLYMER, false, "5-[[3,4-bis(chloranyl)phenoxy]methyl]-1~{H}-1,2,3,4-tetrazole", 6486 },
	{ "5O6", "", "", ResidueType::NON_POLYMER, false, "(~{E})-3-(4-methoxyphenyl)but-2-enoic acid", 6487 },
	{ "5O7", "", "", ResidueType::NON_POLYMER, false, "~{N}-(2,4-dimethoxyphenyl)-8-(1-methylpyrazol-4-yl)pyrido[3,4-d]pyrimidin-2-amine", 6488 },
	{ "5O8", "", "", ResidueType::NON_POLYMER, false, "~{N}-[[(2~{R},3~{S},4~{R},5~{R})-5-[2-azanyl-6-oxidanylidene-7-(phenylmethyl)-1~{H}-purin-7-ium-9-yl]-3,4-bis(oxidanyl)oxolan-2-yl]methyl]-1,1,1-tris(fluoranyl)methanesulfonamide", 6489 },
	{ "5OA", "", "", ResidueType::NON_POLYMER, false, "5-[2,3-bis(chloranyl)phenyl]-2-[(3~{R},5~{S})-3,5-dimethylpiperazin-1-yl]pyrimidin-4-amine", 6490 },
	{ "5OB", "", "", ResidueType::NON_POLYMER, false, "5-METHOXYBENZIMIDAZOLE", 6491 },
	{ "5OC", "", "", ResidueType::DNA_LINKING, false, "", 6492 },
	{ "5OD", "", "", ResidueType::NON_POLYMER, false, "6-(4-azanyl-4-methyl-piperidin-1-yl)-3-[2,3-bis(chloranyl)phenyl]pyrazin-2-amine", 6493 },
	{ "5OE", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-methoxy-4-(1-methylpyrazol-4-yl)phenyl]-8-(1-methylpyrazol-4-yl)pyrido[3,4-d]pyrimidin-2-amine", 6494 },
	{ "5OF", "", "", ResidueType::NON_POLYMER, false, "2-(4-oxidanylidene-3~{H}-phthalazin-1-yl)ethanoic acid", 6495 },
	{ "5OG", "", "", ResidueType::NON_POLYMER, false, "Belinostat", 6496 },
	{ "5OH", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-amino[(4R,6S)-2-amino-6-hydroxy-3,4,5,6-tetrahydropyrimidin-4-yl]ethanoic acid", 6497 },
	{ "5OJ", "", "", ResidueType::NON_POLYMER, false, "4-[2-[2-hydroxyethyl(phenyl)amino]-2-oxidanylidene-ethyl]-~{N}-oxidanyl-benzamide", 6498 },
	{ "5OK", "", "", ResidueType::NON_POLYMER, false, "Oxamflatin", 6499 },
	{ "5OL", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-(1,1-dihydroxyethyl)-L-lysine", 6500 },
	{ "5OM", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-8,8-dihydroxy-8-[(2S)-oxiran-2-yl]octanoic acid", 6501 },
	{ "5ON", "", "", ResidueType::NON_POLYMER, false, "(~{E})-3-[3-[[3-(2-hydroxy-2-oxoethyl)phenyl]methoxy]phenyl]prop-2-enoic acid", 6502 },
	{ "5OO", "", "", ResidueType::NON_POLYMER, false, "(~{E})-3-(2,4-dichlorophenyl)prop-2-enoic acid", 6503 },
	{ "5OP", "", "", ResidueType::NON_POLYMER, false, "(5E,13E)-11-HYDROXY-9,15-DIOXOPROSTA-5,13-DIEN-1-OIC ACID", 6504 },
	{ "5OQ", "", "", ResidueType::NON_POLYMER, false, "~{N}-(2,4-dimethoxyphenyl)-5-(1-methylpyrazol-4-yl)isoquinolin-3-amine", 6505 },
	{ "5OR", "", "", ResidueType::NON_POLYMER, false, "2-(4-hydroxyphenyl)-3-iodanyl-imidazo[1,2-a]pyridin-6-ol", 6506 },
	{ "5OS", "", "", ResidueType::NON_POLYMER, false, "3-chloranyl-4-[4-(2-chloranyl-4-oxidanyl-phenyl)furan-3-yl]phenol", 6507 },
	{ "5OT", "", "", ResidueType::NON_POLYMER, false, "1-(3-iodanylphenyl)-3-(4-sulfamoylphenyl)thiourea", 6508 },
	{ "5OU", "", "", ResidueType::NON_POLYMER, false, "3-[(4-chlorophenyl)methyl]-7-ethyl-purine-2,6-dione", 6509 },
	{ "5OW", "", "", ResidueType::PEPTIDE_LINKING, false, "(2~{S})-2-azanyl-6-[[(~{Z})-~{C}-[2-methyl-3-oxidanyl-5-(phosphonooxymethyl)pyridin-4-yl]-~{N}-[(2~{R})-1-oxidanyl-1-oxidanylidene-3-sulfanyl-propan-2-yl]carbonimidoyl]amino]hexanoic acid", 6510 },
	{ "5OX", "", "", ResidueType::NON_POLYMER, false, "(7E,11Z,14Z,17Z,20Z)-5-oxotricosa-7,11,14,17,20-pentaenoic acid", 6511 },
	{ "5OY", "", "", ResidueType::NON_POLYMER, false, "5-phosphono-L-norvaline ", 6512 },
	{ "5OZ", "", "", ResidueType::NON_POLYMER, false, "2-methylpropanal", 6513 },
	{ "5P1", "", "", ResidueType::NON_POLYMER, false, "2-(4-hydroxyphenyl)-3-(trifluoromethyl)imidazo[1,2-a]pyridin-6-ol", 6514 },
	{ "5P2", "", "", ResidueType::NON_POLYMER, false, "3-cyano-4-[2-[2-(1-ethylazetidin-3-yl)pyrazol-3-yl]-4-(trifluoromethyl)phenoxy]-~{N}-(1,2,4-thiadiazol-5-yl)benzenesulfonamide", 6515 },
	{ "5P3", "", "", ResidueType::NON_POLYMER, false, "5-chloro-4-hydroxybiphenyl-3-carboxylic acid", 6516 },
	{ "5P4", "", "", ResidueType::NON_POLYMER, false, "propan-2-yl ~{N}-[(2~{S},4~{R})-1-ethanoyl-6-(furan-2-yl)-2-methyl-3,4-dihydro-2~{H}-quinolin-4-yl]carbamate", 6517 },
	{ "5P5", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-{[(S)-hydroxy{[(1R,2R,3R,4R,5S,6R)-2,3,4,6-tetrahydroxy-5-(phosphonooxy)cyclohexyl]oxy}phosphoryl]oxy}propane-1,2-diyl dibutanoate", 6518 },
	{ "5P7", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,3R,5R)-3-(hydroxymethyl)-5-(quinazolin-4-ylamino)cyclopentane-1,2-diol", 6519 },
	{ "5P8", "QB4,53P", "", ResidueType::NON_POLYMER, false, "(10R)-7-amino-12-fluoro-2,10,16-trimethyl-15-oxo-10,15,16,17-tetrahydro-2H-8,4-(metheno)pyrazolo[4,3-h][2,5,11]benzoxadiazacyclotetradecine-3-carbonitrile", 6520 },
	{ "5PA", "", "", ResidueType::NON_POLYMER, false, "N-[3-HYDROXY-2-METHYL-5-PHOSPHONOOXYMETHYL-PYRIDIN-4-Y-LMETHYL]-1-AMINO-CYCLOPROPANECARBOXYLIC ACID", 6521 },
	{ "5PB", "", "", ResidueType::NON_POLYMER, false, "4-[4-(benzyloxy)phenyl]-5-{[2-(4-chlorophenyl)-2-oxoethyl]sulfanyl}-2,4-dihydro-3H-1,2,4-triazol-3-one", 6522 },
	{ "5PC", "", "", ResidueType::DNA_LINKING, false, "5(1-PROPYNYL)-2'-DEOXYCYTIDINE-5'-MONOPHOSPHATE", 6523 },
	{ "5PD", "", "", ResidueType::NON_POLYMER, false, "(R)-3-hydroxy-4-((3-((2-mercaptoethyl)amino)-3-oxopropyl)amino)-2,2-dimethyl-4-oxobutyl hydrogen phosphonate", 6524 },
	{ "5PE", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(4-hydroxy-3-methoxyphenyl)-3-(pyridin-2-ylmethyl)-1,3-thiazolidin-4-one", 6525 },
	{ "5PF", "", "", ResidueType::NON_POLYMER, false, "(1~{R})-1-cyclohexyl-2-[(5~{S})-6-fluoranyl-5~{H}-imidazo[1,5-b]isoindol-5-yl]ethanol", 6526 },
	{ "5PG", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-(4-hydroxyphenyl)(methylamino)ethanoic acid", 6527 },
	{ "5PH", "", "", ResidueType::NON_POLYMER, false, "5-[5-(1-CARBOXYMETHYL-2-OXO-PROPYLCARBAMOYL)-5-PHENYL-PENTYLSULFAMOYL]-2-HYDROXY-BENZOIC ACID", 6528 },
	{ "5PI", "", "", ResidueType::NON_POLYMER, false, "N-(ETHYLSULFONYL)-5-PROPOXY-L-TRYPTOPHYL-N~1~-{4-[AMINO(IMINO)METHYL]BENZYL}-L-GLUTAMAMIDE", 6529 },
	{ "5PJ", "", "", ResidueType::NON_POLYMER, false, "1-cyclohexyl-2-[(5~{S})-6-fluoranyl-5~{H}-imidazo[1,5-b]isoindol-5-yl]ethanone", 6530 },
	{ "5PK", "", "", ResidueType::NON_POLYMER, false, "(1~{R})-1-cyclohexyl-2-[(5~{S})-5~{H}-imidazo[1,5-b]isoindol-5-yl]ethanol", 6531 },
	{ "5PL", "", "", ResidueType::NON_POLYMER, false, "(1R,4S,6R)-6-({[2-(ACETYLAMINO)-2-DEOXY-ALPHA-D-GLUCOPYRANOSYL]OXY}METHYL)-4-HYDROXY-1-{[(15-METHYLHEXADECANOYL)OXY]METHYL}-4-OXIDO-7-OXO-3,5-DIOXA-8-AZA-4-PHOSPHAHEPTACOS-1-YL 15-METHYLHEXADECANOATE", 6532 },
	{ "5PM", "", "", ResidueType::NON_POLYMER, false, "4,4'-sulfanediylbis{N-[(1E)-pyridin-2-ylmethylidene]aniline}", 6533 },
	{ "5PN", "", "", ResidueType::NON_POLYMER, false, "7-hydroxy-6-methylfuro[3,4-c]pyridin-3(1H)-one", 6534 },
	{ "5PP", "", "", ResidueType::NON_POLYMER, false, "5-PENTYL-2-PHENOXYPHENOL", 6535 },
	{ "5PQ", "", "", ResidueType::NON_POLYMER, false, "3-[[(2~{R},3~{S},4~{R},5~{R})-5-(2-azanyl-7-methyl-6-oxidanylidene-1~{H}-purin-7-ium-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methylamino]-4-oxidanyl-cyclobut-3-ene-1,2-dione", 6536 },
	{ "5PR", "", "", ResidueType::NON_POLYMER, false, "5-hydroxy-4-(hydroxymethyl)-6-methylpyridine-3-carboxylic acid", 6537 },
	{ "5PS", "", "", ResidueType::NON_POLYMER, false, "(R)-N-(3-(1H-indol-3-yl)-1-oxo-1-(pyridin-4-ylamino)propan-2-yl)-3,3'-difluoro-(1,1'-biphenyl)-4-carboxamide", 6538 },
	{ "5PU", "", "", ResidueType::NON_POLYMER, false, "4-[(2~{R})-2-carboxy-5-(oxidanylamino)-5-oxidanylidene-pentyl]benzoic acid", 6539 },
	{ "5PV", "", "", ResidueType::NON_POLYMER, false, "5-PHENYLVALERIC ACID", 6540 },
	{ "5PW", "", "", ResidueType::NON_POLYMER, false, "N-(6-nitro-1,3-benzothiazol-2-yl)ethanamide", 6541 },
	{ "5PX", "", "", ResidueType::NON_POLYMER, false, "4-Cyclopropyl-3,4-dihydro-7-hydroxy-2H-1,2,4-benzothiadiazine 1,1-dioxide", 6542 },
	{ "5PY", "", "", ResidueType::DNA_LINKING, false, "1-(2'-DEOXY-5'-O-PHOSPHONO-BETA-D-ERYTHRO-PENTOFURANOSYL)-5-METHYLPYRIMIDIN-2(1H)-ONE", 6543 },
	{ "5PZ", "", "", ResidueType::NON_POLYMER, false, "(1~{R})-2-[2-azanylidene-3-[(2-methylphenyl)methyl]benzimidazol-1-yl]-1-(3,4-dichlorophenyl)ethanol", 6544 },
	{ "5Q0", "", "", ResidueType::NON_POLYMER, false, "quinolin-5-ol", 6545 },
	{ "5Q1", "", "", ResidueType::NON_POLYMER, false, "4-[(2~{S})-2-carboxy-5-(oxidanylamino)-5-oxidanylidene-pentyl]benzoic acid", 6546 },
	{ "5Q2", "", "", ResidueType::NON_POLYMER, false, "4-[2-(4-chlorophenyl)ethylamino]-~{N}-[4-(4-methylpiperazin-1-yl)phenyl]-2-oxidanylidene-1~{H}-pyridine-3-carboxamide", 6547 },
	{ "5Q3", "", "", ResidueType::NON_POLYMER, false, "4-[(2-azanylpyrimidin-4-yl)amino]-~{N}-[4-(4-methylpiperazin-1-yl)phenyl]-2-oxidanylidene-1~{H}-pyridine-3-carboxamide", 6548 },
	{ "5Q4", "", "", ResidueType::NON_POLYMER, false, "4-[(2-methoxyphenyl)amino]-~{N}-[4-(4-methylpiperazin-1-yl)phenyl]-2-oxidanylidene-1~{H}-pyridine-3-carboxamide", 6549 },
	{ "5Q5", "", "", ResidueType::NON_POLYMER, false, "1-(2-methylphenyl)thiourea", 6550 },
	{ "5Q6", "", "", ResidueType::NON_POLYMER, false, "[2,3-bis(oxidanyl)phenyl]-[6-(2-fluoranyl-3-oxidanyl-phenyl)pyridin-2-yl]methanone", 6551 },
	{ "5Q7", "", "", ResidueType::NON_POLYMER, false, "5-azanyl-2-(2-methylpropyl)-1,3-oxazole-4-carbonitrile", 6552 },
	{ "5Q8", "", "", ResidueType::NON_POLYMER, false, "5-azanyl-2-(phenylmethyl)-1,3-oxazole-4-carbonitrile", 6553 },
	{ "5Q9", "", "", ResidueType::NON_POLYMER, false, "~{N}-[[2,6-bis(chloranyl)phenyl]methyl]-~{N}-methyl-ethanamide", 6554 },
	{ "5QA", "", "", ResidueType::NON_POLYMER, false, "~{N}-[[2,6-bis(chloranyl)phenyl]methyl]-2-oxidanyl-ethanamide", 6555 },
	{ "5QB", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2,6-dimethoxyphenyl)methyl]ethanamide", 6556 },
	{ "5QC", "", "", ResidueType::NON_POLYMER, false, "1-(3-AMINO-1,2-BENZISOXAZOL-5-YL)-6-(2'-{[(3R)-3-HYDROXYPYRROLIDIN-1-YL]METHYL}BIPHENYL-4-YL)-3-(TRIFLUOROMETHYL)-1,4,5,6-TETRAHYDRO-7H-PYRAZOLO[3,4-C]PYRIDIN-7-ONE", 6557 },
	{ "5QD", "", "", ResidueType::NON_POLYMER, false, "~{N}-[[2,6-bis(chloranyl)phenyl]methyl]ethanamide", 6558 },
	{ "5QE", "", "", ResidueType::NON_POLYMER, false, "~{N}-[4-[2-[[5-cyano-8-[(2~{S},6~{R})-2,6-dimethylmorpholin-4-yl]-3,3-dimethyl-1,4-dihydropyrano[3,4-c]pyridin-6-yl]sulfanyl]ethyl]phenyl]ethanamide", 6559 },
	{ "5QF", "", "", ResidueType::NON_POLYMER, false, "6-[2-(3,4-dimethoxyphenyl)ethylsulfanyl]-8-[4-(2-methoxyethyl)piperazin-1-yl]-3,3-dimethyl-1,4-dihydropyrano[3,4-c]pyridine-5-carbonitrile", 6560 },
	{ "5QG", "", "", ResidueType::NON_POLYMER, false, "3,3-dimethyl-8-morpholin-4-yl-6-(2-phenylethylsulfanyl)-1,4-dihydropyrano[3,4-c]pyridine-5-carbonitrile", 6561 },
	{ "5QH", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{S})-3-(3,4-dihydro-1~{H}-isoquinolin-2-yl)-2-oxidanyl-propyl]-3-pyridin-2-yl-benzamide", 6562 },
	{ "5QJ", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-1-(3,4-dihydro-1~{H}-isoquinolin-2-yl)-3-[[4-(3-methylbenzimidazol-5-yl)pyridin-2-yl]amino]propan-2-ol", 6563 },
	{ "5QK", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{R})-3-(3,4-dihydro-1~{H}-isoquinolin-2-yl)-2-oxidanyl-propyl]-2-quinolin-8-yloxy-ethanamide", 6564 },
	{ "5QL", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{S})-3-(3,4-dihydro-1~{H}-isoquinolin-2-yl)-2-oxidanyl-propyl]-3-(oxan-4-ylamino)benzamide", 6565 },
	{ "5QM", "", "", ResidueType::NON_POLYMER, false, "3-(isoquinolin-7-yl)prop-2-yn-1-ol", 6566 },
	{ "5QN", "", "", ResidueType::NON_POLYMER, false, "methyl 2-[2-(3,5-dihydro-2~{H}-pyrazin-4-yl)ethoxy]-5-[(5-ethanoyl-2-ethoxy-phenyl)carbamoyl]benzoate", 6567 },
	{ "5QO", "", "", ResidueType::NON_POLYMER, false, " macrocyclic quinoxaline-pyrrolodihydropiperidinone", 6568 },
	{ "5QP", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S},4~{S},5~{R},6~{S})-2-(hydroxymethyl)-6-[(1~{R},2~{S},3~{R},5~{S},6~{R})-2-(hydroxymethyl)-3,5,6-tris(oxidanyl)cyclohexyl]oxy-oxane-3,4,5-triol", 6569 },
	{ "5QQ", "", "", ResidueType::NON_POLYMER, false, "6-[bis(fluoranyl)-[6-(4-fluorophenyl)-[1,2,4]triazolo[4,3-b][1,2,4]triazin-3-yl]methyl]quinoline", 6570 },
	{ "5QR", "", "", ResidueType::NON_POLYMER, false, "3-[(1-methyl-6-oxidanylidene-pyridin-3-yl)carbonylamino]benzoic acid", 6571 },
	{ "5QS", "", "", ResidueType::NON_POLYMER, false, "1-[[4-(cyclopropylmethyl)-5-[2-(pyridin-4-ylamino)pyrimidin-4-yl]pyrimidin-2-yl]amino]-2-methyl-propan-2-ol", 6572 },
	{ "5QT", "", "", ResidueType::NON_POLYMER, false, "2,2-dimethylpropyl 2-[(3-oxidanylidene-5-sulfanylidene-2~{H}-1,2,4-triazin-6-yl)amino]ethanoate", 6573 },
	{ "5QU", "", "", ResidueType::NON_POLYMER, false, "(2~{R},4~{S},6~{S})-4-[2,4-bis(fluoranyl)-5-pyrimidin-5-yl-phenyl]-6-(3,5-dimethyl-1,2-oxazol-4-yl)-1,3-thiazinan-2-amine", 6574 },
	{ "5QV", "", "", ResidueType::NON_POLYMER, false, "(4~{S},6~{S})-4-[2,4-bis(fluoranyl)-5-pyrimidin-5-yl-phenyl]-6-(3,5-dimethyl-1,2-oxazol-4-yl)-4-methyl-5,6-dihydro-1,3-thiazin-2-amine", 6575 },
	{ "5QW", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{S})-2-morpholin-4-ylpropyl]-4-oxidanylidene-3,5-dihydro-2~{H}-1,5-benzothiazepine-7-carboxamide", 6576 },
	{ "5QX", "", "", ResidueType::NON_POLYMER, false, "1-methyl-3,4-dihydroquinoxalin-2-one", 6577 },
	{ "5QY", "", "", ResidueType::NON_POLYMER, false, "(3~{S})-3-methyl-3,4-dihydro-1~{H}-quinoxalin-2-one", 6578 },
	{ "5R0", "", "", ResidueType::NON_POLYMER, false, "4-~{tert}-butylbenzoic acid", 6579 },
	{ "5R1", "", "", ResidueType::NON_POLYMER, false, "4-[3-amino-6-(3,4,5-trimethoxyphenyl)pyrazin-2-yl]-2-methoxybenzoic acid", 6580 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "", 6581 },
	{ "5R5", "", "", ResidueType::PEPTIDE_LINKING, false, "methyl (2~{S})-2-azanyl-3-oxidanyl-propanoate", 6582 },
	{ "5R6", "", "", ResidueType::NON_POLYMER, false, "Nogalamycin RO", 6583 },
	{ "5R7", "", "", ResidueType::NON_POLYMER, false, "(2~{S},3~{R})-3-methyl-2-[(2~{S},3~{R})-3-oxidanyl-1-oxidanylidene-butan-2-yl]-4-[(3~{S},5~{S})-5-[(sulfamoylamino)methyl]pyrrolidin-3-yl]sulfanyl-3,4-dihydro-2~{H}-pyrrole-5-carboxylic acid", 6584 },
	{ "5R8", "", "", ResidueType::NON_POLYMER, false, "[4-[(4-methyl-1,4-diazepan-1-yl)methyl]phenyl]methanamine", 6585 },
	{ "5R9", "", "", ResidueType::NON_POLYMER, false, "6-[(4-methyl-1,4-diazepan-1-yl)methyl]quinoline", 6586 },
	{ "5RA", "", "", ResidueType::NON_POLYMER, false, "5-[(4-methyl-1,4-diazepan-1-yl)methyl]-2-[4-[(4-methyl-1,4-diazepan-1-yl)methyl]phenyl]benzenecarbonitrile", 6587 },
	{ "5RC", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1~{R},6~{R})-6-azanyl-2,2-bis(fluoranyl)cyclohexyl]-5-ethyl-4-[6-(trifluoromethyl)pyrazolo[1,5-a]pyrimidin-3-yl]thiophene-2-carboxamide", 6588 },
	{ "5RD", "", "", ResidueType::NON_POLYMER, false, "4-(butylaminomethyl)benzenesulfonamide", 6589 },
	{ "5RE", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-3-(4-fluorophenyl)-2-[2-(3-hydroxyphenyl)ethanoylamino]-~{N}-[(1~{S})-1-phenylethyl]propanamide", 6590 },
	{ "5RF", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-3-(2-bromophenyl)-2-[2-(4-methoxyphenyl)ethanoylamino]-~{N}-[(1~{S})-1-phenylethyl]propanamide", 6591 },
	{ "5RG", "", "", ResidueType::NON_POLYMER, false, "2-amino-5-fluorobenzoic acid", 6592 },
	{ "5RH", "", "", ResidueType::NON_POLYMER, false, "Cytochalasin B", 6593 },
	{ "5RI", "", "", ResidueType::NON_POLYMER, false, "N-methyl-2-[[4-[(3,4,5-trimethoxyphenyl)amino]-1,3,5-triazin-2-yl]amino]benzamide", 6594 },
	{ "5RL", "", "", ResidueType::NON_POLYMER, false, "6-methyl-5,6,6~{a},7-tetrahydro-4~{H}-dibenzo[de,g]quinoline-10,11-diol", 6595 },
	{ "5RM", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-(4-methoxy-3-propoxyphenyl)-5-methyl-1,3-oxazolidin-2-one", 6596 },
	{ "5RN", "", "", ResidueType::NON_POLYMER, false, "1-(1~{H}-indol-3-yl)ethanone", 6597 },
	{ "5RO", "", "", ResidueType::NON_POLYMER, false, "1-(7-methyl-1~{H}-indol-3-yl)ethanone", 6598 },
	{ "5RP", "", "", ResidueType::SACCHARIDE, false, "RIBULOSE-5-PHOSPHATE", 6599 },
	{ "5RS", "", "", ResidueType::NON_POLYMER, false, "", 6600 },
	{ "5RT", "", "", ResidueType::NON_POLYMER, false, "1-methyl-~{N}-(1-thiophen-2-ylcarbonyl-3,4-dihydro-2~{H}-quinolin-6-yl)-~{N}-[2,2,2-tris(fluoranyl)ethyl]indole-4-sulfonamide", 6601 },
	{ "5RU", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-8-[(2-fluorophenyl)methylsulfanyl]-1,9-dihydropurin-6-one", 6602 },
	{ "5RV", "", "", ResidueType::NON_POLYMER, false, "2-[(2-azanyl-6-oxidanylidene-3,9-dihydropurin-8-yl)sulfanylmethyl]benzenecarbonitrile", 6603 },
	{ "5RW", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-8-[(4-fluorophenyl)methylsulfanyl]-1,7-dihydropurin-6-one", 6604 },
	{ "5RX", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-8-[(4-chlorophenyl)methylsulfanyl]-1,9-dihydropurin-6-one", 6605 },
	{ "5RY", "", "", ResidueType::NON_POLYMER, false, "4-[(2-azanyl-6-oxidanylidene-1,9-dihydropurin-8-yl)sulfanylmethyl]-3-fluoranyl-benzenecarbonitrile", 6606 },
	{ "5RZ", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-8-[2-(4-bromophenyl)-2-oxidanylidene-ethyl]sulfanyl-1,9-dihydropurin-6-one", 6607 },
	{ "?", "", "", ResidueType::PEPTIDE_LIKE, false, "[(3~{R})-4-[[3-[2-[[(2~{S})-2-azanyl-3-methyl-butanoyl]amino]ethylamino]-3-oxidanylidene-propyl]amino]-2,2-dimethyl-3-oxidanyl-4-oxidanylidene-butyl] dihydrogen phosphate", 6608 },
	{ "5S5", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1~{S})-2-[(4-methoxy-2,5-dimethyl-phenyl)methylamino]-1-phenyl-ethyl]-5-methyl-1,2-oxazole-3-carboxamide", 6609 },
	{ "5S6", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1~{S})-2-[(4-methoxy-2,5-dimethyl-phenyl)methylamino]-1-[4-(3-oxidanylprop-1-ynyl)phenyl]ethyl]-5-methyl-1,2-oxazole-3-carboxamide", 6610 },
	{ "5S7", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{R},4~{S},5~{S})-2-[2,6-bis(azanyl)purin-9-yl]-5-(methylsulfanylmethyl)oxolane-3,4-diol", 6611 },
	{ "5S8", "", "", ResidueType::NON_POLYMER, false, "~{N}-[5-[3-[[(4-hydroxyphenyl)amino]-bis(oxidanyl)-$l^{4}-sulfanyl]-4-methoxy-phenyl]-4-methyl-1,3-thiazol-2-yl]cyclopentanecarboxamide", 6612 },
	{ "5S9", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2,4-bis(fluoranyl)phenyl]-2-methyl-pyrazole-3-carboxamide", 6613 },
	{ "5SA", "", "ARE", ResidueType::SACCHARIDE, true, "ACARBOSE DERIVED PENTASACCHARIDE", 6614 },
	{ "5SB", "", "", ResidueType::NON_POLYMER, false, "~{N}-[5-(1~{H}-pyrazol-4-yl)quinolin-8-yl]ethanamide", 6615 },
	{ "5SC", "", "", ResidueType::NON_POLYMER, false, "3-((3-bromo-5-o-tolylpyrazolo[1,5-a]pyrimidin-7-ylamino)methyl)pyridine 1-oxide", 6616 },
	{ "5SD", "", "", ResidueType::NON_POLYMER, false, "5ALPHA-ANDROSTAN-3,17-DIONE", 6617 },
	{ "5SE", "", "", ResidueType::DNA_LINKING, false, "", 6618 },
	{ "5SF", "", "", ResidueType::NON_POLYMER, false, "~{N}'-(3,5-dimethoxyphenyl)-~{N}'-[3-(1-methylpyrazol-4-yl)quinoxalin-6-yl]-~{N}-propan-2-yl-ethane-1,2-diamine", 6619 },
	{ "5SG", "", "", ResidueType::NON_POLYMER, false, "isoquinolin-5-ol", 6620 },
	{ "5SH", "", "", ResidueType::NON_POLYMER, false, "4-phenylpyridine", 6621 },
	{ "5SI", "", "", ResidueType::NON_POLYMER, false, "2-{2-deoxy-5-O-[(R)-hydroxy{[(R)-hydroxy(phosphonooxy)phosphoryl]oxy}phosphoryl]-beta-D-erythro-pentofuranosyl}-6-methylisoquinoline-1(2H)-thione", 6622 },
	{ "5SJ", "", "", ResidueType::NON_POLYMER, false, "ethyl (2~{R})-2-methyl-3-oxidanylidene-2,4-dihydro-1~{H}-quinoxaline-6-carboxylate", 6623 },
	{ "5SK", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{R})-butan-2-yl]-1-methyl-[1,2,4]triazolo[4,3-a]quinoxalin-4-amine", 6624 },
	{ "5SL", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1~{S},3~{S})-3-[3-[(4-methylphenyl)methyl]-1,2,4-oxadiazol-5-yl]cyclopentyl]-1~{H}-pyrazolo[3,4-d]pyrimidin-4-amine", 6625 },
	{ "5SM", "", "", ResidueType::NON_POLYMER, false, "5-[3-[bis(fluoranyl)methyl]-4-fluoranyl-phenyl]-3-[(2-methylimidazol-1-yl)methyl]pyridazine", 6626 },
	{ "5SN", "", "", ResidueType::NON_POLYMER, false, "1,5-dimethyl-[1,2,4]triazolo[4,3-a]quinoline", 6627 },
	{ "5SO", "", "", ResidueType::NON_POLYMER, false, "Fusicoccin A-THF derivative", 6628 },
	{ "5SP", "", "", ResidueType::SACCHARIDE, false, "5-O-phosphono-D-xylulose", 6629 },
	{ "5SQ", "", "", ResidueType::PEPTIDE_LINKING, false, "2-[2-[(1~{S})-1-azanyl-2-(1~{H}-imidazol-4-yl)ethyl]-4-[(4-hydroxyphenyl)methylidene]-5-oxidanylidene-imidazol-1-yl]ethanoic acid", 6630 },
	{ "5SR", "", "", ResidueType::NON_POLYMER, false, "[2-[3-[(4-azanyl-2-methyl-pyrimidin-5-yl)methyl]-2-carboxy-4-methyl-1,3-thiazol-3-ium-5-yl]ethoxy-oxidanyl-phosphoryl] hydrogen phosphate", 6631 },
	{ "5SS", "", "", ResidueType::NON_POLYMER, false, "4-(aminomethyl)-~{N}-[(1~{S})-1-[4-(3-oxidanyl-1~{H}-indazol-5-yl)pyridin-2-yl]-2-phenyl-ethyl]cyclohexane-1-carboxamide", 6632 },
	{ "5ST", "", "", ResidueType::NON_POLYMER, false, "methyl ~{N}-[4-[2-[(1~{S})-1-[[4-(aminomethyl)cyclohexyl]carbonylamino]-2-phenyl-ethyl]pyridin-4-yl]phenyl]carbamate", 6633 },
	{ "5SU", "", "", ResidueType::NON_POLYMER, false, "methyl ~{N}-[4-[2-[(1~{S})-1-[[(~{E})-3-[5-chloranyl-2-(1,2,3,4-tetrazol-1-yl)phenyl]prop-2-enoyl]amino]-2-phenyl-ethyl]pyridin-4-yl]phenyl]carbamate", 6634 },
	{ "5SV", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methyl icosyl hydrogen phosphate", 6635 },
	{ "5SW", "", "", ResidueType::NON_POLYMER, false, "4-[4-[(dimethylamino)methyl]-3,5-dimethoxy-phenyl]-2-methyl-2,7-naphthyridin-1-one", 6636 },
	{ "5SY", "", "", ResidueType::NON_POLYMER, false, "[(2~{S},3~{R},4~{S},5~{S},6~{R})-6-(hydroxymethyl)-2-methoxy-5-oxidanyl-4-[(2-oxidanylidenechromen-3-yl)methoxy]oxan-3-yl] ethanoate", 6637 },
	{ "5SZ", "", "", ResidueType::NON_POLYMER, false, "6-[(1~{R})-1-[8-fluoranyl-6-(3-methyl-1,2-oxazol-5-yl)-[1,2,4]triazolo[4,3-a]pyridin-3-yl]ethyl]-1,6-naphthyridin-5-one", 6638 },
	{ "5T0", "", "", ResidueType::NON_POLYMER, false, "3-[1-[4-(methylaminomethyl)phenyl]piperidin-4-yl]-1-pyrrolidin-1-yl-propan-1-one", 6639 },
	{ "5T1", "", "", ResidueType::NON_POLYMER, false, "6-[(1~{R})-1-[8-fluoranyl-6-(1-methylpyrazol-4-yl)-[1,2,4]triazolo[4,3-a]pyridin-3-yl]ethyl]-3-(2-methoxyethoxy)-1,6-naphthyridin-5-one", 6640 },
	{ "5T2", "", "", ResidueType::NON_POLYMER, false, "2-(pyridin-4-ylmethylamino)-~{N}-[3-(trifluoromethyl)phenyl]benzamide", 6641 },
	{ "5T4", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1-pyrimidin-2-ylpiperidin-4-yl)methyl]pyrrolidine-1-carboxamide", 6642 },
	{ "5T5", "", "", ResidueType::NON_POLYMER, false, "[(1~{R},2~{R})-2-[(4~{S})-2-azanyl-4-[4-[bis(fluoranyl)methoxy]phenyl]-5~{H}-1,3-oxazol-4-yl]cyclopropyl]-(5-chloranylpyridin-3-yl)methanone", 6643 },
	{ "5T6", "", "", ResidueType::NON_POLYMER, false, "(4~{S})-4-[4-[bis(fluoranyl)methoxy]-3-methyl-phenyl]-4-[3-(5-chloranylpyridin-3-yl)phenyl]-5~{H}-1,3-oxazol-2-amine", 6644 },
	{ "5T7", "", "", ResidueType::NON_POLYMER, false, "(1~{R},2~{R})-2-[(4~{R})-2-azanyl-5,5-bis(fluoranyl)-4-methyl-6~{H}-1,3-oxazin-4-yl]-~{N}-(3-chloranylquinolin-8-yl)cyclopropane-1-carboxamide", 6645 },
	{ "5T8", "", "", ResidueType::NON_POLYMER, false, "(5~{R})-5-[3-[(3-chloranylquinolin-8-yl)amino]phenyl]-5-methyl-2,6-dihydro-1,4-oxazin-3-amine", 6646 },
	{ "5T9", "", "", ResidueType::NON_POLYMER, false, "(2~{S},4~{R})-4-[(2-chloranyl-4-methoxy-phenyl)-bis(oxidanyl)-$l^{4}-sulfanyl]-1-[3-(5-chloranylpyridin-2-yl)azetidin-3-yl]carbonyl-~{N}-[1-(iminomethyl)cyclopropyl]pyrrolidine-2-carboxamide", 6647 },
	{ "5TA", "", "", ResidueType::NON_POLYMER, false, "(5~{S})-5-[[3-(aminomethyl)phenoxy]methyl]-3-[3-[2-(2-chloranylpyridin-3-yl)ethynyl]phenyl]-1,3-oxazolidin-2-one", 6648 },
	{ "5TB", "", "", ResidueType::NON_POLYMER, false, "3-cyclopentyl-1-[3-[4-(methylaminomethyl)phenyl]-1,3-diazinan-1-yl]propan-1-one", 6649 },
	{ "5TC", "", "", ResidueType::NON_POLYMER, false, "3-[1-(4-cyanophenyl)piperidin-4-yl]-~{N}-[(4-piperidin-1-ylphenyl)methyl]propanamide", 6650 },
	{ "5TD", "", "", ResidueType::NON_POLYMER, false, "4-[4-(3-oxidanylidene-3-pyrrolidin-1-yl-propyl)piperidin-1-yl]benzenecarbonitrile", 6651 },
	{ "5TE", "", "", ResidueType::NON_POLYMER, false, "3-cyclopentyl-~{N}-(3-piperidin-1-ylphenyl)propanamide", 6652 },
	{ "5TF", "", "", ResidueType::NON_POLYMER, false, "(S)-3-(1-(1H-pyrrolo(2,3-b)pyridin-3-yl)ethyl)-N-isopropyl-(1,2,4)triazolo(4,3-b)pyridazin-6-amine", 6653 },
	{ "5TG", "", "", ResidueType::NON_POLYMER, false, "~{tert}-butyl ~{N}-methyl-~{N}-[[4-[4-(3-oxidanylidene-3-pyrrolidin-1-yl-propyl)piperidin-1-yl]phenyl]methyl]carbamate", 6654 },
	{ "5TH", "", "", ResidueType::NON_POLYMER, false, "[(2~{S},3~{R},4~{S},5~{S},6~{R})-6-(hydroxymethyl)-2,4-bis(oxidanyl)-5-oxidanylsulfanyloxy-oxan-3-yl] hydrogen sulfate", 6655 },
	{ "5TJ", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{R},4~{R},5~{R},6~{S})-2-(hydroxymethyl)-5,6-bis(oxidanyl)-3-oxidanylsulfanyloxy-oxan-4-yl] hydrogen sulfate", 6656 },
	{ "5TK", "", "", ResidueType::NON_POLYMER, false, "(2~{S},3~{R},4~{R},5~{S},6~{R})-6-(hydroxymethyl)-5-oxidanylsulfanyloxy-oxane-2,3,4-triol", 6657 },
	{ "5TL", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-5-phenyl-3-(4-sulfamoylphenyl)benzamide", 6658 },
	{ "5TM", "", "", ResidueType::NON_POLYMER, false, "[(2~{S},3~{R},4~{S},5~{R},6~{R})-6-(hydroxymethyl)-2,5-bis(oxidanyl)-4-oxidanylsulfanyloxy-oxan-3-yl] hydrogen sulfate", 6659 },
	{ "5TN", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-[4-HYDROXY-3-(5,5,8,8-TETRAMETHYL-3-PROPOXY-5,6,7,8-TETRAHYDRONAPHTHALEN-2-YL)PHENYL]ACRYLIC ACID", 6660 },
	{ "5TO", "", "", ResidueType::NON_POLYMER, false, "3-cyclopentyl-1-pyrrolidin-1-yl-propan-1-one", 6661 },
	{ "5TP", "", "", ResidueType::PEPTIDE_LIKE, false, "3-[(2R)-piperidin-2-yl]-1-(1,3-thiazol-2-yl)propan-1-one", 6662 },
	{ "5TQ", "", "", ResidueType::NON_POLYMER, false, "4-(8-fluoranyl-6-oxidanylidene-1,3,4,5-tetrahydrobenzo[c][1,6]naphthyridin-2-yl)butanoic acid", 6663 },
	{ "5TR", "", "", ResidueType::NON_POLYMER, false, "[(2~{E},6~{E},10~{E},14~{E},18~{Z},22~{E},26~{Z},30~{E},34~{E},38~{E})-3,7,11,15,19,23,27,31,35,39,43-undecamethyltetratetraconta-2,6,10,14,18,22,26,30,34,38,42-undecaenyl] dihydrogen phosphate", 6664 },
	{ "5TS", "", "", ResidueType::NON_POLYMER, false, "5-(1,2-oxazol-5-yl)thiophene-2-sulfonic acid", 6665 },
	{ "5TT", "", "", ResidueType::NON_POLYMER, false, "~{N}-methyl-1-(4-piperidin-1-ylphenyl)methanamine", 6666 },
	{ "5TU", "", "", ResidueType::NON_POLYMER, false, "4-(1,5-dimethyl-6-oxidanylidene-pyridin-3-yl)benzamide", 6667 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "3-oxo-23,24-bisnorchol-4-en-22-oyl-CoA", 6668 },
	{ "5TX", "", "", ResidueType::NON_POLYMER, false, "((3S,5S)-1,5-dihydroxy-3-methyl-2-oxopyrrolidin-3-yl)phosphonic acid", 6669 },
	{ "5TY", "", "", ResidueType::NON_POLYMER, false, "2-(dimethylamino)-6-methyl-pyrido[4,3-d]pyrimidin-5-one", 6670 },
	{ "5TZ", "", "", ResidueType::NON_POLYMER, false, "2-(2-azanyl-1,3-thiazol-4-yl)pyridine-4-carboxylic acid", 6671 },
	{ "5U1", "", "", ResidueType::NON_POLYMER, false, "2-amino-6-methyl-5-(propan-2-yloxy)-3H-[1,2,4]triazolo[1,5-a]pyrimidin-8-ium", 6672 },
	{ "5U2", "", "", ResidueType::NON_POLYMER, false, "5-[3,5-dimethoxy-4-[(3-oxidanylazetidin-1-yl)methyl]phenyl]-1,3-dimethyl-pyridin-2-one", 6673 },
	{ "5U3", "", "", ResidueType::NON_POLYMER, false, "3-azanyl-5-[(2~{S})-3-methylbutan-2-yl]-7-[1-methyl-5-(2-oxidanylpropan-2-yl)pyrazol-3-yl]-1~{H}-pyrazolo[4,3-c]pyridin-4-one", 6674 },
	{ "5U4", "", "", ResidueType::NON_POLYMER, false, "3-azanyl-5-(2-methylphenyl)-7-(1-methylpyrazol-3-yl)-1~{H}-pyrazolo[4,3-c]pyridin-4-one", 6675 },
	{ "5U5", "", "", ResidueType::NON_POLYMER, false, "3-[(3~{Z})-3-[[[4-[(dimethylamino)methyl]phenyl]amino]-phenyl-methylidene]-2-oxidanylidene-1~{H}-indol-6-yl]-~{N}-ethyl-prop-2-ynamide", 6676 },
	{ "5U6", "", "", ResidueType::NON_POLYMER, false, "4-[4-[(dimethylamino)methyl]-2,5-dimethoxy-phenyl]-2-methyl-2,7-naphthyridin-1-one", 6677 },
	{ "5U7", "", "", ResidueType::NON_POLYMER, false, "5-[4-[(2~{R},3~{S},4~{S},5~{S},6~{R})-6-(hydroxymethyl)-3,4,5-tris(oxidanyl)oxan-2-yl]oxy-3-methyl-phenyl]-~{N}1,~{N}3-dimethyl-benzene-1,3-dicarboxamide", 6678 },
	{ "5U8", "", "", ResidueType::NON_POLYMER, false, "8-[4-[2-[(4-fluorophenyl)methyl-methyl-amino]ethyl]pyrazol-1-yl]-3~{H}-pyrido[3,4-d]pyrimidin-4-one", 6679 },
	{ "5U9", "", "", ResidueType::NON_POLYMER, false, "~{N}-(4-ethanoyl-1,3-thiazol-2-yl)azetidin-1-ium-3-carboxamide", 6680 },
	{ "5UA", "", "", ResidueType::DNA_LINKING, false, "5'-O-CARBOXY-2'-DEOXYADENOSINE", 6681 },
	{ "5UB", "", "", ResidueType::NON_POLYMER, false, "8-(1,3-thiazol-4-yl)-3~{H}-pyrido[3,4-d]pyrimidin-4-one", 6682 },
	{ "5UC", "", "", ResidueType::NON_POLYMER, false, "5-chloropyrimidine-2,4(1H,3H)-dione", 6683 },
	{ "5UD", "", "", ResidueType::NON_POLYMER, false, "5-FLUOROURIDINE", 6684 },
	{ "5UE", "", "", ResidueType::NON_POLYMER, false, "[(2~{R})-1-[(4-ethanoyl-1,3-thiazol-2-yl)amino]-1-oxidanylidene-propan-2-yl]azanium", 6685 },
	{ "5UF", "", "", ResidueType::NON_POLYMER, false, "(3~{S})-3-oxidanyldecanoic acid", 6686 },
	{ "5UG", "", "", ResidueType::NON_POLYMER, false, "[(3~{S})-2,2-dimethyl-3-oxidanyl-4-oxidanylidene-4-[[3-oxidanylidene-3-(2-sulfanylethylamino)propyl]amino]butyl] phosphono hydrogen phosphate", 6687 },
	{ "5UH", "", "", ResidueType::NON_POLYMER, false, "2-(4-methoxy-3-phenyl-phenyl)ethanoic acid", 6688 },
	{ "5UJ", "", "", ResidueType::NON_POLYMER, false, "8-[4-[2-[4-[3,5-bis(chloranyl)phenyl]piperidin-1-yl]ethyl]pyrazol-1-yl]-3~{H}-pyrido[3,4-d]pyrimidin-4-one", 6689 },
	{ "5UK", "", "", ResidueType::NON_POLYMER, false, "2-IMINO,3-CARBOXY,5-OXO,6-HYDROXY HEXANOIC ACID ", 6690 },
	{ "5UL", "", "", ResidueType::NON_POLYMER, false, "8-[4-[2-[4-[(4-chlorophenyl)methyl]piperidin-1-yl]ethyl]pyrazol-1-yl]-3~{H}-pyrido[3,4-d]pyrimidin-4-one", 6691 },
	{ "5UM", "", "", ResidueType::NON_POLYMER, false, "N-(2-fluoro-4-sulfamoylphenyl)-2-(thiophen-2-yl)acetamide", 6692 },
	{ "5UN", "", "", ResidueType::NON_POLYMER, false, "N-(4-sulfamoylphenyl)-2-(thiophen-2-yl)acetamide", 6693 },
	{ "5UO", "", "", ResidueType::NON_POLYMER, false, "8-[4-[2-[4-(4-chlorophenyl)piperidin-1-yl]ethyl]pyrazol-1-yl]-3~{H}-pyrido[3,4-d]pyrimidin-4-one", 6694 },
	{ "5UP", "", "", ResidueType::NON_POLYMER, false, "2-(2-azanyl-1,3-thiazol-4-yl)pyridine-4-carboxamide", 6695 },
	{ "5US", "", "", ResidueType::NON_POLYMER, false, "3-[4-[(2~{R},3~{S},4~{S},5~{S},6~{R})-6-(hydroxymethyl)-3,4,5-tris(oxidanyl)oxan-2-yl]oxy-3-methyl-phenyl]-~{N}-methyl-benzamide", 6696 },
	{ "5UT", "", "", ResidueType::NON_POLYMER, false, "1-[3-[4-[2-[[4-chloranyl-5-(1-methylcyclopropyl)-2-oxidanyl-phenyl]amino]ethanoyl]piperazin-1-yl]azetidin-1-yl]prop-2-en-1-one", 6697 },
	{ "5UU", "", "", ResidueType::NON_POLYMER, false, "6-chloranyl-~{N}-(4-fluorophenyl)-1,2,3,4-tetrahydroacridin-9-amine", 6698 },
	{ "5UV", "", "", ResidueType::NON_POLYMER, false, "7-chloranyl-~{N}-(3-chloranyl-4-fluoranyl-phenyl)-1,2,3,4-tetrahydroacridin-9-amine", 6699 },
	{ "5UW", "", "", ResidueType::NON_POLYMER, false, "~{N}-(3,3-diphenylpropyl)piperidin-4-amine", 6700 },
	{ "5UX", "", "", ResidueType::NON_POLYMER, false, "6-chloranyl-~{N}-(3-chloranyl-4-fluoranyl-phenyl)-1,2,3,4-tetrahydroacridin-9-amine", 6701 },
	{ "5UY", "", "", ResidueType::NON_POLYMER, false, "methyl 6-[(5-cyanopyrazin-2-yl)amino]-4-[[(2~{R})-morpholin-2-yl]methylamino]pyridine-3-carboxylate", 6702 },
	{ "5V0", "", "", ResidueType::NON_POLYMER, false, "2-[(furan-2-ylmethylamino)methyl]pyridine-4-carboxylic acid", 6703 },
	{ "5V1", "", "", ResidueType::NON_POLYMER, false, "2-[[(phenylmethyl)amino]methyl]pyridine-4-carboxylic acid", 6704 },
	{ "5V2", "", "", ResidueType::NON_POLYMER, false, "N-[1,1-bis(oxidanylidene)thian-4-yl]-5-methyl-4-oxidanylidene-7-[3-(trifluoromethyl)phenyl]thieno[3,2-c]pyridine-2-carboximidamide", 6705 },
	{ "5V3", "", "", ResidueType::NON_POLYMER, false, "8-[[(phenylmethyl)amino]methyl]-1~{H}-pyrido[3,4-d]pyrimidin-4-one", 6706 },
	{ "5V4", "", "", ResidueType::NON_POLYMER, false, "(1~{R},2~{R})-2,3-dihydro-1~{H}-indene-1,2-diol", 6707 },
	{ "5V5", "", "", ResidueType::NON_POLYMER, false, "2-(4-methoxy-3-thiophen-2-yl-phenyl)ethanoic acid", 6708 },
	{ "5V6", "", "", ResidueType::NON_POLYMER, false, "2-(4-methoxy-3-thiophen-3-yl-phenyl)ethanoic acid", 6709 },
	{ "5V7", "", "", ResidueType::NON_POLYMER, false, "8-(2-azanyl-1,3-thiazol-4-yl)-3~{H}-pyrido[3,4-d]pyrimidin-4-one", 6710 },
	{ "5V8", "", "", ResidueType::NON_POLYMER, false, "2-(4-hydroxyphenyl)-~{N}-methyl-5-oxidanyl-4-(piperidin-1-ylmethyl)-1-benzofuran-3-carboxamide", 6711 },
	{ "5VC", "", "", ResidueType::NON_POLYMER, false, "4-(3-chloranyl-2-fluoranyl-phenoxy)-1-[[6-(1,3-thiazol-2-ylamino)pyridin-2-yl]methyl]cyclohexane-1-carboxylic acid", 6712 },
	{ "5VD", "", "", ResidueType::NON_POLYMER, false, "methyl (1~{R},2~{R},4~{S})-2-methyl-2,4,5,7,10-pentakis(oxidanyl)-6,11-bis(oxidanylidene)-3,4-dihydro-1~{H}-tetracene-1-carboxylate", 6713 },
	{ "5VE", "", "", ResidueType::NON_POLYMER, false, "~{N}'-[(1~{R},2~{R})-2-(carbamimidamidomethyl)-6-(methylaminomethyl)-2,3-dihydro-1~{H}-inden-1-yl]-~{N}-(4-chloranyl-3-fluoranyl-phenyl)ethanediamide", 6714 },
	{ "5VF", "", "", ResidueType::NON_POLYMER, false, "~{N}'-[(1~{R},2~{R})-2-(carbamimidamidomethyl)-5-[[carbamimidoyl(methyl)amino]methyl]-2,3-dihydro-1~{H}-inden-1-yl]-~{N}-(4-chloranyl-3-fluoranyl-phenyl)ethanediamide", 6715 },
	{ "5VG", "", "", ResidueType::NON_POLYMER, false, "~{N}'-[(1~{R},2~{R})-2-(carbamimidamidomethyl)-5-(methylaminomethyl)-2,3-dihydro-1~{H}-inden-1-yl]-~{N}-(4-chloranyl-3-fluoranyl-phenyl)ethanediamide", 6716 },
	{ "5VH", "", "", ResidueType::NON_POLYMER, false, "~{N}'-[(1~{R},2~{R})-2-(carbamimidamidomethyl)-6-[[carbamimidoyl(methyl)amino]methyl]-2,3-dihydro-1~{H}-inden-1-yl]-~{N}-(4-chloranyl-3-fluoranyl-phenyl)ethanediamide", 6717 },
	{ "5VJ", "", "", ResidueType::NON_POLYMER, false, "6~{H}-benzo[c][1,2]benzothiazine 5,5-dioxide", 6718 },
	{ "5VK", "", "", ResidueType::NON_POLYMER, false, "ethyl 3-[4-(2-hydroxyphenyl)-3-oxidanyl-phenyl]propanoate", 6719 },
	{ "5VL", "", "", ResidueType::NON_POLYMER, false, "2-(2-hydroxyphenyl)phenol", 6720 },
	{ "5VM", "", "", ResidueType::NON_POLYMER, false, "5-chloranyl-3~{H}-1,3-benzoxazole-2-thione", 6721 },
	{ "5VN", "", "", ResidueType::NON_POLYMER, false, "Caulophyllogenin", 6722 },
	{ "5VO", "", "", ResidueType::NON_POLYMER, false, "6-oxidanylidene-6-phenyl-hexanoic acid", 6723 },
	{ "5VQ", "", "", ResidueType::NON_POLYMER, false, "2-Propen-1-ol", 6724 },
	{ "5VR", "", "", ResidueType::NON_POLYMER, false, "[[(3~{R},6~{S})-6-(acetamidocarbamoyl)-1-methanoyl-piperidin-3-yl]amino] hydrogen sulfate", 6725 },
	{ "5VS", "", "", ResidueType::NON_POLYMER, false, "2,2-dimethyl-7-(2-oxidanylidene-3~{H}-imidazo[4,5-b]pyridin-1-yl)-1-(phenylmethyl)-3~{H}-quinazolin-4-one", 6726 },
	{ "5VT", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-~{N}2-[2-(4-methoxyphenyl)ethyl]-~{N}1-(naphthalen-1-ylmethyl)pyrrolidine-1,2-dicarboxamide", 6727 },
	{ "5VU", "", "", ResidueType::NON_POLYMER, false, "N-(2,4-difluorophenyl)pyrrolidine-1-carboxamide", 6728 },
	{ "5VV", "", "", ResidueType::PEPTIDE_LINKING, false, "N-carbamoyl-L-Asparagine", 6729 },
	{ "5VW", "", "", ResidueType::NON_POLYMER, false, "[[(3~{R},6~{S})-1-methanoyl-6-[[(3~{S})-pyrrolidin-3-yl]oxycarbamoyl]piperidin-3-yl]amino] hydrogen sulfate", 6730 },
	{ "5VY", "", "", ResidueType::NON_POLYMER, false, "2-methyl-~{N}-[3-[[5-methyl-2-[[4-(4-methylpiperazin-1-yl)phenyl]amino]pyrimidin-4-yl]amino]phenyl]propane-2-sulfonamide", 6731 },
	{ "5VZ", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-chloranyl-5-[[5-methyl-2-[[4-(4-methylpiperazin-1-yl)phenyl]amino]pyrimidin-4-yl]amino]phenyl]-2-methyl-propane-2-sulfonamide", 6732 },
	{ "5W0", "", "", ResidueType::NON_POLYMER, false, "~{N}-[3-[[2-[[3-fluoranyl-4-(4-methylpiperazin-1-yl)phenyl]amino]-5-methyl-pyrimidin-4-yl]amino]phenyl]-2-methyl-propane-2-sulfonamide", 6733 },
	{ "5W1", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-chloranyl-5-[[2-[[3-fluoranyl-4-(4-methylpiperazin-1-yl)phenyl]amino]-5-methyl-pyrimidin-4-yl]amino]phenyl]-2-methyl-propane-2-sulfonamide", 6734 },
	{ "5W2", "", "", ResidueType::NON_POLYMER, false, "4-[[4-[[3-(~{tert}-butylsulfonylamino)-4-chloranyl-phenyl]amino]-5-methyl-pyrimidin-2-yl]amino]-2-fluoranyl-~{N}-(1-methylpiperidin-4-yl)benzamide", 6735 },
	{ "5W3", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-[[6-chloranyl-3-[3-(2-hydroxyethylsulfamoyl)-4-methoxy-phenyl]-2-methyl-imidazo[1,2-b]pyridazin-8-yl]amino]ethyl]ethanamide", 6736 },
	{ "5W4", "", "", ResidueType::NON_POLYMER, false, "(3~{S})-5-(3,5-dimethyl-1,2-oxazol-4-yl)-2-methyl-3-phenyl-3~{H}-isoindol-1-one", 6737 },
	{ "5W5", "", "", ResidueType::NON_POLYMER, false, "methyl 2-[[[(2~{S})-2-[[3-(trifluoromethyloxy)phenyl]carbamoyl]pyrrolidin-1-yl]carbonylamino]methyl]benzoate", 6738 },
	{ "5W6", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-[[6-chloranyl-3-[3-[4-(hydroxymethyl)piperidin-1-yl]sulfonyl-4-methoxy-phenyl]-2-methyl-imidazo[1,2-b]pyridazin-8-yl]amino]ethyl]ethanamide", 6739 },
	{ "5W7", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-[[3-[3-[(4-azanylcyclohexyl)sulfamoyl]-4-methoxy-phenyl]-6-chloranyl-2-methyl-imidazo[1,2-b]pyridazin-8-yl]amino]ethyl]ethanamide", 6740 },
	{ "5W8", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-[[6-chloranyl-3-[4-methoxy-3-[[(2~{R})-1-oxidanylbutan-2-yl]sulfamoyl]phenyl]-2-methyl-imidazo[1,2-b]pyridazin-8-yl]amino]ethyl]ethanamide", 6741 },
	{ "5W9", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-[[6-chloranyl-3-(4-methoxy-3-morpholin-4-ylsulfonyl-phenyl)-2-methyl-imidazo[1,2-b]pyridazin-8-yl]amino]ethyl]ethanamide", 6742 },
	{ "5WA", "", "", ResidueType::NON_POLYMER, false, "(1R)-3-(2,4-diamino-6-methylpyrimidin-5-yl)-1-(3,4,5-trimethoxyphenyl)prop-2-yn-1-ol", 6743 },
	{ "5WB", "", "", ResidueType::NON_POLYMER, false, "5-[(3S)-3-methoxy-3-(3,4,5-trimethoxyphenyl)prop-1-yn-1-yl]-6-methylpyrimidine-2,4-diamine", 6744 },
	{ "5WC", "", "", ResidueType::NON_POLYMER, false, "1-[2-[(1~{R},3~{S},5~{R})-3-[[(1~{R})-1-(3-chloranyl-2-fluoranyl-phenyl)ethyl]carbamoyl]-2-azabicyclo[3.1.0]hexan-2-yl]-2-oxidanylidene-ethyl]pyrazolo[3,4-c]pyridine-3-carboxamide", 6745 },
	{ "5WD", "", "", ResidueType::NON_POLYMER, false, "3-[(2-aminocarbonyl-1~{H}-indol-5-yl)oxymethyl]benzoic acid", 6746 },
	{ "5WE", "", "", ResidueType::NON_POLYMER, false, "4-[8-azanyl-3-[(2~{S})-1-[4-(dimethylamino)butanoyl]pyrrolidin-2-yl]imidazo[1,5-a]pyrazin-1-yl]-~{N}-(1,3-thiazol-2-yl)benzamide", 6747 },
	{ "5WF", "", "", ResidueType::NON_POLYMER, false, "4-[8-azanyl-3-[(3~{R})-1-(3-methyloxetan-3-yl)carbonylpiperidin-3-yl]imidazo[1,5-a]pyrazin-1-yl]-~{N}-[4-(trifluoromethyl)pyridin-2-yl]benzamide", 6748 },
	{ "5WH", "", "", ResidueType::NON_POLYMER, false, "4-[8-azanyl-3-[(3~{R},6~{S})-1-cyclopropylcarbonyl-6-methyl-piperidin-3-yl]imidazo[1,5-a]pyrazin-1-yl]-3-fluoranyl-~{N}-[4-(trifluoromethyl)pyridin-2-yl]benzamide", 6749 },
	{ "5WJ", "", "", ResidueType::NON_POLYMER, false, "~{N}-[5-(azepan-1-ylsulfonyl)-2-methoxy-phenyl]-2-(4-oxidanylidene-3~{H}-phthalazin-1-yl)ethanamide", 6750 },
	{ "5WK", "", "", ResidueType::NON_POLYMER, false, "2-[5-[1,1,2,2-tetrakis(fluoranyl)ethyl]-1~{H}-pyrazol-3-yl]phenol", 6751 },
	{ "5WL", "", "", ResidueType::NON_POLYMER, false, "6-chloranyl-~{N}-methylsulfonyl-3-(3-naphthalen-1-yloxypropyl)-1~{H}-indole-2-carboxamide", 6752 },
	{ "5WM", "", "", ResidueType::NON_POLYMER, false, "1,1-bis(oxidanylidene)-3-[(sulfamoylamino)methyl]-1-benzothiophene", 6753 },
	{ "5WN", "", "", ResidueType::NON_POLYMER, false, "3-[(sulfamoylamino)methyl]-1-benzothiophene", 6754 },
	{ "5WO", "", "", ResidueType::NON_POLYMER, false, "~{N}-(7~{H}-purin-6-yl)-3-(3-pyrrol-1-ylphenyl)benzamide", 6755 },
	{ "5WP", "", "", ResidueType::NON_POLYMER, false, "Rifampin-phosphate", 6756 },
	{ "5WQ", "", "", ResidueType::NON_POLYMER, false, "Rifampin", 6757 },
	{ "5WR", "", "", ResidueType::NON_POLYMER, false, "(4~{S})-4-methyl-~{N}-[3-[(4-methylpiperazin-1-yl)methyl]-5-(trifluoromethyl)phenyl]-2-pyrimidin-5-yl-3,4-dihydro-1~{H}-isoquinoline-7-carboxamide", 6758 },
	{ "5WS", "", "", ResidueType::NON_POLYMER, false, "~{N}-(1,4-dimethyl-2-oxidanylidene-quinolin-7-yl)methanesulfonamide", 6759 },
	{ "5WT", "", "", ResidueType::NON_POLYMER, false, "~{N}-(1,4-dimethyl-2-oxidanylidene-quinolin-7-yl)ethanamide", 6760 },
	{ "5WU", "", "", ResidueType::NON_POLYMER, false, "1-(2-hydroxyethyl)-3-methyl-6,7-dihydro-5~{H}-indazol-4-one", 6761 },
	{ "5WV", "", "", ResidueType::NON_POLYMER, false, "2-methyl-3~{H}-isoindol-1-one", 6762 },
	{ "5WW", "", "", ResidueType::NON_POLYMER, false, "5-amino-3-(4-methoxyphenyl)isoquinolin-1(2H)-one", 6763 },
	{ "5WX", "", "", ResidueType::NON_POLYMER, false, "4-methoxy-1,2-benzoxazol-3-amine", 6764 },
	{ "5WY", "", "", ResidueType::NON_POLYMER, false, "2,3-dihydro-1,4-benzodioxine-5-carboxamide", 6765 },
	{ "5WZ", "", "", ResidueType::NON_POLYMER, false, "(4-azanylpiperidin-1-yl)-cyclopropyl-methanone", 6766 },
	{ "5X", "", "", ResidueType::NON_POLYMER, false, "5R-(2E-METHYL-3-PHENYL-ALLYL)-3-(BENZENESULFONYLAMINO)-4-OXO-2-THIONOTHIAZOLIDINE", 6767 },
	{ "5X0", "", "", ResidueType::NON_POLYMER, false, "~{N}-methyl-2-(oxan-4-yloxy)-5-(2-oxidanylidene-2-phenylazanyl-ethoxy)benzamide", 6768 },
	{ "5X1", "", "", ResidueType::NON_POLYMER, false, "3-[(4-methylpiperazin-1-yl)methyl]-~{N}-[(4~{R})-4-methyl-2-pyrimidin-5-yl-3,4-dihydro-1~{H}-isoquinolin-7-yl]-5-(trifluoromethyl)benzamide", 6769 },
	{ "5X2", "", "", ResidueType::NON_POLYMER, false, "3-[3-(4-chloranyl-3,5-dimethyl-phenoxy)propyl]-~{N}-(phenylsulfonyl)-1~{H}-indole-2-carboxamide", 6770 },
	{ "5X3", "", "", ResidueType::NON_POLYMER, false, "5-[[6-chloranyl-3-[3-(4-chloranyl-3,5-dimethyl-phenoxy)propyl]-7-(3,5-dimethyl-1~{H}-pyrazol-4-yl)-1~{H}-indol-2-yl]carbonylsulfamoyl]furan-2-carboxylic acid", 6771 },
	{ "5X4", "", "", ResidueType::NON_POLYMER, false, "~{N}-[7-methyl-1-[(3~{R})-1-propanoylazepan-3-yl]benzimidazol-2-yl]-3-(trifluoromethyl)benzamide", 6772 },
	{ "5X8", "", "", ResidueType::PEPTIDE_LINKING, false, "S-adenosyl-L-cysteine", 6773 },
	{ "5XA", "", "", ResidueType::NON_POLYMER, false, "5-amino-N-hydroxypentanamide", 6774 },
	{ "5XB", "", "", ResidueType::NON_POLYMER, false, "(2~{R},4~{R})-1,3-thiazolidine-2,4-dicarboxylic acid", 6775 },
	{ "5XC", "", "", ResidueType::NON_POLYMER, false, "1,3-benzodioxole-5-carbaldehyde", 6776 },
	{ "5XD", "", "", ResidueType::NON_POLYMER, false, "4-ethyl-~{N}-(6-methoxy-1,3-dimethyl-2-oxidanylidene-benzimidazol-5-yl)benzenesulfonamide", 6777 },
	{ "5XE", "", "", ResidueType::NON_POLYMER, false, "4-bromanyl-~{N}-(6-methoxy-1,3-dimethyl-2-oxidanylidene-benzimidazol-5-yl)-2-methyl-benzenesulfonamide", 6778 },
	{ "5XF", "", "", ResidueType::NON_POLYMER, false, "~{N}-(1,3-dimethyl-2-oxidanylidene-6-pyrrolidin-1-yl-benzimidazol-5-yl)-2-methoxy-benzamide", 6779 },
	{ "5XG", "", "", ResidueType::NON_POLYMER, false, "8-[3-(3-azanyl-2~{H}-indazol-6-yl)-5-chloranyl-pyridin-4-yl]-2,8-diazaspiro[4.5]decan-1-one", 6780 },
	{ "5XH", "", "", ResidueType::NON_POLYMER, false, "~{N}-[1-[(3~{R})-1-[4-(dimethylamino)but-2-enoyl]azepan-3-yl]-7-methyl-benzimidazol-2-yl]-2-methyl-pyridine-4-carboxamide", 6781 },
	{ "5XJ", "", "", ResidueType::NON_POLYMER, false, "6-[2-[[3-(dimethylsulfamoylamino)-2,6-bis(fluoranyl)phenyl]amino]pyridin-3-yl]-7~{H}-purine", 6782 },
	{ "5XK", "", "", ResidueType::NON_POLYMER, false, "6-chloranyl-3-(2-ethylbutyl)-4~{H}-pyrrolo[1,2-a]quinazolin-5-one", 6783 },
	{ "5XL", "", "", ResidueType::NON_POLYMER, false, "6-chloranyl-3-[(dimethylamino)methyl]-4~{H}-pyrrolo[1,2-a]quinazolin-5-one", 6784 },
	{ "5XM", "", "", ResidueType::NON_POLYMER, false, "(3~{R})-3-(piperidin-1-ylmethyl)-2,3-dihydro-1~{H}-pyrrolo[1,2-a]quinazolin-5-one", 6785 },
	{ "5XN", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-carboxy-2-(5-{2-[(3-chlorophenyl)methyl]-2H-tetrazol-5-yl}-3-oxo-2,3-dihydro-1,2-oxazol-4-yl)ethan-1-aminium", 6786 },
	{ "5XO", "", "", ResidueType::NON_POLYMER, false, "(S)-2-Amino-3-(5-(2-(3-methylbenzyl)-2H-tetrazol-5-yl)-3-hydroxyisoxazol-4-yl)propanoic acid", 6787 },
	{ "5XP", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-3-[5-[2-[[3-(aminomethyl)phenyl]methyl]-1,2,3,4-tetrazol-5-yl]-3-oxidanyl-1,2-oxazol-4-yl]-2-azanyl-propanoic acid", 6788 },
	{ "5XQ", "", "", ResidueType::NON_POLYMER, false, "~{N}-[5-[2-[(2-methoxyphenyl)amino]-1,3-thiazol-4-yl]-4-methyl-1,3-thiazol-2-yl]ethanamide", 6789 },
	{ "5XS", "", "", ResidueType::NON_POLYMER, false, "methyl 3-(7~{H}-purin-6-ylcarbamoyl)benzoate", 6790 },
	{ "5XT", "", "", ResidueType::NON_POLYMER, false, "~{N}-[3,4-bis(oxidanyl)phenyl]-4-phenyl-benzenesulfonamide", 6791 },
	{ "?", "", "", ResidueType::PEPTIDE_LINKING, false, "(2~{S})-2-azanylpropanal", 6792 },
	{ "5XV", "", "", ResidueType::NON_POLYMER, false, "~{N}-[6-[5-azanyl-6-[(2~{S})-1,1,1-tris(fluoranyl)propan-2-yl]oxy-pyrazin-2-yl]imidazo[1,2-a]pyridin-2-yl]ethanamide", 6793 },
	{ "5XX", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-~{N}-[5-[[(3~{R})-1-[5-(2-phenylethanoylamino)-1,3,4-thiadiazol-2-yl]pyrrolidin-3-yl]amino]-1,3,4-thiadiazol-2-yl]ethanamide", 6794 },
	{ "5XY", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-~{N}-[5-[[(3~{S})-1-[5-(2-phenylethanoylamino)-1,3,4-thiadiazol-2-yl]pyrrolidin-3-yl]amino]-1,3,4-thiadiazol-2-yl]ethanamide", 6795 },
	{ "5XZ", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-~{N}-[5-[(3~{S})-3-[[5-(2-phenylethanoylamino)-1,3,4-thiadiazol-2-yl]oxy]pyrrolidin-1-yl]-1,3,4-thiadiazol-2-yl]ethanamide", 6796 },
	{ "5Y0", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-2,3-bis(oxidanyl)propoxy]-3,4-bis(fluoranyl)-2-[(2-fluoranyl-4-iodanyl-phenyl)amino]benzamide", 6797 },
	{ "5Y2", "", "", ResidueType::NON_POLYMER, false, "~{N}-[5-[[3-cyano-7-(cyclopropylamino)pyrazolo[1,5-a]pyrimidin-5-yl]amino]-2-methyl-phenyl]ethanamide", 6798 },
	{ "5Y3", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-[2-azanylethyl(methyl)amino]-5-[[3-cyano-7-(cyclopropylamino)pyrazolo[1,5-a]pyrimidin-5-yl]amino]phenyl]ethanamide", 6799 },
	{ "5Y4", "", "", ResidueType::NON_POLYMER, false, "~{N}-[5-[[3-cyano-7-(cyclopropylamino)pyrazolo[1,5-a]pyrimidin-5-yl]amino]-2-[2-(dimethylamino)ethyl-methyl-amino]phenyl]ethanamide", 6800 },
	{ "5Y5", "", "", ResidueType::NON_POLYMER, false, "2-[1,1-bis(fluoranyl)ethyl]-~{N}-[(2~{S})-7-bromanyl-1,2,3,4-tetrahydronaphthalen-2-yl]-5-methyl-[1,2,4]triazolo[1,5-a]pyrimidin-7-amine", 6801 },
	{ "5Y6", "", "", ResidueType::NON_POLYMER, false, "8-[3-chloranyl-5-[1-methyl-2,2-bis(oxidanylidene)-3~{H}-2,1-benzothiazol-5-yl]pyridin-4-yl]-1-oxa-3,8-diazaspiro[4.5]decan-2-one", 6802 },
	{ "5Y7", "", "", ResidueType::NON_POLYMER, false, "5-[5-chloranyl-4-[1-(2-methoxyethyl)-1,8-diazaspiro[4.5]decan-8-yl]pyridin-3-yl]-1-methyl-3~{H}-2,1-benzothiazole 2,2-dioxide", 6803 },
	{ "5Y8", "", "", ResidueType::NON_POLYMER, false, "8-[2-azanyl-3-chloranyl-5-(1-methylindazol-5-yl)pyridin-4-yl]-2,8-diazaspiro[4.5]decan-1-one", 6804 },
	{ "5Y9", "", "", ResidueType::NON_POLYMER, false, "~{N},~{N}-dimethylethanamide", 6805 },
	{ "5YA", "", "", ResidueType::NON_POLYMER, false, "4-naphthalen-1-yl-~{N}-oxidanyl-benzamide", 6806 },
	{ "5YB", "", "", ResidueType::NON_POLYMER, false, "N-(4-carbamimidoylbenzoyl)-beta-alanyl-L-alpha-aspartyl-L-phenylalanine", 6807 },
	{ "5YC", "", "", ResidueType::NON_POLYMER, false, "7-[[ethyl(phenyl)amino]methyl]-2-methyl-[1,3,4]thiadiazolo[3,2-a]pyrimidin-5-one", 6808 },
	{ "5YD", "", "", ResidueType::NON_POLYMER, false, "4-[[(4-fluorophenyl)sulfonylamino]methyl]-~{N}-(pyridin-3-ylmethyl)benzamide", 6809 },
	{ "5YE", "", "", ResidueType::NON_POLYMER, false, "6-[[ethyl-(4-fluorophenyl)amino]methyl]-2,3-dihydro-1~{H}-cyclopenta[3,4][1,3]thiazolo[1,4-~{a}]pyrimidin-8-one", 6810 },
	{ "5YF", "", "", ResidueType::NON_POLYMER, false, "7-[(4-fluoranylphenoxy)methyl]-3-[(1~{S},2~{S})-2-(hydroxymethyl)cyclopropyl]-2-methyl-[1,3]thiazolo[3,2-a]pyrimidin-5-one", 6811 },
	{ "5YI", "", "", ResidueType::NON_POLYMER, false, "(1R,2Z,3R,5E,7E)-17-{(1S)-1-[(2-ethyl-2-hydroxybutyl)sulfanyl]ethyl}-2-(2-hydroxyethylidene)-9,10-secoestra-5,7,16-triene-1,3-diol", 6812 },
	{ "5YL", "", "", ResidueType::NON_POLYMER, false, "5-(6-D-RIBITYLAMINO-2,4(1H,3H)PYRIMIDINEDIONE-5-YL) PENTYL-1-PHOSPHONIC ACID", 6813 },
	{ "5YQ", "", "", ResidueType::NON_POLYMER, false, "2-{2-[(pyridin-3-ylmethyl)amino]pyrimidin-4-yl}pyridine-4-carboxylic acid", 6814 },
	{ "5Z5", "", "", ResidueType::NON_POLYMER, false, "5-[(Z)-(5-CHLORO-2-OXO-1,2-DIHYDRO-3H-INDOL-3-YLIDENE)METHYL]-N-(DIETHYLAMINO)ETHYL]-2,4-DIMETHYL-1H-PYRROLE-3-CARBOXAMIDE", 6815 },
	{ "5ZA", "", "", ResidueType::PEPTIDE_LINKING, false, "(5Z)-2-[(1S,2R)-1-AMINO-2-HYDROXYPROPYL]-5-[(4-AMINO-1H-INDOL-3-YL)METHYLENE]-3-(2-HYDROXYETHYL)-3,5-DIHYDRO-4H-IMIDAZOL-4-ONE", 6816 },
	{ "5ZE", "", "", ResidueType::NON_POLYMER, false, "4,6-dimethylpyrimidin-2-amine", 6817 },
	{ "5ZI", "", "", ResidueType::NON_POLYMER, false, "4-[3-(4-oxo-3,4-dihydroquinazolin-2- yl)propanamido]-N-(quinolin-8-yl)benzamide", 6818 },
	{ "5ZM", "", "", ResidueType::NON_POLYMER, false, "5-(4-FLUOROPHENYL)-3,3-DIMETHYL-INDOLIN-2-ONE", 6819 },
	{ "5ZZ", "", "", ResidueType::NON_POLYMER, false, "(2~{R},4~{R})-2,5,5-trimethyl-1,3-thiazolidine-2,4-dicarboxylic acid", 6820 },
	{ "600", "", "", ResidueType::NON_POLYMER, false, "6-[4-((2S)-2-(1H-1,2,3-BENZOTRIAZOL-1-YL)-3-{4-[DIFLUORO(PHOSPHONO)METHYL]PHENYL}-2-PHENYLPROPYL)PHENYL]-2-[(1S)-1-METHOXY-3-METHYLBUTYL]QUINOLIN-8-YLPHOSPHONIC ACID", 6821 },
	{ "601", "", "", ResidueType::NON_POLYMER, false, "4-(dimethylamino)benzohydrazide", 6822 },
	{ "602", "", "", ResidueType::NON_POLYMER, false, "[[(3~{R},6~{S})-6-[(azetidin-3-ylcarbonylamino)carbamoyl]-1-methanoyl-piperidin-3-yl]amino] hydrogen sulfate", 6823 },
	{ "603", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{S},3~{R},4~{R},5~{S},6~{R})-6-[[(4-cyanophenyl)sulfonylamino]methyl]-2,4,5-tris(oxidanyl)oxan-3-yl]-3-phenyl-benzamide", 6824 },
	{ "604", "", "", ResidueType::NON_POLYMER, false, "5-[[(2~{R},3~{S},4~{R},5~{R},6~{S})-5-[(3-bromophenyl)carbonylamino]-3,4,6-tris(oxidanyl)oxan-2-yl]methylsulfamoyl]-2-methyl-furan-3-carboxylic acid", 6825 },
	{ "605", "", "", ResidueType::NON_POLYMER, false, "4'-[(1R)-1-amino-2-(2,5-difluorophenyl)ethyl]biphenyl-3-carboxamide", 6826 },
	{ "606", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(3-{[AMINO(IMINO)METHYL]AMINO}PHENYL)-3-[(S)-HYDROXY(3-PHENYLPROPYL)PHOSPHORYL]PROPANOIC ACID", 6827 },
	{ "607", "", "", ResidueType::NON_POLYMER, false, "2-(2'-AMINO-5-{5-[AMINO(IMINIO)METHYL]-1H-BENZIMIDAZOL-2-YL}-6-OXIDO-1,1'-BIPHENYL-3-YL)SUCCINATE", 6828 },
	{ "608", "", "", ResidueType::NON_POLYMER, false, "N-(4-phenoxyphenyl)-2-[(pyridin-4-ylmethyl)amino]nicotinamide", 6829 },
	{ "609", "", "", ResidueType::NON_POLYMER, false, "7-oxo-7H-benzimidazo[2,1-a]benz[de]isoquinoline-3-carboxylic acid", 6830 },
	{ "60A", "", "", ResidueType::NON_POLYMER, false, "2-[(2~{R})-2-(hydroxymethyloxy)propoxy]ethanol", 6831 },
	{ "60B", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-(1-cyclopropylsulfonylpyrazol-4-yl)pyrimidin-4-yl]-2-methyl-1-propan-2-yl-imidazo[4,5-c]pyridin-6-amine", 6832 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "(C_{60}-I_{h})[5,6]fullerene", 6833 },
	{ "60D", "", "", ResidueType::NON_POLYMER, false, "6-[[2-(1-cyclopropylsulfonylpyrazol-4-yl)pyrimidin-4-yl]amino]-~{N}-(oxan-4-yl)-1-propan-2-yl-pyrrolo[3,2-c]pyridine-3-carboxamide", 6834 },
	{ "60E", "", "", ResidueType::NON_POLYMER, false, "2-[1-[1-[(2~{S})-butan-2-yl]-6-[[2-(1-cyclopropylsulfonylpyrazol-4-yl)pyrimidin-4-yl]amino]pyrazolo[4,3-c]pyridin-3-yl]azetidin-3-yl]propan-2-ol", 6835 },
	{ "60F", "", "", ResidueType::PEPTIDE_LINKING, false, "(2~{R})-2-azanyl-3-[(~{E})-3-(4-hydroxyphenyl)prop-2-enoyl]sulfanyl-propanoic acid", 6836 },
	{ "60G", "", "", ResidueType::NON_POLYMER, false, "methyl 2-[(4,6-dimethoxypyrimidin-2-yl)carbamoylsulfamoylmethyl]benzoate", 6837 },
	{ "60H", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-(diphenylmethyl)pyrrolidine", 6838 },
	{ "60K", "", "", ResidueType::NON_POLYMER, false, "(3Z)-2-oxo-3-[2-(4-sulfamoylphenyl)hydrazinylidene]-2,3-dihydro-1H-indole-5-carboxylic acid", 6839 },
	{ "60L", "", "", ResidueType::NON_POLYMER, false, "~{N}-methyl-1-(3-thiophen-2-ylphenyl)methanamine", 6840 },
	{ "60M", "", "", ResidueType::NON_POLYMER, false, "6-(phosphonomethyl)pyridine-2-carboxylic acid", 6841 },
	{ "60N", "", "", ResidueType::NON_POLYMER, false, "6-[(~{S})-oxidanyl(phosphono)methyl]pyridine-2-carboxylic acid", 6842 },
	{ "60O", "", "", ResidueType::NON_POLYMER, false, "7-[3-(azetidin-1-ylmethyl)cyclobutyl]-5-[3-[[(2~{R})-oxan-2-yl]methoxy]phenyl]pyrrolo[2,3-d]pyrimidin-4-amine", 6843 },
	{ "60P", "", "", ResidueType::NON_POLYMER, false, "3-methylthiophene-2-carboxylic acid", 6844 },
	{ "60Q", "", "", ResidueType::NON_POLYMER, false, "2-pyrrol-1-ylbenzoic acid", 6845 },
	{ "60R", "", "", ResidueType::NON_POLYMER, false, "6-[(~{E})-(3-fluoranyl-6~{H}-benzo[c][1]benzoxepin-11-ylidene)methyl]-4~{H}-1,4-benzoxazin-3-one", 6846 },
	{ "60S", "", "", ResidueType::NON_POLYMER, false, "5-{(2E,4aR,7aR)-6-[5-fluoro-4-methyl-6-(methylamino)pyrimidin-2-yl]-2-imino-3-methyl-4-oxooctahydro-7aH-pyrrolo[3,4-d]pyrimidin-7a-yl}thiophene-2-carbonitrile", 6847 },
	{ "60T", "", "", ResidueType::NON_POLYMER, false, "(2E,4aR,7aS)-7a-(2,6-difluorophenyl)-6-(5-fluoro-4-methoxy-6-methylpyrimidin-2-yl)-2-imino-3-methyloctahydro-4H-pyrrolo[3,4-d]pyrimidin-4-one", 6848 },
	{ "60U", "", "", ResidueType::NON_POLYMER, false, "5-[(2E,4aR,7aR)-6-(4-ethoxy-5-fluoro-6-methylpyrimidin-2-yl)-2-imino-3-methyl-4-oxooctahydro-7aH-pyrrolo[3,4-d]pyrimidin-7a-yl]thiophene-2-carbonitrile", 6849 },
	{ "60V", "", "", ResidueType::NON_POLYMER, false, "5-[(2E,4aR,7aR)-6-(5-fluoro-4-methoxy-6-methylpyrimidin-2-yl)-2-imino-3-methyl-4-oxooctahydro-7aH-pyrrolo[3,4-d]pyrimidin-7a-yl]thiophene-2-carbonitrile", 6850 },
	{ "60W", "", "", ResidueType::NON_POLYMER, false, "3-{5-[(2E,4aR,7aR)-6-(5-fluoro-4-methoxypyrimidin-2-yl)-2-imino-3-methyl-4-oxooctahydro-7aH-pyrrolo[3,4-d]pyrimidin-7a-yl]thiophen-3-yl}benzonitrile", 6851 },
	{ "60X", "", "", ResidueType::NON_POLYMER, false, "(2E,4aR,7aS)-7a-(2,4-difluorophenyl)-6-(5-fluoro-4-methoxy-6-methylpyrimidin-2-yl)-2-imino-3-methyloctahydro-4H-pyrrolo[3,4-d]pyrimidin-4-one", 6852 },
	{ "60Y", "", "", ResidueType::NON_POLYMER, false, "3-{5-[(2E,4aR,7aR)-6-(5-fluoropyrimidin-2-yl)-2-imino-3-methyl-4-oxooctahydro-7aH-pyrrolo[3,4-d]pyrimidin-7a-yl]thiophen-3-yl}benzonitrile", 6853 },
	{ "610", "", "", ResidueType::NON_POLYMER, false, "N-[(E)-3-[(2R,3S,4R,5R)-3,4-dihydroxy-5-purin-9-yl-oxolan-2-yl]prop-2-enyl]-2,3-dihydroxy-5-nitro-benzamide", 6854 },
	{ "611", "", "", ResidueType::NON_POLYMER, false, "N-[(E)-3-[(2R,3S,4R,5S)-3,4-dihydroxy-5-pyridin-4-ylsulfanyl-oxolan-2-yl]prop-2-enyl]-2,3-dihydroxy-5-nitro-benzamide", 6855 },
	{ "612", "", "", ResidueType::NON_POLYMER, false, "6-(cyclohexylsulfanyl)-1-(ethoxymethyl)-5-(1-methylethyl)pyrimidine-2,4(1H,3H)-dione", 6856 },
	{ "613", "", "", ResidueType::NON_POLYMER, false, "4-(4-chlorophenyl)piperazine-1-carboximidamide", 6857 },
	{ "614", "", "", ResidueType::NON_POLYMER, false, "7-[(4-methylpiperazin-1-yl)methyl]-4-[(3-methyl-1H-pyrazol-5-yl)amino]-2-(tetrahydro-2H-pyran-4-yl)phthalazin-1(2H)-one", 6858 },
	{ "615", "", "", ResidueType::NON_POLYMER, false, "(1R,2S)-N~2~-hydroxy-1-{4-[(2-phenylquinolin-4-yl)methoxy]benzyl}cyclopropane-1,2-dicarboxamide", 6859 },
	{ "616", "", "", ResidueType::NON_POLYMER, false, "N-[2-(1-FORMYL-2-METHYL-PROPYL)-1-(4-PIPERIDIN-1-YL-BUT-2-ENOYL)-PYRROLIDIN-3-YL]-METHANESULFONAMIDE", 6860 },
	{ "617", "", "", ResidueType::NON_POLYMER, false, "2-{[(4-CHLOROPHENOXY)ACETYL]AMINO}BENZOIC ACID", 6861 },
	{ "618", "", "", ResidueType::NON_POLYMER, false, "(3R,6R,9AR)-2,2-DIMETHYL-6-[(N-METHYL-L-ALANYL)AMINO]-N-(3-METHYL-1-PHENYL-1H-PYRAZOL-5-YL)-5-OXO-2,3,5,6,9,9A-HEXAHYDRO[1,3]THIAZOLO[3,2-A]AZEPINE-3-CARBOXAMIDE", 6862 },
	{ "619", "", "", ResidueType::NON_POLYMER, false, "N-[(E)-3-[(2R,3S,4R,5R)-5-(6-ethylaminopurin-9-yl)-3,4-dihydroxy-oxolan-2-yl]prop-2-enyl]-5-(4-fluorophenyl)-2,3-dihydroxy-benzamide", 6863 },
	{ "61C", "", "", ResidueType::NON_POLYMER, false, "platinum(4+) chloride azanide [2-(9H-carbazol-9-yl)ethyl]azanide (1:1:2:1)", 6864 },
	{ "61E", "", "", ResidueType::NON_POLYMER, false, "4-(2-chlorophenyl)-8-[3-(dimethylamino)propoxy]-9-hydroxy-6-methylpyrrolo[3,4-c]carbazole-1,3(2H,6H)-dione", 6865 },
	{ "61G", "", "", ResidueType::NON_POLYMER, false, "2-methylbuta-1,3-diene", 6866 },
	{ "61H", "", "", ResidueType::NON_POLYMER, false, "(1R)-1,4-anhydro-2-deoxy-5-O-[(S)-hydroxy(oxido)-lambda~5~-phosphanyl]-1-phenanthren-2-yl-D-erythro-pentitol", 6867 },
	{ "61J", "", "", ResidueType::NON_POLYMER, false, "(6S)-2,6-anhydro-1-deoxy-6-(2-{[(S)-hydroxy(oxido)-lambda~5~-phosphanyl]oxy}ethyl)-D-galactitol", 6868 },
	{ "61K", "", "", ResidueType::NON_POLYMER, false, "(3Z)-N-[2-(1H-imidazol-4-yl)ethyl]-2-oxo-3-[2-(4-sulfamoylphenyl)hydrazinylidene]-2,3-dihydro-1H-indole-5-carboxamide", 6869 },
	{ "61L", "", "", ResidueType::NON_POLYMER, false, "4-methyl-2-{[2-methyl-6-(methylsulfanyl)phenyl]amino}benzoic acid", 6870 },
	{ "61M", "", "", ResidueType::NON_POLYMER, false, "3-(2-aminophenyl)-3-oxopropanoic acid", 6871 },
	{ "61N", "", "", ResidueType::NON_POLYMER, false, "6-hydroxynaphthalene-1-carboxylic acid", 6872 },
	{ "61O", "", "", ResidueType::NON_POLYMER, false, "2-(pyridin-3-yl)benzoic acid", 6873 },
	{ "61P", "", "", ResidueType::NON_POLYMER, false, "", 6874 },
	{ "61Q", "", "", ResidueType::NON_POLYMER, false, "", 6875 },
	{ "61S", "", "", ResidueType::NON_POLYMER, false, "tert-butyl (2R)-2-({4-amino-3-[2-(4-hydroxyphenyl)ethyl]benzoyl}amino)-4-phenylbutanoate", 6876 },
	{ "61T", "", "", ResidueType::NON_POLYMER, false, "[(1~{R},2~{R},3~{S},4~{R})-2,3-bis(oxidanyl)-4-[[2-[3-(trifluoromethylsulfanyl)phenyl]pyrazolo[1,5-a]pyrimidin-7-yl]amino]cyclopentyl]methyl sulfamate", 6877 },
	{ "61V", "", "", ResidueType::NON_POLYMER, false, "N-(1-benzylpiperidin-4-yl)-4-iodobenzamide", 6878 },
	{ "61W", "", "", ResidueType::NON_POLYMER, false, "3-(4-methylphenyl)-5-(1-propyl-3,6-dihydro-2H-pyridin-5-yl)-1,2-oxazole", 6879 },
	{ "61X", "", "", ResidueType::NON_POLYMER, false, "4-{3-[3-(methylsulfonyl)phenoxy]phenyl}-8-(trifluoromethyl)quinoline", 6880 },
	{ "61Y", "", "", ResidueType::NON_POLYMER, false, "4-ethyl-6-[5-(1H-pyrazol-4-yl)-1H-pyrrolo[2,3-b]pyridin-3-yl]pyrimidin-2-amine", 6881 },
	{ "620", "", "", ResidueType::NON_POLYMER, false, "N~1~-[3-(benzyloxy)benzyl]-1H-tetrazole-1,5-diamine", 6882 },
	{ "621", "", "", ResidueType::NON_POLYMER, false, "N-acetylglycyl-N-[(3S)-1-hydroxy-5-methyl-2-oxohexan-3-yl]-L-serinamide", 6883 },
	{ "623", "", "", ResidueType::NON_POLYMER, false, "3,3'-[3,5-DIFLUORO-4-METHYL-2,6-PYRIDYLENEBIS(OXY)]-BIS(BENZENECARBOXIMIDAMIDE)", 6884 },
	{ "624", "", "", ResidueType::NON_POLYMER, false, "2-(2-(3,4-DICHLOROPHENYL)-5-(ISOPROPYLAMINO)-6-OXOPYRIMIDIN-1(6H)-YL)-N-((S)-1-OXO-1-(THIAZOL-2-YL)-5-GUANIDINOPENTAN-2-YL)ACETAMIDE", 6885 },
	{ "625", "", "", ResidueType::NON_POLYMER, false, "4-(4-{1-[(6-aminopyridin-2-yl)methyl]-5-(2-chlorophenyl)-1H-pyrrol-2-yl}phenoxy)butanenitrile", 6886 },
	{ "626", "", "", ResidueType::NON_POLYMER, false, "4-(4-METHYLPIPERAZIN-1-YL)-N-[5-(2-THIENYLACETYL)-1,5-DIHYDROPYRROLO[3,4-C]PYRAZOL-3-YL]BENZAMIDE", 6887 },
	{ "627", "", "", ResidueType::NON_POLYMER, false, "N-[(3E)-5-[(2R)-2-METHOXY-2-PHENYLACETYL]PYRROLO[3,4-C]PYRAZOL-3(5H)-YLIDENE]-4-(4-METHYLPIPERAZIN-1-YL)BENZAMIDE", 6888 },
	{ "628", "", "", ResidueType::NON_POLYMER, false, "4-{[6-(2,6-DICHLOROBENZOYL)IMIDAZO[1,2-A]PYRIDIN-2-YL]AMINO}BENZENESULFONAMIDE", 6889 },
	{ "629", "", "", ResidueType::NON_POLYMER, false, "[2-AMINO-3-(4-HYDROXY-PHENYL)-PROPIONYLAMINO]-(1,3,4,5-TETRAHYDROXY-4-HYDROXYMETHYL-PIPERIDIN-2-YL)- ACETIC ACID", 6890 },
	{ "62A", "", "", ResidueType::NON_POLYMER, false, "2-(5-AMINO-6-OXO-2-M-TOLYL-6H-PYRIMIDIN-1-YL)-N-[4-GUANIDINO-1-(THIAZOLE-2-CARBONYL)-BUTYL]-ACETAMIDE", 6891 },
	{ "62B", "", "", ResidueType::NON_POLYMER, false, "Lefamulin", 6892 },
	{ "62C", "", "", ResidueType::NON_POLYMER, false, "2-deoxy-2-{[(2E)-3-(3,4-dichlorophenyl)prop-2-enoyl]amino}-alpha-D-glucopyranose", 6893 },
	{ "62D", "", "", ResidueType::NON_POLYMER, false, "6-(ethylamino)-2-(methylamino)-3,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 6894 },
	{ "62E", "", "", ResidueType::NON_POLYMER, false, "1-[2-(1-ethylpiperidin-4-yl)ethyl]-3-(6-{[6-(thiophen-2-yl)[1,2,4]triazolo[4,3-b]pyridazin-3-yl]sulfanyl}-1,3-benzothiazol-2-yl)urea", 6895 },
	{ "62F", "", "", ResidueType::NON_POLYMER, false, "", 6896 },
	{ "62G", "", "", ResidueType::NON_POLYMER, false, "CPI-0610", 6897 },
	{ "62H", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-3-amino-2-methylpropanoic acid", 6898 },
	{ "62I", "", "", ResidueType::NON_POLYMER, false, "(6R)-1-O-acetyl-2,6-anhydro-6-{[4-(sulfamoyloxy)piperidin-1-yl]sulfonyl}-L-glucitol", 6899 },
	{ "62K", "", "", ResidueType::NON_POLYMER, false, "2-methylpropyl (3Z)-2-oxo-3-[2-(4-sulfamoylphenyl)hydrazinylidene]-2,3-dihydro-1H-indole-5-carboxylate", 6900 },
	{ "62L", "", "", ResidueType::NON_POLYMER, false, "4-methyl-2-{[2-methyl-6-(methylsulfonyl)phenyl]amino}benzoic acid", 6901 },
	{ "62M", "", "", ResidueType::NON_POLYMER, false, "[6-hydroxy-3-(3-methylbenzyl)-1H-indazol-5-yl][(3S)-3-hydroxypyrrolidin-1-yl]methanone", 6902 },
	{ "62N", "", "", ResidueType::NON_POLYMER, false, "N-{[4-(trifluoromethyl)benzoyl]carbamoyl}-beta-D-glucopyranosylamine", 6903 },
	{ "62O", "", "", ResidueType::NON_POLYMER, false, "6-methoxy-2-(1H-pyrazol-5-yl)-1H-benzimidazole", 6904 },
	{ "62P", "", "", ResidueType::NON_POLYMER, false, "6-[(5-CHLORO-3-METHYL-1-BENZOFURAN-2-YL)SULFONYL]PYRIDAZIN-3(2H)-ONE", 6905 },
	{ "62Q", "", "", ResidueType::NON_POLYMER, false, "{4-[2-(2-hydroxyethoxy)phenyl]piperazin-1-yl}[(2R,3S)-2-propyl-3-[4-(trifluoromethyl)phenoxy]-1-{[4-(trifluoromethyl)pyridin-3-yl]carbonyl}piperidin-3-yl]methanone", 6906 },
	{ "62R", "", "", ResidueType::NON_POLYMER, false, "4-[2-(4-{[(2R,3S)-2-propyl-1-{[4-(trifluoromethyl)pyridin-3-yl]carbonyl}-3-{[5-(trifluoromethyl)thiophen-3-yl]oxy}piperidin-3-yl]carbonyl}piperazin-1-yl)phenoxy]butanoic acid", 6907 },
	{ "62T", "", "", ResidueType::NON_POLYMER, false, "{4-[2-(2-hydroxyethoxy)phenyl]piperazin-1-yl}[(2R,3S)-2-propyl-1-{[4-(trifluoromethyl)pyridin-3-yl]carbonyl}-3-{[5-(trifluoromethyl)thiophen-3-yl]oxy}piperidin-3-yl]methanone", 6908 },
	{ "62U", "", "", ResidueType::NON_POLYMER, false, "(8S,9R,13R,14S,16R)-21-(furan-2-yl)-13-hydroxy-8,14,19-trimethoxy-16-methyl-4,10,12-trimethylidene-3,20,22-trioxo-2-azabicyclo[16.3.1]docosa-1(21),18-dien-9-yl carbamate", 6909 },
	{ "62V", "", "", ResidueType::NON_POLYMER, false, "6-(4-chlorophenyl)-1-methyl-4H-[1,2]oxazolo[5,4-d][2]benzazepine", 6910 },
	{ "62W", "", "", ResidueType::NON_POLYMER, false, "L-glucitol", 6911 },
	{ "62X", "", "", ResidueType::NON_POLYMER, false, "5'-{[(3S)-3-amino-3-carboxypropyl][3-(dimethylamino)propyl]amino}-5'-deoxyadenosine", 6912 },
	{ "62Y", "", "", ResidueType::NON_POLYMER, false, "3-bromophenyl hydrogen (S)-phenylphosphonate", 6913 },
	{ "630", "", "", ResidueType::NON_POLYMER, false, "1-{(3R,4R)-3-[({5-chloro-2-[(1-methyl-1H-pyrazol-4-yl)amino]-7H-pyrrolo[2,3-d]pyrimidin-4-yl}oxy)methyl]-4-methoxypyrrolidin-1-yl}propan-1-one", 6914 },
	{ "631", "", "", ResidueType::NON_POLYMER, false, "(1R,2S)-2-{3-[(E)-2-{4-[(dimethylamino)methyl]phenyl}ethenyl]-2H-indazol-6-yl}-5'-methoxyspiro[cyclopropane-1,3'-indol]-2'(1'H)-one", 6915 },
	{ "632", "", "", ResidueType::NON_POLYMER, false, "2-(5-BENZYLAMINO-2-METHYLSULFANYL-6-OXO-6H-PYRIMIDIN-1-YL)-N-[4-GUANIDINO-1-(THIAZOLE-2-CARBONYL)-BUTYL]-ACETAMIDE", 6916 },
	{ "633", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(2-{[4-(4-methylpiperazin-1-yl)phenyl]amino}-7H-pyrrolo[2,3-d]pyrimidin-4-yl)oxy]phenyl}propanamide", 6917 },
	{ "634", "", "", ResidueType::NON_POLYMER, false, "N-[3-({2-[(1-methyl-1H-pyrazol-4-yl)amino]-7H-pyrrolo[2,3-d]pyrimidin-4-yl}oxy)phenyl]propanamide", 6918 },
	{ "635", "", "", ResidueType::NON_POLYMER, false, "1-methylethyl 8-fluoro-1,1-dimethyl-3-{[4-(3-morpholin-4-ylpropoxy)phenyl]carbonyl}-1,2,3,6-tetrahydroazepino[4,5-b]indole-5-carboxylate", 6919 },
	{ "636", "", "", ResidueType::NON_POLYMER, false, "2-[(2-carboxy-5-methylphenyl)amino]-3-methylbenzoic acid", 6920 },
	{ "637", "", "", ResidueType::NON_POLYMER, false, "N-[(E)-3-[(2R,3S,4R,5R)-3,4-dihydroxy-5-(6-methylpurin-9-yl)oxolan-2-yl]prop-2-enyl]-5-(4-fluorophenyl)-2,3-dihydroxy-benzamide", 6921 },
	{ "638", "", "XV6", ResidueType::NON_POLYMER, true, "[4R-(4ALPHA,5ALPHA,6BETA,7BETA)]-3,3'-[[TETRAHYDRO-5,6-DIHYDROXY-2-OXO-4,7-BIS(PHENYLMETHYL)-1H-1,3-DIAZEPINE-1,3(2H)-DIYL]BIS(METHYLENE)]BIS[N-2-THIAZOLYLBENZAMIDE]", 6922 },
	{ "639", "", "", ResidueType::NON_POLYMER, false, "6-({4-[(4-cyanophenyl)amino]-1,3,5-triazin-2-yl}amino)-5,7- dimethyl-2-naphthonitrile", 6923 },
	{ "63A", "", "", ResidueType::NON_POLYMER, false, "1-[(3R,4R)-3-[({2-[(1-methyl-1H-pyrazol-4-yl)amino]-7H-pyrrolo[2,3-d]pyrimidin-4-yl}oxy)methyl]-4-(trifluoromethyl)pyrrolidin-1-yl]propan-1-one", 6924 },
	{ "63B", "", "", ResidueType::NON_POLYMER, false, "methyl (6-{[6-(4-fluorophenyl)[1,2,4]triazolo[4,3-b]pyridazin-3-yl]sulfanyl}-1H-benzimidazol-2-yl)carbamate", 6925 },
	{ "63C", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-1-METHYLCARBAMOYLMETHYL-PYRROLIDINE-3,4-DICARBOXYLIC ACID 3-[(4-CHLORO-PHENYL)-AMIDE] 4-{[2-FLUORO-4-(2-OXO-2H-PYRIDIN-1-YL)-PHENYL]-AMIDE}", 6926 },
	{ "63D", "", "", ResidueType::NON_POLYMER, false, "4-chloro-2-{[3-(decyloxy)-5-hydroxybenzyl]oxy}-5-sulfamoylbenzoic acid", 6927 },
	{ "63E", "", "", ResidueType::NON_POLYMER, false, "4-butyl-6-(1H-pyrrolo[2,3-b]pyridin-3-yl)pyrimidin-2-amine", 6928 },
	{ "63F", "", "", ResidueType::NON_POLYMER, false, "N-cyclopropyl-6-[(3R)-3-{[4-(trifluoromethoxy)benzyl]carbamoyl}-4-{[4-(trifluoromethoxy)phenyl]sulfonyl}piperazin-1-yl]pyridazine-3-carboxamide", 6929 },
	{ "63G", "", "", ResidueType::DNA_LINKING, false, "(6S)-3-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-6-hydroxy-5,6,7,8-tetrahydropyrimido[1,2-a]purin-10(3H)-one", 6930 },
	{ "63H", "", "", ResidueType::DNA_LINKING, false, "(6R)-3-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-6-hydroxy-5,6,7,8-tetrahydropyrimido[1,2-a]purin-10(3H)-one", 6931 },
	{ "63J", "", "", ResidueType::NON_POLYMER, false, "2-(pyridin-2-yl)-N-(5-{4-[6-({[3-(trifluoromethoxy)phenyl]acetyl}amino)pyridazin-3-yl]butyl}-1,3,4-thiadiazol-2-yl)acetamide", 6932 },
	{ "63K", "", "", ResidueType::NON_POLYMER, false, "1-(6-{[6-(4-fluorophenyl)[1,2,4]triazolo[4,3-b]pyridazin-3-yl]sulfanyl}-1,3-benzothiazol-2-yl)-3-[2-(morpholin-4-yl)ethyl]urea", 6933 },
	{ "63L", "", "", ResidueType::NON_POLYMER, false, "5-amino-3-(methylsulfanyl)-1H-pyrazole-1,4-dicarboxamide", 6934 },
	{ "63M", "", "", ResidueType::NON_POLYMER, false, "N-tert-butyl-5-{[(1-methyl-1H-pyrazol-5-yl)sulfonyl]amino}pyrazolo[1,5-a]pyrimidine-3-carboxamide", 6935 },
	{ "63N", "", "", ResidueType::NON_POLYMER, false, "N-{2-[1-(cyclopropylsulfonyl)-1H-pyrazol-4-yl]pyrimidin-4-yl}-1-(propan-2-yl)-1H-imidazo[4,5-c]pyridin-6-amine", 6936 },
	{ "63O", "", "", ResidueType::NON_POLYMER, false, "N-(4-{2-[({1-[2-(dimethylamino)-2-oxoethyl]cyclopentyl}acetyl)amino]ethyl}phenyl)-2-fluoro-Nalpha-[(1-methyl-1H-pyrazol-5-yl)carbonyl]-L-phenylalaninamide", 6937 },
	{ "63P", "", "", ResidueType::NON_POLYMER, false, "", 6938 },
	{ "63Q", "", "", ResidueType::NON_POLYMER, false, "(4S,20R)-7-chloro-N-methyl-4-{[(1-methyl-1H-pyrazol-5-yl)carbonyl]amino}-3,18-dioxo-2,19-diazatetracyclo[20.2.2.1~6,10~.1~11,15~]octacosa-1(24),6(28),7,9,11(27),12,14,22,25-nonaene-20-carboxamide", 6939 },
	{ "63T", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S)-3-hydroxy-5-oxotetrahydrofuran-2-yl]methyl dihydrogen phosphate (non-preferred name)", 6940 },
	{ "63U", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[(1R)-1-{[(2R)-2-amino-2-phenylacetyl]amino}-2-oxoethyl]-5-methyl-3,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 6941 },
	{ "63V", "", "", ResidueType::NON_POLYMER, false, "(2S)-5-methylidene-2-{(1R)-2-oxo-1-[(thiophen-2-ylacetyl)amino]ethyl}-5,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 6942 },
	{ "63W", "", "", ResidueType::NON_POLYMER, false, "5-methyl-6-{[4-(trifluoromethyl)phenyl]sulfanyl}thieno[2,3-d]pyrimidine-2,4-diamine", 6943 },
	{ "63X", "", "", ResidueType::NON_POLYMER, false, "Mofezolac", 6944 },
	{ "63Y", "", "", ResidueType::NON_POLYMER, false, "5-methyl-6-[(2,3,4-trifluorophenyl)sulfanyl]thieno[2,3-d]pyrimidine-2,4-diamine", 6945 },
	{ "640", "", "", ResidueType::NON_POLYMER, false, "", 6946 },
	{ "641", "", "", ResidueType::NON_POLYMER, false, "(3S)-1-CYCLOHEXYL-N-(3,5-DICHLOROPHENYL)-5-OXOPYRROLIDINE-3-CARBOXAMIDE", 6947 },
	{ "642", "", "", ResidueType::NON_POLYMER, false, "(1S,3R,6S)-4-oxo-6-{4-[(2-phenylquinolin-4-yl)methoxy]phenyl}-5-azaspiro[2.4]heptane-1-carboxylic acid", 6948 },
	{ "643", "", "", ResidueType::NON_POLYMER, false, "6-(4-{[3-(3,5-dichloropyridin-4-yl)-5-(1-methylethyl)isoxazol-4-yl]methoxy}-2-methylphenyl)-1-methyl-1H-indole-3-carboxylic acid", 6949 },
	{ "644", "", "", ResidueType::NON_POLYMER, false, "2,6-bis[(2-carboxyphenyl)amino]benzoic acid", 6950 },
	{ "645", "", "", ResidueType::NON_POLYMER, false, "[1-TERT-BUTYL-3-(2,4-DICHLOROPHENYL)-5-HYDROXY-1H-PYRAZOL-4-YL][2-CHLORO-4-(METHYLSULFONYL)PHENYL]METHANONE", 6951 },
	{ "646", "", "", ResidueType::NON_POLYMER, false, "2,6-dichloro-4-(2-piperazin-1-ylpyridin-4-yl)-N-(1,3,5-trimethyl-1H-pyrazol-4-yl)benzenesulfonamide", 6952 },
	{ "647", "", "", ResidueType::NON_POLYMER, false, "5-(1H-pyrrolo[2,3-b]pyridin-3-ylmethyl)-N-[4-(trifluoromethyl)benzyl]pyridin-2-amine", 6953 },
	{ "649", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(11-phenoxyundecanoyl)sulfamoyl]adenosine", 6954 },
	{ "64A", "", "", ResidueType::NON_POLYMER, false, "{[(1S,3R)-3-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)cyclopentyl]oxy}propanedioic acid", 6955 },
	{ "64B", "", "", ResidueType::NON_POLYMER, false, "methyl (2Z)-cyano[3-(2-fluoro-4-methoxyphenyl)-4-oxo-1,3-thiazolidin-2-ylidene]acetate", 6956 },
	{ "64C", "", "", ResidueType::NON_POLYMER, false, "1-ethylisochromeno[3,4-c]pyrazol-5(3H)-one", 6957 },
	{ "64D", "", "", ResidueType::NON_POLYMER, false, "4-({[(4-chlorophenyl)sulfonyl]amino}methyl)piperidine-1-carboxylic acid", 6958 },
	{ "64E", "", "", ResidueType::NON_POLYMER, false, "1-propylisochromeno[3,4-c]pyrazol-5(3H)-one", 6959 },
	{ "64F", "", "", ResidueType::NON_POLYMER, false, "1-butylisochromeno[3,4-c]pyrazol-5(3H)-one", 6960 },
	{ "64I", "", "", ResidueType::NON_POLYMER, false, "2,2',3,3',5,5',6,6'-octafluorobiphenyl-4,4'-diol", 6961 },
	{ "64J", "", "", ResidueType::NON_POLYMER, false, "5-methyl-6-{[4-(trifluoromethoxy)phenyl]sulfanyl}thieno[2,3-d]pyrimidine-2,4-diamine", 6962 },
	{ "64K", "", "", ResidueType::SACCHARIDE, false, "alpha-D-arabinopyranose", 6963 },
	{ "64L", "", "", ResidueType::NON_POLYMER, false, "KB2115", 6964 },
	{ "64M", "", "", ResidueType::NON_POLYMER, false, "5-[(5-methoxy-1H-pyrrolo[2,3-b]pyridin-3-yl)methyl]-N-[4-(trifluoromethyl)benzyl]pyridin-2-amine", 6965 },
	{ "64N", "", "", ResidueType::NON_POLYMER, false, "5'-[2,6-dichloro-4-(propanoylamino)phenoxy]-2'-hydroxybiphenyl-4-carboxamide", 6966 },
	{ "64O", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[4'-(carbamoylamino)-6-hydroxybiphenyl-3-yl]oxy}-3,5-dichlorophenyl)propanamide", 6967 },
	{ "64P", "", "", ResidueType::NON_POLYMER, false, "", 6968 },
	{ "64Q", "", "", ResidueType::NON_POLYMER, false, "7-methyl-N-(o-tolyl)-[1,2,4]triazolo[4,3-a]pyrimidin-5-amine", 6969 },
	{ "64R", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,6-dimethyl-2H-1,4-benzoxazin-3(4H)-one", 6970 },
	{ "64S", "", "", ResidueType::NON_POLYMER, false, "N-ethyl-6,7-dimethoxyquinazolin-4-amine", 6971 },
	{ "64T", "", "", ResidueType::DNA_LINKING, false, "5-HYDROXY-THYMIDINE-5'-MONOPHOSPHATE", 6972 },
	{ "64U", "", "", ResidueType::PEPTIDE_LIKE, false, "3-cyclohexyl-D-alanyl-N-(3-chlorobenzyl)-L-prolinamide", 6973 },
	{ "64Z", "", "", ResidueType::NON_POLYMER, false, "Geraniol", 6974 },
	{ "650", "", "", ResidueType::NON_POLYMER, false, "Beta-Myrcene", 6975 },
	{ "651", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-biphenyl-4-yl-1-azabicyclo[2.2.2]octan-3-ol", 6976 },
	{ "652", "", "", ResidueType::NON_POLYMER, false, "2-{2-[2-(2-chlorophenyl)propan-2-yl]-1-[3'-(methylsulfonyl)biphenyl-4-yl]-1H-imidazol-4-yl}propan-2-ol", 6977 },
	{ "653", "", "", ResidueType::NON_POLYMER, false, "5-(2-AMINOETHYL)-3-{5-[AMINO(IMINIO)METHYL]-1H-BENZIMIDAZOL-2-YL}-1,1'-BIPHENYL-2-OLATE", 6978 },
	{ "654", "", "", ResidueType::NON_POLYMER, false, "4-(2-THIENYL)-1-(4-METHYLBENZYL)-1H-IMIDAZOLE", 6979 },
	{ "655", "", "", ResidueType::NON_POLYMER, false, "2-{5-[AMINO(IMINIO)METHYL]-1H-BENZIMIDAZOL-2-YL}-6-(CYCLOPENTYLOXY)BENZENOLATE", 6980 },
	{ "656", "", "", ResidueType::NON_POLYMER, false, "2-{5-[AMINO(IMINIO)METHYL]-1H-BENZIMIDAZOL-2-YL}-6-ISOBUTOXYBENZENOLATE", 6981 },
	{ "657", "", "", ResidueType::NON_POLYMER, false, "6-(trifluoromethoxy)-1,3-benzothiazol-2-amine", 6982 },
	{ "658", "", "", ResidueType::NON_POLYMER, false, "N-(4-chlorophenyl)-2-(3,5-dimethyl-1H-pyrazol-1-yl)pyrimidin-4-amine", 6983 },
	{ "659", "", "", ResidueType::NON_POLYMER, false, "N-[(E)-3-[(2R,3R,4S,5R)-3-fluoro-4-hydroxy-5-[6-(methylamino)purin-9-yl]oxolan-2-yl]prop-2-enyl]-5-(4-fluorophenyl)-2,3-dihydroxy-benzamide", 6984 },
	{ "65A", "", "", ResidueType::NON_POLYMER, false, "4-(2-methoxyphenyl)-3,7,7-trimethyl-1,6,7,8-tetrahydro-5H-pyrazolo[3,4-b]quinolin-5-one", 6985 },
	{ "65B", "", "", ResidueType::NON_POLYMER, false, "4-({6-AMINO-5-BROMO-2-[(4-CYANOPHENYL)AMINO]PYRIMIDIN-4-YL}OXY)-3,5-DIMETHYLBENZONITRILE", 6986 },
	{ "65C", "", "", ResidueType::NON_POLYMER, false, "CHIR99021", 6987 },
	{ "65D", "", "", ResidueType::NON_POLYMER, false, "octyl 3,4,5-trihydroxybenzoate", 6988 },
	{ "65H", "", "", ResidueType::NON_POLYMER, false, "6-[(4-methoxyphenyl)sulfanyl]-5,7-dimethyl-7H-pyrrolo[2,3-d]pyrimidine-2,4-diamine", 6989 },
	{ "65J", "", "", ResidueType::NON_POLYMER, false, "7-ethyl-6-[(3-methoxyphenyl)sulfanyl]-5-methyl-7H-pyrrolo[2,3-d]pyrimidine-2,4-diamine", 6990 },
	{ "65K", "", "", ResidueType::NON_POLYMER, false, "4-carbamimidoylbenzoic acid", 6991 },
	{ "65N", "", "", ResidueType::NON_POLYMER, false, "N~6~-methyl-N~6~-[4-(trifluoromethoxy)phenyl]pyrido[3,2-d]pyrimidine-2,4,6-triamine", 6992 },
	{ "65O", "", "", ResidueType::NON_POLYMER, false, "5-methyl-6-(naphthalen-1-ylsulfanyl)thieno[2,3-d]pyrimidine-2,4-diamine", 6993 },
	{ "65P", "", "", ResidueType::NON_POLYMER, false, "(2S)-tert-butoxy[1-(3,4-difluorobenzyl)-6-methyl-4-(5-methyl-3,4-dihydro-2H-chromen-6-yl)-1H-pyrrolo[2,3-b]pyridin-5-yl]acetic acid", 6994 },
	{ "65Q", "", "", ResidueType::NON_POLYMER, false, "5-methyl-6-{[3-(trifluoromethoxy)phenyl]sulfanyl}thieno[2,3-d]pyrimidine-2,4-diamine", 6995 },
	{ "65R", "", "", ResidueType::NON_POLYMER, false, "2-{3-[3-(piperidin-4-yl)propoxy]phenyl}-N-[4-(pyridin-4-yl)-1,3-thiazol-2-yl]acetamide", 6996 },
	{ "65S", "", "", ResidueType::NON_POLYMER, false, "3-fluoro-2-oxopropanoic acid", 6997 },
	{ "65U", "", "", ResidueType::NON_POLYMER, false, "5-benzyl-N-[(3S)-5-methyl-4-oxo-2,3,4,5-tetrahydro-1,5-benzoxazepin-3-yl]-1,2-oxazole-3-carboxamide", 6998 },
	{ "65V", "", "", ResidueType::NON_POLYMER, false, "3-({2-[1-(3-fluoro-4-hydroxyphenyl)-1H-1,2,3-triazol-4-yl]quinolin-5-yl}oxy)benzoic acid", 6999 },
	{ "65W", "", "", ResidueType::NON_POLYMER, false, "2-methyl-2-[4-(naphthalen-1-yl)phenoxy]propanoic acid", 7000 },
	{ "65X", "", "", ResidueType::NON_POLYMER, false, "6-chloro-4-phenyl-2-(piperidin-1-yl)-3-(1H-tetrazol-5-yl)quinoline", 7001 },
	{ "65Y", "", "", ResidueType::NON_POLYMER, false, "6-Chloro-2-isopropyl-4-(3-isopropyl-phenyl)-quinoline-3-carboxylic acid", 7002 },
	{ "65Z", "", "", ResidueType::NON_POLYMER, false, "6,8-dichloro-4-phenyl-2-(piperidin-1-yl)quinoline-3-carboxylic acid", 7003 },
	{ "660", "", "", ResidueType::NON_POLYMER, false, "", 7004 },
	{ "662", "", "", ResidueType::NON_POLYMER, false, "5-(4-fluorophenyl)-2,3-dihydroxy-N-[(E)-3-[(2R,3R,4R,5R)-4-hydroxy-3-methyl-5-[6-(propylamino)purin-9-yl]oxolan-2-yl]prop-2-enyl]benzamide", 7005 },
	{ "663", "", "", ResidueType::NON_POLYMER, false, "3-CHLORO-N-(4-CHLORO-2-{[(5-CHLOROPYRIDIN-2-YL)AMINO]CARBONYL}-6-METHOXYPHENYL)-4-[(1-METHYL-1H-IMIDAZOL-2-YL)METHYL]THIOPHENE-2-CARBOXAMIDE", 7006 },
	{ "664", "", "", ResidueType::NON_POLYMER, false, "1-METHYL-2-(2-{[5-(4-METHYLPIPERAZIN-1-YL)-2-(TRIFLUOROMETHOXY)PHENYL]AMINO}PYRIMIDIN-4-YL)-1,5,6,7-TETRAHYDRO-4H-PYRROLO[3,2-C]PYRIDIN-4-ONE", 7007 },
	{ "665", "", "", ResidueType::NON_POLYMER, false, "(3S)-N-(3-BROMOPHENYL)-1-CYCLOHEXYL-5-OXOPYRROLIDINE-3-CARBOXAMIDE", 7008 },
	{ "666", "", "", ResidueType::NON_POLYMER, false, "6-(4-{[2-(3-IODOBENZYL)-3-OXOCYCLOHEX-1-EN-1-YL]AMINO}PHENYL)-5-METHYL-4,5-DIHYDROPYRIDAZIN-3(2H)-ONE", 7009 },
	{ "667", "", "", ResidueType::NON_POLYMER, false, "6-OXO-8,9,10,11-TETRAHYDRO-7H-CYCLOHEPTA[C][1]BENZOPYRAN-3-O-SULFAMATE", 7010 },
	{ "668", "", "", ResidueType::NON_POLYMER, false, "2-chloro-4-{1'-[(2R)-2-hydroxy-3-methyl-2-(trifluoromethyl)butanoyl]-4,4'-bipiperidin-1-yl}-N,N-dimethylbenzamide", 7011 },
	{ "669", "", "", ResidueType::NON_POLYMER, false, "1-(5-CARBOXYPENTYL)-5-(2,6-DICHLOROBENZYLOXY)-1H-INDOLE-2-CARBOXYLIC ACID", 7012 },
	{ "66A", "", "", ResidueType::NON_POLYMER, false, "7-[cis-3-(azetidin-1-ylmethyl)cyclobutyl]-5-[3-(benzyloxy)phenyl]-7H-pyrrolo[2,3-d]pyrimidin-4-amine", 7013 },
	{ "66B", "", "", ResidueType::NON_POLYMER, false, "(8E,12Z,15Z,18Z,21Z)-6-oxotetracosa-8,12,15,18,21-pentaenoic acid", 7014 },
	{ "66C", "", "", ResidueType::PEPTIDE_LINKING, false, "4-[8-(beta-alanyl)-8,9-dihydro-1H-dibenzo[b,f][1,2,3]triazolo[4,5-d]azocin-1-yl]-L-phenylalanine", 7015 },
	{ "66D", "", "", ResidueType::PEPTIDE_LINKING, false, "(4R)-2,4-dimethyl-L-norleucine", 7016 },
	{ "66E", "", "", ResidueType::PEPTIDE_LINKING, false, "N-ethyl-L-valine", 7017 },
	{ "66F", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(5R)-3-amino-2,5-dimethyl-1,1-dioxido-5,6-dihydro-2H-1,2,4-thiadiazin-5-yl]-4-fluorophenyl}-5-fluoropyridine-2-carboxamide", 7018 },
	{ "66G", "", "", ResidueType::NON_POLYMER, false, "(4Z)-4-[hydroxy(sulfanyl)methylidene]-2-[(2S)-pyrrolidin-2-yl]-1,3-oxazol-5(4H)-one", 7019 },
	{ "66H", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(2E,4R)-2-imino-1-methyl-5-oxo-4-phenylimidazolidin-4-yl]phenyl}furan-2-carboxamide", 7020 },
	{ "66J", "", "", ResidueType::NON_POLYMER, false, "(3E,5S)-5-{3-chloro-5-[5-(prop-1-yn-1-yl)pyridin-3-yl]thiophen-2-yl}-2,5-dimethyl-1,2,4-thiadiazinan-3-imine 1,1-dioxide", 7021 },
	{ "66K", "", "", ResidueType::NON_POLYMER, false, "4-[(4-methylpiperazin-1-yl)methyl]-N-(4-methyl-3-{[1-(pyridin-3-ylcarbonyl)piperidin-4-yl]oxy}phenyl)-3-(trifluoromethyl)benzamide", 7022 },
	{ "66L", "", "", ResidueType::NON_POLYMER, false, "N-[3-fluoro-4-({7-[2-(morpholin-4-yl)ethoxy]-1,6-naphthyridin-4-yl}oxy)phenyl]-N'-(4-fluorophenyl)cyclopropane-1,1-dicarboxamide", 7023 },
	{ "66M", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-{[6-({[(2S,3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]carbonyl}amino)hexanoyl]amino}butanedioic acid (non-preferred name)", 7024 },
	{ "66N", "", "", ResidueType::NON_POLYMER, false, "L-alaninamide", 7025 },
	{ "66P", "", "", ResidueType::NON_POLYMER, false, "4-[(4-aminocyclohexyl)amino]-3-(1H-benzimidazol-2-yl)-1H-pyridin-2-one", 7026 },
	{ "66R", "", "", ResidueType::NON_POLYMER, false, "trans-Ned 19", 7027 },
	{ "66S", "", "", ResidueType::NON_POLYMER, false, "S-[2-({N-[(2R)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alanyl}amino)ethyl] octanethioate", 7028 },
	{ "66T", "", "", ResidueType::NON_POLYMER, false, "N-{3-[2-(3,5-dimethoxyphenyl)ethyl]-1H-pyrazol-5-yl}-4-[(3R,5S)-3,5-dimethylpiperazin-1-yl]benzamide", 7029 },
	{ "66U", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3S,4R,5S,6R)-5-amino-6-(hydroxymethyl)cyclohexane-1,2,3,4-tetrol", 7030 },
	{ "66V", "", "", ResidueType::NON_POLYMER, false, "1-(8-{[(1S,2R,3S,4S,5R,6R)-2,3,4,5-tetrahydroxy-6-(hydroxymethyl)cyclohexyl]amino}octyl)triaza-1,2-dien-2-ium", 7031 },
	{ "66X", "", "", ResidueType::NON_POLYMER, false, "N-{(3S)-1-[2-(methylamino)pyrimidin-4-yl]pyrrolidin-3-yl}-N'-{4-[(morpholin-4-yl)methyl]-3-(trifluoromethyl)phenyl}urea", 7032 },
	{ "66Y", "", "", ResidueType::NON_POLYMER, false, "(1S,4R)-2-azabicyclo[2.2.1]hept-5-en-3-one", 7033 },
	{ "66Z", "", "", ResidueType::NON_POLYMER, false, "(1~{S},4~{R})-3-azabicyclo[2.2.1]hept-5-en-2-one", 7034 },
	{ "670", "", "", ResidueType::NON_POLYMER, false, "p-(4-ferrocenyl-1H-1,2,3-triazol-1-yl)benzenesulfonamide", 7035 },
	{ "671", "", "", ResidueType::NON_POLYMER, false, "1-(4-aminobenzyl)-3-{2-[(2R)-2-(naphthalen-1-yl)pyrrolidin-1-yl]-2-oxoethyl}urea", 7036 },
	{ "672", "Q72", "", ResidueType::NON_POLYMER, false, "(S)-4-(4-(3-(3-CARBAMIMIDOYLPHENYL)-2-(2,4,6-TRIISOPROPYLPHENYLSULFONAMIDO)PROPANOYL)PIPERAZINE-1-CARBONYL)PIPERIDINE-1-CARBOXIMIDAMIDE", 7037 },
	{ "673", "", "", ResidueType::NON_POLYMER, false, "N-(1-methylethyl)-3-[(3-prop-2-en-1-ylbiphenyl-4-yl)oxy]propan-1-amine", 7038 },
	{ "675", "", "", ResidueType::NON_POLYMER, false, "6-[(Z)-AMINO(IMINO)METHYL]-N-PHENYL-2-NAPHTHAMIDE", 7039 },
	{ "676", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-2-AMINO-1-PHENYLETHYL]-2-[(4S)-7-(2-FLUORO-4-PYRIDINYL)-1-OXO-1,2,3,4-TETRAHYDROPYRROLO[1,2-A]PYRAZIN-4-YL]ACETAMIDE", 7040 },
	{ "677", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-7-(methylsulfonyl)-3-(2,4,5-trifluorophenyl)-1,2,3,4-tetrahydropyrido[1,2-a]benzimidazol-2-amine", 7041 },
	{ "678", "", "", ResidueType::NON_POLYMER, false, "(3-{5-[AMINO(IMINIO)METHYL]-1H-INDOL-2-YL}-5-BROMO-4-OXIDOPHENYL)ACETATE", 7042 },
	{ "679", "", "", ResidueType::NON_POLYMER, false, "2-CHLORO-5-[4-(3-CHLORO-PHENYL)-2,5-DIOXO-2,5-DIHYDRO-1H-PYRROL-3-YLAMINO]-BENZOIC ACID", 7043 },
	{ "67A", "", "", ResidueType::NON_POLYMER, false, "3-(1-phenyl-1H-pyrazol-5-yl)-1-[3-(trifluoromethoxy)phenyl]pyridazin-4(1H)-one", 7044 },
	{ "67B", "", "", ResidueType::NON_POLYMER, false, "N,N-dimethyl-3-(6-methyl-7-oxo-6,7-dihydro-1H-pyrrolo[2,3-c]pyridin-4-yl)benzamide", 7045 },
	{ "67C", "", "", ResidueType::NON_POLYMER, false, "3-[6-(but-3-en-1-yl)-7-oxo-6,7-dihydro-1H-pyrrolo[2,3-c]pyridin-4-yl]-N,N-dimethylbenzamide", 7046 },
	{ "67D", "", "", ResidueType::NON_POLYMER, false, "3-(5-O-{[3-(1H-indol-3-yl)propanoyl]sulfamoyl}-beta-D-ribofuranosyl)-3H-imidazo[2,1-i]purine", 7047 },
	{ "67F", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{[2-({[(2R,3R,4R,5S,6R)-3-(acetylamino)-4,5-dihydroxy-6-(hydroxymethyl)tetrahydro-2H-pyran-2-yl]carbamothioyl}amino)ethyl](biphenyl-4-ylsulfonyl)amino}-3-methylbutanoic acid (non-preferred name)", 7048 },
	{ "67G", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-2-[7-{[5-chloro-3-(trifluoromethyl)-1H-pyrazol-1-yl]methyl}-5-oxo-2-(trifluoromethyl)-5H-[1,3]thiazolo[3,2-a]pyrimidin-3-yl]cyclopropane-1-carbonitrile", 7049 },
	{ "67H", "", "", ResidueType::NON_POLYMER, false, "7-{[ethyl(4-fluorophenyl)amino]methyl}-N,2-dimethyl-5-oxo-5H-[1,3]thiazolo[3,2-a]pyrimidine-3-carboxamide", 7050 },
	{ "67J", "", "", ResidueType::NON_POLYMER, false, "N-ethyl-7-{[2-fluoro-3-(trifluoromethyl)phenyl]methyl}-2-methyl-5-oxo-5H-[1,3]thiazolo[3,2-a]pyrimidine-3-carboxamide", 7051 },
	{ "67K", "", "", ResidueType::NON_POLYMER, false, "4-hydroxy[2,2'-bipyridine]-6-carbaldehyde", 7052 },
	{ "67L", "", "", ResidueType::NON_POLYMER, false, "6-(hydroxymethyl)[2,2'-bipyridin]-4-ol", 7053 },
	{ "67M", "", "", ResidueType::NON_POLYMER, false, "", 7054 },
	{ "67N", "", "", ResidueType::NON_POLYMER, false, "6-methyl-1,6-dihydro-7H-pyrrolo[2,3-c]pyridin-7-one", 7055 },
	{ "67O", "", "", ResidueType::NON_POLYMER, false, "(2R,15R)-2-[(1-aminoisoquinolin-6-yl)amino]-8-fluoro-7-hydroxy-4,15,17-trimethyl-13-oxa-4,11-diazatricyclo[14.2.2.1~6,10~]henicosa-1(18),6(21),7,9,16,19-hexaene-3,12-dione", 7056 },
	{ "67P", "", "", ResidueType::NON_POLYMER, false, "N-({4-[2-(benzenecarbonyl)hydrazinecarbonyl]phenyl}methyl)-3-chloro-4-fluorobenzene-1-sulfonamide", 7057 },
	{ "67Q", "", "", ResidueType::NON_POLYMER, false, "5-({[(3,4-difluorophenyl)sulfonyl]amino}methyl)-6-methyl-N-[(2-methyl-4H-1lambda~4~,3-thiazol-5-yl)methyl]pyrazine-2-carboxamide", 7058 },
	{ "67R", "", "", ResidueType::NON_POLYMER, false, "5-({[(3-chloro-4-fluorophenyl)sulfonyl]amino}methyl)-N-[(2-methyl-1,3-thiazol-5-yl)methyl]pyrazine-2-carboxamide", 7059 },
	{ "67S", "", "", ResidueType::NON_POLYMER, false, "{2-[(2R)-4-[4-(hydroxymethyl)-3-(methylsulfonyl)phenyl]-2-(propan-2-yl)piperazin-1-yl]-4-(trifluoromethyl)pyrimidin-5-yl}methanol", 7060 },
	{ "67T", "", "", ResidueType::NON_POLYMER, false, "2,4-diamino-6-{[(1S)-1-(5-chloro-4-oxo-3-phenyl-3,4-dihydroquinazolin-2-yl)ethyl]amino}pyrimidine-5-carbonitrile", 7061 },
	{ "67U", "", "", ResidueType::NON_POLYMER, false, "6-bromo-2-[1-methyl-3-(propan-2-yl)-1H-pyrazol-4-yl]-1H-imidazo[4,5-b]pyridine", 7062 },
	{ "67W", "", "", ResidueType::NON_POLYMER, false, "(2-{[4-(1H-pyrazol-3-yl)phenyl]carbamoyl}phenyl)acetic acid", 7063 },
	{ "67X", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-methyl-1,2,3,4-tetrahydroquinoline-8-sulfonamide", 7064 },
	{ "67Y", "", "", ResidueType::NON_POLYMER, false, "2-hydroxy-N-[(1R)-1,2,3,4-tetrahydronaphthalen-1-yl]acetamide", 7065 },
	{ "67Z", "", "", ResidueType::NON_POLYMER, false, "1-(4-aminobenzyl)-3-{2-[(2R)-2-(2,5-dimethoxyphenyl)pyrrolidin-1-yl]-2-oxoethyl}urea", 7066 },
	{ "680", "", "", ResidueType::NON_POLYMER, false, "6-METHYLAMINO-5-NITROISOCYTOSINE", 7067 },
	{ "681", "", "", ResidueType::NON_POLYMER, false, "2-(5-AMINO-6-OXO-2-PHENYL-6H-PYRIMIDIN-1-YL)-N-[2-(5-TERT-BUTYL-1,3,4-OXADIAZOL-2-YL)-1-(METHYLETHYL)-2-HYDROXYETHYL]ACETAMIDE", 7068 },
	{ "682", "", "", ResidueType::NON_POLYMER, false, "N~2~-(AMINOCARBONYL)-N~1~-{4-{[AMINO(IMINO)METHYL]AMINO}-1-[HYDROXY(1,3-THIAZOL-2-YL)METHYL]BUTYL}VALINAMIDE", 7069 },
	{ "683", "", "", ResidueType::NON_POLYMER, false, "2-[(2-carboxyphenyl)amino]-5-methylbenzoic acid", 7070 },
	{ "684", "", "", ResidueType::NON_POLYMER, false, "4-({5-[(2,4-diaminopteridin-6-yl)methyl]-5H-dibenzo[b,f]azepin-2-yl}oxy)butanoic acid", 7071 },
	{ "685", "", "", ResidueType::NON_POLYMER, false, "2-{2-[(3,5-dimethylphenyl)amino]pyrimidin-4-yl}-N-[(1S)-2-hydroxy-1-methylethyl]-4-methyl-1,3-thiazole-5-carboxamide", 7072 },
	{ "686", "", "", ResidueType::NON_POLYMER, false, "N-({(1S)-5-[(4-bromobenzyl)({6-[4-(4-{4-[4-carboxy-3-(6-hydroxy-3-oxo-3H-xanthen-9-yl)benzoyl]piperazin-1-yl}phenyl)piperazin-1-yl]pyridin-3-yl}carbonyl)amino]-1-carboxypentyl}carbamoyl)-L-glutamic acid", 7073 },
	{ "687", "", "", ResidueType::NON_POLYMER, false, "N-ACETYL-N-[1-(1,1'-BIPHENYL-4-YLMETHYL)-2-OXOAZEPAN-3-YL]-3-FORMYL-O-PHOSPHONOTYROSINAMIDE", 7074 },
	{ "688", "", "", ResidueType::NON_POLYMER, false, "2-[AMINO(IMINO)METHYL]-2-HYDROXYPHENOXY]-6-[3-(4,5-DIHYDRO-1H-IMIDAZOL-2-YL)PHENOXY]PYRIDINE-4-CARBOXYLIC ACID", 7075 },
	{ "689", "", "", ResidueType::NON_POLYMER, false, "4-[(1S,2S,5S)-5-(HYDROXYMETHYL)-6,8,9-TRIMETHYL-3-OXABICYCLO[3.3.1]NON-7-EN-2-YL]PHENOL", 7076 },
	{ "68A", "", "", ResidueType::NON_POLYMER, false, "3,5-dimethyl-4-oxo-3,4-dihydrothieno[2,3-d]pyrimidine-6-carboxylic acid", 7077 },
	{ "68B", "", "", ResidueType::NON_POLYMER, false, "N-(pyrimidin-5-yl)benzamide", 7078 },
	{ "68C", "", "", ResidueType::NON_POLYMER, false, "5-methyl-4-oxo-N-(1,3,4-thiadiazol-2-yl)-3,4-dihydrothieno[2,3-d]pyrimidine-6-carboxamide", 7079 },
	{ "68D", "", "", ResidueType::NON_POLYMER, false, "{2-[(5-methyl-4-oxo-3,4-dihydrothieno[2,3-d]pyrimidine-6-carbonyl)amino]phenyl}acetic acid", 7080 },
	{ "68E", "", "", ResidueType::NON_POLYMER, false, "5-[5-(3-hydroxyprop-1-yn-1-yl)thiophen-2-yl]-4-methoxy-2-methyl-N-[(quinolin-8-yl)sulfonyl]benzamide", 7081 },
	{ "68F", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,4R,5S,2'S,3'S,4'R,5'S)-2,2'-(butane-1,4-diyl)bis(5-methylpyrrolidine-3,4-diol)", 7082 },
	{ "68G", "", "", ResidueType::NON_POLYMER, false, "", 7083 },
	{ "68H", "", "", ResidueType::NON_POLYMER, false, "SALBUTAMOL", 7084 },
	{ "68J", "", "", ResidueType::NON_POLYMER, false, "N-(1-{3-[2-(2-amino-3-{3-[(3,3-dimethylbutyl)amino]-3-oxopropyl}quinolin-6-yl)phenyl]prop-2-yn-1-yl}cyclopropyl)-4-fluorobenzamide", 7085 },
	{ "68K", "", "", ResidueType::NON_POLYMER, false, "N-(6-{2-[2-(2-amino-3-{3-[(3,3-dimethylbutyl)amino]-3-oxopropyl}quinolin-6-yl)phenyl]ethyl}pyridin-3-yl)-4-fluorobenzamide", 7086 },
	{ "68L", "", "", ResidueType::NON_POLYMER, false, "N-[(5S)-2'-amino-3-(5,6-dihydro-2H-pyran-3-yl)-5'H-spiro[1-benzopyrano[2,3-c]pyridine-5,4'-[1,3]oxazol]-7-yl]-5-chloropyridine-2-carboxamide", 7087 },
	{ "68M", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-[2-amino-6-(3-methylpyridin-2-yl)quinolin-3-yl]-N-(3,3-dimethylbutyl)-2-methylpropanamide", 7088 },
	{ "68N", "", "", ResidueType::NON_POLYMER, false, "[(1S)-1,2,3,4-tetrahydroisoquinolin-1-yl]methanol", 7089 },
	{ "68O", "", "", ResidueType::NON_POLYMER, false, "5-ethyl-4-fluoro-2-(2-fluorophenoxy)phenol", 7090 },
	{ "68P", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-[3-(dimethylamino)propyl]-1-(4-fluorophenyl)-1,3-dihydro-2-benzofuran-5-carbonitrile", 7091 },
	{ "68Q", "", "", ResidueType::NON_POLYMER, false, "3-{[(3,4-dichlorophenyl)carbamoyl]amino}benzoic acid", 7092 },
	{ "68R", "", "", ResidueType::NON_POLYMER, false, "2-[(1S)-1-({6-amino-5-[(1H-pyrazol-4-yl)ethynyl]pyrimidin-4-yl}amino)ethyl]-5-chloro-3-phenylquinazolin-4(3H)-one", 7093 },
	{ "68T", "", "", ResidueType::NON_POLYMER, false, "5-[5-(3-hydroxyprop-1-yn-1-yl)thiophen-2-yl]-2,4-dimethoxy-N-[(3-methoxyphenyl)sulfonyl]benzamide", 7094 },
	{ "68U", "", "", ResidueType::NON_POLYMER, false, "N-methyl-8-(1-methyl-2,2-dioxo-2,3-dihydro-1H-2lambda~6~,1-benzothiazol-5-yl)-1,6-naphthyridine-2-carboxamide", 7095 },
	{ "68V", "", "", ResidueType::NON_POLYMER, false, "3-{[(4-bromophenyl)carbamoyl]amino}benzoic acid", 7096 },
	{ "68W", "", "", ResidueType::NON_POLYMER, false, "", 7097 },
	{ "68Y", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-methyl-7-[(1R)-1-phenylethoxy]-1,3,4,5-tetrahydro-2H-1,5-benzodiazepin-2-one", 7098 },
	{ "68Z", "", "", ResidueType::DNA_LINKING, false, "1R,2S,4R)-4-[2-azanyl-6,8-bis(oxidanylidene)-1,7-dihydropurin-9-yl]-2-oxidanyl-cyclopentyl]methyl dihydrogen phosphate", 7099 },
	{ "690", "", "", ResidueType::NON_POLYMER, false, "5-cyclopropyl-2-(4-fluorophenyl)-6-[{2-[(3R)-1-hydroxy-1,3-dihydro-2,1-benzoxaborol-3-yl]ethyl}(methylsulfonyl)amino]-N-methyl-1-benzofuran-3-carboxamide", 7100 },
	{ "691", "", "", ResidueType::NON_POLYMER, false, "N-(quinolin-3-yl)acetamide", 7101 },
	{ "692", "", "", ResidueType::NON_POLYMER, false, "N-methyl-1-(2-thiophen-2-ylphenyl)methanamine", 7102 },
	{ "693", "", "", ResidueType::NON_POLYMER, false, "2-(5-{5-[AMINO(IMINIO)METHYL]-1H-BENZIMIDAZOL-2-YL}-2'-FLUORO-6-OXIDO-1,1'-BIPHENYL-3-YL)SUCCINATE", 7103 },
	{ "694", "", "", ResidueType::NON_POLYMER, false, "4-BROMO-3-(CARBOXYMETHOXY)-5-(4-HYDROXYPHENYL)THIOPHENE-2-CARBOXYLIC ACID", 7104 },
	{ "695", "", "", ResidueType::NON_POLYMER, false, "N-{2-[7-(methylsulfamoyl)naphthalen-1-yl]ethyl}acetamide", 7105 },
	{ "696", "", "", ResidueType::NON_POLYMER, false, "3-{5-[AMINO(IMINIO)METHYL]-1H-INDOL-2-YL}-1,1'-BIPHENYL-2-OLATE", 7106 },
	{ "697", "", "", ResidueType::NON_POLYMER, false, "5-HYDROXY-2-(4-HYDROXYPHENYL)-1-BENZOFURAN-7-CARBONITRILE", 7107 },
	{ "698", "", "", ResidueType::NON_POLYMER, false, "(2S,4S,5R)-1-(4-TERT-BUTYLBENZOYL)-2-ISOBUTYL-5-(1,3-THIAZOL-2-YL)PYRROLIDINE-2,4-DICARBOXYLIC ACID", 7108 },
	{ "699", "", "", ResidueType::NON_POLYMER, false, "(2S,4S,5R)-2-ISOBUTYL-5-(2-THIENYL)-1-[4-(TRIFLUOROMETHYL)BENZOYL]PYRROLIDINE-2,4-DICARBOXYLIC ACID", 7109 },
	{ "69A", "", "", ResidueType::NON_POLYMER, false, "(4R)-N-benzyl-4-methyl-2-oxo-2,3,4,5-tetrahydro-1H-1,5-benzodiazepine-6-carboxamide", 7110 },
	{ "69B", "", "", ResidueType::NON_POLYMER, false, "(4R)-6-(3-cyclopropyl-1-methyl-1H-indazol-5-yl)-4-methyl-1,3,4,5-tetrahydro-2H-1,5-benzodiazepin-2-one", 7111 },
	{ "69C", "", "", ResidueType::NON_POLYMER, false, "(6R)-3-(methylsulfanyl)-6-phenyl-1-(1H-pyrazol-3-yl)-6,7-dihydrothieno[3,4-c]pyridin-4(5H)-one", 7112 },
	{ "69D", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-(4-bromophenyl)-1-[3-(dimethylamino)propyl]-1,3-dihydro-2-benzofuran-5-carbonitrile", 7113 },
	{ "69E", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-methyl-6-[1-methyl-3-(1-methyl-1H-pyrazol-4-yl)-1H-indazol-5-yl]-1,3,4,5-tetrahydro-2H-1,5-benzodiazepin-2-one", 7114 },
	{ "69F", "", "", ResidueType::NON_POLYMER, false, "(4R)-6-[3-(benzyloxy)phenyl]-4-methyl-1,3,4,5-tetrahydro-2H-1,5-benzodiazepin-2-one", 7115 },
	{ "69G", "", "", ResidueType::NON_POLYMER, false, "3-{6-[(2E)-but-2-en-1-yl]-7-oxo-6,7-dihydro-1H-pyrrolo[2,3-c]pyridin-4-yl}-N,N-dimethylbenzamide", 7116 },
	{ "69H", "", "", ResidueType::NON_POLYMER, false, "4-fluoro-5-hexyl-2-(2-methylphenoxy)phenol", 7117 },
	{ "69J", "", "", ResidueType::NON_POLYMER, false, "5-ethyl-4-fluoro-2-(2-nitrophenoxy)phenol", 7118 },
	{ "69K", "", "", ResidueType::NON_POLYMER, false, "5-ethyl-4-fluoro-2-[(2-methylpyridin-3-yl)oxy]phenol", 7119 },
	{ "69M", "", "", ResidueType::NON_POLYMER, false, "4-[5-amino-4-(3'-amino[1,1'-biphenyl]-3-yl)-1H-pyrazol-3-yl]phenol", 7120 },
	{ "69O", "", "", ResidueType::NON_POLYMER, false, "2-oxopentanoic acid", 7121 },
	{ "69P", "", "", ResidueType::NON_POLYMER, false, "6-piperazin-1-yl-9H-purine", 7122 },
	{ "69Q", "", "", ResidueType::NON_POLYMER, false, "2-methyl-1-[(4-[6-(trifluoromethyl)pyridin-2-yl]-6-{[2-(trifluoromethyl)pyridin-4-yl]amino}-1,3,5-triazin-2-yl)amino]propan-2-ol", 7123 },
	{ "69R", "", "", ResidueType::NON_POLYMER, false, "4,4'-(5-{[(1H-imidazol-4-yl)methyl]amino}-1H-pyrazole-3,4-diyl)diphenol", 7124 },
	{ "69S", "", "", ResidueType::NON_POLYMER, false, "3'-amino-5-[5-amino-3-(4-hydroxyphenyl)-1H-pyrazol-4-yl][1,1'-biphenyl]-2-ol", 7125 },
	{ "69T", "", "", ResidueType::NON_POLYMER, false, "4-{5-[(4-hydroxyphenyl)amino]-1H-pyrazol-3-yl}phenol", 7126 },
	{ "69U", "", "", ResidueType::NON_POLYMER, false, "4,4'-(5-{[(4-hydroxyphenyl)methyl]amino}-1H-pyrazole-3,4-diyl)diphenol", 7127 },
	{ "69V", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-N-{5-[4-({5-[(phenylacetyl)amino]-1,3,4-thiadiazol-2-yl}oxy)piperidin-1-yl]-1,3,4-thiadiazol-2-yl}acetamide", 7128 },
	{ "69W", "", "", ResidueType::NON_POLYMER, false, "4-(3'-amino[1,1'-biphenyl]-3-yl)-1H-pyrazol-5-amine", 7129 },
	{ "69Y", "", "", ResidueType::NON_POLYMER, false, "4,4,4-trifluoro-1-(3-phenyl-1-oxa-2,8-diazaspiro[4.5]dec-2-en-8-yl)butan-1-one", 7130 },
	{ "69Z", "", "", ResidueType::NON_POLYMER, false, "[(2S)-2-(4-chlorophenyl)pyrrolidin-1-yl](5-methylimidazo[5,1-b][1,3,4]thiadiazol-2-yl)methanone", 7131 },
	{ "6A0", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-8-(hydroxyamino)-8-oxooctanoic acid", 7132 },
	{ "6A1", "", "", ResidueType::NON_POLYMER, false, "hydroxy(2-{[(5S)-6-hydroxy-8-methoxy-4,5-dihydro-3H-imidazo[4,5,1-de]acridin-5-yl]amino}ethyl)dimethylammonium", 7133 },
	{ "6A4", "", "", ResidueType::NON_POLYMER, false, "(4S)-2-sulfanylidene-4-[(tetradecanoyloxy)methyl]-1,3,2lambda~5~-dioxaphospholane-2-thiolate", 7134 },
	{ "6A5", "", "", ResidueType::NON_POLYMER, false, "Sa-(+)-(6-(aminomethyl)-5-(2,4-dichlorophenyl)-7-methylimidazo[1,2-a]pyrimidin-2-yl)(morpholino)methanone", 7135 },
	{ "6A6", "", "", ResidueType::NON_POLYMER, false, "(3-amino-1H-indazol-5-yl)[(2S)-2-(4-fluorophenyl)piperidin-1-yl]methanone", 7136 },
	{ "6A7", "", "", ResidueType::NON_POLYMER, false, "[(2S)-2-(4-chlorophenyl)pyrrolidin-1-yl](3-methyl-1H-pyrazolo[3,4-b]pyridin-5-yl)methanone", 7137 },
	{ "6A8", "", "", ResidueType::NON_POLYMER, false, "((R)-1-((S)-3-(4-(aminomethyl)phenyl)-2-benzamidopropaneamido)-4-guanidinobutyl)boronic acid, cyclic double ester with glycerol", 7138 },
	{ "6A9", "", "", ResidueType::NON_POLYMER, false, "", 7139 },
	{ "6AB", "", "BE2", ResidueType::NON_POLYMER, true, "6-AMINOBENZOIC ACID", 7140 },
	{ "6AC", "", "", ResidueType::NON_POLYMER, false, "prop-2-enenitrile", 7141 },
	{ "6AD", "", "", ResidueType::NON_POLYMER, false, "", 7142 },
	{ "6AE", "", "", ResidueType::NON_POLYMER, false, "4-[(4-{[(2R,3R)-3-hydroxybutan-2-yl]amino}pyrimidin-2-yl)amino]benzene-1-sulfonamide", 7143 },
	{ "6AF", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-3-[(5-bromo-2-{[4-(S-cyclopropylsulfonimidoyl)phenyl]amino}pyrimidin-4-yl)oxy]butan-2-ol", 7144 },
	{ "6AH", "", "", ResidueType::NON_POLYMER, false, "6-aminohexan-1-ol", 7145 },
	{ "6AI", "", "", ResidueType::NON_POLYMER, false, "1H-indazol-6-amine", 7146 },
	{ "6AJ", "", "", ResidueType::NON_POLYMER, false, "2-({2-[(3R)-3-aminopiperidin-1-yl]-5-methyl-6,9-dioxo-5,6,7,9-tetrahydro-1H-imidazo[1,2-a]purin-1-yl}methyl)-4-fluorobenzonitrile", 7147 },
	{ "6AK", "", "", ResidueType::NON_POLYMER, false, "4-{8-chloro-11-[3-(4-chloro-3,5-dimethylphenoxy)propyl]-1-oxo-7-(1,3,5-trimethyl-1H-pyrazol-4-yl)-4,5-dihydro-1H-[1,4]diazepino[1,2-a]indol-2(3H)-yl}-1-methyl-1H-indole-6-carboxylic acid", 7148 },
	{ "6AL", "", "", ResidueType::NON_POLYMER, false, "3-({6-chloro-3-[3-(4-chloro-3,5-dimethylphenoxy)propyl]-7-(1,3,5-trimethyl-1H-pyrazol-4-yl)-1H-indole-2-carbonyl}amino)benzoic acid", 7149 },
	{ "6AM", "", "", ResidueType::NON_POLYMER, false, "4,6-diamino-1,3,5-triazin-2-ol", 7150 },
	{ "6AN", "", "", ResidueType::NON_POLYMER, false, "6-[(1E)-CYCLOHEXA-2,4-DIEN-1-YLIDENEAMINO]NAPHTHALENE-2-SULFONATE", 7151 },
	{ "6AO", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-azanyl-N-[(2S)-1-azanylidene-3-(4-phenylphenyl)propan-2-yl]butanamide", 7152 },
	{ "6AP", "", "", ResidueType::NON_POLYMER, false, "9H-PURINE-2,6-DIAMINE", 7153 },
	{ "6AQ", "", "", ResidueType::NON_POLYMER, false, "1-(4-fluorophenyl)-1H-imidazole", 7154 },
	{ "6AR", "", "", ResidueType::NON_POLYMER, false, "1-(4-bromophenyl)-1H-imidazole", 7155 },
	{ "6AS", "", "", ResidueType::NON_POLYMER, false, "(2Z,4E)-5-[(1S)-3-(hexylsulfanyl)-1-hydroxy-2,6,6-trimethyl-4-oxocyclohex-2-en-1-yl]-3-methylpenta-2,4-dienoic acid", 7156 },
	{ "6AT", "", "", ResidueType::NON_POLYMER, false, "", 7157 },
	{ "6AU", "", "", ResidueType::NON_POLYMER, false, "", 7158 },
	{ "6AV", "", "", ResidueType::NON_POLYMER, false, "5-chloro-2-(1H-imidazol-1-yl)aniline", 7159 },
	{ "6AW", "", "", ResidueType::NON_POLYMER, false, "1,3-thiazol-5-ylmethyl [(3S,6S)-6-{[N-(methyl{[2-(propan-2-yl)-1,3-thiazol-4-yl]methyl}carbamoyl)-L-seryl]amino}octan-3-yl]carbamate", 7160 },
	{ "6AX", "", "", ResidueType::NON_POLYMER, false, "5-[(4-chlorophenyl)methyl]-1,3,4-oxadiazol-2-amine", 7161 },
	{ "6AY", "", "", ResidueType::NON_POLYMER, false, "N-[(4-chlorophenyl)methyl]-1-methyl-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 7162 },
	{ "6AZ", "", "", ResidueType::NON_POLYMER, false, "", 7163 },
	{ "6B0", "", "", ResidueType::NON_POLYMER, false, "(2,3-dichlorophenyl)methanol", 7164 },
	{ "6B1", "", "", ResidueType::NON_POLYMER, false, "(5,6-dichloro-1H-benzimidazol-2-yl)methanol", 7165 },
	{ "6B2", "", "", ResidueType::NON_POLYMER, false, "N-[(2R,3S)-2-(4-chlorophenyl)-1-(1,4-dimethyl-2-oxo-1,2-dihydroquinolin-7-yl)-6-oxopiperidin-3-yl]-2-methylpropane-1-sulfonamide", 7166 },
	{ "6B3", "", "", ResidueType::NON_POLYMER, false, "", 7167 },
	{ "6B4", "", "", ResidueType::NON_POLYMER, false, "1-(4-aminobenzyl)-3-(2-{(2R)-2-[2-(methylsulfanyl)phenyl]pyrrolidin-1-yl}-2-oxoethyl)urea", 7168 },
	{ "6B5", "", "", ResidueType::NON_POLYMER, false, "2-(3,4-dihydroxyphenyl)-5-hydroxy-7-methoxy-4H-1-chromen-4-one", 7169 },
	{ "6B6", "", "", ResidueType::NON_POLYMER, false, "platinum(4+) tetrahydroxide", 7170 },
	{ "6B7", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{R},4~{R})-4-methyl-3-(2-oxidanylidene-2-propoxy-ethyl)sulfanyl-5-[(2~{S},3~{R})-3-oxidanyl-1-oxidanylidene-butan-2-yl]-3,4-dihydro-2~{H}-pyrrole-2-carboxylic acid", 7171 },
	{ "6B8", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4R)-2-[(2S,3R)-3-hydroxy-1-oxobutan-2-yl]-3-methyl-4-(methylsulfanyl)-3,4-dihydro-2H-pyrrole-5-carboxylic acid", 7172 },
	{ "6B9", "", "", ResidueType::NON_POLYMER, false, "2-(6-hydroxy-3-oxo-3H-xanthen-9-yl)-5-[(E)-(sulfanylmethylidene)amino]benzoic acid", 7173 },
	{ "6BB", "", "", ResidueType::NON_POLYMER, false, "4-[1-(2-fluorophenyl)-1H-pyrazol-4-yl]-3-[(piperidin-4-yl)methoxy]pyridine", 7174 },
	{ "6BC", "", "", ResidueType::NON_POLYMER, false, "5-chloro-7-hydroxy-6-(phenylmethyl)pyrazolo[1,5-a]pyrimidine-3-carbonitrile", 7175 },
	{ "6BD", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-[(9H-fluoren-9-ylideneamino)oxy]-2-methylpropanoic acid", 7176 },
	{ "6BE", "", "", ResidueType::NON_POLYMER, false, "1-methyl-4-(4-{4-[3-(2-methylpropoxy)pyridin-4-yl]-1H-pyrazol-1-yl}phenyl)piperazine", 7177 },
	{ "6BF", "", "", ResidueType::NON_POLYMER, false, "1-methyl-4-[4-(4-{3-[(piperidin-4-yl)methoxy]pyridin-4-yl}-1H-pyrazol-1-yl)phenyl]piperazine", 7178 },
	{ "6BG", "", "", ResidueType::NON_POLYMER, false, "6-bromo-6-deoxy-beta-D-glucopyranose", 7179 },
	{ "6BH", "", "", ResidueType::NON_POLYMER, false, "N-[3-(benzyloxy)phenyl]-3-nitrobenzamide", 7180 },
	{ "6BJ", "", "", ResidueType::NON_POLYMER, false, "N-[(pyridin-2-yl)methyl]-4-[4-(pyridin-4-yl)-1H-pyrazol-1-yl]benzamide", 7181 },
	{ "6BK", "", "", ResidueType::NON_POLYMER, false, "2-(3,4-dihydroxyphenyl)-5-hydroxy-4H-1-benzopyran-4-one", 7182 },
	{ "6BL", "", "", ResidueType::NON_POLYMER, false, "1-methyl[2]benzopyrano[3,4-c]pyrazol-5(3H)-one", 7183 },
	{ "6BM", "", "", ResidueType::NON_POLYMER, false, "[(3S)-1-hydroxy-2-oxopiperidin-3-yl]phosphonic acid", 7184 },
	{ "6BN", "", "", ResidueType::NON_POLYMER, false, "5,8-dichloro-2-[(4-ethyl-6-methyl-2-oxo-1,2-dihydropyridin-3-yl)methyl]-7-({1-[(2R)-2-hydroxypropanoyl]piperidin-4-yl}oxy)-3,4-dihydroisoquinolin-1(2H)-one", 7185 },
	{ "6BP", "", "", ResidueType::NON_POLYMER, false, "HEXABROMOPLATINATE(IV)", 7186 },
	{ "6BQ", "", "", ResidueType::NON_POLYMER, false, "Phosphorylated josamycin", 7187 },
	{ "6BR", "", "", ResidueType::PEPTIDE_LINKING, false, "threoninevanadate", 7188 },
	{ "6BS", "", "", ResidueType::NON_POLYMER, false, "3-[2-amino-6-(2-methylphenyl)quinolin-3-yl]-N-(3,3-dimethylbutyl)propanamide", 7189 },
	{ "6BT", "", "", ResidueType::NON_POLYMER, false, "[(1R)-1,2,3,4-tetrahydroisoquinolin-1-yl]methanol", 7190 },
	{ "6BU", "", "", ResidueType::NON_POLYMER, false, "N-(6-{3-[(cyclopropylsulfonyl)amino]phenyl}-1H-indazol-3-yl)cyclopropanecarboxamide", 7191 },
	{ "6BW", "", "", ResidueType::NON_POLYMER, false, "(2R,5S,10R)-6,10-dimethyl-2-(prop-1-en-2-yl)spiro[4.5]dec-6-ene", 7192 },
	{ "6BX", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-hydroxy-3-(morpholin-4-yl)propane-1-sulfonic acid", 7193 },
	{ "6BY", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-hydroxy-3-(morpholin-4-yl)propane-1-sulfonic acid", 7194 },
	{ "6BZ", "", "", ResidueType::NON_POLYMER, false, "8-(3-aminopropyl)-6-[2-chloro-4-(3-methyl-2-oxopyrazin-1(2H)-yl)phenyl]-2-(methylamino)pyrido[2,3-d]pyrimidin-7(8H)-one", 7195 },
	{ "6C0", "", "", ResidueType::NON_POLYMER, false, "methyl 3-chloro-2-(2-{1-[(5-chlorofuran-2-yl)methyl]-1H-imidazol-2-yl}ethyl)-4,6-dihydroxybenzoate", 7196 },
	{ "6C1", "", "", ResidueType::NON_POLYMER, false, "{2-[(3-chlorophenyl)methoxy]phenyl}boronic acid", 7197 },
	{ "6C2", "", "", ResidueType::NON_POLYMER, false, "methyl 2-(acetylamino)-2-deoxy-beta-D-glucopyranosiduronic acid", 7198 },
	{ "6C3", "", "", ResidueType::NON_POLYMER, false, "6-CHLORO-3-(3-METHYLISOXAZOL-5-YL)-4-PHENYLQUINOLIN-2(1H)-ONE", 7199 },
	{ "6C4", "", "", ResidueType::NON_POLYMER, false, "N-(cyclopentylmethyl)cyclopentanecarboxamide", 7200 },
	{ "6C5", "", "", ResidueType::NON_POLYMER, false, "N-(cyclopentylmethyl)pyrrolidine-1-carboxamide", 7201 },
	{ "6C6", "", "", ResidueType::NON_POLYMER, false, "", 7202 },
	{ "6C7", "", "", ResidueType::NON_POLYMER, false, "S-(3-methylbut-2-en-1-yl) trihydrogen thiodiphosphate", 7203 },
	{ "6C8", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(furan-3-yl)-1-(pyrrolidin-1-yl)prop-2-en-1-one", 7204 },
	{ "6C9", "", "", ResidueType::NON_POLYMER, false, "N-{[(3S)-oxolan-3-yl]methyl}pyrrolidine-1-carboxamide", 7205 },
	{ "6CA", "", "", ResidueType::NON_POLYMER, false, "", 7206 },
	{ "6CB", "", "", ResidueType::NON_POLYMER, false, "3-amino-N-(2'-amino-6'-methyl[4,4'-bipyridin]-3-yl)-6-(2-fluorophenyl)pyridine-2-carboxamide", 7207 },
	{ "6CC", "", "", ResidueType::NON_POLYMER, false, "5-(2-amino-1,3-thiazol-4-yl)-2-chlorobenzene-1-sulfonamide", 7208 },
	{ "6CD", "", "", ResidueType::NON_POLYMER, false, "2-(tert-butylamino)-3-methyl-8-[(6R)-6-methyl-4-oxo-1,4,5,6-tetrahydropyrrolo[3,4-b]pyrrol-2-yl]quinazolin-4(3H)-one", 7209 },
	{ "6CE", "", "", ResidueType::NON_POLYMER, false, "5'-S-[(S)-hydroxy{[2-(1H-indol-3-yl)ethyl]amino}phosphoryl]-5'-thioguanosine", 7210 },
	{ "6CF", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-[(S)-{difluoro[(S)-hydroxy(phosphonooxy)phosphoryl]methyl}(hydroxy)phosphoryl]cytidine", 7211 },
	{ "6CG", "", "", ResidueType::NON_POLYMER, false, "5'-S-phosphono-5'-thioguanosine", 7212 },
	{ "6CH", "", "", ResidueType::NON_POLYMER, false, "[(1~{S},2~{R},4~{S},5~{R})-5-[5-(4-methoxyphenyl)-2-methyl-pyrazol-3-yl]-1-azabicyclo[2.2.2]octan-2-yl]methyl ~{N}-propylcarbamate", 7213 },
	{ "6CJ", "", "", ResidueType::NON_POLYMER, false, "N-[8-(cyclohexyloxy)-1-oxo-2-phenyl-1H-pyrido[2,1-b][1,3]benzothiazole-4-carbonyl]-L-tyrosine", 7214 },
	{ "6CK", "", "", ResidueType::NON_POLYMER, false, "", 7215 },
	{ "6CL", "", "", ResidueType::PEPTIDE_LINKING, false, "6-CARBOXYLYSINE", 7216 },
	{ "6CM", "", "", ResidueType::NON_POLYMER, false, "N-((E,2S,3R)-1,3-DIHYDROXYOCTADEC-4-EN-2-YL)HEXANAMIDE", 7217 },
	{ "6CN", "", "", ResidueType::NON_POLYMER, false, "", 7218 },
	{ "6CO", "", "", ResidueType::NON_POLYMER, false, "[3,3'-(7,12-diethenyl-3,8,13,17-tetramethylporphyrin-2,18-diyl-kappa~4~N~21~,N~22~,N~23~,N~24~)di(propanoato)(2-)](phenyl)iron", 7219 },
	{ "6CP", "", "", ResidueType::NON_POLYMER, false, "", 7220 },
	{ "6CQ", "", "", ResidueType::NON_POLYMER, false, "[3,3'-(7,12-diethenyl-3,8,13,17-tetramethylporphyrin-2,18-diyl-kappa~4~N~21~,N~22~,N~23~,N~24~)di(propanoato)(2-)](3-methylphenyl)iron", 7221 },
	{ "6CR", "", "", ResidueType::NON_POLYMER, false, "6-chloro-9-(beta-D-ribofuranosyl)-9H-purin-2-amine", 7222 },
	{ "6CS", "", "", ResidueType::NON_POLYMER, false, "(4S,5S)-5-HYDROXY-2-METHYL-1,4,5,6-TETRAHYDROPYRIMIDINE-4-CARBOXYLIC ACID", 7223 },
	{ "6CT", "", "T32", ResidueType::DNA_LINKING, true, "PHOSPHORIC ACID MONO-[5-HYDROXYMETHYL-2-METHYL-3-THYMINYL-CYCLOPENTYLMETHYL]ESTER GROUP", 7224 },
	{ "6CU", "", "", ResidueType::NON_POLYMER, false, "(6aS,9R,10R,10aS)-9-ethyl-10-isocyano-6,6,9-trimethyl-5,6,6a,7,8,9,10,10a-octahydroindeno[2,1-b]indole", 7225 },
	{ "6CV", "", "", ResidueType::PEPTIDE_LINKING, false, "3-bromo-L-phenylalanine", 7226 },
	{ "6CW", "", "", ResidueType::PEPTIDE_LINKING, false, "6-CHLORO-L-TRYPTOPHAN", 7227 },
	{ "6CX", "", "", ResidueType::NON_POLYMER, false, "5'-{[(3S)-3-amino-3-carboxypropyl][(1H-imidazol-4-yl)methyl]amino}-5'-deoxyadenosine", 7228 },
	{ "6CY", "", "", ResidueType::NON_POLYMER, false, "5-{4-[3-(4-acetylpiperazine-1-carbonyl)phenyl]quinazolin-6-yl}-2-methoxypyridine-3-carbonitrile", 7229 },
	{ "6CZ", "", "", ResidueType::NON_POLYMER, false, "5'-{[(3S)-3-amino-3-carboxypropyl](3-ethoxy-2,3-dioxopropyl)amino}-5'-deoxyadenosine", 7230 },
	{ "6D0", "", "", ResidueType::NON_POLYMER, false, "5'-{[(3S)-3-amino-3-carboxypropyl](3-bromo-2-oxopropyl)amino}-5'-deoxyadenosine", 7231 },
	{ "6D1", "", "", ResidueType::NON_POLYMER, false, "5'-{[(3S)-3-amino-3-carboxypropyl](2-chloroethyl)amino}-5'-deoxyadenosine", 7232 },
	{ "6D2", "", "", ResidueType::NON_POLYMER, false, "5'-{[(3S)-3-amino-3-carboxypropyl](3-carbamimidamidopropyl)amino}-5'-deoxyadenosine", 7233 },
	{ "6D3", "", "", ResidueType::NON_POLYMER, false, "", 7234 },
	{ "6D4", "", "", ResidueType::NON_POLYMER, false, "5'-{[(3S)-3-amino-3-carboxypropyl][2-(triazan-1-yl)ethyl]amino}-5'-deoxyadenosine", 7235 },
	{ "6D5", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-4-[[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methyl-(3-azidopropyl)amino]-2-azanyl-butanoic acid", 7236 },
	{ "6D6", "", "", ResidueType::NON_POLYMER, false, "5'-{[(3S)-3-amino-3-carboxypropyl](3-aminopropyl)amino}-5'-deoxyadenosine", 7237 },
	{ "6D7", "", "", ResidueType::NON_POLYMER, false, "(R)-orteronel", 7238 },
	{ "6D8", "", "", ResidueType::NON_POLYMER, false, "VT-464", 7239 },
	{ "6DA", "", "", ResidueType::NON_POLYMER, false, "N-[2-(morpholin-4-yl)ethyl]-6-(8-phenyl-1H-imidazo[4,5-c][1,7]naphthyridin-1-yl)-1,3-benzothiazol-2-amine", 7240 },
	{ "6DB", "", "", ResidueType::NON_POLYMER, false, "octopine", 7241 },
	{ "6DC", "", "", ResidueType::NON_POLYMER, false, "N-{2-cyano-3-[(3-methyl-4-oxo-3,4-dihydroquinazolin-6-yl)amino]phenyl}propane-1-sulfonamide", 7242 },
	{ "6DD", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[(2-amino-4-hydroxyquinazolin-6-yl)methyl](formyl)amino}benzoyl)-L-glutamic acid", 7243 },
	{ "6DE", "", "", ResidueType::NON_POLYMER, false, "1-(2-CHLOROPHENYL)-3,5-DIMETHYL-1H-PYRAZOLE-4-CARBOXYLIC ACID ETHYL ESTER", 7244 },
	{ "6DF", "", "", ResidueType::NON_POLYMER, false, "[6-methyl-5-oxidanyl-4-[(~{E})-[(1~{R})-1-phenylethyl]iminomethyl]pyridin-3-yl]methyl dihydrogen phosphate", 7245 },
	{ "6DG", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,5R)-2-(2,5-difluorophenyl)-5-(7H-pyrrolo[3',4':3,4]pyrazolo[1,5-a]pyrimidin-8(9H)-yl)oxan-3-amine", 7246 },
	{ "6DH", "", "", ResidueType::NON_POLYMER, false, "3-[6-(trifluoromethyl)-1H-benzimidazol-2-yl]propan-1-ol", 7247 },
	{ "6DJ", "", "", ResidueType::NON_POLYMER, false, "(3Z,6S,7R,8S,8aS)-3-(butylimino)hexahydro[1,3]thiazolo[3,4-a]pyridine-6,7,8-triol", 7248 },
	{ "6DK", "", "", ResidueType::NON_POLYMER, false, "9,9,9-tris(fluoranyl)-8,8-bis(oxidanyl)-~{N}-phenyl-nonanamide", 7249 },
	{ "6DL", "", "", ResidueType::NON_POLYMER, false, "5-(5-Bromo-2,4-dihydroxy-phenyl)-4-(2-fluoro-phenyl)-2,4-dihydro-[1,2,4]triazol-3-one", 7250 },
	{ "6DM", "", "", ResidueType::NON_POLYMER, false, "6-O-alpha-D-mannopyranosyl-alpha-D-mannopyranose", 7251 },
	{ "6DN", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-azanyl-6-(2-hydroxy-2-oxoethylamino)hexanoic acid", 7252 },
	{ "6DO", "", "", ResidueType::NON_POLYMER, false, "", 7253 },
	{ "6DP", "", "", ResidueType::NON_POLYMER, false, "~{N}-(1~{H}-indazol-4-yl)methanesulfonamide", 7254 },
	{ "6DQ", "", "", ResidueType::NON_POLYMER, false, "2-pyridin-3-yl-1,3-benzothiazin-4-one", 7255 },
	{ "6DR", "", "", ResidueType::NON_POLYMER, false, "6-ethyl-5-{3-[2-methoxy-5-(pyridin-4-yl)phenyl]prop-1-yn-1-yl}pyrimidine-2,4-diamine", 7256 },
	{ "6DS", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-hydroxy-5-[2-methyl-4-(3-{3-methyl-4-[(1E)-4,4,4-trifluoro-3-hydroxy-3-(trifluoromethyl)but-1-en-1-yl]phenyl}pentan-3-yl)phenoxy]pentanoic acid", 7257 },
	{ "6DT", "", "", ResidueType::NON_POLYMER, false, "N-(4-((5-methyl-5H-pyrrolo[3,2-d]pyrimidin-4-yl)oxy)phenyl)-1H-benzimidazol-2-amine", 7258 },
	{ "6DU", "", "", ResidueType::PEPTIDE_LINKING, false, "2-bromo-L-phenylalanine", 7259 },
	{ "6DV", "", "", ResidueType::NON_POLYMER, false, "N~5~-{2-[4-(2,4-difluorophenyl)piperazin-1-yl]ethyl}-2-(furan-2-yl)[1,2,4]triazolo[1,5-a][1,3,5]triazine-5,7-diamine", 7260 },
	{ "6DW", "", "", ResidueType::NON_POLYMER, false, "1-(cyclopropylmethyl)-5-(2-(2,3-dihydro-1H-imidazo[1,2-a]benzimidazol-1-yl)ethoxy)-3-(1-phenyl-1H-pyrazol-5-yl)pyridazin-4(1H)-one", 7261 },
	{ "6DX", "", "", ResidueType::NON_POLYMER, false, "2-(furan-2-yl)-N~5~-[3-(4-phenylpiperazin-1-yl)propyl][1,2,4]triazolo[1,5-a][1,3,5]triazine-5,7-diamine", 7262 },
	{ "6DY", "", "", ResidueType::NON_POLYMER, false, "2-(furan-2-yl)-N~5~-[2-(4-phenylpiperidin-1-yl)ethyl][1,2,4]triazolo[1,5-a][1,3,5]triazine-5,7-diamine", 7263 },
	{ "6DZ", "", "", ResidueType::NON_POLYMER, false, "2-(furan-2-yl)-N~5~-[2-(4-methylpiperazin-1-yl)ethyl][1,2,4]triazolo[1,5-a][1,3,5]triazine-5,7-diamine", 7264 },
	{ "6E0", "", "", ResidueType::NON_POLYMER, false, "octadecylphosphonic acid", 7265 },
	{ "6E1", "", "", ResidueType::NON_POLYMER, false, "3-deoxy-3-[(2,3,5,6-tetrafluoro-4-methoxybenzene-1-carbonyl)amino]-beta-D-galactopyranosyl 3-deoxy-3-[(2,3,5,6-tetrafluoro-4-methoxybenzene-1-carbonyl)amino]-1-thio-beta-D-galactopyranoside", 7266 },
	{ "6E2", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-~{N}-[7-methoxy-8-(3-morpholin-4-ylpropoxy)-2,3-dihydroimidazo[1,2-c]quinazolin-5-yl]pyrimidine-5-carboxamide", 7267 },
	{ "6E3", "", "", ResidueType::NON_POLYMER, false, "2,3,5,6-tetramethyl-1H,7H-pyrazolo[1,2-a]pyrazole-1,7-dione", 7268 },
	{ "6E4", "", "", ResidueType::PEPTIDE_LINKING, false, "L-glutamamide", 7269 },
	{ "6E5", "", "", ResidueType::NON_POLYMER, false, "N-[3-({[(3S,5S)-5-{[(3-{[(Z)-imino(thiophen-2-yl)methyl]amino}benzyl)oxy]methyl}pyrrolidin-3-yl]oxy}methyl)phenyl]thiophene-2-carboximidamide", 7270 },
	{ "6E6", "", "", ResidueType::NON_POLYMER, false, "1-[(2R)-2,3-dihydroxypropyl]-5-[(4-{[6-(2,2,2-trifluoroethyl)thieno[2,3-d]pyrimidin-4-yl]amino}piperidin-1-yl)methyl]-1H-indole-2-carbonitrile", 7271 },
	{ "6E7", "", "", ResidueType::NON_POLYMER, false, "", 7272 },
	{ "6E8", "", "", ResidueType::NON_POLYMER, false, "5-methyl-7-oxo-6-(propan-2-yl)-4,7-dihydropyrazolo[1,5-a]pyrimidine-3-carbonitrile", 7273 },
	{ "6E9", "", "", ResidueType::NON_POLYMER, false, "N-(3-methoxyphenyl)-N-methyl-2,3-dioxo-1,2,3,4-tetrahydroquinoxaline-6-sulfonamide", 7274 },
	{ "6EA", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-(1H-INDOL-3-YLMETHYL)-2-(2-PYRIDIN-4-YL-[1,7]NAPHTYRIDIN-5-YLOXY)-EHYLAMINE", 7275 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "8-(1-methyl-1H-imidazol-4-yl)-2-(4,4,4-trifluorobutoxy)pyrido[3,4-d]pyrimidin-4-ol", 7276 },
	{ "6EC", "", "", ResidueType::NON_POLYMER, false, "", 7277 },
	{ "6ED", "", "", ResidueType::NON_POLYMER, false, "3-({1-[2-(4,4-difluoropiperidin-1-yl)ethyl]-5-fluoro-1H-indazol-3-yl}amino)pyridine-4-carboxylic acid", 7278 },
	{ "6EE", "", "", ResidueType::NON_POLYMER, false, "(betaS)-4-chloro-beta-(3,5-difluorophenyl)-N-(5-fluoro-4-{2-[(2R,5S)-5-({[(2,2,2-trifluoroethyl)carbamoyl]oxy}methyl)morpholin-2-yl]ethyl}pyridin-3-yl)-L-phenylalaninamide", 7279 },
	{ "6EF", "", "", ResidueType::NON_POLYMER, false, "N-(2-{2-[(2R,5S)-5-{[(benzylcarbamoyl)oxy]methyl}morpholin-2-yl]ethyl}phenyl)-Nalpha-(methoxycarbonyl)-beta-phenyl-L-phenylalaninamide", 7280 },
	{ "6EG", "", "", ResidueType::NON_POLYMER, false, "N-{2-[(3S)-3-{[(4-aminophenyl)methyl]amino}-4-hydroxybutyl]phenyl}-Nalpha-(methoxycarbonyl)-beta-phenyl-L-phenylalaninamide", 7281 },
	{ "6EH", "", "", ResidueType::NON_POLYMER, false, "Nalpha-(methoxycarbonyl)-N-{3-[(2R)-morpholin-2-yl]propyl}-beta-phenyl-L-phenylalaninamide", 7282 },
	{ "6EJ", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-[(4-{[(6,7-dihydro[1,4]dioxino[2,3-c]pyridazin-3-yl)methyl]amino}piperidin-1-yl)methyl]-9-fluoro-1,2-dihydro-4H-pyrrolo[3,2,1-ij]quinolin-4-one", 7283 },
	{ "6EK", "", "", ResidueType::NON_POLYMER, false, "", 7284 },
	{ "6EL", "", "", ResidueType::NON_POLYMER, false, "2-[(3~{R})-2,6-bis(oxidanylidene)piperidin-3-yl]isoindole-1,3-dione", 7285 },
	{ "6EM", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-amino-N,N,N-trimethyl-1-oxobutan-2-aminium", 7286 },
	{ "6EN", "", "", ResidueType::NON_POLYMER, false, "3-[(1-methyl-1H-pyrrolo[2,3-b]pyridin-3-yl)amino]pyridine-4-carboxylic acid", 7287 },
	{ "6EO", "", "", ResidueType::NON_POLYMER, false, "3-{[(4-chlorophenyl)acetyl]amino}pyridine-4-carboxylic acid", 7288 },
	{ "6EP", "", "", ResidueType::NON_POLYMER, false, "2-{5-[(4-chloro-2-methylphenyl)methoxy]-1H-pyrazol-1-yl}pyridine-4-carboxylic acid", 7289 },
	{ "6EQ", "", "", ResidueType::NON_POLYMER, false, "", 7290 },
	{ "6ES", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-{[(R)-hydroxy{[(1R,2R,3S,4S,5S,6S)-2,3,4,5,6-pentahydroxycyclohexyl]oxy}phosphoryl]oxy}-3-(pentanoyloxy)propan-2-yl decanoate", 7291 },
	{ "6ET", "", "", ResidueType::NON_POLYMER, false, "capsazepine", 7292 },
	{ "6EU", "", "", ResidueType::NON_POLYMER, false, "resiniferatoxin", 7293 },
	{ "6EV", "", "", ResidueType::NON_POLYMER, false, "5-methylidene-3-(methylsulfanyl)-2-benzothiophen-4(5H)-one", 7294 },
	{ "6EW", "", "", ResidueType::NON_POLYMER, false, "N-(5-ethyl-3,3-dimethyl-4-oxo-2,3,4,5-tetrahydro-1,5-benzoxazepin-8-yl)-3,4-dimethyl-N-(2,2,2-trifluoroethyl)benzene-1-sulfonamide", 7295 },
	{ "6EX", "", "", ResidueType::NON_POLYMER, false, "1-(1H-imidazol-1-yl)ethan-1-one", 7296 },
	{ "6EY", "", "", ResidueType::NON_POLYMER, false, "(6R)-3-[(2-chlorophenyl)sulfanyl]-4-hydroxy-6-(3-hydroxyphenyl)-6-(thiophen-3-yl)-5,6-dihydropyridin-2(1H)-one", 7297 },
	{ "6EZ", "", "", ResidueType::NON_POLYMER, false, "(3-exo)-N-(4-amino-4'-fluoro[1,1'-biphenyl]-3-yl)-8-oxabicyclo[3.2.1]octane-3-carboxamide", 7298 },
	{ "6F0", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-6-fluoranyl-benzoic acid", 7299 },
	{ "6F1", "", "", ResidueType::NON_POLYMER, false, "N-(4-ethyl-3-oxo-3,4-dihydro-2H-1,4-benzoxazin-7-yl)-3,4-dimethyl-N-(2,2,2-trifluoroethyl)benzene-1-sulfonamide", 7300 },
	{ "6F2", "", "", ResidueType::NON_POLYMER, false, "[3-[[4-[6-chloranyl-2-(1,3-dimethylpyrazol-4-yl)-3H-imidazo[4,5-b]pyridin-7-yl]pyrazol-1-yl]methyl]phenyl]-(4-methylpiperazin-1-yl)methanone", 7301 },
	{ "6F3", "", "", ResidueType::NON_POLYMER, false, "N-methyl-3-(4-oxo-4,5-dihydrofuro[3,2-c]pyridin-2-yl)benzenesulfonamide", 7302 },
	{ "6F4", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(thiophen-2-yl)methyl]-1,3,4-thiadiazole-2,5-diamine", 7303 },
	{ "6F5", "", "", ResidueType::NON_POLYMER, false, "6-methylheptanoic acid", 7304 },
	{ "6F7", "", "", ResidueType::RNA_LINKING, false, "", 7305 },
	{ "6F8", "", "", ResidueType::NON_POLYMER, false, "3-[(8Z,11Z)-pentadeca-8,11-dien-1-yl]benzene-1,2-diol", 7306 },
	{ "6F9", "", "", ResidueType::NON_POLYMER, false, "7-(3,5-dimethoxyphenyl)-N-[(3S)-1-methylpiperidin-3-yl]-4-propanoyl-2,3,4,5-tetrahydro-1,4-benzoxazepine-9-carboxamide", 7307 },
	{ "6FA", "", "", ResidueType::NON_POLYMER, false, "6-HYDROXY-FLAVIN-ADENINE DINUCLEOTIDE", 7308 },
	{ "6FB", "", "", ResidueType::NON_POLYMER, false, "pyrido[3,4-g]quinazolin-2-amine", 7309 },
	{ "6FC", "", "", ResidueType::RNA_LINKING, false, "2'-trifluoromethylthio-2'-deoxycytidine", 7310 },
	{ "6FD", "", "", ResidueType::NON_POLYMER, false, "pyrido[3,4-g]quinazoline-2,10-diamine", 7311 },
	{ "6FE", "", "", ResidueType::NON_POLYMER, false, "4-[[4-(dimethylamino)cyclohexa-2,5-dien-1-ylidene]-(4-methoxyphenyl)methyl]-N,N-dimethyl-aniline", 7312 },
	{ "6FF", "", "", ResidueType::NON_POLYMER, false, "5-[4-(2-fluorophenyl)-5-oxo-4,5-dihydro-1H-1,2,4-triazol-3-yl]-2,4-dihydroxy-N-methyl-N-propylbenzene-1-sulfonamide", 7313 },
	{ "6FG", "", "", ResidueType::NON_POLYMER, false, "3-(furan-3-yl)-1-(pyrrolidin-1-yl)propan-1-one", 7314 },
	{ "6FH", "", "", ResidueType::NON_POLYMER, false, "(6~{S})-6-methyloctanoic acid", 7315 },
	{ "6FJ", "", "", ResidueType::NON_POLYMER, false, "5-[4-(2-fluorophenyl)-5-oxo-4,5-dihydro-1H-1,2,4-triazol-3-yl]-N-[(furan-2-yl)methyl]-2,4-dihydroxy-N-methylbenzamide", 7316 },
	{ "6FK", "", "", ResidueType::DNA_LINKING, false, "[(2~{R},3~{S},5~{R})-5-[2-azanyl-8-[ethanoyl(phenyl)amino]-6-oxidanylidene-3~{H}-purin-9-yl]-3-oxidanyl-oxolan-2-yl]methyl dihydrogen phosphate", 7317 },
	{ "6FL", "", "", ResidueType::PEPTIDE_LINKING, false, "5,5,5,5',5',5'-hexafluoro-L-leucine", 7318 },
	{ "6FM", "", "", ResidueType::DNA_LINKING, false, "", 7319 },
	{ "6FN", "", "", ResidueType::NON_POLYMER, false, "", 7320 },
	{ "6FP", "", "", ResidueType::NON_POLYMER, false, "2-amino-4-oxo-3,4-dihydropteridine-6-carbaldehyde", 7321 },
	{ "6FQ", "", "", ResidueType::NON_POLYMER, false, "2,4-dioxo-10-[3-(1H-tetrazol-5-yl)phenyl]-2,3,4,10-tetrahydropyrimido[4,5-b]quinoline-8-carbonitrile", 7322 },
	{ "6FR", "", "", ResidueType::NON_POLYMER, false, "1-[(2-cyclopentylethyl)sulfonyl]pyrrolidine", 7323 },
	{ "6FS", "", "", ResidueType::NON_POLYMER, false, "N-[2-methoxy-5-({[(E)-2-(2,4,6-trimethoxyphenyl)ethenyl]sulfonyl}methyl)phenyl]glycine", 7324 },
	{ "6FT", "", "", ResidueType::NON_POLYMER, false, "", 7325 },
	{ "6FU", "", "", ResidueType::RNA_LINKING, false, "2'-trifluoromethylthio-2'-deoxyuridine", 7326 },
	{ "6FV", "", "", ResidueType::NON_POLYMER, false, "10-(4-hydroxyphenyl)-2,4-dioxo-2,3,4,10-tetrahydropyrimido[4,5-b]quinoline-8-carbonitrile", 7327 },
	{ "6FW", "", "", ResidueType::NON_POLYMER, false, "2-amino-8-[(4-chlorophenyl)sulfanyl]-9-[(2S,4aR,6R,7R,7aS)-2,7-dihydroxy-2-oxotetrahydro-2H,4H-2lambda~5~-furo[3,2-d][1,3,2]dioxaphosphinin-6-yl]-3,9-dihydro-6H-purin-6-one", 7328 },
	{ "6FX", "", "", ResidueType::NON_POLYMER, false, "methyl 5-(4-oxidanylidene-5~{H}-furo[3,2-c]pyridin-2-yl)pyridine-3-carboxylate", 7329 },
	{ "6FY", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-azanyl-4-[(2~{R})-1-(2-hydroxy-2-oxoethylamino)-1-oxidanylidene-butan-2-yl]oxyphosphonoyl-butanoic acid", 7330 },
	{ "6FZ", "", "", ResidueType::NON_POLYMER, false, "2,3-dihydro-1H-indene-2-carboxylic acid", 7331 },
	{ "6G0", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-hydroxy{[(R)-hydroxy{[(S)-hydroxy(phosphonooxy)phosphoryl]oxy}phosphoryl]oxy}phosphoryl]-7-methylguanosine", 7332 },
	{ "6G1", "", "", ResidueType::NON_POLYMER, false, "cyclohexyl{4-[(isoquinolin-5-yl)sulfonyl]piperazin-1-yl}methanone", 7333 },
	{ "6G2", "", "", ResidueType::NON_POLYMER, false, "5-[2-(piperidin-4-yl)-1,3-thiazol-5-yl]-3-[(pyridin-4-yl)methoxy]pyridin-2-amine", 7334 },
	{ "6G3", "", "", ResidueType::NON_POLYMER, false, "N-{4-[8-amino-3-(propan-2-yl)imidazo[1,5-a]pyrazin-1-yl]naphthalen-1-yl}-N'-[3-(trifluoromethyl)phenyl]urea", 7335 },
	{ "6G4", "", "", ResidueType::PEPTIDE_LINKING, false, "4-oxononanoyl)lysine", 7336 },
	{ "6G6", "", "", ResidueType::NON_POLYMER, false, "2-amino-9-{5-O-[(R)-{[(S)-{dichloro[(R)-hydroxy(phosphonooxy)phosphoryl]methyl}(hydroxy)phosphoryl]oxy}(hydroxy)phosphoryl]-2-O-methyl-beta-D-ribofuranosyl}-7-methyl-9H-purin-7-ium-6-olate", 7337 },
	{ "6G7", "", "", ResidueType::NON_POLYMER, false, "5-(2,4-dihydroxyphenyl)-4-(2-fluorophenyl)-2,4-dihydro-3H-1,2,4-triazol-3-one", 7338 },
	{ "6G9", "", "", ResidueType::NON_POLYMER, false, "2-[[2-[[4,5-bis(bromanyl)-1~{H}-pyrrol-2-yl]carbonylamino]-1,3-benzothiazol-6-yl]amino]-2-oxidanylidene-ethanoic acid", 7339 },
	{ "6GA", "", "", ResidueType::NON_POLYMER, false, "(2S)-N~1~-benzyl-2-[(4-fluorophenyl)methyl]-N~3~-hydroxypropanediamide", 7340 },
	{ "6GB", "", "", ResidueType::NON_POLYMER, false, "6-O-(6-O-phosphono-beta-D-glucopyranosyl)-beta-D-glucopyranose", 7341 },
	{ "6GC", "", "", ResidueType::NON_POLYMER, false, "N-butyl-5-[4-(2-fluorophenyl)-5-oxo-4,5-dihydro-1H-1,2,4-triazol-3-yl]-2,4-dihydroxy-N-methylbenzamide", 7342 },
	{ "6GD", "", "", ResidueType::NON_POLYMER, false, "6-(tert-butylsulfonyl)-N-(5-fluoro-2H-indazol-3-yl)quinolin-4-amine", 7343 },
	{ "6GE", "", "", ResidueType::NON_POLYMER, false, "4-methyl-3-{[6-(methylsulfonyl)quinolin-4-yl]amino}phenol", 7344 },
	{ "6GF", "", "", ResidueType::NON_POLYMER, false, "6-(4-methoxyphenyl)-N~4~,N~4~-bis[(pyridin-2-yl)methyl]pyrimidine-2,4-diamine", 7345 },
	{ "6GG", "", "", ResidueType::NON_POLYMER, false, "4-({6-[(6-chloro-3-{1-[(4-chlorophenyl)methyl]-4-(4-fluorophenyl)-1H-imidazol-5-yl}-1H-indole-2-carbonyl)oxy]hexyl}amino)-4-oxobutanoic acid", 7346 },
	{ "6GH", "", "", ResidueType::NON_POLYMER, false, "N~4~,N~4~-bis[(pyridin-2-yl)methyl]-6-(thiophen-3-yl)pyrimidine-2,4-diamine", 7347 },
	{ "6GJ", "", "", ResidueType::NON_POLYMER, false, "(3E,5S,6R,7S,8S,8aS)-3-(butylimino)hexahydro[1,3]thiazolo[3,4-a]pyridine-5,6,7,8-tetrol", 7348 },
	{ "6GK", "", "", ResidueType::NON_POLYMER, false, "6-(2-methoxyphenyl)-N~4~,N~4~-bis[(pyridin-2-yl)methyl]pyrimidine-2,4-diamine", 7349 },
	{ "6GL", "", "", ResidueType::PEPTIDE_LINKING, false, "5-(phosphonooxy)-L-norvaline", 7350 },
	{ "6GM", "", "", ResidueType::NON_POLYMER, false, "4-(2-amino-6-{bis[(pyridin-2-yl)methyl]amino}pyrimidin-4-yl)phenol", 7351 },
	{ "6GN", "", "", ResidueType::NON_POLYMER, false, "1-(17-amino-5,8-dioxo-12,15-dioxa-4,9-diazaheptadecan-1-yl)-4-{[3-(3-sulfopropyl)-1,3-benzothiazol-3-ium-2-yl]methyl}quinolin-1-ium", 7352 },
	{ "6GO", "", "", ResidueType::NON_POLYMER, false, "6-O-methylguanine", 7353 },
	{ "6GP", "", "", ResidueType::NON_POLYMER, false, "METHYL-N-(BETA-D-GLUCOPYRANOSYL)OXAMATE", 7354 },
	{ "6GQ", "", "", ResidueType::NON_POLYMER, false, "N,4-dimethyl-N-{2-oxo-2-[4-(pyridin-2-yl)piperazin-1-yl]ethyl}benzene-1-sulfonamide", 7355 },
	{ "6GS", "", "", ResidueType::NON_POLYMER, false, "", 7356 },
	{ "6GT", "", "", ResidueType::NON_POLYMER, false, "2-oxoheptanedioic acid", 7357 },
	{ "6GU", "", "", ResidueType::NON_POLYMER, false, "6-chloroguanine", 7358 },
	{ "6GV", "", "", ResidueType::NON_POLYMER, false, "5-[4-(2-fluorophenyl)-5-oxo-4,5-dihydro-1H-1,2,4-triazol-3-yl]-2,4-dihydroxy-N-methyl-N-(propan-2-yl)benzene-1-sulfonamide", 7359 },
	{ "6GW", "", "", ResidueType::NON_POLYMER, false, "2,4-dihydroxy-N-methyl-5-[4-(2-methylphenyl)-5-oxo-4,5-dihydro-1H-1,2,4-triazol-3-yl]-N-[(thiophen-2-yl)methyl]benzamide", 7360 },
	{ "6GX", "", "", ResidueType::NON_POLYMER, false, "N-{2-[({2-methoxy-6-[(2-methyl[1,1'-biphenyl]-3-yl)methoxy]pyridin-3-yl}methyl)amino]ethyl}acetamide", 7361 },
	{ "6GY", "", "", ResidueType::NON_POLYMER, false, "5-chloro-N~4~-[2-(dimethylphosphoryl)phenyl]-N~2~-{2-methoxy-4-[4-(4-methylpiperazin-1-yl)piperidin-1-yl]phenyl}pyrimidine-2,4-diamine", 7362 },
	{ "6GZ", "", "", ResidueType::NON_POLYMER, false, "", 7363 },
	{ "6H0", "", "", ResidueType::NON_POLYMER, false, "~{N}-[[3-(4-formamidobutoxy)phenyl]methyl]-4-sulfamoyl-benzamide", 7364 },
	{ "6H1", "", "", ResidueType::NON_POLYMER, false, "6-{[4-(trifluoromethyl)phenyl]methyl}-2H-1,3-benzodioxol-5-ol", 7365 },
	{ "6H2", "", "", ResidueType::NON_POLYMER, false, "4-(imidazo[1,2-a]pyridin-2-yl)benzene-1,2-diol", 7366 },
	{ "6H3", "", "", ResidueType::NON_POLYMER, false, "N-{2-[(5-chloro-2-{[4-(4-methylpiperazin-1-yl)phenyl]amino}pyrimidin-4-yl)amino]phenyl}propanamide", 7367 },
	{ "6H4", "", "", ResidueType::NON_POLYMER, false, "N-{2-[(5-chloro-2-{[4-(4-methylpiperazin-1-yl)phenyl]amino}pyrimidin-4-yl)oxy]phenyl}prop-2-enamide", 7368 },
	{ "6H5", "", "", ResidueType::NON_POLYMER, false, "4-[(N-{[2-(3-methoxyphenoxy)-6-(piperidin-1-yl)phenyl]methyl}carbamimidoyl)carbamoyl]-L-phenylalanine", 7369 },
	{ "6H6", "", "", ResidueType::NON_POLYMER, false, "3-(2-oxo-1,3-benzoxazol-3(2H)-yl)propanoic acid", 7370 },
	{ "6H8", "", "", ResidueType::NON_POLYMER, false, "N-[2-(methylamino)-1H-benzimidazol-6-yl]guanidine", 7371 },
	{ "6H9", "", "", ResidueType::NON_POLYMER, false, "2-(methylamino)-1H-benzimidazole-5-carbohydrazide", 7372 },
	{ "6HA", "", "", ResidueType::DNA_LINKING, false, "1',5'-ANHYDRO-2',3'-DIDEOXY-2'-(ADENIN-9-YL)-6'-O-PHOSPHORYL-D-ARABINO-HEXITOL", 7373 },
	{ "6HB", "", "", ResidueType::DNA_LINKING, false, "", 7374 },
	{ "6HC", "", "", ResidueType::DNA_LINKING, false, "1',5'-ANHYDRO-2',3'-DIDEOXY-2'-(CYTOSIN-1-YL)-6'-O-PHOSPHORYL-D-ARABINO-HEXITOL", 7375 },
	{ "6HD", "", "", ResidueType::NON_POLYMER, false, "2-(methylamino)-1H-benzimidazole-5-carboxamide", 7376 },
	{ "6HE", "", "", ResidueType::NON_POLYMER, false, "6-METHY-6-DEPROPIONATEHEMIN", 7377 },
	{ "6HF", "", "", ResidueType::NON_POLYMER, false, "N-(4-((2-((4-(4-methylpiperazin-1-yl)phenyl)amino)-7H-pyrrolo[2,3-d]pyrimidin-4-yl)oxy)phenyl)acrylamide", 7378 },
	{ "6HG", "", "", ResidueType::DNA_LINKING, false, "1',5'-ANHYDRO-2',3'-DIDEOXY-2'-(GUANIN-9-YL)-6'-O-PHOSPHORYL-D-ARABINO-HEXITOL", 7379 },
	{ "6HH", "", "", ResidueType::NON_POLYMER, false, "1-{4-[6-amino-5-(4-chlorophenyl)pyridin-3-yl]phenyl}cyclopentane-1-carboxylic acid", 7380 },
	{ "6HI", "", "", ResidueType::NON_POLYMER, false, "(3R,5R)-7-{2-[(4-fluorobenzyl)carbamoyl]-4-(4-fluorophenyl)-1-(1-methylethyl)-1H-imidazol-5-yl}-3,5-dihydroxyheptanoic acid", 7381 },
	{ "6HJ", "", "", ResidueType::NON_POLYMER, false, "(R)-1-(3-(4-amino-3-(1-methyl-1H-indol-3-yl)-1H-pyrazolo[3,4-d]pyrimidin-1-yl)piperidin-1-yl)prop-2-en-1-one", 7382 },
	{ "6HK", "", "", ResidueType::NON_POLYMER, false, "methyl [3-(1-methyl-1H-imidazol-5-yl)-11-oxo-10,11-dihydro-5H-dibenzo[b,e][1,4]diazepin-8-yl]acetate", 7383 },
	{ "6HL", "", "", ResidueType::NON_POLYMER, false, "(R)-1-(3-(4-amino-3-(naphthalen-1-yl)-1H-pyrazolo[3,4-d]pyrimidin-1-yl)piperidin-1-yl)prop-2-en-1-one", 7384 },
	{ "6HM", "", "", ResidueType::NON_POLYMER, false, "", 7385 },
	{ "6HN", "", "", ResidueType::PEPTIDE_LINKING, false, "6-nitro-L-norleucine", 7386 },
	{ "6HO", "", "", ResidueType::NON_POLYMER, false, "(2,5-dihydro-1H-pyrrol-1-yl)(3-fluorophenyl)methanone", 7387 },
	{ "6HP", "", "", ResidueType::NON_POLYMER, false, "1,3-dimethyl-6-(2-methylpropoxy)pyrimidine-2,4(1H,3H)-dione", 7388 },
	{ "6HQ", "", "", ResidueType::NON_POLYMER, false, "1,5,5-trimethylimidazolidine-2,4-dione", 7389 },
	{ "6HR", "", "", ResidueType::NON_POLYMER, false, "3-{2-[(2',6-dimethyl[1,1'-biphenyl]-3-yl)amino]-1,3-thiazol-4-yl}propan-1-ol", 7390 },
	{ "6HS", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,3R,4S,6R)-4,6-diamino-3-{[(2S,3R)-3-amino-6-(hydroxymethyl)-3,4-dihydro-2H-pyran-2-yl]oxy}-2-hydroxycyclohexyl 3-deoxy-4-C-methyl-3-(methylamino)-beta-L-arabinopyranoside", 7391 },
	{ "6HT", "", "", ResidueType::DNA_LINKING, false, "1',5'-ANHYDRO-2',3'-DIDEOXY-2'-(THYMIN-1-YL)-6'-O-PHOSPHORYL-D-ARABINO-HEXITOL", 7392 },
	{ "6HU", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(3-{[4-(2-aminoethoxy)-2',6-dimethyl[1,1'-biphenyl]-3-yl]amino}-1H-pyrazol-1-yl)-2-methoxypropan-1-ol", 7393 },
	{ "6HV", "", "", ResidueType::NON_POLYMER, false, "(2',6-dimethyl[1,1'-biphenyl]-3-yl)(1,3-thiazol-2-yl)methanone", 7394 },
	{ "6HW", "", "", ResidueType::NON_POLYMER, false, "N-(2',6-dimethyl[1,1'-biphenyl]-3-yl)-1,3-thiazol-2-amine", 7395 },
	{ "6HX", "", "", ResidueType::NON_POLYMER, false, "2'-chloro-6-methyl[1,1'-biphenyl]-3-amine", 7396 },
	{ "6HY", "", "", ResidueType::NON_POLYMER, false, "4-oxidanylidene-4-(6-oxidanylidene-1~{H}-pyridin-3-yl)butanoic acid", 7397 },
	{ "6HZ", "", "", ResidueType::NON_POLYMER, false, "(2,5-dihydro-1H-pyrrol-1-yl)(2',6-dimethyl[1,1'-biphenyl]-3-yl)methanone", 7398 },
	{ "6IA", "", "", ResidueType::RNA_LINKING, false, "N6-ISOPENTENYL-ADENOSINE-5'-MONOPHOSPHATE", 7399 },
	{ "6IG", "", "", ResidueType::NON_POLYMER, false, "6-ETHYL-5-[1-(3-METHOXYPROPYL)-1,2,3,4-TETRAHYDROQUINOLIN-7-YL]-N~4~-(2-PHENYLETHYL)PYRIMIDINE-2,4-DIAMINE", 7400 },
	{ "6IN", "", "", ResidueType::NON_POLYMER, false, "4-(1-BENZYL-3-CARBAMOYLMETHYL-2-METHYL-1H-INDOL-5-YLOXY)-BUTYRIC ACID", 7401 },
	{ "6IP", "", "", ResidueType::NON_POLYMER, false, "6-[2-(1H-INDOL-6-YL)ETHYL]PYRIDIN-2-AMINE", 7402 },
	{ "6IR", "", "", ResidueType::NON_POLYMER, false, "5-[(3~{a}~{S},4~{S},6~{a}~{R})-2-oxidanylidene-1,3,3~{a},4,6,6~{a}-hexahydrothieno[3,4-d]imidazol-4-yl]-~{N}-[4-(2-azanylethylsulfamoyl)phenyl]pentanamide", 7403 },
	{ "6J0", "", "", ResidueType::NON_POLYMER, false, "N-[2-(3-fluorophenyl)ethyl]-N'-[2-(1H-imidazol-1-yl)pyrimidin-4-yl]ethane-1,2-diamine", 7404 },
	{ "6J1", "", "", ResidueType::NON_POLYMER, false, "2,6-Dinitro-p-cresol", 7405 },
	{ "6J2", "", "", ResidueType::NON_POLYMER, false, "COENZYME F420-0", 7406 },
	{ "6J3", "", "", ResidueType::NON_POLYMER, false, "2-(3-chloro-2-methylanilino)pyridine-3-carboxylic acid", 7407 },
	{ "6J4", "", "", ResidueType::NON_POLYMER, false, "COENZYME F420-3", 7408 },
	{ "6J5", "", "", ResidueType::NON_POLYMER, false, "5-[(2-chloranylphenoxy)methyl]-1H-1,2,3,4-tetrazole", 7409 },
	{ "6J6", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-[3,4-bis(oxidanyl)phenyl]-6-oxidanyl-2,3-dihydrochromen-4-one", 7410 },
	{ "6J7", "", "", ResidueType::NON_POLYMER, false, "2-amino-8-bromo-9-[(2R,4aR,6R,7R,7aS)-2,7-dihydroxy-2-oxotetrahydro-2H,4H-2lambda~5~-furo[3,2-d][1,3,2]dioxaphosphinin-6-yl]-1,9-dihydro-6H-purin-6-one", 7411 },
	{ "6J8", "", "", ResidueType::NON_POLYMER, false, "[(2R)-2-{2-[hydroxy(methyl)amino]-2-oxoethyl}-5-(4-methoxyphenyl)pentyl]phosphonic acid", 7412 },
	{ "6J9", "", "", ResidueType::NON_POLYMER, false, "4-(piperazin-1-yl)-7H-pyrrolo[2,3-d]pyrimidine", 7413 },
	{ "6JA", "", "", ResidueType::NON_POLYMER, false, "2-[5-ethyl-2,4,6-tris(oxidanylidene)-1,3-diazinan-5-yl]ethyl selenocyanate", 7414 },
	{ "6JB", "", "", ResidueType::NON_POLYMER, false, "[(2R)-2-{2-[hydroxy(methyl)amino]-2-oxoethyl}-5-(3-methoxyphenyl)pentyl]phosphonic acid", 7415 },
	{ "6JD", "", "", ResidueType::NON_POLYMER, false, "4-(4-hydroxyphenyl)sulfonylphenol", 7416 },
	{ "6JG", "", "", ResidueType::NON_POLYMER, false, "N-{4-[2-([1,3]thiazolo[5,4-c]pyridin-2-yl)phenoxy]phenyl}acetamide", 7417 },
	{ "6JH", "", "", ResidueType::NON_POLYMER, false, "2-(2-phenoxypyridin-3-yl)[1,3]thiazolo[5,4-c]pyridine", 7418 },
	{ "6JJ", "", "", ResidueType::NON_POLYMER, false, "6-(2-phenoxyphenyl)[1,2,4]triazolo[3,4-b][1,3,4]thiadiazole", 7419 },
	{ "6JM", "", "", ResidueType::NON_POLYMER, false, "2-(3,4-dihydroxyphenyl)-3,6-dihydroxy-4H-1-benzopyran-4-one", 7420 },
	{ "6JO", "", "", ResidueType::NON_POLYMER, false, "3,6-dihydroxy-2-(3-hydroxyphenyl)-4H-1-benzopyran-4-one", 7421 },
	{ "6JP", "", "", ResidueType::NON_POLYMER, false, "(2S)-5,7-dihydroxy-2-(3-hydroxy-4-methoxyphenyl)-2,3-dihydro-4H-1-benzopyran-4-one", 7422 },
	{ "6JQ", "", "", ResidueType::NON_POLYMER, false, "N-{5-[(2,3-dihydro-1,4-benzodioxine-6-carbonyl)amino]-2-methylphenyl}-2-[3-(pyrrolidin-1-yl)propyl]quinoline-6-carboxamide", 7423 },
	{ "6JR", "", "", ResidueType::NON_POLYMER, false, "3-[(2S,4aR,6R,7R,7aS)-2,7-dihydroxy-2-oxotetrahydro-2H,4H-2lambda~5~-furo[3,2-d][1,3,2]dioxaphosphinin-6-yl]-6-phenyl-3,4-dihydro-9H-imidazo[1,2-a]purin-9-one", 7424 },
	{ "6JS", "", "", ResidueType::NON_POLYMER, false, "3-(furan-2-yl)-N-[5-(furan-2-yl)-2-methoxyphenyl]-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 7425 },
	{ "6JT", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-{3-[(1-benzofuran-3-yl)methyl]-1,2,4-oxadiazol-5-yl}-4-cyclopentyl-N-hydroxybutanamide", 7426 },
	{ "6JU", "", "", ResidueType::NON_POLYMER, false, "2-(3-benzyl-5-bromo-1H-indol-1-yl)-N-hydroxyacetamide", 7427 },
	{ "6JV", "", "", ResidueType::NON_POLYMER, false, "N-(2-methoxy-4-{[3-(4-methylpiperazin-1-yl)propyl]carbamoyl}phenyl)-4-oxo-3,4-dihydrothieno[3,2-d]pyrimidine-7-carboxamide", 7428 },
	{ "6JW", "", "", ResidueType::NON_POLYMER, false, "5-(2-bromoethyl)-5-ethyl-1,3-diazinane-2,4,6-trione", 7429 },
	{ "6JX", "", "", ResidueType::NON_POLYMER, false, "allyl (2-(methylamino)-8-oxo-7,8-dihydro-1H-imidazo[4,5-g]quinazolin-6-yl)carbamate", 7430 },
	{ "6JY", "", "", ResidueType::NON_POLYMER, false, "N~2~-(benzenecarbonyl)-L-arginine", 7431 },
	{ "6JZ", "", "", ResidueType::NON_POLYMER, false, "3,6,9,12,15-pentaoxaheptadecane", 7432 },
	{ "6K0", "", "", ResidueType::NON_POLYMER, false, "N-{4-[4-amino-7-(propan-2-yl)-7H-pyrrolo[2,3-d]pyrimidine-5-carbonyl]pyridin-2-yl}-N'-(2,4-difluorophenyl)urea", 7433 },
	{ "6K1", "", "", ResidueType::NON_POLYMER, false, "N-{5-[4-amino-7-(propan-2-yl)-7H-pyrrolo[2,3-d]pyrimidine-5-carbonyl]pyridin-3-yl}-2-(4-chlorophenyl)acetamide", 7434 },
	{ "6K2", "", "", ResidueType::NON_POLYMER, false, "2-(4-cyanophenyl)-N-{5-[7-(propan-2-yl)-7H-pyrrolo[2,3-d]pyrimidine-5-carbonyl]pyridin-3-yl}acetamide", 7435 },
	{ "6K3", "", "", ResidueType::NON_POLYMER, false, "4-Fluoro-Heptylmannoside", 7436 },
	{ "6K4", "", "", ResidueType::NON_POLYMER, false, "N-{5-[2-amino-7-(1-hydroxy-2-methylpropan-2-yl)-7H-pyrrolo[2,3-d]pyrimidine-5-carbonyl]pyridin-3-yl}-2-(5-chloropyridin-2-yl)acetamide", 7437 },
	{ "6K5", "", "", ResidueType::NON_POLYMER, false, "[1-{4-[6-amino-4-(trifluoromethyl)pyridin-3-yl]-6-(morpholin-4-yl)-1,3,5-triazin-2-yl}-3-(chloromethyl)azetidin-3-yl]methanol", 7438 },
	{ "6K6", "", "", ResidueType::NON_POLYMER, false, "", 7439 },
	{ "6K7", "", "", ResidueType::NON_POLYMER, false, "[1-{4-[6-amino-4-(trifluoromethyl)pyridin-3-yl]-6-(morpholin-4-yl)pyrimidin-2-yl}-3-(chloromethyl)azetidin-3-yl]methanol", 7440 },
	{ "6K8", "", "", ResidueType::NON_POLYMER, false, "N-(benzenecarbonyl)glycyl-L-arginine", 7441 },
	{ "6K9", "", "", ResidueType::NON_POLYMER, false, "", 7442 },
	{ "6KA", "", "", ResidueType::NON_POLYMER, false, "N-{1-[(2-chloro-6-fluorophenyl)methyl]-1H-pyrazol-3-yl}-5-[(1S)-1-(3-methyl-1H-pyrazol-1-yl)ethyl]-1,3,4-thiadiazol-2-amine", 7443 },
	{ "6KB", "", "", ResidueType::NON_POLYMER, false, "", 7444 },
	{ "6KC", "", "", ResidueType::NON_POLYMER, false, "N-[5-(4-methylpiperazine-1-carbonyl)[1,1'-biphenyl]-2-yl]-4-oxo-3,4-dihydrothieno[3,2-d]pyrimidine-7-carboxamide", 7445 },
	{ "6KD", "", "", ResidueType::NON_POLYMER, false, "N-(2-isopropoxy-3-(4-methylpiperazine-1-carbonyl)phenyl)-4-oxo-3,4-dihydrothieno[3,2-d]pyrimidine-7-carboxamide", 7446 },
	{ "6KE", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{[4-(4-chlorophenyl)-5-cyano-6-oxo-1,6-dihydropyrimidin-2-yl]sulfanyl}-N-(4-sulfamoylphenyl)propanamide", 7447 },
	{ "6KF", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-azido-N-[(2S)-3-(biphenyl-4-yl)-1-{[(2S)-1-{[(2S,3S,4R)-3,5-dihydroxy-4-methylpentan-2-yl]amino}-1-oxo-3-phenylpropan-2-yl]amino}-1-oxopropan-2-yl]-3-phenylpropanamide (non-preferred name)", 7448 },
	{ "6KG", "", "", ResidueType::NON_POLYMER, false, "Nalpha-[(2S)-2-{[(2S)-2-azido-3-phenylpropanoyl]amino}-4-cyclohexylbutanoyl]-N-[(2R,3S,4S)-1,3-dihydroxy-2,6-dimethylheptan-4-yl]-L-phenylalaninamide", 7449 },
	{ "6KH", "", "", ResidueType::NON_POLYMER, false, "3-Fluoro-Heptylmannoside", 7450 },
	{ "6KJ", "", "", ResidueType::NON_POLYMER, false, "(5E)-5-[(N-tert-butoxycarbamimidoyl)imino]-L-norvaline", 7451 },
	{ "6KK", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-yl {(2S,3R)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino}-1-[(3R,5R,7R)-tricyclo[3.3.1.1~3,7~]decan-1-yl]butan-2-yl}carbamate", 7452 },
	{ "6KL", "", "", ResidueType::NON_POLYMER, false, "methyl 4,5-bis(acetylamino)-3,4,5-trideoxy-D-glycero-alpha-D-galacto-non-2-ulopyranosidonic acid", 7453 },
	{ "6KM", "", "", ResidueType::PEPTIDE_LINKING, false, "S-propanoyl-L-cysteine", 7454 },
	{ "6KN", "", "", ResidueType::NON_POLYMER, false, "4-(3-methylpyridin-4-yl)-6-(trifluoromethyl)-1H-indazole", 7455 },
	{ "6KO", "", "", ResidueType::NON_POLYMER, false, "[(2R)-1-([1,2,4]triazolo[1,5-a]pyrimidin-7-yl)pyrrolidin-2-yl]methyl 2-methoxybenzoate", 7456 },
	{ "6KP", "", "", ResidueType::NON_POLYMER, false, "7-fluoro-4-(5-methyl-3H-imidazo[4,5-b]pyridin-6-yl)-2,4-dihydropyrazolo[4,3-b]indole", 7457 },
	{ "6KQ", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-yl {(2S,3R)-4-{benzyl[(4-methoxyphenyl)sulfonyl]amino}-3-hydroxy-1-[(3R,5R,7R)-tricyclo[3.3.1.1~3,7~]decan-1-yl]butan-2-yl}carbamate", 7458 },
	{ "6KR", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,7aR)-hexahydro-4H-furo[2,3-b]pyran-3-yl {(2S,3R)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino}-1-[(3R,5R,7R)-tricyclo[3.3.1.1~3,7~]decan-1-yl]butan-2-yl}carbamate", 7459 },
	{ "6KS", "", "", ResidueType::NON_POLYMER, false, "2-Fluoro-Heptylmannoside", 7460 },
	{ "6KT", "", "", ResidueType::NON_POLYMER, false, "2-amino-1,3-benzothiazole-6-carboxamide", 7461 },
	{ "6KU", "", "", ResidueType::NON_POLYMER, false, "4-Deoxy-Heptylmannoside", 7462 },
	{ "6KV", "", "", ResidueType::NON_POLYMER, false, "3-[methyl-[2-[methyl-(1-methylpiperidin-4-yl)amino]thieno[3,2-d]pyrimidin-4-yl]amino]propanenitrile", 7463 },
	{ "6KW", "", "", ResidueType::NON_POLYMER, false, "3-Deoxy-Heptylmannoside", 7464 },
	{ "6KX", "", "", ResidueType::NON_POLYMER, false, "beta-cyclocitral", 7465 },
	{ "6KY", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-(dimethylamino)-4-(methylselanyl)butanoic acid", 7466 },
	{ "6KZ", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-4-methyl-1-oxidanylidene-1-[[(1R,2S)-1-oxidanyl-1-(5-phenyl-1,2,4-oxadiazol-3-yl)butan-2-yl]amino]pentan-2-yl]morpholine-4-carboxamide", 7467 },
	{ "6L0", "", "", ResidueType::NON_POLYMER, false, "(8E)-6,17,28-trihydroxy-1,6,12,17,23,28-hexaazacyclotritriacont-8-ene-2,5,13,16,24,27-hexone", 7468 },
	{ "6L1", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-{[(3S)-3-aminobutanoyl]oxy}(hydroxy)phosphoryl]adenosine", 7469 },
	{ "6L2", "", "", ResidueType::NON_POLYMER, false, "5-[5-(3-hydroxyprop-1-yn-1-yl)thiophen-2-yl]-2,4-dimethoxy-N-{[(1R,3R)-3-methoxycyclohexyl]sulfonyl}benzamide", 7470 },
	{ "6L3", "", "", ResidueType::NON_POLYMER, false, "methyl 2,4,6-trimethylbenzoate", 7471 },
	{ "6L4", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-[5-chloranyl-2-[(1-methylpyrazol-4-yl)amino]pyrimidin-4-yl]oxyphenyl]prop-2-enamide", 7472 },
	{ "6L5", "", "", ResidueType::NON_POLYMER, false, "(3R)-4-amino-3-{[6-({[(2S,3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]carbonyl}amino)hexanoyl]amino}-4-oxobutanoic acid (non-preferred name)", 7473 },
	{ "6L6", "", "", ResidueType::NON_POLYMER, false, "methyl (2Z)-3-hydroxy-3-(3-hydroxyphenyl)prop-2-ene(dithioate)", 7474 },
	{ "6L7", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methyl-(2-azaniumylethyl)-[(3~{S})-3-azaniumyl-4-oxidanyl-4-oxidanylidene-butyl]azanium", 7475 },
	{ "6L8", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-{3-[3,5-bis(trifluoromethyl)phenyl]-1H-1,2,4-triazol-1-yl}-2-(pyrimidin-5-yl)propanamide", 7476 },
	{ "6L9", "", "", ResidueType::NON_POLYMER, false, "[(2S)-2,3-diamino-3-oxopropyl]propanedioic acid", 7477 },
	{ "6LB", "", "", ResidueType::NON_POLYMER, false, "4-ethylmorpholine", 7478 },
	{ "6LC", "", "", ResidueType::NON_POLYMER, false, "9-[(5E)-7-carbamimidamido-5,6,7-trideoxy-beta-D-ribo-hept-5-enofuranosyl]-9H-purin-6-amine", 7479 },
	{ "6LD", "", "", ResidueType::NON_POLYMER, false, "Sacubitrilat", 7480 },
	{ "6LE", "", "", ResidueType::NON_POLYMER, false, "(1S)-2-amino-1-(4-chlorophenyl)ethan-1-ol", 7481 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "2-[4-[E-2-[5-[(1R)-1-[3,5-bis(chloranyl)pyridin-4-yl]ethoxy]-1H-indazol-3-yl]ethenyl]pyrazol-1-yl]ethanol", 7482 },
	{ "6LG", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-{3-[3-(dimethylcarbamoyl)phenoxy]-4-nitrophenyl}ethyl bis[(aziridin-1-yl)]phosphinate", 7483 },
	{ "6LH", "", "", ResidueType::NON_POLYMER, false, "4-(aminomethyl)benzene-1-sulfonamide", 7484 },
	{ "6LI", "", "", ResidueType::NON_POLYMER, false, "", 7485 },
	{ "6LJ", "", "", ResidueType::NON_POLYMER, false, "2-(4-{[3-(piperidin-1-yl)propyl]amino}quinolin-2-yl)benzonitrile", 7486 },
	{ "6LK", "", "", ResidueType::NON_POLYMER, false, "1-(5-chloro-6-methoxypyridin-3-yl)-3-methyl-N-(methylsulfonyl)-1H-indazole-5-carboxamide", 7487 },
	{ "6LL", "", "", ResidueType::NON_POLYMER, false, "TETRAKIS-(MU-OXO)-DECA-OXO-TRIMOLYBDENUM", 7488 },
	{ "6LM", "", "", ResidueType::NON_POLYMER, false, "(3S,4E)-5-[(1R,5R,8S)-8-hydroxy-1,5-dimethyl-3-oxo-6-oxabicyclo[3.2.1]octan-8-yl]-3-methylpent-4-enoic acid", 7489 },
	{ "6LN", "", "", ResidueType::NON_POLYMER, false, "ethane-1,2-dithiol", 7490 },
	{ "6LO", "", "", ResidueType::NON_POLYMER, false, "N-[(3-{4-amino-5-[3-(benzyloxy)phenyl]-7H-pyrrolo[2,3-d]pyrimidin-7-yl}cyclobutyl)methyl]acetamide", 7491 },
	{ "6LP", "", "", ResidueType::NON_POLYMER, false, "N~1~-(4-{2-[(3-chlorophenyl)amino]pyrimidin-4-yl}pyridin-2-yl)ethane-1,2-diamine", 7492 },
	{ "6LQ", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-5-{4-[(4-METHYLPIPERAZIN-1-YL)SULFONYL]PHENYL}-N-[4-(PYRROLIDIN-1-YLMETHYL)PYRIDIN-3-YL]PYRIDINE-3-CARBOXAMIDE", 7493 },
	{ "6LR", "", "", ResidueType::NON_POLYMER, false, "morpholine", 7494 },
	{ "6LS", "", "", ResidueType::NON_POLYMER, false, " 2-Deoxy-Heptylmannoside", 7495 },
	{ "6LT", "", "", ResidueType::NON_POLYMER, false, "3-(difluoromethyl)-N-{6-[(5S,6S)-6-hydroxy-6,7,8,9-tetrahydro-5H-imidazo[1,5-a]azepin-5-yl][1,1'-biphenyl]-3-yl}-1-(propan-2-yl)-1H-pyrazole-5-carboxamide", 7496 },
	{ "6LU", "", "", ResidueType::NON_POLYMER, false, "4-{[(3,5-dimethylphenyl)carbamoyl]amino}benzene-1-sulfonamide", 7497 },
	{ "6LV", "", "", ResidueType::NON_POLYMER, false, "5-(3,5-dimethoxybenzyl)[1,2,4]triazolo[1,5-c]quinazolin-2-amine", 7498 },
	{ "6LW", "", "", ResidueType::NON_POLYMER, false, "(2~{Z},3~{R},4~{R},5~{S})-2-hydroxyimino-5-(hydroxymethyl)oxolane-3,4-diol", 7499 },
	{ "6LX", "MJQ", "", ResidueType::NON_POLYMER, false, "N-(3-aminopropyl)-N-[(1R)-1-(3-benzyl-7-chloro-4-oxo-4H-chromen-2-yl)-2-methylpropyl]-4-methylbenzamide", 7500 },
	{ "6LY", "", "", ResidueType::NON_POLYMER, false, "(1S)-2-amino-1-(4-bromophenyl)ethan-1-ol", 7501 },
	{ "6LZ", "", "", ResidueType::NON_POLYMER, false, "2-amino-1-(4-fluorophenyl)ethan-1-one", 7502 },
	{ "6M0", "", "", ResidueType::NON_POLYMER, false, "MO(6)-O(26) Cluster", 7503 },
	{ "6M1", "", "", ResidueType::NON_POLYMER, false, "2-amino-6-methylbenzoic acid", 7504 },
	{ "6M3", "", "", ResidueType::NON_POLYMER, false, "2'-chloro-6-[(5S,6S)-6-hydroxy-6,7,8,9-tetrahydro-5H-imidazo[1,5-a]azepin-5-yl][1,1'-biphenyl]-3-carbonitrile", 7505 },
	{ "6M4", "", "", ResidueType::NON_POLYMER, false, "1,1-dihydroxy-1,3-dihydro-2,1-benzoxaborol-1-ium", 7506 },
	{ "6M5", "", "", ResidueType::NON_POLYMER, false, "(4~{a}~{S},8~{a}~{R})-2-cycloheptyl-4-[4-methoxy-3-[4-[4-(1~{H}-1,2,3,4-tetrazol-5-yl)phenoxy]butoxy]phenyl]-4~{a},5,8,8~{a}-tetrahydrophthalazin-1-one", 7507 },
	{ "6M6", "", "", ResidueType::PEPTIDE_LINKING, false, "S-[(2-phenylethyl)carbamothioyl]-L-cysteine", 7508 },
	{ "6M8", "", "", ResidueType::NON_POLYMER, false, "7-[[3-[2-(dimethylamino)ethyl]phenoxy]methyl]quinolin-2-amine", 7509 },
	{ "6M9", "", "", ResidueType::NON_POLYMER, false, "2,1-benzoxaborol-1(3H)-ol", 7510 },
	{ "6MA", "6MC", "", ResidueType::DNA_LINKING, false, "N6-METHYL-DEOXY-ADENOSINE-5'-MONOPHOSPHATE", 7511 },
	{ "6MB", "", "", ResidueType::NON_POLYMER, false, "4-{[(2-amino-4-oxo-3,4-dihydropteridin-6-yl)methyl]amino}-N-(3,4-dimethyl-1,2-oxazol-5-yl)benzene-1-sulfonamide", 7512 },
	{ "6MC", "", "6MA", ResidueType::RNA_LINKING, true, "CIS-N6-METHYL-DEOXY-ADENOSINE-5'-MONOPHOSPHATE", 7513 },
	{ "6MD", "", "", ResidueType::NON_POLYMER, false, "N-methyladenosine", 7514 },
	{ "6ME", "", "", ResidueType::NON_POLYMER, false, "(6S)-6-methyl-5,6,7,8-tetrahydroquinazoline-2,4-diamine", 7515 },
	{ "6MG", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(R)-({[(benzyloxy)carbonyl]amino}methyl)(hydroxy)phosphoryl]-N-[(2S)-2,3,3-trimethylbutyl]-L-leucinamide", 7516 },
	{ "6MH", "", "", ResidueType::NON_POLYMER, false, "1-hydroxy-6-methylpyridine-2(1H)-thione", 7517 },
	{ "6MI", "", "", ResidueType::DNA_LINKING, false, "6-METHYL-8-(2-DEOXY-RIBOFURANOSYL)ISOXANTHOPTERIDINE", 7518 },
	{ "6MJ", "", "", ResidueType::NON_POLYMER, false, "methyl beta-D-xylopyranoside", 7519 },
	{ "6MK", "", "", ResidueType::NON_POLYMER, false, "", 7520 },
	{ "6ML", "", "", ResidueType::NON_POLYMER, false, "oxygen-damaged SF4", 7521 },
	{ "6MM", "", "", ResidueType::NON_POLYMER, false, "", 7522 },
	{ "6MN", "", "", ResidueType::NON_POLYMER, false, "2-amino-2-deoxy-6-O-phosphono-alpha-D-mannopyranose", 7523 },
	{ "6MO", "", "", ResidueType::NON_POLYMER, false, "MOLYBDENUM(VI) ION", 7524 },
	{ "6MP", "", "", ResidueType::NON_POLYMER, false, "6-METHYLPURINE", 7525 },
	{ "6MQ", "", "", ResidueType::NON_POLYMER, false, "methyl 5-[(6-amino-8-oxo-7,8-dihydro-3H-imidazo[4,5-g]quinazolin-2-yl)amino]-5-deoxy-2,3-O-(1-methylethylidene)-beta-D-ribofuranoside", 7526 },
	{ "6MR", "", "", ResidueType::NON_POLYMER, false, "N-[(4'-IODOBIPHENYL-4-YL)SULFONYL]-D-TRYPTOPHAN", 7527 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "[6-(2-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)hexyl]phosphonic acid", 7528 },
	{ "6MT", "", "6MA", ResidueType::RNA_LINKING, true, "TRANS-N6-METHYL-DEOXY-ADENOSINE-5'-MONOPHOSPHATE", 7529 },
	{ "6MU", "", "", ResidueType::NON_POLYMER, false, "6-methylpyrimidine-2,4-diol", 7530 },
	{ "6MV", "", "", ResidueType::NON_POLYMER, false, "4-[2-fluoro-3-(4-oxoquinazolin-3(4H)-yl)phenyl]-7-(2-hydroxypropan-2-yl)-9H-carbazole-1-carboxamide", 7531 },
	{ "6MW", "", "", ResidueType::NON_POLYMER, false, "(2S,4S)-2-(pyridin-4-yl)-1,3-thiazolidine-4-carboxylic acid", 7532 },
	{ "6MX", "", "", ResidueType::NON_POLYMER, false, "2-[(3~{R})-1-[6-cyclohexylsulfanyl-5-[[(1~{R},3~{S})-5-oxidanyl-2-adamantyl]carbamoyl]pyridin-2-yl]pyrrolidin-3-yl]ethanoic acid", 7533 },
	{ "6MY", "", "", ResidueType::NON_POLYMER, false, "(1S)-1,5-anhydro-1-(5-phenyl-1H-imidazol-2-yl)-D-glucitol", 7534 },
	{ "6MZ", "", "", ResidueType::RNA_LINKING, false, "N6-METHYLADENOSINE-5'-MONOPHOSPHATE", 7535 },
	{ "6N0", "", "", ResidueType::NON_POLYMER, false, "N-(5,5-dioxodibenzothiophen-2-yl)-4,4-difluoro-piperidine-1-carboxamide", 7536 },
	{ "6N1", "", "", ResidueType::NON_POLYMER, false, "2-{[2-(morpholin-4-yl)ethyl]amino}-1H-benzimidazole-6-carbohydrazide", 7537 },
	{ "6N2", "", "", ResidueType::NON_POLYMER, false, "N-(2-{[2-(morpholin-4-yl)ethyl]amino}-1H-benzimidazol-5-yl)guanidine", 7538 },
	{ "6N3", "", "", ResidueType::NON_POLYMER, false, "(1~{R},5~{S})-3-[6-(3-methylbutoxy)-5-[[(1~{R},3~{S})-5-oxidanyl-2-adamantyl]carbamoyl]pyridin-2-yl]-3-azabicyclo[3.1.0]hexane-6-carboxylic acid", 7539 },
	{ "6N4", "", "", ResidueType::NON_POLYMER, false, "2-(1H-BENZIMIDAZOL-2-YLSULFANYL)ETHANOL", 7540 },
	{ "6N5", "", "", ResidueType::NON_POLYMER, false, "", 7541 },
	{ "6N6", "", "", ResidueType::NON_POLYMER, false, "5-(2-thienyl)-1,3,4-thiadiazol-2-amine", 7542 },
	{ "6N8", "", "", ResidueType::NON_POLYMER, false, "N-(3,3-DIPHENYLPROPYL)PYRROLIDINE-1-CARBOXAMIDE", 7543 },
	{ "6N9", "", "", ResidueType::NON_POLYMER, false, "(3-{[dihydroxy(propyl)-lambda~4~-sulfanyl]amino}-2,6-difluorophenyl)[5-(4-methoxyphenyl)-1H-pyrrolo[2,3-b]pyridin-3-yl]methanone", 7544 },
	{ "6NA", "", "", ResidueType::NON_POLYMER, false, "HEXANOIC ACID", 7545 },
	{ "6NB", "", "", ResidueType::NON_POLYMER, false, "N,N'-{ethane-1,2-diylbis[oxyethane-2,1-diyloxy-4,1-phenylene-1H-pyrrolo[2,3-b]pyridine-5,3-diylcarbonyl(2,4-difluoro-3,1-phenylene)]}di(propane-1-sulfonamide)", 7546 },
	{ "6NC", "", "", ResidueType::NON_POLYMER, false, "2,2'-oxybis[N-({4-[3-(3-{[dihydroxy(propyl)-lambda~4~-sulfanyl]amino}-2,6-difluorobenzene-1-carbonyl)-1H-pyrrolo[2,3-b]pyridin-5-yl]phenyl}methyl)acetamide]", 7547 },
	{ "6ND", "", "", ResidueType::NON_POLYMER, false, "5-({[(3,4-difluorophenyl)sulfonyl]amino}methyl)-6-methyl-N-[(2-methyl-1,3-thiazol-5-yl)methyl]pyrazine-2-carboxamide", 7548 },
	{ "6NE", "", "", ResidueType::NON_POLYMER, false, "(1S)-1,5-anhydro-1-[5-(naphthalen-2-yl)-1H-imidazol-2-yl]-D-glucitol", 7549 },
	{ "6NF", "", "", ResidueType::NON_POLYMER, false, "N-(CYCLOHEXYLMETHYL)-3-(4-PYRIDYL)-1H-PYRAZOL-5-AMINE", 7550 },
	{ "6NG", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(R)-({[(benzyloxy)carbonyl]amino}methyl)(hydroxy)phosphoryl]-N-[(2R)-2,3,3-trimethylbutyl]-L-leucinamide", 7551 },
	{ "6NH", "", "", ResidueType::NON_POLYMER, false, "2-(4-HYDROXY-5-PHENYL-1H-PYRAZOL-3-YL)-1H-BENZOIMIDAZOLE-5-CARBOXAMIDINE", 7552 },
	{ "6NI", "", "", ResidueType::NON_POLYMER, false, "6-NITROINDAZOLE", 7553 },
	{ "6NJ", "", "", ResidueType::NON_POLYMER, false, "3-(2-phenylethyl)-1H-indazole", 7554 },
	{ "6NK", "", "", ResidueType::NON_POLYMER, false, "2-{[2-(morpholin-4-yl)ethyl]amino}-1H-benzimidazole-6-carboxamide", 7555 },
	{ "6NL", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(3-hydroxy-4-methoxyphenyl)-1-(7-methoxy-2H-1,3-benzodioxol-5-yl)-2-methylprop-2-en-1-one", 7556 },
	{ "6NM", "", "", ResidueType::NON_POLYMER, false, "4-[5-[3-(trifluoromethyl)phenyl]-1H-pyrazol-4-yl]pyridine", 7557 },
	{ "6NN", "", "", ResidueType::NON_POLYMER, false, "P-((((benzyloxy)carbonyl)amino)methyl)-N-((S)-4-methyl-1-(((R)-2-methylbutyl)amino)-1-oxopentan- 2-yl)phosphonamidic acid", 7558 },
	{ "6NO", "", "", ResidueType::NON_POLYMER, false, "Avilamycin", 7559 },
	{ "6NP", "", "", ResidueType::NON_POLYMER, false, "6((S)-3-BENZYLPIPERAZIN-1-YL)-3-(NAPHTHALEN-2-YL)-4-(PYRIDIN-4-YL)PYRAZINE", 7560 },
	{ "6NQ", "", "", ResidueType::NON_POLYMER, false, "", 7561 },
	{ "6NR", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-azanyl-4-[[(2~{S},3~{S},4~{R},5~{R})-5-(4-azanyl-5-cyano-pyrrolo[2,3-d]pyrimidin-7-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methylsulfanyl]butanoic acid", 7562 },
	{ "6NS", "", "", ResidueType::NON_POLYMER, false, "(3~{R})-3-[[5-fluoranyl-2-(5-fluoranyl-1~{H}-pyrrolo[2,3-b]pyridin-3-yl)pyrimidin-4-yl]amino]-4,4-dimethyl-pentanoic acid", 7563 },
	{ "6NT", "", "", ResidueType::NON_POLYMER, false, "6-NITROBENZOTRIAZOLE", 7564 },
	{ "6NU", "", "", ResidueType::NON_POLYMER, false, "(3~{R})-3-[[5-fluoranyl-2-(5-fluoranyl-1~{H}-pyrrolo[2,3-b]pyridin-3-yl)pyrimidin-4-yl]amino]-3-(1-methylcyclobutyl)propanoic acid", 7565 },
	{ "6NV", "", "", ResidueType::NON_POLYMER, false, "", 7566 },
	{ "6NW", "", "", ResidueType::RNA_LINKING, false, "2'-O-methyl-5'-O-thiophosphonoadenosine", 7567 },
	{ "6NX", "", "", ResidueType::NON_POLYMER, false, "1-CYCLOHEXYL-3-METHYL-UREA", 7568 },
	{ "6NY", "", "", ResidueType::NON_POLYMER, false, "3-{2-(hydroxyamino)-5-[(1S)-1-hydroxyethyl]phenoxy}-N,N-dimethylbenzamide", 7569 },
	{ "6NZ", "", "", ResidueType::NON_POLYMER, false, "5-cyclohexyl-3-propyl-1H-pyridin-2-one", 7570 },
	{ "6O0", "", "", ResidueType::NON_POLYMER, false, "(1-butyl-3-methyl-1,3-dihydro-2H-imidazol-2-ylidene)(chloro)gold", 7571 },
	{ "6O1", "", "", ResidueType::NON_POLYMER, false, "Evernimicin", 7572 },
	{ "6O2", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},4~{R},5~{R})-5-[6-[(3-ethynylphenyl)amino]purin-9-yl]-3,4-bis(oxidanyl)oxolan-2-yl]methyl sulfamate", 7573 },
	{ "6O3", "", "", ResidueType::NON_POLYMER, false, "{[6-(4-methylphenyl)thieno[2,3-d]pyrimidin-5-yl]methyl}phosphonic acid", 7574 },
	{ "6O5", "", "", ResidueType::NON_POLYMER, false, "3-(furan-2-yl)propanoic acid", 7575 },
	{ "6O6", "", "", ResidueType::NON_POLYMER, false, "Plicamycin, mithramycin analogue MTM SA-Trp", 7576 },
	{ "6O7", "", "", ResidueType::NON_POLYMER, false, "Plicamycin, mithramycin analogue MTM SA-Phe ", 7577 },
	{ "6O8", "", "", ResidueType::NON_POLYMER, false, "(4R,7S)-4-hydroxy-N,N,N-trimethyl-4,9-dioxo-7-[(pentanoyloxy)methyl]-3,5,8-trioxa-4lambda~5~-phosphatetradecan-1-aminium", 7578 },
	{ "6O9", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(acetyloxy)-3-{[(R)-(2-aminoethoxy)(hydroxy)phosphoryl]oxy}propyl pentanoate", 7579 },
	{ "6OA", "", "", ResidueType::NON_POLYMER, false, "(2Z,4E)-2,6-dihydroxyhexa-2,4-dienoic acid", 7580 },
	{ "6OB", "", "", ResidueType::NON_POLYMER, false, "(8E,10S,12Z)-10-hydroxy-6-oxooctadeca-8,12-dienoic acid", 7581 },
	{ "6OC", "", "", ResidueType::NON_POLYMER, false, "(8R,9Z,12Z)-8-hydroxy-6-oxooctadeca-9,12-dienoic acid", 7582 },
	{ "6OD", "", "", ResidueType::NON_POLYMER, false, "(2E,4E)-2-amino-6-oxohexa-2,4-dienoic acid", 7583 },
	{ "6OE", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-{[(S)-(2-aminoethoxy)(hydroxy)phosphoryl]oxy}-2-(hexanoyloxy)propyl hexanoate", 7584 },
	{ "6OG", "G32", "", ResidueType::DNA_LINKING, false, "", 7585 },
	{ "6OH", "", "", ResidueType::NON_POLYMER, false, "(2E,4E)-2-hydroxy-6-oxohexa-2,4-dienoic acid", 7586 },
	{ "6OJ", "", "", ResidueType::NON_POLYMER, false, "7,8-bis(chloranyl)-9-methyl-3,4-dihydro-2H-pyrido[3,4-b]indol-1-one", 7587 },
	{ "6OK", "", "", ResidueType::NON_POLYMER, false, "6-amino-2-({2-[4-(2-hydroxyethyl)phenyl]ethyl}amino)-1,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 7588 },
	{ "6OL", "", "", ResidueType::NON_POLYMER, false, "methylarsonous acid", 7589 },
	{ "6OM", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-methylbut-2-ene-1,4-diol", 7590 },
	{ "6ON", "", "", ResidueType::NON_POLYMER, false, "", 7591 },
	{ "6OO", "", "", ResidueType::RNA_LINKING, false, "2'-O-methyl-5'-O-thiophosphonocytidine", 7592 },
	{ "6OP", "", "", ResidueType::RNA_LINKING, false, "1-[(5E)-5,6-dideoxy-2-O-(2-methoxyethyl)-6-phosphono-beta-D-ribo-hex-5-enofuranosyl]-5-methylpyrimidine-2,4(1H,3H)-dione", 7593 },
	{ "6OQ", "", "", ResidueType::NON_POLYMER, false, "2-ethyl-1,2-dihydro-1,2-azaborinine", 7594 },
	{ "6OR", "", "", ResidueType::NON_POLYMER, false, "3,5-dichloro-4-hydroxybenzene-1-sulfonic acid", 7595 },
	{ "6OS", "", "", ResidueType::NON_POLYMER, false, "Neplanocin-A", 7596 },
	{ "6OT", "", "", ResidueType::NON_POLYMER, false, "3,5-dichlorobenzene-1-sulfonamide", 7597 },
	{ "6OU", "", "", ResidueType::NON_POLYMER, false, "[(2~{R})-1-[2-azanylethoxy(oxidanyl)phosphoryl]oxy-3-hexadecanoyloxy-propan-2-yl] (~{Z})-octadec-9-enoate", 7598 },
	{ "6OV", "", "", ResidueType::NON_POLYMER, false, "3-cyclohexyl-D-alanyl-N-[(4-carbamimidoylphenyl)methyl]-L-prolinamide", 7599 },
	{ "6OW", "", "", ResidueType::NON_POLYMER, false, "2,7-dimethyl-3-(1H-pyrazol-5-yl)imidazo[1,2-a]pyridine", 7600 },
	{ "6OX", "", "", ResidueType::NON_POLYMER, false, "2-[2-[2-[2,6-bis(chloranyl)phenyl]propan-2-yl]-1-[2-fluoranyl-4-[3-fluoranyl-4-(hydroxymethyl)-5-methylsulfonyl-phenyl]phenyl]imidazol-4-yl]propan-2-ol", 7601 },
	{ "6OY", "", "", ResidueType::NON_POLYMER, false, "ethyl (4R)-4-[[(2S,4S)-1-[(2S)-3-methyl-2-[(5-methyl-1,2-oxazol-3-yl)carbonylamino]butanoyl]-4-phenyl-pyrrolidin-2-yl]carbonylamino]-5-[(3S)-2-oxidanylidenepyrrolidin-3-yl]pentanoate", 7602 },
	{ "6OZ", "", "", ResidueType::NON_POLYMER, false, "2,4-dimethyl-5-[3-(2-phenylpropan-2-yl)-1H-pyrazol-5-yl]-1,3-thiazole", 7603 },
	{ "6P0", "", "", ResidueType::NON_POLYMER, false, "5-[1-(4-methoxyphenyl)cyclopropyl]-1',3'-dimethyl-1'H,2H-3,4'-bipyrazole", 7604 },
	{ "6P1", "", "", ResidueType::NON_POLYMER, false, "5-{3-[(1R)-1-(4-methoxyphenyl)ethyl]-1H-pyrazol-5-yl}-2,4-dimethyl-1,3-thiazole", 7605 },
	{ "6P2", "", "", ResidueType::NON_POLYMER, false, "5-{3-[1-(4-methoxyphenyl)cyclopropyl]-1H-pyrazol-5-yl}-2,4-dimethyl-1,3-thiazole", 7606 },
	{ "6P3", "", "", ResidueType::NON_POLYMER, false, "6-phenylpyridine-3-carboxylic acid", 7607 },
	{ "6P4", "", "", ResidueType::NON_POLYMER, false, "2,6-dimethyl-3-(1H-pyrazol-5-yl)imidazo[1,2-a]pyridine", 7608 },
	{ "6P5", "", "", ResidueType::NON_POLYMER, false, "4-methyl-2-(4-methylphenyl)-5-(1H-pyrazol-5-yl)-1,3-thiazole", 7609 },
	{ "6P6", "", "", ResidueType::NON_POLYMER, false, "1-(4-phenylazanylquinazolin-7-yl)ethanone", 7610 },
	{ "6P8", "", "", ResidueType::NON_POLYMER, false, "~{N}-(4-phenylazanylquinazolin-7-yl)ethanamide", 7611 },
	{ "6P9", "", "", ResidueType::NON_POLYMER, false, "[2-(phenylamino)-1,4-phenylene]bis({4-[2-(pyrrolidin-1-yl)ethyl]piperidin-1-yl}methanone)", 7612 },
	{ "6PB", "", "", ResidueType::NON_POLYMER, false, "6-(3-bromophenyl)-7H-purin-2-amine", 7613 },
	{ "6PC", "", "", ResidueType::NON_POLYMER, false, "PYRIDINE-2-CARBOXYLIC ACID", 7614 },
	{ "6PD", "", "", ResidueType::NON_POLYMER, false, "[4-(2-pyrrolidin-1-ylethyl)piperidin-1-yl]-[4-[4-(2-pyrrolidin-1-ylethyl)piperidin-1-yl]carbonyl-3-[[4-(pyrrolidin-1-ylmethoxy)phenyl]amino]phenyl]methanone", 7615 },
	{ "6PE", "", "", ResidueType::NON_POLYMER, false, "1,2-DIHEXANOYL-SN-GLYCERO-3-PHOSPHOETHANOLAMINE", 7616 },
	{ "6PF", "", "", ResidueType::NON_POLYMER, false, "N-[6-(5-methanesulfonamido-6-methoxypyridin-3-yl)-1,3-dihydro-2-benzofuran-4-yl]-2-(morpholin-4-yl)acetamide", 7617 },
	{ "6PG", "", "", ResidueType::SACCHARIDE, false, "6-PHOSPHOGLUCONIC ACID", 7618 },
	{ "6PH", "", "", ResidueType::NON_POLYMER, false, "(1R)-2-(phosphonooxy)-1-[(tridecanoyloxy)methyl]ethyl pentadecanoate", 7619 },
	{ "6PJ", "", "", ResidueType::NON_POLYMER, false, "CY5.5-PEG2", 7620 },
	{ "6PK", "", "", ResidueType::NON_POLYMER, false, "O-benzyl-N-(benzylsulfonyl)-D-seryl-N-[(4-carbamimidoylphenyl)methyl]glycinamide", 7621 },
	{ "6PL", "", "", ResidueType::NON_POLYMER, false, "(4S,7R)-4-HYDROXY-N,N,N-TRIMETHYL-9-OXO-7-[(PALMITOYLOXY)METHYL]-3,5,8-TRIOXA-4-PHOSPHAHEXACOSAN-1-AMINIUM 4-OXIDE", 7622 },
	{ "6PM", "", "", ResidueType::NON_POLYMER, false, "5-[(1S)-1-(4-methoxyphenyl)ethyl]-1',3'-dimethyl-1'H,2H-3,4'-bipyrazole", 7623 },
	{ "6PN", "", "", ResidueType::NON_POLYMER, false, "5-hexyl-2-phenoxyphenol", 7624 },
	{ "6PO", "", "", ResidueType::DNA_LINKING, false, "9-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-6-propoxy-9H-purin-2-amine", 7625 },
	{ "6PP", "", "", ResidueType::NON_POLYMER, false, "3-[(2Z)-3-methylpent-2-en-1-yl]benzene-1,2-diol", 7626 },
	{ "6PQ", "", "", ResidueType::NON_POLYMER, false, "5-{3-[(4-methoxyphenyl)methyl]-1H-pyrazol-5-yl}-2,4-dimethyl-1,3-thiazole", 7627 },
	{ "6PR", "", "", ResidueType::NON_POLYMER, false, "(S)-4-AMINO-4-OXO-3-(2-PHOSPHONOACETAMIDO)BUTANOIC ACID", 7628 },
	{ "6PS", "", "", ResidueType::NON_POLYMER, false, "2,4-dimethyl-5-{3-[(1R)-1-phenylethyl]-1H-pyrazol-5-yl}-1,3-thiazole", 7629 },
	{ "6PT", "", "", ResidueType::NON_POLYMER, false, "4-[(5-acetyl-2-ethyl-3-oxo-6-phenyl-2,3-dihydropyridazin-4-yl)amino]benzoic acid", 7630 },
	{ "6PU", "", "", ResidueType::NON_POLYMER, false, "(3R,4S)-1-[(1S)-7-fluoro-2,3-dihydro-1H-inden-1-yl]-N,N-dimethyl-4-{4-[4-(methylsulfonyl)piperazin-1-yl]phenyl}pyrrolidin-3-amine", 7631 },
	{ "6PV", "", "", ResidueType::NON_POLYMER, false, "4-{2-[(3-methoxyphenyl)amino]-4-[(piperidin-4-yl)methoxy]pyrimidin-5-yl}-N-[2-oxo-2-(phenylamino)ethyl]benzamide", 7632 },
	{ "6PW", "", "", ResidueType::NON_POLYMER, false, "1,5-anhydro-2,3,4-trideoxy-3-{[(4S)-3,3-dimethyl-1-(8-methylquinolin-2-yl)piperidine-4-carbonyl]amino}-D-erythro-hexitol", 7633 },
	{ "6PX", "", "", ResidueType::NON_POLYMER, false, "methyl N-[4-amino-3-(L-arginylamino)benzene-1-carbonyl]-L-tyrosinate", 7634 },
	{ "6PY", "", "", ResidueType::NON_POLYMER, false, "5-(acetylamino)-2,6-anhydro-4-carbamimidamido-3,4,5-trideoxy-7-O-[(2-methoxyethyl)carbamoyl]-D-glycero-D-galacto-non-2-enonic acid", 7635 },
	{ "6PZ", "", "", ResidueType::SACCHARIDE, false, "(2~{S},4~{S},5~{S},6~{S})-5-acetamido-6-[(1~{S},2~{S})-1-acetamido-2-oxidanyl-propyl]-2,4-bis(oxidanyl)oxane-2-carboxylic acid", 7636 },
	{ "6Q0", "", "", ResidueType::NON_POLYMER, false, "~{N}-[[4-(3,5-dimethyl-1,2-oxazol-4-yl)phenyl]methyl]benzenesulfonamide", 7637 },
	{ "6Q1", "", "", ResidueType::NON_POLYMER, false, "15-{4-[(4-methylpiperazin-1-yl)methyl]phenyl}-4,5,6,7,9,10,11,12-octahydro-2,16-(azenometheno)pyrrolo[2,1-d][1,3,5,9]tetraazacyclotetradecin-8(3H)-one", 7638 },
	{ "6Q2", "", "", ResidueType::NON_POLYMER, false, "4-[(3-methoxyphenyl)amino]-2-phenyl-7,8-dihydro-1,6-naphthyridin-5(6H)-one", 7639 },
	{ "6Q3", "", "", ResidueType::NON_POLYMER, false, "3-(2-AMINO-6-METHYL-PYRIMIDIN-4-YL)OXYPROPAN-1-OL", 7640 },
	{ "6Q4", "", "", ResidueType::NON_POLYMER, false, "N-methyl-N-(1-methylpiperidin-4-yl)-4-{[4-({(1R,2S)-2-[(propan-2-yl)carbamoyl]cyclopentyl}amino)-5-(trifluoromethyl)pyrimidin-2-yl]amino}benzamide", 7641 },
	{ "6Q5", "", "", ResidueType::NON_POLYMER, false, "Ursolic acid ", 7642 },
	{ "6Q6", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-(2H-1,3-benzodioxol-5-yl)-1-[(3R,5S)-3,5-dimethylpiperidin-1-yl]-3-(2-hydroxy-4,6-dimethoxyphenyl)propan-1-one", 7643 },
	{ "6Q7", "", "", ResidueType::NON_POLYMER, false, "4-{5-(3-tert-butylphenyl)-1-[4-(methylsulfonyl)phenyl]-1H-pyrazol-3-yl}benzoic acid", 7644 },
	{ "6Q8", "", "", ResidueType::NON_POLYMER, false, "~{N}-(4-fluorophenyl)-4-(2~{H}-indazol-6-ylsulfamoyl)-3,5-dimethyl-1~{H}-pyrrole-2-carboxamide", 7645 },
	{ "6Q9", "", "", ResidueType::NON_POLYMER, false, "~{N}-(2~{H}-indazol-6-yl)-3,5-dimethyl-1~{H}-pyrazole-4-sulfonamide", 7646 },
	{ "6QA", "", "", ResidueType::NON_POLYMER, false, "", 7647 },
	{ "6QB", "", "", ResidueType::NON_POLYMER, false, "1-[(1~{S})-1-(4-chloranyl-3-fluoranyl-phenyl)-2-oxidanyl-ethyl]-4-[2-[(2-methylpyrazol-3-yl)amino]pyrimidin-4-yl]pyridin-2-one", 7648 },
	{ "6QC", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{S})-1-[[(2~{R})-2,3-dimethylbutyl]amino]-4-methyl-1-oxidanylidene-pentan-2-yl]-(phenylmethoxycarbonylaminomethyl)phosphonamidic acid", 7649 },
	{ "6QD", "", "", ResidueType::NON_POLYMER, false, "5-(6-oxidanylidene-3~{H}-purin-9-yl)pentylphosphonic acid", 7650 },
	{ "6QE", "", "", ResidueType::NON_POLYMER, false, "~{N}-[[4-[5-[[2,3-bis(fluoranyl)phenoxy]methyl]-3-methyl-1,2-oxazol-4-yl]phenyl]methyl]-1-methyl-cyclopropane-1-sulfonamide", 7651 },
	{ "6QF", "", "", ResidueType::NON_POLYMER, false, "phenazin-1-ol", 7652 },
	{ "6QG", "", "", ResidueType::NON_POLYMER, false, "3-methyl-5,8-dioxa-17lambda-thia-4,18-diazatetracyclo[18.2.2.1,.0]pentacosa-1(22),2(6),3,9,11,13(25),20,23-octaene-17,17-dione", 7653 },
	{ "6QH", "", "", ResidueType::NON_POLYMER, false, "5-(3-chloranyl-4-methoxy-phenyl)-~{N}-[3-(1,2,4-triazol-1-yl)propyl]-1,3-oxazole-4-carboxamide", 7654 },
	{ "6QJ", "", "", ResidueType::NON_POLYMER, false, "(4-fluoranyl-3-oxidanyl-phenyl)-[6-(3-methyl-4-oxidanyl-phenyl)pyridin-2-yl]methanone", 7655 },
	{ "6QK", "", "", ResidueType::NON_POLYMER, false, "2-chloranyl-6-(4,6-dimethoxypyrimidin-2-yl)sulfanyl-benzoic acid", 7656 },
	{ "6QL", "", "", ResidueType::NON_POLYMER, false, "2,6-bis[(4,6-dimethoxypyrimidin-2-yl)oxy]benzoic acid", 7657 },
	{ "6QM", "", "", ResidueType::NON_POLYMER, false, "4-[5-(4-ETHOXYPHENYL)-1,2,3-THIADIAZOL-4-YL]-6-ETHYLBENZENE-1,3-DIOL", 7658 },
	{ "6QN", "", "", ResidueType::NON_POLYMER, false, "~{N}-ethyl-4-oxidanyl-2-oxidanylidene-1~{H}-1,7-naphthyridine-3-carboxamide", 7659 },
	{ "6QO", "", "", ResidueType::NON_POLYMER, false, "(4-fluoranyl-3-oxidanyl-phenyl)-[6-(2-fluoranyl-3-oxidanyl-phenyl)pyridin-2-yl]methanone", 7660 },
	{ "6QP", "", "", ResidueType::NON_POLYMER, false, "2-chloranyl-6-fluoranyl-~{N}-[(2~{R})-4-(4-fluorophenyl)sulfonyl-2-(hydroxymethyl)-2,3-dihydro-1,4-benzoxazin-6-yl]benzamide", 7661 },
	{ "6QQ", "", "", ResidueType::NON_POLYMER, false, "6-[[7,7-bis(oxidanyl)-8-oxa-7-boranuidabicyclo[4.3.0]nona-1(6),2,4-trien-3-yl]oxy]-5-chloranyl-2-(4-oxidanylidenepentoxy)pyridine-3-carbonitrile", 7662 },
	{ "6QR", "", "", ResidueType::NON_POLYMER, false, "(2~{S},3~{R},4~{R})-4-(1~{H}-indol-3-ylsulfanyl)-3-methyl-2-[(2~{S},3~{S})-3-oxidanyl-1-oxidanylidene-butan-2-yl]-3,4-dihydro-2~{H}-pyrrole-5-carboxylic acid", 7663 },
	{ "6QS", "", "", ResidueType::NON_POLYMER, false, "[(2~{R})-oxolan-2-yl]methyl 4-(9-ethylcarbazol-3-yl)-2-methyl-5-oxidanylidene-4,6,7,8-tetrahydro-1~{H}-quinoline-3-carboxylate", 7664 },
	{ "6QT", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-(3-hydroxyphenyl)-6-oxidanyl-2,3-dihydrochromen-4-one", 7665 },
	{ "6QU", "", "", ResidueType::NON_POLYMER, false, "[4-fluoranyl-2,3-bis(oxidanyl)phenyl]-[6-(2-fluoranyl-3-oxidanyl-phenyl)pyridin-2-yl]methanone", 7666 },
	{ "6QV", "", "", ResidueType::NON_POLYMER, false, "(4-nitrophenoxy)-phenyl-phosphinic acid", 7667 },
	{ "6QW", "", "", ResidueType::NON_POLYMER, false, "~{N}-[[3-methyl-4-(4-methylsulfonylphenyl)phenyl]methyl]-~{N}-(2-methylpropyl)-1-phenyl-methanesulfonamide", 7668 },
	{ "6QX", "", "", ResidueType::NON_POLYMER, false, "~{N}1-(7,8-dihydro-6~{H}-cyclopenta[2,3]thieno[2,4-~{c}]pyrimidin-1-yl)-~{N}4,~{N}4-dimethyl-cyclohexane-1,4-diamine", 7669 },
	{ "6QY", "", "", ResidueType::NON_POLYMER, false, "~{N}4,~{N}4-dimethyl-~{N}1-[5-(oxan-4-yl)-7~{H}-pyrrolo[2,3-d]pyrimidin-4-yl]cyclohexane-1,4-diamine", 7670 },
	{ "6QZ", "", "", ResidueType::NON_POLYMER, false, "(3~{a}~{R},7~{a}~{S})-1-methyl-5-[4-[[5-(oxan-4-yl)-7~{H}-pyrrolo[2,3-d]pyrimidin-4-yl]amino]cyclohexyl]-3,3~{a},4,6,7,7~{a}-hexahydropyrrolo[3,2-c]pyridin-2-one", 7671 },
	{ "6R0", "", "", ResidueType::NON_POLYMER, false, "(3~{a}~{S},7~{a}~{R})-1-methyl-5-[4-[[5-(oxan-4-yl)-7~{H}-pyrrolo[2,3-d]pyrimidin-4-yl]amino]cyclohexyl]-3,3~{a},4,6,7,7~{a}-hexahydropyrrolo[3,2-c]pyridin-2-one", 7672 },
	{ "6R1", "", "", ResidueType::NON_POLYMER, false, "~{N}-(4-morpholin-4-ylcyclohexyl)-5-(oxan-4-yl)-7~{H}-pyrrolo[2,3-d]pyrimidin-4-amine", 7673 },
	{ "6R3", "", "", ResidueType::NON_POLYMER, false, "2-azanylpenta-1,4-dien-3-one", 7674 },
	{ "6R4", "", "", ResidueType::NON_POLYMER, false, "methyl 2-[(4-methyl-5-oxidanylidene-3-propoxy-1,2,4-triazol-1-yl)carbonylsulfamoyl]benzoate", 7675 },
	{ "6R5", "", "", ResidueType::NON_POLYMER, false, "methyl 4-[(3-methoxy-4-methyl-5-oxidanylidene-1,2,4-triazol-1-yl)carbonylsulfamoyl]-5-methyl-thiophene-3-carboxylate", 7676 },
	{ "6R6", "", "", ResidueType::NON_POLYMER, false, "5-nitroanthranilic acid", 7677 },
	{ "6R7", "", "", ResidueType::NON_POLYMER, false, "5-nitrosalicylic acid", 7678 },
	{ "6R8", "", "", ResidueType::NON_POLYMER, false, "(6~{R})-6-azanyl-3-nitro-6-oxidanyl-cyclohexa-1,3-diene-1-carboxylic acid", 7679 },
	{ "6R9", "", "", ResidueType::NON_POLYMER, false, "[[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methoxy-oxidanyl-phosphoryl] ethanoate", 7680 },
	{ "6RB", "", "", ResidueType::NON_POLYMER, false, "1-(2-hydroxyethyl)-5-[(4-methoxynaphthalen-1-yl)methyl]-~{N}-(phenylmethyl)-6,7-dihydro-4~{H}-pyrazolo[4,3-c]pyridine-3-carboxamide", 7681 },
	{ "6RC", "", "", ResidueType::NON_POLYMER, false, "4-[5-[1-(2-methoxyethyl)pyrazol-4-yl]-2-(quinolin-2-yloxymethyl)imidazo[1,2-a]pyrazin-8-yl]morpholine", 7682 },
	{ "6RD", "", "", ResidueType::NON_POLYMER, false, "5-(1~{H}-indol-3-ylmethyl)-1-methyl-~{N}-(naphthalen-1-ylmethyl)-6,7-dihydro-4~{H}-pyrazolo[4,3-c]pyridine-3-carboxamide", 7683 },
	{ "6RE", "", "", ResidueType::NON_POLYMER, false, "[[2-[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]ethylamino]-azanyl-methylidene]azanium", 7684 },
	{ "6RF", "", "", ResidueType::NON_POLYMER, false, "4-azanyl-6-[[(1~{S})-1-(6-fluoranyl-3-phenyl-4-piperazin-1-ylcarbonyl-quinolin-2-yl)ethyl]amino]pyrimidine-5-carbonitrile", 7685 },
	{ "6RG", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-N~4~-(2-phenylethyl)quinazoline-4,7-diamine", 7686 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "4-(6-oxidanylidene-1~{H}-purin-9-yl)butylphosphonic acid", 7687 },
	{ "6RJ", "", "", ResidueType::NON_POLYMER, false, "4-[4-chloranyl-2-(1~{H}-pyrazol-4-yl)phenoxy]-3-cyano-~{N}-(1,3-thiazol-2-yl)benzenesulfonamide", 7688 },
	{ "6RK", "", "", ResidueType::PEPTIDE_LINKING, false, "4-azanylcyclohexane-1-carboxylic acid", 7689 },
	{ "6RL", "", "", ResidueType::NON_POLYMER, false, "2-[[6-[(3~{R})-3-azanylpiperidin-1-yl]-3-methyl-2,4-bis(oxidanylidene)pyrimidin-1-yl]methyl]-4-fluoranyl-benzenecarbonitrile", 7690 },
	{ "6RM", "", "", ResidueType::NON_POLYMER, false, "7-[(4-fluoranylphenoxy)methyl]-3-[(1~{R},2~{R})-2-(hydroxymethyl)cyclopropyl]-2-methyl-[1,3]thiazolo[3,2-a]pyrimidin-5-one", 7691 },
	{ "6RN", "", "", ResidueType::NON_POLYMER, false, "4-(pyridin-2-ylmethylamino)phenol", 7692 },
	{ "6RO", "", "", ResidueType::NON_POLYMER, false, "~{N}-(4-chlorophenyl)methanesulfonamide", 7693 },
	{ "6RP", "", "", ResidueType::NON_POLYMER, false, "bis(pyrzol-1-yl)acetate scorpionate", 7694 },
	{ "6RQ", "", "", ResidueType::NON_POLYMER, false, "5,6-dimethyl-1~{H}-benzimidazol-2-amine", 7695 },
	{ "6RR", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(3~{R})-1,1-bis(oxidanylidene)thian-3-yl]-2-methyl-pyridin-3-amine", 7696 },
	{ "6RS", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1~{S})-1-(3,4-dihydro-2~{H}-1,5-benzodioxepin-7-yl)ethyl]-2-methyl-pyridin-3-amine", 7697 },
	{ "6RT", "", "", ResidueType::NON_POLYMER, false, "2,4-bis(aziridin-1-yl)-6-(1-phenylpyrrol-2-yl)-1,3,5-triazine", 7698 },
	{ "6RU", "", "", ResidueType::NON_POLYMER, false, "~{N}2,~{N}2,~{N}4,~{N}4-tetramethyl-6-(1-phenylpyrrol-2-yl)-1,3,5-triazine-2,4-diamine", 7699 },
	{ "6RV", "", "", ResidueType::NON_POLYMER, false, "(1~{R},2~{R})-2-[7-[[5-chloranyl-3-(trifluoromethyl)pyrazol-1-yl]methyl]-5-oxidanylidene-2-(trifluoromethyl)-[1,3]thiazolo[3,2-a]pyrimidin-3-yl]cyclopropane-1-carbonitrile", 7700 },
	{ "6RW", "", "", ResidueType::NON_POLYMER, false, "2-methyl-~{N}-[(2~{S})-2-methylsulfonylcyclopentyl]pyridin-3-amine", 7701 },
	{ "6RX", "", "", ResidueType::NON_POLYMER, false, "(5~{S})-1-ethyl-5-(4-methylphenyl)-8,9-dihydro-5~{H}-furo[3,4]pyrido[3,5-~{b}]pyrimidine-2,4,6-trione", 7702 },
	{ "6RY", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1~{S})-1-(2,3-dihydro-1,4-benzodioxin-6-yl)ethyl]-2-methyl-pyridin-3-amine", 7703 },
	{ "6RZ", "", "", ResidueType::NON_POLYMER, false, "2-methyl-~{N}-[(2~{R})-1-methylsulfonylpropan-2-yl]pyridin-3-amine", 7704 },
	{ "6S0", "", "", ResidueType::NON_POLYMER, false, "2-methyl-~{N}-[(1~{S})-1-thieno[3,2-b]pyridin-6-ylethyl]pyridin-3-amine", 7705 },
	{ "6S1", "", "", ResidueType::NON_POLYMER, false, "3-[3-[4-(1-azanylcyclobutyl)phenyl]-5-phenyl-imidazo[4,5-b]pyridin-2-yl]pyridin-2-amine", 7706 },
	{ "6S2", "", "", ResidueType::NON_POLYMER, false, "methyl 2-(acetylamino)-2-deoxy-6-O-sulfo-beta-D-glucopyranoside", 7707 },
	{ "6S3", "", "", ResidueType::NON_POLYMER, false, "4-chloranyl-1-methyl-2-[4-(4-methylpiperazin-1-yl)phenyl]pyrrolo[2,3-b]pyridine-6-carboxamide", 7708 },
	{ "6S4", "", "", ResidueType::NON_POLYMER, false, "(3~{S})-~{N}-~{tert}-butyl-1,2,3,4-tetrahydroisoquinoline-3-carboxamide", 7709 },
	{ "6S5", "", "", ResidueType::NON_POLYMER, false, "(S)-N-(furan-2-ylmethyl)-1-(1,2,3,4-tetrahydroisoquinoline-3-carbonyl)piperidine-4-carboxamide", 7710 },
	{ "6S6", "", "", ResidueType::NON_POLYMER, false, "(1~{S},2~{R},3~{S},4~{S},5~{S},6~{R})-2-(8-azidooctylamino)-3,4,5,6-tetrakis(oxidanyl)cyclohexane-1-carboxylic acid", 7711 },
	{ "6S7", "", "", ResidueType::NON_POLYMER, false, "2-((5-(3,7-Diazabicyclo[3.3.1]nonan-3-yl)pyridin-3-yl)oxy)-N,N-dimethylethanamine", 7712 },
	{ "6S8", "", "", ResidueType::NON_POLYMER, false, "(~{Z})-~{N}-[(~{E},2~{S},3~{R})-1-[(2~{R},3~{R},4~{S},5~{R},6~{R})-6-(hydroxymethyl)-3,4,5-tris(oxidanyl)oxan-2-yl]oxy-3-oxidanyl-octadec-4-en-2-yl]octadec-9-enamide", 7713 },
	{ "6S9", "", "", ResidueType::NON_POLYMER, false, "1-[3-(2-methylpyridin-4-yl)-1~{H}-pyrazolo[4,3-c]pyridin-6-yl]-3-(phenylmethyl)urea", 7714 },
	{ "6SA", "", "", ResidueType::SACCHARIDE, false, "ACARBOSE DERIVED HEXASACCHARIDE", 7715 },
	{ "6SB", "", "", ResidueType::NON_POLYMER, false, "Taurodeoxycholate", 7716 },
	{ "6SC", "", "", ResidueType::NON_POLYMER, false, "3-bromo-5-phenyl-N-(pyridin-4-ylmethyl)pyrazolo[1,5-a]pyrimidin-7-amine", 7717 },
	{ "6SD", "", "", ResidueType::NON_POLYMER, false, "3-(4-methoxyphenyl)-1~{H}-pyrazol-5-amine", 7718 },
	{ "6SE", "", "", ResidueType::NON_POLYMER, false, "triselane", 7719 },
	{ "6SF", "", "", ResidueType::NON_POLYMER, false, "2-[3,4-bis(chloranyl)phenoxy]ethanamine", 7720 },
	{ "6SG", "", "", ResidueType::NON_POLYMER, false, "S-[N-(ferrocenylmethyl)carbamoylmethyl]-glutathione", 7721 },
	{ "6SH", "", "", ResidueType::NON_POLYMER, false, "5-azanyl-~{N}-[[4-[[(2~{S})-1-azanyl-4-cyclohexyl-1-oxidanylidene-butan-2-yl]carbamoyl]phenyl]methyl]-1-phenyl-pyrazole-4-carboxamide", 7722 },
	{ "6SJ", "", "", ResidueType::NON_POLYMER, false, "", 7723 },
	{ "6SK", "", "", ResidueType::NON_POLYMER, false, "(3~{S},3'~{S},4'~{S})-4'-azanyl-6-chloranyl-3'-(3-chlorophenyl)-1'-(2,2-dimethylpropyl)spiro[1~{H}-indole-3,2'-pyrrolidine]-2-one", 7724 },
	{ "6SL", "", "", ResidueType::NON_POLYMER, false, "2-pyridin-3-yl-1~{H}-benzimidazole", 7725 },
	{ "6SM", "", "", ResidueType::NON_POLYMER, false, "5-chloranylpyrimidine-4-carboxylic acid", 7726 },
	{ "6SN", "", "", ResidueType::NON_POLYMER, false, "5-(3,4-dichlorophenyl)-1~{H}-pyrazol-3-amine", 7727 },
	{ "6SO", "", "", ResidueType::NON_POLYMER, false, "2-(5-chloranyl-1~{H}-indol-3-yl)ethanamine", 7728 },
	{ "6SP", "", "", ResidueType::NON_POLYMER, false, "(3S)-pyrrolidin-3-ol", 7729 },
	{ "6SQ", "", "", ResidueType::NON_POLYMER, false, "1-[4-[4-(3-chlorophenyl)carbonylpiperidin-1-yl]phenyl]ethanone", 7730 },
	{ "6SR", "", "", ResidueType::NON_POLYMER, false, "5-[4-(1,3-benzodioxol-5-ylcarbonyl)piperazin-1-yl]-2,3-dihydroinden-1-one", 7731 },
	{ "6SS", "", "", ResidueType::NON_POLYMER, false, "(3~{S},3'~{S},4'~{S},5'~{S})-4'-azanyl-6-chloranyl-3'-(3-chloranyl-2-fluoranyl-phenyl)-1'-[(3-ethoxyphenyl)methyl]-5'-methyl-spiro[1~{H}-indole-3,2'-pyrrolidine]-2-one", 7732 },
	{ "6ST", "", "", ResidueType::NON_POLYMER, false, "", 7733 },
	{ "6SU", "", "", ResidueType::NON_POLYMER, false, "methyl 3-(methylsulfonylamino)benzoate", 7734 },
	{ "6SV", "", "", ResidueType::NON_POLYMER, false, "1-cyclohexyl-3-[[(2~{R})-oxolan-2-yl]methyl]urea", 7735 },
	{ "6SW", "", "", ResidueType::NON_POLYMER, false, "", 7736 },
	{ "6SX", "", "", ResidueType::NON_POLYMER, false, "", 7737 },
	{ "6SY", "", "", ResidueType::NON_POLYMER, false, "", 7738 },
	{ "6SZ", "", "", ResidueType::NON_POLYMER, false, "", 7739 },
	{ "6T0", "", "", ResidueType::NON_POLYMER, false, "1-(2-methylpropyl)imidazo[4,5-c]quinolin-4-amine", 7740 },
	{ "6T1", "", "", ResidueType::NON_POLYMER, false, "2-[2-[1-[2-(3,4-dichlorophenyl)ethyl]azetidin-3-yl]oxyphenyl]-~{N}-(3-pyrrolidin-1-ylpropyl)pyridine-4-carboxamide", 7741 },
	{ "6T2", "", "", ResidueType::NON_POLYMER, false, "1-(2-{5-[(3-Methyloxetan-3-yl)methoxy]-1H-benzimidazol-1-yl}quinolin-8-yl)piperidin-4-amine", 7742 },
	{ "6T3", "", "", ResidueType::NON_POLYMER, false, "11-(2-pyrrolidin-1-yl-ethoxy)-14,19-dioxa-5,7,26-triaza-tetracyclo[19.3.1.1(2,6).1(8,12)]heptacosa-1(25),2(26),3,5,8,10,12(27),16,21,23-decaene", 7743 },
	{ "6T4", "", "", ResidueType::NON_POLYMER, false, "~{N}-(4-methyl-1,3-thiazol-2-yl)ethanamide", 7744 },
	{ "6T5", "", "", ResidueType::NON_POLYMER, false, "6-methyl-5-[(4-propan-2-ylphenyl)amino]-2~{H}-1,2,4-triazin-3-one", 7745 },
	{ "6T6", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-methyl-5-phenyl-2-(3-pyridin-3-ylphenyl)-2,3-dihydro-1H-imidazol-4-amine", 7746 },
	{ "6T7", "", "", ResidueType::NON_POLYMER, false, "3-(6-oxidanylidene-3-pyridin-3-yl-pyridazin-1-yl)propanoic acid", 7747 },
	{ "6T8", "", "", ResidueType::NON_POLYMER, false, "N-((S)-3-(4-(aminomethyl)phenyl)-1-(((R)-4-guanidino-1-(5-hydroxy-1,3,2-dioxaborinan-2-yl)butyl)amino)-1-oxopropan-2-yl)benzamide", 7748 },
	{ "6T9", "", "", ResidueType::NON_POLYMER, false, "5-Ethoxy-pyridine-2-carboxylic acid [3-((R)-2-amino-5,5-difluoro-4-methyl-5,6-dihydro-4H-[1,3]oxazin-4-yl)-4-fluoro-phenyl]-amide", 7749 },
	{ "6TA", "", "", ResidueType::NON_POLYMER, false, "~{tert}-butyl (2~{S})-2-[(1,3-dihydropyrrolo[3,4-c]pyridin-2-ylcarbonylamino)methyl]-6-azaspiro[2.5]octane-6-carboxylate", 7750 },
	{ "6TB", "", "", ResidueType::NON_POLYMER, false, "4-[[(7~{R})-8-cyclopentyl-7-ethyl-5-methyl-6-oxidanylidene-7~{H}-pteridin-2-yl]-methyl-amino]-3-methoxy-~{N}-(1-methylpiperidin-4-yl)benzamide", 7751 },
	{ "6TC", "", "", ResidueType::NON_POLYMER, false, "~{N}-(3-azanyl-3-oxidanylidene-propyl)-5-(1-benzothiophen-5-yl)-1-(phenylmethyl)-~{N}-[(4-propan-2-yloxyphenyl)methyl]pyrazole-4-carboxamide", 7752 },
	{ "6TE", "", "", ResidueType::NON_POLYMER, false, "~{N}-[3-[methyl(7~{H}-pyrrolo[2,3-d]pyrimidin-4-yl)amino]cyclobutyl]methanesulfonamide", 7753 },
	{ "6TF", "", "", ResidueType::NON_POLYMER, false, "N-[(4-fluorophenyl)methyl]-2-{(1R)-5-[(methylcarbamoyl)amino]-2',4'-dioxo-2,3-dihydro-3'H-spiro[indene-1,5'-[1,3]oxazolidin]-3'-yl}-N-[(2S)-1,1,1-trifluoropropan-2-yl]acetamide", 7754 },
	{ "6TG", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(4-methoxy-3,5-dimethylphenyl)-5-methyl-2-(3-pyrimidin-5-ylphenyl)-2H-imidazol-4-amine", 7755 },
	{ "6TH", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-1-[(2~{R})-2-azanyl-3-cyclohexyl-propanoyl]-~{N}-[[5-chloranyl-2-(hydroxymethyl)phenyl]methyl]pyrrolidine-2-carboxamide", 7756 },
	{ "6TJ", "", "", ResidueType::NON_POLYMER, false, "3-oxidanylidene-2-phenyl-1~{H}-isoindole-4-carboxylic acid", 7757 },
	{ "6TL", "", "", ResidueType::NON_POLYMER, false, "5-[2-[4-[2-(1~{H}-indol-3-yl)ethyl]piperazin-1-yl]phenyl]-~{N}-(3-pyrrolidin-1-ylpropyl)pyridine-3-carboxamide", 7758 },
	{ "6TM", "", "", ResidueType::NON_POLYMER, false, "6-[2-[4-[2-(3,4-dichlorophenyl)ethyl]piperazin-1-yl]phenyl]-~{N}-(3-pyrrolidin-1-ylpropyl)-2~{H}-pyrazolo[3,4-b]pyridine-4-carboxamide", 7759 },
	{ "6TN", "", "", ResidueType::NON_POLYMER, false, "[2,4-bis(oxidanyl)-5-propan-2-yl-phenyl]-(2-ethoxy-7,8-dihydro-5~{H}-pyrido[4,3-d]pyrimidin-6-yl)methanone", 7760 },
	{ "6TO", "", "", ResidueType::NON_POLYMER, false, "(3~{R},4~{S},5~{R})-3-[(~{E})-3-(4-hydroxyphenyl)prop-2-enoyl]oxy-4,5-bis(oxidanyl)cyclohexene-1-carboxylic acid", 7761 },
	{ "6TP", "", "", ResidueType::NON_POLYMER, false, "4-amino-2-[4-(tert-butylsulfamoyl)phenyl]-N-methylthieno[3,2-c]pyridine-7-carboxamide", 7762 },
	{ "6TS", "", "", ResidueType::NON_POLYMER, false, "[(1~{R},4~{Z})-cyclooct-4-en-1-yl] ~{N}-[4-[4-[[5-chloranyl-4-[[2-(propanoylamino)phenyl]amino]pyrimidin-2-yl]amino]pyridin-2-yl]but-3-ynyl]carbamate", 7763 },
	{ "6TT", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-[[2-[(5-methoxypyridin-3-yl)amino]-5-(trifluoromethyl)pyrimidin-4-yl]amino]phenyl]propanamide", 7764 },
	{ "6TU", "", "", ResidueType::NON_POLYMER, false, "(1~{S})-2-(3-methoxyphenyl)-3-oxidanylidene-1-prop-2-enyl-1~{H}-isoindole-4-carboxylic acid", 7765 },
	{ "6TV", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-(propylamino)ethyl]isoquinoline-5-sulfonamide", 7766 },
	{ "6TW", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},5~{R})-5-[2-[(3-acetamidonaphthalen-2-yl)amino]-6-oxidanylidene-1~{H}-purin-9-yl]-3-oxidanyl-oxolan-2-yl]methyl dihydrogen phosphite", 7767 },
	{ "6TX", "", "", ResidueType::NON_POLYMER, false, "2-[isoquinolin-5-ylsulfonyl(propyl)amino]ethylazanium", 7768 },
	{ "6TY", "", "", ResidueType::NON_POLYMER, false, "5-[(2~{R})-2-methylpiperazin-1-yl]sulfonylisoquinoline", 7769 },
	{ "6TZ", "", "", ResidueType::NON_POLYMER, false, "3-(3-fluorophenyl)-1H-pyrazole", 7770 },
	{ "6U0", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},4~{R},5~{S})-3,4-bis(oxidanyl)-5-[1-[(2-phenyl-1~{H}-imidazol-5-yl)methyl]-1,2,3-triazol-4-yl]oxolan-2-yl]methyl dihydrogen phosphate", 7771 },
	{ "6U1", "", "", ResidueType::NON_POLYMER, false, "2-[3-(methylsulfonylamino)phenyl]-~{N}-[4-(1~{H}-pyrrolo[2,3-b]pyridin-3-yl)-1,3-thiazol-2-yl]ethanamide", 7772 },
	{ "6U2", "", "", ResidueType::NON_POLYMER, false, "2-[3-[3-(4-methylpiperazin-1-yl)propoxy]phenyl]-~{N}-[4-(1~{H}-pyrrolo[2,3-b]pyridin-3-yl)-1,3-thiazol-2-yl]ethanamide", 7773 },
	{ "6U3", "", "", ResidueType::NON_POLYMER, false, "2-[1-[(2~{R})-2-(2-methoxyphenyl)-2-(oxan-4-yloxy)ethyl]-5-methyl-6-(1,3-oxazol-2-yl)-2,4-bis(oxidanylidene)thieno[2,3-d]pyrimidin-3-yl]-2-methyl-propanamide", 7774 },
	{ "6U4", "", "", ResidueType::NON_POLYMER, false, "[[(2R,3S,5R)-5-(6-azanyl-2-oxidanylidene-1H-purin-9-yl)-3-oxidanyl-oxolan-2-yl]methoxy-oxidanyl-phosphoryl] phosphono hydrogen phosphate", 7775 },
	{ "6U5", "", "", ResidueType::NON_POLYMER, false, "~{N}-(1-methylindazol-6-yl)butane-1-sulfonamide", 7776 },
	{ "6U6", "", "", ResidueType::NON_POLYMER, false, "3-(5-chloranyl-1,3-benzothiazol-2-yl)propanoic acid", 7777 },
	{ "6U7", "", "", ResidueType::NON_POLYMER, false, "6,7-dimethoxy-~{N}-(2-methyl-4-phenoxy-phenyl)quinazolin-4-amine", 7778 },
	{ "6U8", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-(2-bromophenyl)-5-[2-(3,4-dimethoxyphenyl)ethyl-methyl-amino]-2-propan-2-yl-pentanenitrile", 7779 },
	{ "6U9", "", "", ResidueType::NON_POLYMER, false, "nimodipine", 7780 },
	{ "6UA", "", "", ResidueType::NON_POLYMER, false, "6-aminopyrimidine-2,4(3H,5H)-dione", 7781 },
	{ "6UB", "", "", ResidueType::NON_POLYMER, false, "amlodipine", 7782 },
	{ "6UC", "", "", ResidueType::NON_POLYMER, false, "O3-ethyl O5-methyl (4R)-4-(2-bromophenyl)-2-[2-(dimethylamino)ethoxymethyl]-6-methyl-1,4-dihydropyridine-3,5-dicarboxylate", 7783 },
	{ "6UD", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{R},4~{S})-3-acetamido-2-[(1~{R},2~{R})-3-(2-azanylhydrazinyl)-1,2-bis(oxidanyl)propyl]-4-oxidanyl-3,4-dihydro-2~{H}-pyran-6-carboxylic acid", 7784 },
	{ "6UE", "", "", ResidueType::NON_POLYMER, false, "1-(9~{H}-fluoren-9-yl)-3-(2-methyl-4-phenyl-pyrimidin-5-yl)urea", 7785 },
	{ "6UF", "", "", ResidueType::NON_POLYMER, false, "~{N}-(pyridin-2-ylmethyl)-2-(2-thiophen-2-ylindol-1-yl)ethanamide", 7786 },
	{ "6UG", "", "", ResidueType::NON_POLYMER, false, "2-fluoranyl-~{N}-[2-(4-fluorophenyl)-6-methyl-pyridin-3-yl]-4-(trifluoromethyl)benzamide", 7787 },
	{ "6UH", "", "", ResidueType::NON_POLYMER, false, "1-(5-methyl-3-phenyl-1,2-oxazol-4-yl)-3-[[2-(trifluoromethyl)phenyl]methyl]urea", 7788 },
	{ "6UI", "", "", ResidueType::NON_POLYMER, false, "4-[4-(6-methoxynaphthalen-2-yl)-1H-imidazol-5-yl]pyridine", 7789 },
	{ "6UJ", "", "", ResidueType::NON_POLYMER, false, "1-(2-methyl-4-phenyl-pyrimidin-5-yl)-3-naphthalen-1-yl-urea", 7790 },
	{ "6UK", "", "", ResidueType::NON_POLYMER, false, "1-(2-methyl-4-phenyl-pyrimidin-5-yl)-3-[[2-(trifluoromethyl)phenyl]methyl]urea", 7791 },
	{ "6UL", "", "", ResidueType::NON_POLYMER, false, "TETRACOSYL PALMITATE", 7792 },
	{ "6UM", "", "", ResidueType::NON_POLYMER, false, "1-(2-methyl-4-phenyl-pyrimidin-5-yl)-3-pyridin-2-yl-urea", 7793 },
	{ "6UN", "", "", ResidueType::NON_POLYMER, false, "(3~{E},5~{E})-6-oxidanyl-2-oxidanylidene-hexa-3,5-dienoic acid", 7794 },
	{ "6UO", "", "", ResidueType::NON_POLYMER, false, "2-[(2~{S})-1-(phenylmethyl)sulfonylpiperidin-2-yl]carbonyloxyethyl pyridine-3-carboxylate", 7795 },
	{ "6UP", "", "", ResidueType::NON_POLYMER, false, "8-aminonaphthalene-2-carboximidamide", 7796 },
	{ "6UQ", "", "", ResidueType::NON_POLYMER, false, "", 7797 },
	{ "6UR", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methoxy-~{N}-[2-(1~{H}-indol-3-yl)ethyl]phosphonamidic acid", 7798 },
	{ "6US", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},4~{S},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methoxy-~{N}-[2-(1~{H}-indol-3-yl)ethyl]phosphonamidic acid", 7799 },
	{ "6UT", "", "", ResidueType::NON_POLYMER, false, "", 7800 },
	{ "6UU", "", "", ResidueType::NON_POLYMER, false, "[2-(1~{H}-indol-3-yl)ethylamino]phosphonic acid", 7801 },
	{ "6UV", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-[[4-[[2,4-bis(azanyl)pteridin-6-yl]methyl-methyl-amino]phenyl]carbonylamino]pentanedioic acid", 7802 },
	{ "6UW", "", "", ResidueType::NON_POLYMER, false, "2-[(2-chloranyl-6-fluoranyl-phenyl)methyl]-3-oxidanylidene-1~{H}-isoindole-4-carboxylic acid", 7803 },
	{ "6UX", "", "", ResidueType::NON_POLYMER, false, "1-[4-[methyl-[2-[(3-sulfamoylphenyl)amino]pyrimidin-4-yl]amino]phenyl]-3-[4-(trifluoromethyloxy)phenyl]urea", 7804 },
	{ "6UY", "", "", ResidueType::NON_POLYMER, false, "[(1~{R})-2-[(4-fluorophenyl)amino]-2-oxidanylidene-1-phenyl-ethyl] 3-azanylpyrazine-2-carboxylate", 7805 },
	{ "6UZ", "", "", ResidueType::NON_POLYMER, false, "omega-undecylenyl-beta-D-maltopyranoside", 7806 },
	{ "6V0", "", "", ResidueType::NON_POLYMER, false, "", 7807 },
	{ "6V1", "", "", ResidueType::PEPTIDE_LINKING, false, "(2~{R})-2-azanyl-3-[(3~{R})-1-ethyl-2,5-bis(oxidanylidene)pyrrolidin-3-yl]sulfanyl-propanoic acid", 7808 },
	{ "6V2", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(benzylsulfonylamino)-N-(2-((4-carbamimidoylphenyl)methylamino)-2-oxo-ethyl)-N-methyl-3-phenyl-propanamide", 7809 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "1-(4-((1H-pyrrolo[2,3-b]pyridin-4-yl)oxy)phenyl)-3-(5-(4-methylpiperazin-1-yl)naphthalen-2-yl)urea", 7810 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "N-(2-isopropoxy-4-(4-methylpiperazine-1-carbonyl)phenyl)-2-(3-(3-phenylureido)phenyl)thiazole-4-carboxamide", 7811 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "N-(2-isopropoxy-4-(4-methylpiperazine-1-carbonyl)phenyl)-2-(3-(phenylcarbamoyl)phenyl)thiazole-4-carboxamide", 7812 },
	{ "6V6", "", "", ResidueType::NON_POLYMER, false, "[(2~{S})-3-[[(2~{R})-2,3-bis(oxidanyl)propoxy]-oxidanyl-phosphoryl]oxy-2-hexadec-9-enoyloxy-propyl] hexadecanoate", 7813 },
	{ "6V7", "", "", ResidueType::NON_POLYMER, false, "[(1~{R})-3-methyl-1-[[(2~{S},3~{S})-3-oxidanyl-2-[(6-phenylpyridin-2-yl)carbonylamino]butanoyl]amino]butyl]boronic acid", 7814 },
	{ "6V8", "", "", ResidueType::NON_POLYMER, false, "[(1~{R})-1-[2-[[2,5-bis(chloranyl)phenyl]carbonylamino]ethanoylamino]-3-methyl-butyl]boronic acid", 7815 },
	{ "6V9", "", "", ResidueType::PEPTIDE_LINKING, false, "2-methyl-1,3-thiazole-5-carboxylic acid", 7816 },
	{ "6VA", "", "", ResidueType::NON_POLYMER, false, "(3~{R},4~{S})-4-azanyl-2-methyl-5-phenyl-pentane-2,3-diol", 7817 },
	{ "6VB", "", "", ResidueType::NON_POLYMER, false, "Bromo-trisulfonatocalix[4]arene", 7818 },
	{ "6VC", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{S})-1-[[(2~{S},3~{R},4~{S})-2,6-dimethyl-1,2,3-tris(oxidanyl)heptan-4-yl]amino]-3-oxidanyl-1-oxidanylidene-propan-2-yl]-6-methyl-heptanamide", 7819 },
	{ "6VD", "", "", ResidueType::NON_POLYMER, false, "2-ETHYL-4(1H)-QUINOLINONE", 7820 },
	{ "6VF", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S})-3-azanyl-4-(4-hydroxyphenyl)butane-1,2-diol", 7821 },
	{ "6VG", "", "", ResidueType::NON_POLYMER, false, "~{S}-[2-[3-[[(2~{R})-3,3-dimethyl-2-oxidanyl-4-phosphonooxy-butanoyl]amino]propanoylamino]ethyl] ethanethioate", 7822 },
	{ "6VH", "", "", ResidueType::NON_POLYMER, false, "", 7823 },
	{ "6VJ", "", "", ResidueType::NON_POLYMER, false, "Phenyl-trisulfonatocalix[4]arene", 7824 },
	{ "6VK", "", "", ResidueType::NON_POLYMER, false, "(4~{S})-3-cyclopropyl-4,7,7-trimethyl-4-phenyl-2,6,8,9-tetrahydropyrazolo[3,4-b]quinolin-5-one", 7825 },
	{ "6VL", "", "", ResidueType::NON_POLYMER, false, "(4~{S})-4-ethyl-7,7-dimethyl-4-phenyl-2,6,8,9-tetrahydropyrazolo[3,4-b]quinolin-5-one", 7826 },
	{ "6VM", "", "", ResidueType::NON_POLYMER, false, "(4~{S})-3-(2,2-dimethylpropyl)-4,7,7-trimethyl-4-phenyl-2,6,8,9-tetrahydropyrazolo[3,4-b]quinolin-5-one", 7827 },
	{ "6VN", "", "", ResidueType::NON_POLYMER, false, "2-[(4-propan-2-ylphenyl)amino]-1-[(1~{S},5~{S})-3,3,5-trimethylcyclohexyl]benzimidazole-5-carboxylic acid", 7828 },
	{ "6VO", "", "", ResidueType::NON_POLYMER, false, "(3~{R},4~{S})-4-azanyl-2,6-dimethyl-heptane-2,3-diol", 7829 },
	{ "6VP", "", "", ResidueType::NON_POLYMER, false, "5-nitro-2-oxidanyl-benzenecarbonitrile", 7830 },
	{ "6VQ", "", "", ResidueType::NON_POLYMER, false, "", 7831 },
	{ "6VR", "", "", ResidueType::NON_POLYMER, false, "2-~{tert}-butyl-4-(furan-2-ylmethylamino)-~{N}-(2-methylpropyl)-~{N}-[(3~{S})-piperidin-3-yl]pyrimidine-5-carboxamide", 7832 },
	{ "6VS", "", "", ResidueType::NON_POLYMER, false, "2-~{tert}-butyl-4-(3-methoxypropylamino)-~{N}-(2-methylpropyl)-~{N}-[(3~{S},5~{R})-5-morpholin-4-ylcarbonylpiperidin-3-yl]pyrimidine-5-carboxamide", 7833 },
	{ "6VT", "", "", ResidueType::NON_POLYMER, false, "6-chloranyl-5-[4-(1-oxidanylcyclobutyl)phenyl]-1~{H}-indole-3-carboxylic acid", 7834 },
	{ "6VU", "", "", ResidueType::NON_POLYMER, false, "1-(4-methoxybutyl)-~{N}-(2-methylpropyl)-~{N}-[(3~{S},5~{R})-5-morpholin-4-ylcarbonylpiperidin-3-yl]benzimidazole-2-carboxamide", 7835 },
	{ "6VV", "", "", ResidueType::NON_POLYMER, false, "(1~{R},2~{R})-cyclopentane-1,2-diol", 7836 },
	{ "6VW", "", "", ResidueType::NON_POLYMER, false, "(8~{R},9~{S},10~{R},13~{S},14~{S},17~{S})-13-methyl-17-oxidanyl-2,6,7,8,9,10,11,12,14,15,16,17-dodecahydro-1~{H}-cyclopenta[a]phenanthren-3-one", 7837 },
	{ "6VX", "", "", ResidueType::NON_POLYMER, false, "(1~{S})-2-(1,3-benzothiazol-2-ylamino)-2-oxidanylidene-1-phenyl-ethanesulfonic acid", 7838 },
	{ "6VY", "", "", ResidueType::NON_POLYMER, false, "(1~{S})-2-oxidanylidene-1-phenyl-2-phenylazanyl-ethanesulfonic acid", 7839 },
	{ "6VZ", "", "", ResidueType::NON_POLYMER, false, "(2~{S},4~{S})-1-[4-(aminomethyl)-3-methoxy-phenyl]carbonyl-4-[4-(2-cyclopropylethoxy)-6,8-dihydro-5~{H}-pyrido[3,4-d]pyrimidin-7-yl]-~{N}-methyl-pyrrolidine-2-carboxamide", 7840 },
	{ "6W0", "", "", ResidueType::NON_POLYMER, false, "~{N}-[3-(methoxymethyl)phenyl]-4-methyl-thieno[3,2-b]pyrrole-5-carboxamide", 7841 },
	{ "6W1", "", "", ResidueType::NON_POLYMER, false, "4-methyl-~{N}-[2-[[4-[[(3~{R})-pyrrolidin-3-yl]methoxy]phenoxy]methyl]phenyl]thieno[3,2-b]pyrrole-5-carboxamide", 7842 },
	{ "6W2", "", "", ResidueType::NON_POLYMER, false, "4-METHOXY-N-(1,3-THIAZOL-2-YL)BENZENESULFONAMIDE", 7843 },
	{ "6W3", "", "", ResidueType::NON_POLYMER, false, "4-methyl-~{N}-[2-[[4-(1-methylpiperidin-4-yl)oxyphenoxy]methyl]phenyl]thieno[3,2-b]pyrrole-5-carboxamide", 7844 },
	{ "6W4", "", "", ResidueType::NON_POLYMER, false, "(2~{S},4~{S})-1-[4-(aminomethyl)phenyl]carbonyl-4-(4-cyclopropyl-1,2,3-triazol-1-yl)-~{N}-(2,2-diphenylethyl)pyrrolidine-2-carboxamide", 7845 },
	{ "6W5", "", "", ResidueType::NON_POLYMER, false, "[(3~{S})-2,2-dimethyl-3-oxidanyl-4-oxidanylidene-4-[[3-oxidanylidene-3-[2-(prop-2-enoylamino)ethylamino]propyl]amino]butyl] dihydrogen phosphate", 7846 },
	{ "6W6", "", "", ResidueType::NON_POLYMER, false, "3-[2,5-bis(chloranyl)pyrrol-1-yl]thiophene-2-carboxylic acid", 7847 },
	{ "6W7", "", "", ResidueType::NON_POLYMER, false, "[(3~{S},4~{R})-4-(6-oxidanylidene-1~{H}-purin-9-yl)pyrrolidin-3-yl]oxymethylphosphonic acid", 7848 },
	{ "6W8", "", "", ResidueType::NON_POLYMER, false, "[(3~{S},4~{R})-4-(2-azanyl-6-oxidanylidene-1~{H}-purin-9-yl)pyrrolidin-3-yl]oxymethylphosphonic acid", 7849 },
	{ "6W9", "", "", ResidueType::NON_POLYMER, false, "2-[2-(6-oxidanylidene-1~{H}-purin-9-yl)ethyl-(4-phosphonobutyl)amino]ethylphosphonic acid", 7850 },
	{ "6WA", "", "", ResidueType::NON_POLYMER, false, "3-[(4-oxidanylidene-3,5-dihydropyrrolo[3,2-d]pyrimidin-7-yl)methyl-(3-phosphonopropyl)amino]propylphosphonic acid", 7851 },
	{ "6WB", "", "", ResidueType::NON_POLYMER, false, "2-[[(2~{S})-2,3-bis(oxidanyl)propyl]-[2-(6-oxidanylidene-1~{H}-purin-9-yl)ethyl]amino]ethylphosphonic acid", 7852 },
	{ "6WC", "", "", ResidueType::NON_POLYMER, false, "[2-[(6-oxidanylidene-1~{H}-purin-9-yl)methyl]-3-(phosphonomethoxy)propoxy]methylphosphonic acid", 7853 },
	{ "6WD", "", "", ResidueType::NON_POLYMER, false, "(4~{S},6~{S})-4-[2,4-bis(fluoranyl)phenyl]-4-methyl-6-pyrimidin-5-yl-5,6-dihydro-1,3-thiazin-2-amine", 7854 },
	{ "6WE", "", "", ResidueType::NON_POLYMER, false, "(4~{S},6~{S})-4-[2,4-bis(fluoranyl)phenyl]-6-(3,5-dimethyl-1,2-oxazol-4-yl)-4-methyl-5,6-dihydro-1,3-thiazin-2-amine", 7855 },
	{ "6WF", "", "", ResidueType::NON_POLYMER, false, "14-piperidin-1-yl-11-oxa-13$l^{3}-thia-15,16$l^{4}-diaza-12$l^{3}-ferratetracyclo[8.7.0.0^{2,7}.0^{12,16}]heptadeca-1(10),2(7),3,5,8,13,16-heptaene", 7856 },
	{ "6WG", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-phenylpiperidine-1-carbaldehyde", 7857 },
	{ "6WH", "", "", ResidueType::NON_POLYMER, false, "(2~{S},4~{S})-1-[4-(aminomethyl)-3-methoxy-phenyl]carbonyl-4-(4-cyclopropyl-1,2,3-triazol-1-yl)-~{N}-[(1~{S},2~{R})-2-phenylcyclohexyl]pyrrolidine-2-carboxamide", 7858 },
	{ "6WJ", "", "", ResidueType::NON_POLYMER, false, "1-(cyclopropylmethyl)-6-[[(1-methylcyclopropyl)amino]-bis(oxidanyl)-$l^{4}-sulfanyl]-3-[(2-methyl-1,3-thiazol-5-yl)methyl]quinazoline-2,4-dione", 7859 },
	{ "6WK", "", "", ResidueType::PEPTIDE_LINKING, false, "(2~{R})-2-azanyl-3-[[(2~{S},3~{S})-2,3-bis(oxidanyl)-4-sulfanyl-butyl]disulfanyl]propanoic acid", 7860 },
	{ "6WL", "", "", ResidueType::NON_POLYMER, false, "4-[1-methyl-7-(trifluoromethyl)indazol-3-yl]benzene-1,3-diol", 7861 },
	{ "6WM", "", "", ResidueType::NON_POLYMER, false, "(8~{R},9~{S},13~{S},14~{S},16~{R},17~{S})-13-methyl-16-(phenylmethyl)-6,7,8,9,11,12,14,15,16,17-decahydrocyclopenta[a]phenanthrene-3,17-diol", 7862 },
	{ "6WN", "", "", ResidueType::NON_POLYMER, false, "(8~{R},9~{S},13~{S},14~{S},16~{E})-13-methyl-3-oxidanyl-16-(phenylmethylidene)-6,7,8,9,11,12,14,15-octahydrocyclopenta[a]phenanthren-17-one", 7863 },
	{ "6WO", "", "", ResidueType::NON_POLYMER, false, "OXO-TUNGSTEN(VI)", 7864 },
	{ "6WP", "", "", ResidueType::NON_POLYMER, false, "naphthalen-1-yl (1~{S},2~{R},4~{S})-5,6-bis(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonate", 7865 },
	{ "6WQ", "", "", ResidueType::NON_POLYMER, false, "4-[(5-bromanyl-2,3-dihydroinden-1-ylidene)-(4-hydroxyphenyl)methyl]phenol", 7866 },
	{ "6WR", "", "", ResidueType::NON_POLYMER, false, "(1~{S},3~{a}~{R},7~{a}~{S})-5-(2-chloranyl-4-oxidanyl-phenyl)-2,3,3~{a},4,7,7~{a}-hexahydro-1~{H}-inden-1-ol", 7867 },
	{ "6WS", "", "", ResidueType::NON_POLYMER, false, "1-[2,2-bis(chloranyl)-1-(4-chlorophenyl)ethenyl]-4-chloranyl-benzene", 7868 },
	{ "6WT", "", "", ResidueType::NON_POLYMER, false, "1-chloranyl-4-[2,2,2-tris(chloranyl)-1-(4-chlorophenyl)ethyl]benzene", 7869 },
	{ "6WU", "", "", ResidueType::NON_POLYMER, false, "(1~{S},3~{a}~{R},7~{a}~{S})-5-[2,5-bis(fluoranyl)-4-oxidanyl-phenyl]-7~{a}-methyl-1,2,3,3~{a},4,7-hexahydroinden-1-ol", 7870 },
	{ "6WV", "", "", ResidueType::NON_POLYMER, false, "(8~{R},9~{S},13~{S},14~{S},17~{S})-13-methyl-17-phenylazanyl-6,7,8,9,11,12,14,15,16,17-decahydrocyclopenta[a]phenanthren-3-ol", 7871 },
	{ "6WW", "", "", ResidueType::NON_POLYMER, false, "(8~{R},9~{S},13~{S},14~{S},17~{S})-13-methyl-17-[methyl(phenyl)amino]-6,7,8,9,11,12,14,15,16,17-decahydrocyclopenta[a]phenanthren-3-ol", 7872 },
	{ "6WX", "", "", ResidueType::NON_POLYMER, false, "1-[[4-fluoranyl-3-(3-oxidanylidene-4-propyl-piperazin-1-yl)carbonyl-phenyl]methyl]quinazoline-2,4-dione", 7873 },
	{ "6WY", "", "", ResidueType::NON_POLYMER, false, "1-[[3-(4-ethyl-3-oxidanylidene-piperazin-1-yl)carbonyl-4-fluoranyl-phenyl]methyl]quinazoline-2,4-dione", 7874 },
	{ "6WZ", "", "", ResidueType::NON_POLYMER, false, "1-[[4-fluoranyl-3-[(3R)-3-methyl-4-[2,2,2-tris(fluoranyl)ethyl]piperazin-1-yl]carbonyl-phenyl]methyl]quinazoline-2,4-dione", 7875 },
	{ "6X0", "", "", ResidueType::NON_POLYMER, false, "4-ethyl-~{N}-[3-(methoxymethyl)-2-[[4-[[(3~{R})-pyrrolidin-3-yl]methoxy]phenoxy]methyl]phenyl]thieno[3,2-b]pyrrole-5-carboxamide", 7876 },
	{ "6X1", "", "", ResidueType::NON_POLYMER, false, "2-{[(3,5-dichlorophenyl)carbamoyl]amino}benzoic acid", 7877 },
	{ "6X2", "", "", ResidueType::NON_POLYMER, false, "1-[[4-fluoranyl-3-[(3R)-3-methyl-4-propyl-piperazin-1-yl]carbonyl-phenyl]methyl]quinazoline-2,4-dione", 7878 },
	{ "6X3", "", "", ResidueType::NON_POLYMER, false, "4-methyl-N-[4-[[4-[(1-methyl-4-piperidyl)oxy]phenoxy]methyl]phenyl]thieno[3,2-b]pyrrole-5-carboxamide", 7879 },
	{ "6X4", "", "", ResidueType::NON_POLYMER, false, "", 7880 },
	{ "6X5", "", "", ResidueType::NON_POLYMER, false, "~{N}-[3-(ethoxymethyl)-2-[[4-[[(3~{R})-pyrrolidin-3-yl]methoxy]phenoxy]methyl]phenyl]-4-methyl-thieno[3,2-b]pyrrole-5-carboxamide", 7881 },
	{ "6X6", "", "", ResidueType::NON_POLYMER, false, "2,3-dimethoxybenzoic acid", 7882 },
	{ "6X7", "", "", ResidueType::NON_POLYMER, false, "2,4-dihydroxy-6-methyl Benzoic acid", 7883 },
	{ "6X8", "", "", ResidueType::NON_POLYMER, false, "2-iodanylphenol", 7884 },
	{ "6X9", "", "", ResidueType::NON_POLYMER, false, "6-ethyl-2,5-dimethyl-7-oxidanylidene-4~{H}-pyrazolo[1,5-a]pyrimidine-3-carbonitrile", 7885 },
	{ "6XA", "", "", ResidueType::NON_POLYMER, false, "6-amino-N-hydroxyhexanamide", 7886 },
	{ "6XB", "", "", ResidueType::NON_POLYMER, false, "1-(3-phenylazanyl-1,4,6,7-tetrahydropyrazolo[4,3-c]pyridin-5-yl)ethanone", 7887 },
	{ "6XC", "", "", ResidueType::NON_POLYMER, false, "3-methyl-8-[(piperidin-4-yl)amino]-1,2-dihydro-1,7-naphthyridin-2-one", 7888 },
	{ "6XD", "", "", ResidueType::NON_POLYMER, false, "1-(1-adamantyl)-3-(3-imidazol-1-ylpropyl)urea", 7889 },
	{ "6XE", "", "", ResidueType::NON_POLYMER, false, "6-[[6-(4-fluorophenyl)-[1,2,4]triazolo[4,3-b][1,2,4]triazin-3-yl]methyl]quinoline", 7890 },
	{ "6XF", "", "", ResidueType::NON_POLYMER, false, "~{N}-[[3-(4-methoxyphenyl)-1,2,4-oxadiazol-5-yl]methyl]-2-(4-nitrophenyl)-~{N}-propan-2-yl-ethanamide", 7891 },
	{ "6XG", "", "", ResidueType::NON_POLYMER, false, "3-[[1-(cyclopropylmethyl)-5-ethanoyl-6,7-dihydro-4~{H}-pyrazolo[4,3-c]pyridin-3-yl]amino]-~{N}-propan-2-yl-benzamide", 7892 },
	{ "6XH", "", "", ResidueType::NON_POLYMER, false, "1-[3-[[2-fluoranyl-4-(1-methylpyrazol-4-yl)phenyl]amino]-1-[(3~{S})-oxolan-3-yl]-6,7-dihydro-4~{H}-pyrazolo[4,3-c]pyridin-5-yl]ethanone", 7893 },
	{ "6XI", "", "", ResidueType::NON_POLYMER, false, "3-pyrrol-1-ylthiophene-2-carboxylic acid", 7894 },
	{ "6XJ", "", "", ResidueType::NON_POLYMER, false, "", 7895 },
	{ "6XK", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-[(1~{S},2~{S})-2-(aminomethyl)cyclopropyl]-5-[[3-cyano-7-(cyclopropylamino)pyrazolo[1,5-a]pyrimidin-5-yl]amino]phenyl]ethanamide", 7896 },
	{ "6XL", "", "", ResidueType::NON_POLYMER, false, "6-~{tert}-butyl-8-fluoranyl-2-[3-(hydroxymethyl)-4-[1-methyl-6-oxidanylidene-5-(pyrimidin-4-ylamino)pyridin-3-yl]pyridin-2-yl]phthalazin-1-one", 7897 },
	{ "6XM", "", "", ResidueType::NON_POLYMER, false, "8,12-bis(2-morpholinoethyl)-8H-benzo[ij]xantheno[1,9,8-cdef][2,7]naphthyridin-12-iumhexafluorophosphate", 7898 },
	{ "6XN", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1~{S})-1-(4-chlorophenyl)ethyl]-3-[3-[[4-(trifluoromethyloxy)phenyl]methyl]imidazo[4,5-b]pyridin-2-yl]propanamide", 7899 },
	{ "6XO", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-3-cyclohexyl-2-[[(2~{S})-4-methyl-2-[[oxidanyl(phenylmethoxycarbonylaminomethyl)phosphoryl]amino]pentanoyl]amino]propanoic acid", 7900 },
	{ "6XP", "", "", ResidueType::NON_POLYMER, false, "(2S)-N'-[(3R)-4-chloro-7-methyl-2-oxo-2,3-dihydro-1H-indol-3-yl]-2-(4-hydroxyphenyl)propanehydrazide", 7901 },
	{ "6XQ", "", "", ResidueType::NON_POLYMER, false, "(3~{S})-3-cyclopropyl-3-[2-[1-[2-[2,2-dimethylpropyl-(6-methylpyridin-2-yl)carbamoyl]-5-methoxy-phenyl]piperidin-4-yl]-1-benzofuran-6-yl]propanoic acid", 7902 },
	{ "6XR", "", "", ResidueType::NON_POLYMER, false, "(4~{R})-2-[2-(2-hydroxyphenyl)-1,3-thiazol-4-yl]-4,5-dihydro-1,3-thiazole-4-carboxylic acid", 7903 },
	{ "6XS", "", "", ResidueType::NON_POLYMER, false, "5-Chloro-thiophene-2-carboxylic acid [(S)-2-[2-chloro-5-fluoro-3-(2-oxo-piperidin-1-yl)-benzenesulfonylamino]-3-(4-methyl-piperazin-1-yl)-3-oxo-propyl]-amide", 7904 },
	{ "6XT", "", "", ResidueType::NON_POLYMER, false, "~{N}-[5-[[7-(cyclopropylamino)pyrazolo[1,5-a]pyrimidin-5-yl]amino]-2-methyl-phenyl]ethanamide", 7905 },
	{ "6XU", "", "", ResidueType::NON_POLYMER, false, "(2S)-4,4-difluoro-1-[[(4S)-4-(4-fluorophenyl)-5-methoxycarbonyl-4-methyl-2-(1,3-thiazol-2-yl)-1H-pyrimidin-6-yl]methyl]pyrrolidine-2-carboxylic acid", 7906 },
	{ "6XV", "", "", ResidueType::NON_POLYMER, false, "4-((4,5-dihydro-1H-imidazol-2-yl)amino)-N-(4-((4,5-dihydro-1H-imidazol-2-yl)amino)phenyl)benzamide dihydrochloride", 7907 },
	{ "6XW", "", "", ResidueType::NON_POLYMER, false, "5-(5-aminopyridin-3-yl)-8-(((3R,4R)-3-((1,1-dioxidotetrahydro-2H-thiopyran-4-yl)methoxy)piperidin-4-yl)amino)-3-methyl-1,7-naphthyridin-2(1H)-one", 7908 },
	{ "6XX", "", "", ResidueType::NON_POLYMER, false, "8-(((3R,4R,5S)-3-((4,4-difluorocyclohexyl)methoxy)-5-methoxypiperidin-4-yl)amino)-3-methyl-5-(5-methylpyridin-3-yl)-1,7-naphthyridin-2(1H)-one", 7909 },
	{ "6XY", "", "", ResidueType::NON_POLYMER, false, "bromopromazine", 7910 },
	{ "6XZ", "", "", ResidueType::NON_POLYMER, false, "4-[[4-(4-methoxyphenyl)piperazin-1-yl]methyl]-7,8-bis(oxidanyl)chromen-2-one", 7911 },
	{ "6Y0", "", "", ResidueType::NON_POLYMER, false, "4-butyl-7,8-bis(oxidanyl)chromen-2-one", 7912 },
	{ "6Y1", "", "", ResidueType::NON_POLYMER, false, "~{N}-(1-adamantyl)-2-selanyl-benzamide", 7913 },
	{ "6Y2", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{S},3~{R},4~{R},5~{R},6~{R})-2-[(2~{R},3~{S},4~{R},5~{R},6~{S})-5-acetamido-2-(hydroxymethyl)-6-(4-nitrophenoxy)-4-oxidanyl-oxan-3-yl]oxy-6-(hydroxymethyl)-4,5-bis(oxidanyl)oxan-3-yl]ethanamide", 7914 },
	{ "6Y3", "", "", ResidueType::NON_POLYMER, false, "~{N}-(4-aminophenyl)-2-selanyl-benzamide", 7915 },
	{ "6Y4", "", "", ResidueType::NON_POLYMER, false, "[2-[(6~{R})-2-(3-methylsulfonylphenyl)-6-propan-2-yl-4,6-dihydropyrrolo[3,4-c]pyrazol-5-yl]-4-(trifluoromethyl)pyrimidin-5-yl]methanol", 7916 },
	{ "6Y5", "", "", ResidueType::NON_POLYMER, false, "5-fluoranyl-2-oxidanylidene-pentanoic acid", 7917 },
	{ "6Y6", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{R},4~{S})-4-[4-(methoxymethyl)-1,2,3-triazol-1-yl]-3-(2-methylpropanoylamino)-2-[(1~{R},2~{R})-1,2,3-tris(oxidanyl)propyl]-3,4-dihydro-2~{H}-pyran-6-carboxylic acid", 7918 },
	{ "6Y7", "", "", ResidueType::NON_POLYMER, false, "3-[6-chloranyl-2-cyclopropyl-1-(1-ethylpyrazol-4-yl)-7-fluoranyl-indol-3-yl]sulfanyl-2-fluoranyl-benzoic acid", 7919 },
	{ "6Y8", "", "", ResidueType::NON_POLYMER, false, "(6~{R})-5-(5-fluoranyl-2-methoxy-pyrimidin-4-yl)-2-(3-methylsulfonylphenyl)-6-propan-2-yl-4,6-dihydropyrrolo[3,4-c]pyrazole", 7920 },
	{ "6Y9", "", "", ResidueType::PEPTIDE_LINKING, false, "(2~{R})-1,2-dimethylpyrrolidine-2-carboxylic acid", 7921 },
	{ "6YA", "", "", ResidueType::NON_POLYMER, false, "3-[[5-chloranyl-1-(3-methylsulfonylpropyl)indol-2-yl]methyl]-1-[2,2,2-tris(fluoranyl)ethyl]imidazo[4,5-c]pyridin-2-one", 7922 },
	{ "6YB", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-4-[[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methyl-(2-carbamimidamidoethyl)amino]-2-azanyl-butanoic acid", 7923 },
	{ "6YC", "", "", ResidueType::NON_POLYMER, false, "~{N}-(2-methoxyethyl)-~{N}-[[(3~{S})-1-prop-2-ynylpiperidin-3-yl]methyl]naphthalene-2-carboxamide", 7924 },
	{ "6YD", "", "", ResidueType::NON_POLYMER, false, "~{N}-(3-aminocarbonyl-1-methyl-pyrazol-4-yl)-6-(1-methylpyrazol-4-yl)pyridine-2-carboxamide", 7925 },
	{ "6YE", "", "", ResidueType::NON_POLYMER, false, "~{N}-(3-aminocarbonyl-1-methyl-pyrazol-4-yl)-5-piperazin-1-yl-pyrazolo[1,5-a]pyrimidine-3-carboxamide", 7926 },
	{ "6YF", "", "", ResidueType::NON_POLYMER, false, "N-[4-(3-chloranyl-4-cyano-phenoxy)-3,5-dimethoxy-phenyl]-1,1,1-tris(fluoranyl)methanesulfonamide", 7927 },
	{ "6YG", "", "", ResidueType::NON_POLYMER, false, "2-[(3~{S})-1-[(2-methoxypyrimidin-5-yl)methyl]piperidin-3-yl]-6-thiophen-2-yl-1~{H}-pyrimidin-4-one", 7928 },
	{ "6YH", "", "", ResidueType::NON_POLYMER, false, "4-[2-(benzimidazol-1-yl)ethanoyl]benzenesulfonamide", 7929 },
	{ "6YJ", "", "", ResidueType::PEPTIDE_LINKING, false, "(2~{S},4~{R})-5-(4-aminophenyl)-4-azanyl-2-methyl-pentanoic acid", 7930 },
	{ "?", "", "", ResidueType::PEPTIDE_LIKE, false, "", 7931 },
	{ "6YL", "", "", ResidueType::NON_POLYMER, false, "2-[(1~{R})-1-[2-azanyl-5-(1,3-dimethylpyrazol-4-yl)pyridin-3-yl]oxyethyl]-4-fluoranyl-~{N},~{N}-dimethyl-benzamide", 7932 },
	{ "6YN", "", "", ResidueType::NON_POLYMER, false, "~{N}-[4-[(3~{S})-3-azanylpiperidin-1-yl]pyridin-3-yl]-2-[2,6-bis(fluoranyl)phenyl]imidazo[1,5-b]pyridazin-7-amine", 7933 },
	{ "6YP", "", "", ResidueType::NON_POLYMER, false, "4-butylbenzenesulfonamide", 7934 },
	{ "6YQ", "", "", ResidueType::NON_POLYMER, false, "4-[2-(benzimidazol-1-yl)ethanoyl]-2-chloranyl-benzenesulfonamide", 7935 },
	{ "6YR", "", "", ResidueType::SACCHARIDE, false, "2-O-methyl-methyl-seleno-L-fucopyranoside", 7936 },
	{ "6YS", "", "", ResidueType::NON_POLYMER, false, "(1~{S},2~{R},3~{S},4~{S},5~{R},6~{R})-2-azanyl-3-[[3,4-bis(fluoranyl)phenyl]sulfanylmethyl]-4-oxidanyl-bicyclo[3.1.0]hexane-2,6-dicarboxylic acid", 7937 },
	{ "6YT", "", "", ResidueType::NON_POLYMER, false, "N-(3-hydroxypicolinoyl)-S-(pyridin-2-ylmethyl)-L-cysteine", 7938 },
	{ "6YU", "", "", ResidueType::NON_POLYMER, false, "FAD-MDL72527 adduct", 7939 },
	{ "6YV", "", "", ResidueType::NON_POLYMER, false, "(~{E})-3-[2-(dihydroxyboranyl)phenyl]prop-2-enoic acid", 7940 },
	{ "6YW", "", "", ResidueType::NON_POLYMER, false, "[oxidanyl-[oxidanyl-[oxidanyl(phosphonooxy)phosphoryl]oxy-phosphoryl]oxy-phosphoryl] phosphono hydrogen phosphate", 7941 },
	{ "6YX", "", "", ResidueType::NON_POLYMER, false, "", 7942 },
	{ "6YY", "", "", ResidueType::NON_POLYMER, false, "bis[oxidanyl-[oxidanyl-[oxidanyl-[oxidanyl(phosphonooxy)phosphoryl]oxy-phosphoryl]oxy-phosphoryl]oxy-phosphoryl] hydrogen phosphate", 7943 },
	{ "6YZ", "", "", ResidueType::NON_POLYMER, false, "", 7944 },
	{ "6Z0", "", "", ResidueType::NON_POLYMER, false, "N-[3-[(4R)-2-azanylidene-5,5-bis(fluoranyl)-4-methyl-1,3-oxazinan-4-yl]-4-fluoranyl-phenyl]-5-cyano-pyridine-2-carboxamide", 7945 },
	{ "6Z1", "", "", ResidueType::NON_POLYMER, false, "2-[5-[(5-methyl-1,2-oxazol-3-yl)carbonylamino]-2-oxidanyl-phenyl]pyridine-4-carboxylic acid", 7946 },
	{ "6Z2", "", "", ResidueType::NON_POLYMER, false, "7-[(1~{S})-1-(4-fluorophenyl)ethyl]-5,5-dimethyl-2-(pyridin-3-ylamino)pyrrolo[2,3-d]pyrimidin-6-one", 7947 },
	{ "6Z3", "", "", ResidueType::NON_POLYMER, false, "(2~{S},4~{R})-1-[(2~{S})-2-[(1-cyanocyclopropyl)carbonylamino]-3,3-dimethyl-butanoyl]-~{N}-[[4-(4-methyl-1,3-thiazol-5-yl)phenyl]methyl]-4-oxidanyl-pyrrolidine-2-carboxamide", 7948 },
	{ "6Z4", "", "", ResidueType::NON_POLYMER, false, "(3~{S})-8-[2-azanyl-6-[(1~{R})-1-(4-chloranyl-2-phenyl-phenyl)-2,2,2-tris(fluoranyl)ethoxy]pyrimidin-4-yl]-2,8-diazaspiro[4.5]decane-3-carboxylic acid", 7949 },
	{ "6Z5", "", "", ResidueType::NON_POLYMER, false, "5,5-dimethyl-7-[(1~{S})-4-oxidanyl-1~{H}-inden-1-yl]-2-phenylazanyl-pyrrolo[2,3-d]pyrimidin-6-one", 7950 },
	{ "6Z6", "", "", ResidueType::NON_POLYMER, false, "2-Amino-5,6,7,8-tetrahydro-4-(4-methoxyphenyl)-7-(naphthalen-1-yl)-5-oxo-4H-chromene-3-carbonitrile", 7951 },
	{ "6Z7", "", "", ResidueType::NON_POLYMER, false, "7-({4-[(3-hydroxy-5-methoxyphenyl)amino]benzoyl}amino)-1,2,3,4-tetrahydroisoquinolinium", 7952 },
	{ "6Z8", "", "", ResidueType::NON_POLYMER, false, "8-[(3~{R})-3-azanylpiperidin-1-yl]-7-[(2-bromophenyl)methyl]-1,3-dimethyl-purine-2,6-dione", 7953 },
	{ "6Z9", "", "", ResidueType::NON_POLYMER, false, "3-[(1S)-1,2,3,4-Tetrahydronapthalen-1-ylamino)-2,5,6-trifluoro-4-[(2-hydroxyethyl)sulfonyl]benzenesulfonamide", 7954 },
	{ "6ZA", "", "", ResidueType::NON_POLYMER, false, "2-amino-9-[(2R,4aR,6R,7R,7aS)-2,7-dihydroxy-2-sulfanylidenetetrahydro-2H,4H-2lambda~5~-furo[3,2-d][1,3,2]dioxaphosphinin-6-yl]-3,9-dihydro-6H-purin-6-one", 7955 },
	{ "6ZB", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-L-tryptophanamide", 7956 },
	{ "6ZC", "", "", ResidueType::NON_POLYMER, false, "N-[(2R,3R,4R,5S,6R)-6-(hydroxymethyl)-2-(4-nitrophenoxy)-4,5-bis(oxidanyl)oxan-3-yl]ethanamide", 7957 },
	{ "6ZD", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-[({2-[(chloroacetyl)amino]ethyl}sulfamoyl)methyl](hydroxy)phosphoryl]guanosine", 7958 },
	{ "6ZE", "", "", ResidueType::NON_POLYMER, false, "2,3,5-trimethyl-6-propyl-7H-furo[3,2-g][1]benzopyran-7-one", 7959 },
	{ "6ZF", "", "", ResidueType::NON_POLYMER, false, "7-[6-(dimethylamino)pyridin-3-yl]-~{N}-[[(3~{S})-piperidin-3-yl]methyl]pyrido[3,4-b]pyrazin-5-amine", 7960 },
	{ "6ZG", "", "", ResidueType::NON_POLYMER, false, "~{N}'-[7-(4-methylphenyl)pyrido[3,4-b]pyrazin-5-yl]butane-1,4-diamine", 7961 },
	{ "6ZH", "", "", ResidueType::NON_POLYMER, false, "[[[(~{E})-3-[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]prop-2-enyl]amino]-azanyl-methylidene]azanium", 7962 },
	{ "6ZJ", "", "", ResidueType::NON_POLYMER, false, "Iron(III) dicitrate", 7963 },
	{ "6ZK", "", "", ResidueType::NON_POLYMER, false, "4-[4-[3-bromanyl-7-(pyridin-3-ylmethylamino)pyrazolo[1,5-a]pyrimidin-5-yl]phenyl]benzamide", 7964 },
	{ "6ZL", "", "", ResidueType::NON_POLYMER, false, "2-{[(4-O-alpha-D-glucopyranosyl-beta-D-glucopyranosyl)oxy]methyl}-2-octyldecyl 4-O-alpha-D-glucopyranosyl-beta-D-glucopyranoside", 7965 },
	{ "6ZM", "", "", ResidueType::NON_POLYMER, false, "1-{2-[(2,3-dihydro-1H-inden-2-yl)amino]-7,8-dihydropyrido[4,3-d]pyrimidin-6(5H)-yl}ethan-1-one", 7966 },
	{ "6ZN", "", "", ResidueType::NON_POLYMER, false, "6-(3-{2-[(2,3-dihydro-1H-inden-2-yl)amino]-7,8-dihydropyrido[4,3-d]pyrimidin-6(5H)-yl}propanoyl)-1,3-benzoxazol-2(3H)-one", 7967 },
	{ "6ZO", "", "", ResidueType::NON_POLYMER, false, "(3,5-dichlorophenyl)methyl 4-[3-oxo-3-(2-oxo-2,3-dihydro-1,3-benzoxazol-6-yl)propyl]piperazine-1-carboxylate", 7968 },
	{ "6ZP", "", "", ResidueType::NON_POLYMER, false, "2-(6'-oxo-1'-phenyl[1',6'-dihydro[2,3'-bipyridine]]-5'-yl)benzonitrile", 7969 },
	{ "6ZQ", "", "", ResidueType::NON_POLYMER, false, "3-(2-chlorophenyl)-2-(2-{6-[(diethylamino)methyl]pyridin-2-yl}ethyl)-6-fluoroquinazolin-4(3H)-one", 7970 },
	{ "6ZR", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-4-(4-methoxy-3-oxidanyl-phenyl)-3-methyl-1-(3,4,5-trimethoxyphenyl)azetidin-2-one", 7971 },
	{ "6ZS", "", "", ResidueType::PEPTIDE_LINKING, false, "L-isovaline", 7972 },
	{ "6ZT", "", "", ResidueType::NON_POLYMER, false, "(4~{S})-5-[5-chloranyl-2-[2-(dimethylamino)ethoxy]phenyl]-4-(4-chloranyl-2-methyl-phenyl)-2-(2-methoxyphenyl)-3-propan-2-yl-4~{H}-pyrrolo[3,4-c]pyrazol-6-one", 7973 },
	{ "6ZU", "", "", ResidueType::NON_POLYMER, false, "3-benzyl-4-methyl-2-oxo-2H-1-benzopyran-7-yl methanesulfonate", 7974 },
	{ "6ZV", "", "", ResidueType::NON_POLYMER, false, "N-{5-[(4-ethylpiperazin-1-yl)methyl]pyridin-2-yl}-5-fluoro-4-[4-fluoro-2-methyl-1-(propan-2-yl)-1H-benzimidazol-6-yl]pyrimidin-2-amine", 7975 },
	{ "6ZW", "", "", ResidueType::NON_POLYMER, false, "7-(diethylamino)-4-methyl-2H-1-benzopyran-2-one", 7976 },
	{ "6ZX", "", "", ResidueType::NON_POLYMER, false, "(E)-3-(4-chlorophenyl)but-2-enoic acid", 7977 },
	{ "6ZY", "", "", ResidueType::NON_POLYMER, false, "2,3,5-trimethyl-6-[3-oxo-3-(piperidin-1-yl)propyl]-7H-furo[3,2-g][1]benzopyran-7-one", 7978 },
	{ "6ZZ", "", "", ResidueType::NON_POLYMER, false, "7-cyclopentyl-N,N-dimethyl-2-{[5-(piperazin-1-yl)pyridin-2-yl]amino}-7H-pyrrolo[2,3-d]pyrimidine-6-carboxamide", 7979 },
	{ "700", "", "", ResidueType::NON_POLYMER, false, "[5-CHLORO-1H-INDOL-2-CARBONYL-PHENYLALANINYL]-AZETIDINE-3-CARBOXYLIC ACID", 7980 },
	{ "701", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(5-CHLORO-2-THIENYL)-N-{(3S)-1-[(1S)-1-METHYL-2-MORPHOLIN-4-YL-2-OXOETHYL]-2-OXOPYRROLIDIN-3-YL}PROPENE-1-SULFONAMIDE", 7981 },
	{ "702", "", "", ResidueType::NON_POLYMER, false, "(1R)-4-[3-(2-benzylphenoxy)phenyl]-1-phosphonobutane-1-sulfonic acid", 7982 },
	{ "703", "", "", ResidueType::NON_POLYMER, false, "5-(3-MORPHOLIN-4-YL-PROPYL)-2-(3-NITRO-PHENYL)-4-THIOXO-4,5-DIHYDRO-1-THIA-3B,5-DIAZA-CYCLOPENTA[A]PENTALEN-6-ONE", 7983 },
	{ "704", "", "", ResidueType::NON_POLYMER, false, "N~2~-[2-(5-chloro-1H-pyrrolo[2,3-b]pyridin-3-yl)-5-fluoropyrimidin-4-yl]-N,N-dimethyl-L-alaninamide", 7984 },
	{ "705", "", "", ResidueType::NON_POLYMER, false, "N-[(E)-3-[(2R,3S,4R,5R)-3,4-dihydroxy-5-(6-propylaminopurin-9-yl)oxolan-2-yl]prop-2-enyl]-5-(4-fluorophenyl)-2,3-dihydroxy-benzamide", 7985 },
	{ "706", "", "", ResidueType::NON_POLYMER, false, "N-(3,3-dimethyl-2,3-dihydro-1H-indol-6-yl)-2-[(pyridin-4-ylmethyl)amino]pyridine-3-carboxamide", 7986 },
	{ "707", "", "", ResidueType::NON_POLYMER, false, "N-(3-bromo-4-methoxybenzoyl)-beta-alanine", 7987 },
	{ "708", "", "", ResidueType::NON_POLYMER, false, "3-[(E)-2-(2-chloro-4-{[3-{[(R)-(2,6-dichlorophenyl)(hydroxy)-lambda~4~-sulfanyl]methyl}-5-(1-methylethyl)isoxazol-4-yl]methoxy}phenyl)ethenyl]benzoic acid", 7988 },
	{ "709", "", "", ResidueType::NON_POLYMER, false, "N-(7-CARBAMIMIDOYL-NAPHTHALEN-1-YL)-3-HYDROXY-2-METHYL-BENZAMIDE", 7989 },
	{ "70A", "", "", ResidueType::NON_POLYMER, false, "(2R,15R)-2-[(1-aminoisoquinolin-6-yl)amino]-4,15,17-trimethyl-7-[1-(1H-tetrazol-5-yl)cyclopropyl]-13-oxa-4,11-diazatricyclo[14.2.2.1~6,10~]henicosa-1(18),6(21),7,9,16,19-hexaene-3,12-dione", 7990 },
	{ "70B", "", "", ResidueType::NON_POLYMER, false, "Bis-(3-deoxy-3-(3-methoxy-benzamido)-b-D-galactopyranosyl)-sulfide", 7991 },
	{ "70C", "", "", ResidueType::NON_POLYMER, false, "1-[(2R,15R)-2-[(1-amino-4-fluoroisoquinolin-6-yl)amino]-4,15,17-trimethyl-3,12-dioxo-13-oxa-4,11-diazatricyclo[14.2.2.1~6,10~]henicosa-1(18),6(21),7,9,16,19-hexaen-7-yl]cyclohexane-1-carboxylic acid", 7992 },
	{ "70D", "", "", ResidueType::NON_POLYMER, false, "1-[(2R,15R)-2-[(1-amino-4-fluoroisoquinolin-6-yl)amino]-4,15,17-trimethyl-3,12-dioxo-13-oxa-4,11-diazatricyclo[14.2.2.1~6,10~]henicosa-1(18),6(21),7,9,16,19-hexaen-7-yl]cyclobutane-1-carboxylic acid", 7993 },
	{ "70E", "", "", ResidueType::NON_POLYMER, false, "6-O-[(2R,3R)-3-hydroxy-2-tetradecyldocosanoyl]-alpha-L-idopyranose", 7994 },
	{ "70G", "", "", ResidueType::NON_POLYMER, false, "3-[(1R)-8-methyl-1,2,3,4-tetrahydronaphthalen-1-yl]propanoic acid", 7995 },
	{ "70H", "", "", ResidueType::NON_POLYMER, false, "(3E)-4-(8-methylnaphthalen-1-yl)but-3-enoic acid", 7996 },
	{ "70K", "", "", ResidueType::NON_POLYMER, false, "6-Hydroxy-3-(piperidine-1-carbonyl)-1H-indazole-5-carboxylic acid methyl-(4-morpholin-4-yl-phenyl)-amide", 7997 },
	{ "70L", "", "", ResidueType::NON_POLYMER, false, "1-[2-Amino-4-(1,3-dihydro-isoindole-2-carbonyl)-quinazolin-6-yl]-cyclobutanecarboxylic acid ethylamide", 7998 },
	{ "70M", "", "", ResidueType::NON_POLYMER, false, "3-[4-[4-(4-cyanophenyl)piperazin-1-yl]butyl]-6-oxidanyl-1~{H}-indole-5-carbonitrile", 7999 },
	{ "70N", "", "", ResidueType::NON_POLYMER, false, "[2-azanyl-6-[4,5-bis(fluoranyl)-2-(4-methylpiperazin-1-yl)sulfonyl-phenyl]quinazolin-4-yl]-(1,3-dihydroisoindol-2-yl)methanone", 8000 },
	{ "70O", "", "", ResidueType::NON_POLYMER, false, "3-(3,3-dimethylbutyl)-~{N}-methyl-~{N}-[4-(1-methylpiperidin-4-yl)phenyl]-6-oxidanyl-2~{H}-indazole-5-carboxamide", 8001 },
	{ "70P", "", "", ResidueType::NON_POLYMER, false, "(4S)-3-(2-{[(1S)-1-phenylethyl]amino}pyrimidin-4-yl)-4-(propan-2-yl)-1,3-oxazolidin-2-one", 8002 },
	{ "70Q", "", "", ResidueType::NON_POLYMER, false, "3-benzyl-N-[3-(dimethylsulfamoyl)phenyl]-4-oxo-3,4-dihydrophthalazine-1-carboxamide", 8003 },
	{ "70R", "", "", ResidueType::NON_POLYMER, false, "", 8004 },
	{ "70S", "", "", ResidueType::NON_POLYMER, false, "2H-indazol-5-amine", 8005 },
	{ "70T", "", "", ResidueType::NON_POLYMER, false, "2-methyl-5-nitro-1H-indole", 8006 },
	{ "70U", "", "", ResidueType::RNA_LINKING, false, "5-(O-METHYLACETO)-2-THIO-2-DEOXY-URIDINE-5'-MONOPHOSPHATE", 8007 },
	{ "70V", "", "", ResidueType::NON_POLYMER, false, "2-methylcyclohexane-1,3-dione", 8008 },
	{ "70W", "", "", ResidueType::NON_POLYMER, false, "tert-butyl 4-aminopiperidine-1-carboxylate", 8009 },
	{ "70X", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-3-{[(2Z,4S)-2-imino-4-methyl-6-oxo-4-(propan-2-yl)tetrahydropyrimidin-1(2H)-yl]methyl}benzamide", 8010 },
	{ "70Y", "", "", ResidueType::NON_POLYMER, false, "(2Z,6S)-2-imino-6-methyl-3-{3-[(4R)-2-oxo-4-phenylpyrrolidin-1-yl]benzyl}-6-(propan-2-yl)tetrahydropyrimidin-4(1H)-one", 8011 },
	{ "70Z", "", "", ResidueType::NON_POLYMER, false, "~{N}3-butyl-~{N}3,~{N}5-dimethyl-~{N}5-(4-morpholin-4-ylphenyl)-6-oxidanyl-2~{H}-indazole-3,5-dicarboxamide", 8012 },
	{ "710", "", "", ResidueType::NON_POLYMER, false, "(5-{3-[5-(PIPERIDIN-1-YLMETHYL)-1H-INDOL-2-YL]-1H-INDAZOL-6-YL}-2H-1,2,3-TRIAZOL-4-YL)METHANOL", 8013 },
	{ "711", "", "", ResidueType::NON_POLYMER, false, "7-[[6-[[1-(1-IMINOETHYL)PIPERIDIN-4-YL]OXY]-2-METHYL-BENZIMIDAZOL-1-YL]METHYL]NAPHTHALENE-2-CARBOXIMIDAMID", 8014 },
	{ "712", "", "", ResidueType::NON_POLYMER, false, "3-({[(1R)-1-(4-FLUOROPHENYL)ETHYL]AMINO}CARBONYL)-5-[METHYL(METHYLSULFONYL)AMINO]BENZYL ALPHA-METHYL-D-PHENYLALANINATE", 8015 },
	{ "713", "", "", ResidueType::NON_POLYMER, false, "N-(2-chloro-4-fluorobenzyl)-4-[(3,5-dimethyl-1H-pyrazol-1-yl)methyl]benzamide", 8016 },
	{ "714", "", "", ResidueType::NON_POLYMER, false, "1-(2,2-diphosphonoethyl)-3-(octyloxy)pyridinium", 8017 },
	{ "715", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-OXO-4-[3-(TRIFLUOROMETHYL)-5,6-DIHYDRO[1,2,4]TRIAZOLO[4,3-A]PYRAZIN-7(8H)-YL]-1-(2,4,5-TRIFLUOROPHENYL)BUTAN-2-AMINE", 8018 },
	{ "716", "", "", ResidueType::NON_POLYMER, false, "2-[2-(3-CHLORO-PHENYL)-2-HYDROXY-ACETYLAMINO]-N-[4-GUANIDINO-1-(THIAZOLE-2-CARBONYL)-BUTYL]-3-METHYL-BUTYRAMIDE", 8019 },
	{ "717", "", "", ResidueType::NON_POLYMER, false, "imidazo[2,1-b][1,3]thiazol-6-ylmethanol", 8020 },
	{ "718", "", "", ResidueType::NON_POLYMER, false, "6-hydroxy-3,4-dihydronaphthalen-1(2H)-one", 8021 },
	{ "719", "", "", ResidueType::NON_POLYMER, false, "N-[(E)-3-[(2R,3S,4R,5R)-3,4-dihydroxy-5-[6-(2-hydroxyethylamino)purin-9-yl]oxolan-2-yl]prop-2-enyl]-5-(4-fluorophenyl)-2,3-dihydroxy-benzamide", 8022 },
	{ "71A", "", "", ResidueType::NON_POLYMER, false, "pyridin-3-ol", 8023 },
	{ "71B", "", "", ResidueType::NON_POLYMER, false, "3-fluoro-4-methoxyaniline", 8024 },
	{ "71C", "", "", ResidueType::NON_POLYMER, false, "5-{[(3-phenoxyphenyl)methyl][(1S)-1,2,3,4-tetrahydronaphthalen-1-yl]carbamoyl}benzene-1,2,4-tricarboxylic acid", 8025 },
	{ "71D", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-[4-amino-5-(4-chlorophenyl)-7-(2-methoxyethyl)-7H-pyrrolo[2,3-d]pyrimidin-6-yl]-2-cyano-N-(propan-2-yl)propanamide", 8026 },
	{ "71E", "", "", ResidueType::NON_POLYMER, false, "DZ 2384", 8027 },
	{ "71F", "", "", ResidueType::NON_POLYMER, false, "2-methoxybenzoic acid", 8028 },
	{ "71G", "", "", ResidueType::NON_POLYMER, false, "3-aminobenzonitrile", 8029 },
	{ "71H", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-(diethylamino)ethyl]-2-[2-[(4-fluorophenyl)methylsulfanyl]-4-oxidanylidene-5~{H}-cyclopenta[d]pyrimidin-1-yl]-~{N}-[[3-[4-(trifluoromethyl)phenyl]-1-bicyclo[1.1.1]pentanyl]methyl]ethanamide", 8030 },
	{ "71I", "", "", ResidueType::NON_POLYMER, false, "(3~{a}~{R},5~{R},6~{S},7~{R},7~{a}~{R})-2-(butylamino)-5-(hydroxymethyl)-5,6,7,7~{a}-tetrahydro-3~{a}~{H}-pyrano[3,2-d][1,3]thiazole-6,7-diol", 8031 },
	{ "71J", "", "", ResidueType::NON_POLYMER, false, "trans-cyclohexane-1,4-diol", 8032 },
	{ "71K", "", "", ResidueType::NON_POLYMER, false, "2-methylbenzene-1,3-diamine", 8033 },
	{ "71L", "", "", ResidueType::NON_POLYMER, false, "4,6-dimethylpyridin-2-amine", 8034 },
	{ "71M", "", "", ResidueType::NON_POLYMER, false, "6-methylpyridin-2-amine", 8035 },
	{ "71N", "", "", ResidueType::NON_POLYMER, false, "2-(trifluoromethyl)-1H-benzimidazol-5-amine", 8036 },
	{ "71P", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(7~{R})-1,2,3-trimethoxy-10-methylsulfanyl-9-oxidanylidene-6,7-dihydro-5~{H}-benzo[a]heptalen-7-yl]ethanamide", 8037 },
	{ "71Q", "", "", ResidueType::NON_POLYMER, false, "N-[2-chloro-5-(trifluoromethyl)phenyl]-2-[4-(furan-2-carbonyl)piperazin-1-yl]acetamide", 8038 },
	{ "71R", "", "", ResidueType::NON_POLYMER, false, "dihydrostreptomycin", 8039 },
	{ "71S", "", "", ResidueType::NON_POLYMER, false, "6-[(2S)-3-amino-2-{5-[2-(6-amino-4-methylpyridin-2-yl)ethyl]pyridin-3-yl}propyl]-4-methylpyridin-2-amine", 8040 },
	{ "71T", "", "", ResidueType::NON_POLYMER, false, "2-[4-(4-methoxyphenyl)piperazine-1-carbonyl]-5lambda~6~-thieno[3,2-c][1]benzothiopyran-5,5(4H)-dione", 8041 },
	{ "71U", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-~{N}-[[2-(aminomethyl)-5-chloranyl-phenyl]methyl]-1-[(2~{R})-2-azanyl-3-cyclohexyl-propanoyl]pyrrolidine-2-carboxamide", 8042 },
	{ "71V", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},4~{R},5~{R})-5-(2-azanyl-6-sulfanyl-purin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methyl dihydrogen phosphate", 8043 },
	{ "71W", "", "", ResidueType::NON_POLYMER, false, "(1S,3aR,6aR)-5-hexyl-4-phenyl-3a-(1-phenylethenyl)-1,2,3,3a,6,6a-hexahydropentalen-1-ol", 8044 },
	{ "71X", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1~{R},2~{R})-7-chloranyl-2-oxidanyl-1,2,3,4-tetrahydronaphthalen-1-yl]-4-ethanoyl-3-ethyl-5-methyl-1~{H}-pyrrole-2-carboxamide", 8045 },
	{ "71Y", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1~{S},2~{S})-7-chloranyl-2-oxidanyl-1,2,3,4-tetrahydronaphthalen-1-yl]-4-ethanoyl-3-ethyl-5-methyl-1~{H}-pyrrole-2-carboxamide", 8046 },
	{ "720", "", "", ResidueType::NON_POLYMER, false, "(2S)-5-AMINO-2-[(1-PROPYL-1H-IMIDAZOL-4-YL)METHYL]PENTANOIC ACID", 8047 },
	{ "721", "", "", ResidueType::NON_POLYMER, false, "3-butoxy-1-(2,2-diphosphonoethyl)pyridinium", 8048 },
	{ "722", "", "", ResidueType::NON_POLYMER, false, "1-(2,2-diphosphonoethyl)-3-(heptyloxy)pyridinium", 8049 },
	{ "723", "", "", ResidueType::NON_POLYMER, false, "(6-chloro-2-oxo-4-phenyl-1,2-dihydroquinolin-3-yl)acetic acid", 8050 },
	{ "724", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-[(5-methoxy-3-oxo-1,3-dihydro-2H-indazol-2-yl)methyl]-5-methylimidazolidine-2,4-dione", 8051 },
	{ "725", "", "", ResidueType::NON_POLYMER, false, "6-amino-2-(methylamino)-4-(2-((2R,3R,4R,5R)-3,4,5-trimethoxytetrahydrofuran-2-yl)ethyl)-1H-imidazo[4,5-g]quinazolin-8(7H)-one", 8052 },
	{ "726", "", "", ResidueType::NON_POLYMER, false, "6-azanyl-2-(methylamino)-4-[2-[(2~{R},3~{R},4~{S},5~{R},6~{S})-3,4,5,6-tetramethoxyoxan-2-yl]ethyl]-1,7-dihydroimidazo[4,5-g]quinazolin-8-one", 8053 },
	{ "727", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-[(5-methoxy-3-oxo-1,3-dihydro-2H-indazol-2-yl)methyl]-5-phenylimidazolidine-2,4-dione", 8054 },
	{ "728", "", "", ResidueType::NON_POLYMER, false, "1-(4-aminobenzyl)-3-{2-[(2R)-2-(2-bromophenyl)pyrrolidin-1-yl]-2-oxoethyl}urea", 8055 },
	{ "729", "", "", ResidueType::NON_POLYMER, false, "N-[3-(4-{[(5-tert-butyl-1,2-oxazol-3-yl)carbamoyl]amino}-3-methylphenyl)-1H-pyrazol-5-yl]-4-[(4-methylpiperazin-1-yl)methyl]benzamide", 8056 },
	{ "72B", "", "", ResidueType::NON_POLYMER, false, "[(amino-kappaN)methanethiolato](3-fluoro-9-methoxypyrido[2,3-a]pyrrolo[3,4-c]carbazole-5,7(6H,12H)-dionato-kappa~2~N,N')(N-methyl-1,4,7-trithiecan-9-amine-kappa~3~S~1~,S~4~,S~7~)ruthenium", 8057 },
	{ "72C", "", "", ResidueType::NON_POLYMER, false, "4-[2-[(3~{a}~{R},4~{R},6~{R},6~{a}~{R})-4-methoxy-2,2-dimethyl-3~{a},4,6,6~{a}-tetrahydrofuro[3,4-d][1,3]dioxol-6-yl]ethyl]-6-azanyl-2-(methylamino)-1,7-dihydroimidazo[4,5-g]quinazolin-8-one", 8058 },
	{ "72D", "", "", ResidueType::NON_POLYMER, false, "4-(phenyl)-benzenesulfonamide", 8059 },
	{ "72E", "", "", ResidueType::NON_POLYMER, false, "4-(2-methylphenyl)-benzenesulfonamide", 8060 },
	{ "72F", "", "", ResidueType::NON_POLYMER, false, "N-[3-({6-[(2S)-2-cyano-3-(methylamino)-3-oxopropyl]-7-(2-methoxyethyl)-7H-pyrrolo[2,3-d]pyrimidin-5-yl}ethynyl)-4-methylphenyl]-3-(trifluoromethyl)benzamide", 8061 },
	{ "72G", "", "", ResidueType::NON_POLYMER, false, "4-(3-formylphenyl)-benzenesulfonamide", 8062 },
	{ "72H", "", "", ResidueType::NON_POLYMER, false, "4-(3-quinolinyl)-benzenesulfonamide", 8063 },
	{ "72J", "", "", ResidueType::NON_POLYMER, false, "7-(N-(10-hydroxydecanoyl)-aminopentenyl)-7-deaza-2'-dATP", 8064 },
	{ "72K", "", "", ResidueType::NON_POLYMER, false, "4-(3-methyl-4-quinolin-3-yl-indazol-1-yl)-2-[(4-oxidanylcyclohexyl)amino]benzamide", 8065 },
	{ "72L", "", "", ResidueType::NON_POLYMER, false, "4-[[6-(3-phenylphenyl)-7~{H}-purin-2-yl]amino]benzenesulfonamide", 8066 },
	{ "72M", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(~{E})-3-[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]prop-2-enyl]-5-[(4-methylphenyl)methyl]-2,3-bis(oxidanyl)benzamide", 8067 },
	{ "72N", "", "", ResidueType::NON_POLYMER, false, "3-cyclopropyl-5-methyl-4-phenyl-1,2,4-triazole", 8068 },
	{ "72O", "", "", ResidueType::NON_POLYMER, false, "2-[(3-chloranylphenoxy)methyl]-4-methyl-5-(1~{H}-pyrazol-5-yl)-1,3-thiazole", 8069 },
	{ "72P", "", "", ResidueType::NON_POLYMER, false, "3-(6-chloranyl-2-methyl-1-phenyl-indol-3-yl)sulfanylbenzoic acid", 8070 },
	{ "72Q", "", "", ResidueType::NON_POLYMER, false, "3-{[(1S,2S,3R)-2,3-difluoro-1-hydroxy-7-(methylsulfonyl)-2,3-dihydro-1H-inden-4-yl]oxy}-5-fluorobenzonitrile", 8071 },
	{ "72V", "", "", ResidueType::NON_POLYMER, false, "1-methylindole-2,3-dione", 8072 },
	{ "72W", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(~{E})-3-[(2~{R},3~{S},4~{R},5~{R})-5-(6-ethylpurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]prop-2-enyl]-5-(4-fluorophenyl)-2,3-bis(oxidanyl)benzamide", 8073 },
	{ "72X", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-[(1S)-1-(3-chlorophenyl)-1-hydroxy-5-methoxypentyl]-N-{(1S)-2-cyclohexyl-1-[(methylamino)methyl]ethyl}piperidine-1-carboxamide", 8074 },
	{ "72Y", "", "", ResidueType::NON_POLYMER, false, "4-chloranyl-7-[(4-chloranyl-3,5-dimethyl-pyridin-2-yl)methyl]pyrrolo[2,3-d]pyrimidin-2-amine", 8075 },
	{ "730", "", "", ResidueType::NON_POLYMER, false, "(S)-3-(3-(4-(2-GUANIDINOETHYL)PIPERIDIN-1-YL)-2-(NAPHTHALENE-2-SULFONAMIDO)-3-OXOPROPYL)BENZIMIDAMIDE", 8076 },
	{ "731", "", "", ResidueType::NON_POLYMER, false, "[5-(2,4-dimethyl-1,3-thiazol-5-yl)-1~{H}-pyrazol-3-yl]-(4-phenylpiperazin-1-yl)methanone", 8077 },
	{ "732", "", "", ResidueType::NON_POLYMER, false, "5-(4-chlorophenyl)-N-[(1S)-1-cyclohexyl-2-(methylamino)-2-oxoethyl]furan-2-carboxamide", 8078 },
	{ "733", "", "", ResidueType::NON_POLYMER, false, "6-fluoro-2-methyl-4-[(2,3,6-trichlorobenzyl)amino]quinoline-8-carboxamide", 8079 },
	{ "734", "", "", ResidueType::NON_POLYMER, false, "5-chloro-7-[(R)-furan-2-yl(pyridin-2-ylamino)methyl]quinolin-8-ol", 8080 },
	{ "735", "", "", ResidueType::NON_POLYMER, false, "2-METHYL-2-(4-{[({4-METHYL-2-[4-(TRIFLUOROMETHYL)PHENYL]-1,3-THIAZOL-5-YL}CARBONYL)AMINO]METHYL}PHENOXY)PROPANOIC ACID", 8081 },
	{ "736", "", "", ResidueType::NON_POLYMER, false, "(11S)-8-CHLORO-11-[1-(METHYLSULFONYL)PIPERIDIN-4-YL]-6-PIPERAZIN-1-YL-11H-BENZO[5,6]CYCLOHEPTA[1,2-B]PYRIDINE", 8082 },
	{ "737", "", "", ResidueType::NON_POLYMER, false, "N-[4-GUANIDINO-1-(THIAZOLE-2-CARBONYL)-BUTYL]-2-{6-OXO-5-[(QUINOLIN-8-YLMETHYL)-AMINO]-2-M-TOLYL-6H-PYRIMIDIN-1-YL}-ACETAMIDE", 8083 },
	{ "738", "", "", ResidueType::NON_POLYMER, false, "N-(3-cyano-4,5,6,7-tetrahydro-1-benzothien-2-yl)-2-fluorobenzamide", 8084 },
	{ "739", "", "", ResidueType::NON_POLYMER, false, "2(S)-{2(S)-[2(R)-AMINO-3-MERCAPTO]PROPYLAMINO-3(S)-METHYL}PENTYLOXY-3-PHENYLPROPIONYLMETHIONINE SULFONE", 8085 },
	{ "73A", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-[4-amino-5-(4-chlorophenyl)-7-(2-methoxyethyl)-7H-pyrrolo[2,3-d]pyrimidin-6-yl]-2-cyano-N-(propan-2-yl)prop-2-enamide", 8086 },
	{ "73B", "", "", ResidueType::NON_POLYMER, false, "4-[(2S,4R)-1-acetyl-4-[(4-chlorophenyl)amino]-2-methyl-1,2,3,4-tetrahydroquinolin-6-yl]benzoic acid", 8087 },
	{ "73C", "", "", ResidueType::PEPTIDE_LINKING, false, "(2~{S})-2-azanyl-3-butoxy-propanoic acid", 8088 },
	{ "73E", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S},4~{R},5~{R},6~{S})-2-(hydroxymethyl)-6-(5-phenyl-4~{H}-1,2,4-triazol-3-yl)oxane-3,4,5-triol", 8089 },
	{ "73J", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(9~{R})-4-(5-fluoranyl-1~{H}-benzimidazol-2-yl)-9~{H}-fluoren-9-yl]-1~{H}-pyrrolo[2,3-b]pyridine-4-carboxamide", 8090 },
	{ "73K", "", "", ResidueType::NON_POLYMER, false, "N-(furan-2-ylmethyl)-8-(4-methylsulfonylphenyl)-[1,2,4]triazolo[4,3-c]pyrimidin-5-amine", 8091 },
	{ "73M", "", "", ResidueType::NON_POLYMER, false, "bis(azanyl)-chloranyl-oxidanyl-platinum", 8092 },
	{ "73N", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-5-carbamimidamido-2-(carboxyamino)pentanoic acid", 8093 },
	{ "73O", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-azanyl-4-(4-hydroxyphenyl)butanoic acid", 8094 },
	{ "73P", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-6-azanyl-2-(carboxyamino)hexanoic acid", 8095 },
	{ "73Q", "", "", ResidueType::NON_POLYMER, false, "6-CHLORO-9-HYDROXY-1,3-DIMETHYL-1,9-DIHYDRO-4H-PYRAZOLO[3,4-B]QUINOLIN-4-ONE", 8096 },
	{ "73R", "", "", ResidueType::NON_POLYMER, false, "(3S)-1-{(1S,2R,4R)-4-[methyl(propan-2-yl)amino]-2-propylcyclohexyl}-3-{[6-(trifluoromethyl)quinazolin-4-yl]amino}pyrrolidin-2-one", 8097 },
	{ "73S", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-5-chloranyl-~{N}-[(9~{R})-4-(1~{H}-imidazo[4,5-c]pyridin-2-yl)-9~{H}-fluoren-9-yl]pyrimidine-4-carboxamide", 8098 },
	{ "73T", "", "", ResidueType::NON_POLYMER, false, "6-Fluoro-5-(R)-(3-(S)-(8-fluoro-1-methyl-2,4-dioxo-1,2-dihydroquinazolin-3(4H)-yl)-2-methylphenyl)-2-(S)-(2-hydroxypropan-2-yl)-2,3,4,9-tetrahydro-1H-carbazole-8-carboxamide", 8099 },
	{ "73U", "", "", ResidueType::NON_POLYMER, false, "5-[4-methyl-4'-(methylamino)[1,1'-biphenyl]-3-yl]-1lambda~6~,2,5-thiadiazolidine-1,1,3-trione", 8100 },
	{ "73V", "", "", ResidueType::NON_POLYMER, false, "BENZYL N-({(2S,3S)-3-[(PROPYLAMINO)CARBONYL]OXIRAN-2-YL}CARBONYL)-L-ISOLEUCYL-L-PROLINATE", 8101 },
	{ "73W", "", "", ResidueType::RNA_LINKING, false, "5'-O-[(dithiophosphono)]cytidine", 8102 },
	{ "73X", "", "", ResidueType::NON_POLYMER, false, "5-[4-(3,4-dichlorophenyl)piperazin-1-yl]pyrimidine-2,4-diamine", 8103 },
	{ "73Y", "", "", ResidueType::NON_POLYMER, false, "6-bromanyl-~{N}-[(9~{R})-4-quinolin-3-yl-9~{H}-fluoren-9-yl]-3~{H}-imidazo[4,5-b]pyridine-7-carboxamide", 8104 },
	{ "73Z", "", "", ResidueType::NON_POLYMER, false, "2-[(4-oxidanylidenecyclohexyl)amino]-4-(3,6,6-trimethyl-4-oxidanylidene-5,7-dihydroindol-1-yl)benzamide", 8105 },
	{ "740", "", "", ResidueType::NON_POLYMER, false, "N-[5-(1,1-DIOXIDOISOTHIAZOLIDIN-2-YL)-1H-INDAZOL-3-YL]-2-(4-PIPERIDIN-1-YLPHENYL)ACETAMIDE", 8106 },
	{ "741", "", "", ResidueType::NON_POLYMER, false, "4-[[3-chloro-4-(1-methylimidazol-2-yl)sulfanyl-phenyl]amino]-7-[3-(2-hydroxyethyl-methyl-amino)propoxy]-6-methoxy-quinoline-3-carbonitrile", 8107 },
	{ "742", "", "", ResidueType::NON_POLYMER, false, "(2,2-DIPHOSPHONOETHYL)(DODECYL)DIMETHYLPHOSPHONIUM", 8108 },
	{ "743", "", "", ResidueType::NON_POLYMER, false, "(1R,5R)-5-{(1Z)-N-[(4'-fluorobiphenyl-4-yl)methoxy]butanimidoyl}-2,2-dimethyl-4,6-dioxocyclohexanecarbonitrile", 8109 },
	{ "744", "", "", ResidueType::NON_POLYMER, false, "(3S)-N-(5-CHLORO-2-METHYLPHENYL)-1-CYCLOHEXYL-5-OXOPYRROLIDINE-3-CARBOXAMIDE", 8110 },
	{ "745", "", "", ResidueType::NON_POLYMER, false, "TRANS-6-(2-PHENYLCYCLOPROPYL)-NAPHTHALENE-2-CARBOXAMIDINE", 8111 },
	{ "746", "", "", ResidueType::NON_POLYMER, false, "4-tert-butyl-N-[2-methyl-3-(4-methyl-6-{[4-(morpholin-4-ylcarbonyl)phenyl]amino}-5-oxo-4,5-dihydropyrazin-2-yl)phenyl]benzamide", 8112 },
	{ "747", "", "", ResidueType::NON_POLYMER, false, "(5Z)-5-[(3,5-difluoro-4-hydroxyphenyl)methylidene]-2-[(E)-(hydroxyimino)methyl]-3-methyl-3,5-dihydro-4H-imidazol-4-one", 8113 },
	{ "748", "", "", ResidueType::NON_POLYMER, false, "N-[2-(dimethylamino)ethyl]-N-[[4-[[4-methyl-3-[(4-pyridin-3-ylpyrimidin-2-yl)amino]phenyl]carbamoyl]phenyl]methyl]pyridine-3-carboxamide", 8114 },
	{ "749", "", "", ResidueType::NON_POLYMER, false, "[(6E,11E)-2,6,12,16-tetramethylheptadeca-2,6,11,15-tetraene-9,9-diyl]bis(phosphonic acid)", 8115 },
	{ "74A", "", "", ResidueType::NON_POLYMER, false, "N'-{(1S,2S)-1-(3,5-difluorobenzyl)-2-hydroxy-2-[(2R)-4-(phenylcarbonyl)piperazin-2-yl]ethyl}-5-methyl-N,N-dipropylbenzene-1,3-dicarboxamide", 8116 },
	{ "74B", "", "", ResidueType::NON_POLYMER, false, "(4aR,6R,8aS)-8a-(2,4-difluoro-5-{[(2,2,2-trifluoroethyl)amino]methyl}phenyl)-6-(fluoromethyl)-4,4a,5,6,8,8a-hexahydropyrano[3,4-d][1,3]thiazin-2-amine", 8117 },
	{ "74C", "", "", ResidueType::NON_POLYMER, false, "methyl radical", 8118 },
	{ "74D", "", "", ResidueType::NON_POLYMER, false, "1-[(1~{R})-1-[1-[2,2-bis(fluoranyl)propyl]piperidin-4-yl]ethyl]-~{N}-[(4-methoxy-6-methyl-2-oxidanylidene-3~{H}-pyridin-3-yl)methyl]-2-methyl-indole-3-carboxamide", 8119 },
	{ "74E", "", "", ResidueType::NON_POLYMER, false, "2-[(4-oxidanylcyclohexyl)amino]-4-(3,6,6-trimethyl-4-oxidanylidene-5,7-dihydroindol-1-yl)benzamide", 8120 },
	{ "74F", "", "", ResidueType::NON_POLYMER, false, "3-(benzotriazol-1-yl)-5-[1-methyl-5-[(1~{S})-1-morpholin-4-ylethyl]-1,2,4-triazol-3-yl]pyrazin-2-amine", 8121 },
	{ "74G", "", "", ResidueType::NON_POLYMER, false, "4-{[(2S)-3-{2,16-dioxo-20-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]-6,9,12-trioxa-3,15-diazaicosan-1-yl}-2,3-dihydro-1,3-benzothiazol-2-yl]methyl}-1-methylquinolin-1-ium", 8122 },
	{ "74H", "", "", ResidueType::NON_POLYMER, false, "1-[3-azanyl-6-[1-methyl-5-(1-phenylcyclopropyl)-1,2,4-triazol-3-yl]pyrazin-2-yl]pyrazole-3-carboxamide", 8123 },
	{ "74J", "", "", ResidueType::NON_POLYMER, false, "1-[3-azanyl-6-[1-methyl-5-(1-phenylcyclopropyl)-1,2,4-triazol-3-yl]pyrazin-2-yl]pyrazole-4-carboxamide", 8124 },
	{ "74K", "", "", ResidueType::NON_POLYMER, false, "4-[3-azanyl-6-[1-methyl-5-(1-phenylcyclopropyl)-1,2,4-triazol-3-yl]pyrazin-2-yl]pyrazole-1-carboxamide", 8125 },
	{ "74L", "", "", ResidueType::NON_POLYMER, false, "4-[3-azanyl-6-[1-methyl-5-(1-phenylcyclopropyl)-1,2,4-triazol-3-yl]pyrazin-2-yl]-~{N},~{N}-dimethyl-pyrazole-1-sulfonamide", 8126 },
	{ "74M", "", "", ResidueType::NON_POLYMER, false, "METHYL N-({(2S,3S)-3-[(PROPYLAMINO)CARBONYL]OXIRAN-2-YL}CARBONYL)-L-ISOLEUCYL-L-PROLINATE", 8127 },
	{ "74N", "", "", ResidueType::NON_POLYMER, false, "4-[3-azanyl-6-[1-methyl-5-(1-phenylcyclopropyl)-1,2,4-triazol-3-yl]pyrazin-2-yl]benzamide", 8128 },
	{ "74O", "", "", ResidueType::NON_POLYMER, false, "5-[1-methyl-5-(1-phenylcyclopropyl)-1,2,4-triazol-3-yl]-3-(1~{H}-pyrazol-4-yl)pyrazin-2-amine", 8129 },
	{ "74P", "", "", ResidueType::PEPTIDE_LINKING, false, "(E)-N~6~-(1-carboxy-3-oxobutylidene)-L-lysine", 8130 },
	{ "74Q", "", "", ResidueType::NON_POLYMER, false, "3-(benzotriazol-1-yl)-5-[1-methyl-5-(1-phenylcyclopropyl)-1,2,4-triazol-3-yl]pyrazin-2-amine", 8131 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "9-[[1-[8-methyl-8-(2-phenylethyl)-8-azoniabicyclo[3.2.1]octan-3-yl]triazol-4-yl]methyl]carbazole ", 8132 },
	{ "74T", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-yl {(2S,3R)-4-[({2-[(1-cyclopentylpiperidin-4-yl)amino]-1,3-benzothiazol-6-yl}sulfonyl)(2-methylpropyl)amino]-3-hydroxy-1-phenylbutan-2-yl}carbamate", 8133 },
	{ "74U", "", "", ResidueType::NON_POLYMER, false, "N-[(furan-2-yl)methyl]-2-phenylquinazolin-4-amine", 8134 },
	{ "74V", "", "", ResidueType::NON_POLYMER, false, "N-ethyl-4-{[(furan-2-yl)methyl]amino}-2-methyl-N-[(3S)-piperidin-3-yl]pyrimidine-5-carboxamide", 8135 },
	{ "74W", "", "", ResidueType::NON_POLYMER, false, "1-[4-chloranyl-3-(trifluoromethyl)phenyl]-3-[[(2R,3S)-5-[5-methyl-2,4-bis(oxidanylidene)pyrimidin-1-yl]-3-oxidanyl-oxolan-2-yl]methyl]thiourea", 8136 },
	{ "74X", "", "", ResidueType::NON_POLYMER, false, "1-[4-chloranyl-3-(trifluoromethyl)phenyl]-3-[[(2R,3S)-5-[5-methyl-2,4-bis(oxidanylidene)pyrimidin-1-yl]-3-oxidanyl-oxolan-2-yl]methyl]thiourea", 8137 },
	{ "74Y", "", "", ResidueType::NON_POLYMER, false, "(azepan-1-yl)(2-{[(furan-2-yl)methyl]amino}-6-methylpyridin-3-yl)methanone", 8138 },
	{ "74Z", "", "", ResidueType::NON_POLYMER, false, "N-[(furan-2-yl)methyl]-5,6,7,8-tetrahydro[1]benzothieno[2,3-d]pyrimidin-4-amine", 8139 },
	{ "750", "", "", ResidueType::NON_POLYMER, false, "5-(2-MORPHOLIN-4-YLETHOXY)BENZOFURAN-2-CARBOXYLIC ACID ((S)-3-METHYL-1-{(S)-3-OXO-1-[2-(3-PYRIDIN-2-YLPHENYL)ACETYL]AZEPAN-4-YLCARBAMOYL}BUTYL)AMIDE", 8140 },
	{ "751", "", "", ResidueType::NON_POLYMER, false, "2-{4-[(4'-METHOXYBIPHENYL-3-YL)SULFONYL]PIPERAZIN-1-YL}-3-(4-METHOXYPHENYL)PYRAZINE", 8141 },
	{ "752", "", "", ResidueType::NON_POLYMER, false, "2-[5-[2-(1,3-benzothiazol-2-ylamino)-2-oxidanylidene-ethyl]sulfanyl-4~{H}-1,2,4-triazol-3-yl]benzoic acid", 8142 },
	{ "753", "", "", ResidueType::NON_POLYMER, false, "5-methyl-4-(methylamino)-2-(2-phenylethyl)thieno[2,3-d]pyrimidine-6-carboxylic acid", 8143 },
	{ "754", "", "", ResidueType::NON_POLYMER, false, "(2E,4E,6Z)-3-methyl-7-(5,5,8,8-tetramethyl-3-propoxy-5,6,7,8-tetrahydronaphthalen-2-yl)octa-2,4,6-trienoic acid", 8144 },
	{ "755", "", "", ResidueType::NON_POLYMER, false, "4-chloro-2-[({(1S,2S)-2-[(2,2-dimethylpropanoyl)amino]cyclopentyl}methyl)amino]benzoic acid", 8145 },
	{ "756", "", "", ResidueType::NON_POLYMER, false, "[(3S)-3-(1H-benzimidazol-2-yl)piperidin-1-yl](2-methyl-1-benzofuran-5-yl)methanone", 8146 },
	{ "757", "", "", ResidueType::NON_POLYMER, false, "", 8147 },
	{ "758", "", "", ResidueType::NON_POLYMER, false, "2-chloro-5-{[(2,2-dimethylpropanoyl)amino]methyl}-N-(1H-imidazol-2-yl)benzamide", 8148 },
	{ "759", "", "", ResidueType::NON_POLYMER, false, "", 8149 },
	{ "75A", "", "", ResidueType::PEPTIDE_LIKE, false, "N-acetyl-4-[difluoro(phosphono)methyl]-L-phenylalanyl-N~5~-(3-iodobenzoyl)-L-ornithinamide", 8150 },
	{ "75B", "", "", ResidueType::RNA_LINKING, false, "", 8151 },
	{ "75C", "", "", ResidueType::NON_POLYMER, false, "5'-({[(2R,3S)-3-amino-4-hydroxy-2-{[2-({N-[(2R)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alanyl}amino)ethyl]sulfanyl}butyl]sulfonyl}amino)-5'-deoxyadenosine", 8152 },
	{ "75D", "", "", ResidueType::NON_POLYMER, false, "2,4,6-tri(propan-2-yl)benzenesulfonic acid", 8153 },
	{ "75E", "", "", ResidueType::NON_POLYMER, false, "7-(cyclopropylamino)-5-[3-(6-oxo-1,6-dihydropyridin-3-yl)thiophen-2-yl]pyrazolo[1,5-a]pyrimidine-3-carbonitrile", 8154 },
	{ "75F", "", "", ResidueType::NON_POLYMER, false, "(4S,4aS)-4-ethyl-7,7-dimethyl-4-phenyl-1,4,4a,6,7,8-hexahydro-5H-pyrazolo[3,4-b]quinolin-5-one", 8155 },
	{ "75G", "", "", ResidueType::NON_POLYMER, false, "(2S,4aR,6R,7R,7aS)-6-(6-amino-2-chloro-9H-purin-9-yl)-7-hydroxy-2-sulfanyltetrahydro-2H,4H-2lambda~5~-furo[3,2-d][1,3,2]dioxaphosphinin-2-one", 8156 },
	{ "75H", "", "", ResidueType::NON_POLYMER, false, "N-{3-fluoro-4-[(7-methoxyquinolin-4-yl)oxy]phenyl}-1-(2-hydroxy-2-methylpropyl)-5-methyl-3-oxo-2-phenyl-2,3-dihydro-1H-pyrazole-4-carboxamide", 8157 },
	{ "75J", "", "", ResidueType::NON_POLYMER, false, "2-({2-[(3R)-3-aminopiperidin-1-yl]-3-(but-2-yn-1-yl)-4-oxo-3,4-dihydro-5H-imidazo[2,1-b]purin-5-yl}methyl)benzonitrile", 8158 },
	{ "75K", "", "", ResidueType::NON_POLYMER, false, "2,6-DIMETHYL-4H-PYRANO[3,4-D][1,3]OXAZOL-4-ONE", 8159 },
	{ "75L", "", "", ResidueType::NON_POLYMER, false, "2-[(3R)-3-aminopiperidin-1-yl]-3-(but-2-yn-1-yl)-6-[(4-methylquinazolin-2-yl)methyl]-6,7,8,9-tetrahydropyrimido[2,1-b]purin-4(3H)-one", 8160 },
	{ "75M", "", "", ResidueType::NON_POLYMER, false, "4-({2-[(3R)-3-aminopiperidin-1-yl]-3-(but-2-yn-1-yl)-4-oxo-3,4-dihydro-5H-imidazo[2,1-b]purin-5-yl}methyl)benzonitrile", 8161 },
	{ "75N", "", "", ResidueType::NON_POLYMER, false, "2-[(3R)-3-aminopiperidin-1-yl]-3-(but-2-yn-1-yl)-5-[(4-methylquinazolin-2-yl)methyl]-3H-imidazo[2,1-b]purin-4(5H)-one", 8162 },
	{ "75O", "", "", ResidueType::NON_POLYMER, false, "6-chloro-5-[6-(dimethylamino)-2-methoxypyridin-3-yl]-1H-indole-3-carboxylic acid", 8163 },
	{ "75P", "", "", ResidueType::NON_POLYMER, false, "7-(2-aminoethoxy)-6-methoxy-2-(pyrrolidin-1-yl)-N-[5-(pyrrolidin-1-yl)pentyl]quinazolin-4-amine", 8164 },
	{ "75Q", "", "", ResidueType::NON_POLYMER, false, "1-(4-{3,5-dichloro-4-[(2,6-dimethylpyridin-3-yl)methoxy]phenyl}pyridin-2-yl)piperazine", 8165 },
	{ "75R", "", "", ResidueType::NON_POLYMER, false, "1-(4-{3,5-dichloro-4-[(2,4-dimethylpyridin-3-yl)methoxy]phenyl}pyridin-2-yl)piperazine", 8166 },
	{ "75S", "", "", ResidueType::NON_POLYMER, false, "1-(4-{3,5-dichloro-4-[(2-methylpyridin-3-yl)methoxy]phenyl}pyridin-2-yl)piperazine", 8167 },
	{ "75T", "", "", ResidueType::NON_POLYMER, false, "2-methyl-3-({[3'-(piperidin-4-yl)[1,1'-biphenyl]-4-yl]oxy}methyl)pyridine", 8168 },
	{ "75U", "", "", ResidueType::NON_POLYMER, false, "ethyl 6-bromo-4-[(dimethylamino)methyl]-5-hydroxy-1-methyl-2-[(phenylsulfanyl)methyl]-1H-indole-3-carboxylate", 8169 },
	{ "75V", "", "", ResidueType::NON_POLYMER, false, "N-{[(2S,3S)-3-(ETHOXYCARBONYL)OXIRAN-2-YL]CARBONYL}-L-ISOLEUCYL-L-ALANINE", 8170 },
	{ "75W", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-diazenyl]benzene-1-sulfonamide", 8171 },
	{ "75X", "", "", ResidueType::NON_POLYMER, false, "3-[2-amino-6-(cyclohexylmethoxy)-7H-purin-8-yl]-2-methylphenol", 8172 },
	{ "75Y", "", "", ResidueType::NON_POLYMER, false, "2-[2,5-bis(oxidanylidene)pyrrol-1-yl]-~{N}-(4-sulfamoylphenyl)ethanamide", 8173 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "N-[2-[5-(1H-benzimidazol-5-yl)-4H-1,2,4-triazol-3-yl]ethyl]-5-(4-fluorophenyl)-2,3-dihydroxybenzamide", 8174 },
	{ "760", "", "", ResidueType::NON_POLYMER, false, "9-(3-PHENYLMETHYLAMINO)-1,2,3,4-TETRAHYDROACRIDINE", 8175 },
	{ "761", "", "", ResidueType::NON_POLYMER, false, "3-(OXALYL-AMINO)-NAPHTHALENE-2-CARBOXYLIC ACID", 8176 },
	{ "762", "", "", ResidueType::NON_POLYMER, false, "3-{5-[AMINO(IMINIO)METHYL]-6-CHLORO-1H-BENZIMIDAZOL-2-YL}-1,1'-BIPHENYL-2-OLATE", 8177 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "5-(4-fluorophenyl)-2,3-dihydroxy-N-[3-(pyrrolo[3,2-c]pyridin-1-ylmethoxy)propyl]benzamide", 8178 },
	{ "765", "", "", ResidueType::NON_POLYMER, false, "5'-{1-[(3S)-3-amino-3-carboxypropyl]aziridin-1-ium-1-yl}-5'-deoxyadenosine", 8179 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "5-(4-fluorophenyl)-2,3-dihydroxy-N-(4-thieno[3,2-c]pyridin-2-ylbutyl)benzamide", 8180 },
	{ "767", "", "", ResidueType::NON_POLYMER, false, "N2-(3-(dimethylamino)propyl)-6,7-dimethoxy-N4,N4-dimethylquinazoline-2,4-diamine", 8181 },
	{ "768", "", "", ResidueType::NON_POLYMER, false, "(2R)-1-(2,4-dichlorophenoxy)-3-[(2E)-2-imino-3-(2-piperidin-1-ylethyl)-2,3-dihydro-1H-benzimidazol-1-yl]propan-2-ol", 8182 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "5-(4-fluorophenyl)-2,3-dihydroxy-N-[(E)-5-pyrrolo[3,2-c]pyridin-1-ylpent-3-enyl]benzamide", 8183 },
	{ "76A", "", "", ResidueType::NON_POLYMER, false, "3-(4'-HYDROXYBIPHENYL-4-YL)-N-(4-HYDROXYCYCLOHEXYL)-1,4-DIHYDROINDENO[1,2-C]PYRAZOLE-6-CARBOXAMIDE", 8184 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "5-(4-fluorophenyl)-2,3-dihydroxy-N-[2-[5-(2-methylpyridin-4-yl)-4H-1,2,4-triazol-3-yl]ethyl]benzamide", 8185 },
	{ "76C", "", "", ResidueType::NON_POLYMER, false, "2,4-bis(azanyl)-6-[[(1~{S})-1-[5-chloranyl-3-(5-fluoranyl-4-methyl-pyridin-3-yl)-4-oxidanylidene-quinazolin-2-yl]ethyl]amino]pyrimidine-5-carbonitrile", 8186 },
	{ "76D", "", "", ResidueType::NON_POLYMER, false, "2,4,6-tri(propan-2-yl)benzoic acid", 8187 },
	{ "76E", "", "", ResidueType::NON_POLYMER, false, "2-CHLORO-6-FLUORO-N-[4-[3-(TRIFLUOROMETHYL)PHENYL]SULFONYL-3,5-DIHYDRO-2H-1,4-BENZOXAZEPIN-7-YL]BENZAMIDE", 8188 },
	{ "76G", "", "", ResidueType::NON_POLYMER, false, "5-(4-fluorophenyl)-2,3-dihydroxy-N-(4-thieno[2,3-c]pyridin-2-ylbutyl)benzamide", 8189 },
	{ "76H", "", "", ResidueType::NON_POLYMER, false, "[(2~{S},5~{R})-1-[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]-5-azaniumyl-6-oxidanyl-6-oxidanylidene-hexan-2-yl]-propyl-azanium", 8190 },
	{ "76J", "", "", ResidueType::NON_POLYMER, false, "[(2~{S},5~{S})-1-[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]-5-azaniumyl-6-oxidanyl-6-oxidanylidene-hexan-2-yl]-pentyl-azanium", 8191 },
	{ "76K", "", "", ResidueType::NON_POLYMER, false, "[(2~{S},5~{R})-1-[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]-5-azaniumyl-6-oxidanyl-6-oxidanylidene-hexan-2-yl]-(3-oxidanylpropyl)azanium", 8192 },
	{ "76L", "", "", ResidueType::NON_POLYMER, false, "[(2~{S},5~{R})-1-[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]-5-azaniumyl-6-oxidanyl-6-oxidanylidene-hexan-2-yl]-[(2~{R})-2-oxidanylpropyl]azanium", 8193 },
	{ "76M", "", "", ResidueType::NON_POLYMER, false, "[(2~{S},5~{R})-1-[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]-5-azaniumyl-6-oxidanyl-6-oxidanylidene-hexan-2-yl]-(2-methylpropyl)azanium", 8194 },
	{ "76O", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},5~{S})-1-[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]-5-azaniumyl-6-oxidanyl-6-oxidanylidene-hexan-2-yl]-(phenylmethyl)azanium", 8195 },
	{ "76P", "", "", ResidueType::NON_POLYMER, false, "~{N},~{N}-dimethyl-4-(6-nitroquinazolin-4-yl)oxy-cyclohexan-1-amine", 8196 },
	{ "76Q", "", "", ResidueType::NON_POLYMER, false, "5-[3-(3,5-dimethylphenyl)-4-[4-(methylamino)butyl]quinolin-6-yl]pyridin-3-ol", 8197 },
	{ "76R", "", "", ResidueType::NON_POLYMER, false, "[3,3',3'',3'''-(3,8,13,17-tetramethylporphyrin-2,7,12,18-tetrayl-kappa~4~N~21~,N~22~,N~23~,N~24~)tetra(propanoato)(2-)]manganese", 8198 },
	{ "76S", "", "", ResidueType::NON_POLYMER, false, "5-(4-fluorophenyl)-2,3-dihydroxy-N-[2-(3-pyridin-4-yl-1H-1,2,4-triazol-5-yl)ethyl]benzamide", 8199 },
	{ "76T", "", "", ResidueType::NON_POLYMER, false, "5-(4-fluorophenyl)-2,3-dihydroxy-N-[[3-[(1H-indazol-5-ylamino)methyl]phenyl]methyl]benzamide", 8200 },
	{ "76U", "", "", ResidueType::NON_POLYMER, false, "(4S)-5-fluoro-4-[({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methyl)amino]pentanoic acid", 8201 },
	{ "76V", "", "", ResidueType::NON_POLYMER, false, "N-{[(2S,3S)-3-(ETHOXYCARBONYL)OXIRAN-2-YL]CARBONYL}-L-ISOLEUCYL-L-ISOLEUCINE", 8202 },
	{ "76X", "", "", ResidueType::NON_POLYMER, false, "pyridine-2,3-diamine", 8203 },
	{ "76Y", "", "", ResidueType::NON_POLYMER, false, "1-[(2-chlorophenyl)methyl]pyrrole-2-carboxamide", 8204 },
	{ "76Z", "", "", ResidueType::NON_POLYMER, false, "10-(3-methyl-3-oxidanyl-but-1-ynyl)-5,6-dihydroimidazo[1,2-d][1,4]benzoxazepine-2-carboxamide", 8205 },
	{ "770", "", "", ResidueType::NON_POLYMER, false, "N-[4-(2-CHLOROPHENYL)-1,3-DIOXO-1,2,3,6-TETRAHYDROPYRROLO[3,4-C]CARBAZOL-9-YL]FORMAMIDE", 8206 },
	{ "771", "", "", ResidueType::NON_POLYMER, false, "4-(4-BENZYLOXY-2-METHANESULFONYLAMINO-5-METHOXY-BENZYLAMINO)-BENZAMIDINE", 8207 },
	{ "772", "", "", ResidueType::NON_POLYMER, false, "2-CYANOQUINOLIN-8-YL DIHYDROGEN PHOSPHATE", 8208 },
	{ "773", "", "", ResidueType::NON_POLYMER, false, "CETHROMYCIN", 8209 },
	{ "774", "", "", ResidueType::NON_POLYMER, false, "6,7-dihydrothieno[4,5]oxepino[1,2-~{c}]pyridine-2-carboxamide", 8210 },
	{ "775", "", "", ResidueType::NON_POLYMER, false, "2-[(4-chlorobenzyl)amino]-7-oxo-5-propyl-4,7-dihydropyrazolo[1,5-a]pyrimidine-3-carbonitrile", 8211 },
	{ "777", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},4~{R},5~{R})-5-(2-azanyl-6-oxidanylidene-3~{H}-purin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methoxy-~{N}-ethyl-phosphonamidic acid", 8212 },
	{ "778", "", "", ResidueType::NON_POLYMER, false, "4-[(5-{[4-(3-CHLOROPHENYL)-3-OXOPIPERAZIN-1-YL]METHYL}-1H-IMIDAZOL-1-YL)METHYL]BENZONITRILE", 8213 },
	{ "779", "", "", ResidueType::NON_POLYMER, false, "1-[(1R,3S)-3-{[(2E,4R)-4-(2-cyclohexylethyl)-2-imino-1-methyl-5-oxoimidazolidin-4-yl]methyl}cyclohexyl]-3-phenylurea", 8214 },
	{ "77A", "", "", ResidueType::NON_POLYMER, false, "1-(5-CHLORO-2-METHOXYPHENYL)-3-{6-[2-(DIMETHYLAMINO)-1-METHYLETHOXY]PYRAZIN-2-YL}UREA", 8215 },
	{ "77B", "", "", ResidueType::NON_POLYMER, false, "BENZYL N-({(2S,3S)-3-[(BENZYLAMINO)CARBONYL]OXIRAN-2-YL}CARBONYL)-L-ISOLEUCYL-L-PROLINATE", 8216 },
	{ "77C", "", "", ResidueType::NON_POLYMER, false, "2,4-diamino-6-{[(S)-[5-chloro-8-fluoro-4-oxo-3-(pyridin-3-yl)-3,4-dihydroquinazolin-2-yl](cyclopropyl)methyl]amino}pyrimidine-5-carbonitrile", 8217 },
	{ "77D", "", "", ResidueType::NON_POLYMER, false, "2-[(2-fluoro-4-iodophenyl)amino]-5,5-dimethyl-8-oxo-N-[(3R)-piperidin-3-yl]-5,6,7,8-tetrahydro-4H-thieno[2,3-c]azepine-3-carboxamide", 8218 },
	{ "77E", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-amino-6-{3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}hexanoic acid", 8219 },
	{ "77F", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3R)-4-{(cyclohexylmethyl)[(4-methoxyphenyl)sulfonyl]amino}-3-hydroxy-1-phenylbutan-2-yl]-3-hydroxybenzamide", 8220 },
	{ "77G", "", "", ResidueType::NON_POLYMER, false, "N-[5-(6-aminopurin-9-yl)pentyl]-5-(4-fluorophenyl)-2,3-dihydroxybenzamide", 8221 },
	{ "77H", "", "", ResidueType::NON_POLYMER, false, "N-[5-(2-aminopurin-9-yl)pentyl]-5-(4-fluorophenyl)-2,3-dihydroxybenzamide", 8222 },
	{ "77J", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-3-[(6-oxo-4-phenyl-1,6-dihydropyrimidin-2-yl)sulfanyl]propanamide", 8223 },
	{ "77K", "", "", ResidueType::NON_POLYMER, false, "5-(4-fluorophenyl)-2,3-dihydroxy-N-[(1-methylimidazol-4-yl)methyl]benzamide", 8224 },
	{ "77L", "", "", ResidueType::NON_POLYMER, false, "5-(4-fluorophenyl)-2,3-dihydroxy-N-(2-hydroxyethyl)benzamide", 8225 },
	{ "77M", "", "", ResidueType::NON_POLYMER, false, "N-[2-[2-(3,4-dihydroxyphenyl)-2-oxoethyl]sulfanylethyl]-5-(4-fluorophenyl)-2,3-dihydroxybenzamide", 8226 },
	{ "77N", "", "", ResidueType::NON_POLYMER, false, "N-[2-[2-(6-aminopurin-9-yl)ethoxy]ethyl]-5-(4-fluorophenyl)-2,3-dihydroxybenzamide", 8227 },
	{ "77O", "", "", ResidueType::NON_POLYMER, false, "6-chloro-N-[(furan-2-yl)methyl]pyrazin-2-amine", 8228 },
	{ "77P", "", "", ResidueType::NON_POLYMER, false, "N-[2-[[5-(4-fluorophenyl)-2,3-dihydroxybenzoyl]amino]ethyl]-6-hydroxypyrimidine-4-carboxamide", 8229 },
	{ "77Q", "", "", ResidueType::NON_POLYMER, false, "5-(4-fluorophenyl)-2,3-dihydroxy-N-(5-pyrrolo[3,2-c]pyridin-1-ylpentyl)benzamide", 8230 },
	{ "77R", "", "", ResidueType::NON_POLYMER, false, "5-(4-fluorophenyl)-2,3-dihydroxy-N-(5-imidazol-1-ylpentyl)benzamide", 8231 },
	{ "77S", "", "", ResidueType::NON_POLYMER, false, "N-[2-(5-benzyl-1H-1,2,4-triazol-3-yl)ethyl]-5-(4-fluorophenyl)-2,3-dihydroxybenzamide", 8232 },
	{ "77T", "", "", ResidueType::NON_POLYMER, false, "2-fluoro-4-[(2S,3S)-3-hydroxy-2,3-dimethylpyrrolidin-1-yl]-3-methylbenzonitrile", 8233 },
	{ "77U", "", "", ResidueType::NON_POLYMER, false, "2-chloro-4-[(2S,3S)-3-hydroxy-2-methylpyrrolidin-1-yl]-3-methylbenzonitrile", 8234 },
	{ "77V", "", "", ResidueType::NON_POLYMER, false, "N~4~-cyclopropyl-N~2~-(3-methyl-1H-indazol-6-yl)furo[3,2-d]pyrimidine-2,4-diamine", 8235 },
	{ "77W", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-{4-[(1R)-2-(4-fluorophenyl)-6-hydroxy-1-methyl-1,2,3,4-tetrahydroisoquinolin-1-yl]phenyl}prop-2-enoic acid", 8236 },
	{ "77X", "", "", ResidueType::NON_POLYMER, false, "1-(3-phenyl-1,4,6,7-tetrahydropyrazolo[4,3-c]pyridin-5-yl)propan-1-one", 8237 },
	{ "77Y", "", "", ResidueType::DNA_LINKING, false, "", 8238 },
	{ "77Z", "", "", ResidueType::NON_POLYMER, false, "2-({(3R)-3-[(3S)-1-(3-methylbutyl)-2,4-dioxo-1,2,3,4-tetrahydroquinolin-3-yl]-1,1-dioxido-3,4-dihydro-2H-1,2,4-benzothiadiazin-7-yl}oxy)acetamide", 8239 },
	{ "780", "", "", ResidueType::NON_POLYMER, false, "3-{5-[AMINO(IMINIO)METHYL]-1H-BENZIMIDAZOL-2-YL}-1,1'-BIPHENYL-2-OLATE", 8240 },
	{ "781", "", "", ResidueType::NON_POLYMER, false, "N-(5-hydroxynaphthalen-2-yl)propanamide", 8241 },
	{ "782", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(4-{(1R)-6-hydroxy-1-methyl-2-[4-(propan-2-yl)phenyl]-1,2,3,4-tetrahydroisoquinolin-1-yl}phenyl)prop-2-enoic acid", 8242 },
	{ "783", "", "", ResidueType::NON_POLYMER, false, "3-{5-[AMINO(IMINIO)METHYL]-1H-INDOL-2-YL}-5-METHOXY-1,1'-BIPHENYL-2-OLATE", 8243 },
	{ "784", "", "", ResidueType::NON_POLYMER, false, "[AMINO (4-{(3AS,4R,8AS,8BR)-1,3-DIOXO-2- [3-(TRIMETHYLAMMONIO) PROPYL]DECAHYDROPYRROLO[3,4-A] PYRROLIZIN-4-YL}PHENYL) METHYLENE]AMMONIUM", 8244 },
	{ "785", "", "", ResidueType::NON_POLYMER, false, "2-{5-[AMINO(IMINIO)METHYL]-1H-BENZIMIDAZOL-2-YL}-4-(TRIFLUOROMETHOXY)BENZENOLATE", 8245 },
	{ "786", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-2,3-dihydroxy-4-{(2R)-2-[2-(methylamino)-5-(methylsulfonyl)-1,3-thiazol-4-yl]pyrrolidin-1-yl}-4-oxo-N-{(1R)-1-[4-(1H-pyrazol-1-yl)phenyl]ethyl}butanamide", 8246 },
	{ "787", "", "", ResidueType::NON_POLYMER, false, "(PHENYL-PHOSPHONO-METHYL)-PHOSPHONIC ACID", 8247 },
	{ "788", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-4-methyl-1-phenyl[1,2,4]triazolo[4,3-a]quinoxaline-8-carboxamide", 8248 },
	{ "789", "", "", ResidueType::NON_POLYMER, false, "3-BROMO-6-HYDROXY-2-(4-HYDROXYPHENYL)-1H-INDEN-1-ONE", 8249 },
	{ "78A", "", "", ResidueType::NON_POLYMER, false, "N-({(2S,3S)-3-[(BENZYLAMINO)CARBONYL]OXIRAN-2-YL}CARBONYL)-L-ISOLEUCYL-L-PROLINE", 8250 },
	{ "78B", "", "", ResidueType::NON_POLYMER, false, "ethyl 4-(aminomethyl)benzoate", 8251 },
	{ "78C", "", "", ResidueType::NON_POLYMER, false, "CYCLOPENTYL 2-OXO-4-PHENYLAZETIDINE-1-CARBOXYLATE", 8252 },
	{ "78D", "", "", ResidueType::NON_POLYMER, false, "(6E,8E)-11-{[(3S)-hexahydropyridazine-3-carbonyl]oxy}undeca-6,8-dienoic acid", 8253 },
	{ "78E", "", "", ResidueType::PEPTIDE_LIKE, false, "3-[(3-hydroxyphenyl)methyl]-6-(propan-2-yl)-19-oxa-1,4,7,25-tetraazabicyclo[19.3.1]pentacosa-13,15-diene-2,5,8,20-tetrone", 8254 },
	{ "78F", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S,5S,6E,8E)-11-{[(3S)-hexahydropyridazine-3-carbonyl]oxy}-3,5-dimethoxy-2,4-dimethylundeca-6,8-dienoic acid", 8255 },
	{ "78G", "", "", ResidueType::NON_POLYMER, false, "", 8256 },
	{ "78H", "", "", ResidueType::NON_POLYMER, false, "7,8-DIHYDROPTEROATE", 8257 },
	{ "78J", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-3-(cyclohexylmethoxy)piperidin-4-yl]amino}-3-methyl-1,2-dihydro-1,7-naphthyridin-2-one", 8258 },
	{ "78K", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-4-[[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methyl-[[4-azanyl-1-(methoxymethyl)-2-oxidanylidene-pyrimidin-5-yl]methyl]amino]-2-azanyl-butanoic acid", 8259 },
	{ "78L", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2,4-bis(fluoranyl)-5-[[9-(2-morpholin-4-ylethylcarbamoyl)-11-oxidanylidene-5,6-dihydrodibenzo[1,2-~{d}:1',2'-~{f}][7]annulen-3-yl]amino]phenyl]thiophene-2-carboxamide", 8260 },
	{ "78M", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,3-DIHYDROXYPROPYL(7Z)-PENTADEC-7-ENOATE", 8261 },
	{ "78N", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,3-DIHYDROXYPROPYL(7Z)-PENTADEC-7-ENOATE", 8262 },
	{ "78O", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,6E)-7-{3-[(1R)-1-{[(3S)-hexahydropyridazine-3-carbonyl]oxy}ethyl]phenyl}-3-methoxy-2-methylhept-6-enoic acid", 8263 },
	{ "78P", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(7-carbamoyl-1H-benzimidazol-2-yl)-2-methylpyrrolidinium", 8264 },
	{ "78Q", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,6E)-7-[3-({[(3S)-hexahydropyridazine-3-carbonyl]oxy}methyl)phenyl]-3-methoxy-2-methylhept-6-enoic acid", 8265 },
	{ "78R", "", "", ResidueType::PEPTIDE_LIKE, false, "11-[(3-hydroxyphenyl)methyl]-18-methoxy-17-methyl-14-(propan-2-yl)-3-oxa-9,12,15,28-tetraazatricyclo[21.3.1.1~5,9~]octacosa-1(27),21,23,25-tetraene-4,10,13,16-tetrone", 8266 },
	{ "78S", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-dimethoxyphosphoryloxy-2-[(2Z,6E)-3,7,11-trimethyldodeca-2,6,10-trienoxy]propanoic acid", 8267 },
	{ "78T", "", "", ResidueType::NON_POLYMER, false, "oxidanylphosphinate", 8268 },
	{ "78U", "", "", ResidueType::NON_POLYMER, false, "(betaS)-beta-methyl-L-tryptophan", 8269 },
	{ "78V", "", "", ResidueType::NON_POLYMER, false, "4-[2-[[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methylamino]ethylamino]-1-(methoxymethyl)pyrimidin-2-one", 8270 },
	{ "78W", "", "", ResidueType::NON_POLYMER, false, "", 8271 },
	{ "78X", "", "", ResidueType::PEPTIDE_LIKE, false, "11-[(3-hydroxyphenyl)methyl]-18-methoxy-2,17-dimethyl-14-(propan-2-yl)-3-oxa-9,12,15,28-tetraazatricyclo[21.3.1.1~5,9~]octacosa-1(27),21,23,25-tetraene-4,10,13,16-tetrone", 8272 },
	{ "78Y", "", "", ResidueType::NON_POLYMER, false, "5-methyl-2-phenyl-1,2,3-triazole-4-carboxamide", 8273 },
	{ "78Z", "", "", ResidueType::NON_POLYMER, false, "2-(1,1-difluoroethyl)-5-methyl-N-[6-(trifluoromethyl)pyridin-3-yl][1,2,4]triazolo[1,5-a]pyrimidin-7-amine", 8274 },
	{ "790", "", "", ResidueType::NON_POLYMER, false, "1,2,3,4-TETRAHYDROQUINOLIN-8-YL DIHYDROGEN PHOSPHATE", 8275 },
	{ "791", "", "", ResidueType::NON_POLYMER, false, "2-PHENYLMALONIC ACID", 8276 },
	{ "792", "", "", ResidueType::NON_POLYMER, false, "N-{[4-(but-2-yn-1-yloxy)phenyl]sulfonyl}-5-methyl-D-tryptophan", 8277 },
	{ "793", "", "", ResidueType::NON_POLYMER, false, "3-{[(1R)-1-phenylethyl]amino}-4-(pyridin-4-ylamino)cyclobut-3-ene-1,2-dione", 8278 },
	{ "794", "", "", ResidueType::NON_POLYMER, false, "2-[(CARBOXYCARBONYL)(1-NAPHTHYL)AMINO]BENZOIC ACID", 8279 },
	{ "795", "", "", ResidueType::NON_POLYMER, false, "2-(pyridin-3-yl)-1,3-thiazole-4-carbaldehyde", 8280 },
	{ "796", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-2-AMINO-1-(2,4-DICHLOROBENZYL)ETHYL]-5-[2-(METHYLAMINO)PYRIMIDIN-4-YL]THIOPHENE-2-CARBOXAMIDE", 8281 },
	{ "797", "", "", ResidueType::NON_POLYMER, false, "3-(6-HYDROXY-NAPHTHALEN-2-YL)-BENZO[D]ISOOXAZOL-6-OL", 8282 },
	{ "798", "", "", ResidueType::NON_POLYMER, false, "{4-[(2R)-pyrrolidin-2-ylmethoxy]phenyl}(4-thiophen-3-ylphenyl)methanone", 8283 },
	{ "799", "", "", ResidueType::NON_POLYMER, false, "2-methyl-2-(4-{2-[3-methyl-1-(propan-2-yl)-1H-1,2,4-triazol-5-yl]-5,6-dihydroimidazo[1,2-d][1,4]benzoxazepin-9-yl}-1H-pyrazol-1-yl)propanamide", 8284 },
	{ "79A", "", "", ResidueType::NON_POLYMER, false, "3-{[(1S)-2,2-difluoro-1-hydroxy-7-(methylsulfonyl)-2,3-dihydro-1H-inden-4-yl]oxy}-5-fluorobenzonitrile", 8285 },
	{ "79B", "", "", ResidueType::NON_POLYMER, false, "11-[(2~{R})-2-[(2-pyridin-3-ylquinazolin-4-yl)amino]-2,3-dihydro-1~{H}-inden-5-yl]undec-10-ynoic acid", 8286 },
	{ "79C", "", "", ResidueType::NON_POLYMER, false, "4-[(9-cyclopentyl-7,7-difluoro-5-methyl-6-oxo-6,7,8,9-tetrahydro-5H-pyrimido[4,5-b][1,4]diazepin-2-yl)amino]-3-methoxy-N-(1-methylpiperidin-4-yl)benzamide", 8287 },
	{ "79D", "", "", ResidueType::NON_POLYMER, false, "4-{[(6R)-7-cyano-5-cyclopentyl-6-ethyl-5,6-dihydroimidazo[1,5-f]pteridin-3-yl]amino}-3-methoxy-N-(1-methylpiperidin-4-yl)benzamide", 8288 },
	{ "79E", "", "", ResidueType::NON_POLYMER, false, "JC96", 8289 },
	{ "79F", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-4-methyl-2-[[(2~{S})-3-oxidanyl-2-[[oxidanyl(phenylmethoxycarbonylaminomethyl)phosphoryl]amino]propanoyl]amino]pentanoic acid", 8290 },
	{ "79G", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-amino-N-[(2S,3S)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino}-1-phenylbutan-2-yl]-3,4-dihydro-2H-chromene-6-carboxamide", 8291 },
	{ "79H", "", "", ResidueType::NON_POLYMER, false, "5-[1-[2-(dimethylamino)ethyl]pyrazol-4-yl]-7-oxidanylidene-6-propan-2-yl-6~{H}-pyrazolo[1,5-a]pyrimidine-3-carbonitrile", 8292 },
	{ "79J", "", "", ResidueType::NON_POLYMER, false, "4-O-acetyl-5-(acetylamino)-3,5-dideoxy-L-glycero-alpha-D-galacto-non-2-ulopyranosonic acid", 8293 },
	{ "79K", "", "", ResidueType::NON_POLYMER, false, "Vercirnon", 8294 },
	{ "79L", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-3-(4-methoxyphenyl)-~{N}-[(2~{S},3~{S},4~{R})-4-methyl-3,5-bis(oxidanyl)-1-phenyl-pentan-2-yl]-2-[[(2~{R})-2-(2-morpholin-4-ylethanoylamino)propanoyl]amino]propanamide", 8295 },
	{ "79M", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,3-dihydroxypropyl (7Z)-hexadec-7-enoate", 8296 },
	{ "79N", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,3-dihydroxypropyl (7Z)-hexadec-7-enoate", 8297 },
	{ "79O", "", "", ResidueType::NON_POLYMER, false, "8-bromo-2-(2-chlorophenyl)[1]benzofuro[3,2-d]pyrimidin-4(3H)-one", 8298 },
	{ "79P", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-3-(1~{H}-indol-3-yl)-~{N}-[(2~{S},3~{S},4~{R})-4-methyl-3,5-bis(oxidanyl)-1-phenyl-pentan-2-yl]-2-[[(2~{R})-2-(2-morpholin-4-ylethanoylamino)propanoyl]amino]propanamide", 8299 },
	{ "79Q", "", "", ResidueType::NON_POLYMER, false, "3-[(3-benzamido-4-fluoranyl-phenyl)amino]-~{N}-(2-morpholin-4-ylethyl)-11-oxidanylidene-5,6-dihydrodibenzo[1,2-~{d}:1',2'-~{f}][7]annulene-9-carboxamide", 8300 },
	{ "79R", "", "", ResidueType::NON_POLYMER, false, "(~{Z})-2-cyano-~{N},~{N}-dimethyl-3-[5-[3-[(1~{S},2~{R})-2-methylcyclohexyl]-3,5,8,10-tetrazatricyclo[7.3.0.0^{2,6}]dodeca-1,4,6,8,11-pentaen-4-yl]furan-2-yl]prop-2-enamide", 8301 },
	{ "79S", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-cyano-~{N},~{N}-dimethyl-3-[5-[3-[(1~{S},2~{R})-2-methylcyclohexyl]-3,5,8,10-tetrazatricyclo[7.3.0.0^{2,6}]dodeca-1,4,6,8,11-pentaen-4-yl]furan-2-yl]propanamide", 8302 },
	{ "79T", "", "", ResidueType::NON_POLYMER, false, "2-cyano-3-[5-(3-cyclohexyl-3,5,8,10-tetrazatricyclo[7.3.0.0^{2,6}]dodeca-1,4,6,8,11-pentaen-4-yl)furan-2-yl]-~{N},~{N}-dimethyl-prop-2-enamide", 8303 },
	{ "79U", "", "", ResidueType::NON_POLYMER, false, "4-[3-[2-chloranyl-6-(trifluoromethyl)phenoxy]-5-(dimethylcarbamoyl)indazol-1-yl]benzoic acid", 8304 },
	{ "79V", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,4R)-3-(2'-fluoro[1,1'-biphenyl]-4-yl)-4-(hydroxymethyl)azetidine-2-carbonitrile", 8305 },
	{ "79W", "", "", ResidueType::NON_POLYMER, false, "3-[(2S)-1,1-DIOXIDO-4-OXOTETRAHYDROTHIOPHEN-2-YL]BENZALDEHYDE", 8306 },
	{ "79X", "", "", ResidueType::NON_POLYMER, false, "2-hydroxy-8,9-dimethoxy-6H-isoindolo[2,1-a]indol-6-one", 8307 },
	{ "79Y", "", "", ResidueType::NON_POLYMER, false, "N-(2-{4-[(2S)-4-(methylsulfonyl)morpholin-2-yl]-1,3-thiazol-2-yl}phenyl)-1H-imidazole-2-carboxamide", 8308 },
	{ "79Z", "", "", ResidueType::NON_POLYMER, false, "5-cyclopropyl-2-(4-fluorophenyl)-6-[(2-hydroxyethyl)(methylsulfonyl)amino]-N-methyl-1-benzofuran-3-carboxamide", 8309 },
	{ "7A0", "", "", ResidueType::NON_POLYMER, false, "", 8310 },
	{ "7A1", "", "", ResidueType::NON_POLYMER, false, "6-[4-[(6-azanylpyridin-3-yl)methylcarbamoylamino]-3-fluoranyl-phenyl]-2-(ethylamino)-~{N}-(2-piperidin-1-ylethyl)pyridine-3-carboxamide", 8311 },
	{ "7A2", "", "", ResidueType::NON_POLYMER, false, "3-C-carboxy-2-deoxy-L-threo-pentaric acid", 8312 },
	{ "7A3", "", "", ResidueType::NON_POLYMER, false, "3-C-carboxy-2-deoxy-D-erythro-pentaric acid", 8313 },
	{ "7A4", "", "", ResidueType::NON_POLYMER, false, "[(1Z)-5-fluoro-2-methyl-1-{[4-(propan-2-yl)phenyl]methylidene}-1H-inden-3-yl]acetic acid", 8314 },
	{ "7A5", "", "", ResidueType::NON_POLYMER, false, "(8S)-2-[(3R)-3-methylmorpholin-4-yl]-9-(3-methyl-2-oxobutyl)-8-(trifluoromethyl)-6,7,8,9-tetrahydro-4H-pyrimido[1,2-a]pyrimidin-4-one", 8315 },
	{ "7A6", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,4R,5S)-2-(4-amino-5H-pyrrolo[3,2-d]pyrimidin-7-yl)-5-[(propylsulfanyl)methyl]pyrrolidine-3,4-diol", 8316 },
	{ "7A7", "", "", ResidueType::NON_POLYMER, false, "methyl 9-[(2-fluoranyl-4-methoxy-phenyl)amino]-[1,3]thiazolo[5,4-f]quinazoline-2-carboximidate", 8317 },
	{ "7A8", "", "", ResidueType::NON_POLYMER, false, "(1R)-DIMETHYL-(4-METHYL-CYCLOHEX-3-ENYL)-AMINE", 8318 },
	{ "7A9", "", "", ResidueType::NON_POLYMER, false, "palonosetron", 8319 },
	{ "7AA", "", "", ResidueType::NON_POLYMER, false, "methyl 9-[(2,4-dichlorophenyl)amino]-[1,3]thiazolo[5,4-f]quinazoline-2-carboximidate", 8320 },
	{ "7AB", "", "", ResidueType::NON_POLYMER, false, "(2E)-{(4E)-4-[(3E)-4-(2,6,6-trimethylcyclohex-1-en-1-yl)but-3-en-2-ylidene]cyclohex-2-en-1-ylidene}acetaldehyde", 8321 },
	{ "7AC", "", "", ResidueType::NON_POLYMER, false, "7-(aminomethyl)-6-(2-chlorophenyl)-1-methyl-1H-benzimidazole-5-carbonitrile", 8322 },
	{ "7AD", "", "", ResidueType::NON_POLYMER, false, "9-AMINO-N-[3-(DIMETHYLAMINO)PROPYL]ACRIDINE-4-CARBOXAMIDE", 8323 },
	{ "7AE", "", "", ResidueType::NON_POLYMER, false, "N-[2-{4-[(2S)-4-(methylsulfonyl)morpholin-2-yl]-1,3-thiazol-2-yl}-4-(morpholin-4-yl)phenyl]-1H-imidazole-2-carboxamide", 8324 },
	{ "7AF", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{S})-1-[[(2~{S})-2,3-dimethylbutyl]amino]-4-methyl-1-oxidanylidene-pentan-2-yl]-(phenylmethoxycarbonylaminomethyl)phosphonamidic acid", 8325 },
	{ "7AG", "", "", ResidueType::NON_POLYMER, false, "~{N}'-(3-aminocarbonylphenyl)-~{N}-[[1-[(2~{R})-2-phenylpropyl]-1,2,3-triazol-4-yl]methyl]pentanediamide", 8326 },
	{ "7AH", "", "", ResidueType::NON_POLYMER, false, "2-(4-fluorophenyl)-N-(3-piperidin-4-yl-1H-indol-5-yl)ethanamide", 8327 },
	{ "7AJ", "", "", ResidueType::NON_POLYMER, false, "4-chloro-2-{5,6-dimethoxy-1-[2-(4-methylpiperazin-1-yl)ethyl]-1H-indol-3-yl}-1H-pyrrolo[2,3-b]pyridine", 8328 },
	{ "7AK", "", "", ResidueType::NON_POLYMER, false, "(+)-Discodermolide", 8329 },
	{ "7AL", "", "", ResidueType::NON_POLYMER, false, "Chlorolissoclimide", 8330 },
	{ "7AM", "", "", ResidueType::NON_POLYMER, false, "[[(2~{S})-2-[[6-(4-methylphenyl)thieno[2,3-d]pyrimidin-4-yl]amino]-3-phenyl-propanoyl]amino]phosphonic acid", 8331 },
	{ "7AN", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-(1~{H}-indol-3-yl)ethyl]ethanamide", 8332 },
	{ "7AO", "", "", ResidueType::NON_POLYMER, false, "", 8333 },
	{ "7AP", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-1-(2,4-DIAMINOPTERIDIN-6-YL)PROPANE-1,2-DIOL", 8334 },
	{ "7AR", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(5,6-dichloro-1,3-dioxo-1,3-dihydro-2H-isoindol-2-yl)-3-phenylpropanoic acid", 8335 },
	{ "7AS", "", "", ResidueType::NON_POLYMER, false, "4-fluoro-N-{1-[(Z)-iminomethyl]cyclopropyl}-N~2~-{(1S)-2,2,2-trifluoro-1-[4'-(methylsulfonyl)[1,1'-biphenyl]-4-yl]ethyl}-L-leucinamide", 8336 },
	{ "7AT", "", "", ResidueType::RNA_LINKING, false, "1-(5-O-phosphono-beta-D-ribofuranosyl)-3-(1H-1,2,3-triazol-5-yl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 8337 },
	{ "7AU", "", "", ResidueType::NON_POLYMER, false, "(4-{4-chloro-1-methyl-2-[4-(piperazin-1-yl)phenyl]-1H-pyrrolo[2,3-b]pyridin-3-yl}phenyl)methanol", 8338 },
	{ "7AV", "", "", ResidueType::NON_POLYMER, false, "{2-[(4-chlorophenyl)methoxy]phenyl}{5-[2-(methylamino)-1,3-thiazol-4-yl]-2,3-dihydro-1H-indol-1-yl}methanone", 8339 },
	{ "7AW", "", "", ResidueType::NON_POLYMER, false, "N~2~-(methyl{[2-(propan-2-yl)-1,3-thiazol-4-yl]methyl}carbamoyl)-N-[(2R,5S)-1-phenyl-5-{[(1,3-thiazol-5-ylmethoxy)carbonyl]amino}octan-2-yl]-L-valinamide", 8340 },
	{ "7AX", "", "", ResidueType::NON_POLYMER, false, "7-(2-(2-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)ethoxy)phenoxy)-2-naphthonitrile", 8341 },
	{ "7AY", "", "", ResidueType::NON_POLYMER, false, "5-chloro-7-(2-(2-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)ethoxy)phenoxy)-8-methyl-2-naphthonitrile", 8342 },
	{ "7AZ", "", "", ResidueType::NON_POLYMER, false, "phosphonato-calix[6]arene", 8343 },
	{ "7B0", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-6-azanyl-2-(sulfamoylamino)hexanoic acid", 8344 },
	{ "7B1", "", "", ResidueType::NON_POLYMER, false, "N-(5-sulfamoyl-1,3-benzoxazol-2-yl)benzamide", 8345 },
	{ "7B2", "", "", ResidueType::NON_POLYMER, false, "", 8346 },
	{ "7B3", "", "", ResidueType::NON_POLYMER, false, "4-methoxy-5,6,7-trimethyl-pyrrolo[3,4-d]pyridazine", 8347 },
	{ "7B4", "", "", ResidueType::NON_POLYMER, false, "4-chloranyl-5,6,7-trimethyl-pyrrolo[3,4-d]pyridazine", 8348 },
	{ "7B5", "", "", ResidueType::NON_POLYMER, false, "methyl (2R)-3-dimethoxyphosphoryloxy-2-[(2Z,6E)-3,7,11-trimethyldodeca-2,6,10-trienoxy]propanoate", 8349 },
	{ "7B6", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-6-azanyl-2-[[(2~{R})-1-[[(1~{R},2~{S},4~{S})-2-bicyclo[2.2.1]heptanyl]amino]-3-cyclohexyl-1-oxidanylidene-propan-2-yl]carbamoylamino]hexanoic acid", 8350 },
	{ "7B7", "", "", ResidueType::NON_POLYMER, false, "1-(4-aminobenzyl)-3-{2-[(2R)-2-(2-methoxyphenyl)pyrrolidin-1-yl]-2-oxoethyl}urea", 8351 },
	{ "7B8", "", "", ResidueType::NON_POLYMER, false, "3-[2-[4-[2-[[4-[(3-aminocarbonylphenyl)amino]-4-oxidanylidene-butanoyl]amino]ethyl]-1,2,3-triazol-1-yl]ethylsulfamoyl]benzoic acid", 8352 },
	{ "7B9", "", "", ResidueType::NON_POLYMER, false, "[5-hydroxy-4-({[6-(3-hydroxypropyl)-4-oxo-1,4-dihydropyridin-3-yl]amino}methyl)-6-methylpyridin-3-yl]methyl dihydrogen phosphate", 8353 },
	{ "7BA", "", "", ResidueType::NON_POLYMER, false, "Combretastatin A4", 8354 },
	{ "7BB", "", "", ResidueType::PEPTIDE_LIKE, false, "trans-4-({[(E)-1-amino-2-sulfanylethenyl](4-carboxybutyl)carbamoyl}oxy)cyclohexanecarboxylic acid", 8355 },
	{ "7BC", "", "", ResidueType::NON_POLYMER, false, "3-(acryloyloxy)propanoic acid", 8356 },
	{ "7BD", "", "", ResidueType::NON_POLYMER, false, "3-[(9H-fluoren-9-ylideneamino)oxy]propanoic acid", 8357 },
	{ "7BE", "", "", ResidueType::NON_POLYMER, false, "", 8358 },
	{ "7BF", "", "", ResidueType::NON_POLYMER, false, "5-[[(2~{R})-1-([1,2,4]triazolo[1,5-a]pyrimidin-7-yl)pyrrolidin-2-yl]methoxy]isoquinoline", 8359 },
	{ "7BG", "", "", ResidueType::DNA_LINKING, false, "2-amino-7-benzyl-9-(2-deoxy-2-fluoro-5-O-phosphono-beta-D-arabinofuranosyl)-6-oxo-6,9-dihydro-1H-purin-7-ium", 8360 },
	{ "7BH", "", "", ResidueType::NON_POLYMER, false, "6-[(2~{R})-2-[(2-methylphenoxy)methyl]pyrrolidin-1-yl]-7~{H}-purine", 8361 },
	{ "7BJ", "", "", ResidueType::NON_POLYMER, false, "3-[2-(4-fluoranylphenoxy)ethyl]-1,3-diazaspiro[4.5]decane-2,4-dione", 8362 },
	{ "7BK", "", "", ResidueType::NON_POLYMER, false, "2-fluoranyl-5-[2-[(4~{R})-4-methyl-2-oxidanylidene-4-phenyl-pyrrolidin-1-yl]ethoxy]benzenecarbonitrile", 8363 },
	{ "7BL", "", "", ResidueType::NON_POLYMER, false, "(4S,5E,8S,9E,11S,13E,15E,18R)-4-hydroxy-8-methoxy-9,11-dimethyl-18-[(1Z,4E)-2-methylhexa-1,4-dien-1-yl]oxacyclooctadeca-5,9,13,15-tetraen-2-one", 8364 },
	{ "7BN", "", "", ResidueType::NON_POLYMER, false, "", 8365 },
	{ "7BO", "", "", ResidueType::NON_POLYMER, true, "", 8366 },
	{ "7BP", "", "", ResidueType::NON_POLYMER, false, "5-[2-[(4~{S})-4-~{tert}-butyl-2-oxidanylidene-pyrrolidin-1-yl]ethoxy]-2-fluoranyl-benzenecarbonitrile", 8367 },
	{ "7BQ", "", "", ResidueType::NON_POLYMER, false, "", 8368 },
	{ "7BR", "", "", ResidueType::NON_POLYMER, false, "2-fluoranyl-5-[2-[(4~{S})-4-[4-methyl-1,1-bis(oxidanylidene)thian-4-yl]-2-oxidanylidene-pyrrolidin-1-yl]ethoxy]benzenecarbonitrile", 8369 },
	{ "7BS", "", "", ResidueType::NON_POLYMER, false, "(4S,5E,8S,9E,11S,13E,15E,18R)-8-methoxy-9,11-dimethyl-18-[(1Z,4E)-2-methylhexa-1,4-dien-1-yl]-2-oxooxacyclooctadeca-5,9,13,15-tetraen-4-yl 3-O-methyl-beta-D-glucopyranoside", 8370 },
	{ "7BT", "", "", ResidueType::NON_POLYMER, false, "(~{Z})-~{N}-[2-[(2~{R},3~{R},4~{R},5~{R},6~{R})-6-(hydroxymethyl)-3,4,5-tris(oxidanyl)oxan-2-yl]ethyl]-3-(3,4,5-trimethoxyphenyl)prop-2-enamide", 8371 },
	{ "7BU", "", "", ResidueType::NON_POLYMER, false, "[5,10,15,20-tetrakis(trifluoromethyl)porphyrinato(2-)-kappa~4~N~21~,N~22~,N~23~,N~24~]zinc", 8372 },
	{ "7BV", "", "", ResidueType::NON_POLYMER, false, "(4S)-2-[6-(azepan-1-yl)-1,3-benzothiazol-2-yl]-4,5-dihydro-1,3-thiazole-4-carboxylic acid", 8373 },
	{ "7BW", "", "", ResidueType::NON_POLYMER, false, "5-[2-(4,4-dimethyl-2-oxidanylidene-pyrrolidin-1-yl)ethoxy]-2-fluoranyl-benzenecarbonitrile", 8374 },
	{ "7BX", "", "", ResidueType::NON_POLYMER, false, "3-cyano-~{N}-cyclopropyl-benzenesulfonamide", 8375 },
	{ "7BY", "", "", ResidueType::NON_POLYMER, false, "N-(3-{[6,7-dimethoxy-2-(pyrrolidin-1-yl)quinazolin-4-yl]amino}propyl)propanamide", 8376 },
	{ "7BZ", "", "", ResidueType::NON_POLYMER, false, "N,N-dimethylboranamine", 8377 },
	{ "7C0", "", "", ResidueType::NON_POLYMER, false, "(1S)-6-amino-1-(3-chlorophenyl)hexyl hydrogen carbonate", 8378 },
	{ "7C1", "", "", ResidueType::NON_POLYMER, false, "4-(4-methyl-1,3-dioxo-1,3-dihydro-2H-isoindol-2-yl)benzenecarboximidamide", 8379 },
	{ "7C2", "", "", ResidueType::NON_POLYMER, false, "(6R)-1-aminoundecan-6-yl hydrogen carbonate", 8380 },
	{ "7C3", "", "", ResidueType::NON_POLYMER, false, "6-azanyl-2-oxidanylidene-hexanoic acid", 8381 },
	{ "7C4", "", "", ResidueType::NON_POLYMER, false, "", 8382 },
	{ "7C5", "", "", ResidueType::NON_POLYMER, false, "5'-O-(2-amino-4-oxo-1,4-dihydropteridine-6-carbonyl)adenosine", 8383 },
	{ "7C6", "", "", ResidueType::NON_POLYMER, false, "(3S,3aS,9bS)-2-[(2H-1,3-benzodioxol-5-yl)sulfonyl]-3,5-dimethyl-1,2,3,3a,5,9b-hexahydro-4H-pyrrolo[3,4-c][1,6]naphthyridin-4-one", 8384 },
	{ "7C7", "", "", ResidueType::PEPTIDE_LIKE, false, "N,N-diethyl-N~2~-(3-phenylpropanoyl)-L-asparaginyl-O-methyl-N-[(naphthalen-1-yl)methyl]-L-serinamide", 8385 },
	{ "7C8", "", "", ResidueType::NON_POLYMER, false, "", 8386 },
	{ "7C9", "", "", ResidueType::PEPTIDE_LINKING, false, "O-methyl-L-serine", 8387 },
	{ "7CA", "", "", ResidueType::NON_POLYMER, false, "5,7-DIHYDROXY-2-(4-METHOXYPHENYL)-8-(3-METHYLBUTYL)-4-OXO-4H-CHROMEN-3-YL 6-DEOXY-ALPHA-L-MANNOPYRANOSIDE", 8388 },
	{ "7CB", "", "", ResidueType::NON_POLYMER, false, "isoquinoline-5-sulfonamide", 8389 },
	{ "7CC", "", "", ResidueType::PEPTIDE_LINKING, false, "N,N-diethyl-L-asparagine", 8390 },
	{ "7CD", "", "", ResidueType::NON_POLYMER, false, "1-(naphthalen-1-yl)methanamine", 8391 },
	{ "7CE", "", "", ResidueType::NON_POLYMER, false, "N-(2-methoxyphenyl)-2-(1,3-oxazol-5-yl)-1H-pyrrolo[3,2-c]pyridin-6-amine", 8392 },
	{ "7CF", "", "", ResidueType::NON_POLYMER, false, "", 8393 },
	{ "7CG", "", "", ResidueType::NON_POLYMER, false, "2,5-dibromo-N-[3-(2-oxopyrrolidin-1-yl)phenyl]benzene-1-sulfonamide", 8394 },
	{ "7CH", "", "", ResidueType::NON_POLYMER, false, "(2S,4aR,6R,7R,7aS)-6-(4-amino-7H-pyrrolo[2,3-d]pyrimidin-7-yl)tetrahydro-4H-furo[3,2-d][1,3,2]dioxaphosphinine-2,7-diol 2-oxide", 8395 },
	{ "7CJ", "", "", ResidueType::NON_POLYMER, false, "3-fluoro-N-[3-(2-oxopyrrolidin-1-yl)phenyl]benzene-1-sulfonamide", 8396 },
	{ "7CK", "", "", ResidueType::NON_POLYMER, false, "7-carboxy-5-hydroxy-12,13-dihydro-6H-indolo[2,3-a]pyrrolo[3,4-c]carbazole", 8397 },
	{ "7CL", "", "", ResidueType::NON_POLYMER, false, "1-chloropentane", 8398 },
	{ "7CM", "", "", ResidueType::NON_POLYMER, false, "3-chloro-4-fluoro-N-[3-(2-oxopyrrolidin-1-yl)phenyl]benzene-1-sulfonamide", 8399 },
	{ "7CN", "", "", ResidueType::NON_POLYMER, false, "3-bromo-N-[3-(2-oxo-2,3-dihydro-1H-pyrrol-1-yl)phenyl]benzene-1-sulfonamide", 8400 },
	{ "7CO", "", "", ResidueType::NON_POLYMER, false, "2,6-difluoro-N-[3-(2-oxopyrrolidin-1-yl)phenyl]benzene-1-sulfonamide", 8401 },
	{ "7CP", "", "", ResidueType::NON_POLYMER, false, "(4R)-7,8-dichloro-1',9-dimethyl-1-oxo-1,2,4,9-tetrahydrospiro[beta-carboline-3,4'-piperidine]-4-carbonitrile", 8402 },
	{ "7CQ", "", "", ResidueType::NON_POLYMER, false, "5-bromo-2-methoxy-N-(3-(2-oxopyrrolidin-1-yl)phenyl)benzenesulfonamide", 8403 },
	{ "7CR", "", "", ResidueType::NON_POLYMER, false, "[3,5-bis(chloranyl)phenyl]methyl 4-[(3~{R})-3-oxidanyl-3-(2-oxidanylidene-3~{H}-1,3-benzoxazol-6-yl)propyl]piperazine-1-carboxylate", 8404 },
	{ "7CS", "", "", ResidueType::NON_POLYMER, false, "(3-ENDO)-8-METHYL-8-AZABICYCLO[3.2.1]OCT-3-YL 1H-PYRROLO[2,3-B]PYRIDINE-3-CARBOXYLATE", 8405 },
	{ "7CT", "", "", ResidueType::NON_POLYMER, false, "~{N}-methylisoquinoline-5-sulfonamide", 8406 },
	{ "7CU", "", "", ResidueType::NON_POLYMER, false, "5-{[(2S)-2-aminopropyl]amino}-3-(1H-indol-2-yl)pyrazine-2-carboxamide", 8407 },
	{ "7CV", "", "", ResidueType::NON_POLYMER, false, "6-deoxy-2,3-di-O-methyl-alpha-L-mannopyranose", 8408 },
	{ "7CW", "", "", ResidueType::NON_POLYMER, false, "", 8409 },
	{ "7CY", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3R,5R)-3-(6-amino-9H-purin-9-yl)-5-(hydroxymethyl)cyclopentane-1,2-diol", 8410 },
	{ "7CZ", "", "", ResidueType::NON_POLYMER, false, "2-hydroxycyclohepta-2,4,6-triene-1-thione", 8411 },
	{ "7D0", "", "", ResidueType::NON_POLYMER, false, "(1~{R},2~{S},3~{S},4~{R},5~{S},6~{S})-5-[3,5-bis(fluoranyl)phenoxy]-1-(hydroxymethyl)bicyclo[4.1.0]heptane-2,3,4-triol", 8412 },
	{ "7D1", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S},4~{R})-2-(hydroxymethyl)oxane-3,4-diol", 8413 },
	{ "7D2", "", "", ResidueType::NON_POLYMER, false, "(1~{R},2~{S},3~{S},4~{S},5~{S},6~{S})-1-(hydroxymethyl)bicyclo[4.1.0]heptane-2,3,4,5-tetrol", 8414 },
	{ "7D3", "", "", ResidueType::NON_POLYMER, false, "[(2S,3R,4R)-4-(6-amino-9H-purin-9-yl)-3-(hydroxymethyl)oxetan-2-yl]methyl trihydrogen diphosphate", 8415 },
	{ "7D4", "", "", ResidueType::NON_POLYMER, false, "[[(2~{S},3~{R},4~{R})-4-(6-aminopurin-9-yl)-3-(hydroxymethyl)oxetan-2-yl]methoxy-oxidanyl-phosphoryl] phosphono hydrogen phosphate", 8416 },
	{ "7D5", "", "", ResidueType::NON_POLYMER, false, "[(2S,3R,4R)-4-(6-amino-9H-purin-9-yl)-3-(hydroxymethyl)oxetan-2-yl]methyl dihydrogen phosphate", 8417 },
	{ "7D6", "", "", ResidueType::NON_POLYMER, false, "(S)-orteronel", 8418 },
	{ "7D7", "", "", ResidueType::NON_POLYMER, false, "[(2S,3R,4R)-4-(6-amino-9H-purin-9-yl)oxetane-2,3-diyl]dimethanol", 8419 },
	{ "7D8", "", "", ResidueType::NON_POLYMER, false, "(1~{R},2~{S},3~{S},4~{S},6~{R})-4-fluoranyl-1-(hydroxymethyl)bicyclo[4.1.0]heptane-2,3-diol", 8420 },
	{ "7D9", "", "", ResidueType::NON_POLYMER, false, "", 8421 },
	{ "7DA", "", "", ResidueType::DNA_LINKING, false, "7-DEAZA-2'-DEOXYADENOSINE-5'-MONOPHOSPHATE", 8422 },
	{ "7DB", "", "", ResidueType::NON_POLYMER, false, "", 8423 },
	{ "7DC", "", "", ResidueType::NON_POLYMER, false, "", 8424 },
	{ "7DD", "", "", ResidueType::NON_POLYMER, false, "7-deazaadenosine-5'-diphosphate", 8425 },
	{ "7DE", "", "", ResidueType::NON_POLYMER, false, "3,5-DIMETHYL-1-(3-NITROPHENYL)-1H-PYRAZOLE-4-CARBOXYLIC ACID ETHYL ESTER", 8426 },
	{ "7DF", "", "", ResidueType::NON_POLYMER, false, "Dihydropentalenolactone F", 8427 },
	{ "7DG", "", "", ResidueType::NON_POLYMER, false, "7-DEAZAGUANINE", 8428 },
	{ "7DH", "", "", ResidueType::NON_POLYMER, false, "(3E)-5-hydroxy-2-oxopent-3-enoic acid", 8429 },
	{ "7DJ", "", "", ResidueType::NON_POLYMER, false, "N-[(2R)-2,3-dihydroxy-2-methylpropyl]-8-(methylamino)-6-[(2,3,5,6-tetrafluorophenyl)amino]imidazo[1,2-b]pyridazine-3-carboxamide", 8430 },
	{ "7DK", "", "", ResidueType::NON_POLYMER, false, " METHYL ((15S)-15-(((2E)-3-(5-CHLORO-2-(1H-TETRAZOL-1-YL)PHENYL)-2-PROPENOYL)AMINO)-9-OXO-8,17,19-TRIAZATRICYCLO[14.2.1.0~2,7~]NONADECA-1(18),2,4,6,16(19)-PENTAEN-5-YL)CARBAMATE ", 8431 },
	{ "7DL", "", "", ResidueType::NON_POLYMER, false, "((15S)-18-CHLORO- 15-(((2E)-3-(5-CHLORO-2-(1H-TETRAZOL-1-YL)PHENYL)-2- PROPENOYL)AMINO)-17,19-DIAZATRICYCLO[14.2.1.0~2,7~]NONADECA-1(18),2,4,6,16(19)-PENTAEN-5-YL)CARBAMATE", 8432 },
	{ "7DM", "", "", ResidueType::NON_POLYMER, false, "4-hydroxy-2-oxo-1,2-dihydroquinoline-6-carboxylic acid", 8433 },
	{ "7DN", "", "", ResidueType::NON_POLYMER, false, "2-{2-[(1S,2S)-2-{[1-(8-methylquinolin-2-yl)piperidine-4-carbonyl]amino}cyclopentyl]ethyl}benzoic acid", 8434 },
	{ "7DP", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-[3,4-bis(oxidanyl)phenyl]ethyl]ethanamide", 8435 },
	{ "7DR", "", "", ResidueType::NON_POLYMER, false, "6-ethyl-5-[3-(5-methoxybiphenyl-3-yl)prop-1-yn-1-yl]pyrimidine-2,4-diamine", 8436 },
	{ "7DS", "", "", ResidueType::NON_POLYMER, false, "METHYL ((12E,15S)-15-(((2E)-3-(5-CHLORO-2-(1H-TETRAZOL-1-YL)PHENYL)-2-PROPENOYL)AMINO)-9-OXO-8,17,19-TRIAZATRICYCLO[14.2.1.0~2,7~]NONADECA-1(18),2,4,6,12,16(19)-HEXAEN-5-YL)CARBAMATE", 8437 },
	{ "7DT", "", "", ResidueType::NON_POLYMER, false, "7-deazaadenosine-5'-triphosphate", 8438 },
	{ "7DU", "", "", ResidueType::NON_POLYMER, false, "", 8439 },
	{ "7DV", "", "", ResidueType::NON_POLYMER, false, "2-methylbenzene-1,4-diol", 8440 },
	{ "7DW", "", "", ResidueType::NON_POLYMER, false, "11-(4-fluorophenyl)-N-[(2S,3S,4R)-1-(alpha-D-galactopyranosyloxy)-3,4-dihydroxyoctadecan-2-yl]undecanamide", 8441 },
	{ "7DX", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-cyclohexyl-4-oxidanylidene-4-[[7-(4-phenyl-1,3-thiazol-2-yl)quinolin-2-yl]amino]butanoic acid", 8442 },
	{ "7DY", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3S)-4-(4-chlorophenyl)-3-(3-cyanophenyl)butan-2-yl]-2-methyl-2-{[5-(trifluoromethyl)pyridin-2-yl]oxy}propanamide", 8443 },
	{ "7DZ", "", "", ResidueType::NON_POLYMER, false, "(7S)-2-[(3,5-difluoro-4-hydroxyphenyl)amino]-5,7-dimethyl-8-(3-methylbutyl)-7,8-dihydropteridin-6(5H)-one", 8444 },
	{ "7E0", "", "", ResidueType::NON_POLYMER, false, "trichothecene", 8445 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "6-{4-[(1S,4S,6R)-6-[(3-chlorophenoxy)sulfonyl]-3-(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-2-en-2-yl]phenyl}hex-5-enoic acid", 8446 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "5-{4-[(1S,4S,6R)-6-[(3-chlorophenoxy)sulfonyl]-3-(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-2-en-2-yl]phenoxy}pentanoic acid", 8447 },
	{ "7E4", "", "", ResidueType::NON_POLYMER, false, "11-[(2~{S})-2-[(2-pyridin-3-ylquinazolin-4-yl)amino]-2,3-dihydro-1~{H}-inden-5-yl]undec-10-ynoic acid", 8448 },
	{ "7E5", "", "", ResidueType::NON_POLYMER, false, "(2~{S},4~{R})-4-(2-carboxyphenoxy)pyrrolidine-2-carboxylic acid", 8449 },
	{ "7E7", "", "", ResidueType::NON_POLYMER, false, "3-methyl-6-(1-methyl-5-phenoxy-pyrazol-4-yl)-[1,2,4]triazolo[4,3-b]pyridazine", 8450 },
	{ "7E8", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,3-DIHYDROXYPROPYL (7Z)-TETRADEC-7-ENOATE", 8451 },
	{ "7E9", "", "", ResidueType::NON_POLYMER, false, "1,3-DIHYDROXYPROPAN-2-YL (Z)-TETRADEC-7-ENOATE", 8452 },
	{ "7EA", "", "", ResidueType::NON_POLYMER, false, "6-(3,4-dimethoxyphenyl)-3-methyl-[1,2,4]triazolo[4,3-b]pyridazine", 8453 },
	{ "7EB", "", "", ResidueType::NON_POLYMER, false, "4-bromophenyl (1S,2R,4S)-6-{4-[2-(dimethylamino)ethoxy]phenyl}-5-(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonate", 8454 },
	{ "7EC", "", "", ResidueType::NON_POLYMER, false, "4-bromophenyl (1S,2R,4S)-5-(4-hydroxyphenyl)-6-{4-[2-(piperidin-1-yl)ethoxy]phenyl}-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonate", 8455 },
	{ "7ED", "", "", ResidueType::NON_POLYMER, false, "8-{[2,3-bis(4-hydroxyphenyl)pentanoyl]oxy}octyl (2R,3S)-2,3-bis(4-hydroxyphenyl)pentanoate", 8456 },
	{ "7EE", "", "", ResidueType::NON_POLYMER, false, "(14beta,17alpha)-21-(4-aminophenyl)-19-norpregna-1(10),2,4-trien-20-yne-3,17-diol", 8457 },
	{ "7EF", "", "", ResidueType::NON_POLYMER, false, "4-[2-(3-methylbut-2-en-1-yl)-7-(trifluoromethyl)-2H-indazol-3-yl]benzene-1,3-diol", 8458 },
	{ "7EG", "", "", ResidueType::NON_POLYMER, false, "2~3~-[(E)-(hydroxyimino)methyl][1~1~,2~1~:2~2~,3~1~-terphenyl]-1~4~,2~4~,3~4~-triol", 8459 },
	{ "7EH", "", "", ResidueType::NON_POLYMER, false, "3-methyl-6-phenyl-3H-imidazo[4,5-b]pyridin-2-amine", 8460 },
	{ "7EJ", "", "", ResidueType::NON_POLYMER, false, "1-(4-methoxybutyl)-N-(2-methylpropyl)-N-[(3S,5R)-5-(morpholine-4-carbonyl)piperidin-3-yl]-5-phenyl-1H-pyrrole-2-carboxamide", 8461 },
	{ "7EK", "", "", ResidueType::NON_POLYMER, false, "5-(4-methoxybutyl)-N-(2-methylpropyl)-N-[(3S,5R)-5-(morpholine-4-carbonyl)piperidin-3-yl]-1-phenyl-1H-1,2,3-triazole-4-carboxamide", 8462 },
	{ "7EL", "", "", ResidueType::NON_POLYMER, false, "2-chloro-4-[(E)-(hydroxyimino)methyl][1,1'-biphenyl]-3,4'-diol", 8463 },
	{ "7EM", "", "", ResidueType::NON_POLYMER, false, "4,4',4''-(thiene-2,3,5-triyl)triphenol", 8464 },
	{ "7EN", "", "", ResidueType::NON_POLYMER, false, "(1S)-2,3-bis(2-chloro-4-hydroxyphenyl)-1H-1lambda~4~-thiophen-1-one", 8465 },
	{ "7EO", "", "", ResidueType::NON_POLYMER, false, "2,5-bis(2-chloro-4-hydroxyphenyl)-1H-1lambda~4~-thiophen-1-one", 8466 },
	{ "7EP", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-2-[(1R)-1-{[(2,6-dimethoxyphenyl)carbonyl]amino}-2-oxoethyl]-5,5-dimethyl-1,3-thiazolidine-4-carboxylic acid", 8467 },
	{ "7EQ", "", "", ResidueType::NON_POLYMER, false, "2,5-bis(2-fluoro-4-hydroxyphenyl)-1H-1lambda~4~-thiophen-1-one", 8468 },
	{ "7ER", "", "", ResidueType::NON_POLYMER, false, "3,4-bis(2-fluoro-4-hydroxyphenyl)-1H-1lambda~6~-thiophene-1,1-dione", 8469 },
	{ "7ES", "", "", ResidueType::NON_POLYMER, false, "4,4'-(thiene-2,3-diyl)bis(3-fluorophenol)", 8470 },
	{ "7ET", "", "", ResidueType::NON_POLYMER, false, "3-fluorophenyl (1S,2R,4S)-5-(4-hydroxyphenyl)-6-{4-[2-(piperidin-1-yl)ethoxy]phenyl}-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonate", 8471 },
	{ "7EV", "", "", ResidueType::NON_POLYMER, false, "5-{4-[(1S,4S,5R)-5-[(4-bromophenoxy)sulfonyl]-3-(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-2-en-2-yl]phenoxy}pentanoic acid", 8472 },
	{ "7EX", "", "", ResidueType::NON_POLYMER, false, "(1R,6S)-7-oxabicyclo[4.1.0]heptane", 8473 },
	{ "7EY", "", "", ResidueType::NON_POLYMER, false, "3-[5-(4-methylphenyl)thieno[2,3-d]pyrimidin-4-yl]sulfanylpropanoic acid", 8474 },
	{ "7EZ", "", "", ResidueType::NON_POLYMER, false, "(4Z,7Z,10Z,13Z,16R,17R,19Z)-16,17-dihydroxydocosa-4,7,10,13,19-pentaenoic acid", 8475 },
	{ "7F1", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-[(E,2S)-1-(1H-indol-3-yl)-4-methylsulfonyl-but-3-en-2-yl]-2-[[(2S)-3-(1H-indol-3-yl)-2-(2-morpholin-4-ylethanoylamino)propanoyl]amino]-4-methyl-pentanamide", 8476 },
	{ "7F2", "", "", ResidueType::NON_POLYMER, false, "(2R)-octane-1,2-diol", 8477 },
	{ "7F3", "", "", ResidueType::NON_POLYMER, false, "(1S)-4-fluoro-1-(4-fluoro-3-pyrimidin-5-ylphenyl)-1-[2-(trifluoromethyl)pyridin-4-yl]-1H-isoindol-3-amine", 8478 },
	{ "7F4", "", "", ResidueType::NON_POLYMER, false, "(3~{R})-3-azanylazepan-2-one", 8479 },
	{ "7F5", "", "", ResidueType::NON_POLYMER, false, "3-(3-fluorophenyl)-N-{2-[2-(5-methyl-1H-imidazol-1-yl)pyrimidin-4-yl]ethyl}propan-1-amine", 8480 },
	{ "7F6", "", "", ResidueType::NON_POLYMER, false, "(1R,2R)-1,2-diphenylethane-1,2-diol", 8481 },
	{ "7F7", "", "", ResidueType::NON_POLYMER, false, "[6-methyl-5-oxidanyl-4-[(~{E})-[(3~{R})-2-oxidanylideneazepan-3-yl]iminomethyl]pyridin-3-yl]methyl dihydrogen phosphate", 8482 },
	{ "7F9", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-(ethylamino)-2-oxidanylidene-ethyl]-~{N}-(4-methoxyphenyl)-2,4-bis(oxidanyl)benzamide", 8483 },
	{ "7FA", "", "", ResidueType::NON_POLYMER, false, "methyl (R)-(6Z,9Z,12Z)-octadeca-6,9,12-trien-1-ylphosphonofluoridate", 8484 },
	{ "7FB", "", "", ResidueType::NON_POLYMER, false, "(2R)-hexane-1,2-diol", 8485 },
	{ "7FC", "", "", ResidueType::NON_POLYMER, false, "4-[6,8-bis(chloranyl)-3-oxidanyl-4-oxidanylidene-chromen-2-yl]benzoic acid", 8486 },
	{ "7FD", "", "", ResidueType::NON_POLYMER, false, "ethyl 3-{4-[cyclohexylidene(4-hydroxyphenyl)methyl]phenyl}prop-2-enoate", 8487 },
	{ "7FE", "", "", ResidueType::NON_POLYMER, false, "~{N}-[4-(2-chloranyl-5-methyl-pyrimidin-4-yl)phenyl]-2,4-bis(oxidanyl)-~{N}-[[4-(pyrrolidin-1-ylmethyl)phenyl]methyl]benzamide", 8488 },
	{ "7FF", "", "", ResidueType::NON_POLYMER, false, "methyl 6-azanyl-3,4-dihydro-2H-quinoline-1-carboxylate", 8489 },
	{ "7FG", "", "", ResidueType::NON_POLYMER, false, "ethyl 3-(4-{[(1s,5s)-bicyclo[3.3.1]nonan-9-ylidene](4-hydroxyphenyl)methyl}phenyl)prop-2-enoate", 8490 },
	{ "7FH", "", "", ResidueType::NON_POLYMER, false, "1-hydroxy-5-(trifluoromethyl)pyridine-2(1H)-thione", 8491 },
	{ "7FJ", "", "", ResidueType::NON_POLYMER, false, "4,4'-[(1,3-dihydro-2H-inden-2-ylidene)methylene]diphenol", 8492 },
	{ "7FK", "", "", ResidueType::NON_POLYMER, false, "15-Chloro-16,18-dihydroxy-2-methyl-3,4,7,8,9,10,11,12-octahydrobenz[c][1]azacyclohexadecine-1,13(2H,14H)-dione", 8493 },
	{ "7FL", "", "", ResidueType::NON_POLYMER, false, "4,4'-(cycloheptylidenemethylene)diphenol", 8494 },
	{ "7FM", "", "", ResidueType::NON_POLYMER, false, "25-(methylsulfonyl)-8-(trifluoromethyl)-5,17,18,21,22,23,24,25-octahydro-12H-7,11-(azeno)-16,13-(metheno)pyrido[3,2-i]pyrrolo[1,2-q][1,3,7,11,17]pentaazacyclohenicosin-20(6H)-one", 8495 },
	{ "7FN", "", "", ResidueType::NON_POLYMER, false, "2,5 Furan Dicarboxylic Acid", 8496 },
	{ "7FO", "", "", ResidueType::NON_POLYMER, false, "4-iodophenyl (1S,2R,4S)-5,6-bis(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonate", 8497 },
	{ "7FP", "", "", ResidueType::NON_POLYMER, false, "4-(acetylamino)phenyl (1S,2R,4S)-5,6-bis(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonate", 8498 },
	{ "7FQ", "", "", ResidueType::NON_POLYMER, false, "(9beta,13alpha,14beta,16alpha,17alpha)-16-[(4-methoxyphenyl)methyl]estra-1,3,5(10)-triene-3,17-diol", 8499 },
	{ "7FR", "", "", ResidueType::NON_POLYMER, false, "(9beta,13alpha,17Z)-17-{[4-(propan-2-yl)phenyl]imino}estra-1,3,5(10)-trien-3-ol", 8500 },
	{ "7FS", "", "", ResidueType::NON_POLYMER, false, "(9beta,13alpha,17beta)-17-{[4-(propan-2-yl)phenyl]amino}estra-1(10),2,4-trien-3-ol", 8501 },
	{ "7FT", "", "", ResidueType::NON_POLYMER, false, "4-chloranyl-7-[(4-methoxy-3,5-dimethyl-pyridin-2-yl)methyl]-5-(phenylmethyl)pyrrolo[2,3-d]pyrimidin-2-amine", 8502 },
	{ "7FU", "", "", ResidueType::NON_POLYMER, false, "2-Hydrazino-1,3-benzothiazole-6-carbohydrazide", 8503 },
	{ "7FV", "", "", ResidueType::NON_POLYMER, false, "[2,4-bis(oxidanyl)phenyl]-[(2~{S})-2-methyl-6-(3-methylquinolin-2-yl)-3,4-dihydro-2~{H}-quinolin-1-yl]methanone", 8504 },
	{ "7FW", "", "", ResidueType::NON_POLYMER, false, "~{N}-[4-[methyl(quinoxalin-6-ylmethyl)carbamoyl]phenyl]-2,4-bis(oxidanyl)-~{N}-(phenylmethyl)benzamide", 8505 },
	{ "7FX", "", "", ResidueType::NON_POLYMER, false, "[2,4-bis(oxidanyl)phenyl]-[(7~{S})-7-(trifluoromethyl)-6,7-dihydro-5~{H}-pyrazolo[1,5-a]pyrimidin-4-yl]methanone", 8506 },
	{ "7FY", "", "", ResidueType::NON_POLYMER, false, "~{N}-[4,5-bis(oxidanylidene)cyclohexen-1-yl]-4-phenyl-benzenesulfonamide", 8507 },
	{ "7FZ", "", "", ResidueType::NON_POLYMER, false, "(1S)-5-(4-hydroxy-3,5-dimethylphenyl)-2,3-dihydro-1H-inden-1-ol", 8508 },
	{ "7G0", "", "", ResidueType::NON_POLYMER, false, "(1S,3aS,5S,7aS)-5-(4-hydroxyphenyl)-7a-methyloctahydro-1H-inden-1-ol", 8509 },
	{ "7G1", "", "", ResidueType::NON_POLYMER, false, "(1S,1'S,3a'S,7a'S)-7a'-methyl-1',2,2',3,3',3a',4',6',7',7a'-decahydro-1,5'-spirobi[indene]-1',5-diol", 8510 },
	{ "7G2", "", "", ResidueType::NON_POLYMER, false, "3-fluoro-3'-[(E)-(hydroxyimino)methyl][1,1'-biphenyl]-4,4'-diol", 8511 },
	{ "7G3", "", "", ResidueType::NON_POLYMER, false, "3-[(Z)-(hydroxyimino)methyl][1,1'-biphenyl]-4,4'-diol", 8512 },
	{ "7G4", "", "", ResidueType::NON_POLYMER, false, "ruthenocene", 8513 },
	{ "7G5", "", "", ResidueType::NON_POLYMER, false, "3,4-bis(4-hydroxyphenyl)-2,5-dihydro-1H-1lambda~6~-thiophene-1,1-dione", 8514 },
	{ "7G6", "", "", ResidueType::NON_POLYMER, false, "6-cyclopropyl-8-fluoranyl-2-[2-(hydroxymethyl)-3-[1-methyl-5-[[5-(4-methylpiperazin-1-yl)pyridin-2-yl]amino]-6-oxidanylidene-pyridin-3-yl]phenyl]isoquinolin-1-one", 8515 },
	{ "7G7", "", "", ResidueType::NON_POLYMER, false, "6-~{tert}-butyl-8-fluoranyl-2-[3-(hydroxymethyl)-4-[1-methyl-5-[[5-(1-methylpiperidin-4-yl)pyridin-2-yl]amino]-6-oxidanylidene-pyridazin-3-yl]pyridin-2-yl]phthalazin-1-one", 8516 },
	{ "7G8", "", "", ResidueType::NON_POLYMER, false, "4-[4-[[5-fluoranyl-4-[[3-(propanoylamino)phenyl]amino]pyrimidin-2-yl]amino]phenoxy]-~{N}-methyl-pyridine-2-carboxamide", 8517 },
	{ "7G9", "", "", ResidueType::NON_POLYMER, false, "~{N}-[3-[[5-fluoranyl-2-[[4-(2-methoxyethoxy)phenyl]amino]pyrimidin-4-yl]amino]phenyl]propanamide", 8518 },
	{ "7GA", "", "", ResidueType::NON_POLYMER, false, "2,4-DIMETHYLPENTANAL", 8519 },
	{ "7GB", "", "", ResidueType::NON_POLYMER, false, "6-azanyl-9-[(3~{R})-1-[(~{E})-but-2-enoyl]pyrrolidin-3-yl]-7-(4-phenoxyphenyl)purin-8-one", 8520 },
	{ "7GC", "", "", ResidueType::NON_POLYMER, false, "4-methyl-N-(thiazol-2-ylcarbamoyl)benzenesulfonamide", 8521 },
	{ "7GE", "", "", ResidueType::NON_POLYMER, false, "pentakis(chloranyl)-(1~{H}-indazol-2-ium-2-yl)ruthenium(1-)", 8522 },
	{ "7GF", "", "", ResidueType::NON_POLYMER, false, "methyl (2Z)-3-azanyl-2-[3-(4-bromophenyl)-4-oxidanylidene-1,3-thiazolidin-2-ylidene]propanoate", 8523 },
	{ "7GG", "", "", ResidueType::NON_POLYMER, false, "6-[(~{Z})-2-(diethylamino)ethenyl]-~{N}-phenyl-7~{H}-purin-2-amine", 8524 },
	{ "7GJ", "", "", ResidueType::NON_POLYMER, false, "3-[[6-(cyclohexylmethoxy)-7~{H}-purin-2-yl]amino]-~{N},~{N}-dimethyl-benzamide", 8525 },
	{ "7GK", "", "", ResidueType::NON_POLYMER, false, "2-[4-(piperazin-1-yl)phenyl]-1H-pyrrolo[2,3-b]pyridine-4-carbonitrile", 8526 },
	{ "7GL", "", "", ResidueType::NON_POLYMER, false, "6-[(3,5-dimethylphenyl)amino]-8-(methylamino)imidazo[1,2-b]pyridazine-3-carboxamide", 8527 },
	{ "7GM", "", "", ResidueType::NON_POLYMER, false, "(3R)-1-(cyclopropylmethyl)-3-methyl-3-(4-methylsulfanylphenoxy)pyrrolidine", 8528 },
	{ "7GP", "", "", ResidueType::NON_POLYMER, false, "ETHYL-N-(BETA-D-GLUCOPYRANOSYL)OXAMATE", 8529 },
	{ "7GQ", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,4S,7R)-2-(3-amino-4-chloro[1,2]oxazolo[5,4-c]pyridin-7-yl)-2-azabicyclo[2.2.1]heptan-7-yl]-2-chloro-4-(3-methyl-1H-1,2,4-triazol-1-yl)benzamide", 8530 },
	{ "7GR", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-4-methyl-2-[2-[[oxidanyl(phenylmethoxycarbonylaminomethyl)phosphoryl]amino]ethanoylamino]pentanoic acid", 8531 },
	{ "7GS", "", "", ResidueType::NON_POLYMER, false, "{2-[6-(2-ethyl-5-fluoro-4-hydroxyphenyl)-2H-indazol-3-yl]-3,4,6,7-tetrahydro-5H-imidazo[4,5-c]pyridin-5-yl}[5-(piperidin-1-yl)pyrazin-2-yl]methanone", 8532 },
	{ "7GT", "", "", ResidueType::NON_POLYMER, false, "{(3R,4R)-4-methyl-3-[methyl(7H-pyrrolo[2,3-d]pyrimidin-4-yl)amino]piperidin-1-yl}[(3R)-3-(phenylsulfonyl)pyrrolidin-1-yl]methanone", 8533 },
	{ "7GU", "", "", ResidueType::DNA_LINKING, false, "7-DEAZA-2'-DEOXYGUANOSINE-5'-MONOPHOSPHATE", 8534 },
	{ "7GV", "", "", ResidueType::NON_POLYMER, false, "{(3R,4R)-4-methyl-3-[methyl(7H-pyrrolo[2,3-d]pyrimidin-4-yl)amino]piperidin-1-yl}(pyrrolidin-1-yl)methanone", 8535 },
	{ "7GW", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{R},4~{S},5~{S})-2-[bis(oxidanyl)methyl]-5-(hydroxymethyl)oxolane-3,4-diol", 8536 },
	{ "7GX", "", "", ResidueType::NON_POLYMER, false, "6-(2-ethyl-4-hydroxyphenyl)-N-(6-methylpyridin-3-yl)-1H-indazole-3-carboxamide", 8537 },
	{ "7GY", "", "", ResidueType::NON_POLYMER, false, "6-(2-ethyl-4-hydroxyphenyl)-1H-indazole-3-carboxamide", 8538 },
	{ "7GZ", "", "", ResidueType::NON_POLYMER, false, "4-[3-(1H-benzimidazol-2-yl)-1H-indazol-6-yl]-3-ethylphenol", 8539 },
	{ "7H0", "", "", ResidueType::NON_POLYMER, false, "7-{[5-chloro-3-(trifluoromethyl)-1H-pyrazol-1-yl]methyl}-N-ethyl-2-methyl-5-oxo-5H-[1,3]thiazolo[3,2-a]pyrimidine-3-carboxamide", 8540 },
	{ "7H1", "", "", ResidueType::NON_POLYMER, false, "2,2,3,3,4,4,5,5,6,6,7,7-dodecakis(fluoranyl)-~{N}-oxidanyl-~{N}'-phenyl-octanediamide", 8541 },
	{ "7H2", "", "", ResidueType::NON_POLYMER, false, "(1R,2R)-2-(2-{[5-chloro-3-(trifluoromethyl)-1H-pyrazol-1-yl]methyl}-7-methyl-4-oxo-4H-pyrido[1,2-a]pyrimidin-6-yl)cyclopropane-1-carbonitrile", 8542 },
	{ "7H3", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(4aR,7aR)-2-amino-4,4a,5,6-tetrahydro-7aH-furo[2,3-d][1,3]thiazin-7a-yl]-4-fluorophenyl}-5-bromopyridine-2-carboxamide", 8543 },
	{ "7H4", "", "", ResidueType::NON_POLYMER, false, "1-{(2S,5R)-2-methyl-5-[(7H-pyrrolo[2,3-d]pyrimidin-4-yl)amino]piperidin-1-yl}propan-1-one", 8544 },
	{ "7H5", "", "", ResidueType::NON_POLYMER, false, "", 8545 },
	{ "7H7", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-N~1~,N~1~-dimethyl-N~2~-(3-methyl[1,2,4]triazolo[3,4-a]phthalazin-6-yl)-1-phenylpropane-1,2-diamine", 8546 },
	{ "7H8", "", "", ResidueType::NON_POLYMER, false, "1-[[(2~{R},5~{R})-1-[2-[3,3-dimethyl-6-(phenylmethyl)-2~{H}-pyrrolo[3,2-b]pyridin-1-yl]-2-oxidanylidene-ethyl]-5-methyl-piperazin-4-ium-2-yl]methyl]pyrrolidin-2-one", 8547 },
	{ "7H9", "", "", ResidueType::NON_POLYMER, false, "1-[6-[(4-fluorophenyl)methyl]-3,3-dimethyl-2~{H}-pyrrolo[3,2-b]pyridin-1-yl]-2-[(2~{R},5~{R})-5-methyl-2-[[(3~{R})-3-methylmorpholin-4-yl]methyl]piperazin-4-ium-1-yl]ethanone", 8548 },
	{ "7HA", "", "", ResidueType::PEPTIDE_LINKING, false, "N-(3-{[2-(4-chlorophenyl)-5-methyl-1,3-oxazol-4-yl]methoxy}benzyl)-N-(methoxycarbonyl)glycine", 8549 },
	{ "7HC", "", "", ResidueType::NON_POLYMER, false, "(2'S,3R,4'S,5'R)-6-chloro-4'-(3-chloro-2-fluorophenyl)-2'-(2,2-dimethylpropyl)-N-(trans-4-hydroxycyclohexyl)-2-oxo-1,2-dihydrospiro[indole-3,3'-pyrrolidine]-5'-carboxamide", 8550 },
	{ "7HD", "", "", ResidueType::NON_POLYMER, false, "3-((4-(6-chloro-2-(1,3-dimethyl-1H-pyrazol-4-yl)-3H-imidazo[4,5-b]pyridin-7-yl)-1H-pyrazol-1-yl)methyl)-5-methylisoxazole", 8551 },
	{ "7HE", "", "", ResidueType::NON_POLYMER, false, "7-METHYL-7-DEPROPIONATEHEMIN", 8552 },
	{ "7HF", "", "", ResidueType::NON_POLYMER, false, "1-[(3S,4R)-4-[3,4-bis(fluoranyl)phenyl]-1-(2-methoxyethyl)pyrrolidin-3-yl]-3-(5-ethoxy-4-methyl-2-phenyl-pyrazol-3-yl)urea", 8553 },
	{ "7HG", "", "", ResidueType::PEPTIDE_LIKE, false, "3-[(3-hydroxyphenyl)methyl]-10,12-dimethoxy-9,11-dimethyl-6-(propan-2-yl)-19-oxa-1,4,7,25-tetraazabicyclo[19.3.1]pentacosa-13,15-diene-2,5,8,20-tetrone", 8554 },
	{ "7HH", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(benzenecarbonyl)amino]-4-[(4-chlorophenyl)methoxy]benzene-1-carbonyl}glycine", 8555 },
	{ "7HI", "", "", ResidueType::NON_POLYMER, false, "(3R,5R)-7-[3-(biphenyl-4-ylcarbamoyl)-2-ethyl-5,6,7,8-tetrahydrocyclohepta[b]pyrrol-1(4H)-yl]-3,5-dihydroxyheptanoic acid", 8556 },
	{ "7HJ", "", "", ResidueType::NON_POLYMER, false, "N,N-diethyl-N~2~-[(2E)-3-phenylprop-2-enoyl]-L-asparaginyl-4-fluoro-N-[(naphthalen-1-yl)methyl]-L-phenylalaninamide", 8557 },
	{ "7HK", "", "", ResidueType::NON_POLYMER, false, "methyl [11-oxo-3-(pyridin-4-ylamino)-10,11-dihydro-5H-dibenzo[b,e][1,4]diazepin-8-yl]acetate", 8558 },
	{ "7HL", "", "", ResidueType::NON_POLYMER, false, "2-[(benzenecarbonyl)amino]-3-[(4-chlorophenyl)methoxy]benzoic acid", 8559 },
	{ "7HM", "", "", ResidueType::NON_POLYMER, false, "3-[(4-chlorophenyl)methoxy]-2-(1-oxo-1,3-dihydro-2H-isoindol-2-yl)benzoic acid", 8560 },
	{ "7HN", "", "", ResidueType::NON_POLYMER, false, "3,4-DIHYDROXY-2-[(2,3,4,5,6-PENTAFLUOROPHENYL)METHYL]BENZOIC ACID", 8561 },
	{ "7HO", "", "", ResidueType::NON_POLYMER, false, "2-{[2-(carboxymethoxy)benzene-1-carbonyl]amino}-3-[(4-chlorophenyl)methoxy]benzoic acid", 8562 },
	{ "7HP", "", "", ResidueType::NON_POLYMER, false, "7-HYDROXY-PYRAZOLO[4,3-D]PYRIMIDINE", 8563 },
	{ "7HQ", "", "", ResidueType::NON_POLYMER, false, "benzimidazol-1-ylmethanol", 8564 },
	{ "7HR", "", "", ResidueType::NON_POLYMER, false, "~{N}-[6-[1-[3-(dimethylamino)propylsulfonyl]piperidin-4-yl]-2-ethyl-imidazo[1,2-a]pyridin-3-yl]-4-(4-fluorophenyl)-~{N}-methyl-1,3-thiazol-2-amine", 8565 },
	{ "7HS", "", "", ResidueType::NON_POLYMER, false, "(S)-2-acetamido-6-amino-N-((S)-5-guanidino-1-oxopentan-2-yl)hexanamide", 8566 },
	{ "7HT", "", "", ResidueType::NON_POLYMER, false, "1-[3,3-dimethyl-6-(phenylmethyl)-2~{H}-pyrrolo[3,2-c]pyridin-1-yl]-2-[(2~{R},5~{R})-5-methyl-2-[(4-methylpyrazol-1-yl)methyl]piperazin-4-ium-1-yl]ethanone", 8567 },
	{ "7HU", "", "", ResidueType::NON_POLYMER, false, "1-[3,3-dimethyl-6-(phenylmethyl)-2~{H}-pyrrolo[3,2-b]pyridin-1-yl]-2-[(2~{R},5~{R})-2-(methoxymethyl)-5-methyl-piperazin-4-ium-1-yl]ethanone", 8568 },
	{ "7HV", "", "", ResidueType::NON_POLYMER, false, "2-[(3,4-dichlorobenzyl)amino]ethanesulfonic acid", 8569 },
	{ "7HW", "", "", ResidueType::NON_POLYMER, false, "(4Z,7Z,10Z,13Z,16Z,19R,20R)-19,20-dihydroxydocosa-4,7,10,13,16-pentaenoic acid", 8570 },
	{ "7HX", "", "", ResidueType::NON_POLYMER, false, "7H-pyrrolo[2,3-d]pyrimidin-4-ol", 8571 },
	{ "7HY", "", "", ResidueType::NON_POLYMER, false, "N,N-diethyl-N~2~-(3-phenylpropanoyl)-L-asparaginyl-N-[(naphthalen-1-yl)methyl]-L-alaninamide", 8572 },
	{ "7HZ", "", "", ResidueType::NON_POLYMER, false, "N-tert-butoxy-N~2~-(5-methyl-1,2-oxazole-3-carbonyl)-L-asparaginyl-O-methyl-N-[(naphthalen-1-yl)methyl]-L-serinamide", 8573 },
	{ "7I1", "", "", ResidueType::NON_POLYMER, false, "3-methyl-N-(naphthalen-1-ylmethyl)-4-piperidin-4-yloxy-1-benzofuran-2-carboxamide", 8574 },
	{ "7I2", "", "", ResidueType::NON_POLYMER, false, "7-NITROINDAZOLE-2-CARBOXAMIDINE", 8575 },
	{ "7I6", "", "", ResidueType::NON_POLYMER, false, "1-(4-aminobenzyl)-3-[(2S)-4-(methylsulfanyl)-1-{(2R)-2-[2-(methylsulfanyl)phenyl]pyrrolidin-1-yl}-1-oxobutan-2-yl]urea", 8576 },
	{ "7IA", "", "", ResidueType::NON_POLYMER, false, "[(6-oxo-4-phenyl-1,6-dihydropyrimidin-2-yl)sulfanyl]acetic acid", 8577 },
	{ "7IG", "", "", ResidueType::NON_POLYMER, false, "5-{4-[(3,5-DIFLUOROBENZYL)AMINO]PHENYL}-6-ETHYLPYRIMIDINE-2,4-DIAMINE", 8578 },
	{ "7IM", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-3-{[(1S)-1-carboxy-2-phenylethyl]amino}-2-methyl-3-oxopropanoyl]-L-threonyl-N-[(3S,4S)-1,3-dihydroxy-6-methylheptan-4-yl]-L-allothreoninamide", 8579 },
	{ "7IN", "", "", ResidueType::NON_POLYMER, false, "N-(BENZYLSULFONYL)SERYL-N~1~-{4-[(Z)-AMINO(IMINO)METHYL]BENZYL}SERINAMIDE", 8580 },
	{ "7IP", "", "", ResidueType::NON_POLYMER, false, "6-[2-(3'-METHOXYBIPHENYL-3-YL)ETHYL]PYRIDIN-2-AMINE", 8581 },
	{ "7J0", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-~{N}-[(2~{S})-3-methoxy-1-(naphthalen-1-ylmethylamino)-1-oxidanylidene-propan-2-yl]-4-oxidanylidene-2-(3-phenylpropanoylamino)-4-piperidin-1-yl-butanamide", 8582 },
	{ "7J1", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-{(2S)-3-methoxy-1-[(naphthalen-1-ylmethyl)amino]-1-oxopropan-2-yl}-4-oxo-2-[(3-phenylpropanoyl)amino]-4-(1H-pyrrol-1-yl)butanamide (non-preferred name)", 8583 },
	{ "7J2", "", "", ResidueType::NON_POLYMER, false, "(4S)-3-[2-({(1S)-1-[5-(4-fluoro-3-methylphenyl)pyrimidin-2-yl]ethyl}amino)pyrimidin-4-yl]-4-(propan-2-yl)-1,3-oxazolidin-2-one", 8584 },
	{ "7J3", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-4-oxo-4-(piperidin-1-yl)butanoic acid", 8585 },
	{ "7J4", "", "", ResidueType::PEPTIDE_LINKING, false, "N-tert-butoxy-L-asparagine", 8586 },
	{ "7J5", "", "", ResidueType::NON_POLYMER, false, "4-[3-[(3s)-5-[4-[(e)-ethoxyiminomethyl]phenoxy]-3-methyl-pentyl]-2-oxidanylidene-imidazolidin-1-yl]pyridine-2-carboxamide", 8587 },
	{ "7J6", "", "", ResidueType::NON_POLYMER, false, "1-[3,3-dimethyl-6-(phenylmethyl)-2~{H}-pyrrolo[3,2-b]pyridin-1-yl]-2-[(2~{R},5~{R})-5-methyl-2-morpholin-4-ylcarbonyl-piperazin-4-ium-1-yl]ethanone", 8588 },
	{ "7J8", "", "", ResidueType::NON_POLYMER, false, "", 8589 },
	{ "7J9", "", "", ResidueType::NON_POLYMER, false, "6-{4-[(1S,4S,6R)-6-[(4-bromophenoxy)sulfonyl]-3-(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-2-en-2-yl]phenoxy}hexanoic acid", 8590 },
	{ "7JA", "", "", ResidueType::PEPTIDE_LINKING, false, "N-({(1R,2S)-3-oxo-2-[(2Z)-pent-2-en-1-yl]cyclopentyl}acetyl)-L-isoleucine", 8591 },
	{ "7JD", "", "", ResidueType::NON_POLYMER, false, "6-(4-fluorophenyl)-8-oxidanyl-3~{H}-quinazolin-4-one", 8592 },
	{ "7JE", "", "", ResidueType::NON_POLYMER, false, "5-(4-fluorophenyl)-~{N}-[[3-[(~{R})-(1-methylindazol-5-yl)-oxidanyl-methyl]phenyl]methyl]-2,3-bis(oxidanyl)benzamide", 8593 },
	{ "7JF", "", "", ResidueType::NON_POLYMER, false, "7-fluoranyl-5,6-bis(4-fluorophenyl)-8-oxidanyl-3~{H}-quinazolin-4-one", 8594 },
	{ "7JG", "", "", ResidueType::NON_POLYMER, false, "5,6-bis(4-fluorophenyl)-8-oxidanyl-3~{H}-quinazolin-4-one", 8595 },
	{ "7JH", "", "", ResidueType::NON_POLYMER, false, "6-(2,4-dimethyl-1,3-thiazol-5-yl)-8-oxidanyl-3~{H}-quinazolin-4-one", 8596 },
	{ "7JJ", "", "", ResidueType::NON_POLYMER, false, "5-chloranyl-6-(4-fluorophenyl)-8-oxidanyl-3~{H}-quinazolin-4-one", 8597 },
	{ "7JK", "", "", ResidueType::NON_POLYMER, false, "6-[3-methyl-5-(4-methylpiperazin-1-yl)carbonyl-thiophen-2-yl]-8-oxidanyl-3~{H}-quinazolin-4-one", 8598 },
	{ "7JL", "", "", ResidueType::NON_POLYMER, false, "6-bromanyl-8-oxidanyl-3~{H}-quinazolin-4-one", 8599 },
	{ "7JM", "", "", ResidueType::NON_POLYMER, false, "6-(2-methylpyridin-3-yl)-8-oxidanyl-3~{H}-quinazolin-4-one", 8600 },
	{ "7JN", "", "", ResidueType::NON_POLYMER, false, "4'-fluoro-4,5-dihydroxy-N-{[(1R,2R)-2-{(2S,4R,5R)-4-hydroxy-5-[6-(methylamino)-9H-purin-9-yl]oxolan-2-yl}cyclopropyl]methyl}[1,1'-biphenyl]-3-carboxamide", 8601 },
	{ "7JO", "", "", ResidueType::NON_POLYMER, false, "N-[1-[(2R,3S,4R,5R)-5-(6-aminopurin-9-yl)-3,4-dihydroxyoxolan-2-yl]propan-2-yl]-5-(4-fluorophenyl)-2,3-dihydroxybenzamide", 8602 },
	{ "7JP", "", "", ResidueType::NON_POLYMER, false, "6-(4-fluorophenyl)-8-oxidanyl-3-(5-pyrrolo[3,2-c]pyridin-1-ylpentyl)quinazolin-4-one", 8603 },
	{ "7JQ", "", "", ResidueType::NON_POLYMER, false, "6-(4-fluorophenyl)quinazolin-8-ol", 8604 },
	{ "7JR", "", "", ResidueType::NON_POLYMER, false, "1-methyl-3-oxidanyl-5-phenyl-pyridin-2-one", 8605 },
	{ "7JS", "", "", ResidueType::NON_POLYMER, false, "6-(4-fluorophenyl)quinolin-8-ol", 8606 },
	{ "7JT", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-{3-[(2H-1,3-benzodioxol-5-yl)methyl]-1,2,4-oxadiazol-5-yl}-4-cyclopentyl-N-hydroxybutanamide", 8607 },
	{ "7JU", "", "", ResidueType::NON_POLYMER, false, "7-fluoranyl-6-(4-fluorophenyl)-8-oxidanyl-3~{H}-quinazolin-4-one", 8608 },
	{ "7JV", "", "", ResidueType::NON_POLYMER, false, "6-[2-(methoxymethyl)phenyl]-8-oxidanyl-1~{H}-quinazolin-4-one", 8609 },
	{ "7JW", "", "", ResidueType::NON_POLYMER, false, "7-(4-fluorophenyl)quinoxalin-5-ol", 8610 },
	{ "7JX", "", "", ResidueType::NON_POLYMER, false, "6-bromanyl-3-chloranyl-quinolin-8-ol", 8611 },
	{ "7JY", "", "", ResidueType::NON_POLYMER, false, "7-{4-[(1S,4S,6R)-6-[(3-chlorophenoxy)sulfonyl]-3-(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-2-en-2-yl]phenoxy}heptanoic acid", 8612 },
	{ "7JZ", "", "", ResidueType::SACCHARIDE, false, "2-deoxy-2,2-difluoro-beta-D-lyxo-hexopyranose", 8613 },
	{ "7K0", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-[[(2~{S})-3-azanyl-2-[[oxidanyl(phenylmethoxycarbonylaminomethyl)phosphoryl]amino]propanoyl]amino]-4-methyl-pentanoic acid", 8614 },
	{ "7K1", "", "", ResidueType::NON_POLYMER, false, "1-[(3~{R})-3-(1~{H}-benzimidazol-2-yl)morpholin-4-yl]-3-[2-(4-methyl-2-phenyl-phenyl)-1~{H}-pyrrolo[2,3-b]pyridin-3-yl]propan-1-one", 8615 },
	{ "7K2", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S},4~{S},5~{S},6~{R})-2-[[(3~{S},4~{R},5~{R})-4,5-bis(oxidanyl)piperidin-3-yl]methylsulfanyl]-6-(hydroxymethyl)oxane-3,4,5-triol", 8616 },
	{ "7K3", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S},4~{S},5~{S},6~{R})-2-(hydroxymethyl)-6-sulfanyl-oxane-3,4,5-triol", 8617 },
	{ "7K4", "", "", ResidueType::NON_POLYMER, false, "2-fluoranyl-5-[2-[(4~{S})-4-methyl-2-oxidanylidene-4-phenyl-pyrrolidin-1-yl]ethoxy]benzenecarbonitrile", 8618 },
	{ "7K6", "", "", ResidueType::NON_POLYMER, false, "7-{4-[(1S,4S,6R)-6-[(4-bromophenoxy)sulfonyl]-3-(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-2-en-2-yl]phenoxy}heptanoic acid", 8619 },
	{ "7K7", "", "", ResidueType::NON_POLYMER, false, "5-[[(2~{R})-2-methyl-1,4-diazepan-4-ium-1-yl]sulfonyl]isoquinoline", 8620 },
	{ "7K8", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},5~{R})-5-[(4~{E})-4-hydroxyimino-2-oxidanylidene-1,3-diazinan-1-yl]-3-oxidanyl-oxolan-2-yl]methyl dihydrogen phosphate", 8621 },
	{ "7K9", "", "", ResidueType::NON_POLYMER, false, "N,N'-(butane-1,4-diyl)bis(N-{3-[(2,3-dihydroxybenzene-1-carbonyl)amino]propyl}-2,3-dihydroxybenzamide)", 8622 },
	{ "7KA", "", "", ResidueType::NON_POLYMER, false, "4-azanyl-6-[[(1~{S})-1-(4-oxidanylidene-3-phenyl-pyrrolo[2,1-f][1,2,4]triazin-2-yl)ethyl]amino]pyrimidine-5-carbonitrile", 8623 },
	{ "7KB", "", "", ResidueType::NON_POLYMER, false, "5-(1,4-diazepan-1-ylsulfonyl)-4-methyl-isoquinoline", 8624 },
	{ "7KC", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1~{S})-2-(dimethylamino)-1-phenyl-ethyl]-6,6-dimethyl-3-[(2-methylthieno[3,2-d]pyrimidin-4-yl)amino]-1,4-dihydropyrrolo[3,4-c]pyrazole-5-carboxamide", 8625 },
	{ "7KD", "", "", ResidueType::NON_POLYMER, false, "~{N}-methyl-4-[[4-[[3-[methyl(methylsulfonyl)amino]pyrazin-2-yl]methylamino]-5-(trifluoromethyl)pyrimidin-2-yl]amino]benzamide", 8626 },
	{ "7KE", "", "", ResidueType::NON_POLYMER, false, "3-[3-(4-chlorophenyl)-1,2,4-oxadiazol-5-yl]propan-1-ol", 8627 },
	{ "7KF", "", "", ResidueType::NON_POLYMER, false, "2-{[(1R,2S)-2-aminocyclohexyl]amino}-4-[(3-methylphenyl)amino]-6,7-dihydro-5H-pyrrolo[3,4-d]pyrimidin-5-one", 8628 },
	{ "7KG", "", "", ResidueType::NON_POLYMER, false, "6-{[(1R,2S)-2-aminocyclohexyl]amino}-7-fluoro-4-(1-methyl-1H-pyrazol-4-yl)-1,2-dihydro-3H-pyrrolo[3,4-c]pyridin-3-one", 8629 },
	{ "7KH", "", "", ResidueType::NON_POLYMER, false, "~{N}-cyclopentyl-~{N}-(imidazo[1,2-a]pyridin-2-ylmethyl)-4-(iminomethyl)-6-morpholin-4-yl-1,3,5-triazin-2-amine", 8630 },
	{ "7KJ", "", "", ResidueType::NON_POLYMER, false, "(7~{R})-7-[(3,5-dimethyl-1,2-oxazol-4-yl)methylamino]-3-[(4-methoxynaphthalen-1-yl)methyl]-5,6,7,8-tetrahydro-[1]benzothiolo[2,3-d]pyrimidin-4-one", 8631 },
	{ "7KK", "", "", ResidueType::NON_POLYMER, false, "4-bromo-N-{3,5-dichloro-4-[(quinolin-3-yl)oxy]phenyl}-2,5-difluorobenzene-1-sulfonamide", 8632 },
	{ "7KL", "", "", ResidueType::NON_POLYMER, false, "3-{4-[(1S,4S,6R)-6-[(3-chlorophenoxy)sulfonyl]-3-(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-2-en-2-yl]phenyl}prop-2-enoic acid", 8633 },
	{ "7KN", "", "", ResidueType::NON_POLYMER, false, "[4-[cyclopentyl(pyrazin-2-ylmethyl)amino]-6-morpholin-4-yl-1,3,5-triazin-2-yl]methylideneazanide", 8634 },
	{ "7KO", "", "", ResidueType::NON_POLYMER, false, "6-chloro-N~4~,N~4~-bis[(pyridin-3-yl)methyl]pyrimidine-2,4-diamine", 8635 },
	{ "7KP", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S},4~{S},5~{R},6~{R})-2-(hydroxymethyl)-6-[3-[(~{E})-2-(4-hydroxyphenyl)ethenyl]-5-oxidanyl-phenoxy]oxane-3,4,5-triol", 8636 },
	{ "7KQ", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-[(1-aminoisoquinolin-6-yl)amino]-19-(cyclopropylsulfonyl)-3-methyl-13-oxa-3,15-diazatricyclo[14.3.1.1~6,10~]henicosa-1(20),6(21),7,9,16,18-hexaene-4,14-dione", 8637 },
	{ "7KR", "", "", ResidueType::NON_POLYMER, false, "(11R)-11-[(1-aminoisoquinolin-6-yl)amino]-16-(cyclopropylsulfonyl)-13-methyl-2,13-diazatricyclo[13.3.1.1~6,10~]icosa-1(19),6(20),7,9,15,17-hexaene-3,12-dione", 8638 },
	{ "7KS", "", "", ResidueType::NON_POLYMER, false, "(5R,11R)-11-[(1-amino-4-fluoroisoquinolin-6-yl)amino]-16-(cyclopropylsulfonyl)-7-(2,2-difluoroethoxy)-5,13-dimethyl-2,13-diazatricyclo[13.3.1.1~6,10~]icosa-1(19),6(20),7,9,15,17-hexaene-3,12-dione", 8639 },
	{ "7KT", "", "", ResidueType::NON_POLYMER, false, "~{N},2,4,6-tetramethylbenzenesulfonamide", 8640 },
	{ "7KU", "", "", ResidueType::NON_POLYMER, false, "1-{(3R)-3-[(7H-pyrrolo[2,3-d]pyrimidin-4-yl)amino]piperidin-1-yl}propan-1-one", 8641 },
	{ "7KV", "", "", ResidueType::NON_POLYMER, false, "1-[(3aR,7aR)-1-(7H-pyrrolo[2,3-d]pyrimidin-4-yl)octahydro-6H-pyrrolo[2,3-c]pyridin-6-yl]propan-1-one", 8642 },
	{ "7KW", "", "", ResidueType::NON_POLYMER, false, "N-phenyl-4-(5-phenyl-1H-pyrazol-4-yl)pyrimidin-2-amine", 8643 },
	{ "7KX", "", "", ResidueType::NON_POLYMER, false, "N-[3-(7H-pyrrolo[2,3-d]pyrimidin-4-yl)phenyl]propanamide", 8644 },
	{ "7KY", "", "", ResidueType::NON_POLYMER, false, "methyl 2-(2-{1-[(4-bromophenyl)methyl]-1H-imidazol-2-yl}ethyl)-3-chloro-4,6-dihydroxybenzoate", 8645 },
	{ "7KZ", "", "", ResidueType::NON_POLYMER, false, "N4-(1-methylpiperidin-4-yl)-N2-hexyl-6,7-dimethoxyquinazoline-2,4-diamine", 8646 },
	{ "7L0", "", "", ResidueType::NON_POLYMER, false, "N-[6-(5-methylsulfonylpyridin-3-yl)-[1,2,4]triazolo[1,5-a]pyridin-2-yl]ethanamide", 8647 },
	{ "7L2", "", "", ResidueType::NON_POLYMER, false, "", 8648 },
	{ "7L3", "", "", ResidueType::NON_POLYMER, false, "(5Z)-5-{[(4-tert-butylphenyl)sulfonyl]imino}-4-methyl-4,5-dihydro-1,3,4-thiadiazole-2-sulfonamide", 8649 },
	{ "7L4", "", "", ResidueType::NON_POLYMER, false, "2-PHENYLQUINOLIN-4-OL", 8650 },
	{ "7L5", "", "", ResidueType::NON_POLYMER, false, "2,6-dichloro-N-(difluoromethyl)-4-[3-(piperidin-4-yl)propyl]-N-(1,3,5-trimethyl-1H-pyrazol-4-yl)benzenesulfonamide", 8651 },
	{ "7L6", "", "", ResidueType::NON_POLYMER, false, "6,7-dimethoxy-N-(1-methylpiperidin-4-yl)-2-(morpholin-4-yl)quinazolin-4-amine", 8652 },
	{ "7L7", "", "", ResidueType::NON_POLYMER, false, "methyl (2~{Z})-2-cyano-2-[3-(2-fluorophenyl)-4-oxidanylidene-1,3-thiazolidin-2-ylidene]ethanoate", 8653 },
	{ "7LB", "", "", ResidueType::NON_POLYMER, false, "(E,2S)-N-methyl-5-(5-phenoxy-3-pyridyl)pent-4-en-2-amine", 8654 },
	{ "7LD", "", "", ResidueType::NON_POLYMER, false, "(8alpha)-N,N-diethyl-6-methyl-9,10-didehydroergoline-8-carboxamide", 8655 },
	{ "7LE", "", "", ResidueType::NON_POLYMER, false, "(5Z,8Z,11Z,14R,15R,17Z)-14,15-dihydroxyicosa-5,8,11,17-tetraenoic acid", 8656 },
	{ "7LF", "", "", ResidueType::NON_POLYMER, false, "1-(4-fluorophenyl)-2-[2-(4-methylphenyl)-2-oxoethyl]pyrrolo[1,2-a]pyrazin-2-ium", 8657 },
	{ "7LG", "", "", ResidueType::NON_POLYMER, false, "", 8658 },
	{ "7LH", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,4S,5R)-3-[3-[3,4-bis(oxidanyl)phenyl]propanoyloxy]-1,4,5-tris(oxidanyl)cyclohexane-1-carboxylic acid", 8659 },
	{ "7LI", "", "", ResidueType::NON_POLYMER, false, "(5Z)-5-{2-[(3R)-3-aminopiperidin-1-yl]-3-(propan-2-yloxy)benzylidene}-1,3-thiazolidine-2,4-dione", 8660 },
	{ "7LK", "", "", ResidueType::NON_POLYMER, false, "1-methyl-2-[4-(piperazin-1-yl)phenyl]-1H-pyrrolo[2,3-b]pyridine-4-carbonitrile", 8661 },
	{ "7LL", "", "", ResidueType::NON_POLYMER, false, "2-hydroxy-N'-[(Z)-(2-hydroxynaphthalen-1-yl)methylidene]benzohydrazide", 8662 },
	{ "7LM", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3S,4R)-1-(alpha-D-galactopyranosyloxy)-3,4-dihydroxy-16-phenylhexadecan-2-yl]octanamide", 8663 },
	{ "7LN", "", "", ResidueType::NON_POLYMER, false, "N,N''-{[(2S)-3-aminopropane-1,2-diyl]bis(oxymethanediylbenzene-3,1-diyl)}dithiophene-2-carboximidamide", 8664 },
	{ "7LO", "", "", ResidueType::NON_POLYMER, false, "", 8665 },
	{ "7LP", "", "", ResidueType::NON_POLYMER, false, "(5R,6S,7S)-5,6-dihydroxy-7-(octanoylamino)-N-(6-phenylhexyl)-8-{[(2S,3R,4S,5R,6R)-3,4,5-trihydroxy-6-(hydroxymethyl)tetrahydro-2H-pyran-2-yl]oxy}octanamide", 8666 },
	{ "7LQ", "", "", ResidueType::NON_POLYMER, false, "(1~{R},2~{R},6~{R})-6-(hydroxymethyl)cyclohex-3-ene-1,2-diol", 8667 },
	{ "7LR", "", "", ResidueType::NON_POLYMER, false, "N-(2-amino-1H-benzimidazol-5-yl)-2-[3-[(2-amino-2-oxoethyl)-methylsulfonylamino]-5-chlorophenyl]acetamide", 8668 },
	{ "7LS", "", "", ResidueType::NON_POLYMER, false, "2-[[1-[(2~{R},3~{R},4~{S},5~{S},6~{R})-6-(hydroxymethyl)-3,4,5-tris(oxidanyl)oxan-2-yl]-2-oxidanylidene-pyrimidin-4-yl]amino]-10~{H}-acridin-9-one", 8669 },
	{ "7LT", "", "", ResidueType::NON_POLYMER, false, "(5~{R},13~{S},17~{S})-5-[[4-chloranyl-3-(2-phenylethyl)phenyl]methyl]-13-[(4-chlorophenyl)methyl]-8-methyl-1,4,8,12,16-pentazatricyclo[15.8.1.0^{20,25}]hexacosa-20(25),21,23-triene-3,7,15,26-tetrone", 8670 },
	{ "7LU", "", "", ResidueType::NON_POLYMER, false, "2-[3,4-bis(oxidanyl)phenyl]-7-chloranyl-5-oxidanyl-chromen-4-one", 8671 },
	{ "7LV", "", "", ResidueType::NON_POLYMER, false, "9-(3,5-dichloro-4-hydroxyphenyl)-1-{trans-4-[(dimethylamino)methyl]cyclohexyl}-3-methyl-3,4-dihydropyrimido[5,4-c][1,5]naphthyridin-2(1H)-one", 8672 },
	{ "7LW", "", "", ResidueType::NON_POLYMER, false, "(5~{R},13~{S},17~{S})-5-[(3,4-dichlorophenyl)methyl]-8-methyl-13-[(4-methylsulfonylphenyl)methyl]-1,4,8,12,16-pentazatricyclo[15.8.1.0^{20,25}]hexacosa-20,22,24-triene-3,7,15,26-tetrone", 8673 },
	{ "7LX", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-(4-ethoxy-3-methoxy-phenyl)-2-(isoquinolin-6-ylamino)ethanoic acid", 8674 },
	{ "7LY", "", "", ResidueType::NON_POLYMER, false, "2-(benzyloxy)-4-(1H-pyrazol-4-yl)-N-(2,3,4,5-tetrahydro-1H-3-benzazepin-7-yl)benzamide", 8675 },
	{ "7LZ", "", "", ResidueType::NON_POLYMER, false, "", 8676 },
	{ "7M0", "", "", ResidueType::NON_POLYMER, false, "5,6-DIBROMOBENZOTRIAZOLE", 8677 },
	{ "7M1", "", "", ResidueType::NON_POLYMER, false, "", 8678 },
	{ "7M2", "", "", ResidueType::NON_POLYMER, false, "(4~{R})-4-pyridin-3-yl-4,5-dihydropyrrolo[1,2-a]quinoxaline", 8679 },
	{ "7M3", "", "", ResidueType::NON_POLYMER, false, "7-[[3-[(dimethylamino)methyl]phenoxy]methyl]quinolin-2-amine", 8680 },
	{ "7M4", "", "", ResidueType::NON_POLYMER, false, "6-{4-[(1S,4S,6S)-6-[(4-bromophenoxy)sulfonyl]-3-(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-2-en-2-yl]phenyl}hex-5-enoic acid", 8681 },
	{ "7M5", "", "", ResidueType::NON_POLYMER, false, "4-pyridin-3-ylpyrrolo[1,2-a]quinoxaline", 8682 },
	{ "7M6", "", "", ResidueType::NON_POLYMER, false, "7-chloro-4-(2-fluoroethyl)-2,3-dihydro-1,2,4-benzothiadiazine 1,1-dioxide", 8683 },
	{ "7M7", "", "", ResidueType::NON_POLYMER, false, "", 8684 },
	{ "7M8", "", "", ResidueType::NON_POLYMER, false, "6-(3-oxidanylpropyl)-2-(1,3,6-trimethyl-2-oxidanylidene-benzimidazol-5-yl)benzo[de]isoquinoline-1,3-dione", 8685 },
	{ "7M9", "", "", ResidueType::NON_POLYMER, false, "1-pyrrolo[1,2-a]quinoxalin-4-ylnaphthalen-2-ol", 8686 },
	{ "7MA", "", "", ResidueType::NON_POLYMER, false, "N-ethyl-2-[(6-methoxypyridin-3-yl)-(2-methylphenyl)sulfonyl-amino]-N-(pyridin-3-ylmethyl)ethanamide", 8687 },
	{ "7MB", "", "", ResidueType::NON_POLYMER, false, "Agelastatin A", 8688 },
	{ "7MC", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-[(N-acetyl-L-alpha-aspartyl)amino](3-aminopropoxy)phosphoryl]adenosine", 8689 },
	{ "7MD", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-(3-aminopropoxy)(L-alpha-aspartylamino)phosphoryl]adenosine", 8690 },
	{ "7ME", "", "", ResidueType::NON_POLYMER, false, "(7S)-7-methyl-5,6,7,8-tetrahydroquinazoline-2,4-diamine", 8691 },
	{ "7MF", "", "", ResidueType::NON_POLYMER, false, "[(7~{S})-1-bromanyl-6,6-bis(oxidanyl)-4-phenyl-5,7,8,9-tetrahydrobenzo[7]annulen-7-yl]azanium", 8692 },
	{ "7MG", "", "", ResidueType::RNA_LINKING, false, "7N-METHYL-8-HYDROGUANOSINE-5'-MONOPHOSPHATE", 8693 },
	{ "7MH", "", "", ResidueType::NON_POLYMER, false, "1-hydroxy-4,6-dimethylpyridine-2(1H)-thione", 8694 },
	{ "7MI", "", "", ResidueType::NON_POLYMER, false, "methyl (2S,4aR,4bS,5S,6aS,10aS,10bS,12aS)-2,4b,7,7,10a,12a-hexamethyl-12-methylidene-5-oxidanyl-1,4,6,8-tetrakis(oxidanylidene)-5,6a,9,10,10b,11-hexahydro-4aH-naphtho[1,2-h]isochromene-2-carboxylate", 8695 },
	{ "7MJ", "", "", ResidueType::NON_POLYMER, false, "3-benzyl-N-[(3S)-5-methyl-4-oxo-2,3,4,5-tetrahydro-1,5-benzoxazepin-3-yl]-1H-1,2,4-triazole-5-carboxamide", 8696 },
	{ "7MK", "", "", ResidueType::NON_POLYMER, false, "[(7~{S})-6,6-bis(oxidanyl)-5,7,8,9-tetrahydrobenzo[7]annulen-7-yl]azanium", 8697 },
	{ "7ML", "", "", ResidueType::NON_POLYMER, false, "[(7~{S})-6,6-bis(oxidanyl)-4-phenyl-5,7,8,9-tetrahydrobenzo[7]annulen-7-yl]azanium", 8698 },
	{ "7MN", "", "", ResidueType::PEPTIDE_LINKING, false, "(Z)-N-[(1E)-1-carboxy-2-(2,3-dihydro-1H-indol-1-yl)ethylidene]{3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4(1H)-ylidene}methanaminium", 8699 },
	{ "7MP", "", "", ResidueType::NON_POLYMER, false, "7-AMINO-1-METHYL-3-(2-METHYL-5-{[3-(TRIFLUOROMETHYL)BENZOYL]AMINO}PHENYL)-2-OXO-2,3-DIHYDROPYRIMIDO[4,5-D]PYRIMIDIN-1-IUM", 8700 },
	{ "7MQ", "", "MQ7", ResidueType::NON_POLYMER, true, "MENAQUINONE-7 (ALTERED)", 8701 },
	{ "7MR", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-AMINO-3,3,3-TRIFLUORO-N-HYDROXY-2-{[(4-PHENOXYPHENYL)SULFONYL]METHYL}PROPANAMIDE", 8702 },
	{ "7MS", "", "", ResidueType::NON_POLYMER, false, "(5Z,8Z,11Z,14Z,17R,18R)-17,18-dihydroxyicosa-5,8,11,14-tetraenoic acid", 8703 },
	{ "7MT", "", "", ResidueType::NON_POLYMER, false, "1,4-Bis((6-carboxypyridin-2-yl)methyl)-1,4,7-triazacyclononane", 8704 },
	{ "7MU", "", "", ResidueType::NON_POLYMER, false, "4-chloranyl-~{N}-methyl-pyridine-2-carboxamide", 8705 },
	{ "7MV", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-1-[(4-chloro-3-fluorophenyl)methyl]-1H-indole-5-carboxamide", 8706 },
	{ "7MW", "", "", ResidueType::NON_POLYMER, false, "methyl 4-propanoyl-1~{H}-pyrrole-2-carboxylate", 8707 },
	{ "7MX", "", "", ResidueType::NON_POLYMER, false, "ethyl 4-chloranyl-1-methyl-6-oxidanylidene-pyridine-3-carboxylate", 8708 },
	{ "7MY", "", "", ResidueType::NON_POLYMER, false, "7-[(1S)-4-hydroxy-2,3-dihydro-1H-inden-1-yl]-5,5-dimethyl-2-({3-[(pyrrolidin-1-yl)methyl]phenyl}amino)-5,7-dihydro-6H-pyrrolo[2,3-d]pyrimidin-6-one", 8709 },
	{ "7MZ", "", "", ResidueType::NON_POLYMER, false, "1-(3-pyrimidin-2-yloxyphenyl)ethanone", 8710 },
	{ "7N1", "", "", ResidueType::NON_POLYMER, false, "5-{2-[2-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)ethoxy]-4-fluorophenoxy}-7-fluoronaphthalene-2-carbonitrile", 8711 },
	{ "7N2", "", "", ResidueType::NON_POLYMER, false, "(4~{R})-4-pyridin-3-yl-5-[3-(trifluoromethyl)phenyl]sulfonyl-4~{H}-pyrrolo[1,2-a]quinoxaline", 8712 },
	{ "7N3", "", "", ResidueType::NON_POLYMER, false, "2-[2-[(4-oxidanylidene-3~{H}-quinazolin-2-yl)sulfanyl]ethanoylamino]thiophene-3-carboxamide", 8713 },
	{ "7N4", "", "", ResidueType::NON_POLYMER, false, "{3-chloro-4-[(2-fluorophenyl)methoxy]phenyl}borinic acid", 8714 },
	{ "7N5", "", "", ResidueType::NON_POLYMER, false, "2-Ketohexanoic acid", 8715 },
	{ "7N6", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-hydroxyhexanoic acid", 8716 },
	{ "7N7", "", "", ResidueType::NON_POLYMER, false, "naphthalen-2-ylboronic acid", 8717 },
	{ "7N8", "", "", ResidueType::PEPTIDE_LINKING, false, "4-Borono-L-phenylalanine", 8718 },
	{ "7N9", "", "", ResidueType::NON_POLYMER, false, "(5-chloranyl-2-methoxy-phenyl)methylazanium", 8719 },
	{ "7NA", "", "", ResidueType::NON_POLYMER, false, "2-hydroxy-7-methoxy-5-methyl naphthoic acid", 8720 },
	{ "7NB", "", "", ResidueType::NON_POLYMER, false, "2-[[2-ethyl-8-methyl-6-[4-[2-(3-oxidanylazetidin-1-yl)-2-oxidanylidene-ethyl]piperazin-1-yl]imidazo[1,2-a]pyridin-3-yl]-methyl-amino]-4-(4-fluorophenyl)-1,3-thiazole-5-carbonitrile", 8721 },
	{ "7NC", "", "", ResidueType::NON_POLYMER, false, "4-methyl-2-(2-naphthalen-1-yl-2-oxidanylidene-ethyl)sulfanyl-1~{H}-pyrimidin-6-one", 8722 },
	{ "7ND", "", "", ResidueType::NON_POLYMER, false, "(3-bromo-5-phenoxyphenyl)boronic acid", 8723 },
	{ "7NF", "", "", ResidueType::NON_POLYMER, false, "2-ethoxycarbonyl-1,3-thiazole-4-carboxylic acid", 8724 },
	{ "7NG", "", "", ResidueType::NON_POLYMER, false, "5-[3-(tert-butylcarbamoyl)phenyl]-6-(ethylamino)-2-(4-fluorophenyl)-N-methylfuro[2,3-b]pyridine-3-carboxamide", 8725 },
	{ "7NH", "", "", ResidueType::NON_POLYMER, false, "[2'-HYDROXY-3'-(1H-PYRROLO[3,2-C]PYRIDIN-2-YL)-BIPHENYL-3-YLMETHYL]-UREA", 8726 },
	{ "7NI", "", "", ResidueType::NON_POLYMER, false, "7-NITROINDAZOLE", 8727 },
	{ "7NJ", "", "", ResidueType::NON_POLYMER, false, "(3-bromo-4-methylphenyl)boronic acid", 8728 },
	{ "7NM", "", "", ResidueType::NON_POLYMER, false, "[3-(benzyloxy)-4-methylphenyl]borinic acid", 8729 },
	{ "7NP", "", "", ResidueType::NON_POLYMER, false, "(2S)-7-methoxy-2-methyl-3,4-dihydronaphthalen-1(2H)-one", 8730 },
	{ "7NQ", "", "", ResidueType::NON_POLYMER, false, "~{N}-(4-ethoxyquinazolin-2-yl)propanamide", 8731 },
	{ "7NS", "", "", ResidueType::NON_POLYMER, false, "[3-bromo-5-(pyrrolidin-1-yl)phenyl]borinic acid", 8732 },
	{ "7NT", "", "", ResidueType::NON_POLYMER, false, "~{N}-(4-morpholin-4-ylthieno[2,3-d]pyrimidin-2-yl)propanamide", 8733 },
	{ "7NU", "", "", ResidueType::NON_POLYMER, false, "Phenyl 6,7-dideoxy-6,7-epoxy-beta-D-galacto-heptopyranoside(6D)", 8734 },
	{ "7NV", "", "", ResidueType::NON_POLYMER, false, "5-[[[(1S)-2-(butylamino)-2-oxidanylidene-1-phenyl-ethyl]carbamoyl-methyl-amino]methyl]-1,3-benzodioxole-4-carboxylic acid", 8735 },
	{ "7NW", "", "", ResidueType::NON_POLYMER, false, "2-methyl-1,3-thiazole-4-carboxylic acid", 8736 },
	{ "7NX", "", "", ResidueType::NON_POLYMER, false, "cyclohexylmethyl hydrogen carbonate", 8737 },
	{ "7O0", "", "", ResidueType::NON_POLYMER, false, "(~{E})-3-[4-oxidanyl-3-[3-(phenylmethyl)phenyl]phenyl]prop-2-enoic acid", 8738 },
	{ "7O2", "", "", ResidueType::NON_POLYMER, false, "[(2~{S})-2-[[(2~{S})-1-azanyl-1-oxidanylidene-3-phenyl-propan-2-yl]carbamoyl]-4,4-diphenyl-butyl]-[(1~{R})-1-azanyl-3-phenyl-propyl]phosphinic acid", 8739 },
	{ "7O3", "", "", ResidueType::NON_POLYMER, false, "2-chloranyl-~{N}-[4-[(2-chloranyl-5-oxidanyl-phenyl)amino]quinazolin-7-yl]ethanamide", 8740 },
	{ "7O4", "", "", ResidueType::NON_POLYMER, false, "3-(furan-2-yl)-1H-pyrazole-5-carboxylic acid", 8741 },
	{ "7O6", "", "", ResidueType::NON_POLYMER, false, "[(2~{S},3~{R},4~{R})-5-[8-methanoyl-7-methyl-2,4-bis(oxidanylidene)-1~{H}-benzo[g]pteridin-10-ium-10-yl]-2,3,4-tris(oxidanyl)pentyl] dihydrogen phosphate", 8742 },
	{ "7O7", "", "", ResidueType::NON_POLYMER, false, "(3S,3aR,5R,7aS,8S)-hexahydro-4H-3,5-methanofuro[2,3-b]pyran-8-yl {(2S,3R)-4-[{[2-(cyclopropylamino)-1,3-benzothiazol-6-yl]sulfonyl}(2-methylpropyl)amino]-3-hydroxy-1-phenylbutan-2-yl}carbamate", 8743 },
	{ "7O8", "", "", ResidueType::NON_POLYMER, false, "5-[(4-chlorophenyl)methylsulfanyl]thiophene-2-sulfonamide", 8744 },
	{ "7O9", "", "", ResidueType::NON_POLYMER, false, "(2~{S},3~{S})-2-azanyl-3-[[3-[[4-(trifluoromethyl)phenyl]carbonylamino]phenyl]methoxy]butanedioic acid", 8745 },
	{ "7OA", "", "", ResidueType::NON_POLYMER, false, "", 8746 },
	{ "7OD", "", "", ResidueType::NON_POLYMER, false, "(2E,5R)-5-hydroxy-2-methylhept-2-enoic acid", 8747 },
	{ "7OG", "", "", ResidueType::NON_POLYMER, false, "[(3S)-3-(5-methyl[1,2,4]triazolo[1,5-a]pyrimidin-7-yl)piperidin-1-yl](naphthalen-2-yl)methanone", 8748 },
	{ "7OJ", "", "", ResidueType::NON_POLYMER, false, "(3-bromo-4-fluorophenyl)[(5S)-3,3-difluoro-5-(5-methyl[1,2,4]triazolo[1,5-a]pyrimidin-7-yl)piperidin-1-yl]methanone", 8749 },
	{ "7OM", "", "", ResidueType::NON_POLYMER, false, "(3~{R})-1-(5-methyl-[1,2,4]triazolo[1,5-a]pyrimidin-7-yl)-~{N}-naphthalen-2-yl-piperidine-3-carboxamide", 8750 },
	{ "7OP", "", "", ResidueType::NON_POLYMER, false, "[(5S)-3,3-difluoro-5-(5-methyl[1,2,4]triazolo[1,5-a]pyrimidin-7-yl)piperidin-1-yl](4-fluorophenyl)methanone", 8751 },
	{ "7OS", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-3-cyclopropyl-3-[(2R)-2-(1-{(1S)-1-[5-fluoro-2-(trifluoromethoxy)phenyl]ethyl}piperidin-4-yl)-3,4-dihydro-2H-1-benzopyran-7-yl]-2-methylpropanoic acid", 8752 },
	{ "7OV", "", "", ResidueType::NON_POLYMER, false, "[(5S)-3,3-difluoro-5-(5-methyl[1,2,4]triazolo[1,5-a]pyrimidin-7-yl)piperidin-1-yl](4-fluoro-3-iodophenyl)methanone", 8753 },
	{ "7OX", "", "", ResidueType::NON_POLYMER, false, "7-oxo-simocyclinone D8", 8754 },
	{ "7OY", "", "", ResidueType::NON_POLYMER, false, "(3-chloro-4-fluorophenyl)[(5S)-3,3-difluoro-5-(5-methyl[1,2,4]triazolo[1,5-a]pyrimidin-7-yl)piperidin-1-yl]methanone", 8755 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-1-benzyl-2-[2-[5-chloro-2-(tetrazol-1-yl)phenyl]ethylamino]-2-oxo-ethyl]-4-hydroxy-2-oxo-1H-quinoline-6-carboxamide", 8756 },
	{ "7P1", "", "", ResidueType::NON_POLYMER, false, "2-[(2-carboxyphenyl)amino]-5-(3-phosphonopropoxy)benzoic acid", 8757 },
	{ "7P2", "", "", ResidueType::NON_POLYMER, false, "2-[(2-carboxyphenyl)amino]-5-(4-phosphonobutoxy)benzoic acid", 8758 },
	{ "7P3", "", "", ResidueType::NON_POLYMER, false, "2-[(2-carboxyphenyl)amino]-5-[(5-phosphonopentyl)oxy]benzoic acid", 8759 },
	{ "7P4", "", "", ResidueType::NON_POLYMER, false, "[(5S)-3,3-difluoro-5-(5-methyl[1,2,4]triazolo[1,5-a]pyrimidin-7-yl)piperidin-1-yl](3,4-difluorophenyl)methanone", 8760 },
	{ "7P7", "", "", ResidueType::NON_POLYMER, false, "", 8761 },
	{ "7P9", "", "", ResidueType::NON_POLYMER, false, "[(2R)-2-heptanoyloxy-3-phosphonooxy-propyl] nonanoate", 8762 },
	{ "7PA", "", "", ResidueType::NON_POLYMER, false, "PROPANE-1,3-DIYLBIS(PHOSPHONIC ACID)", 8763 },
	{ "7PC", "", "", ResidueType::NON_POLYMER, false, "2-[4-(AMINOMETHYL)-2-CHLOROPHENOXY]-5-PYRIDIN-2-YLPHENOL", 8764 },
	{ "7PE", "", "", ResidueType::NON_POLYMER, false, "2-(2-(2-(2-(2-(2-ETHOXYETHOXY)ETHOXY)ETHOXY)ETHOXY)ETHOXY)ETHANOL", 8765 },
	{ "7PF", "", "", ResidueType::NON_POLYMER, false, "pentalenolactone F", 8766 },
	{ "7PG", "", "", ResidueType::NON_POLYMER, false, "2,5,8,11,14,17,20,23-OCTAOXAPENTACOSAN-25-OL", 8767 },
	{ "7PH", "", "", ResidueType::NON_POLYMER, false, "(1R)-2-(dodecanoyloxy)-1-[(phosphonooxy)methyl]ethyl tetradecanoate", 8768 },
	{ "7PJ", "", "", ResidueType::NON_POLYMER, false, "[(2-amino-6-oxo-6,9-dihydro-1H-purin-8-yl)sulfanyl]acetic acid", 8769 },
	{ "7PM", "", "", ResidueType::NON_POLYMER, false, "(2R)-[(2-amino-6-oxo-6,9-dihydro-1H-purin-8-yl)sulfanyl](phenyl)acetic acid", 8770 },
	{ "7PP", "", "", ResidueType::NON_POLYMER, false, "5-{2-amino-4-chloro-7-[(4-methoxy-3,5-dimethylpyridin-2-yl)methyl]-7H-pyrrolo[2,3-d]pyrimidin-5-yl}-2-methylpent-4-yn-2-ol", 8771 },
	{ "7PQ", "", "", ResidueType::NON_POLYMER, false, "4-[2-(aminomethyl)naphthalen-1-yl]-N-[2-(morpholin-4-yl)ethyl]benzamide", 8772 },
	{ "7PR", "", "", ResidueType::NON_POLYMER, false, "praseodymium triacetate", 8773 },
	{ "7PS", "", "", ResidueType::NON_POLYMER, false, "2-[(2-amino-6-oxo-6,9-dihydro-1H-purin-8-yl)sulfanyl]-N-methylacetamide", 8774 },
	{ "7PT", "", "", ResidueType::NON_POLYMER, false, "pentalenolactone", 8775 },
	{ "7PV", "", "", ResidueType::NON_POLYMER, false, "4-{2-[(2-amino-6-oxo-6,9-dihydro-1H-purin-8-yl)sulfanyl]ethyl}benzene-1-sulfonamide", 8776 },
	{ "7PY", "", "", ResidueType::NON_POLYMER, false, "7-PYRIDIN-2-YL-N-(3,4,5-TRIMETHOXYPHENYL)-7H-PYRROLO[2,3-D]PYRIMIDIN-2-AMINE", 8777 },
	{ "7Q1", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-phenyl-1,3-oxazolidine-2,4-dione", 8778 },
	{ "7Q7", "", "", ResidueType::NON_POLYMER, false, "2-(1H-indol-4-yl)-4-(3,4,5-trimethoxyphenyl)-1H-imidazo[4,5-c]pyridine", 8779 },
	{ "7QA", "", "", ResidueType::NON_POLYMER, false, "(2R,6S)-2-amino-6-(carboxyamino)-7-{[(1R)-1-carboxyethyl]amino}-7-oxoheptanoic acid", 8780 },
	{ "7QM", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3S,4R,6S)-4,6-diamino-3-{[3-deoxy-3-(methylamino)-alpha-D-glucopyranosyl]oxy}-2-hydroxycyclohexyl 2,6-diamino-2,6-dideoxy-alpha-D-glucopyranoside", 8781 },
	{ "7QN", "", "", ResidueType::NON_POLYMER, false, "(E)-3-[4-(6-hydroxy-2-isobutyl-5-methyl-3,4-dihydro-1H-isoquinolin-1-yl)phenyl]prop-2-enoic acid", 8782 },
	{ "7QQ", "", "", ResidueType::NON_POLYMER, false, "N-(5-methoxy-1,3-benzothiazol-2-yl)ethanamide", 8783 },
	{ "7QS", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-phenyl-1,3-thiazolidine-2,4-dione", 8784 },
	{ "7QV", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-(2,4-dimethoxyphenyl)-1,3-oxazolidine-2,4-dione", 8785 },
	{ "7QY", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-[(2,4-dimethoxyphenyl)methyl]-1,3-thiazolidine-2,4-dione", 8786 },
	{ "7R1", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-[(2,4-dimethoxyphenyl)methyl]-2-sulfanylidene-1,3-thiazolidin-4-one", 8787 },
	{ "7R4", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-benzyl-2-sulfanylidene-1,3-thiazolidin-4-one", 8788 },
	{ "7R7", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-(2,4-dimethoxyphenyl)-2-sulfanylidene-1,3-oxazolidin-4-one", 8789 },
	{ "7R9", "", "", ResidueType::NON_POLYMER, false, "5-Chloro-thiophene-2-carboxylic acid [(S)-2-[2-difluoromethoxy-3-(2-oxo-piperidin-1-yl)-benzenesulfonylamino]-3-((S)-3-dimethylamino-pyrrolidin-1-yl)-3-oxo-propyl]-amide", 8790 },
	{ "7RA", "", "", ResidueType::NON_POLYMER, false, "7-ALPHA-D-RIBOFURANOSYL-2-AMINOPURINE-5'-PHOSPHATE", 8791 },
	{ "7RD", "", "", ResidueType::NON_POLYMER, false, "(R,E)-3-(4-AZIDOBUTYL)-4-HYDROXY-5-METHYL-5-(2-METHYLBUTA-1,3-DIEN-1-YL)THIOPHEN-2(5H)-ONE", 8792 },
	{ "7RG", "", "", ResidueType::NON_POLYMER, false, "6-[(3S,4S)-4-methyl-1-(pyrimidin-2-ylmethyl)pyrrolidin-3-yl]-1-(tetrahydro-2H-pyran-4-yl)-1,5-dihydro-4H-pyrazolo[3,4-d]pyrimidin-4-one", 8793 },
	{ "7RM", "", "", ResidueType::NON_POLYMER, false, "5'-O-(acetylsulfamoyl)adenosine", 8794 },
	{ "7RO", "", "", ResidueType::NON_POLYMER, false, "tert-butyl 6-((2-chloro-4-(dimethylcarbamoyl)phenyl)amino)-2-(1-methyl-1H-pyrazol-4-yl)-1H-pyrrolo[3,2-c]pyridine-1-carboxylate", 8795 },
	{ "7RP", "", "", ResidueType::NON_POLYMER, false, "7-ALPHA-D-RIBOFURANOSYL-PURINE-5'-PHOSPHATE", 8796 },
	{ "7RS", "", "", ResidueType::NON_POLYMER, false, "N~2~-(3,4-difluorophenyl)-N-{2-methyl-5-[(piperazin-1-yl)methyl]phenyl}glycinamide", 8797 },
	{ "7RV", "", "", ResidueType::NON_POLYMER, false, "N-{[4-(4-phenylpiperazin-1-yl)oxan-4-yl]methyl}-2-(phenylsulfanyl)pyridine-3-carboxamide", 8798 },
	{ "7RY", "", "", ResidueType::NON_POLYMER, false, "N-[2-({2-[(2-hydroxyethyl)amino]ethyl}amino)quinolin-5-yl]-2-[(3s,5s,7s)-tricyclo[3.3.1.1~3,7~]decan-1-yl]acetamide", 8799 },
	{ "7S1", "", "", ResidueType::NON_POLYMER, false, "N-cyano-N'-[(1R)-1-phenylethyl]-N''-quinolin-5-ylguanidine", 8800 },
	{ "7S4", "", "", ResidueType::NON_POLYMER, false, "N-{(1R)-1-[N''-cyano-N'-(quinolin-5-yl)carbamimidamido]-2,2-dimethylpropyl}-2-(3,4-dimethoxyphenyl)acetamide", 8801 },
	{ "7S7", "", "", ResidueType::NON_POLYMER, false, "6-(3-amino-2-(6-(2-(6-amino-4-methylpyridin-2-yl)ethyl)pyridin-2-yl)propyl)-4-methylpyridin-2-amine", 8802 },
	{ "7S9", "", "", ResidueType::NON_POLYMER, false, "6-[2-[5-[2-(dimethylamino)ethyl]pyridin-3-yl]ethyl]-4-methyl-pyridin-2-amine", 8803 },
	{ "7SA", "", "", ResidueType::SACCHARIDE, false, "ACARBOSE DERIVED HEPTASACCHARIDE", 8804 },
	{ "7SB", "", "", ResidueType::NON_POLYMER, false, "N-(4-chlorobenzyl)-5-(furan-2-yl)-1H-1,2,4-triazol-3-amine", 8805 },
	{ "7SD", "", "", ResidueType::NON_POLYMER, false, "N-[(6-amino-2,4-dimethylpyridin-3-yl)methyl]-1-({4-[(1H-pyrazol-1-yl)methyl]phenyl}methyl)-1H-pyrazole-4-carboxamide", 8806 },
	{ "7SG", "", "", ResidueType::NON_POLYMER, false, "", 8807 },
	{ "7SI", "", "", ResidueType::NON_POLYMER, false, "(1R,4S)-1,2,3,4-tetrahydro-1,4-methanonaphthalene-5,8-diol", 8808 },
	{ "7SJ", "", "", ResidueType::NON_POLYMER, false, "2-methoxy-5-({2-[1-(propan-2-yl)-1H-pyrazol-5-yl]pyridin-3-yl}methoxy)pyridine-4-carbaldehyde", 8809 },
	{ "7SK", "", "", ResidueType::NON_POLYMER, false, "(2S)-tert-butoxy[3-(3,4-dihydro-2H-1-benzopyran-6-yl)-1-methyl-1H-indol-2-yl]acetic acid", 8810 },
	{ "7SM", "", "", ResidueType::NON_POLYMER, false, "", 8811 },
	{ "7SP", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-amino-N'-[(E)-(4-hydroxynaphthalen-1-yl)methylidene]-2-phenylethanehydrazide", 8812 },
	{ "7SS", "", "", ResidueType::NON_POLYMER, false, "", 8813 },
	{ "7SV", "", "", ResidueType::NON_POLYMER, false, "", 8814 },
	{ "7SY", "", "", ResidueType::NON_POLYMER, false, "", 8815 },
	{ "7T1", "", "", ResidueType::NON_POLYMER, false, "{2-methyl-4-[({4-methyl-2-[4-(trifluoromethyl)phenyl]-1,3-thiazol-5-yl}methyl)sulfanyl]phenoxy}acetic acid", 8816 },
	{ "7T7", "", "", ResidueType::NON_POLYMER, false, "N-[4-({[(3S)-oxolan-3-yl]methyl}carbamoyl)phenyl]-1,3-dihydro-2H-isoindole-2-carboxamide", 8817 },
	{ "7T9", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-5-(6-FLUORO-3-PYRIDINYL)-2,3-DIHYDRO-1H-INDEN-2-YL]-2-PROPANESULFONAMIDE", 8818 },
	{ "7TA", "", "", ResidueType::NON_POLYMER, false, "N-{4-[1-(2-methylpropanoyl)piperidin-4-yl]phenyl}-2H-pyrrolo[3,4-c]pyridine-2-carboxamide", 8819 },
	{ "7TD", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-3-amino-1-(hydroxyamino)-3-methyl-1-oxobutan-2-yl]-4-[(but-2-yn-1-yl)oxy]benzamide", 8820 },
	{ "7TJ", "", "", ResidueType::NON_POLYMER, false, "N-[4-(2-CHLORO-5-METHYLPYRIMIDIN-4-YL)PHENYL]-2,4-DIHYDROXY-N-(4-{[(TRIFLUOROACETYL)AMINO]METHYL}BENZYL)BENZAMIDE", 8821 },
	{ "7TL", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-[[(4R)-4-(2-chloranyl-4-fluoranyl-phenyl)-5-methoxycarbonyl-2-(1,3-thiazol-2-yl)-1,4-dihydropyrimidin-6-yl]methyl]-4,4-bis(fluoranyl)pyrrolidine-2-carboxylic acid", 8822 },
	{ "7TM", "", "", ResidueType::NON_POLYMER, false, "4-({(3R)-7-cyano-4-[(4-methoxyphenyl)sulfonyl]-1-[(1-methyl-1H-imidazol-5-yl)methyl]-2,3,4,5-tetrahydro-1H-1,4-benzodiazepin-3-yl}methyl)phenyl hexylcarbamate", 8823 },
	{ "7TO", "", "", ResidueType::NON_POLYMER, false, "4-({(3R)-7-cyano-4-[(4-methoxyphenyl)sulfonyl]-1-[(1-methyl-1H-imidazol-5-yl)methyl]-2,3,4,5-tetrahydro-1H-1,4-benzodiazepin-3-yl}methyl)phenyl trifluoromethanesulfonate", 8824 },
	{ "7TP", "", "", ResidueType::NON_POLYMER, false, "5-{(3R)-3-(4-hydroxybenzyl)-4-[(4-methoxyphenyl)sulfonyl]-1-[(1-methyl-1H-imidazol-5-yl)methyl]-2,3,4,5-tetrahydro-1H-1,4-benzodiazepin-7-yl}furan-2-carbaldehyde", 8825 },
	{ "7TQ", "", "", ResidueType::NON_POLYMER, false, "4-({(3R)-7-cyano-4-[(4-methoxyphenyl)sulfonyl]-1-[(1-methyl-1H-imidazol-5-yl)methyl]-2,3,4,5-tetrahydro-1H-1,4-benzodiazepin-3-yl}methyl)phenyl benzylcarbamate", 8826 },
	{ "7TR", "", "", ResidueType::NON_POLYMER, false, "4-({(3R)-7-cyano-4-[(4-methoxyphenyl)sulfonyl]-1-[(1-methyl-1H-imidazol-5-yl)methyl]-2,3,4,5-tetrahydro-1H-1,4-benzodiazepin-3-yl}methyl)phenyl diethylcarbamate", 8827 },
	{ "7TS", "", "", ResidueType::NON_POLYMER, false, "(5-hydroxy-6-methyl-4-{[(3-oxo-2,3-dihydro-1,2-oxazol-4-yl)amino]methyl}pyridin-3-yl)methyl dihydrogen phosphate", 8828 },
	{ "7TV", "", "", ResidueType::NON_POLYMER, false, "6-[2-({cyclopentyl[4-(furan-2-yl)benzene-1-carbonyl]amino}methyl)phenoxy]hexanoic acid", 8829 },
	{ "7TX", "", "", ResidueType::NON_POLYMER, false, "5-[[2,4-bis(oxidanylidene)quinazolin-1-yl]methyl]-2-fluoranyl-N-[(3R)-1-(3-methylbutyl)pyrrolidin-3-yl]benzamide", 8830 },
	{ "7TY", "", "", ResidueType::NON_POLYMER, false, "6-[2-({cyclopentyl[4-(furan-3-yl)benzene-1-carbonyl]amino}methyl)phenoxy]hexanoic acid", 8831 },
	{ "7U1", "", "", ResidueType::NON_POLYMER, false, "", 8832 },
	{ "7U3", "", "", ResidueType::NON_POLYMER, false, "7-fluoranyl-4-[[(3R)-pyrrolidin-3-yl]methoxy]-2H-phthalazin-1-one", 8833 },
	{ "7U4", "", "", ResidueType::NON_POLYMER, false, "6-[2-({cyclopropyl[4-(pyridin-3-yl)benzene-1-carbonyl]amino}methyl)phenoxy]hexanoic acid", 8834 },
	{ "7U6", "", "", ResidueType::NON_POLYMER, false, "2-piperazin-1-ylcarbonyl-1H-benzimidazole-4-carboxamide", 8835 },
	{ "7U7", "", "", ResidueType::NON_POLYMER, false, "6-[2-({cyclopropyl[4-(furan-2-yl)benzene-1-carbonyl]amino}methyl)phenoxy]hexanoic acid", 8836 },
	{ "7U9", "", "", ResidueType::NON_POLYMER, false, "2-[(3R)-3-azanylpyrrolidin-1-yl]carbonyl-1H-benzimidazole-4-carboxamide", 8837 },
	{ "7UA", "", "", ResidueType::NON_POLYMER, false, "6-[2-({cyclopropyl[4-(furan-3-yl)benzene-1-carbonyl]amino}methyl)phenoxy]hexanoic acid", 8838 },
	{ "7UC", "", "", ResidueType::NON_POLYMER, false, "(3~{R})-3-(2-hydroxy-2-oxoethylamino)butanoic acid", 8839 },
	{ "7UD", "", "", ResidueType::NON_POLYMER, false, "6-[2-({benzyl[4-(furan-3-yl)benzene-1-carbonyl]amino}methyl)phenoxy]hexanoic acid", 8840 },
	{ "7UG", "", "", ResidueType::NON_POLYMER, false, "6-[2-({benzyl[4-(thiophen-3-yl)benzene-1-carbonyl]amino}methyl)phenoxy]hexanoic acid", 8841 },
	{ "7UJ", "", "", ResidueType::NON_POLYMER, false, "", 8842 },
	{ "7UL", "", "", ResidueType::NON_POLYMER, false, "1-[[4-fluoranyl-3-[4-[2,2,2-tris(fluoranyl)ethyl]piperazin-1-yl]carbonyl-phenyl]methyl]quinazoline-2,4-dione", 8843 },
	{ "7UP", "", "", ResidueType::NON_POLYMER, false, "6-(1,2,3,4-tetrahydroisoquinolin-6-ylethynyl)naphthalene-2-carboximidamide", 8844 },
	{ "7UU", "", "", ResidueType::NON_POLYMER, false, "~{N}-methyl-~{N}-[3-[(2-oxidanylidenechromen-4-yl)amino]propyl]thiophene-2-carboxamide", 8845 },
	{ "7UV", "", "", ResidueType::NON_POLYMER, false, "(3-{(E)-2-[2-chloro-4-(hydroxyboranyl)phenyl]ethenyl}phenyl)boronic acid", 8846 },
	{ "7UX", "", "", ResidueType::NON_POLYMER, false, "1-methyl-N-(5-phenyl-1,3-thiazol-2-yl)piperidine-4-carboxamide", 8847 },
	{ "7UY", "", "", ResidueType::NON_POLYMER, false, "6-[2-({(propan-2-yl)[4-(thiophen-3-yl)benzene-1-carbonyl]amino}methyl)phenoxy]hexanoic acid", 8848 },
	{ "7UZ", "", "", ResidueType::NON_POLYMER, false, "2-(cyclohexylmethyl)propanedioic acid", 8849 },
	{ "7V1", "", "", ResidueType::NON_POLYMER, false, "6-[2-({[4-(furan-2-yl)benzene-1-carbonyl](propan-2-yl)amino}methyl)phenoxy]hexanoic acid", 8850 },
	{ "7V3", "", "", ResidueType::NON_POLYMER, false, "(S)-(4-chlorophenyl)-phenyl-methanamine", 8851 },
	{ "7V4", "", "", ResidueType::NON_POLYMER, false, "6-[2-({[4-(furan-3-yl)benzene-1-carbonyl](propan-2-yl)amino}methyl)phenoxy]hexanoic acid", 8852 },
	{ "7V6", "", "", ResidueType::NON_POLYMER, false, "5-[(3R)-3-(4-boranylphenyl)-3-oxidanyl-propyl]-2-oxidanyl-benzoic acid", 8853 },
	{ "7V7", "", "", ResidueType::NON_POLYMER, false, "N-phenyl-N-[1-(2-phenylethyl)piperidin-4-yl]propanamide", 8854 },
	{ "7V9", "", "", ResidueType::NON_POLYMER, false, "~{S}-[2-[3-[[(2~{S})-3,3-dimethyl-2-oxidanyl-4-phosphonooxy-butanoyl]amino]propanoylamino]ethyl] pyridine-3-carbothioate", 8855 },
	{ "7VA", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-({4-[(6-methoxy-1-methyl-1H-benzimidazol-2-yl)methoxy]phenyl}methyl)-1,3-thiazolidine-2,4-dione", 8856 },
	{ "7VD", "", "", ResidueType::NON_POLYMER, false, "(2-oxopropyl)phosphonic acid", 8857 },
	{ "7VF", "", "", ResidueType::NON_POLYMER, false, "4-(3-methyl-4-oxidanyl-phenyl)quinolin-7-ol", 8858 },
	{ "7VG", "", "", ResidueType::NON_POLYMER, false, "{3-chloro-4-[(E)-2-(3,5-dihydroxyphenyl)ethenyl]phenyl}boronic acid", 8859 },
	{ "7VJ", "", "", ResidueType::NON_POLYMER, false, "2-amino-6-(methylamino)-5-nitrosopyrimidin-4(3H)-one", 8860 },
	{ "7VM", "", "", ResidueType::NON_POLYMER, false, "N-methyl-N-[(2-{1-[2-(methylamino)ethyl]piperidin-4-yl}pyridin-4-yl)methyl]-3-phenoxybenzamide", 8861 },
	{ "7VO", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-3-methyl-2-[[2-methyl-3-oxidanyl-5-(phosphonooxymethyl)pyridin-4-yl]methylamino]pentanoic acid", 8862 },
	{ "7VP", "", "", ResidueType::NON_POLYMER, false, "4-methyl-2-phenyl-1H-imidazole", 8863 },
	{ "7VR", "", "", ResidueType::NON_POLYMER, false, "4-((5-(2-oxo-3-(pyridin-4-yl)imidazolidin-1-yl)pentyl)oxy)benzaldehyde O-ethyl oxime", 8864 },
	{ "7VS", "", "", ResidueType::NON_POLYMER, false, "(4E)-4-hydrazinylidene-1,4-dihydroquinoline", 8865 },
	{ "7VV", "", "", ResidueType::NON_POLYMER, false, "(6S)-6-[(2-fluoro-5-methoxyphenyl)methyl]-1-(propan-2-yl)-5,6,7,8-tetrahydroimidazo[1,5-a]pyridin-3-amine", 8866 },
	{ "7VX", "", "", ResidueType::NON_POLYMER, false, "(4aR,6aR,6aS,6bS,8aS,9R,12aR,14bR)-2,2,6a,6b,9,12a-hexamethyl-10-oxidanylidene-1,3,4,5,6,6a,7,8,8a,9,11,12,13,14b-tetradecahydropicene-4a-carboxylic acid", 8867 },
	{ "7VY", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-[(3-methoxyphenyl)methyl]piperidine", 8868 },
	{ "7W0", "", "", ResidueType::NON_POLYMER, false, "2-[2-methyl-3-oxamoyl-1-[(2-phenylphenyl)methyl]indol-4-yl]oxyethanoic acid", 8869 },
	{ "7W1", "", "", ResidueType::NON_POLYMER, false, "3-methylquinolin-4-amine", 8870 },
	{ "7W3", "", "", ResidueType::NON_POLYMER, false, "2-[2-methyl-3-oxamoyl-1-[[2-(trifluoromethyl)phenyl]methyl]indol-4-yl]oxyethanoic acid", 8871 },
	{ "7W4", "", "", ResidueType::NON_POLYMER, false, "2-methylimidazo[1,2-a]pyridin-3-amine", 8872 },
	{ "7W6", "", "", ResidueType::NON_POLYMER, false, "2-[1-[(3-bromophenyl)methyl]-2-methyl-3-oxamoyl-indol-4-yl]oxyethanoic acid", 8873 },
	{ "7W7", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-[(2H-1,3-benzodioxol-4-yl)methyl]piperidine-1-carboximidamide", 8874 },
	{ "7W9", "", "", ResidueType::NON_POLYMER, false, "2-[2-methyl-1-(naphthalen-1-ylmethyl)-3-oxamoyl-indol-4-yl]oxyethanoic acid", 8875 },
	{ "7WA", "", "", ResidueType::NON_POLYMER, false, "1H-benzimidazol-4-amine", 8876 },
	{ "7WB", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-indol-3-ylidene-3H-1,3-thiazole", 8877 },
	{ "7WD", "", "", ResidueType::NON_POLYMER, false, "(6S)-6-[(2H-1,3-benzodioxol-4-yl)methyl]-5,6,7,8-tetrahydroimidazo[1,5-a]pyridin-3-amine", 8878 },
	{ "7WF", "", "", ResidueType::NON_POLYMER, false, "2-hydroxy-3-[4-(2-hydroxy-3-sulfopropyl)piperazin-1-yl]propane-1-sulfonic acid", 8879 },
	{ "7WG", "", "", ResidueType::NON_POLYMER, false, "5-cyclopropyl-1H-imidazol-2-amine", 8880 },
	{ "7WH", "", "", ResidueType::NON_POLYMER, false, "2-[5-(2-methoxyethanoylamino)-2-oxidanyl-phenyl]pyridine-4-carboxylic acid", 8881 },
	{ "7WI", "", "", ResidueType::NON_POLYMER, false, "1-(3-chlorophenyl)-3-(2-methoxyethyl)urea", 8882 },
	{ "7WJ", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-4-[([1~2~,2~2~:2~6~,3~2~-terpyridine]-2~4~-carbonyl)amino]butanoic acid", 8883 },
	{ "7WL", "", "", ResidueType::NON_POLYMER, false, "3-{[2-Ethoxy-5-(trifluoromethyl)benzyl]sulfanyl}-N-(phenylsulfonyl)thiophene-2-carboxamide", 8884 },
	{ "7WO", "", "", ResidueType::NON_POLYMER, false, "2-hydroxynaphthalene-1-carbaldehyde", 8885 },
	{ "7WP", "", "", ResidueType::NON_POLYMER, false, "2,4-diaminopteridine-6-carbaldehyde", 8886 },
	{ "7WQ", "", "", ResidueType::NON_POLYMER, false, "2-hydroxy-5-methoxybenzaldehyde", 8887 },
	{ "7WR", "", "", ResidueType::NON_POLYMER, false, "3-methoxy-4,5-bis(oxidanyl)benzoic acid", 8888 },
	{ "7WU", "", "", ResidueType::NON_POLYMER, false, "methyl (2S,4aR,4bS,5S,6aS,10aS,10bS,12aS)-2,4b,7,7,10a,12,12a-heptamethyl-5-oxidanyl-1,4,6,8-tetrakis(oxidanylidene)-4a,5,6a,9,10,10b-hexahydronaphtho[1,2-h]isochromene-2-carboxylate", 8889 },
	{ "7WV", "", "", ResidueType::NON_POLYMER, false, "2-bromobenzoic acid", 8890 },
	{ "7WX", "", "", ResidueType::NON_POLYMER, false, "methyl (5S,7S,8S,9S,10S,13R,14R,16S)-4,4,8,10,12,13,16-heptamethyl-7,16-bis(oxidanyl)-3,6,15,17-tetrakis(oxidanylidene)-2,5,7,9-tetrahydro-1H-cyclopenta[a]phenanthrene-14-carboxylate", 8891 },
	{ "7WY", "", "", ResidueType::NON_POLYMER, false, "5-[7-(4-chlorophenyl)-1-methyl-6,7-dihydro-5H-[1,2,3]triazolo[1,5-d][1,4]benzodiazepin-9-yl]pyridin-2-amine", 8892 },
	{ "7X0", "", "", ResidueType::NON_POLYMER, false, "", 8893 },
	{ "7X1", "", "", ResidueType::NON_POLYMER, false, "N-(5-chloro-1,3-benzodioxol-4-yl)-6-methoxy-7-(3-piperidin-1-ylpropoxy)quinazolin-4-amine", 8894 },
	{ "7X2", "", "", ResidueType::NON_POLYMER, false, "", 8895 },
	{ "7X3", "", "", ResidueType::NON_POLYMER, false, "N'-(3-CHLORO-4-METHOXY-PHENYL)-N-(3,4,5-TRIMETHOXYPHENYL)-1,3,5-TRIAZINE-2,4-DIAMINE", 8896 },
	{ "7X4", "", "", ResidueType::NON_POLYMER, false, "3-({4-[(5-chloro-1,3-benzodioxol-4-yl)amino]pyrimidin-2-yl}amino)benzenesulfonamide", 8897 },
	{ "7X5", "", "", ResidueType::NON_POLYMER, false, "N'-(5-chloro-1,3-benzodioxol-4-yl)-N-(3-methylsulfonylphenyl)pyrimidine-2,4-diamine", 8898 },
	{ "7X6", "", "", ResidueType::NON_POLYMER, false, "N-[3-[[4-[(5-CHLORO-1,3-BENZODIOXOL-4-YL)AMINO]PYRIMIDIN-2-YL]AMINO]PHENYL]METHANESULFONAMIDE", 8899 },
	{ "7X7", "", "", ResidueType::NON_POLYMER, false, "N'-(5-CHLORO-1,3-BENZODIOXOL-4-YL)-N-(3-MORPHOLIN-4-YLPHENYL)PYRIMIDINE-2,4-DIAMINE", 8900 },
	{ "7X8", "", "", ResidueType::NON_POLYMER, false, "3-({4-[(5-CHLORO-1,3-BENZODIOXOL-4-YL)AMINO]PYRIMIDIN-2-YL}AMINO)BENZAMIDE", 8901 },
	{ "7XA", "", "", ResidueType::NON_POLYMER, false, "7-amino-N-hydroxyheptanamide", 8902 },
	{ "7XD", "", "", ResidueType::NON_POLYMER, false, "1-[[3-[2-oxidanyl-3-(1~{H}-pyrrolo[3,2-c]pyridin-2-yl)phenyl]phenyl]methyl]-3-phenyl-urea", 8903 },
	{ "7XF", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-[[2-methyl-3-oxidanyl-5-(phosphonooxymethyl)pyridin-4-yl]methylamino]-4-sulfanyl-butanoic acid", 8904 },
	{ "7XG", "", "", ResidueType::NON_POLYMER, false, "2-[4-(4-{(3S,4R)-4-(dimethylamino)-1-[(2-fluoro-6-methylphenyl)methyl]pyrrolidin-3-yl}phenyl)-1H-pyrazol-1-yl]acetamide", 8905 },
	{ "7XJ", "", "", ResidueType::NON_POLYMER, false, "1-(1-azanylisoquinolin-6-yl)-3-(phenylmethyl)urea", 8906 },
	{ "7XL", "", "", ResidueType::NON_POLYMER, false, "[[(2R,3S,4R,5R)-5-(4-azanyl-2-oxidanylidene-pyrimidin-1-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methoxy-oxidanyl-phosphoryl]oxy-(2-hydroxyethyl)phosphinic acid", 8907 },
	{ "7XM", "", "", ResidueType::NON_POLYMER, false, "isoquinoline-1,6-diamine", 8908 },
	{ "7XO", "", "", ResidueType::NON_POLYMER, false, "N2-[4-(4-methylpiperazin-1-yl)phenyl]-N8-phenyl-9-propan-2-yl-purine-2,8-diamine", 8909 },
	{ "7XP", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3S,4R,6S)-4,6-diamino-3-[(3-amino-3-deoxy-alpha-D-xylopyranosyl)oxy]-2-hydroxycyclohexyl 2-amino-2-deoxy-alpha-D-glucopyranoside", 8910 },
	{ "7XR", "", "", ResidueType::NON_POLYMER, false, "9-cyclopentyl-N2-[4-(4-methylpiperazin-1-yl)phenyl]-N8-phenyl-purine-2,8-diamine", 8911 },
	{ "7XS", "", "", ResidueType::NON_POLYMER, false, "4-[3-(4-methoxyphenoxy)azetidin-1-yl]-1-methyl-3-(2-methylpropyl)-1H-pyrazolo[3,4-d]pyrimidine", 8912 },
	{ "7XU", "", "", ResidueType::NON_POLYMER, false, "9-cyclohexyl-N2-[4-(4-methylpiperazin-1-yl)phenyl]-N8-phenyl-purine-2,8-diamine", 8913 },
	{ "7XV", "", "", ResidueType::NON_POLYMER, false, "5-[2-(2-methoxyphenyl)ethoxy]-3-(2-methylpropyl)[1,2,4]triazolo[4,3-a]pyrazine", 8914 },
	{ "7XX", "", "", ResidueType::NON_POLYMER, false, "4-[2,3-bis(chloranyl)phenyl]carbonyl-1-methyl-pyrrole-2-carboxamide", 8915 },
	{ "7XY", "", "", ResidueType::NON_POLYMER, false, "{(3-CHLOROBENZYL)[(5-{[(3,3-DIPHENYLPROPYL)AMINO]SULFONYL}-2-THIENYL)METHYL]AMINO}(OXO)ACETIC ACID", 8916 },
	{ "7Y0", "", "", ResidueType::NON_POLYMER, false, "4-[2,3-bis(chloranyl)phenyl]carbonyl-N-[2-[[4-[2,3-bis(chloranyl)phenyl]carbonyl-1-methyl-pyrrol-2-yl]carbonylamino]ethyl]-1-methyl-pyrrole-2-carboxamide", 8917 },
	{ "7Y1", "", "", ResidueType::NON_POLYMER, false, "3-[5-(4-ethylphenyl)-1-methyl-1H-pyrazol-4-yl]-5-propoxy[1,2,4]triazolo[4,3-a]pyrazine", 8918 },
	{ "7Y3", "", "", ResidueType::NON_POLYMER, false, "1-(5-bromanylthiophen-2-yl)sulfonylpyrazole", 8919 },
	{ "7Y4", "", "", ResidueType::NON_POLYMER, false, "(3R)-1-{3-[5-(4-ethylphenyl)-1-methyl-1H-pyrazol-4-yl]-1-methyl-1H-pyrazolo[3,4-d]pyrimidin-4-yl}-N,N-dimethylpyrrolidin-3-amine", 8920 },
	{ "7Y6", "", "", ResidueType::NON_POLYMER, false, "4-chloranyl-N-[2-(3-methoxyphenyl)ethanimidoyl]-2-piperidin-4-yloxy-benzamide", 8921 },
	{ "7Y7", "", "", ResidueType::NON_POLYMER, false, "5-hydroxy-N-(4-oxo-3H-quinazolin-6-yl)-1-[3-[(phenylcarbamoylamino)methyl]phenyl]pyrazole-4-carboxamide", 8922 },
	{ "7Y9", "", "", ResidueType::NON_POLYMER, false, "4-[[3-[[4-[2-(4-hydroxyphenyl)propan-2-yl]phenoxy]methyl]phenyl]methoxy]benzenecarboximidamide", 8923 },
	{ "7YA", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-hydroxy-N-[[3-[5-hydroxy-4-(1H-pyrrolo[3,2-c]pyridin-2-yl)pyrazol-1-yl]phenyl]methyl]propanamide", 8924 },
	{ "7YG", "", "", ResidueType::NON_POLYMER, false, "3-AMINO-6-(4-{[2-(DIMETHYLAMINO)ETHYL]SULFAMOYL}PHENYL)-N-PYRIDIN-3-YLPYRAZINE-2-CARBOXAMIDE", 8925 },
	{ "7YJ", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-hydroxy-N-[[3-[5-hydroxy-4-(1H-pyrrolo[3,2-c]pyridin-2-yl)pyrazol-1-yl]phenyl]methyl]-3-methylbutanamide", 8926 },
	{ "7YM", "", "", ResidueType::NON_POLYMER, false, "N-(2-amino-1H-benzimidazol-5-yl)-1-[3-[[(3,5-dimethyl-1,2-oxazol-4-yl)carbamoylamino]methyl]phenyl]-5-hydroxypyrazole-4-carboxamide", 8927 },
	{ "7YP", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-~{N}-[[4-(aminomethyl)-2-(2-azanyl-2-oxidanylidene-ethoxy)phenyl]methyl]-2-(4-hydroxyphenyl)-2-methoxy-ethanamide", 8928 },
	{ "7YS", "", "", ResidueType::NON_POLYMER, false, "(10R)-7-amino-11-chloro-12-fluoro-1-(2-hydroxyethyl)-3,10,16-trimethyl-16,17-dihydro-1H-8,4-(azeno)pyrazolo[4,3-h][2,5,11]benzoxadiazacyclotetradecin-15(10H)-one", 8929 },
	{ "7YU", "", "", ResidueType::NON_POLYMER, false, "(+)-Yatakemycin", 8930 },
	{ "7Z0", "", "", ResidueType::NON_POLYMER, false, "N-[2,4-bis(fluoranyl)-3-[2-(3-methoxy-1H-pyrazolo[3,4-b]pyridin-5-yl)ethynyl]phenyl]-3-bromanyl-benzenesulfonamide", 8931 },
	{ "7Z1", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-[(1-azanylisoquinolin-6-yl)amino]-2-(5-ethoxy-2-fluoranyl-phenyl)-1-[(2~{R})-2-phenylpyrrolidin-1-yl]ethanone", 8932 },
	{ "7Z3", "", "", ResidueType::NON_POLYMER, false, "1-(3-PYRROLIDIN-1-YLPHENYL)METHANAMINE", 8933 },
	{ "7Z4", "", "", ResidueType::NON_POLYMER, false, "5-hydroxy-N-(1-oxo-1H-isoindol-6-yl)-1-(3-{[(phenylcarbamoyl)amino]methyl}phenyl)-1H-pyrazole-4-carboxamide", 8934 },
	{ "7Z5", "", "", ResidueType::NON_POLYMER, false, "5-[methyl(pyridin-3-ylmethyl)amino]-2-(propanoylamino)benzoic acid", 8935 },
	{ "7Z6", "", "", ResidueType::NON_POLYMER, false, "5-[[5-chloranyl-2-(pyridin-3-ylmethylamino)pyrimidin-4-yl]amino]-1,3-dihydroindol-2-one", 8936 },
	{ "7Z7", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,3-dihydroxy-N-[[3-[5-hydroxy-4-(1H-pyrrolo[3,2-c]pyridin-2-yl)pyrazol-1-yl]phenyl]methyl]propanamide", 8937 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-6-methyl-5-pyridin-4-ylsulfanyl-3H-quinazolin-4-one", 8938 },
	{ "7ZA", "", "", ResidueType::NON_POLYMER, false, "2-[(1-aminoisoquinolin-6-yl)amino]-2-(3-ethoxy-4-propan-2-yloxyphenyl)-1-(2-phenylpyrrolidin-1-yl)ethanone", 8939 },
	{ "7ZC", "", "", ResidueType::NON_POLYMER, false, "1-(5-methoxy-1H-indol-3-yl)-N,N-dimethyl-methanamine", 8940 },
	{ "7ZD", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-hydroxy-N-[[3-[5-hydroxy-4-(1H-pyrrolo[3,2-c]pyridin-2-yl)pyrazol-1-yl]phenyl]methyl]-3-phenylpropanamide", 8941 },
	{ "7ZE", "", "", ResidueType::NON_POLYMER, false, "5-nitroquinoline", 8942 },
	{ "7ZF", "", "", ResidueType::NON_POLYMER, false, "N-phenyl-1,3,5-triazine-2,4-diamine", 8943 },
	{ "7ZG", "", "", ResidueType::NON_POLYMER, false, "N-(2-amino-1H-benzimidazol-5-yl)-2-(3-chlorophenyl)acetamide", 8944 },
	{ "7ZJ", "", "", ResidueType::NON_POLYMER, false, "N-(2-amino-1H-benzimidazol-5-yl)-2-[3-[(2-amino-2-oxoethyl)-methylsulfonylamino]phenyl]acetamide", 8945 },
	{ "7ZL", "", "", ResidueType::NON_POLYMER, false, "5-chloro-N4-phenylpyrimidine-2,4-diamine", 8946 },
	{ "7ZM", "", "", ResidueType::NON_POLYMER, false, "N-(6-aminopyridin-3-yl)-5-hydroxy-1-phenylpyrazole-4-carboxamide", 8947 },
	{ "7ZO", "", "", ResidueType::NON_POLYMER, false, "5-[(5-chloranylpyrimidin-4-yl)amino]-1,3-dihydroindol-2-one", 8948 },
	{ "7ZP", "", "", ResidueType::NON_POLYMER, false, "1-(2,6-difluorophenyl)-3-[[3-[5-hydroxy-4-(1H-pyrrolo[3,2-c]pyridin-2-yl)pyrazol-1-yl]phenyl]methyl]urea", 8949 },
	{ "7ZR", "", "", ResidueType::NON_POLYMER, false, "3,4-dimethoxy-N-[4-(3-nitrophenyl)-1,3-thiazol-2-yl]benzenesulfonamide", 8950 },
	{ "7ZS", "", "", ResidueType::NON_POLYMER, false, "3-methanoyl-2-oxidanyl-benzoic acid", 8951 },
	{ "7ZU", "", "", ResidueType::NON_POLYMER, false, "(1R,3S,5Z)-5-[(2E)-2-[(1R,3aS,7aR)-1-[(E,2R,5S)-5,6-dimethyl-6-oxidanyl-hept-3-en-2-yl]-7a-methyl-2,3,3a,5,6,7-hexahydro-1H-inden-4-ylidene]ethylidene]-4-methylidene-cyclohexane-1,3-diol", 8952 },
	{ "7ZV", "", "", ResidueType::NON_POLYMER, false, "5-hydroxydiclofenac", 8953 },
	{ "7ZY", "", "", ResidueType::NON_POLYMER, false, "1-[[3-[5-hydroxy-4-(1H-pyrrolo[3,2-c]pyridin-2-yl)pyrazol-1-yl]phenyl]methyl]-3-phenylurea", 8954 },
	{ "801", "", "", ResidueType::NON_POLYMER, false, "2-{5-[AMINO(IMINIO)METHYL]-1H-BENZIMIDAZOL-2-YL}PYRIDIN-3-OLATE", 8955 },
	{ "802", "", "", ResidueType::NON_POLYMER, false, "2-{5-[AMINO(IMINIO)METHYL]-1H-BENZIMIDAZOL-2-YL}-4-FLUOROBENZENOLATE", 8956 },
	{ "803", "", "", ResidueType::NON_POLYMER, false, "LOVASTATIN", 8957 },
	{ "804", "", "", ResidueType::NON_POLYMER, false, "6-(1,4,5,6-tetrahydropyrimidin-2-yl)-2-[4'-(1,4,5,6-tetrahydropyrimidin-2-yl)biphenyl-4-yl]-1H-indole", 8958 },
	{ "806", "", "", ResidueType::NON_POLYMER, false, "7-[[2-[[1-(1-IMINOETHYL)PIPERIDIN-4-YL]OXY]-9H-CARBOZOL-9-YL]METHYL]NAPHTHALENE-2-CARBOXIMIDAMID", 8959 },
	{ "808", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-5-{[5-(trifluoromethyl)furan-2-yl]methyl}-2,3-dihydro-1H-inden-2-yl]propane-2-sulfonamide", 8960 },
	{ "809", "", "", ResidueType::NON_POLYMER, false, "4-(2-chlorophenyl)-8-(2-hydroxyethyl)-6-methylpyrrolo[3,4-e]indole-1,3(2H,6H)-dione", 8961 },
	{ "80A", "", "", ResidueType::NON_POLYMER, false, "(R)-pyridin-4-yl[4-(2-pyrrolidin-1-ylethoxy)phenyl]methanol", 8962 },
	{ "80F", "", "", ResidueType::NON_POLYMER, false, "", 8963 },
	{ "80G", "", "", ResidueType::NON_POLYMER, false, "1-(4-thiophen-2-ylphenyl)methanamine", 8964 },
	{ "80K", "", "", ResidueType::NON_POLYMER, false, "tert-butyl (2-{[(2S)-3-oxo-2-(phenylamino)-3-{[(pyridin-3-yl)methyl]amino}propyl]sulfanyl}ethyl)carbamate", 8965 },
	{ "80L", "", "", ResidueType::NON_POLYMER, false, "3-[[4-chloranyl-2-nitro-5-[(2-oxidanylidene-1,3-dihydrobenzimidazol-5-yl)amino]phenyl]amino]propanoic acid", 8966 },
	{ "80O", "", "", ResidueType::NON_POLYMER, false, "N-[2-(3-methoxyphenyl)ethanimidoyl]-2-piperidin-4-yloxy-pyridine-3-carboxamide", 8967 },
	{ "80Q", "", "", ResidueType::NON_POLYMER, false, "2-piperidin-4-yloxy-5-(trifluoromethyl)pyridine", 8968 },
	{ "80R", "", "", ResidueType::NON_POLYMER, false, "5-[(2-chloranyl-4-nitro-phenyl)amino]-1,3-dihydrobenzimidazol-2-one", 8969 },
	{ "80U", "", "", ResidueType::NON_POLYMER, false, "1-[(3R)-3-[4-azanyl-3-[3-chloranyl-4-[(1-methylimidazol-2-yl)methoxy]phenyl]pyrazolo[3,4-d]pyrimidin-1-yl]piperidin-1-yl]prop-2-en-1-one", 8970 },
	{ "810", "", "", ResidueType::NON_POLYMER, false, "ethyl [2-(methylamino)-8-oxo-7,8-dihydro-1H-imidazo[4,5-g]quinazolin-6-yl]carbamate", 8971 },
	{ "812", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-4-[(2R)-pyrrolidin-2-ylmethoxy]aniline", 8972 },
	{ "814", "", "", ResidueType::NON_POLYMER, false, "[(3R,5S,6R,7R,11S,12Z,14E)-5,11,21-trimethoxy-3,7,9,15-tetramethyl-6-oxidanyl-16,20,22-tris(oxidanylidene)-19-phenyl-17-azabicyclo[16.3.1]docosa-1(21),8,12,14,18-pentaen-10-yl] carbamate", 8973 },
	{ "815", "", "", ResidueType::NON_POLYMER, false, "THIENO[3,2-B]PYRIDINE-2-SULFONIC ACID [1-(1-AMINO-ISOQUINOLIN-7-YLMETHYL)-2-OXO-PYRROLDIN-3-YL]-AMIDE", 8974 },
	{ "816", "", "", ResidueType::NON_POLYMER, false, "1-[(3R)-3-[4-azanyl-3-[3-chloranyl-4-[(6-methylpyridin-2-yl)methoxy]phenyl]pyrazolo[3,4-d]pyrimidin-1-yl]piperidin-1-yl]prop-2-en-1-one", 8975 },
	{ "817", "", "", ResidueType::NON_POLYMER, false, "1-{[N-(1-IMINO-GUANIDINO-METHYL)]SULFANYLMETHYL}-3-TRIFLUOROMETHYL-BENZENE", 8976 },
	{ "818", "", "", ResidueType::NON_POLYMER, false, "18-HYDROXYASCOMYCIN", 8977 },
	{ "819", "", "", ResidueType::NON_POLYMER, false, "ethyl (4-{3-[2,4-dihydroxy-5-(1-methylethyl)phenyl]-5-sulfanyl-4H-1,2,4-triazol-4-yl}benzyl)carbamate", 8978 },
	{ "81A", "", "", ResidueType::NON_POLYMER, false, "2-METHANESULFONYL-BENZENESULFONIC ACID 3-METHYL-5-((1-AMIDINOAMINOOXYMETHYL-CYCLOPROPYL)METHYLOXY)-PHENYLESTER", 8979 },
	{ "81C", "", "", ResidueType::NON_POLYMER, false, "N-[5-[[5-chloranyl-4-[(2-propan-2-ylsulfonylphenyl)amino]pyrimidin-2-yl]amino]-2-(4-ethylpiperazin-1-yl)-4-methoxy-phenyl]prop-2-enamide", 8980 },
	{ "81G", "", "", ResidueType::NON_POLYMER, false, "(1s,4s)-4-(4-fluorophenyl)-4-hydroxy-6'-(5-methyl-1H-pyrazol-4-yl)-1'H-spiro[cyclohexane-1,2'-thieno[3,2-d]pyrimidin]-4'(3'H)-one", 8981 },
	{ "81P", "", "", ResidueType::NON_POLYMER, false, "4-(methylamino)benzoic acid", 8982 },
	{ "81R", "", "", ResidueType::PEPTIDE_LINKING, false, "(4R)-4,5-disulfanyl-L-norvaline", 8983 },
	{ "81S", "", "", ResidueType::PEPTIDE_LINKING, false, "(4S)-4,5-disulfanyl-L-norvaline", 8984 },
	{ "81U", "", "", ResidueType::NON_POLYMER, false, "3-azanylphenazin-2-ol", 8985 },
	{ "81V", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3S)-4,4-difluoro-3-hydroxy-1-(hydroxyamino)-3-methyl-1-oxobutan-2-yl]-4-({4-[(morpholin-4-yl)methyl]phenyl}ethynyl)benzamide", 8986 },
	{ "81Y", "", "", ResidueType::NON_POLYMER, false, "3-[2-(morpholin-4-yl)pyridin-4-yl]-5-[(propan-2-yl)oxy]-1H-indazole", 8987 },
	{ "821", "", "", ResidueType::NON_POLYMER, false, "", 8988 },
	{ "822", "", "", ResidueType::NON_POLYMER, false, "N-ACETYL-N-[1-(1,1'-BIPHENYL-4-YLMETHYL)-2-OXOAZEPAN-3-YL]-4-[DIFLUORO(PHOSPHONO)METHYL]PHENYLALANINAMIDE", 8989 },
	{ "823", "", "", ResidueType::PEPTIDE_LINKING, false, "N,N-bis(3-sulfanylpropyl)-L-asparagine", 8990 },
	{ "824", "", "", ResidueType::NON_POLYMER, false, "9-HYDROXY-4-PHENYLPYRROLO[3,4-C]CARBAZOLE-1,3(2H,6H)-DIONE", 8991 },
	{ "825", "", "", ResidueType::NON_POLYMER, false, "[{2-bromo-4-[(2R)-3-oxo-2,3-diphenylpropyl]phenyl}(difluoro)methyl]phosphonic acid", 8992 },
	{ "826", "", "", ResidueType::NON_POLYMER, false, "1,3,4,9-TETRAHYDRO-2-(HYDROXYBENZOYL)-9-[(4-HYDROXYPHENYL)METHYL]-6-METHOXY-2H-PYRIDO[3,4-B]INDOLE", 8993 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3S,4R,6S)-4,6-diamino-3-{[3-deoxy-4-C-methyl-3-(methylamino)-beta-L-arabinopyranosyl]oxy}-2-hydroxycyclohexyl 2-amino-2-deoxy-alpha-D-glucopyranoside", 8994 },
	{ "829", "", "", ResidueType::NON_POLYMER, false, "5'-deoxy-5'-[(pyridin-4-ylcarbonyl)amino]cytidine", 8995 },
	{ "82A", "", "", ResidueType::NON_POLYMER, false, "(S)-N-(1-(3-CHLORO-4-FLUOROPHENYL)-2-HYDROXYETHYL)-4-(4-(3-CHLOROPHENYL)-1H-PYRAZOL-3-YL)-1H-PYRROLE-2-CARBOXAMIDE", 8996 },
	{ "82B", "", "", ResidueType::NON_POLYMER, false, "3'-{[(4-bromo-1-methyl-1H-pyrrol-2-yl)carbonyl]amino}-N-[(1S)-1-phenyl-2-(pyrrolidin-1-yl)ethyl]-1',4'-dihydro-5'H-spiro[cyclopropane-1,6'-pyrrolo[3,4-c]pyrazole]-5'-carboxamide", 8997 },
	{ "82D", "", "", ResidueType::NON_POLYMER, false, "(3R,4S)-1-[(2-bromo-6-fluorophenyl)methyl]-N,N-dimethyl-4-(1-methyl-1H-indol-3-yl)pyrrolidin-3-amine", 8998 },
	{ "82E", "", "", ResidueType::NON_POLYMER, false, "5-[1-(4-methoxyphenyl)-1,2,3-triazol-4-yl]thiophene-2-sulfonamide", 8999 },
	{ "82G", "", "", ResidueType::NON_POLYMER, false, "(3R,4S)-1-[(1S)-7-fluoro-2,3-dihydro-1H-inden-1-yl]-N,N-dimethyl-4-(1-methyl-1H-indol-3-yl)pyrrolidin-3-amine", 9000 },
	{ "82I", "", "", ResidueType::NON_POLYMER, false, "4-chloranyl-2-methyl-5-(methylamino)pyridazin-3-one", 9001 },
	{ "82J", "", "", ResidueType::NON_POLYMER, false, "3-{[(2R)-17-ethyl-4-methyl-3,12-dioxo-7-[(propan-2-yl)sulfonyl]-13-oxa-4,11-diazatricyclo[14.2.2.1~6,10~]henicosa-1(18),6(21),7,9,16,19-hexaen-2-yl]amino}benzamide", 9002 },
	{ "82M", "", "", ResidueType::NON_POLYMER, false, "N-{(1S)-2-amino-1-[5-(hydroxymethyl)-4-methyl-1,3-thiazol-2-yl]ethyl}-5-(4-chloro-3-fluorophenyl)-1H-pyrrole-2-carboxamide", 9003 },
	{ "82N", "", "", ResidueType::NON_POLYMER, false, "NICKEL IRON CLSUTER WITH CYANIDE BOUND", 9004 },
	{ "82O", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-4-[4-cyclopropyl-5-[3-(2-methylpropyl)cyclobutyl]-1,2,4-triazol-3-yl]-N-(2,4-dimethylphenyl)-1-ethanoyl-pyrrolidine-3-carboxamide", 9005 },
	{ "82R", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,4S,5'R,6R,7S,8R,9S,10R,12S,13S,16S,18S)-5',7,9,13-tetramethylspiro[5-oxapentacyclo[10.8.0.0^{2,9}.0^{4,8}.0^{13,18}]icosane-6,2'-oxane]-10,16-diol", 9006 },
	{ "82S", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,4R)-2-bromo-1,7,7-trimethylbicyclo[2.2.1]heptane", 9007 },
	{ "82V", "", "", ResidueType::NON_POLYMER, false, "3-(2,3-dihydro-1,4-benzodioxin-6-yl)-5-(morpholin-4-yl)-7H-thieno[3,2-b]pyran-7-one", 9008 },
	{ "82X", "", "", ResidueType::NON_POLYMER, false, "3-(6-{[3-(2,6-dichlorophenyl)-5-(1-methylethyl)isoxazol-4-yl]methoxy}-1-benzothiophen-2-yl)benzoic acid", 9009 },
	{ "82Y", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-4-[5-(morpholin-4-yl)-7-oxo-7H-thieno[3,2-b]pyran-3-yl]benzamide", 9010 },
	{ "830", "", "", ResidueType::NON_POLYMER, false, "dipotassium (2-oxo-2-{[3-(3-phenoxyphenyl)propyl]amino}ethyl)phosphonate", 9011 },
	{ "831", "", "", ResidueType::NON_POLYMER, false, "N-[3-(3-{4-[(dimethylamino)methyl]phenyl}pyrazolo[1,5-a]pyrimidin-7-yl)phenyl]-3-(trifluoromethyl)benzamide", 9012 },
	{ "833", "", "", ResidueType::NON_POLYMER, false, "3-(1,3-benzodioxol-5-yl)-1-methyl-1H-pyrazol-5-amine", 9013 },
	{ "834", "", "", ResidueType::NON_POLYMER, false, "N-[2-(2-chlorophenyl)-4-methyl-5-(1-methylethyl)-1H-imidazol-1-yl]-5-methyl-2,3-dihydro-1,4-benzodioxine-6-carboxamide", 9014 },
	{ "836", "", "", ResidueType::NON_POLYMER, false, "N-methyl-N-[1-[4-(2-methylpyrazol-3-yl)phthalazin-1-yl]piperidin-4-yl]-4-nitro-2-(trifluoromethyl)benzamide", 9015 },
	{ "837", "", "", ResidueType::NON_POLYMER, false, "ethyl 4-[5-(morpholin-4-yl)-7-oxo-7H-thieno[3,2-b]pyran-3-yl]benzoate", 9016 },
	{ "838", "", "", ResidueType::NON_POLYMER, false, "18-methoxy-2,11,17-trimethyl-14-(propan-2-yl)-3-oxa-9,12,15,28-tetraazatricyclo[21.3.1.1~5,9~]octacosa-1(27),21,23,25-tetraene-4,10,13,16-tetrone", 9017 },
	{ "839", "", "", ResidueType::NON_POLYMER, false, "3-(9-HYDROXY-1,3-DIOXO-4-PHENYL-2,3-DIHYDROPYRROLO[3,4-C]CARBAZOL-6(1H)-YL)PROPANOIC ACID", 9018 },
	{ "83A", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[2-(2-amino-4-oxo-4,7-dihydro-3H-pyrrolo[2,3-d]pyrimidin-6-yl)ethyl]amino}benzene-1-carbonyl)-L-glutamic acid", 9019 },
	{ "83D", "", "", ResidueType::NON_POLYMER, false, "5-[(Z)-2-fluoro-2-(4-hydroxyphenyl)ethenyl]benzene-1,3-diol", 9020 },
	{ "83G", "", "", ResidueType::NON_POLYMER, false, "1-[(2R)-4-(benzenecarbonyl)-2-methylpiperazin-1-yl]-2-(4-methoxy-1H-pyrrolo[2,3-b]pyridin-3-yl)ethane-1,2-dione", 9021 },
	{ "83H", "", "", ResidueType::NON_POLYMER, false, "8-ethyl-3,10,10-trimethyl-4,5,6,8,10,12-hexahydropyrazolo[4',3':6,7]cyclohepta[1,2-b]pyrrolo[2,3-f]indol-9(1H)-one", 9022 },
	{ "83J", "", "", ResidueType::NON_POLYMER, false, "1-[4-(benzenecarbonyl)piperazin-1-yl]-2-[4-methoxy-7-(3-methyl-1H-1,2,4-triazol-1-yl)-1H-pyrrolo[2,3-c]pyridin-3-yl]ethane-1,2-dione", 9023 },
	{ "83L", "", "", ResidueType::NON_POLYMER, false, "10,20-Diphenyl-5,15-diaza-porphyrin containing FE", 9024 },
	{ "83M", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-1-{(6S)-6-[(2-amino-2-oxoethyl)carbamoyl]-1,4,5,6-tetrahydropyrimidin-2-yl}-2-(4-hydroxyphenyl)ethyl]-N~2~-tetradecanoyl-L-glutamine", 9025 },
	{ "83O", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-azanyl-3-(4H-1,2,4-triazol-3-yl)propanoic acid", 9026 },
	{ "83P", "", "", ResidueType::NON_POLYMER, false, "(R)-N-methyl-2-(3-((quinoxalin-6-ylamino)methyl)furan-2-carbonyl)-2,3,4,9-tetrahydro-1H-pyrido[3,4-b]indole-3-carboxamide", 9027 },
	{ "83R", "", "", ResidueType::NON_POLYMER, false, "dibenzothiophene", 9028 },
	{ "83S", "", "", ResidueType::NON_POLYMER, false, "5-Hydroxy-4-(isoindoline-2-carbonyl)-2-isopropylbenzaldehyde", 9029 },
	{ "83T", "", "", ResidueType::NON_POLYMER, false, "propan-2-yl N-[(2S,4R)-1-ethanoyl-2-methyl-6-[4-(methylaminomethyl)phenyl]-3,4-dihydro-2H-quinolin-4-yl]carbamate", 9030 },
	{ "83U", "", "", ResidueType::NON_POLYMER, false, "dibenzothiophene 5-oxide", 9031 },
	{ "83X", "", "", ResidueType::NON_POLYMER, false, "1-[2,4,6-tris(oxidanyl)phenyl]ethanone", 9032 },
	{ "83Y", "", "", ResidueType::NON_POLYMER, false, "6-deoxy-3-O-sulfo-alpha-L-mannopyranose", 9033 },
	{ "840", "", "", ResidueType::NON_POLYMER, false, "Platensimycin A1", 9034 },
	{ "841", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1-pyridin-2-ylpiperidin-4-yl)methyl]pyrrolidine-1-carboxamide", 9035 },
	{ "842", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R)-1-(3,5-difluorobenzyl)-2-hydroxy-3-({1-[3-(1H-pyrazol-1-yl)phenyl]cyclohexyl}amino)propyl]acetamide", 9036 },
	{ "843", "", "", ResidueType::NON_POLYMER, false, "N-ACETYL-N-[1-(1,1'-BIPHENYL-4-YLMETHYL)-2-OXOAZEPAN-3-YL]-O-PHOSPHONOTYROSINAMIDE", 9037 },
	{ "844", "", "", ResidueType::NON_POLYMER, false, "1-{4-[5-(3,4,5-trimethoxyphenyl)pyridin-3-yl]phenyl}piperazine", 9038 },
	{ "845", "", "", ResidueType::NON_POLYMER, false, "N-(3-{5-[5-(1H-INDOL-4-YL)-1,3,4-OXADIAZOL-2-YL]-3-(TRIFLUOROMETHYL)-1H-PYRAZOL-1-YL}BENZYL)-L-ALANINAMIDE", 9039 },
	{ "846", "", "", ResidueType::NON_POLYMER, false, "[4R--(1ALPHA,5ALPHA,7BETA)]-3-[(CYCLOPROPHYLMETHYL)HEXAHYDRO-5,6-DIHYDROXY-2-OXO-4,7-BIS(PHENYLMETHYL)-1H-1,3-DIAZEPIN]METHYL-2-THIAZOLYLBENZAMIDE", 9040 },
	{ "847", "", "", ResidueType::NON_POLYMER, false, "2-(3-{5-[AMINO(IMINIO)METHYL]-1H-BENZIMIDAZOL-2-YL}-5-BROMO-4-OXIDOPHENYL)SUCCINATE", 9041 },
	{ "848", "", "", ResidueType::NON_POLYMER, false, "2-(pyridin-3-ylmethoxy)aniline", 9042 },
	{ "849", "", "", ResidueType::NON_POLYMER, false, "2-{4-[3-FLUORO-2-(2-METHOXYPHENYL)-1H-INDOL-5-YL] PIPERIDIN-1-YL}-N-METHYLETHANAMINE", 9043 },
	{ "84A", "", "", ResidueType::NON_POLYMER, false, "p-(5-ferrocenyl-1H-1,2,3-triazol-1-yl)benzenesulfonamide", 9044 },
	{ "84D", "", "", ResidueType::NON_POLYMER, false, "Dibekacin", 9045 },
	{ "84F", "", "", ResidueType::NON_POLYMER, false, "(3S,4R)-4-(3-hydroxy-4-methoxyphenyl)-3-methyl-1-(3,4,5-trimethoxyphenyl)azetidin-2-one", 9046 },
	{ "84G", "", "", ResidueType::NON_POLYMER, false, "Arbekacin", 9047 },
	{ "84J", "", "", ResidueType::NON_POLYMER, false, "[(R)-{[(1S)-1-(4-bromophenyl)ethyl]amino}(2,3-dihydroxyquinoxalin-5-yl)methyl]phosphonic acid", 9048 },
	{ "84M", "", "", ResidueType::NON_POLYMER, false, "N-{6-[([1,2,4]triazolo[4,3-a]pyridin-3-yl)sulfanyl]imidazo[1,2-b]pyridazin-2-yl}cyclopropanecarboxamide", 9049 },
	{ "84P", "", "", ResidueType::NON_POLYMER, false, "N-(6-{[6-(1-methyl-1H-pyrazol-4-yl)-1H-benzotriazol-1-yl]methyl}imidazo[1,2-b]pyridazin-2-yl)cyclopropanecarboxamide", 9050 },
	{ "84R", "", "", ResidueType::NON_POLYMER, false, "3-azanyl-5-(4-morpholin-4-ylthieno[3,2-d]pyrimidin-2-yl)phenol", 9051 },
	{ "84T", "", "", ResidueType::NON_POLYMER, false, "[(2S,4S,5R)-5-(6-aminopurin-9-yl)-4-oxidanyl-oxolan-2-yl]methoxy-N-[(2S,3R)-4-methyl-2,3-bis(oxidanyl)pentanoyl]phosphonamidic acid", 9052 },
	{ "84U", "", "", ResidueType::NON_POLYMER, false, "3-[(4-fluorophenyl)methylamino]-5-(4-morpholin-4-ylthieno[3,2-d]pyrimidin-2-yl)phenol", 9053 },
	{ "84X", "", "", ResidueType::NON_POLYMER, false, "3-(4-morpholin-4-ylfuro[3,2-d]pyrimidin-2-yl)-5-[(phenylmethyl)amino]phenol", 9054 },
	{ "851", "", "", ResidueType::NON_POLYMER, false, "N-{(1S)-1-cyclohexyl-2-oxo-2-[(2S)-2-(4-phenyl-1,3-benzothiazol-2-yl)pyrrolidin-1-yl]ethyl}-N~2~-methyl-L-alaninamide", 9055 },
	{ "852", "", "", ResidueType::NON_POLYMER, false, "2-{4-[2-ACETYLAMINO-2-(1-BIPHENYL-4-YLMETHYL-2-OXO-AZEPAN-3-YLCARBAMOYL)-ETHYL]-2-CARBOXY-PHENYL}-MALONIC ACID", 9056 },
	{ "853", "", "", ResidueType::NON_POLYMER, false, "5-[2-ACETYLAMINO-2-(1-BIPHENYL-4-YLMETHYL-2-OXO-AZEPAN-3-YLCARBAMOYL)-ETHYL]-2-CARBOXYMETHYL-BENZOIC ACID", 9057 },
	{ "854", "", "", ResidueType::NON_POLYMER, false, "ethyl (2S)-1-(benzylsulfonyl)piperidine-2-carboxylate", 9058 },
	{ "855", "", "", ResidueType::NON_POLYMER, false, "2-(6-methylpyridin-2-yl)-N-pyridin-4-ylquinazolin-4-amine", 9059 },
	{ "856", "", "", ResidueType::NON_POLYMER, false, "O 4-(2-hydroxyethyl) O 1-methyl benzene-1,4-dicarboxylate", 9060 },
	{ "857", "", "", ResidueType::NON_POLYMER, false, "4-({2-[(4-chloro-3-{[(2S)-1-methylpyrrolidin-2-yl]methoxy}phenyl)amino]-1,3-benzoxazol-5-yl}oxy)-N-methylpyridine-2-carboxamide", 9061 },
	{ "858", "", "", ResidueType::NON_POLYMER, false, "C32-O-(1-ETHYL-INDOL-5-YL)ASCOMYCIN", 9062 },
	{ "859", "", "", ResidueType::NON_POLYMER, false, "2-({2-[(3-HYDROXYPHENYL)AMINO]PYRIMIDIN-4-YL}AMINO)BENZAMIDE", 9063 },
	{ "85A", "", "", ResidueType::NON_POLYMER, false, "18-CHLORO-2-OXO-17-[(PYRIDIN-4-YLMETHYL)AMINO]-2,3,11,12,13,14-HEXAHYDRO-1H,10H-4,8-(AZENO)-9,15,1,3,6-BENZODIOXATRIAZACYCLOHEPTADECINE-7-CARBONITRILE", 9064 },
	{ "85C", "", "", ResidueType::NON_POLYMER, false, "1-(3-chloro-4-methylphenyl)-3-({2-[(3S)-2,6-dioxopiperidin-3-yl]-1-oxo-2,3-dihydro-1H-isoindol-5-yl}methyl)urea", 9065 },
	{ "85D", "", "", ResidueType::NON_POLYMER, false, "(1S,5R)-2-(bromomethyl)-6,6-dimethylbicyclo[3.1.1]hept-2-ene", 9066 },
	{ "85F", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-2-azanyl-3-[(2R)-2-azanyl-3-oxidanyl-3-oxidanylidene-propyl]sulfanyl-propanoic acid", 9067 },
	{ "85G", "", "", ResidueType::PEPTIDE_LINKING, false, "N-ethyl-L-glutamine", 9068 },
	{ "85J", "", "", ResidueType::PEPTIDE_LINKING, false, "N-propyl-L-glutamine", 9069 },
	{ "85M", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,4R)-3-(4-hydroxyphenyl)-4-methyl-2-{4-[2-(pyrrolidin-1-yl)ethoxy]phenyl}-3,4-dihydro-2H-1-benzopyran-7-ol", 9070 },
	{ "85P", "", "", ResidueType::NON_POLYMER, false, "2-(4-chlorophenyl)-6-[(fluorosulfonyl)oxy]quinoline-4-carboxylic acid", 9071 },
	{ "85S", "", "", ResidueType::NON_POLYMER, false, "1-[4-(3-{4-amino-5-[1-(oxan-4-yl)-1H-pyrazol-5-yl]pyrrolo[2,1-f][1,2,4]triazin-7-yl}phenyl)piperazin-1-yl]ethan-1-one", 9072 },
	{ "85V", "", "", ResidueType::NON_POLYMER, false, "1,4:3,6-dianhydro-2-O-(6-chloro-5-{4-[1-(hydroxymethyl)cyclopropyl]phenyl}-1H-benzimidazol-2-yl)-D-mannitol", 9073 },
	{ "85X", "", "", ResidueType::NON_POLYMER, false, "12-(2-Cyanoethyl)-6,7,12,13-tetrahydro-13-methyl-5-oxo-5H-indolo[2,3-a]pyrrolo[3,4-c]carbazole", 9074 },
	{ "85Y", "", "", ResidueType::RNA_LINKING, false, "", 9075 },
	{ "85Z", "", "", ResidueType::NON_POLYMER, false, "(E)-3-[4-[[3-(4-fluoranyl-2-methyl-phenyl)-7-oxidanyl-2-oxidanylidene-chromen-4-yl]methyl]phenyl]prop-2-enoic acid", 9076 },
	{ "861", "", "", ResidueType::NON_POLYMER, false, "3-(3,4,5-trimethoxyphenyl)propyl (2S)-1-(benzylsulfonyl)piperidine-2-carboxylate", 9077 },
	{ "864", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[3-(AMINOMETHYL)PHENYL]-3-[(R)-[(1R)-1-{[(BENZYLOXY)CARBONYL]AMINO}-2-METHYLPROPYL](HYDROXY)PHOSPHORYL]PROPANOIC ACID", 9078 },
	{ "865", "", "", ResidueType::NON_POLYMER, false, "7-[2-(1H-imidazol-1-yl)-4-methylpyridin-3-yl]-3-[3-(naphthalen-1-yloxy)propyl]-1-[2-oxo-2-(piperazin-1-yl)ethyl]-1H-indole-2-carboxylic acid", 9079 },
	{ "866", "", "", ResidueType::NON_POLYMER, false, "5-amino-N-[(2S)-2-({[(2,6-dichlorophenyl)carbonyl](ethyl)amino}methyl)-3,3,3-trifluoro-2-hydroxypropyl]-1-(4-fluorophenyl)-1H-pyrazole-4-carboxamide", 9080 },
	{ "869", "", "", ResidueType::NON_POLYMER, false, "(1-TERT-BUTYL-5-HYDROXY-1H-PYRAZOL-4-YL)[6-(METHYLSULFONYL)-4'-METHOXY-2-METHYL-1,1'-BIPHENYL-3-YL]METHANONE", 9081 },
	{ "86A", "", "", ResidueType::NON_POLYMER, false, "(2S)-(3-{[AMINO(IMINO)METHYL]AMINO}PHENYL){[(S)-HYDROXY{(1R)-2-METHYL-1-[(3-PHENYLPROPANOYL)AMINO]PROPYL}PHOSPHORYL]OXY}ACETIC ACID", 9082 },
	{ "86D", "", "", ResidueType::NON_POLYMER, false, "3-({(1S)-7-[(difluoromethyl)sulfonyl]-2,2-difluoro-1-hydroxy-2,3-dihydro-1H-inden-4-yl}oxy)-5-fluorobenzonitrile", 9083 },
	{ "86J", "", "", ResidueType::NON_POLYMER, false, "6-fluoro-2-methylimidazo[1,2-a]pyridin-3-amine", 9084 },
	{ "86L", "", "", ResidueType::NON_POLYMER, false, "(3-chloranyl-4-propan-2-yloxy-phenyl)methanamine", 9085 },
	{ "86M", "", "", ResidueType::NON_POLYMER, false, "5-[(imidazo[1,2-a]pyridin-8-yl)methoxy]-2-methoxypyridine-4-carbaldehyde", 9086 },
	{ "86P", "", "", ResidueType::NON_POLYMER, false, "", 9087 },
	{ "86S", "", "", ResidueType::NON_POLYMER, false, "", 9088 },
	{ "86U", "", "", ResidueType::NON_POLYMER, false, "6,7-bis(fluoranyl)-3-[3-[(2R)-3-oxidanylidenepiperidin-2-yl]propyl]quinazolin-4-one", 9089 },
	{ "86V", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(4-hydroxyphenyl)-4-methyl-2-(4-{2-[(3S)-3-methylpyrrolidin-1-yl]ethoxy}phenyl)-2H-1-benzopyran-7-ol", 9090 },
	{ "86X", "", "", ResidueType::NON_POLYMER, false, "6-chloranyl-7-fluoranyl-3-[3-[(2R)-3-oxidanylidenepiperidin-2-yl]propyl]quinazolin-4-one", 9091 },
	{ "86Y", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(4-hydroxyphenyl)-4-methyl-2-(4-{2-[(3R)-3-methylpyrrolidin-1-yl]ethoxy}phenyl)-2H-1-benzopyran-7-ol", 9092 },
	{ "870", "", "", ResidueType::NON_POLYMER, false, "N-[7-(3-AMINOPHENYL)-5-METHOXY-1,3-BENZOXAZOL-2-YL]-2,5-DICHLOROBENZENESULFONAMIDE", 9093 },
	{ "871", "", "", ResidueType::NON_POLYMER, false, "2-(5-Hydroxy-4-(isoindoline-2-carbonyl)-2-isopropylphenyl)acetonitrile", 9094 },
	{ "872", "", "", ResidueType::NON_POLYMER, false, "(3R)-4-[(3R)-3-AMINO-4-(2,4,5-TRIFLUOROPHENYL)BUTANOYL]-3-(2,2,2-TRIFLUOROETHYL)-1,4-DIAZEPAN-2-ONE", 9095 },
	{ "873", "", "", ResidueType::NON_POLYMER, false, "3-[(2R)-2-oxidanyl-3-[(2R,3R)-3-oxidanylpiperidin-2-yl]propyl]quinazolin-4-one", 9096 },
	{ "874", "", "", ResidueType::NON_POLYMER, false, "(2,4-Dihydroxy-3-(hydroxymethyl)-5-isopropylphenyl)(isoindolin-2-yl)methanone", 9097 },
	{ "876", "", "", ResidueType::NON_POLYMER, false, "N-ACETYL-N-[1-(1,1'-BIPHENYL-4-YLMETHYL)-2-OXOAZEPAN-3-YL]-3,4-DIPHOSPHONOPHENYLALANINAMIDE", 9098 },
	{ "877", "", "", ResidueType::NON_POLYMER, false, "N-(4-AMINO-5-CYANO-6-ETHOXYPYRIDIN-2-YL)-2-(4-BROMO-2,5-DIMETHOXYPHENYL)ACETAMIDE", 9099 },
	{ "878", "", "", ResidueType::NON_POLYMER, false, "5-IODO-2-(OXALYL-AMINO)-BENZOIC ACID", 9100 },
	{ "879", "", "", ResidueType::NON_POLYMER, false, "6-({2-(2-chlorophenyl)-5-[4-(pyrimidin-5-yloxy)phenyl]-1H-pyrrol-1-yl}methyl)pyridin-2-amine", 9101 },
	{ "87C", "", "", ResidueType::NON_POLYMER, false, "3-[2-oxidanylidene-3-[(2R,3R)-3-oxidanylpiperidin-2-yl]propyl]-5,6,7,8-tetrahydroquinazolin-4-one", 9102 },
	{ "87D", "", "", ResidueType::NON_POLYMER, false, "N-[3-(4-methoxy-1-methyl-6-oxo-1,6-dihydropyridin-3-yl)-4-phenoxyphenyl]methanesulfonamide", 9103 },
	{ "87F", "", "", ResidueType::NON_POLYMER, false, "3-[3-[(2R)-3-oxidanylidenepiperidin-2-yl]propyl]quinazolin-4-one", 9104 },
	{ "87G", "", "", ResidueType::NON_POLYMER, false, "N-[4-(2,4-difluorophenoxy)-3-(1-methyl-7-oxo-6,7-dihydro-1H-pyrrolo[2,3-c]pyridin-3-yl)phenyl]ethanesulfonamide", 9105 },
	{ "87J", "", "", ResidueType::NON_POLYMER, false, "(S)-{4-chloro-2-methoxy-3-[4-(methylsulfonyl)phenyl]quinolin-6-yl}(1-methyl-1H-imidazol-5-yl)[6-(trifluoromethyl)pyridin-3-yl]methanol", 9106 },
	{ "87L", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-phenyl-2-pyrrol-1-yl-ethanoic acid", 9107 },
	{ "87M", "", "", ResidueType::NON_POLYMER, false, "N-[3-(7-methyl-1-oxo-2,6-dihydro-1H-pyrrolo[3,4-d]pyridazin-5-yl)-4-phenoxyphenyl]ethanesulfonamide", 9108 },
	{ "87O", "", "", ResidueType::NON_POLYMER, false, "phosphono hexadecanoate", 9109 },
	{ "87P", "", "", ResidueType::NON_POLYMER, false, "N-[3-(3-methyl-4-oxo-4,5,6,7-tetrahydro-2H-isoindol-1-yl)-4-phenoxyphenyl]methanesulfonamide", 9110 },
	{ "87R", "", "", ResidueType::NON_POLYMER, false, "6-methyl-N-[(1R)-1-[4-(trifluoromethyloxy)phenyl]propyl]pyrazolo[1,5-a]pyrimidine-3-carboxamide", 9111 },
	{ "87S", "", "", ResidueType::NON_POLYMER, false, "5-[2-(4-chlorophenoxy)phenyl]-2-methyl-1H-pyrrole-3-carboxamide", 9112 },
	{ "87T", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[3-(1-methyl-1H-pyrazol-4-yl)-1H-indol-5-yl]oxy}phenyl)glycinamide", 9113 },
	{ "87U", "", "", ResidueType::NON_POLYMER, false, "(3Z,6Z)-3-[(4-tert-butyl-1H-imidazol-5-yl)methylidene]-6-[[3-(4-fluorophenyl)carbonylphenyl]methylidene]piperazine-2,5-dione", 9114 },
	{ "87V", "", "", ResidueType::NON_POLYMER, false, "2-methyl-5-phenyl-1H-pyrrole-3-carboxamide", 9115 },
	{ "87X", "", "", ResidueType::NON_POLYMER, false, "5-cyclohexylpentanoic acid", 9116 },
	{ "87Y", "", "", ResidueType::NON_POLYMER, false, "7,8-DIHYDRO-6-HYDROXYMETHYL-7-METHYL-7-[2-PHENYLETHYL]-PTERIN", 9117 },
	{ "880", "", "", ResidueType::NON_POLYMER, false, "CYCLOHEXYL-{4-[5-(3,4-DICHLOROPHENYL)-2-PIPERIDIN-4-YL-3-PROPYL-3H-IMIDAZOL-4-YL]-PYRIMIDIN-2-YL}AMINE", 9118 },
	{ "881", "", "", ResidueType::NON_POLYMER, false, "N',N''-{furan-2,5-diylbis[3-(piperidin-4-yloxy)benzene-4,1-diyl]}dipyridine-2-carboximidamide", 9119 },
	{ "882", "", "", ResidueType::NON_POLYMER, false, "(3R,5R)-7-[5-(ANILINOCARBONYL)-3,4-BIS(4-FLUOROPHENYL)-1-ISOPROPYL-1H-PYRROL-2-YL]-3,5-DIHYDROXYHEPTANOIC ACID", 9120 },
	{ "883", "", "", ResidueType::NON_POLYMER, false, "1-ethyl-3-[5-(5-fluoropyridin-3-yl)-7-(pyrimidin-2-yl)-1H-benzimidazol-2-yl]urea", 9121 },
	{ "885", "", "", ResidueType::NON_POLYMER, false, "1-[(2-AMINO-4-CHLORO-5-METHYLPHENYL)SULFONYL]-L-PROLINE", 9122 },
	{ "886", "", "", ResidueType::NON_POLYMER, false, "N-({4'-[(4-isobutyrylphenoxy)methyl]biphenyl-4-yl}sulfonyl)-D-valine", 9123 },
	{ "887", "", "", ResidueType::NON_POLYMER, false, "N-cyclopropyl-6-[(6,7-dimethoxyquinolin-4-yl)oxy]naphthalene-1-carboxamide", 9124 },
	{ "888", "", "", ResidueType::NON_POLYMER, false, "3-(1,1-dioxido-4H-1,2,4-benzothiadiazin-3-yl)-4-hydroxy-1-(3-methylbutyl)quinolin-2(1H)-one", 9125 },
	{ "889", "", "", ResidueType::NON_POLYMER, false, "N-{6,6-DIMETHYL-5-[(1-METHYLPIPERIDIN-4-YL)CARBONYL]-1,4,5,6-TETRAHYDROPYRROLO[3,4-C]PYRAZOL-3-YL}-3-METHYLBUTANAMIDE", 9126 },
	{ "88A", "", "", ResidueType::NON_POLYMER, false, "8-(4-methylsulfonylphenyl)-N-(4-morpholin-4-ylphenyl)-[1,2,4]triazolo[1,5-a]pyridin-2-amine", 9127 },
	{ "88D", "", "", ResidueType::NON_POLYMER, false, "N-(2-methylphenyl)-Nalpha-(selenophene-2-carbonyl)-D-phenylalaninamide", 9128 },
	{ "88G", "", "", ResidueType::NON_POLYMER, false, "Nalpha-(benzenecarbonyl)-N-(2-methylphenyl)-D-phenylalaninamide", 9129 },
	{ "88J", "", "", ResidueType::NON_POLYMER, false, "(S)-[4-chloro-2-(dimethylamino)-3-phenylquinolin-6-yl](1-methyl-1H-imidazol-5-yl)(pyridin-4-yl)methanol", 9130 },
	{ "88L", "", "", ResidueType::NON_POLYMER, false, "(4-ethylphenyl) dihydrogen phosphate", 9131 },
	{ "88M", "", "", ResidueType::NON_POLYMER, false, "5-[2-(2,4-difluorophenoxy)-5-{[ethyl(dihydroxy)-lambda~4~-sulfanyl]amino}phenyl]-4-ethoxy-1-methylpyridin-2(1H)-one", 9132 },
	{ "88N", "0SN", "", ResidueType::NON_POLYMER, false, "{4-[4-({3-[(2-METHYL-1,3-BENZOTHIAZOL-6-YL)AMINO]-3-OXOPROPYL}AMINO)-4-OXOBUTYL]BENZYL}PROPANEDIOIC ACID", 9133 },
	{ "88P", "", "", ResidueType::NON_POLYMER, false, "ethyl 3-methyl-4-oxo-4,5,6,7-tetrahydro-2H-isoindole-1-carboxylate", 9134 },
	{ "88Q", "", "", ResidueType::NON_POLYMER, false, "1,5:6,10-dianhydro-3,4,7,8-tetradeoxy-2,9-bis-C-(hydroxymethyl)-L-manno-decitol", 9135 },
	{ "88R", "", "", ResidueType::NON_POLYMER, false, "2-((3,4-DIMETHOXYPHENYL)METHYL))PROPANEDIOIC ACID", 9136 },
	{ "88S", "", "", ResidueType::NON_POLYMER, false, "N-(2-METHYL-1,3-BENZOTHIAZOL-6-YL)-3-UREIDO-PROPANAMIDE", 9137 },
	{ "88U", "", "", ResidueType::NON_POLYMER, false, "N-(4-methoxyphenyl)-N,2-dimethyl-quinazolin-4-amine", 9138 },
	{ "88V", "", "", ResidueType::NON_POLYMER, false, "(4-{2-[({3-[(2-METHYL-1,3-BENZOTHIAZOL-6-YL)AMINO]-3-OXOPROPYL}CARBAMOYL)AMINO]ETHYL}BENZYL)PROPANEDIOIC ACID", 9139 },
	{ "88W", "", "", ResidueType::NON_POLYMER, false, "N~3~-(ethylcarbamoyl)-N-(2-methyl-1,3-benzothiazol-6-yl)-beta-alaninamide", 9140 },
	{ "88X", "", "", ResidueType::NON_POLYMER, false, "5-ethyl-2-(phenylcarbonyl)imidazo[1,2-a]pyrimidin-7(1H)-one", 9141 },
	{ "88Y", "", "", ResidueType::NON_POLYMER, false, "1-[5-(2-aminophenyl)-2-methyl-1H-pyrrol-3-yl]ethan-1-one", 9142 },
	{ "88Z", "", "", ResidueType::NON_POLYMER, false, "N-(3-fluoro-4-{[6-methoxy-7-(3-morpholin-4-ylpropoxy)quinolin-4-yl]oxy}phenyl)-N'-(4-fluorophenyl)cyclopropane-1,1-dicarboxamide", 9143 },
	{ "890", "", "", ResidueType::NON_POLYMER, false, "4-[(3-azanyl-4-methoxy-phenyl)-methyl-amino]chromen-2-one", 9144 },
	{ "891", "", "", ResidueType::NON_POLYMER, false, "6-(2,4-difluorophenoxy)-8-methyl-2-{[(1S)-1-methyl-2-(methylsulfonyl)ethyl]amino}pyrido[2,3-d]pyrimidin-7(8H)-one", 9145 },
	{ "892", "", "", ResidueType::NON_POLYMER, false, "3-(3,5-DIBROMO-4-HYDROXY-BENZOYL)-2-ETHYL-BENZOFURAN-6-SULFONIC ACID (4-SULFAMOYL-PHENYL)-AMIDE", 9146 },
	{ "893", "", "", ResidueType::NON_POLYMER, false, "5-CYANO-N-(2,5-DIMETHOXYBENZYL)-6-ETHOXYPYRIDINE-2-CARBOXAMIDE", 9147 },
	{ "894", "", "", ResidueType::NON_POLYMER, false, "2-(5-CHLORO-2-THIENYL)-N-{(3S)-1-[(1S)-1-METHYL-2-MORPHOLIN-4-YL-2-OXOETHYL]-2-OXOPYRROLIDIN-3-YL}ETHANESULFONAMIDE", 9148 },
	{ "895", "", "", ResidueType::NON_POLYMER, false, "2-(5-CHLORO-2-THIENYL)-N-{(3S)-1-[(1S)-1-METHYL-2-MORPHOLIN-4-YL-2-OXOETHYL]-2-OXOPYRROLIDIN-3-YL}ETHENESULFONAMIDE", 9149 },
	{ "896", "", "", ResidueType::NON_POLYMER, false, "N-ETHYL-N-ISOPROPYL-3-METHYL-5-{[(2S)-2-(PYRIDIN-4-YLAMINO)PROPYL]OXY}BENZAMIDE", 9150 },
	{ "897", "", "", ResidueType::NON_POLYMER, false, "N-[3-(TERT-BUTYLAMINO)-3-OXOPROPYL]-N-ISOPROPYL-3-METHYL-5-{[(2S)-2-(PYRIDIN-4-YLAMINO)PROPYL]OXY}BENZAMIDE", 9151 },
	{ "898", "", "", ResidueType::NON_POLYMER, false, "(E)-2-(5-CHLOROTHIOPHEN-2-YL)-N-[(3S)-1-{4-[(1S)-1-(DIMETHYLAMINO)ETHYL]-2-FLUOROPHENYL}-2-OXOPYRROLIDIN-3-YL]ETHENESULFONAMIDE", 9152 },
	{ "89A", "", "", ResidueType::NON_POLYMER, false, "2-[[(2R)-2-[[(1R,2S,3R,4R,5R)-4-acetamido-2-oxidanyl-6,8-dioxabicyclo[3.2.1]octan-3-yl]oxy]propanoyl]amino]propanamide", 9153 },
	{ "89D", "", "", ResidueType::NON_POLYMER, false, "17-{[ethyl(dihydroxy)-lambda~4~-sulfanyl]amino}-11,13-difluoro-2-methyl-6,7,8,9-tetrahydrodibenzo[4,5:7,8][1,6]dioxacyclododecino[3,2-c]pyridin-3(2H)-one", 9154 },
	{ "89F", "", "", ResidueType::NON_POLYMER, false, "1-methyl-4-[(5~{S})-3-methylsulfanyl-5,6-dihydrobenzo[b][1]benzothiepin-5-yl]piperazine", 9155 },
	{ "89G", "", "", ResidueType::NON_POLYMER, false, "5-methoxy-2-methyl-6-(2-phenoxyphenyl)pyridazin-3(2H)-one", 9156 },
	{ "89I", "", "", ResidueType::NON_POLYMER, false, "5-[4-(DIMETHYLAMINO)PHENYL]-6-[(6-MORPHOLIN-4-YLPYRIDIN-3-YL)ETHYNYL]PYRIMIDIN-4-AMINE", 9157 },
	{ "89J", "", "", ResidueType::NON_POLYMER, false, "2-methyl-5-(methylamino)-6-phenylpyridazin-3(2H)-one", 9158 },
	{ "89L", "", "", ResidueType::NON_POLYMER, false, "(E)-6-[2-[[[4-(furan-2-yl)phenyl]carbonyl-methyl-amino]methyl]phenoxy]-4-methyl-hex-4-enoic acid", 9159 },
	{ "89M", "", "", ResidueType::NON_POLYMER, false, "Nalpha-[trans-4-(aminomethyl)cyclohexane-1-carbonyl]-N-octyl-O-[(quinolin-2-yl)methyl]-L-tyrosinamide", 9160 },
	{ "89O", "", "", ResidueType::NON_POLYMER, false, "(5S,5aR,8aR,9R)-9-(3,5-dimethoxy-4-oxidanyl-phenyl)-5-oxidanyl-5a,6,8a,9-tetrahydro-5H-[2]benzofuro[6,5-f][1,3]benzodioxol-8-one", 9161 },
	{ "89P", "", "", ResidueType::NON_POLYMER, false, "6-(4-{[3-(2,6-dichlorophenyl)-5-(1-methylethyl)isoxazol-4-yl]methoxy}phenyl)quinoline-2-carboxylic acid", 9162 },
	{ "89R", "", "", ResidueType::NON_POLYMER, false, "fluorinated heme", 9163 },
	{ "89S", "", "", ResidueType::NON_POLYMER, false, "Nalpha-[trans-4-(aminomethyl)cyclohexane-1-carbonyl]-N-octyl-O-[(pyridin-4-yl)methyl]-L-tyrosinamide", 9164 },
	{ "89U", "", "", ResidueType::NON_POLYMER, false, "10-[(4-methoxy-3-oxidanyl-phenyl)methylidene]anthracen-9-one", 9165 },
	{ "89V", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,3-dihydroxy-3-methylbutanoic acid", 9166 },
	{ "89Y", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-3,4-dihydroxy-4-(hydroxymethyl)oxolan-2-one", 9167 },
	{ "8A0", "", "", ResidueType::NON_POLYMER, false, "(4~{S})-6-azanyl-3-methyl-4-[3-(2-methylphenyl)-5-(trifluoromethyl)phenyl]-4-propan-2-yl-2~{H}-pyrano[2,3-c]pyrazole-5-carbonitrile", 9168 },
	{ "8A1", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,3-dihydroxy-2-methylpropanoic acid", 9169 },
	{ "8A3", "", "", ResidueType::NON_POLYMER, false, "4-[3-[(4~{S})-6-azanyl-5-cyano-3-methyl-4-propan-2-yl-2~{H}-pyrano[2,3-c]pyrazol-4-yl]-5-(trifluoromethyl)phenyl]-~{N}-methyl-~{N}-[2,2,2-tris(fluoranyl)ethyl]benzenesulfonamide", 9170 },
	{ "8A4", "", "", ResidueType::NON_POLYMER, false, "(R)-(4-chloro-2-methoxy-3-{[4-(1H-pyrazol-1-yl)phenyl]methyl}quinolin-6-yl)(4-chlorophenyl)(1-methyl-1H-imidazol-5-yl)methanol", 9171 },
	{ "8A6", "", "", ResidueType::NON_POLYMER, false, "4-[3-[(4~{S})-6-azanyl-5-cyano-3-methyl-4-propan-2-yl-2~{H}-pyrano[2,3-c]pyrazol-4-yl]-5-(trifluoromethyl)phenyl]-~{N}-methyl-~{N}-(phenylmethyl)benzenesulfonamide", 9172 },
	{ "8A7", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-({4-[2-(5-methyl-2-phenyl-1,3-oxazol-4-yl)ethoxy]-1-benzothiophen-7-yl}methyl)-1,3-thiazolidine-2,4-dione", 9173 },
	{ "8AA", "", "", ResidueType::DNA_LINKING, false, "8-[acetyl(anthracen-2-yl)amino]-2'-deoxy-5'-O-(dihydroxyphosphanyl)guanosine", 9174 },
	{ "8AC", "", "", ResidueType::NON_POLYMER, false, "8-aminooctanoic acid", 9175 },
	{ "8AD", "", "", ResidueType::NON_POLYMER, false, "9-AMINO-(N-(2-DIMETHYLAMINO)BUTYL)ACRIDINE-4-CARBOXAMIDE", 9176 },
	{ "8AF", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},5~{R})-5-[2-azanyl-8-(9~{H}-fluoren-3-ylamino)-6-oxidanylidene-3~{H}-purin-9-yl]-3-oxidanyl-oxolan-2-yl]methyl dihydrogen phosphite", 9177 },
	{ "8AG", "", "", ResidueType::DNA_LINKING, false, "", 9178 },
	{ "8AJ", "", "", ResidueType::NON_POLYMER, false, "2-(7-chloro-5-phenyl[1,2,4]triazolo[4,3-a]quinolin-1-yl)-N,N-dimethylethan-1-amine", 9179 },
	{ "8AM", "", "", ResidueType::NON_POLYMER, false, "N-[(3R,4R)-4-fluoro-1-{6-[(3-methoxy-1-methyl-1H-pyrazol-4-yl)amino]-9-(propan-2-yl)-9H-purin-2-yl}pyrrolidin-3-yl]propanamide", 9180 },
	{ "8AN", "", "", ResidueType::RNA_LINKING, false, "", 9181 },
	{ "8AO", "", "", ResidueType::NON_POLYMER, false, "(4~{S})-6-azanyl-3-methyl-4-[3-[4-(phenylmethyl)sulfonylphenyl]-5-(trifluoromethyl)phenyl]-4-propan-2-yl-2~{H}-pyrano[2,3-c]pyrazole-5-carbonitrile", 9182 },
	{ "8AP", "", "", ResidueType::NON_POLYMER, false, "N~3~-BENZYLPYRIDINE-2,3-DIAMINE", 9183 },
	{ "8AR", "", "", ResidueType::NON_POLYMER, false, "hydrogen arsenate", 9184 },
	{ "8AS", "", "", ResidueType::NON_POLYMER, false, "3-(morpholin-4-yl)propanoic acid", 9185 },
	{ "8AU", "", "", ResidueType::NON_POLYMER, false, "(4~{S})-6-azanyl-4-[3-(2-chlorophenyl)-5-(trifluoromethyl)phenyl]-3-methyl-4-propan-2-yl-2~{H}-pyrano[2,3-c]pyrazole-5-carbonitrile", 9186 },
	{ "8AV", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-cyclohexylethane-1,2-diamine", 9187 },
	{ "8AW", "", "", ResidueType::NON_POLYMER, false, "1,3-thiazol-5-ylmethyl [(2R,5R)-5-{[(2S)-2-methylbutanoyl]amino}-1,6-diphenylhexan-2-yl]carbamate", 9188 },
	{ "8AX", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,4R)-4-(2-{[2-(3-chlorophenyl)-2,2-difluoroethyl]amino}ethoxy)pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 9189 },
	{ "8AY", "", "", ResidueType::NON_POLYMER, false, "3-[6-(propan-2-yl)-1,3-benzothiazol-2-yl]-L-alanine", 9190 },
	{ "8AZ", "", "", ResidueType::RNA_LINKING, false, "8-aza-nebularine-5'-monophosphate", 9191 },
	{ "8B0", "", "", ResidueType::NON_POLYMER, false, "(4~{S})-6-azanyl-4-[3-(2-cyanophenyl)-5-(trifluoromethyl)phenyl]-3-methyl-4-propan-2-yl-2~{H}-pyrano[2,3-c]pyrazole-5-carbonitrile", 9192 },
	{ "?", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(1S)-1-cyclohexyl-2-{[3-(morpholin-4-yl)propanoyl]amino}ethyl]-N~2~-propanoyl-3-[6-(propan-2-yl)-1,3-benzothiazol-2-yl]-L-alaninamide", 9193 },
	{ "8B3", "", "", ResidueType::NON_POLYMER, false, "(4~{S})-6-azanyl-4-[3-(2-fluorophenyl)-5-(trifluoromethyl)phenyl]-3-methyl-4-propan-2-yl-2~{H}-pyrano[2,3-c]pyrazole-5-carbonitrile", 9194 },
	{ "8B4", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-(4-aminoimidazo[2,1-f][1,2,4]triazin-7-yl)-1,4-anhydro-2-deoxy-2-fluoro-5-O-[(S)-hydroxy(phosphonooxy)phosphoryl]-2-methyl-D-ribitol", 9195 },
	{ "8B6", "", "", ResidueType::NON_POLYMER, false, "4-oxidanylfuro[3,2-g]chromen-7-one", 9196 },
	{ "8B7", "", "", ResidueType::NON_POLYMER, false, "6-deoxy-alpha-L-galactopyranosyl-(1->2)-beta-D-galactopyranosyl-(1->4)-beta-D-glucopyranose", 9197 },
	{ "8B9", "", "", ResidueType::SACCHARIDE, false, "N-[(2S,3R,4S,6S)-6-(hydroxymethyl)-2,4-bis(oxidanyl)oxan-3-yl]ethanamide", 9198 },
	{ "8BA", "", "", ResidueType::NON_POLYMER, false, "8-bromo-deoxyadenosine-5'-monophosphate", 9199 },
	{ "8BB", "", "", ResidueType::PEPTIDE_LIKE, false, "trans-4-{[(E)-1-amino-2-sulfanylethenyl]carbamoyl}cyclohexanecarboxylic acid", 9200 },
	{ "8BD", "", "", ResidueType::NON_POLYMER, false, "3-({[(1Z)-(2-methoxyphenyl)methylidene]amino}oxy)propanoic acid", 9201 },
	{ "8BF", "", "", ResidueType::NON_POLYMER, false, "", 9202 },
	{ "8BG", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-yl [(1S,2S)-1-(1-{[(4-aminophenyl)sulfonyl](2-methylpropyl)amino}cyclopropyl)-1-hydroxy-3-phenylpropan-2-yl]carbamate", 9203 },
	{ "8BJ", "", "", ResidueType::NON_POLYMER, false, "(2Z,3aR,5R,6S,7R,7aR)-2-(ethylimino)-5-(hydroxymethyl)hexahydro-3aH-pyrano[3,2-d][1,3]thiazole-6,7-diol", 9204 },
	{ "8BL", "", "", ResidueType::NON_POLYMER, false, "", 9205 },
	{ "8BM", "", "", ResidueType::NON_POLYMER, false, "4-(4-{[2-{[(3S)-1-acetylpyrrolidin-3-yl]amino}-9-(propan-2-yl)-9H-purin-6-yl]amino}phenyl)-1-methylpiperazin-1-ium", 9206 },
	{ "8BP", "", "", ResidueType::NON_POLYMER, false, "N-[(3R,4R)-4-fluoro-1-{6-[(1-methyl-1H-pyrazol-4-yl)amino]-9-(propan-2-yl)-9H-purin-2-yl}pyrrolidin-3-yl]propanamide", 9207 },
	{ "8BQ", "", "", ResidueType::NON_POLYMER, false, "7-[(3S,4R)-4-(3-fluorophenyl)carbonylpyrrolidin-3-yl]-3H-quinazolin-4-one", 9208 },
	{ "8BR", "", "", ResidueType::NON_POLYMER, false, "8-BROMO-ADENOSINE-5'-MONOPHOSPHATE", 9209 },
	{ "8BS", "", "", ResidueType::NON_POLYMER, false, "N-[(3R,4R)-4-fluoro-1-{6-[(3-methoxy-1-methyl-1H-pyrazol-4-yl)amino]-9-methyl-9H-purin-2-yl}pyrrolidin-3-yl]propanamide", 9210 },
	{ "8BU", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methoxy-[(S)-fluoranyl-[oxidanyl(phosphonooxy)phosphoryl]methyl]phosphinic acid", 9211 },
	{ "8BV", "", "", ResidueType::NON_POLYMER, false, "2-[(propan-2-yl)oxy]benzamide", 9212 },
	{ "8BX", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,4R)-4-(2-{[2-(2-chlorophenyl)-2,2-difluoroethyl]amino}ethoxy)pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 9213 },
	{ "8BY", "", "", ResidueType::NON_POLYMER, false, "5-(4-cyanophenyl)-3-[(propan-2-yl)oxy]naphthalene-2-carboxamide", 9214 },
	{ "8C0", "", "", ResidueType::NON_POLYMER, false, "", 9215 },
	{ "8C1", "", "", ResidueType::NON_POLYMER, false, "4-{[(3R)-piperidin-3-yl]oxy}-6-[(propan-2-yl)oxy]quinoline-7-carboxamide", 9216 },
	{ "8C3", "", "", ResidueType::NON_POLYMER, false, "N-[3-(diethylamino)propyl]-2-(12-methyl-9-oxidanylidene-5-thia-1,10,11-triazatricyclo[6.4.0.0^2,6]dodeca-2(6),3,7,11-tetraen-10-yl)ethanamide", 9217 },
	{ "8C5", "", "", ResidueType::NON_POLYMER, false, "8-cyclohexyl-N-methoxy-5-oxo-2-{[4-(2-pyrrolidin-1-ylethyl)phenyl]amino}-5,8-dihydropyrido[2,3-d]pyrimidine-6-carboxamide", 9218 },
	{ "8C6", "", "", ResidueType::NON_POLYMER, false, "[(R)-[[(2R,3S,4R,5R)-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methoxy-oxidanyl-phosphoryl]-chloranyl-methyl]phosphonic acid", 9219 },
	{ "8C9", "", "", ResidueType::NON_POLYMER, false, "", 9220 },
	{ "8CA", "", "", ResidueType::NON_POLYMER, false, "9-benzyl-2,3,4,9-tetrahydro-1H-carbazole-8-carboxylic acid", 9221 },
	{ "8CC", "", "", ResidueType::NON_POLYMER, false, "N-methyl-4-pyridin-4-yl-1H-pyrrole-2-carboxamide", 9222 },
	{ "8CD", "", "", ResidueType::NON_POLYMER, false, "1-{[(2S)-5-oxopyrrolidin-2-yl]methoxy}-7-[(propan-2-yl)oxy]isoquinoline-6-carboxamide", 9223 },
	{ "8CG", "", "", ResidueType::NON_POLYMER, false, "1-{[(2S,3S,4S)-3-ethyl-4-fluoro-5-oxopyrrolidin-2-yl]methoxy}-7-methoxyisoquinoline-6-carboxamide", 9224 },
	{ "8CL", "", "", ResidueType::NON_POLYMER, false, "chlorobenzene", 9225 },
	{ "8CM", "", "", ResidueType::NON_POLYMER, false, "8-HYDROXYCOUMARIN", 9226 },
	{ "8CP", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-[(R)-hydroxy{[(R)-hydroxy(phosphonoamino)phosphoryl]oxy}phosphoryl]cytidine", 9227 },
	{ "8CS", "", "", ResidueType::NON_POLYMER, false, "", 9228 },
	{ "8CV", "", "", ResidueType::NON_POLYMER, false, "N-(2-phenylethyl)imidodicarbonimidic diamide", 9229 },
	{ "8CX", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,4R)-4-(2-{[(2R)-2-fluoro-2-(3-fluorophenyl)ethyl]amino}ethoxy)pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 9230 },
	{ "8CY", "", "", ResidueType::NON_POLYMER, false, "ruthenocenyl-7-aminodesacetoxycephalosporanic acid, bound form", 9231 },
	{ "8D0", "", "", ResidueType::NON_POLYMER, false, "(6aR,9R,10aR)-3-(8-azanyl-2-methyl-octan-2-yl)-9-(hydroxymethyl)-6,6-dimethyl-6a,7,8,9,10,10a-hexahydrobenzo[c]chromen-1-ol", 9232 },
	{ "8D1", "", "", ResidueType::NON_POLYMER, false, "5-amino-N-[(2-methoxyphenyl)methyl]-2-(3-methylphenyl)-2H-1,2,3-triazole-4-carboximidamide", 9233 },
	{ "8D3", "", "", ResidueType::NON_POLYMER, false, "(6aR,10aR)-3-(8-bromanyl-2-methyl-octan-2-yl)-6,6,9-trimethyl-6a,7,10,10a-tetrahydrobenzo[c]chromen-1-ol", 9234 },
	{ "8D4", "", "", ResidueType::NON_POLYMER, false, "5-phenyl-1H-1,2,3-triazole-4-carboxylic acid", 9235 },
	{ "8D6", "", "", ResidueType::NON_POLYMER, false, "3-chloranyl-4-pyridin-4-yl-1H-pyrrole-2-carboxamide", 9236 },
	{ "8D7", "", "", ResidueType::NON_POLYMER, false, "(1R)-3-amino-1-{3-[(2-propylpentyl)oxy]phenyl}propan-1-ol", 9237 },
	{ "8DA", "", "", ResidueType::NON_POLYMER, false, "8-OXODEOXYADENOSINE", 9238 },
	{ "8DD", "", "", ResidueType::NON_POLYMER, false, "8-oxo-7,8-dihydro-2'-deoxy-adenosine-5'-diphosphate", 9239 },
	{ "8DG", "", "", ResidueType::NON_POLYMER, false, "8-OXO-2'-DEOXYGUANOSINE-5'-TRIPHOSPHATE", 9240 },
	{ "8DJ", "", "", ResidueType::NON_POLYMER, false, "5-[(3S,4R)-3-{[(2H-1,3-benzodioxol-5-yl)oxy]methyl}piperidin-4-yl]-2-fluoro-N-[(pyridin-2-yl)methyl]benzamide", 9241 },
	{ "8DM", "", "", ResidueType::NON_POLYMER, false, "N-(4-aminobenzene-1-carbonyl)-L-glutamic acid", 9242 },
	{ "8DP", "", "", ResidueType::NON_POLYMER, false, "8-demethyl-8-aminoriboflavin-5'-phosphate", 9243 },
	{ "8DQ", "", "", ResidueType::NON_POLYMER, false, "8-phenyl-2-piperazin-1-yl-chromen-4-one", 9244 },
	{ "8DR", "", "", ResidueType::NON_POLYMER, false, "(S)-2-(3-(benzo[c][1,2,5]thiadiazole-4-sulfonamido)thiophene-2-carboxamido)-5-guanidinopentanoic acid", 9245 },
	{ "8DT", "", "", ResidueType::DNA_LINKING, false, "", 9246 },
	{ "8DV", "", "", ResidueType::NON_POLYMER, false, "(R)-4-(6-(1-(cyclopropylsulfonyl)cyclopropyl)-2-(1H-indol-4-yl)pyrimidin-4-yl)-3-methylmorpholine", 9247 },
	{ "8DX", "", "", ResidueType::NON_POLYMER, false, "(2R,3aR,6S,7aR)-2-[(2S)-2-amino-3-hydroxy-3-oxo-propyl]-6-hydroxy-3,3a,5,6,7,7a-hexahydrofuro[4,5-b]pyran-2-carboxylic acid", 9248 },
	{ "8DY", "", "", ResidueType::NON_POLYMER, false, "3-amino-6-(4-{[(2S)-1-(dimethylamino)propan-2-yl]sulfonyl}phenyl)-N-phenylpyrazine-2-carboxamide", 9249 },
	{ "8E1", "", "", ResidueType::NON_POLYMER, false, "4-{[(Z)-(7-oxo-6,7-dihydro-8H-[1,3]thiazolo[5,4-e]indol-8-ylidene)methyl]amino}benzene-1-sulfonamide", 9250 },
	{ "8E3", "", "", ResidueType::NON_POLYMER, false, "6-fluoranyl-2-(4,5,6,7-tetrahydrofuro[2,3-c]pyridin-2-yl)-1~{H}-benzimidazole-4-carboxamide", 9251 },
	{ "8E4", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-({3-[(1R)-3-amino-1-hydroxypropyl]phenoxy}methyl)hexan-1-ol", 9252 },
	{ "8E6", "", "", ResidueType::NON_POLYMER, false, "6-fluoranyl-2-(4,5,6,7-tetrahydrothieno[3,2-c]pyridin-2-yl)-1~{H}-benzimidazole-4-carboxamide", 9253 },
	{ "8E7", "", "", ResidueType::NON_POLYMER, false, "2-(decylamino)ethane-1-thiol", 9254 },
	{ "8E8", "", "", ResidueType::NON_POLYMER, false, "1-[(3~{R})-3-[4-azanyl-3-(4-phenoxyphenyl)pyrazolo[3,4-d]pyrimidin-1-yl]piperidin-1-yl]propan-1-one", 9255 },
	{ "8E9", "", "", ResidueType::NON_POLYMER, false, "1-AMINO-4-(3-METHYLPHENYL)AMINO-9,10-DIOXO-9,10-DIHYDROANTHRACENE-2-SULFONATE", 9256 },
	{ "8EA", "", "", ResidueType::NON_POLYMER, false, "N-(2-{[(4-chlorophenyl)methyl]disulfanyl}ethyl)decan-1-amine", 9257 },
	{ "8EC", "", "", ResidueType::NON_POLYMER, false, "6-fluoranyl-2-(4,5,6,7-tetrahydrothieno[2,3-c]pyridin-2-yl)-1~{H}-benzimidazole-4-carboxamide", 9258 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "2-[(5S)-3-[(4-azanyl-2-methyl-pyrimidin-5-yl)methyl]-4-methylidene-1,3-thiazolidin-5-yl]ethyl phosphono hydrogen phosphate", 9259 },
	{ "8EJ", "", "", ResidueType::NON_POLYMER, false, "6-methylpyridine-3-carboxamide", 9260 },
	{ "8EL", "", "", ResidueType::NON_POLYMER, false, "2-[3-[(4-azanyl-2-methyl-pyrimidin-5-yl)methyl]-4-methyl-2H-1,3-thiazol-5-yl]ethyl phosphono hydrogen phosphate", 9261 },
	{ "8EM", "", "", ResidueType::NON_POLYMER, false, "N-[(furan-2-yl)methyl]-N-(4-oxo-2-propyl-3-{[2'-(2H-tetrazol-5-yl)[1,1'-biphenyl]-4-yl]methyl}-3,4-dihydroquinazolin-6-yl)benzamide", 9262 },
	{ "8EN", "", "", ResidueType::NON_POLYMER, false, "~{N}-[3-(2-acetamidoimidazo[1,2-a]pyridin-6-yl)-4-methyl-phenyl]-3-(trifluoromethyl)benzamide", 9263 },
	{ "8EO", "", "", ResidueType::NON_POLYMER, false, "2-[(5S)-3-[(4-azanyl-2-methyl-pyrimidin-5-yl)methyl]-4-methyl-2,5-dihydro-1,3-thiazol-3-ium-5-yl]ethyl phosphono hydrogen phosphate", 9264 },
	{ "8EP", "", "", ResidueType::NON_POLYMER, false, "(2R,3aR,6R,7S,7aR)-2-[(2S)-2-amino-3-hydroxy-3-oxo-propyl]-6,7-dihydroxy-3,3a,5,6,7,7a-hexahydrofuro[4,5-b]pyran-2-carboxylic acid", 9265 },
	{ "8EQ", "", "", ResidueType::NON_POLYMER, false, "3-(5-chloranyl-6-ethoxy-2-oxidanylidene-1,3-benzoxazol-3-yl)propanoic acid", 9266 },
	{ "8ES", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-N-(2-ethyl-4-oxo-3-{[2'-(2H-tetrazol-5-yl)[1,1'-biphenyl]-4-yl]methyl}-3,4-dihydroquinazolin-6-yl)thiophene-2-carboxamide", 9267 },
	{ "8ET", "", "", ResidueType::NON_POLYMER, false, "~{N}-quinolin-5-ylpyridine-3-carboxamide", 9268 },
	{ "8EU", "", "", ResidueType::NON_POLYMER, false, "ethyl-[(4-nitrophenyl)methoxy]phosphinic acid", 9269 },
	{ "8EV", "", "", ResidueType::NON_POLYMER, false, "3-[(2-aminoquinolin-7-yl)methoxy]-5-[(methylamino)methyl]benzonitrile", 9270 },
	{ "8EW", "", "", ResidueType::NON_POLYMER, false, "3-methylpent-2-enedioic acid", 9271 },
	{ "?", "", "", ResidueType::SACCHARIDE, false, "[(2R,3R,4R,5R,6R)-5-acetamido-4,6-bis(oxidanyl)-2-(sulfooxymethyl)oxan-3-yl] hydrogen sulfate", 9272 },
	{ "8EY", "", "", ResidueType::NON_POLYMER, false, "3-[(2-amino-4-methylquinolin-7-yl)methoxy]-5-[(methylamino)methyl]benzonitrile", 9273 },
	{ "8EZ", "", "", ResidueType::NON_POLYMER, false, "(1~{R},2~{S})-2-methylcyclohexane-1-carboxylic acid", 9274 },
	{ "8F0", "", "", ResidueType::NON_POLYMER, false, "(3~{S})-4-cyclopropyl-1,3-dimethyl-6-[[(1~{S})-1-(4-methylphenyl)ethyl]amino]-3~{H}-quinoxalin-2-one", 9275 },
	{ "8F1", "", "", ResidueType::NON_POLYMER, false, "3-[(2-amino-4-methylquinolin-7-yl)methoxy]-5-[2-(methylamino)ethyl]benzonitrile", 9276 },
	{ "8F2", "", "", ResidueType::NON_POLYMER, false, "(R)-4-(6,7-dihydroxy-1-phenyl-3,4-tetrahydroisoquinoline-1H-2-carbonyl)benzenesulfonamide", 9277 },
	{ "8F3", "", "", ResidueType::NON_POLYMER, false, "4-[[(1~{S})-6,7-bis(oxidanyl)-1-phenyl-3,4-dihydro-1~{H}-isoquinolin-2-yl]carbonyl]benzenesulfonamide", 9278 },
	{ "8F4", "", "", ResidueType::NON_POLYMER, false, "(3~{S})-3-azanylazepan-2-one", 9279 },
	{ "8F5", "", "", ResidueType::NON_POLYMER, false, "", 9280 },
	{ "8F6", "", "", ResidueType::NON_POLYMER, false, "(3~{R})-4-cyclopropyl-1,3-dimethyl-6-[[(1~{R})-1-phenylethyl]amino]-3~{H}-quinoxalin-2-one", 9281 },
	{ "8F7", "", "", ResidueType::NON_POLYMER, false, "3-[2-(2-amino-4-methylquinolin-7-yl)ethyl]-5-[(methylamino)methyl]benzonitrile", 9282 },
	{ "8F9", "", "", ResidueType::NON_POLYMER, false, "(3~{R})-4-cyclopropyl-1,3-dimethyl-6-[[(1~{S})-1-(4-methylphenyl)ethyl]amino]-3~{H}-quinoxalin-2-one", 9283 },
	{ "8FB", "", "", ResidueType::NON_POLYMER, false, "(3~{S},4~{R},5~{S})-5-[(2~{S},3~{R})-1,3-bis(oxidanyl)-1-oxidanylidene-butan-2-yl]-3-[(3~{S},5~{S})-5-(dimethylcarbamoyl)pyrrolidin-3-yl]sulfanyl-4-methyl-pyrrolidine-2-carboxylic acid", 9284 },
	{ "8FC", "", "", ResidueType::NON_POLYMER, false, "~{N}-(4-cyclopropyl-1,3,3-trimethyl-2-oxidanylidene-quinoxalin-6-yl)-4-methyl-benzenesulfonamide", 9285 },
	{ "8FD", "", "", ResidueType::NON_POLYMER, false, "3-[(2-amino-4-methylquinolin-7-yl)methoxy]-5-[(2S)-2-(methylamino)propyl]benzonitrile", 9286 },
	{ "8FG", "", "", ResidueType::DNA_LINKING, false, "N-(5'-PHOSPHO-2'-DEOXYGUANOSIN-8-YL)-2-ACETYLAMINOFLUORENE", 9287 },
	{ "8FH", "", "", ResidueType::NON_POLYMER, false, "2,2,2-tris-chloroethanol", 9288 },
	{ "8FK", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-~{N}-(5-methyl-6-oxidanylidene-benzo[b][1,4]benzothiazepin-2-yl)oxolane-2-carboxamide", 9289 },
	{ "8FL", "", "", ResidueType::NON_POLYMER, false, "2-[(2R)-3-[(4-azanyl-2-methyl-pyrimidin-5-yl)methyl]-4-methyl-2-oxidanyl-2H-1,3-thiazol-5-yl]ethyl phosphono hydrogen phosphate", 9290 },
	{ "8FM", "", "", ResidueType::NON_POLYMER, false, "(3S,3aR,5R,7aS,8S)-hexahydro-4H-3,5-methanofuro[2,3-b]pyran-8-yl [(2S,3R)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino}-1-phenylbutan-2-yl]carbamate", 9291 },
	{ "8FN", "", "", ResidueType::NON_POLYMER, false, "5-cyclopropyl-2-(5-pyrazin-2-yl-1,2,4-oxadiazol-3-yl)benzo[b][1,4]benzothiazepin-6-one", 9292 },
	{ "8FP", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3R)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino}-1-phenylbutan-2-yl]-3-[(2R)-2-(4-methyl-1,3-thiazol-2-yl)pyrrolidine-1-carbonyl]benzamide", 9293 },
	{ "8FQ", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1~{S})-4-(2-fluoranylethanimidoylamino)-1-(4-methoxy-1-methyl-benzimidazol-2-yl)butyl]-3-oxidanylidene-1,2-dihydroisoindole-4-carboxamide", 9294 },
	{ "8FR", "", "", ResidueType::NON_POLYMER, false, "2-(4-azanylpiperidin-1-yl)-6-chloranyl-N-(1-methylimidazol-4-yl)quinazolin-4-amine", 9295 },
	{ "8FS", "", "", ResidueType::NON_POLYMER, false, "1-ethynyl-2,4-difluorobenzene", 9296 },
	{ "8FT", "", "", ResidueType::NON_POLYMER, false, "2-ethyl-~{N}-[(1~{S})-4-(2-fluoranylethanimidoylamino)-1-(4-methoxy-1-methyl-benzimidazol-2-yl)butyl]-3-oxidanylidene-1~{H}-isoindole-4-carboxamide", 9297 },
	{ "8FU", "", "", ResidueType::NON_POLYMER, false, "[6-chloranyl-4-[(5-methyl-1H-pyrazol-3-yl)amino]quinazolin-2-yl]-[(3R)-3-methylpiperazin-1-yl]methanone", 9298 },
	{ "8FV", "", "", ResidueType::NON_POLYMER, false, "7-(3,5-dimethyl-1,2-oxazol-4-yl)-6-methoxy-2-methyl-4-(quinolin-4-yl)-9H-pyrimido[4,5-b]indole", 9299 },
	{ "8FW", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1~{S})-1-(1~{H}-benzimidazol-2-yl)-4-(ethanimidoylamino)butyl]-3-oxidanylidene-isoindole-4-carboxamide", 9300 },
	{ "8FX", "", "", ResidueType::NON_POLYMER, false, "[6-chloranyl-4-[(5-cyclopropyl-1H-pyrazol-3-yl)amino]quinazolin-2-yl]-[(3R)-3-methylpiperazin-1-yl]methanone", 9301 },
	{ "8FY", "", "", ResidueType::NON_POLYMER, false, "N~2~-methyl-N~4~-[(pyrimidin-2-yl)methyl]-5-(quinolin-6-yl)-7H-pyrrolo[2,3-d]pyrimidine-2,4-diamine", 9302 },
	{ "8FZ", "", "", ResidueType::NON_POLYMER, false, "(5-pyridin-3-yloxyfuran-2-yl)methanamine", 9303 },
	{ "8G0", "", "", ResidueType::NON_POLYMER, false, "benzene-1,3-dicarboxylic acid", 9304 },
	{ "8G1", "", "", ResidueType::NON_POLYMER, false, "(3R)-8-[(3-chloro-4-fluorophenyl)methyl]-6-hydroxy-1,5,7-trioxo-1,2',3',5,7,8,9,10-octahydro-2H-spiro[imidazo[5,1-a][2,6]naphthyridine-3,1'-indene]-7'-carbonitrile", 9305 },
	{ "8G2", "", "", ResidueType::NON_POLYMER, false, "(4-methoxycarbonylphenyl)methylazanium", 9306 },
	{ "8G3", "", "", ResidueType::NON_POLYMER, false, "2-methyl-5-[2-([1,2,4]triazolo[1,5-a]pyrimidin-2-yl)ethyl]pyrazolo[1,5-a]pyrimidin-7-ol", 9307 },
	{ "8G4", "", "", ResidueType::NON_POLYMER, false, "", 9308 },
	{ "8G5", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-(2-amino-1,3-thiazol-4-yl)-1-oxaspiro[4.5]decan-2-one", 9309 },
	{ "8G6", "", "", ResidueType::NON_POLYMER, false, "7-(4-chlorophenyl)-2-methyl-pyrazolo[1,5-a]pyrimidine", 9310 },
	{ "8G8", "", "", ResidueType::NON_POLYMER, false, "2-chloranyl-9-methyl-purine", 9311 },
	{ "8GB", "", "", ResidueType::NON_POLYMER, false, "1-[5-chloranyl-3-(chloromethyl)-2-oxidanyl-phenyl]ethanone", 9312 },
	{ "8GC", "", "", ResidueType::NON_POLYMER, false, "3-carbamoyl-1-methylpyridin-1-ium", 9313 },
	{ "8GD", "", "", ResidueType::NON_POLYMER, false, "", 9314 },
	{ "8GE", "", "", ResidueType::NON_POLYMER, false, "4-(1~{H}-indol-2-yl)benzenesulfonamide", 9315 },
	{ "8GF", "", "", ResidueType::NON_POLYMER, false, "2-methylpyrimidin-4-amine", 9316 },
	{ "8GH", "", "", ResidueType::NON_POLYMER, false, "4-[4-(pyrazol-1-ylmethyl)phenyl]benzenesulfonamide", 9317 },
	{ "8GJ", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-[4-(2-fluoro-4-methoxyphenyl)-2-oxopyridin-1(2H)-yl]-N-hydroxy-2-methyl-2-(methylsulfonyl)butanamide", 9318 },
	{ "8GK", "", "", ResidueType::NON_POLYMER, false, "~{N}-oxidanylnaphthalene-1-carboxamide", 9319 },
	{ "8GL", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-azanyl-2-oxidanyl-pentanedioic acid", 9320 },
	{ "8GM", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-5-[2-azanyl-6,8-bis(oxidanylidene)-1,7-dihydropurin-9-yl]-3,4-bis(oxidanyl)oxolan-2-yl]methyl dihydrogen phosphate", 9321 },
	{ "8GN", "", "", ResidueType::NON_POLYMER, false, "~{N}-[5-[[3-cyano-7-(cyclopropylamino)pyrazolo[1,5-a]pyrimidin-5-yl]amino]-2-[(3~{R})-3-(dimethylamino)pyrrolidin-1-yl]phenyl]ethanamide", 9322 },
	{ "8GP", "", "", ResidueType::NON_POLYMER, false, "", 9323 },
	{ "8GQ", "", "", ResidueType::NON_POLYMER, false, "pyrazolo-pyrimidine macrocycle", 9324 },
	{ "8GR", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-(1H-indol-3-ylmethylidene)-6-methoxy-7-(piperazin-1-ylmethyl)-1-benzofuran-3-one", 9325 },
	{ "8GS", "", "", ResidueType::NON_POLYMER, false, "2-{6-[4-(propan-2-yl)-4H-1,2,4-triazol-3-yl]pyridin-2-yl}-2,3-dihydro-1H-isoindol-1-one", 9326 },
	{ "8GT", "", "", ResidueType::NON_POLYMER, false, "8-OXO-GUANOSINE-5'-TRIPHOSPHATE", 9327 },
	{ "8GU", "", "", ResidueType::NON_POLYMER, false, "(2Z)-6-methoxy-7-(piperazin-1-ylmethyl)-2-(1H-pyrrolo[3,2-b]pyridin-3-ylmethylidene)-1-benzofuran-3-one", 9328 },
	{ "8GV", "", "", ResidueType::NON_POLYMER, false, "6-{[(2S)-4-methylmorpholin-2-yl]methoxy}-2-{6-[4-(propan-2-yl)-4H-1,2,4-triazol-3-yl]pyridin-2-yl}-2,3-dihydro-1H-isoindol-1-one", 9329 },
	{ "8GX", "", "", ResidueType::NON_POLYMER, false, "(2Z)-6-methoxy-7-(piperazin-1-ylmethyl)-2-(1H-pyrrolo[2,3-c]pyridin-3-ylmethylidene)-1-benzofuran-3-one", 9330 },
	{ "8GY", "", "", ResidueType::NON_POLYMER, false, "2-(6-{4-[(2R)-1-hydroxypropan-2-yl]-4H-1,2,4-triazol-3-yl}pyridin-2-yl)-6-[(propan-2-yl)oxy]-2,3-dihydro-1H-isoindol-1-one", 9331 },
	{ "8H0", "", "", ResidueType::NON_POLYMER, false, "N-(1H-indazol-6-yl)-8-piperidin-4-yloxy-6-propyl-quinazolin-2-amine", 9332 },
	{ "8H1", "", "", ResidueType::NON_POLYMER, false, "2-(5-{[(2S)-2-amino-3-phenylpropyl]oxy}pyridin-3-yl)-8,9-dimethoxybenzo[c][2,7]naphthyridin-4-amine", 9333 },
	{ "8H4", "", "", ResidueType::NON_POLYMER, false, "1~{H}-indazol-5-amine", 9334 },
	{ "8H6", "", "", ResidueType::NON_POLYMER, false, "S-[2-[3-[[(2R)-3,3-dimethyl-2,4-bis(oxidanyl)butanoyl]amino]propanoylamino]ethyl] (2R)-2-methyl-3-oxidanylidene-pentanethioate", 9335 },
	{ "8H8", "", "", ResidueType::NON_POLYMER, false, "2-fluoro-4-hydroxybenzonitrile", 9336 },
	{ "8HB", "", "", ResidueType::NON_POLYMER, false, "", 9337 },
	{ "8HC", "", "", ResidueType::NON_POLYMER, false, "8-hydroxyquinoline-2-carboxylic acid", 9338 },
	{ "8HD", "", "", ResidueType::NON_POLYMER, false, "N~3~-{(2S,3R)-3-hydroxy-4-[{[4-(hydroxymethyl)phenyl]sulfonyl}(2-methylpropyl)amino]-1-phenylbutan-2-yl}-N~1~-methyl-N~1~-[(4-methyl-1,3-oxazol-2-yl)methyl]benzene-1,3-dicarboxamide", 9339 },
	{ "8HE", "", "", ResidueType::NON_POLYMER, false, "4-(4-cyanophenyl)benzenesulfonamide", 9340 },
	{ "8HG", "", "", ResidueType::NON_POLYMER, false, "2'-DEOXY-8-OXOGUANOSINE", 9341 },
	{ "8HH", "", "", ResidueType::NON_POLYMER, false, "~{N}-ethyl-5-pyridin-3-yl-pyrazolo[1,5-a]pyrimidin-7-amine", 9342 },
	{ "8HI", "", "", ResidueType::NON_POLYMER, false, "(3R,5R)-7-{3-(4-fluorophenyl)-1-(1-methylethyl)-4-phenyl-5-[(4-sulfamoylphenyl)carbamoyl]-1H-pyrrol-2-yl}-3,5-dihydroxyheptanoic acid", 9343 },
	{ "8HJ", "", "", ResidueType::NON_POLYMER, false, "7-oxidanyl-3,4-dihydro-1~{H}-quinolin-2-one", 9344 },
	{ "8HK", "", "", ResidueType::NON_POLYMER, false, "4-pyridin-3-ylbenzenesulfonamide", 9345 },
	{ "8HM", "", "", ResidueType::NON_POLYMER, false, "6-[(4-methoxyphenyl)methyl]-9-[(oxan-4-yl)methyl]-8,9,10,11-tetrahydropyrido[4',3':4,5]thieno[3,2-e][1,2,4]triazolo[1,5-c]pyrimidin-5(6H)-one", 9346 },
	{ "8HN", "", "", ResidueType::NON_POLYMER, false, "2-[(2~{S})-1-[3-cyano-7-[(2-oxidanylidene-3,4-dihydro-1~{H}-quinolin-6-yl)amino]pyrazolo[1,5-a]pyrimidin-5-yl]pyrrolidin-2-yl]ethanoic acid", 9347 },
	{ "8HP", "", "", ResidueType::NON_POLYMER, false, "6-[(4-chlorophenyl)methyl]-8,9,10,11-tetrahydro[1]benzothieno[3,2-e][1,2,4]triazolo[1,5-c]pyrimidin-5(6H)-one", 9348 },
	{ "8HQ", "", "", ResidueType::NON_POLYMER, false, "8-hydroxyquinoline-4-carboxylic acid", 9349 },
	{ "8HT", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1~{S})-1-(1~{H}-benzimidazol-2-yl)-4-(2-fluoranylethanimidoylamino)butyl]-4-phenyl-benzamide", 9350 },
	{ "8HV", "", "", ResidueType::NON_POLYMER, false, "5-fluoro-N-{4-[1-(2-hydroxy-2-methylpropanoyl)piperidin-4-yl]phenyl}-2H-isoindole-2-carboxamide", 9351 },
	{ "8HW", "", "", ResidueType::NON_POLYMER, false, "4-[[4-[[3-(2,3-dihydro-1,4-benzodioxin-6-yl)-2-methyl-phenyl]methoxy]-2,5-bis(fluoranyl)phenyl]methylamino]-3-oxidanylidene-butanoic acid", 9352 },
	{ "8HX", "", "", ResidueType::NON_POLYMER, false, "8-hydroxy-3,9-dihydro-1H-purine-2,6-dione", 9353 },
	{ "8HY", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(3-phenylpropyl)carbamoyl]phenyl}-2H-isoindole-2-carboxamide", 9354 },
	{ "8HZ", "", "", ResidueType::NON_POLYMER, false, "4-[8-methyl-3-[(4-methylphenyl)amino]imidazo[1,2-a]pyridin-2-yl]phenol", 9355 },
	{ "8I1", "", "", ResidueType::NON_POLYMER, false, "2-(5-{[(2R)-2-amino-3-phenylpropyl]oxy}pyridin-3-yl)-8,9-dimethoxybenzo[c][2,7]naphthyridin-4-amine", 9356 },
	{ "8ID", "", "", ResidueType::NON_POLYMER, false, "NICOTINAMIDE-8-IODO-ADENINE-DINUCLEOTIDE", 9357 },
	{ "8IG", "", "", ResidueType::NON_POLYMER, false, "8-IODO-GUANINE", 9358 },
	{ "8IN", "", "", ResidueType::NON_POLYMER, false, "[3-(1-BENZYL-3-CARBAMOYLMETHYL-2-METHYL-1H-INDOL-5-YLOXY)-PROPYL-]-PHOSPHONIC ACID", 9359 },
	{ "8IP", "", "", ResidueType::NON_POLYMER, false, "N~3~-(3-PYRIDIN-3-YLBENZYL)PYRIDINE-2,3-DIAMINE", 9360 },
	{ "8IR", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(2-chlorophenyl)(pyrimidin-4-yl)carbamoyl]phenyl}-4-methoxybenzamide", 9361 },
	{ "8J1", "", "", ResidueType::NON_POLYMER, false, "4-methyl-7-({3-[(methylamino)methyl]phenoxy}methyl)quinolin-2-amine", 9362 },
	{ "8J2", "", "", ResidueType::NON_POLYMER, false, "propan-2-yl ~{N}-[(2~{S},4~{R})-6-(3-acetamidophenyl)-1-ethanoyl-2-methyl-3,4-dihydro-2~{H}-quinolin-4-yl]carbamate", 9363 },
	{ "8J4", "", "", ResidueType::NON_POLYMER, false, "7-({3-ethyl-5-[(methylamino)methyl]phenoxy}methyl)quinolin-2-amine", 9364 },
	{ "8J6", "", "", ResidueType::NON_POLYMER, false, "4-(3-phenylphenyl)-N-(2,2,6,6-tetramethylpiperidin-4-yl)-1,3-thiazol-2-amine", 9365 },
	{ "8J7", "", "", ResidueType::NON_POLYMER, false, "4-methyl-7-(2-{3-[(methylamino)methyl]phenyl}ethyl)quinolin-2-amine", 9366 },
	{ "8J8", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-[[2,6-dimethoxy-4-[(2-methyl-3-phenyl-phenyl)methoxy]phenyl]methylamino]ethyl]ethanamide", 9367 },
	{ "8JB", "", "", ResidueType::PEPTIDE_LINKING, false, "(2~{R})-2-azanyl-3-[[(5~{S})-5-[(1~{S})-1-azanyl-2-oxidanyl-2-oxidanylidene-ethyl]-4,5-dihydro-1,2-oxazol-3-yl]sulfanyl]propanoic acid", 9368 },
	{ "8JC", "", "", ResidueType::NON_POLYMER, false, "N-[3-[[2-[[4-(4-ethanoylpiperazin-1-yl)-2-methoxy-phenyl]amino]-5-(trifluoromethyl)pyrimidin-4-yl]amino]phenyl]prop-2-enamide", 9369 },
	{ "8JD", "", "", ResidueType::NON_POLYMER, false, "", 9370 },
	{ "8JE", "", "", ResidueType::NON_POLYMER, false, "5-(4-fluorophenyl)-~{N}-[[3-[(~{S})-(1-methylindazol-5-yl)-oxidanyl-methyl]phenyl]methyl]-2,3-bis(oxidanyl)benzamide", 9371 },
	{ "8JG", "", "", ResidueType::NON_POLYMER, false, "(7alpha,8alpha,10alpha,13alpha)-7,16-dihydroxykauran-18-oic acid", 9372 },
	{ "8JH", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{S})-1-(4-azanylbutylamino)-4-methyl-1-oxidanylidene-pentan-2-yl]-(phenylmethoxycarbonylaminomethyl)phosphonamidic acid", 9373 },
	{ "8JJ", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-{[(7beta,8alpha,9beta,10alpha,13alpha,16beta)-7,16-dihydroxy-18-oxokauran-18-yl]oxy}(hydroxy)phosphoryl]adenosine", 9374 },
	{ "8JL", "", "", ResidueType::NON_POLYMER, false, "4-fluoranyl-3-[(4-methoxynaphthalen-1-yl)sulfonylamino]benzoic acid", 9375 },
	{ "8JM", "", "", ResidueType::NON_POLYMER, false, "4-[2-amino-4-ethyl-5-(1H-indazol-5-yl)pyridin-3-yl]phenol", 9376 },
	{ "8JN", "", "", ResidueType::NON_POLYMER, false, "1-butyl-3-[(~{E})-3-oxidanylprop-1-enyl]-8-[(1~{R},5~{S})-3-tricyclo[3.3.1.0^{3,7}]nonanyl]-7~{H}-purine-2,6-dione", 9377 },
	{ "8JO", "", "", ResidueType::NON_POLYMER, false, "2-fluoranyl-5-[(4-methoxynaphthalen-1-yl)sulfonylamino]benzoic acid", 9378 },
	{ "8JP", "", "", ResidueType::NON_POLYMER, false, "6'-amino-4'-ethyl-5'-(4-hydroxyphenyl)-N-methyl[3,3'-bipyridine]-6-carboxamide", 9379 },
	{ "8JQ", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{S})-1-(2-azanylethylamino)-4-methyl-1-oxidanylidene-pentan-2-yl]-(phenylmethoxycarbonylaminomethyl)phosphonamidic acid", 9380 },
	{ "8JR", "", "", ResidueType::NON_POLYMER, false, "2-fluoranyl-3-[(4-methoxynaphthalen-1-yl)sulfonylamino]benzoic acid", 9381 },
	{ "8JS", "", "", ResidueType::NON_POLYMER, false, "4-{[(4-fluorophenyl)carbamothioyl]amino}benzene-1-sulfonamide", 9382 },
	{ "8JT", "", "", ResidueType::NON_POLYMER, false, "1,3-benzodioxol-5-ylmethyl(cyclopentyl)azanium", 9383 },
	{ "8JW", "", "", ResidueType::NON_POLYMER, false, "3-azanyl-5-(trifluoromethyl)-1~{H}-pyridin-2-one", 9384 },
	{ "8JX", "", "", ResidueType::NON_POLYMER, false, "5-[(4-methoxynaphthalen-1-yl)sulfonylamino]pentanoic acid", 9385 },
	{ "8JZ", "", "", ResidueType::NON_POLYMER, false, "butyl acetate", 9386 },
	{ "8K0", "", "", ResidueType::NON_POLYMER, false, "5-[(4-bromanylnaphthalen-1-yl)sulfonylamino]pentanoic acid", 9387 },
	{ "8K1", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-hydroxy{[(7beta,8alpha,9beta,10alpha,11beta,13alpha)-7-hydroxy-19-oxo-11,16-epoxykauran-19-yl]oxy}phosphoryl]adenosine", 9388 },
	{ "8K2", "", "", ResidueType::NON_POLYMER, false, "5-chloranylthiophene-2-sulfonamide", 9389 },
	{ "8K4", "", "", ResidueType::NON_POLYMER, false, "2-[2-(4-fluorophenyl)-2-adamantyl]-1-(3-methoxyazetidin-1-yl)ethanone ", 9390 },
	{ "8K5", "", "", ResidueType::NON_POLYMER, false, "[azanyl-[(4-chlorophenyl)methylsulfanyl]methylidene]azanium", 9391 },
	{ "8K6", "", "", ResidueType::NON_POLYMER, false, "Octadecane", 9392 },
	{ "8K7", "", "", ResidueType::NON_POLYMER, false, "1-(3-HYDROXYAZETIDIN-1-YL)-2-[(2S,5R)-2-(4-FLUOROPHENYL)-5-METHOXYADAMANTAN-2-YL]ETHAN-1-ONE", 9393 },
	{ "8K8", "", "", ResidueType::NON_POLYMER, false, "1-butyl-3-(3-oxidanylpropyl)-8-[(1~{R},5~{S})-3-tricyclo[3.3.1.0^{3,7}]nonanyl]-7~{H}-purine-2,6-dione", 9394 },
	{ "8KA", "", "", ResidueType::NON_POLYMER, false, "2-[(1R,3S,5R,7S)-2-[4-(4-FLUOROPHENYL)PHENYL]-6-HYDROXYADAMANTAN-2-YL]-1-(3-HYDROXYAZETIDIN-1-YL)ETHAN-1-ONE", 9395 },
	{ "8KB", "", "", ResidueType::NON_POLYMER, false, "(6~{R})-1,4-oxazepan-6-ol", 9396 },
	{ "8KD", "", "", ResidueType::NON_POLYMER, false, "2-(2-BENZYL-6-HYDROXYADAMANTAN-2-YL)-1-(3-HYDROXYAZETIDIN-1-YL)ETHAN-1-ONE", 9397 },
	{ "8KG", "", "", ResidueType::NON_POLYMER, false, "2-[(5R,7S)-6-HYDROXY-2-PHENYLADAMANTAN-2-YL]-1-(3-HYDROXYAZETIDIN-1-YL)ETHAN-1-ONE", 9398 },
	{ "8KK", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{S})-1-(3-azanylpropylamino)-4-methyl-1-oxidanylidene-pentan-2-yl]-(phenylmethoxycarbonylaminomethyl)phosphonamidic acid", 9399 },
	{ "8KL", "", "", ResidueType::NON_POLYMER, false, "", 9400 },
	{ "8KM", "", "", ResidueType::NON_POLYMER, false, "N-(4-cyano-3-cyclopropylphenyl)-1-(4-methylphenyl)methanesulfonamide", 9401 },
	{ "8KN", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-5-azanyl-2-[[(2~{S})-4-methyl-2-[[oxidanyl(phenylmethoxycarbonylaminomethyl)phosphoryl]amino]pentanoyl]amino]pentanoic acid", 9402 },
	{ "8KP", "", "", ResidueType::NON_POLYMER, false, "N-(4-cyano-3-ethyl-5-methylphenyl)-1-(4-methylphenyl)methanesulfonamide", 9403 },
	{ "8KS", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,3S,4S)-3-{[(naphthalen-1-yl)oxy]carbonyl}-2,4-diphenylcyclobutane-1-carboxylic acid", 9404 },
	{ "8KU", "", "", ResidueType::NON_POLYMER, false, "2-[(2S)-1-{[(2-chlorophenyl)sulfanyl]acetyl}pyrrolidin-2-yl]-N-{[(2S)-2,3-dihydro-1-benzofuran-2-yl]methyl}-5-hydroxy-6-oxo-1,6-dihydropyrimidine-4-carboxamide", 9405 },
	{ "8KV", "", "", ResidueType::NON_POLYMER, false, "N-{(1S)-1-[3-methoxy-4-(1,3-oxazol-5-yl)phenyl]ethyl}-N'-phenylurea", 9406 },
	{ "8KW", "", "", ResidueType::NON_POLYMER, false, "3-[2-(2-hydroxyphenyl)ethyl]-5-methoxy-phenol", 9407 },
	{ "8KY", "", "", ResidueType::NON_POLYMER, false, "{2-chloro-5-[({2-[3-(prop-1-en-2-yl)phenyl]propan-2-yl}carbamoyl)amino]phenoxy}acetic acid", 9408 },
	{ "8L1", "", "", ResidueType::NON_POLYMER, false, "N-{4-chloro-3-[4-(trifluoromethyl)-1,3-thiazol-2-yl]phenyl}-N'-(2-{3-[(1E)-N-hydroxyethanimidoyl]phenyl}propan-2-yl)urea", 9409 },
	{ "8L2", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-3-azanyl-2-[[(2~{S})-4-methyl-2-[[oxidanyl(phenylmethoxycarbonylaminomethyl)phosphoryl]amino]pentanoyl]amino]propanoic acid", 9410 },
	{ "8L4", "", "", ResidueType::NON_POLYMER, false, "3-(2-{[(4-chlorophenyl)carbamoyl]amino}propan-2-yl)-N-hydroxybenzene-1-carboximidamide", 9411 },
	{ "8L5", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{S})-1-(aminomethylamino)-4-methyl-1-oxidanylidene-pentan-2-yl]-(phenylmethoxycarbonylaminomethyl)phosphonamidic acid;hydrogen", 9412 },
	{ "8L7", "", "", ResidueType::NON_POLYMER, false, "N-{2-chloro-5-[({2-[3-(prop-1-en-2-yl)phenyl]propan-2-yl}carbamoyl)amino]phenyl}-alpha-D-ribofuranosylamine", 9413 },
	{ "8L8", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,4R,5S,6R)-2-(hydroxymethyl)-6-[(Z)-3-(4-phenylphenyl)prop-2-enyl]oxane-3,4,5-triol", 9414 },
	{ "8LA", "", "", ResidueType::NON_POLYMER, false, "N-[4-chloro-3-(alpha-D-ribofuranosyloxy)phenyl]-N'-{2-[3-(prop-1-en-2-yl)phenyl]propan-2-yl}urea", 9415 },
	{ "8LB", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-6-azanyl-2-[[(2~{S})-4-methyl-2-[[oxidanyl(phenylmethoxycarbonylaminomethyl)phosphoryl]amino]pentanoyl]amino]hexanoic acid", 9416 },
	{ "8LC", "", "", ResidueType::NON_POLYMER, false, "N,N'-OCTANE-1,8-DIYLBIS(2,3-DIHYDROXYBENZAMIDE)", 9417 },
	{ "8LD", "", "", ResidueType::NON_POLYMER, false, "2,2'-oxydi(ethyn-1-ol)", 9418 },
	{ "8LG", "", "", ResidueType::NON_POLYMER, false, "pyridine-2,3-diol", 9419 },
	{ "8LI", "", "", ResidueType::NON_POLYMER, false, "(4Z)-4-[hydroxy(sulfanyl)methylidene]-2-(3-methylbutanoyl)-1,3-oxazol-5(4H)-one", 9420 },
	{ "8LJ", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2,3-dihydro-1H-pyrrole-2-carboxylic acid", 9421 },
	{ "8LL", "", "", ResidueType::NON_POLYMER, false, "5-(dimethylamino)-~{N}-[2-(2-hexoxyethoxy)ethyl]naphthalene-1-sulfonamide", 9422 },
	{ "8LN", "", "", ResidueType::NON_POLYMER, false, "5-chloranyl-4-imidazo[1,2-a]pyridin-3-yl-N-(3-methyl-1-piperidin-4-yl-pyrazol-4-yl)pyrimidin-2-amine", 9423 },
	{ "8LP", "", "", ResidueType::NON_POLYMER, false, "6-benzyl-3-[3-(benzyloxy)phenyl]-4,6-dihydropyrido[4,3-d]pyrimidine-2,7(1H,3H)-dione", 9424 },
	{ "8LR", "", "", ResidueType::NON_POLYMER, false, "2-hydroxyethyl alpha-D-mannopyranoside", 9425 },
	{ "8LS", "", "", ResidueType::NON_POLYMER, false, "6-benzyl-3-[(2R)-2-(3-fluoropyridin-2-yl)-6-methyl-3,4-dihydro-2H-1-benzopyran-7-yl]-4,6-dihydropyrido[4,3-d]pyrimidine-2,7(3H,8H)-dione", 9426 },
	{ "8LV", "", "", ResidueType::NON_POLYMER, false, "3-(5-{[(2R)-5-amino-2-cyclohexyl-7-oxo-2,3-dihydro-7H-[1,3,4]thiadiazolo[3,2-a]pyrimidin-6-yl]methyl}furan-2-yl)benzoic acid", 9427 },
	{ "8LW", "", "", ResidueType::NON_POLYMER, false, "2-(1,3,6-trimethyl-2-oxidanylidene-benzimidazol-5-yl)benzo[de]isoquinoline-1,3-dione", 9428 },
	{ "8LX", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-[[4-[2-[[6-(4-methoxyphenoxy)pyrimidin-4-yl]-methyl-amino]ethoxy]phenyl]methyl]-1,3-thiazolidine-2,4-dione", 9429 },
	{ "8LY", "", "", ResidueType::NON_POLYMER, false, "N-[2-(5-chloro-2-fluorophenyl)pyridin-4-yl]-2-[(piperidin-4-yl)methyl]-2H-pyrazolo[4,3-b]pyridin-7-amine", 9430 },
	{ "8LZ", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-(2,3-dihydro-1,4-benzodioxin-6-yl)pyrrolidin-1-ium", 9431 },
	{ "8M0", "", "", ResidueType::NON_POLYMER, false, "bis(mu4-oxo)-tetrakis(mu3-oxo)-hexakis(mu2-oxo)-hexadecaoxo-octamolybdenum (VI)", 9432 },
	{ "8M2", "", "", ResidueType::NON_POLYMER, false, "[azanyl(thiophen-3-yl)methylidene]azanium", 9433 },
	{ "8M4", "", "", ResidueType::NON_POLYMER, false, "4-{[6-(cyclohexylmethyl)pyridine-2-carbonyl]amino}-3-[(4-methoxyphenyl)amino]benzoic acid", 9434 },
	{ "8M5", "", "", ResidueType::NON_POLYMER, false, "1-methyl-N-phenyl-indole-3-carboxamide", 9435 },
	{ "8M7", "", "", ResidueType::NON_POLYMER, false, "N-[(2Z,3R,4R,5S,6R)-4,5-dihydroxy-6-(hydroxymethyl)-2-{[(phenylcarbamoyl)oxy]imino}tetrahydro-2H-pyran-3-yl]-2-ethylbutanamide", 9436 },
	{ "8M8", "", "", ResidueType::NON_POLYMER, false, "3,4-dimethyl-5-(1~{H}-1,2,4-triazol-3-yl)thiophene-2-carbonitrile", 9437 },
	{ "8M9", "", "", ResidueType::NON_POLYMER, false, "4-chloranyl-1-[(4-methoxy-3,5-dimethyl-pyridin-2-yl)methyl]pyrazolo[3,4-d]pyrimidin-6-amine", 9438 },
	{ "8MA", "", "", ResidueType::NON_POLYMER, false, "4-{[6-(cyclohexylmethyl)pyridine-2-carbonyl]amino}-3-[(4-fluorophenyl)amino]benzoic acid", 9439 },
	{ "8MB", "", "", ResidueType::NON_POLYMER, false, "(~{E})-3-(4-methylphenyl)prop-2-enoic acid", 9440 },
	{ "8MC", "", "", ResidueType::NON_POLYMER, false, "(7-methoxy-2-oxo-2H-chromen-4-yl)acetic acid", 9441 },
	{ "8MD", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,4S)-4-ethenylcyclohexane-1,2-diol", 9442 },
	{ "8ME", "", "", ResidueType::NON_POLYMER, false, "3-(4-oxo-3,4-dihydroquinazolin-2-yl)-N-[(1S)-1-(pyridin-2-yl)ethyl]propanamide", 9443 },
	{ "8MF", "", "", ResidueType::NON_POLYMER, false, "1-[(6-bromanyl-1,3-benzodioxol-5-yl)methyl]-4-chloranyl-pyrazolo[3,4-d]pyrimidin-6-amine", 9444 },
	{ "8MG", "", "", ResidueType::DNA_LINKING, false, "8-METHYL-2'-DEOXYGUANOSINE-5'-MONOPHOSPHATE", 9445 },
	{ "8MK", "", "", ResidueType::NON_POLYMER, false, "(~{E})-4-(4-hydroxyphenyl)but-3-en-2-one", 9446 },
	{ "8MM", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3S,4R,6S)-4,6-diamino-3-{[3-deoxy-4-C-methyl-3-(methylamino)-beta-L-arabinopyranosyl]oxy}-2-hydroxycyclohexyl 2-(acetylamino)-6-amino-2,3,4,6-tetradeoxy-alpha-D-erythro-hexopyranoside", 9447 },
	{ "8MN", "", "", ResidueType::NON_POLYMER, false, "2-(4-chlorophenyl)sulfanylethanehydrazide", 9448 },
	{ "8MO", "", "", ResidueType::NON_POLYMER, false, "METHOXSALEN", 9449 },
	{ "8MP", "", "", ResidueType::NON_POLYMER, false, "N-[(3S,4R,5R,6S)-4,5,6-trihydroxyazepan-3-yl]butanamide", 9450 },
	{ "8MQ", "", "", ResidueType::NON_POLYMER, false, "2-(azepan-1-yl)-1-(1~{H}-indol-3-yl)propan-1-one", 9451 },
	{ "8MR", "", "", ResidueType::NON_POLYMER, false, "(3R)-4,4-DIFLUORO-3-[(4-METHOXYPHENYL)SULFONYL]BUTANOIC ACID", 9452 },
	{ "8MT", "", "", ResidueType::NON_POLYMER, false, "4,5-bis(bromanyl)thiophene-2-carbohydrazide", 9453 },
	{ "8MV", "", "", ResidueType::NON_POLYMER, false, "(5-formylfuran-2-yl)methyl acetate", 9454 },
	{ "8MW", "", "", ResidueType::NON_POLYMER, false, "2-cyclopropyl-4,5-dimethyl-thieno[2,3-d]pyrimidine-6-carboxylic acid", 9455 },
	{ "8MX", "", "", ResidueType::NON_POLYMER, false, "1-cyclopropyl-6-fluoro-8-methyl-7-[(4aS,7aS)-octahydro-6H-pyrrolo[3,4-b]pyridin-6-yl]-4-oxo-1,4-dihydroquinoline-3-carboxylic acid", 9456 },
	{ "8MY", "", "", ResidueType::NON_POLYMER, false, "4-({4-amino-6-[3-(hydroxymethyl)-1H-pyrazol-1-yl]pyrimidin-2-yl}amino)benzonitrile", 9457 },
	{ "8MZ", "", "", ResidueType::NON_POLYMER, false, "5-(2-azanyl-1,3-thiazol-4-yl)-1,3-dihydrobenzimidazol-2-one", 9458 },
	{ "8N1", "", "", ResidueType::NON_POLYMER, false, "N-{2-chloro-5-[({2-[3-(prop-1-en-2-yl)phenyl]propan-2-yl}carbamoyl)amino]phenyl}-beta-D-xylofuranosylamine", 9459 },
	{ "8N2", "", "", ResidueType::NON_POLYMER, false, "(~{E})-3-(2,3-dimethoxyphenyl)prop-2-enoic acid", 9460 },
	{ "8N4", "", "", ResidueType::NON_POLYMER, false, "4-{[6-(cyclohexylmethyl)pyridine-2-carbonyl]amino}-3-{[3-(trifluoromethoxy)phenyl]amino}benzoic acid", 9461 },
	{ "8N5", "", "", ResidueType::NON_POLYMER, false, "2,5-dihydro-1~{H}-isothiochromeno[4,3-c]pyrazol-3-one", 9462 },
	{ "8N6", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-[[4-[2-(5-ethylpyridin-2-yl)ethoxy]phenyl]methyl]-1,3-thiazolidine-2,4-dione", 9463 },
	{ "8N7", "", "", ResidueType::NON_POLYMER, false, "6-(cyclohexylmethyl)-N-{2-[(oxan-4-yl)oxy]-4-(1H-tetrazol-5-yl)phenyl}pyridine-2-carboxamide", 9464 },
	{ "8N8", "", "", ResidueType::NON_POLYMER, false, "3,4-bis(bromanyl)thiophene-2-carboxylic acid", 9465 },
	{ "8NA", "", "", ResidueType::NON_POLYMER, false, "alpha-Diphosphopyridine nucleotide", 9466 },
	{ "8NB", "", "", ResidueType::NON_POLYMER, false, "~{N}-(3-chloranyl-4-methoxy-phenyl)ethanamide", 9467 },
	{ "8NC", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-1-METHANESULFONYL-PYRROLIDINE-3,4--DICARBOXYLIC ACID 3-[(3-FLUORO-4-METHOXY-PHENYL)-AMIDE] 4-{[2-FLUORO-4-(2-OXO-2H-PYRIDIN-1-YL)-PHENYL]-AMIDE}", 9468 },
	{ "8ND", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(2-aminoethoxy)propane-1,2-diyl dihexadecanoate", 9469 },
	{ "8NE", "", "", ResidueType::NON_POLYMER, false, "[azanyl-[4-(trifluoromethyl)phenyl]methylidene]azanium", 9470 },
	{ "8NG", "", "", ResidueType::NON_POLYMER, false, "N-[4-(2,4-difluorophenoxy)-3-(6-methyl-7-oxo-6,7-dihydro-1H-pyrrolo[2,3-c]pyridin-4-yl)phenyl]ethanesulfonamide", 9471 },
	{ "8NH", "", "", ResidueType::NON_POLYMER, false, "2-CHLORO-4-[(7R,7AS)-7-HYDROXY-1,3-DIOXOTETRAHYDRO-1H-PYRROLO[1,2-C]IMIDAZOL-2(3H)-YL]-3-METHYLBENZONITRILE", 9472 },
	{ "8NJ", "", "", ResidueType::NON_POLYMER, false, "6-methyl-4-(2-phenoxyphenyl)-1,6-dihydro-7H-pyrrolo[2,3-c]pyridin-7-one", 9473 },
	{ "8NK", "", "", ResidueType::NON_POLYMER, false, "", 9474 },
	{ "8NM", "", "", ResidueType::NON_POLYMER, false, "N-[3-(6-methyl-7-oxo-6,7-dihydro-1H-pyrrolo[2,3-c]pyridin-4-yl)-4-phenoxyphenyl]methanesulfonamide", 9475 },
	{ "8NN", "", "", ResidueType::NON_POLYMER, false, "(1-chloro-4-hydroxyisoquinoline-3-carbonyl)-L-tryptophan", 9476 },
	{ "8NO", "", "", ResidueType::NON_POLYMER, false, "2-[[3-(2-phenylethoxy)phenyl]amino]benzamide", 9477 },
	{ "8NP", "", "", ResidueType::NON_POLYMER, false, "3-methyl-5-(2-phenoxyphenyl)pyridin-2(1H)-one", 9478 },
	{ "8NQ", "", "", ResidueType::NON_POLYMER, false, "1-[2-[(1~{R},3~{S},5~{R})-3-[(6-bromanylpyridin-2-yl)carbamoyl]-2-azabicyclo[3.1.0]hexan-2-yl]-2-oxidanylidene-ethyl]indazole-3-carboxamide", 9479 },
	{ "8NS", "", "", ResidueType::NON_POLYMER, false, "7-(cyclopropylmethyl)-10-(ethylsulfonyl)-2-methyl-2,4,6,7-tetrahydro-3H-2,4,7-triazadibenzo[cd,f]azulen-3-one", 9480 },
	{ "8NT", "", "", ResidueType::NON_POLYMER, false, "3-[5-[(3~{S})-1,2-dithiolan-3-yl]pentanoylamino]propane-1-sulfonic acid", 9481 },
	{ "8NU", "", "", ResidueType::NON_POLYMER, false, "3-[2-[4-(6-fluoranyl-1,2-benzoxazol-3-yl)piperidin-1-yl]ethyl]-2-methyl-6,7,8,9-tetrahydropyrido[1,2-a]pyrimidin-4-one", 9482 },
	{ "8NV", "", "", ResidueType::NON_POLYMER, false, "7-(cyclopropylmethyl)-2-methyl-10-[(propan-2-yl)sulfonyl]-2,4,6,7-tetrahydro-3H-2,4,7-triazadibenzo[cd,f]azulen-3-one", 9483 },
	{ "8NW", "", "", ResidueType::NON_POLYMER, false, "5-[(3~{S})-1,2-dithiolan-3-yl]-~{N}-(3-oxidanylpropyl)pentanamide", 9484 },
	{ "8NX", "", "", ResidueType::NON_POLYMER, false, "8-nitro-3,7-dihydro-1H-purine-2,6-dione", 9485 },
	{ "8NY", "", "", ResidueType::NON_POLYMER, false, "5-iodanyl-1H-indazole", 9486 },
	{ "8NZ", "", "", ResidueType::NON_POLYMER, false, "5-bromanyl-1~{H}-indole-3-carboxylic acid", 9487 },
	{ "8O1", "", "", ResidueType::NON_POLYMER, false, "4-{2-[(cyclopropylmethyl)amino]-5-(ethylsulfonyl)phenyl}-6-methyl-1,6-dihydro-7H-pyrrolo[2,3-c]pyridin-7-one", 9488 },
	{ "8O4", "", "", ResidueType::NON_POLYMER, false, "7-(cyclopropylmethyl)-2-methyl-10-[(methylsulfonyl)methyl]-2,4,6,7-tetrahydro-3H-2,4,7-triazadibenzo[cd,f]azulen-3-one", 9489 },
	{ "8O5", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S})-3-[[(2~{S})-3-cyclopropyl-2-[[(~{E})-3-phenylprop-2-enoyl]amino]propanoyl]amino]-2-oxidanyl-4-[(3~{S})-2-oxidanylidenepyrrolidin-3-yl]-~{N}-(phenylmethyl)butanamide", 9490 },
	{ "8O7", "", "", ResidueType::NON_POLYMER, false, "N-(2-aminoethyl)-4'-(((4-oxo-4,5,6,7-tetrahydro-3H-cyclopenta[d]pyrimidin-2-yl)thio)methyl)-[1,1'-biphenyl]-4-sulfonamide", 9491 },
	{ "8O8", "", "", ResidueType::NON_POLYMER, false, "~{N}-(isoquinolin-5-ylmethyl)-~{N}-methyl-2-[(3~{R})-pyrrolidin-3-yl]benzamide", 9492 },
	{ "8OA", "", "", ResidueType::NON_POLYMER, false, "(R)-N-(3-methyl-1-(methylamino)-1-oxobutan-2-yl)-5-(4-(((4-oxo-4,5,6,7-tetrahydro-3H-cyclopenta[d]pyrimidin-2-yl)thio)methyl)phenyl)furan-2-carboxamide", 9493 },
	{ "8OB", "", "", ResidueType::NON_POLYMER, false, "4-[3,5-bis(chloranyl)pyridin-2-yl]oxyphenol", 9494 },
	{ "8OD", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-5-(6-azanyl-8-oxo-7H-purin-9-yl)-3,4-dihydroxy-oxolan-2-yl]methyl phosphono hydrogen phosphate", 9495 },
	{ "8OE", "", "", ResidueType::NON_POLYMER, false, "4-[3,5-bis(chloranyl)pyridin-2-yl]oxyaniline", 9496 },
	{ "8OG", "G42", "", ResidueType::DNA_LINKING, false, "8-OXO-2'-DEOXY-GUANOSINE-5'-MONOPHOSPHATE", 9497 },
	{ "8OH", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-~{N}4-(thiophen-2-ylmethyl)quinazoline-4,7-diamine", 9498 },
	{ "8OJ", "", "", ResidueType::NON_POLYMER, false, "(S)-N-(3-methyl-1-(methylamino)-1-oxobutan-2-yl)-5-(4-(((4-oxo-4,5,6,7-tetrahydro-3H-cyclopenta[d]pyrimidin-2-yl)thio)methyl)phenyl)furan-2-carboxamide", 9499 },
	{ "8OK", "", "", ResidueType::NON_POLYMER, false, "2-(4-morpholin-4-ylphenyl)-~{N}4-(2-phenylethyl)quinazoline-4,7-diamine", 9500 },
	{ "8OM", "", "", ResidueType::NON_POLYMER, false, "", 9501 },
	{ "8ON", "", "", ResidueType::NON_POLYMER, false, "1-[4-[4-[7-azanyl-4-(2-phenylethylamino)quinazolin-2-yl]phenyl]piperazin-1-yl]ethanone", 9502 },
	{ "8OP", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-5-(6-azanyl-8-oxo-7H-purin-9-yl)-3,4-dihydroxy-oxolan-2-yl]methyl dihydrogen phosphate", 9503 },
	{ "8OQ", "", "", ResidueType::NON_POLYMER, false, "alpha-D-aceric acid", 9504 },
	{ "8OS", "", "", ResidueType::RNA_LINKING, false, "5'-O-[(S)-hydroxy(4-methyl-1H-imidazol-5-yl)phosphoryl]guanosine", 9505 },
	{ "8OT", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-~{N}4-(2-thiophen-2-ylethyl)quinazoline-4,7-diamine", 9506 },
	{ "8OV", "", "", ResidueType::NON_POLYMER, false, "N-(3-{[2-{[4-(4-acetylpiperazin-1-yl)-2-methoxyphenyl]amino}-5-(trifluoromethyl)pyrimidin-4-yl]amino}phenyl)propanamide", 9507 },
	{ "8OW", "", "", ResidueType::NON_POLYMER, false, "~{N}4-[(4-fluorophenyl)methyl]-2-phenyl-quinazoline-4,7-diamine", 9508 },
	{ "8OX", "", "", ResidueType::NON_POLYMER, false, "6-azanyl-9-[(2R,3R,4S,5R)-3,4-dihydroxy-5-(hydroxymethyl)oxolan-2-yl]-7H-purin-8-one", 9509 },
	{ "8OY", "", "", ResidueType::NON_POLYMER, false, "4-{[6-(cyclohexylmethyl)pyridine-2-carbonyl]amino}-3-(phenylamino)benzoic acid", 9510 },
	{ "8OZ", "", "", ResidueType::NON_POLYMER, false, "2-Phenylacrylic acid", 9511 },
	{ "8P0", "", "", ResidueType::NON_POLYMER, false, "pyrene", 9512 },
	{ "8P1", "", "", ResidueType::NON_POLYMER, false, "6-azanyl-3,4-dihydro-2~{H}-naphthalen-1-one", 9513 },
	{ "8P2", "", "", ResidueType::NON_POLYMER, false, "[(1~{R},2~{R},3~{R},4~{S},5~{R},6~{S})-3,4,5-tris(oxidanyl)-7-oxabicyclo[4.1.0]heptan-2-yl]methanediazonium", 9514 },
	{ "8P3", "", "", ResidueType::NON_POLYMER, false, "2-[(2-oxo-2,3-dihydro-1H-indol-1-yl)methyl]benzoic acid", 9515 },
	{ "8P4", "", "", ResidueType::NON_POLYMER, false, "1-(4-fluorophenyl)thiourea", 9516 },
	{ "8P5", "", "", ResidueType::NON_POLYMER, false, "azanylidene-[4-[[(1~{S},2~{R},3~{R},4~{R},5~{S},6~{S},7~{S})-2-(hydroxymethyl)-3,4,5-tris(oxidanyl)-7-bicyclo[4.1.0]heptanyl]carbonylamino]butylimino]azanium", 9517 },
	{ "8P7", "", "", ResidueType::NON_POLYMER, false, "2-methyl-1~{H}-benzimidazole", 9518 },
	{ "8P8", "", "", ResidueType::NON_POLYMER, false, "C Fe7 S8 V", 9519 },
	{ "8PA", "", "", ResidueType::NON_POLYMER, false, "3-[(4-amino-2-methylpyrimidin-5-yl)methyl]-5-(2-{[(S)-hydroxy(phosphonooxy)phosphoryl]oxy}ethyl)-2-[(1S,2E)-1-hydroxy-3-pyridin-3-ylprop-2-en-1-yl]-4-methyl-1,3-thiazol-3-ium", 9520 },
	{ "8PC", "", "", ResidueType::NON_POLYMER, false, "2-(2,4-DICHLOROPHENOXY)-5-(PYRIDIN-2-YLMETHYL)PHENOL", 9521 },
	{ "8PE", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-{[(S)-(2-aminoethoxy)(hydroxy)phosphoryl]oxy}-2-(tetradecanoyloxy)propyl octadecanoate", 9522 },
	{ "8PF", "", "", ResidueType::NON_POLYMER, false, "pentadecafluorooctanoic acid", 9523 },
	{ "8PG", "", "", ResidueType::NON_POLYMER, false, "(8S,12S)-15S-HYDROXY-9-OXOPROSTA-10Z,13E-DIEN-1-OIC ACID", 9524 },
	{ "8PH", "", "", ResidueType::NON_POLYMER, false, "hydrogen [(1R)-2-(3-decyl-1H-imidazol-3-ium-1-yl)-1-hydroxy-1-phosphonoethyl]phosphonate", 9525 },
	{ "8PJ", "", "", ResidueType::NON_POLYMER, false, "3-nitropyridin-2-ol", 9526 },
	{ "8PK", "", "", ResidueType::NON_POLYMER, false, "2-O-methyl, 4-O-Acetyl-alpha-L-fucosepyranose", 9527 },
	{ "8PL", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(4-fluorophenyl)-2-[[(2S)-2-methyl-3-sulfanyl-propanoyl]amino]ethanoic acid", 9528 },
	{ "8PM", "", "", ResidueType::NON_POLYMER, false, "N~2~-{[7-(dimethylamino)-2,1,3-benzothiadiazol-4-yl]sulfonyl}-N-hexyl-N~2~-methylglycinamide", 9529 },
	{ "8PO", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(4-hydroxyphenyl)-2-[[(2S)-2-methyl-3-sulfanyl-propanoyl]amino]ethanoic acid", 9530 },
	{ "8PP", "", "", ResidueType::NON_POLYMER, false, "2-[(2E,6E,10E,14E,18E,22E,26E)-3,7,11,15,19,23,27,31-OCTAMETHYLDOTRIACONTA-2,6,10,14,18,22,26,30-OCTAENYL]PHENOL", 9531 },
	{ "8PQ", "", "", ResidueType::NON_POLYMER, false, "4-bromanyl-3,5-dimethyl-1~{H}-pyrazole", 9532 },
	{ "8PR", "", "", ResidueType::NON_POLYMER, false, "Paroxetine", 9533 },
	{ "8PS", "", "", ResidueType::NON_POLYMER, false, "5-OCTYL-2-PHENOXYPHENOL", 9534 },
	{ "8PT", "", "", ResidueType::NON_POLYMER, false, "~{N}6-cyclohexyl-~{N}2-(2-methyl-4-morpholin-4-yl-phenyl)-7~{H}-purine-2,6-diamine", 9535 },
	{ "8PV", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-3-({[5-(pyridin-4-yl)-4H-1,2,4-triazol-3-yl]methyl}amino)benzamide", 9536 },
	{ "8PW", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-N-(1-cyanocyclopropyl)-1-(1-methylcyclopropanecarbonyl)-4-[4-(2,2,2-trifluoroethoxy)-2-(trifluoromethyl)phenyl]sulfonylpyrrolidine-2-carboxamide", 9537 },
	{ "8PY", "", "", ResidueType::DNA_LINKING, false, "[(2~{R},3~{S},5~{R})-5-[2-azanyl-8-[ethanoyl(pyren-2-yl)amino]-6-oxidanylidene-1~{H}-purin-9-yl]-3-oxidanyl-oxolan-2-yl]methyl dihydrogen phosphate", 9538 },
	{ "8PZ", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methyl ~{N}-[(3~{S})-3-azanyl-3-phenyl-propanoyl]sulfamate", 9539 },
	{ "8Q1", "", "", ResidueType::NON_POLYMER, false, "S-[2-({N-[(2R)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alanyl}amino)ethyl] dodecanethioate", 9540 },
	{ "8Q2", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methyl ~{N}-[(3~{S})-3-azanyl-3-(4-prop-2-ynoxyphenyl)propanoyl]sulfamate", 9541 },
	{ "8Q4", "", "", ResidueType::NON_POLYMER, false, "2-chloro-5-[({2-[3-(prop-1-en-2-yl)phenyl]propan-2-yl}carbamoyl)amino]phenyl hydrogen carbonate", 9542 },
	{ "8Q5", "", "", ResidueType::NON_POLYMER, false, "~{N}-cyclopropyl-4-[8-(2-methylpropylamino)imidazo[1,2-a]pyrazin-3-yl]benzamide", 9543 },
	{ "8Q6", "", "", ResidueType::NON_POLYMER, false, "dimethyl 5-[(5-ethanoyl-2-ethoxy-phenyl)amino]benzene-1,3-dicarboxylate", 9544 },
	{ "8Q7", "", "", ResidueType::NON_POLYMER, false, "9-[(1S)-2,2-difluorocyclopropane-1-carbonyl]-6-[(4-methoxyphenyl)methyl]-8,9,10,11-tetrahydropyrido[4',3':4,5]thieno[3,2-e][1,2,4]triazolo[1,5-c]pyrimidin-5(6H)-one", 9545 },
	{ "8Q8", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-3-azanyl-2-[[(1~{R})-5-[2-[4-[[2-(hydroxymethyl)imidazol-1-yl]methyl]phenyl]ethynyl]-2,3-dihydro-1~{H}-inden-1-yl]amino]-3-methyl-~{N}-oxidanyl-butanamide", 9546 },
	{ "8QB", "", "", ResidueType::NON_POLYMER, false, "7-[2-(oxan-4-ylamino)pyrimidin-4-yl]-3,4-dihydro-2~{H}-pyrrolo[1,2-a]pyrazin-1-one", 9547 },
	{ "8QD", "", "", ResidueType::NON_POLYMER, false, "(3alpha,5alpha,8alpha)-17-(pyridin-3-yl)androst-16-en-3-ol", 9548 },
	{ "8QE", "", "", ResidueType::NON_POLYMER, false, "4-[[4-azanyl-6-(~{tert}-butylamino)-5-cyano-pyridin-2-yl]amino]benzamide", 9549 },
	{ "8QF", "", "", ResidueType::NON_POLYMER, false, "", 9550 },
	{ "8QG", "", "", ResidueType::NON_POLYMER, false, "4-(5-chlorothiophen-2-yl)-1H-pyrazole", 9551 },
	{ "8QH", "", "", ResidueType::NON_POLYMER, false, "(4~{Z})-6,7-bis(chloranyl)-4-[[(4-methylphenyl)amino]methylidene]-8-oxidanyl-1,2-dihydrodibenzofuran-3-one", 9552 },
	{ "8QJ", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-3-(2-oxidanylsulfanyl-1~{H}-imidazol-4-yl)-2-(trimethyl-$l^{4}-azanyl)propanoic acid", 9553 },
	{ "8QK", "", "", ResidueType::NON_POLYMER, false, "1,3-bis(chloranyl)-6-[(~{E})-(4-methoxyphenyl)iminomethyl]dibenzofuran-2,7-diol", 9554 },
	{ "8QM", "", "", ResidueType::NON_POLYMER, false, "4-cyclopropylbenzoic acid", 9555 },
	{ "8QN", "", "", ResidueType::NON_POLYMER, false, "[[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methoxy-oxidanyl-phosphoryl] (2~{S},3~{R})-2-azanyl-3-oxidanyl-butanoate", 9556 },
	{ "8QP", "", "", ResidueType::NON_POLYMER, false, "[(1S)-1,8-diethyl-1,3,4,9-tetrahydropyrano[3,4-b]indol-1-yl]acetic acid", 9557 },
	{ "8QQ", "", "", ResidueType::NON_POLYMER, false, "3-[4-(aminomethyl)phenyl]-2-methyl-6-[[4-oxidanyl-1-[(3~{R})-4,4,4-tris(fluoranyl)-3-phenyl-butanoyl]piperidin-4-yl]methyl]pyrazolo[4,3-d]pyrimidin-7-one", 9558 },
	{ "8QS", "", "", ResidueType::NON_POLYMER, false, "[(1R)-1,8-diethyl-1,3,4,9-tetrahydropyrano[3,4-b]indol-1-yl]acetic acid", 9559 },
	{ "8QT", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S})-3-[[9-propan-2-yl-6-(pyridin-3-ylmethylamino)purin-2-yl]amino]pentan-2-ol", 9560 },
	{ "8QV", "", "", ResidueType::NON_POLYMER, false, "(5S)-3-(3,6-dihydro-2H-pyran-4-yl)-7-[5-(prop-1-yn-1-yl)pyridin-3-yl]-5'H-spiro[1-benzopyrano[2,3-c]pyridine-5,4'-[1,3]oxazol]-2'-amine", 9561 },
	{ "8QW", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-(4-fluorophenyl)-~{N}-[4-[2-[(2-methoxy-4-methylsulfonyl-phenyl)amino]-[1,2,4]triazolo[1,5-a]pyridin-6-yl]phenyl]propanamide", 9562 },
	{ "8QZ", "", "", ResidueType::NON_POLYMER, false, "~{N}-[3,5-diethyl-1-[2-[2-(2-methoxyethoxy)ethoxy]ethyl]pyrazol-4-yl]-2-[[2-methoxy-4-[4-(2-methoxyethanoyl)piperazin-1-yl]phenyl]amino]-5,6-dihydropyrimido[4,5-e]indolizine-7-carboxamide", 9563 },
	{ "8R0", "", "", ResidueType::NON_POLYMER, false, "(3R)-4-methyl-3-(phenylmethyl)-1,3-dihydro-1,4-benzodiazepine-2,5-dione", 9564 },
	{ "8R2", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-N-[4-[(2-amino-3-cyano-1H-indol-5-yl)oxy]phenyl]-3-hydroxy-propanamide", 9565 },
	{ "8R3", "", "", ResidueType::NON_POLYMER, false, "3-[2-[(3Z,6R)-6-[(5-chloranyl-2-methoxy-phenyl)methyl]-3-(dimethylhydrazinylidene)-7-oxidanylidene-1,4-diazepan-1-yl]ethanoylamino]benzoic acid", 9566 },
	{ "8R4", "", "", ResidueType::NON_POLYMER, false, "2-cyclopentyl-4-(5-phenylfuro[2,3-b]pyridin-3-yl)benzoic acid", 9567 },
	{ "8R5", "", "", ResidueType::NON_POLYMER, false, "3-[5-chloranyl-6-[(1~{R})-1-pyridin-2-ylethoxy]-1,2-benzoxazol-3-yl]propanoic acid", 9568 },
	{ "8R6", "", "", ResidueType::NON_POLYMER, false, "(2S)-6-[2-(7-azido-4-methyl-2-oxidanylidene-chromen-3-yl)ethanoylamino]-2-[bis(2-hydroxy-2-oxoethyl)amino]hexanoic acid", 9569 },
	{ "8R7", "", "", ResidueType::NON_POLYMER, false, "2-cyclopentyl-4-(7-methoxyquinolin-4-yl)benzoic acid", 9570 },
	{ "8R8", "", "", ResidueType::NON_POLYMER, false, "3-[5-chloranyl-2-oxidanylidene-6-[(1~{R})-1-pyridin-2-ylethoxy]-1,3-benzoxazol-3-yl]propanoic acid", 9571 },
	{ "8RA", "", "", ResidueType::NON_POLYMER, false, "1-[4-(pyridin-2-yl)piperazin-1-yl]ethan-1-one", 9572 },
	{ "8RB", "", "", ResidueType::NON_POLYMER, false, "3-[5-chloranyl-6-[(1~{R})-1-(6-methylpyridazin-3-yl)ethoxy]-1,2-benzoxazol-3-yl]propanoic acid", 9573 },
	{ "8RD", "", "", ResidueType::NON_POLYMER, false, "{4-[2-(5-fluoro-2-{3-[(methylamino)methyl][1,2,4]triazolo[4,3-a]pyridin-6-yl}phenoxy)ethyl]-1,5-dimethyl-1H-pyrazol-3-yl}(morpholin-4-yl)methanone", 9574 },
	{ "8RE", "", "", ResidueType::PEPTIDE_LINKING, false, "3,4-dihydroxylysine", 9575 },
	{ "8RH", "", "", ResidueType::NON_POLYMER, false, "BAY 1217389", 9576 },
	{ "8RJ", "", "", ResidueType::RNA_LINKING, false, "(R)-1'-(2',3'-DIHYDROXYPROPYL)-THYMINE", 9577 },
	{ "8RK", "", "", ResidueType::NON_POLYMER, false, "3-(5-chloranyl-6-methyl-2-oxidanylidene-1,3-benzoxazol-3-yl)propanoic acid", 9578 },
	{ "8RM", "", "", ResidueType::NON_POLYMER, false, "N-methylquinoline-3-carboxamide", 9579 },
	{ "8RN", "", "", ResidueType::NON_POLYMER, false, "7-bromanyl-3-[[4-oxidanyl-1-[(3~{R})-3-phenylbutanoyl]piperidin-4-yl]methyl]thieno[3,2-d]pyrimidin-4-one", 9580 },
	{ "8RO", "", "", ResidueType::DNA_LINKING, false, "[(2~{R},3~{S},5~{R})-5-(5-methyl-2-oxidanylidene-7-thia-1,3-diazabicyclo[4.1.0]hept-5-en-3-yl)-3-oxidanyl-oxolan-2-yl]methyl dihydrogen phosphite", 9581 },
	{ "8RP", "", "", ResidueType::NON_POLYMER, false, "1-(6,7-dimethoxy-3,4-dihydroisoquinolin-2(1H)-yl)ethan-1-one", 9582 },
	{ "8RQ", "", "", ResidueType::NON_POLYMER, false, "~{N}4-[(4-chlorophenyl)methyl]-~{N}1-(cyclohexylmethyl)-~{N}4-cyclopentyl-~{N}1-[(~{Z})-4-[(~{E})-methyliminomethyl]-5-oxidanyl-hex-4-enyl]benzene-1,4-disulfonamide", 9583 },
	{ "8RS", "", "", ResidueType::NON_POLYMER, false, "1-(4-phenylpiperazin-1-yl)ethan-1-one", 9584 },
	{ "8RT", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-~{N}1-(1-methylindol-3-yl)-~{N}2-[3-(trifluoromethyloxy)phenyl]pyrrolidine-1,2-dicarboxamide", 9585 },
	{ "8RV", "", "", ResidueType::NON_POLYMER, false, "N-(1-benzylpiperidin-4-yl)acetamide", 9586 },
	{ "8RW", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-~{N}1-(1-aminocarbonylindol-3-yl)-~{N}2-[3-(trifluoromethyloxy)phenyl]pyrrolidine-1,2-dicarboxamide", 9587 },
	{ "8RY", "", "", ResidueType::NON_POLYMER, false, "N-methylpyrimidine-2-carboxamide", 9588 },
	{ "8RZ", "", "", ResidueType::NON_POLYMER, false, "(1~{R},3~{S},5~{R})-~{N}2-(1-aminocarbonylindol-3-yl)-~{N}3-[3-(trifluoromethyloxy)phenyl]-2-azabicyclo[3.1.0]hexane-2,3-dicarboxamide", 9589 },
	{ "8S0", "", "", ResidueType::NON_POLYMER, false, "(3~{S},4~{R},5~{R},6~{S})-6-(hydroxymethyl)-3,4,5-tris(oxidanyl)oxan-2-one", 9590 },
	{ "8S1", "", "", ResidueType::NON_POLYMER, false, "5-amino-1-(2-chlorophenyl)-1H-pyrazole-4-carbonitrile", 9591 },
	{ "8S2", "", "", ResidueType::NON_POLYMER, false, "(2~{S},4~{S})-~{N}1-(1-aminocarbonylindol-3-yl)-4-azanyl-~{N}2-[3-(trifluoromethyloxy)phenyl]pyrrolidine-1,2-dicarboxamide", 9592 },
	{ "8S4", "", "", ResidueType::NON_POLYMER, false, "1-[(4-methoxyphenyl)methyl]-1H-tetrazole", 9593 },
	{ "8S5", "", "", ResidueType::NON_POLYMER, false, "(2~{S},4~{R})-~{N}1-(1-aminocarbonylindol-3-yl)-4-fluoranyl-~{N}2-[3-(trifluoromethyloxy)phenyl]pyrrolidine-1,2-dicarboxamide", 9594 },
	{ "8S7", "", "", ResidueType::NON_POLYMER, false, "N-(3-methyl-1,2-oxazol-5-yl)cyclopropanecarboxamide", 9595 },
	{ "8S8", "", "", ResidueType::NON_POLYMER, false, "", 9596 },
	{ "8S9", "", "", ResidueType::NON_POLYMER, false, "3-[4-(3,4-dichlorophenyl)-5-phenyl-1,3-oxazol-2-yl]benzoic acid", 9597 },
	{ "8SA", "", "", ResidueType::NON_POLYMER, false, "5-methyl-N-[(thiophen-2-yl)methyl]-1,2-oxazol-3-amine", 9598 },
	{ "8SB", "", "", ResidueType::NON_POLYMER, false, "", 9599 },
	{ "8SD", "", "", ResidueType::NON_POLYMER, false, "5-hydroxy-1,3-dihydro-2H-indol-2-one", 9600 },
	{ "8SE", "", "", ResidueType::NON_POLYMER, false, "", 9601 },
	{ "8SG", "", "", ResidueType::NON_POLYMER, false, "N-(3-methyl-1,2-oxazol-5-yl)furan-2-carboxamide", 9602 },
	{ "8SH", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-diethoxyphosphoryl-5-phenyl-pentane-1-thiol", 9603 },
	{ "8SJ", "", "", ResidueType::NON_POLYMER, false, "(4-nitrophenyl)methyl carbamimidothioate", 9604 },
	{ "8SK", "", "", ResidueType::NON_POLYMER, false, "benzo[a]pyren-3-ol", 9605 },
	{ "8SM", "", "", ResidueType::NON_POLYMER, false, "2-[1-methyl-3-(1H-pyrrol-1-yl)-1H-pyrazol-4-yl]pyridine", 9606 },
	{ "8SN", "", "", ResidueType::NON_POLYMER, false, "(3~{S},7~{R},10~{R},11~{R},13~{S})-11-methyl-2-oxidanylidene-1,4-diazatricyclo[8.3.0.0^{3,7}]tridec-8-ene-13-carboxylic acid", 9607 },
	{ "8SO", "", "", ResidueType::NON_POLYMER, false, "N-[(2R)-2-[4-[4-[2-(methylsulfonylamino)ethyl]phenyl]phenyl]propyl]propane-2-sulfonamide", 9608 },
	{ "8SP", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[(R)-{[(2R)-2,3-bis(octanoyloxy)propyl]oxy}(hydroxy)phosphoryl]-L-serine", 9609 },
	{ "8SQ", "", "", ResidueType::NON_POLYMER, false, "3-naphthalen-1-yl-~{N}-oxidanyl-propanamide", 9610 },
	{ "8SR", "", "", ResidueType::NON_POLYMER, false, "2-[2-[5-methyl-3-(trifluoromethyl)pyrazol-1-yl]ethanoylamino]-4,5,6,7-tetrahydro-1-benzothiophene-3-carboxamide", 9611 },
	{ "8SS", "", "", ResidueType::NON_POLYMER, false, "4-(4-bromophenyl)-1H-pyrazol-3-amine", 9612 },
	{ "8ST", "", "", ResidueType::NON_POLYMER, false, "N-(4-chlorophenyl)-2-[(pyridin-4-ylmethyl)amino]benzamide", 9613 },
	{ "8SV", "", "", ResidueType::NON_POLYMER, false, "1,3-dimethyl-5-(methylamino)-6-nitro-1,3-dihydro-2H-benzimidazol-2-one", 9614 },
	{ "8SW", "", "", ResidueType::NON_POLYMER, false, "", 9615 },
	{ "8SX", "", "", ResidueType::NON_POLYMER, false, "preaustinoid A1", 9616 },
	{ "8SY", "", "", ResidueType::NON_POLYMER, false, "6-amino-1-methyl-3,4-dihydroquinolin-2(1H)-one", 9617 },
	{ "8SZ", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2,6-bis(azanyl)-~{N}-oxidanyl-hexanamide", 9618 },
	{ "8T0", "", "", ResidueType::NON_POLYMER, false, "preaustinoid A2", 9619 },
	{ "8T1", "", "", ResidueType::NON_POLYMER, false, "6-amino-1-methylquinolin-2(1H)-one", 9620 },
	{ "8T2", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(5~{S})-5-[[2,3-bis(oxidanyl)phenyl]carbonylamino]-6-[4-[[2,3-bis(oxidanyl)phenyl]carbonylamino]butylamino]-6-oxidanylidene-hexyl]-2,3-bis(oxidanyl)benzamide", 9621 },
	{ "8T3", "", "", ResidueType::NON_POLYMER, false, "N-[3-[(1S,3S,6S)-5-azanyl-3-methyl-4-azabicyclo[4.1.0]hept-4-en-3-yl]-4-fluoranyl-phenyl]-5-chloranyl-pyridine-2-carboxamide", 9622 },
	{ "8T4", "", "", ResidueType::NON_POLYMER, false, "1-methyl-4-phenyl-5-(1H-pyrrol-1-yl)-1H-pyrazole", 9623 },
	{ "8T5", "", "", ResidueType::NON_POLYMER, false, "", 9624 },
	{ "8T7", "", "", ResidueType::NON_POLYMER, false, "1-methyl-4-phenyl-3-(trifluoromethyl)-1H-pyrazol-5-amine", 9625 },
	{ "8T8", "", "", ResidueType::NON_POLYMER, false, "(1~{S})-~{N}-[(4-bromophenyl)methyl]-7-(trifluoromethyloxy)-2,3,4,9-tetrahydro-1~{H}-carbazol-1-amine", 9626 },
	{ "8T9", "", "", ResidueType::NON_POLYMER, false, "preaustinoid A3", 9627 },
	{ "8TA", "", "", ResidueType::NON_POLYMER, false, "2-[5-(1H-pyrrol-1-yl)-1H-pyrazol-4-yl]pyridine", 9628 },
	{ "8TB", "", "", ResidueType::NON_POLYMER, false, "", 9629 },
	{ "8TC", "", "", ResidueType::NON_POLYMER, false, "berkeleyone A", 9630 },
	{ "8TD", "", "", ResidueType::NON_POLYMER, false, "5-amino-1,3-dimethyl-1,3-dihydro-2H-benzimidazol-2-one", 9631 },
	{ "8TE", "", "", ResidueType::NON_POLYMER, false, "p-Methylphosphonatocalix[4]arene", 9632 },
	{ "8TG", "", "", ResidueType::NON_POLYMER, false, "7-bromo-1-methyl-6-nitroquinolin-2(1H)-one", 9633 },
	{ "8TH", "", "", ResidueType::NON_POLYMER, false, "chloro[(phenylsulfonyl){[4-(4-sulfamoylphenyl)pyridin-2-yl-kappaN]methyl}azanide-kappaN][(1,2,3,4,5-eta)-1,2,3,4-tetramethyl-5-propylcyclopentadienyl]iridium", 9634 },
	{ "8TJ", "", "", ResidueType::NON_POLYMER, false, "N-methylthieno[2,3-b]pyridine-2-carboxamide", 9635 },
	{ "8TK", "", "", ResidueType::NON_POLYMER, false, "4-azanyl-6-[[(1~{S})-1-(3-methyl-5-oxidanylidene-6-phenyl-[1,3]thiazolo[3,2-a]pyridin-7-yl)ethyl]amino]pyrimidine-5-carbonitrile", 9636 },
	{ "8TL", "", "", ResidueType::NON_POLYMER, false, "propan-2-yl (3R,6S,9aS)-3-ethyl-8-(3-methylbutyl)-6-(2-methylsulfanylethyl)-4,7-bis(oxidanylidene)-9,9a-dihydro-6H-pyrazino[2,1-c][1,2,4]oxadiazine-1-carboxylate", 9637 },
	{ "8TM", "", "", ResidueType::NON_POLYMER, false, "N-[4-(TRIFLUOROMETHYLSULFANYL)PHENYL]QUINAZOLIN-4-AMINE", 9638 },
	{ "8TN", "", "", ResidueType::NON_POLYMER, false, "4-azanyl-6-[[(1~{S})-1-[6-[3-[(dimethylamino)methyl]phenyl]-3-methyl-5-oxidanylidene-[1,3]thiazolo[3,2-a]pyridin-7-yl]ethyl]amino]pyrimidine-5-carbonitrile", 9639 },
	{ "8TO", "", "", ResidueType::NON_POLYMER, false, "(4E,6E,8S,9R,10E,12R,13R,14S,16R)-19-{[2-(dimethylamino)ethyl]amino}-13-hydroxy-8,14-dimethoxy-4,10,12,16,21-pentamethyl-3,20,22-trioxo-2-azabicyclo[16.3.1]docosa-1(21),4,6,10,18-pentaen-9-yl carbamate", 9640 },
	{ "8TP", "", "", ResidueType::NON_POLYMER, false, "N-[2-(phenylamino)ethyl]acetamide", 9641 },
	{ "8TQ", "", "", ResidueType::NON_POLYMER, false, "(3~{S},7~{R},10~{R},13~{S})-2-oxidanylidene-1,4-diazatricyclo[8.3.0.0^{3,7}]tridec-8-ene-13-carbaldehyde", 9642 },
	{ "8TS", "", "", ResidueType::NON_POLYMER, false, "6-(4-acetylpiperazin-1-yl)pyridine-3-carbonitrile", 9643 },
	{ "8TV", "", "", ResidueType::NON_POLYMER, false, "1-[4-(pyridin-4-yl)piperazin-1-yl]ethan-1-one", 9644 },
	{ "8TW", "", "", ResidueType::NON_POLYMER, false, "(1~{S},4~{R},5~{S})-7,7-bis(chloranyl)-6,6-bis(oxidanyl)-2$l^{4}-thiabicyclo[3.2.0]hept-2-ene-4-carboxylic acid", 9645 },
	{ "8TX", "", "", ResidueType::NON_POLYMER, false, "8-thioxo-3,7,8,9-tetrahydro-1H-purine-2,6-dione", 9646 },
	{ "8TY", "", "", ResidueType::NON_POLYMER, false, "1-[4-(methylsulfonyl)piperazin-1-yl]ethan-1-one", 9647 },
	{ "8TZ", "", "", ResidueType::NON_POLYMER, false, "(~{S})-(4-fluoranyl-2-propyl-phenyl)-(1~{H}-imidazol-2-yl)methanol", 9648 },
	{ "8U1", "", "", ResidueType::NON_POLYMER, false, "N-[(4-methoxyphenyl)methyl]acetamide", 9649 },
	{ "8U4", "", "", ResidueType::NON_POLYMER, false, "N-[(3-chlorophenyl)methyl]acetamide", 9650 },
	{ "8U7", "", "", ResidueType::NON_POLYMER, false, "N-(1-benzylpiperidin-4-yl)-N'-methylurea", 9651 },
	{ "8UA", "", "", ResidueType::NON_POLYMER, false, "N-[(pyridin-2-yl)methyl]acetamide", 9652 },
	{ "8UB", "", "", ResidueType::NON_POLYMER, false, "3-(2-thiophen-2-ylethenyl)-1~{H}-quinoxalin-2-one", 9653 },
	{ "8UC", "", "", ResidueType::NON_POLYMER, false, "(3~{S})-6'-azanyl-7-fluoranyl-2,2,3'-trimethyl-5-pyridin-4-yl-spiro[1~{H}-indene-3,4'-2~{H}-pyrano[2,3-c]pyrazole]-5'-carbonitrile", 9654 },
	{ "8UD", "", "", ResidueType::NON_POLYMER, false, "2-amino-N-methylpyridine-3-carboxamide", 9655 },
	{ "8UF", "", "", ResidueType::NON_POLYMER, false, "", 9656 },
	{ "8UG", "", "", ResidueType::NON_POLYMER, false, "ethyl (5S)-4,5,6,7-tetrahydro-2H-indazole-5-carboxylate", 9657 },
	{ "8UJ", "", "", ResidueType::NON_POLYMER, false, "N-{[(3R)-1-cyclopentyl-5-oxopyrrolidin-3-yl]methyl}methanesulfonamide", 9658 },
	{ "8UM", "", "", ResidueType::NON_POLYMER, false, "5-[(5S)-5-ethyl-5-methyl-6-oxo-1,4,5,6-tetrahydropyridin-3-yl]-N-(6-fluoro-1-oxo-1,2-dihydroisoquinolin-7-yl)thiophene-2-sulfonamide", 9659 },
	{ "8UN", "", "", ResidueType::NON_POLYMER, false, "2-(6-bromanyl-1,3-benzodioxol-5-yl)-~{N}-(4-cyanophenyl)-1-[(1~{S})-1-cyclohexylethyl]benzimidazole-5-carboxamide", 9660 },
	{ "8UO", "", "", ResidueType::NON_POLYMER, false, "2-[1-[3-[(4~{S})-6-azanyl-5-cyano-3-methyl-4-propan-2-yl-2~{H}-pyrano[2,3-c]pyrazol-4-yl]-5-fluoranyl-phenyl]piperidin-4-yl]ethanoic acid", 9661 },
	{ "8UP", "", "", ResidueType::NON_POLYMER, false, "8-(3-bromopropoxy)-7-methoxynaphthalene-2-carboximidamide", 9662 },
	{ "8US", "", "", ResidueType::NON_POLYMER, false, "N-(6-fluoro-1-oxo-1,2-dihydroisoquinolin-7-yl)-5-[(3R)-3-hydroxypyrrolidin-1-yl]thiophene-2-sulfonamide", 9663 },
	{ "8UV", "", "", ResidueType::NON_POLYMER, false, "N-[4-(2-aminopyridin-4-yl)-1,3-thiazol-2-yl]-2-(3-methoxyphenyl)acetamide", 9664 },
	{ "8UX", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-4-[[(2~{R})-3-(1~{H}-imidazol-4-yl)-1-oxidanyl-1-oxidanylidene-propan-2-yl]amino]-2-[[(2~{S})-1-oxidanyl-1-oxidanylidene-propan-2-yl]amino]butanoic acid", 9665 },
	{ "8UY", "", "", ResidueType::NON_POLYMER, false, "4-([1,2,4]triazolo[1,5-a]pyridin-5-yl)benzonitrile", 9666 },
	{ "8UZ", "", "", ResidueType::NON_POLYMER, false, "TC007", 9667 },
	{ "8V1", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-[4-[1-METHYL-3-(1-METHYLPYRAZOL-4-YL)INDOL-5-YL]OXYPHENYL]PYRROLIDINE-2-CARBOXAMIDE", 9668 },
	{ "8V2", "", "", ResidueType::NON_POLYMER, false, "", 9669 },
	{ "8V4", "", "", ResidueType::NON_POLYMER, false, "N-(1-ethyl-1H-pyrazol-4-yl)furan-3-carboxamide", 9670 },
	{ "8V5", "", "", ResidueType::NON_POLYMER, false, "5-(2-morpholin-4-ylcarbonyl-1,3-oxazol-5-yl)thiophene-2-sulfonamide", 9671 },
	{ "8V6", "", "", ResidueType::NON_POLYMER, false, "(2Z,4E)-3-methyl-5-[(1S,4S)-2,6,6-trimethyl-4-[3-(4-methylphenyl)prop-2-ynoxy]-1-oxidanyl-cyclohex-2-en-1-yl]penta-2,4-dienoic acid", 9672 },
	{ "8V7", "", "", ResidueType::NON_POLYMER, false, "2-[4-(propan-2-yl)-4H-1,2,4-triazol-3-yl]-N-(pyridin-2-yl)-1,3-thiazole-4-carboxamide", 9673 },
	{ "8V8", "", "", ResidueType::NON_POLYMER, false, "4-(2-methyl-1,3-oxazol-5-yl)benzenesulfonamide", 9674 },
	{ "8VB", "", "", ResidueType::NON_POLYMER, false, "2-[[3-[[5-(3-iodanylphenyl)carbonylthiophen-2-yl]carbonylamino]phenyl]methyl]propanedioic acid", 9675 },
	{ "8VE", "", "", ResidueType::NON_POLYMER, false, "(3~{a}~{R},4~{S},6~{a}~{R})-1-methyl-4,5,6,6~{a}-tetrahydro-3~{a}~{H}-pyrrolo[3,4-c]pyrazole-3,4-dicarboxylic acid", 9676 },
	{ "8VH", "", "", ResidueType::NON_POLYMER, false, "1,3-dimethylbenzene", 9677 },
	{ "8VI", "", "", ResidueType::NON_POLYMER, false, "N-[1,3-dimethyl-6-[(2R)-2-methylpiperazin-1-yl]-2-oxidanylidene-benzimidazol-5-yl]-N-ethyl-2-methoxy-benzamide", 9678 },
	{ "8VJ", "", "", ResidueType::NON_POLYMER, false, "7-[[4-[(dimethylamino)methyl]phenoxy]methyl]quinolin-2-amine", 9679 },
	{ "8VK", "", "", ResidueType::NON_POLYMER, false, "", 9680 },
	{ "8VM", "", "", ResidueType::NON_POLYMER, false, "5-(3-{4-[(2S)-2-hydroxy-3,3-dimethylbutoxy]-3-methylphenyl}pentan-3-yl)-3-methyl-N-(1H-tetrazol-5-yl)thiophene-2-carboxamide", 9681 },
	{ "8VN", "", "", ResidueType::NON_POLYMER, false, "(3~{a}~{S},4~{S},6~{a}~{R})-4,5,6,6~{a}-tetrahydro-3~{a}~{H}-pyrrolo[3,4-d][1,2]oxazole-3,4-dicarboxylic acid", 9682 },
	{ "8VQ", "", "", ResidueType::NON_POLYMER, false, "", 9683 },
	{ "8VS", "", "", ResidueType::NON_POLYMER, false, "4-carbamoyl-N-[(2R)-2-cyclohexyl-2-phenylacetyl]-L-phenylalanyl-3-bromo-N-methyl-L-phenylalaninamide", 9684 },
	{ "8VT", "", "", ResidueType::NON_POLYMER, false, "", 9685 },
	{ "8VV", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-3-[2-[(2~{R})-2-azanyl-3-oxidanyl-3-oxidanylidene-propyl]sulfinyl-1~{H}-imidazol-4-yl]-2-(trimethyl-$l^{4}-azanyl)propanoic acid", 9686 },
	{ "8VW", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{R},3~{R},4~{R},5~{S},6~{R})-2-acetamido-6-(hydroxymethyl)-5-[(2~{S},3~{R},4~{S},5~{R},6~{R})-6-(hydroxymethyl)-3,4,5-tris(oxidanyl)oxan-2-yl]oxy-4-oxidanyl-oxan-3-yl]-3-methoxy-benzamide", 9687 },
	{ "8VX", "", "", ResidueType::NON_POLYMER, false, "(R)-2-(6-(5-chloro-2-methoxybenzyl)-3-(2,2-dimethylhydrazono)-7-oxo-1,4-diazepan-1-yl)-N-(3-(methylsulfonyl)phenyl)acetamide", 9688 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "1,3-bis(bromomethyl)benzene", 9689 },
	{ "8VZ", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{R},3~{R},4~{R},5~{S},6~{R})-2-acetamido-6-(hydroxymethyl)-5-[(2~{S},3~{R},4~{S},5~{R},6~{R})-6-(hydroxymethyl)-3,4,5-tris(oxidanyl)oxan-2-yl]oxy-4-oxidanyl-oxan-3-yl]ethanamide", 9690 },
	{ "8W2", "", "", ResidueType::NON_POLYMER, false, "2-[3-[[4,6-bis(chloranyl)-1~{H}-indol-2-yl]methylamino]propylamino]-3~{H}-quinazolin-4-one", 9691 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "2-amino-4-((R)-1-((R,Z)-6-(5-chloro-2-methoxybenzyl)-7-oxo-3-(phenoxyimino)-1,4-diazepane-1-carboxamido)propyl)benzoic acid", 9692 },
	{ "8W4", "", "", ResidueType::NON_POLYMER, false, "N-{(1S,2S)-1-[(2S)-4-benzyl-3-oxopiperazin-2-yl]-1-hydroxy-3-phenylpropan-2-yl}-7-ethyl-1,3,3-trimethyl-2,2-dioxo-1,2,3,4-tetrahydro-2lambda~6~-[1,2,5]thiadiazepino[3,4,5-hi]indole-9-carboxamide", 9693 },
	{ "8W5", "", "", ResidueType::NON_POLYMER, false, "(1~{S},2~{S},4~{R},6~{R},8~{S},9~{S},11~{S},12~{S},13~{R})-9,13-dimethyl-11-oxidanyl-8-(2-oxidanylethanoyl)-6-propyl-5,7-dioxapentacyclo[10.8.0.0^{2,9}.0^{4,8}.0^{13,18}]icosa-14,17-dien-16-one", 9694 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "4-((R)-1-((R,Z)-6-(5-chloro-2-methoxybenzyl)-3-(ethoxyimino)-7-oxo-1,4-diazepane-1-carboxamido)propyl)benzoic acid", 9695 },
	{ "8W7", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-[4-({4-[(morpholin-4-yl)methyl]phenyl}methoxy)-1-oxo-1,3-dihydro-2H-isoindol-2-yl]piperidine-2,6-dione", 9696 },
	{ "8W8", "", "", ResidueType::NON_POLYMER, false, "2,2,2-tris(fluoranyl)-~{N}-[(1~{R},2~{S})-1-[1-(4-fluorophenyl)indazol-5-yl]oxy-1-(3-methoxyphenyl)propan-2-yl]ethanamide", 9697 },
	{ "8W9", "", "", ResidueType::NON_POLYMER, false, "5-(aminomethyl)-1,3-dimethyl-benzimidazol-2-one", 9698 },
	{ "8WA", "", "", ResidueType::NON_POLYMER, false, "N~1~-(5-chloro-1H-imidazo[4,5-b]pyridin-2-yl)-N~2~-[(4R)-6,8-dichloro-1,2,3,4-tetrahydroquinolin-4-yl]-N~1~-methylethane-1,2-diamine", 9699 },
	{ "8WB", "", "", ResidueType::NON_POLYMER, false, "2-methoxy-5-(2,3,4-trimethoxyphenyl)cyclohepta-2,4,6-trien-1-one", 9700 },
	{ "8WD", "", "", ResidueType::NON_POLYMER, false, "N-{(3-endo)-8-[(trans-4-aminocyclohexyl)sulfonyl]-8-azabicyclo[3.2.1]octan-3-yl}-5-cyclopropyl-1,2-oxazole-3-carboxamide", 9701 },
	{ "8WE", "", "", ResidueType::NON_POLYMER, false, "(2~{Z},4~{E})-~{N}-[(~{S})-oxidanyl-[(1~{S},2~{E},5~{S},11~{R},17~{S},19~{R})-3,11,19-trimethyl-7,13-bis(oxidanylidene)-6,21-dioxabicyclo[15.3.1]henicos-2-en-5-yl]methyl]hexa-2,4-dienamide", 9702 },
	{ "8WF", "", "", ResidueType::NON_POLYMER, false, "2-dodecyl-1-oxidanidyl-quinolin-1-ium-4-ol", 9703 },
	{ "8WG", "", "", ResidueType::NON_POLYMER, false, "N-[1-({1-[(4-chlorophenyl)methyl]-1H-pyrazol-4-yl}methyl)azetidin-3-yl]-1-cyclopropyl-1H-1,2,3-triazole-4-carboxamide", 9704 },
	{ "8WH", "", "", ResidueType::NON_POLYMER, false, "3-[[4-(2-morpholin-4-yl-4-oxidanylidene-3~{H}-quinolin-8-yl)-1,2,3-triazol-1-yl]methyl]benzoic acid", 9705 },
	{ "8WJ", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-cyclohexyl-2-[4-(cyclopentylsulfonyl)-2-oxopyridin-1(2H)-yl]-N-(1,3-thiazol-2-yl)propanamide", 9706 },
	{ "8WK", "", "", ResidueType::NON_POLYMER, false, "5-[[1-[(3~{S})-4,4-bis(fluoranyl)-3-(3-fluoranylpyrazol-1-yl)butanoyl]-4-oxidanyl-piperidin-4-yl]methyl]-1-(4-fluorophenyl)pyrazolo[3,4-d]pyrimidin-4-one", 9707 },
	{ "8WM", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[4-(cyclopropylsulfonyl)-1H-indazol-1-yl]-N-(5-fluoro-1,3-thiazol-2-yl)-3-(oxan-4-yl)propanamide", 9708 },
	{ "8WN", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-[4-[4-[(1-methyl-4-oxidanylidene-pyrazolo[3,4-d]pyrimidin-5-yl)methyl]-4-oxidanyl-piperidin-1-yl]carbonylphenyl]phenyl]ethanesulfonamide", 9709 },
	{ "8WO", "", "", ResidueType::NON_POLYMER, false, "6-methoxy-1-methyl-2H-pyridine-3-carboxamide", 9710 },
	{ "8WQ", "", "", ResidueType::NON_POLYMER, false, "(2~{S},3~{R},4~{R})-3-(carboxycarbonyl)-4-oxidanyl-pyrrolidine-2-carboxylic acid", 9711 },
	{ "8WR", "", "", ResidueType::NON_POLYMER, false, "(3Z,6Z)-3-[(4-tert-butyl-1H-imidazol-5-yl)methylidene]-6-[[3-(phenylcarbonyl)phenyl]methylidene]piperazine-2,5-dione", 9712 },
	{ "8WS", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,6-diacetamido-N-methyl-hexanamide", 9713 },
	{ "8WT", "", "", ResidueType::NON_POLYMER, false, "8-methylsulfanyl-7~{H}-purin-6-amine", 9714 },
	{ "8WU", "", "", ResidueType::NON_POLYMER, false, "(E)-1-(5-methoxy-2,2-dimethyl-chromen-8-yl)-3-(4-methoxy-3-oxidanyl-phenyl)prop-2-en-1-one", 9715 },
	{ "8WV", "", "", ResidueType::NON_POLYMER, false, "dichloro[(1,2,3,4,5,6-eta)-3-methyl-6-(propan-2-yl)benzene-1,2,4,5-tetrayl]osmium", 9716 },
	{ "8WW", "", "", ResidueType::NON_POLYMER, false, "6-(2-phenylethylsulfanyl)-7~{H}-purin-2-amine", 9717 },
	{ "8WX", "", "", ResidueType::NON_POLYMER, false, "2-(2-methyl-8-phenylmethoxy-imidazo[1,2-a]pyridin-3-yl)ethanenitrile", 9718 },
	{ "8WY", "", "", ResidueType::PEPTIDE_LINKING, false, "5,5-dihydroxy-L-norleucine", 9719 },
	{ "8WZ", "", "", ResidueType::NON_POLYMER, false, "7-(furan-2-yl)-5-methyl-1,3-benzoxazol-2-amine", 9720 },
	{ "8X0", "", "", ResidueType::NON_POLYMER, false, "(E)-1-(5-methoxy-2,2-dimethyl-chromen-8-yl)-3-(4-methoxyphenyl)prop-2-en-1-one", 9721 },
	{ "8X1", "", "", ResidueType::NON_POLYMER, false, "5'-O-{[(2S)-azetidine-2-carbonyl]sulfamoyl}adenosine", 9722 },
	{ "8X2", "", "", ResidueType::NON_POLYMER, false, "2-[2-[[4-(4-methylpiperazin-1-yl)phenyl]amino]pyrimidin-4-yl]-1,5,6,7-tetrahydropyrrolo[3,2-c]pyridin-4-one", 9723 },
	{ "8X5", "", "", ResidueType::NON_POLYMER, false, "2-[2-(oxan-4-ylamino)pyrimidin-4-yl]-5-(phenylmethyl)-6,7-dihydro-1~{H}-pyrrolo[3,2-c]pyridin-4-one", 9724 },
	{ "8X7", "", "", ResidueType::NON_POLYMER, false, "1-[6-(2-hydroxypropan-2-yl)pyridin-2-yl]-6-{[4-(4-methylpiperazin-1-yl)phenyl]amino}-2-(prop-2-en-1-yl)-1,2-dihydro-3H-pyrazolo[3,4-d]pyrimidin-3-one", 9725 },
	{ "8X8", "", "", ResidueType::NON_POLYMER, false, "~{tert}-butyl ~{N}-[(2~{S},3~{R})-3-oxidanyl-4-oxidanylidene-1-[(3~{S})-2-oxidanylidenepyrrolidin-3-yl]-4-[(phenylmethyl)amino]butan-2-yl]carbamate", 9726 },
	{ "8XA", "", "", ResidueType::NON_POLYMER, false, "9-(5-O-phosphono-beta-D-xylofuranosyl)-9H-purin-6-amine", 9727 },
	{ "8XB", "", "", ResidueType::NON_POLYMER, false, "(6~{R})-5-(2-methoxyethyl)-6-methyl-2-[5-methyl-2-[(2-methylpyrazol-3-yl)amino]pyrimidin-4-yl]-6,7-dihydro-1~{H}-pyrrolo[3,2-c]pyridin-4-one", 9728 },
	{ "8XC", "", "", ResidueType::NON_POLYMER, false, "4-amino-1-(5-O-phosphono-beta-D-xylofuranosyl)pyrimidin-2(1H)-one", 9729 },
	{ "8XE", "", "", ResidueType::NON_POLYMER, false, "5-(2-methoxyethyl)-2-[2-[(2-methylpyrazol-3-yl)amino]pyrimidin-4-yl]-6,7-dihydro-1~{H}-pyrrolo[3,2-c]pyridin-4-one", 9730 },
	{ "8XG", "", "", ResidueType::NON_POLYMER, false, "2-amino-9-(5-O-phosphono-beta-D-xylofuranosyl)-1,9-dihydro-6H-purin-6-one", 9731 },
	{ "8XH", "", "", ResidueType::NON_POLYMER, false, "5-(2-methoxyethyl)-2-[2-(oxan-4-ylamino)pyrimidin-4-yl]-6,7-dihydro-1~{H}-pyrrolo[3,2-c]pyridin-4-one", 9732 },
	{ "8XJ", "", "", ResidueType::NON_POLYMER, false, "4-fluoro-2-(4-fluorophenyl)-N-methyl-5-(2-methyl-5-{[1-(pyrimidin-2-yl)cyclopropyl]carbamoyl}phenyl)-1-benzofuran-3-carboxamide", 9733 },
	{ "8XK", "", "", ResidueType::NON_POLYMER, false, "5-(2-methoxyethyl)-1-methyl-2-[2-[(2-methylpyrazol-3-yl)amino]pyrimidin-4-yl]-6,7-dihydropyrrolo[3,2-c]pyridin-4-one", 9734 },
	{ "8XL", "", "", ResidueType::NON_POLYMER, false, "3-[(Z)-2-isocyanoethenyl]-1H-indole", 9735 },
	{ "8XM", "", "", ResidueType::NON_POLYMER, false, "2-(4-fluorophenyl)-N-methyl-5-[3-({2-methyl-1-oxo-1-[(1,3,4-thiadiazol-2-yl)amino]propan-2-yl}carbamoyl)phenyl]-1-benzofuran-3-carboxamide", 9736 },
	{ "8XN", "", "", ResidueType::NON_POLYMER, false, "(6~{S})-5-(2-methoxyethyl)-6-methyl-2-[5-methyl-2-[(2-methylpyrazol-3-yl)amino]pyrimidin-4-yl]-6,7-dihydro-1~{H}-pyrrolo[3,2-c]pyridin-4-one", 9737 },
	{ "8XO", "", "", ResidueType::NON_POLYMER, false, "2-[E-(E-16-azido-2-oxidanylidene-hexadec-3-enylidene)amino]ethanoic acid", 9738 },
	{ "8XP", "", "", ResidueType::NON_POLYMER, false, "5-[3-(tert-butylcarbamoyl)phenyl]-2-(4-fluorophenyl)-N-methyl-1-benzofuran-3-carboxamide", 9739 },
	{ "8XQ", "", "", ResidueType::NON_POLYMER, false, "8-hydroxyquinoline-5-carboxylic acid", 9740 },
	{ "8XS", "", "", ResidueType::NON_POLYMER, false, "3-[2-(4-fluorophenyl)-3-(methylcarbamoyl)-1-benzofuran-5-yl]benzoic acid", 9741 },
	{ "8XT", "", "", ResidueType::NON_POLYMER, false, "~{N}-ethyl-4-[(3~{S})-3-methylmorpholin-4-yl]-1~{H}-pyrrolo[2,3-b]pyridine-2-carboxamide", 9742 },
	{ "8XU", "", "", ResidueType::NON_POLYMER, false, "1-(5-O-phosphono-beta-D-xylofuranosyl)pyrimidine-2,4(1H,3H)-dione", 9743 },
	{ "8XV", "", "", ResidueType::NON_POLYMER, false, "2-({3-[1-(2-cyclopropylethyl)-6-fluoro-4-hydroxy-2-oxo-1,2-dihydroquinolin-3-yl]-1,1-dioxo-1,4-dihydro-1lambda~6~,2,4-benzothiadiazin-7-yl}oxy)acetamide", 9744 },
	{ "8XW", "", "", ResidueType::NON_POLYMER, false, "[(2~{R})-1-ethanoylsulfanyl-6-phenyl-hexan-2-yl]phosphonic acid", 9745 },
	{ "8XZ", "", "", ResidueType::NON_POLYMER, false, "[(2~{R})-1-ethanoylsulfanyl-5-phenyl-pentan-2-yl]phosphonic acid", 9746 },
	{ "8Y0", "", "", ResidueType::NON_POLYMER, false, "(E)-N-[(3E)-2-oxo-16-(8-{6-[(trifluoroacetyl)amino]hexanoyl}-8,9-dihydro-1H-dibenzo[b,f][1,2,3]triazolo[4,5-d]azocin-1-yl)hexadec-3-en-1-ylidene]glycine", 9747 },
	{ "8Y4", "", "", ResidueType::NON_POLYMER, false, "2-[(2-amino-9-methyl-6-oxo-6,9-dihydro-1H-purin-8-yl)sulfanyl]-N-phenylacetamide", 9748 },
	{ "8Y6", "", "", ResidueType::NON_POLYMER, false, "4-fluoranyl-6-[(7-fluoranyl-4-oxidanylidene-3H-quinazolin-6-yl)methyl]-8-(2-oxidanylidene-1H-pyridin-3-yl)furo[2,3-e]indole-7-carboxylic acid", 9749 },
	{ "8Y7", "", "", ResidueType::NON_POLYMER, false, "[(2-amino-9-methyl-6-oxo-6,9-dihydro-1H-purin-8-yl)sulfanyl]acetic acid", 9750 },
	{ "8YA", "", "", ResidueType::NON_POLYMER, false, "3-amino-1-{4-[6-chloro-8-fluoro-7-(5-methyl-1H-indazol-4-yl)quinazolin-4-yl]piperazin-1-yl}propan-1-one", 9751 },
	{ "8YB", "", "", ResidueType::NON_POLYMER, false, "~{N}-[4-(3-chlorophenyl)-5-(2-chlorophenyl)carbonyl-1,3-thiazol-2-yl]-2-(4-ethylsulfonylphenyl)ethanamide", 9752 },
	{ "8YC", "", "", ResidueType::NON_POLYMER, false, "(2S,5R)-1-[2-[[1-(hydroxymethyl)cyclopentyl]amino]ethanoyl]pyrrolidine-2,5-dicarbonitrile", 9753 },
	{ "8YD", "", "", ResidueType::NON_POLYMER, false, "1-{4-[6-chloro-8-fluoro-7-(5-methyl-1H-indazol-4-yl)quinazolin-4-yl]piperazin-1-yl}propan-1-one", 9754 },
	{ "8YE", "", "", ResidueType::NON_POLYMER, false, "[1-(2-hydroxyethyl)pyrrolo[3,4-c]pyrazol-5-yl]-(5-propyl-1,2-oxazol-3-yl)methanone", 9755 },
	{ "8YF", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(2S,3R)-1,3-bis(oxidanyl)-1-oxidanylidene-butan-2-yl]-4-(2-methanimidamidoethylsulfanyl)-2,3-dihydro-1H-pyrrole-5-carboxylic acid", 9756 },
	{ "8YH", "", "", ResidueType::NON_POLYMER, false, "~{N}-butyl-4-methyl-piperidine-1-carboxamide", 9757 },
	{ "8YJ", "", "", ResidueType::NON_POLYMER, false, "2-{[2-(4-chlorophenyl)-2-oxoethyl]sulfanyl}benzoic acid", 9758 },
	{ "8YL", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-2-[(2S,3R)-1,3-bis(oxidanyl)-1-oxidanylidene-butan-2-yl]-4-[(3S,5S)-5-(dimethylcarbamoyl)pyrrolidin-3-yl]sulfanyl-3-methyl-2,3-dihydro-1H-pyrrole-5-carboxylic acid", 9759 },
	{ "8YM", "", "", ResidueType::NON_POLYMER, false, "2-[(2-acetylphenyl)sulfanyl]benzoic acid", 9760 },
	{ "8YN", "", "", ResidueType::NON_POLYMER, false, "pseudopisocytidine", 9761 },
	{ "8YP", "", "", ResidueType::NON_POLYMER, false, "decanal", 9762 },
	{ "8YQ", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{R},5~{R})-2-[[2-[[3-(aminomethyl)phenyl]methoxy]-4-[[3-(1,4-benzodioxin-6-yl)-2-methyl-phenyl]methoxy]-5-chloranyl-phenyl]methyl]-5-oxidanyl-pyrrolidine-3-carboxylic acid", 9763 },
	{ "8YT", "", "", ResidueType::NON_POLYMER, false, "1-[3-[5-[(1~{R},2~{R})-2-methylcyclopropyl]furan-2-yl]propanoyl]piperidine-4-carboxamide", 9764 },
	{ "8YV", "", "", ResidueType::NON_POLYMER, false, "2-keto-D-gluconic acid", 9765 },
	{ "8YW", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{R})-2-(4-nitrophenyl)-2-oxidanyl-ethyl]-1,3-benzodioxole-5-carboxamide", 9766 },
	{ "8YZ", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-[[2-[(3-cyanophenyl)methoxy]-4-[[3-(2,3-dihydro-1,4-benzodioxin-6-yl)-2-methyl-phenyl]methoxy]-5-methyl-phenyl]methylamino]-3-oxidanyl-propanoic acid", 9767 },
	{ "8Z1", "", "", ResidueType::NON_POLYMER, false, "(4R)-6-amino-3-methyl-4-(propan-2-yl)-4-[3-(pyrrolidin-1-yl)-5-(trifluoromethyl)phenyl]-1,4-dihydropyrano[2,3-c]pyrazole-5-carbonitrile", 9768 },
	{ "8Z2", "", "", ResidueType::NON_POLYMER, false, "", 9769 },
	{ "8Z4", "", "", ResidueType::NON_POLYMER, false, "(4AS,8AR)-4-(3-{4-[(3R)-3-HYDROXYPYRROLIDINE-1-", 9770 },
	{ "8Z5", "", "", ResidueType::NON_POLYMER, false, "Alpha-Bromo-3-Iodotoluene", 9771 },
	{ "8Z7", "", "", ResidueType::NON_POLYMER, false, "N-(1-benzylpiperidin-4-yl)-N'-[3-(trifluoromethyl)phenyl]urea", 9772 },
	{ "8Z8", "", "", ResidueType::NON_POLYMER, false, "5-chloranyl-7-[(1~{R},5~{S})-3-methoxy-8-azabicyclo[3.2.1]octan-8-yl]-6-[2,4,6-tris(fluoranyl)phenyl]-[1,2,4]triazolo[1,5-a]pyrimidine", 9773 },
	{ "8ZA", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-N-(1-butylpiperidin-4-yl)-N'-(3,4-dichlorophenyl)urea", 9774 },
	{ "8ZB", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{R},4~{S},5~{R})-2-(6-aminopurin-9-yl)-5-propyl-oxolane-3,4-diol", 9775 },
	{ "8ZD", "", "", ResidueType::NON_POLYMER, false, "N-{2-[({1-[(2R)-pentan-2-yl]piperidin-4-yl}{[3-(trifluoromethyl)phenyl]carbamoyl}amino)methyl]phenyl}propanamide", 9776 },
	{ "8ZE", "", "", ResidueType::NON_POLYMER, false, "2,3-dihydro-1,4-benzodioxin-6-ylmethanol", 9777 },
	{ "8ZG", "", "", ResidueType::NON_POLYMER, false, "1-{4-[6-chloro-7-(2-fluorophenyl)quinazolin-4-yl]piperazin-1-yl}propan-1-one", 9778 },
	{ "8ZH", "", "", ResidueType::NON_POLYMER, false, "~{N}-(2-chloranyl-6-methyl-phenyl)-2-[[3-(piperidin-4-ylcarbamoyl)phenyl]amino]-1,3-thiazole-5-carboxamide", 9779 },
	{ "8ZJ", "", "", ResidueType::NON_POLYMER, false, "4-hydroxy-N-methyl-2-phenylpyrrolo[1,2-a]pyrimidine-8-carboxamide", 9780 },
	{ "8ZK", "", "", ResidueType::NON_POLYMER, false, "~{N}-(2-chloranyl-6-methyl-phenyl)-2-[[3-ethyl-5-(piperidin-4-ylcarbamoyl)phenyl]amino]-1,3-thiazole-5-carboxamide", 9781 },
	{ "8ZM", "", "", ResidueType::NON_POLYMER, false, "5-phenyltetrazolo[1,5-a]pyrimidin-7-ol", 9782 },
	{ "8ZN", "", "", ResidueType::NON_POLYMER, false, "~{N}-(2-chloranyl-6-methyl-phenyl)-2-[[3-(piperidin-4-ylcarbamoyl)-5-(trifluoromethyl)phenyl]amino]-1,3-thiazole-5-carboxamide", 9783 },
	{ "8ZP", "", "", ResidueType::NON_POLYMER, false, "(1R,2S)-2-[(4-hydroxy-2-phenylpyrrolo[1,2-a]pyrimidine-8-carbonyl)amino]cyclohexane-1-carboxylic acid", 9784 },
	{ "8ZQ", "", "", ResidueType::NON_POLYMER, false, "2-[[3-(2-aminophenyl)-5-(piperidin-4-ylcarbamoyl)phenyl]amino]-~{N}-(2-chloranyl-6-methyl-phenyl)-1,3-thiazole-5-carboxamide", 9785 },
	{ "8ZS", "", "", ResidueType::NON_POLYMER, false, "4-hydroxy-N-[(2S)-1-hydroxypropan-2-yl]-2-phenylpyrrolo[1,2-a]pyrimidine-8-carboxamide", 9786 },
	{ "8ZT", "", "", ResidueType::NON_POLYMER, false, "~{N}-(2-chloranyl-6-methyl-phenyl)-2-[(3,5-dimorpholin-4-ylphenyl)amino]-1,3-thiazole-5-carboxamide", 9787 },
	{ "8ZV", "", "", ResidueType::NON_POLYMER, false, "2-{[3,5-bis(2-methoxyethoxy)benzene-1-carbonyl]amino}ethyl (2S)-1-(benzylsulfonyl)piperidine-2-carboxylate", 9788 },
	{ "8ZW", "", "", ResidueType::NON_POLYMER, false, "~{N}-(2-chloranyl-6-methyl-phenyl)-2-[(3-methylsulfonyl-5-morpholin-4-yl-phenyl)amino]-1,3-thiazole-5-carboxamide", 9789 },
	{ "8ZZ", "", "", ResidueType::NON_POLYMER, false, "~{N}-(2-chloranyl-6-methyl-phenyl)-2-[[3-[[(3~{R},4~{R})-3-fluoranylpiperidin-4-yl]carbamoyl]phenyl]amino]-1,3-thiazole-5-carboxamide", 9790 },
	{ "900", "", "", ResidueType::NON_POLYMER, false, "N-(4-chlorophenyl)-6-[(6,7-dimethoxyquinolin-4-yl)oxy]naphthalene-1-carboxamide", 9791 },
	{ "901", "", "", ResidueType::NON_POLYMER, false, "2-[(4-{2-ACETYLAMINO-2-[4-(1-CARBOXY-3-METHYLSULFANYL-PROPYLCARBAMOYL)-BUTYLCARBAMOYL]-ETHYL}-2-ETHYL-PHENYL)-OXALYL-AMINO]-BENZOIC ACID", 9792 },
	{ "902", "", "", ResidueType::NON_POLYMER, false, "{[5-(3-{[1-(BENZYLSULFONYL)PIPERIDIN-4-YL]AMINO}PHENYL)-4-BROMO-2-(2H-TETRAZOL-5-YL)-3-THIENYL]OXY}ACETIC ACID", 9793 },
	{ "903", "", "", ResidueType::NON_POLYMER, false, "2-{4-[2-ACETYLAMINO-2-(1-BIPHENYL-4-YLMETHYL-2-OXO-AZEPAN-3-YLCARBAMOYL)-ETHYL]-2-METHOXYCARBONYL-PHENYL}-2-FLUORO-MALONIC ACID", 9794 },
	{ "904", "", "", ResidueType::NON_POLYMER, false, "", 9795 },
	{ "905", "", "", ResidueType::NON_POLYMER, false, "(R)-4-[2-(3-AMINO-BENZENESULFONYLAMINO)-1-(3,5-DIETHOXY-2-FLUOROPHENYL)-2-OXO-ETHYLAMINO]-2-HYDROXY-BENZAMIDINE", 9796 },
	{ "906", "", "", ResidueType::NON_POLYMER, false, "1-(2-aminopyridin-4-yl)-3-[(3S)-5-{4-[(E)-(ethoxyimino)methyl]phenoxy}-3-methylpentyl]imidazolidin-2-one", 9797 },
	{ "907", "", "", ResidueType::NON_POLYMER, false, "2-{5-[AMINO(IMINIO)METHYL]-1H-INDOL-2-YL}-6-BROMO-4-METHYLBENZENOLATE", 9798 },
	{ "908", "", "", ResidueType::NON_POLYMER, false, "4-[5-[(4~{a}~{R},8~{a}~{S})-4-oxidanylidene-3-propan-2-yl-4~{a},5,8,8~{a}-tetrahydrophthalazin-1-yl]-2-methoxy-phenyl]-~{N}-(2-azanyl-2-oxidanylidene-ethyl)benzamide", 9799 },
	{ "90A", "", "", ResidueType::NON_POLYMER, false, "2-oxo-6,9,12,15-tetraoxa-3-azaoctadecan-18-oic acid", 9800 },
	{ "90B", "", "", ResidueType::NON_POLYMER, false, "2-[[3-bromanyl-5-(piperidin-4-ylcarbamoyl)phenyl]amino]-~{N}-(2-chloranyl-6-methyl-phenyl)-1,3-thiazole-5-carboxamide", 9801 },
	{ "90D", "", "", ResidueType::NON_POLYMER, false, "", 9802 },
	{ "90E", "", "", ResidueType::NON_POLYMER, false, "2-[[3-[[(4~{R})-3,3-bis(fluoranyl)piperidin-4-yl]carbamoyl]phenyl]amino]-~{N}-(2-chloranyl-6-methyl-phenyl)-1,3-thiazole-5-carboxamide", 9803 },
	{ "90G", "", "", ResidueType::NON_POLYMER, false, "N-[3-(4-chlorophenyl)-1H-pyrazol-5-yl]-2-sulfanylacetamide", 9804 },
	{ "90J", "", "", ResidueType::NON_POLYMER, false, "N-[4-(4-fluorophenyl)-1H-pyrazol-3-yl]-2-sulfanylacetamide", 9805 },
	{ "90K", "", "", ResidueType::NON_POLYMER, false, "2-[[3-[(3-aminophenyl)carbamoyl]phenyl]amino]-~{N}-(2-chloranyl-6-methyl-phenyl)-1,3-thiazole-5-carboxamide", 9806 },
	{ "90L", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3R)-5-[(E)-2-[(1R,3aS,7aR)-7a-methyl-1-[(2R)-6-methyl-6-oxidanyl-heptan-2-yl]-1,2,3,3a,6,7-hexahydroinden-4-yl]ethenyl]-2-(3-oxidanylpropyl)cyclohex-4-ene-1,3-diol", 9807 },
	{ "90M", "", "", ResidueType::NON_POLYMER, false, "N-[3-(4-fluorophenyl)-4-methyl-1H-pyrazol-5-yl]-2-sulfanylacetamide", 9808 },
	{ "90N", "", "", ResidueType::NON_POLYMER, false, "2-[[3-[(4-azanyl-6-methyl-1,3,5-triazin-2-yl)carbamoyl]phenyl]amino]-~{N}-(2-chloranyl-6-methyl-phenyl)-1,3-thiazole-5-carboxamide", 9809 },
	{ "90O", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3R)-5-[(E)-2-[(1R,3aS,7aR)-7a-methyl-1-[(2R)-6-methyl-6-oxidanyl-heptan-2-yl]-1,2,3,3a,6,7-hexahydroinden-4-yl]ethenyl]-2-(3-oxidanylpropyl)cyclohex-4-ene-1,3-diol", 9810 },
	{ "90P", "", "", ResidueType::NON_POLYMER, false, "N~2~-cyclohexyl-N~4~-(1-ethylpiperidin-4-yl)-6,7-dimethoxy-N~2~-methylquinazoline-2,4-diamine", 9811 },
	{ "90S", "", "", ResidueType::NON_POLYMER, false, "[(3S)-3-(4-bromo-1H-pyrazol-1-yl)pyrrolidin-1-yl][3-(propan-2-yl)-1H-pyrazol-5-yl]methanone", 9812 },
	{ "90T", "", "", ResidueType::NON_POLYMER, false, "(3~{S})-1-[3-[[5-[(2-chloranyl-6-methyl-phenyl)carbamoyl]-1,3-thiazol-2-yl]amino]phenyl]carbonylpyrrolidine-3-carboxylic acid", 9813 },
	{ "90V", "", "", ResidueType::NON_POLYMER, false, "N-{(3R)-1-[3-(propan-2-yl)-1H-pyrazole-5-carbonyl]pyrrolidin-3-yl}cyclopropanecarboxamide", 9814 },
	{ "90W", "", "", ResidueType::NON_POLYMER, false, "~{N}-(2-chloranyl-6-methyl-phenyl)-2-[[3-[(4-oxidanylcyclohexyl)carbamoyl]phenyl]amino]-1,3-thiazole-5-carboxamide", 9815 },
	{ "90Z", "", "", ResidueType::NON_POLYMER, false, "~{N}-(2-chloranyl-6-methyl-phenyl)-2-[[3-[(2,2,6,6-tetramethyl-1-oxidanyl-piperidin-4-yl)carbamoyl]phenyl]amino]-1,3-thiazole-5-carboxamide", 9816 },
	{ "910", "", "", ResidueType::NON_POLYMER, false, "5-[3-(BENZYLAMINO)PHENYL]-4-BROMO-3-(CARBOXYMETHOXY)THIOPHENE-2-CARBOXYLIC ACID", 9817 },
	{ "911", "", "", ResidueType::NON_POLYMER, false, "(1-hydroxyethane-1,1-diyl)bis(phosphonic acid)", 9818 },
	{ "912", "", "", ResidueType::NON_POLYMER, false, "(2~{Z})-~{N}-(2-chloranyl-6-methyl-phenyl)-2-[3-[(4-methyl-4-oxidanyl-cyclohexyl)carbamoyl]phenyl]imino-1,3-thiazolidine-5-carboxamide", 9819 },
	{ "913", "", "", ResidueType::NON_POLYMER, false, "(3-PYRAZOL-1-YLPHENYL)METHANAMINE", 9820 },
	{ "914", "", "", ResidueType::NON_POLYMER, false, "[(2R,5R)-5-(6-aminopurin-9-yl)-4-fluoro-2,5-dihydrofuran-2-yl]oxymethyl-[hydroxy(phosphonooxy)phosphoryl]oxy-phosphinic acid", 9821 },
	{ "915", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-{[(4-FLUORO-3-METHYLPHENYL)SULFONYL]AMINO}-N-HYDROXY-2-TETRAHYDRO-2H-PYRAN-4-YLACETAMIDE", 9822 },
	{ "916", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3R)-4-{[(4S)-6-(2,2-dimethylpropyl)-2,2-dimethyl-3,4-dihydro-2H-thieno[2,3-b]pyran-4-yl]amino}-3-hydroxy-1-phenylbutan-2-yl]acetamide", 9823 },
	{ "917", "", "", ResidueType::NON_POLYMER, false, "N-({(5S)-2-oxo-3-[4-(1,3-thiazol-5-yl)phenyl]-1,3-oxazolidin-5-yl}methyl)acetamide", 9824 },
	{ "918", "", "", ResidueType::NON_POLYMER, false, "5-(2-morpholin-4-yl-6-pyrrolidin-1-yl-pyrimidin-4-yl)-4-(trifluoromethyl)pyridin-2-amine", 9825 },
	{ "919", "", "", ResidueType::NON_POLYMER, false, "4-[4-({[3-tert-butyl-1-(quinolin-6-yl)-1H-pyrazol-5-yl]carbamoyl}amino)-3-fluorophenoxy]-N-methylpyridine-2-carboxamide", 9826 },
	{ "91B", "", "", ResidueType::NON_POLYMER, false, "1-[3-(4-METHYLPIPERAZIN-1-YL)PHENYL]METHANAMINE", 9827 },
	{ "91D", "", "", ResidueType::NON_POLYMER, false, "N~3~-[6-chloro-7-(2-fluorophenyl)-4-(4-propanoylpiperazin-1-yl)quinazolin-2-yl]-N,N-dimethyl-beta-alaninamide", 9828 },
	{ "91E", "", "", ResidueType::NON_POLYMER, false, "2-[[3-[(3-azanyl-2,2-dimethyl-propyl)carbamoyl]phenyl]amino]-~{N}-(2-chloranyl-6-methyl-phenyl)-1,3-thiazole-5-carboxamide", 9829 },
	{ "91F", "", "", ResidueType::NON_POLYMER, false, "2-(4-methylsulfanylphenyl)-3H-quinazolin-4-one", 9830 },
	{ "91G", "", "", ResidueType::NON_POLYMER, false, "N~3~-[6-chloro-7-(3-hydroxynaphthalen-1-yl)-4-(4-propanoylpiperazin-1-yl)quinazolin-2-yl]-N,N-dimethyl-beta-alaninamide", 9831 },
	{ "91H", "", "", ResidueType::NON_POLYMER, false, "4-[[3-[[5-[(2-chloranyl-6-methyl-phenyl)carbamoyl]-1,3-thiazol-2-yl]amino]phenyl]carbonylamino]cyclohexane-1-carboxylic acid", 9832 },
	{ "91J", "", "", ResidueType::NON_POLYMER, false, "2-{[(1-methylpiperidin-4-yl)methyl]amino}-5,6,7,8-tetrahydro[1]benzothieno[2,3-d]pyrimidin-4(3H)-one", 9833 },
	{ "91K", "", "", ResidueType::NON_POLYMER, false, "2-[(3~{R})-1-[3-[[5-[(2-chloranyl-6-methyl-phenyl)carbamoyl]-1,3-thiazol-2-yl]amino]phenyl]carbonylpyrrolidin-3-yl]ethanoic acid", 9834 },
	{ "91N", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},5~{R})-3-oxidanyl-5-(7-thiophen-2-ylimidazo[4,5-b]pyridin-3-yl)oxolan-2-yl]methyl dihydrogen phosphate", 9835 },
	{ "91P", "", "", ResidueType::NON_POLYMER, false, "", 9836 },
	{ "91R", "", "", ResidueType::NON_POLYMER, false, "[[(2~{R},3~{S},5~{R})-5-[4-[(4~{S})-4,5-bis(oxidanyl)pent-1-ynyl]-2-nitro-pyrrol-1-yl]-3-oxidanyl-oxolan-2-yl]methoxy-oxidanyl-phosphoryl] phosphono hydrogen phosphate", 9837 },
	{ "91S", "", "", ResidueType::NON_POLYMER, false, " (S)-1-{4-[6-chloro-8-fluoro-7-(2-fluoro-6-hydroxyphenyl)quinazolin-4-yl] piperazin-1-yl}propan-1-one", 9838 },
	{ "91T", "", "", ResidueType::NON_POLYMER, false, "[[(2~{R},3~{S},5~{R})-5-[4-[(4~{R})-4,5-bis(oxidanyl)pent-1-ynyl]-2-nitro-pyrrol-1-yl]-3-oxidanyl-oxolan-2-yl]methoxy-oxidanyl-phosphoryl] phosphono hydrogen phosphate", 9839 },
	{ "91U", "", "", ResidueType::PEPTIDE_LIKE, false, "N-acetyl-3-cyclohexyl-D-alanyl-N-(3-chlorobenzyl)-L-prolinamide", 9840 },
	{ "91V", "", "", ResidueType::NON_POLYMER, false, "N-{4-[4-(diphenylmethoxy)piperidin-1-yl]butyl}[1,2,4]triazolo[4,3-b]pyridazin-6-amine", 9841 },
	{ "91W", "", "", ResidueType::NON_POLYMER, false, "", 9842 },
	{ "91Y", "", "", ResidueType::NON_POLYMER, false, "3-[(cyclohexanecarbonyl)amino]-N-(2,3-dihydro-1H-inden-2-yl)pyrazine-2-carboxamide", 9843 },
	{ "920", "", "", ResidueType::NON_POLYMER, false, "4-[(1S,5R,6R)-6-amino-1-methyl-3-azabicyclo[3.2.0]hept-3-yl]-6-fluoro-N-methyl-2-[(2-methylpyrimidin-5-yl)oxy]-9H-pyrimido[4,5-b]indol-8-amine", 9844 },
	{ "921", "", "", ResidueType::NON_POLYMER, false, "N-methyl-N'-(3-methylbut-2-en-1-yl)-N'-(3-phenoxyphenyl)-N-[trans-4-(pyridin-4-yl)cyclohexyl]urea", 9845 },
	{ "922", "", "", ResidueType::NON_POLYMER, false, "(5R,6S,8S)-8-(3-{[AMINO(IMINO)METHYL]AMINO}PHENYL)-6-HYDROXY-5-ISOPROPYL-3-OXO-1-PHENYL-2,7-DIOXA-4-AZA-6-PHOSPHANONAN-9-OIC ACID 6-OXIDE", 9846 },
	{ "923", "", "", ResidueType::NON_POLYMER, false, "(5Z)-4-hydroxy-3-[(2R)-2-(2-hydroxypropan-2-yl)-2,3-dihydro-1-benzofuran-5-yl]-5-{[(2R)-2-(2-hydroxypropan-2-yl)-2,3-dihydro-1-benzofuran-5-yl]methylidene}furan-2(5H)-one", 9847 },
	{ "924", "", "", ResidueType::NON_POLYMER, false, "1-[5-(4-aminothieno[3,2-c]pyridin-3-yl)-2,3-dihydro-1H-indol-1-yl]-2-phenylethanone", 9848 },
	{ "925", "", "", ResidueType::NON_POLYMER, false, "3-[7-[(3-hydroxyphenyl)amino]pyrazolo[1,5-a]pyrimidin-2-yl]-N-(1-hydroxy-2,2,6,6-tetramethyl-piperidin-4-yl)benzamide", 9849 },
	{ "926", "", "", ResidueType::NON_POLYMER, false, "6-{3-[(1-methyl-1H-imidazol-2-yl)sulfanyl]phenyl}pyridin-2(1H)-one", 9850 },
	{ "927", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(3-methylbut-2-en-1-yl){methyl[trans-4-(pyridin-4-yl)cyclohexyl]carbamoyl}amino]phenyl}benzamide", 9851 },
	{ "928", "", "", ResidueType::NON_POLYMER, false, "5-amino-1-(4-chlorophenyl)-1H-pyrazole-4-carbonitrile", 9852 },
	{ "929", "", "", ResidueType::NON_POLYMER, false, "", 9853 },
	{ "92A", "", "", ResidueType::NON_POLYMER, false, "N-[(2R)-3-(4-{[3-(4-chlorophenyl)propanoyl]amino}phenyl)-1-(4-methylpiperidin-1-yl)-1-oxopropan-2-yl]-4-methylpentanamide", 9854 },
	{ "92B", "", "", ResidueType::NON_POLYMER, false, "(3~{S},7~{R},10~{R},13~{S})-2-oxidanylidene-1,4-diazatricyclo[8.3.0.0^{3,7}]tridec-8-ene-13-carboxylic acid", 9855 },
	{ "92D", "", "", ResidueType::NON_POLYMER, false, "N-(3-tert-butylphenyl)-4-methyl-3-[6-(morpholin-4-yl)pyrimidin-4-yl]benzamide", 9856 },
	{ "92E", "", "", ResidueType::NON_POLYMER, false, "~{N}-[3-acetamido-5-[(5-ethanoyl-2-ethoxy-phenyl)carbamoyl]phenyl]furan-2-carboxamide", 9857 },
	{ "92G", "", "", ResidueType::NON_POLYMER, false, "4-(2-amino-1,3-thiazol-4-yl)phenol", 9858 },
	{ "92H", "", "", ResidueType::NON_POLYMER, false, "~{N}-[[(3~{R})-1-(2,3-dihydro-1~{H}-inden-2-yl)piperidin-3-yl]methyl]-~{N}-[2-(dimethylamino)ethyl]naphthalene-2-carboxamide", 9859 },
	{ "92J", "", "", ResidueType::NON_POLYMER, false, "N-{2-methyl-5'-(morpholin-4-yl)-6'-[(oxan-4-yl)oxy][3,3'-bipyridin]-5-yl}-3-(trifluoromethyl)benzamide", 9860 },
	{ "92K", "", "", ResidueType::NON_POLYMER, false, "Isatinic acid", 9861 },
	{ "92M", "", "", ResidueType::NON_POLYMER, false, "9-cyclopentyl-2-(4-(4-hydroxypiperidin-1-yl)-2-methoxyphenylamino)-5-methyl-8,9-dihydro-5H-pyrimido[4,5-b][1,4]diazepin-6(7H)-one", 9862 },
	{ "92N", "", "", ResidueType::NON_POLYMER, false, "4-[(1-oxidanyl-3~{H}-2,1-benzoxaborol-5-yl)oxy]benzaldehyde", 9863 },
	{ "92O", "", "", ResidueType::NON_POLYMER, false, "7-ethyl-3-(piperidin-4-yl)-1H-indole", 9864 },
	{ "92P", "", "", ResidueType::NON_POLYMER, false, "1H-PYRROLO[2,3-B]PYRIDINE-3-CARBOXYLIC ACID", 9865 },
	{ "92Q", "", "", ResidueType::NON_POLYMER, false, "~{N}-(2-chloranyl-6-methyl-phenyl)-2-[[3-[[(3~{S})-pyrrolidin-3-yl]carbamoyl]phenyl]amino]-1,3-thiazole-5-carboxamide", 9866 },
	{ "92R", "", "", ResidueType::NON_POLYMER, false, "3-{4-[(dimethylamino)methyl]phenyl}-5-methoxyisoquinolin-1(2H)-one", 9867 },
	{ "92T", "", "", ResidueType::NON_POLYMER, false, "1-[3-[4-(2-chlorophenyl)-5-pyrimidin-4-yl-1,2,4-triazol-3-yl]cyclobutyl]-2-oxidanylidene-3~{H}-benzimidazole-5-carbonitrile", 9868 },
	{ "92V", "", "", ResidueType::NON_POLYMER, false, "1-(4-methoxyphenyl)-N-(3-sulfanylpropyl)-5-(trifluoromethyl)-1H-pyrazole-4-carboxamide", 9869 },
	{ "92Y", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3R,4S)-3-[(dimethylamino)methyl]-1-phenylbicyclo[2.2.1]heptan-2-ol", 9870 },
	{ "92Z", "", "", ResidueType::NON_POLYMER, false, "5-azanyl-3~{H}-pyridin-6-one", 9871 },
	{ "930", "", "", ResidueType::NON_POLYMER, false, "6-CHLORO-N-((3S)-2-OXO-1-{4-[(2S)-2-PYRROLIDINYL]PHENYL}-3-PYRROLIDINYL)-2-NAPHTHALENESULFONAMIDE", 9872 },
	{ "931", "", "", ResidueType::NON_POLYMER, false, "6-CHLORO-N-((3S)-2-OXO-1-{4-[(2R)-2--PYRROLIDINYL] PHENYL}-3-PYRROLIDINYL)-2-NAPHTHALENESULFONAMIDE", 9873 },
	{ "932", "", "", ResidueType::NON_POLYMER, false, "N-[4-methyl-3-(1H-1,2,4-triazol-5-yl)thiophen-2-yl]-2-(2-oxo-3,4-dihydroquinolin-1(2H)-yl)acetamide", 9874 },
	{ "933", "", "", ResidueType::NON_POLYMER, false, "2-cyclopropyl-N-[(2S)-3,3-dimethylbutan-2-yl]-5H-pyrrolo[2,3-b]pyrazine-7-carboxamide", 9875 },
	{ "935", "", "", ResidueType::NON_POLYMER, false, "(E)-1-(6-{4-[3-(4-methylpiperazin-1-yl)propoxy]-3-(trifluoromethyl)phenyl}pyridin-2-yl)methanimine", 9876 },
	{ "936", "", "", ResidueType::NON_POLYMER, false, "5-METHOXY-1,2-DIMETHYL-3-(4-NITROPHENOXYMETHYL)INDOLE-4,7-DIONE", 9877 },
	{ "937", "", "", ResidueType::NON_POLYMER, false, "1-(2-HYDROXYETHYL)-8-[[5-(4-METHYLPIPERAZIN-1-YL)-2-(TRIFLUOROMETHOXY)PHENYL]AMINO]-4,5-DIHYDROPYRIMIDO[5,4-G]INDAZOLE-3-CARBOXAMIDE", 9878 },
	{ "938", "", "", ResidueType::NON_POLYMER, false, "4-chloranylpyrimidin-5-amine", 9879 },
	{ "939", "", "", ResidueType::NON_POLYMER, false, "1-METHYL-5-(2-{[5-(4-METHYLPIPERAZIN-1-YL)-2-(TRIFLUOROMETHOXY)PHENYL]AMINO}PYRIMIDIN-4-YL)-1H-PYRROLE-3-CARBOXAMIDE", 9880 },
	{ "93A", "", "", ResidueType::NON_POLYMER, false, "[3,4-DIHYDROXY-5R-(2,2,4-TRIOXO-1,2R,3S,4R-TETRAHYDRO-2L6-IMIDAZO[4,5-C][1,2,6]THIADIAZIN-7-YL)TETRAHYDROFURAN-2-YL]METHYL DIHYDROGEN PHOSPHATE", 9881 },
	{ "93B", "", "", ResidueType::NON_POLYMER, false, "1,3-diazinane-2-thione", 9882 },
	{ "93D", "", "", ResidueType::DNA_LINKING, false, "(1R)-1,4-anhydro-2-deoxy-1-(2,4-diaminopyrimidin-5-yl)-5-O-phosphono-D-erythro-pentitol", 9883 },
	{ "93E", "", "", ResidueType::NON_POLYMER, false, "3-chloranylpyridin-2-amine", 9884 },
	{ "93G", "", "", ResidueType::NON_POLYMER, false, "9-N-(3-CARBOXY-4-HYDROXYPHENYL)KETOMETHYL-7-N-METHYLGUANINE", 9885 },
	{ "93H", "", "", ResidueType::NON_POLYMER, false, "4-[2-[2-(4-methoxyphenyl)ethylamino]ethyl]benzene-1,2-diol", 9886 },
	{ "93J", "", "", ResidueType::NON_POLYMER, false, "(2E)-N-{4-[(3-chloro-4-fluorophenyl)amino]-3-cyano-7-ethoxyquinolin-6-yl}-4-(dimethylamino)but-2-enamide", 9887 },
	{ "93K", "", "", ResidueType::NON_POLYMER, false, "3,4-bis(azanyl)benzamide", 9888 },
	{ "93M", "", "", ResidueType::NON_POLYMER, false, "", 9889 },
	{ "93N", "", "", ResidueType::NON_POLYMER, false, "6-{4-[3-(4-methylpiperazin-1-yl)propoxy]-3-(trifluoromethyl)phenyl}pyridine-2-carbonitrile", 9890 },
	{ "93P", "", "", ResidueType::NON_POLYMER, false, "", 9891 },
	{ "93Q", "", "", ResidueType::NON_POLYMER, false, "3-methylpyridin-2-amine", 9892 },
	{ "93T", "", "", ResidueType::NON_POLYMER, false, "3-[2-(4-bromophenyl)-5,7-dimethyl-pyrazolo[1,5-a]pyrimidin-6-yl]propanoic acid", 9893 },
	{ "93W", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-[(1-chloranyl-4-oxidanyl-isoquinolin-3-yl)carbonylamino]-3-(1~{H}-indol-3-yl)propanoic acid", 9894 },
	{ "93X", "", "", ResidueType::NON_POLYMER, false, "(3~{R},4~{R})-3-(hydroxymethyl)-4-(4-methoxy-3-oxidanyl-phenyl)-1-(3,4,5-trimethoxyphenyl)azetidin-2-one", 9895 },
	{ "93Z", "", "", ResidueType::NON_POLYMER, false, "[(1~{S},2~{R},3~{R},4~{S},5~{R})-2-(hydroxymethyl)-3,4,5,6-tetrakis(oxidanyl)cyclohexyl] hydrogen sulfate", 9896 },
	{ "941", "", "", ResidueType::NON_POLYMER, false, "2-(4-{2-TERT-BUTOXYCARBONYLAMINO-2-[4-(3-HYDROXY-2-METHOXYCARBONYL-PHENOXY)-BUTYLCARBAMOYL]-ETHYL}-PHENOXY)-MALONIC ACID", 9897 },
	{ "942", "", "", ResidueType::NON_POLYMER, false, "N-[6-azanyl-1-butyl-2,4-bis(oxidanylidene)pyrimidin-5-yl]-N-methyl-benzamide", 9898 },
	{ "945", "", "", ResidueType::NON_POLYMER, false, "[(1~{R},2~{R},3~{R},4~{S},5~{R})-2-(hydroxymethyl)-3,4,5,6-tetrakis(oxidanyl)cyclohexyl] hydrogen sulfate", 9899 },
	{ "948", "", "", ResidueType::NON_POLYMER, false, "(1~{R},2~{S},3~{S},4~{R},5~{R},6~{R})-5-(hydroxymethyl)-7-azabicyclo[4.1.0]heptane-2,3,4-triol", 9900 },
	{ "949", "", "", ResidueType::NON_POLYMER, false, "4-[3-(3-fluorophenyl)-5,5-dimethyl-4-oxidanylidene-furan-2-yl]benzenesulfonamide", 9901 },
	{ "94A", "", "", ResidueType::NON_POLYMER, false, "(4R,7S)-7-hydroxy-1-(4-methoxybenzyl)-7-methyl-4,5,6,7-tetrahydro-1H-benzotriazol-4-yl propan-2-ylcarbamate", 9902 },
	{ "94B", "", "", ResidueType::NON_POLYMER, false, "(1~{S},2~{S},3~{S},4~{R},5~{R},6~{S})-5-(hydroxymethyl)-7-azabicyclo[4.1.0]heptane-2,3,4-triol", 9903 },
	{ "94C", "", "", ResidueType::NON_POLYMER, false, "1-[4-[6-chloranyl-8-fluoranyl-7-(2-fluorophenyl)quinazolin-4-yl]piperazin-1-yl]propan-1-one", 9904 },
	{ "94E", "", "", ResidueType::NON_POLYMER, false, "(3~{a}~{R},4~{R},5~{S},6~{R},7~{R},7~{a}~{S})-7-(hydroxymethyl)-2,2-bis(oxidanylidene)-3~{a},4,5,6,7,7~{a}-hexahydrobenzo[d][1,3,2]dioxathiole-4,5,6-triol", 9905 },
	{ "94F", "", "", ResidueType::NON_POLYMER, false, "1-[4-[6-chloranyl-8-fluoranyl-7-[2-(trifluoromethyl)phenyl]quinazolin-4-yl]piperazin-1-yl]propan-1-one", 9906 },
	{ "94H", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1~{R})-2-azanyl-1-phenyl-ethyl]-4-(1~{H}-pyrrolo[2,3-b]pyridin-3-yl)thiophene-2-carboxamide", 9907 },
	{ "94K", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1~{R})-2-azanyl-1-phenyl-ethyl]-5-(2-chlorophenyl)-2-methyl-thiophene-3-carboxamide", 9908 },
	{ "94M", "", "", ResidueType::NON_POLYMER, false, "6-chloro-9-[(4-methoxy-3,5-dimethylpyridin-2-yl)methyl]-9H-purin-2-amine", 9909 },
	{ "94N", "", "", ResidueType::NON_POLYMER, false, "2,6-bis(bromanyl)phenol", 9910 },
	{ "94Q", "", "", ResidueType::NON_POLYMER, false, "", 9911 },
	{ "94T", "", "", ResidueType::NON_POLYMER, false, "[[(2~{R},3~{S},4~{R},5~{R})-5-[2,4-bis(oxidanylidene)pyrimidin-1-yl]-3,4-bis(oxidanyl)oxolan-2-yl]methoxy-oxidanyl-phosphoryl] propyl hydrogen phosphate", 9912 },
	{ "94W", "", "", ResidueType::NON_POLYMER, false, "6-methoxy-1,3-benzothiazol-2-amine", 9913 },
	{ "94X", "", "", ResidueType::NON_POLYMER, false, "(2Z,4S)-5-(4-bromophenyl)-4-hydroxy-2-methylpent-2-enoic acid", 9914 },
	{ "94Z", "", "", ResidueType::NON_POLYMER, false, "3-[[4-[4-(4-fluorophenyl)piperazin-1-yl]-4-oxidanylidene-butanoyl]amino]benzamide", 9915 },
	{ "950", "", "", ResidueType::NON_POLYMER, false, "2-{5-[AMINO(IMINIO)METHYL]-6-FLUORO-1H-BENZIMIDAZOL-2-YL}-6-ISOBUTOXYBENZENOLATE", 9916 },
	{ "951", "", "", ResidueType::NON_POLYMER, false, "2-[(2E)-2-{[5-(2-chlorophenyl)furan-2-yl]methylidene}hydrazino]benzoic acid", 9917 },
	{ "952", "", "", ResidueType::NON_POLYMER, false, "5-methyl-1-[(3~{S})-1-[(3-phenoxyphenyl)methyl]piperidin-3-yl]pyrimidine-2,4-dione", 9918 },
	{ "953", "", "", ResidueType::NON_POLYMER, false, "5-(2-aminopyrimidin-4-yl)-2-[2-chloro-5-(trifluoromethyl)phenyl]-1H-pyrrole-3-carboxamide", 9919 },
	{ "954", "", "", ResidueType::NON_POLYMER, false, "5-{(2E,4aR,7aR)-6-[5-fluoro-4-methyl-6-(methylsulfanyl)pyrimidin-2-yl]-2-imino-3-methyl-4-oxooctahydro-7aH-pyrrolo[3,4-d]pyrimidin-7a-yl}thiophene-2-carbonitrile", 9920 },
	{ "956", "", "", ResidueType::NON_POLYMER, false, "1-methyl-2-oxo-4-[4-(thiophen-2-ylcarbonyl)piperazin-1-yl]-1,2-dihydroquinoline-3-carbonitrile", 9921 },
	{ "957", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R)-1-(3,5-difluorobenzyl)-3-({1-[4-(2,2-dimethylpropyl)thiophen-2-yl]cyclopropyl}amino)-2-hydroxypropyl]acetamide", 9922 },
	{ "958", "", "", ResidueType::NON_POLYMER, false, "8-(dimethylamino)-1,3-dimethyl-7-[[5-(3-methylphenyl)-1,3,4-oxadiazol-2-yl]methyl]purine-2,6-dione", 9923 },
	{ "959", "", "", ResidueType::NON_POLYMER, false, "benzyl (2-oxopropyl)carbamate", 9924 },
	{ "95B", "", "", ResidueType::NON_POLYMER, false, "Azotochelin", 9925 },
	{ "95C", "", "", ResidueType::NON_POLYMER, false, "4-nitro-2-[(phenylacetyl)amino]benzamide", 9926 },
	{ "95E", "", "", ResidueType::NON_POLYMER, false, "Ethambutol", 9927 },
	{ "95H", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1~{R},2~{R})-1-[(2~{R},3~{R},4~{S},5~{R},6~{R})-6-methylsulfanyl-3,4,5-tris(oxidanyl)oxan-2-yl]-2-oxidanyl-propyl]-4-nitro-benzamide", 9928 },
	{ "95K", "", "", ResidueType::NON_POLYMER, false, "1-(5-azanyl-4~{H}-1,2,4-triazol-3-yl)-~{N}-[2-(4-bromophenyl)ethyl]-~{N}-(2-methylpropyl)piperidin-4-amine", 9929 },
	{ "95N", "", "", ResidueType::NON_POLYMER, false, "1-(3-azanyl-1~{H}-1,2,4-triazol-5-yl)-~{N}-[2-(4-bromophenyl)ethyl]-~{N}-methyl-piperidin-4-amine", 9930 },
	{ "95Q", "", "", ResidueType::NON_POLYMER, false, "1-(3-azanyl-1~{H}-1,2,4-triazol-5-yl)-~{N}-[2-(4-chlorophenyl)ethyl]-~{N}-(phenylmethyl)piperidin-4-amine", 9931 },
	{ "95Z", "", "", ResidueType::NON_POLYMER, false, "alpha-D-Mannosamine", 9932 },
	{ "961", "395", "", ResidueType::NON_POLYMER, false, "3-FLUORO-4-[2-HYDROXY-2-(5,5,8,8-TETRAMETHYL-5,6,7,8,-TETRAHYDRO-NAPHTALEN-2-YL)-ACETYLAMINO]-BENZOIC ACID", 9933 },
	{ "962", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-1-[2-hydroxyethyl-[(2~{S})-2-oxidanylpropyl]amino]propan-2-ol", 9934 },
	{ "964", "", "", ResidueType::NON_POLYMER, false, "3-(4-{2-[2-(2-BROMO-ACETYLAMINO)-ETHYLDISULFANYL]-ETHYLCARBAMOYL}-CYCLOHEXYLCARBAMOYL)-PYRAZINE-2-CARBOXYLIC ACID", 9935 },
	{ "965", "", "", ResidueType::NON_POLYMER, false, "[3-(3-{[2-chloro-3-(trifluoromethyl)benzyl](2,2-diphenylethyl)amino}propoxy)phenyl]acetic acid", 9936 },
	{ "968", "", "", ResidueType::NON_POLYMER, false, "2-[(7-HYDROXY-NAPHTHALEN-1-YL)-OXALYL-AMINO]-BENZOIC ACID", 9937 },
	{ "96B", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-phenylpyrrolidine", 9938 },
	{ "96E", "", "", ResidueType::NON_POLYMER, false, "5-[2-hydroxyethyl(propyl)amino]pentan-1-ol", 9939 },
	{ "96M", "", "", ResidueType::NON_POLYMER, false, "6-(2,6-dichlorophenyl)-2-({4-[2-(diethylamino)ethoxy]phenyl}amino)-8-methylpyrido[2,3-d]pyrimidin-7(8H)-one", 9940 },
	{ "96N", "", "", ResidueType::NON_POLYMER, false, "4-ethanoyl-3-ethyl-5-methyl-~{N}-(naphthalen-1-ylmethyl)-1~{H}-pyrrole-2-carboxamide", 9941 },
	{ "96P", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-({[3-(trifluoromethyl)phenoxy]carbonyl}amino)propane-1,2-diyl bis(3,4,5-trihydroxybenzoate)", 9942 },
	{ "96Q", "", "", ResidueType::NON_POLYMER, false, "(~{E})-3-(6-azanylpyridin-3-yl)-~{N}-[[5-[4-[4,4-bis(fluoranyl)piperidin-1-yl]carbonylphenyl]-7-(4-fluorophenyl)-1-benzofuran-2-yl]methyl]prop-2-enamide", 9943 },
	{ "96T", "", "", ResidueType::NON_POLYMER, false, "3-[(2~{Z})-2-[(~{E})-3-[3,3-dimethyl-1-(3-oxidanylpropyl)indol-1-ium-2-yl]prop-2-enylidene]-3,3-dimethyl-indol-1-yl]propan-1-ol", 9944 },
	{ "96V", "", "", ResidueType::NON_POLYMER, false, "N,2-dimethyl-7-oxo-N-{1-[(1S)-1-phenylethyl]piperidin-4-yl}-6-(prop-2-en-1-yl)-6,7-dihydro-1H-pyrrolo[2,3-c]pyridine-4-carboxamide", 9945 },
	{ "96Y", "", "", ResidueType::NON_POLYMER, false, "1-{6-[(3R)-4,4-difluoropiperidin-3-yl]pyridin-2-yl}-6-(6-methylpyrazin-2-yl)-1H-pyrazolo[4,3-c]pyridine", 9946 },
	{ "971", "", "", ResidueType::NON_POLYMER, false, "1-methyl-4-{3-[6-(piperazin-1-yl)pyridin-2-yl]-1H-pyrazolo[3,4-c]pyridin-5-yl}piperazin-2-one", 9947 },
	{ "972", "", "", ResidueType::NON_POLYMER, false, "2-{5-[AMINO(IMINIO)METHYL]-6-CHLORO-1H-BENZIMIDAZOL-2-YL}-6-ISOBUTOXYBENZENOLATE", 9948 },
	{ "973", "", "", ResidueType::NON_POLYMER, false, "(5Z)-3-(4-CHLOROPHENYL)-4-HYDROXY-5-(1-NAPHTHYLMETHYLENE)FURAN-2(5H)-ONE", 9949 },
	{ "974", "", "", ResidueType::NON_POLYMER, false, "1-[2-[5-[AMINO(IMINO)METHYL]-2-HYDROXYPHENOXY]-6-[3-(4,5-DIHYDRO-1-METHYL-1H-IMIDAZOL-2-YL)PHENOXY] PYRIDIN-4-YL]PIPERIDINE-3-CARBOXYLIC ACID", 9950 },
	{ "976", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(6-chloro-2-methyl-4-phenylquinolin-3-yl)pentanoic acid", 9951 },
	{ "977", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-5-BROMO-6-PHENYLPYRIMIDIN-4-OL", 9952 },
	{ "979", "", "", ResidueType::NON_POLYMER, false, "5,6-DIPHENYL-N-(2-PIPERAZIN-1-YLETHYL)FURO[2,3-D]PYRIMIDIN-4-AMINE", 9953 },
	{ "97A", "", "", ResidueType::NON_POLYMER, false, "4-[(2S,3S)-2-ethyl-3-hydroxy-5-oxopyrrolidin-1-yl]-2-(trifluoromethyl)benzonitrile", 9954 },
	{ "97B", "", "", ResidueType::NON_POLYMER, false, "9-chloro-7-(2,6-difluorophenyl)-N-{4-[(4-methylpiperazin-1-yl)carbonyl]phenyl}-5H-pyrimido[5,4-d][2]benzazepin-2-amine", 9955 },
	{ "97E", "", "", ResidueType::NON_POLYMER, false, "1-[4-[4-(2-chlorophenyl)-5-pyrimidin-4-yl-1,2,4-triazol-3-yl]phenyl]-2-oxidanylidene-3~{H}-benzimidazole-5-carbonitrile", 9956 },
	{ "97H", "", "", ResidueType::NON_POLYMER, false, "2-(3-aminophenyl)-3~{H}-quinazolin-4-one", 9957 },
	{ "97K", "", "", ResidueType::NON_POLYMER, false, "2-(2~{H}-indazol-5-yl)-3~{H}-quinazolin-4-one", 9958 },
	{ "97M", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,3-dihydroxypropyl (9Z)-hexadec-9-enoate", 9959 },
	{ "97N", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,3-dihydroxypropyl (9Z)-hexadec-9-enoate", 9960 },
	{ "97V", "", "", ResidueType::NON_POLYMER, false, "4-{[(4-cyclohexylphenyl){[3-(methylsulfonyl)phenyl]carbamoyl}amino]methyl}-N-(1H-tetrazol-5-yl)benzamide", 9961 },
	{ "97Y", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(R)-(3,3-dimethylcyclobutyl)({6-[4-(trifluoromethyl)-1H-imidazol-1-yl]pyridin-3-yl}amino)methyl]benzene-1-carbonyl}-beta-alanine", 9962 },
	{ "97Z", "", "", ResidueType::NON_POLYMER, false, "2-[4-morpholin-4-yl]-3,4-dihydroquinazolin-4-one", 9963 },
	{ "98", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-methyl-1,3,4,5-tetrahydro-2H-1,5-benzodiazepin-2-one", 9964 },
	{ "980", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-(4-{[2-(2-aminopyrimidin-5-yl)-7-methyl-4-(morpholin-4-yl)thieno[3,2-d]pyrimidin-6-yl]methyl}piperazin-1-yl)-2-hydroxypropan-1-one", 9965 },
	{ "981", "", "", ResidueType::NON_POLYMER, false, "6-(2,4-dichlorophenyl)-8-ethyl-2-{[3-fluoro-4-(piperazin-1-yl)phenyl]amino}pyrido[2,3-d]pyrimidin-7(8H)-one", 9966 },
	{ "982", "", "", ResidueType::NON_POLYMER, false, "3-(CARBOXYMETHOXY)THIENO[2,3-B]PYRIDINE-2-CARBOXYLIC ACID", 9967 },
	{ "983", "", "", ResidueType::NON_POLYMER, false, "(5S,9R,10R,12S)-12-[3-(AMINOMETHYL)PHENYL]-5-BENZYL-10-HYDROXY-9-ISOPROPYL-3-OXO-1-PHENYL-2-OXA-7-THIA-4,8-DIAZA-10-PHOSPHATRIDECAN-13-OIC ACID 7,7,10-TRIOXIDE", 9968 },
	{ "984", "", "", ResidueType::NON_POLYMER, false, "CYCLOPROPYL-{4-[5-(3,4-DICHLOROPHENYL)-2-[(1-METHYL)-PIPERIDIN]-4-YL-3-PROPYL-3H-IMIDAZOL-4-YL]-PYRIMIDIN-2-YL}AMINE", 9969 },
	{ "985", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-{3-[6-(4-methyl-1,4-diazepan-1-yl)pyrazin-2-yl]phenyl}prop-2-enoic acid", 9970 },
	{ "987", "", "", ResidueType::NON_POLYMER, false, "N-[(3S)-1-{(2S)-1-[(3S)-3-aminopiperidin-1-yl]-1-oxopropan-2-yl}-2-oxopyrrolidin-3-yl]-6-chloronaphthalene-2-sulfonamide", 9971 },
	{ "988", "", "", ResidueType::NON_POLYMER, false, "8-(3-nitrophenyl)-6-(pyridin-4-ylmethyl)quinoline", 9972 },
	{ "989", "", "", ResidueType::NON_POLYMER, false, "2-{[4-(2-ACETYLAMINO-2-PENTYLCARBAMOYL-ETHYL)-NAPHTHALEN-1-YL]-OXALYL-AMINO}-BENZOIC ACID", 9973 },
	{ "98B", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-phenylethanamine", 9974 },
	{ "98D", "", "", ResidueType::NON_POLYMER, false, "1-{6-[(1S)-1-hydroxyethyl]pyridin-2-yl}-6-{[4-(4-methylpiperazin-1-yl)phenyl]amino}-2-(prop-2-en-1-yl)-1,2-dihydro-3H-pyrazolo[3,4-d]pyrimidin-3-one", 9975 },
	{ "98E", "", "", ResidueType::NON_POLYMER, false, "(S)-N-(5-chloro-3-((4-(cyclopentanecarbonyl)-3-methylpiperazin-1-yl)methyl)-2-methylphenyl)-2-methylpyrimidine-5-carboxamide", 9976 },
	{ "98G", "", "", ResidueType::NON_POLYMER, false, "1-{6-[(1R)-1-hydroxyethyl]pyridin-2-yl}-6-{[4-(4-methylpiperazin-1-yl)phenyl]amino}-2-(prop-2-en-1-yl)-1,2-dihydro-3H-pyrazolo[3,4-d]pyrimidin-3-one", 9977 },
	{ "98H", "", "", ResidueType::NON_POLYMER, false, "(5R,10S,13R,14R,17R)-17-((R,E)-7-hydroxy-6-methylhept-5-en-2-yl)-4,4,10,13,14-pentamethyl-1,2,5,6,10,11,12,13,14,15,16,17-dodecahydro-3H-cyclopenta[a]phenanthrene-3,7(4H)-dione", 9978 },
	{ "98J", "", "", ResidueType::NON_POLYMER, false, "5-HYDROXY-3-OXOPENTANOIC ACID", 9979 },
	{ "98M", "", "", ResidueType::NON_POLYMER, false, "6-{[3-chloro-4-(4-methylpiperazin-1-yl)phenyl]amino}-1-[6-(2-hydroxypropan-2-yl)pyridin-2-yl]-2-(prop-2-en-1-yl)-1,2-dihydro-3H-pyrazolo[3,4-d]pyrimidin-3-one", 9980 },
	{ "98N", "", "", ResidueType::NON_POLYMER, false, "(S)-N-((5-(ethylsulfonyl)pyridin-2-yl)methyl)-7-isopropyl-6-(((1r,4S)-4-(trifluoromethyl)cyclohexyl)methyl)-6,7-dihydro-5H-pyrrolo[3,4-b]pyridine-3-carboxamide", 9981 },
	{ "98P", "", "", ResidueType::PEPTIDE_LIKE, false, "D-phenylalanyl-N-[(4-chloro-1-methylpyridinium-3-yl)methyl]-L-prolinamide", 9982 },
	{ "990", "", "", ResidueType::NON_POLYMER, false, "(7R)-2-amino-7-[4-fluoro-2-(6-methoxypyridin-2-yl)phenyl]-4-methyl-7,8-dihydropyrido[4,3-d]pyrimidin-5(6H)-one", 9983 },
	{ "991", "", "", ResidueType::NON_POLYMER, false, "2-{5-[AMINO(IMINIO)METHYL]-6-CHLORO-1H-INDOL-2-YL}-6-(CYCLOPENTYLOXY)BENZENOLATE", 9984 },
	{ "992", "", "", ResidueType::NON_POLYMER, false, "5-[[6-chloranyl-5-(1-methylindol-5-yl)-1H-benzimidazol-2-yl]oxy]-2-methyl-benzoic acid", 9985 },
	{ "993", "", "", ResidueType::NON_POLYMER, false, "3-CHLORO-4-(2-METHYLAMINO-IMIDAZOL-1-YLMETHYL)-THIOPHENE-2-CARBOXYLIC ACID [4-CHLORO-2-(5-CHLORO-PYRIDIN-2-YLCARBAMOYL)-6-METHOXY-PHENYL]-AMIDE", 9986 },
	{ "994", "", "", ResidueType::NON_POLYMER, false, "4-(2-anilinopyridin-3-yl)-N-(3,4,5-trimethoxyphenyl)-1,3,5-triazin-2-amine", 9987 },
	{ "995", "", "", ResidueType::NON_POLYMER, false, "4-METHYL-PENTANOIC ACID {1-[4-GUANIDINO-1-(THIAZOLE-2-CARBONYL)-BUTYLCARBAMOYL]-2-METHYL-PROPYL}-AMIDE", 9988 },
	{ "996", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3R)-4-{[(4S)-2-(2,2-dimethylpropyl)-6,6-dimethyl-4,5,6,7-tetrahydro-2H-indazol-4-yl]amino}-3-hydroxy-1-phenylbutan-2-yl]acetamide", 9989 },
	{ "997", "", "", ResidueType::NON_POLYMER, false, "1-[3,3-DIMETHYL-2-(2-METHYLAMINO-PROPIONYLAMINO)-BUTYRYL]-4-PHENOXY-PYRROLIDINE-2-CARBOXYLIC ACID(1,2,3,4-TETRAHYDRO-NAPHTHALEN-1-YL)-AMIDE", 9990 },
	{ "998", "", "", ResidueType::NON_POLYMER, false, "N-METHYLALANYL-3-METHYLVALYL-N-(1,2,3,4-TETRAHYDRONAPHTHALEN-1-YL)PROLINAMIDE", 9991 },
	{ "999", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3-hydroxy-D-aspartic acid", 9992 },
	{ "99A", "", "", ResidueType::NON_POLYMER, false, "N-{(3-endo)-8-[5-(benzylcarbamoyl)pyridin-2-yl]-8-azabicyclo[3.2.1]oct-3-yl}-2,5-dimethylbenzene-1,4-dicarboxamide", 9993 },
	{ "99B", "", "", ResidueType::NON_POLYMER, false, "5-[(2R)-butan-2-ylamino]-N-{(3-endo)-8-[5-(cyclopropylcarbonyl)pyridin-2-yl]-8-azabicyclo[3.2.1]oct-3-yl}-2-methylbenzene-1,4-dicarboxamide", 9994 },
	{ "99E", "", "", ResidueType::NON_POLYMER, false, "~{N}-[[2,8-bis(oxidanyl)naphthalen-1-yl]methyl]-4-ethanoyl-3-ethyl-5-methyl-1~{H}-pyrrole-2-carboxamide", 9995 },
	{ "99J", "", "", ResidueType::NON_POLYMER, false, "6-{[4-(4-methylpiperazin-1-yl)phenyl]amino}-2-(prop-2-en-1-yl)-1-{6-[(1S)-2,2,2-trifluoro-1-hydroxyethyl]pyridin-2-yl}-1,2-dihydro-3H-pyrazolo[3,4-d]pyrimidin-3-one", 9996 },
	{ "99K", "", "", ResidueType::NON_POLYMER, false, "3-chloranyl-~{N}-(3-nitropyridin-2-yl)-5-(trifluoromethyl)pyridin-2-amine", 9997 },
	{ "99M", "", "", ResidueType::NON_POLYMER, false, "1-[6-(2-hydroxypropan-2-yl)pyridin-2-yl]-6-{[4-(morpholin-4-yl)phenyl]amino}-2-(prop-2-en-1-yl)-1,2-dihydro-3H-pyrazolo[3,4-d]pyrimidin-3-one", 9998 },
	{ "99N", "", "", ResidueType::NON_POLYMER, false, "", 9999 },
	{ "99P", "", "", ResidueType::PEPTIDE_LIKE, false, "D-phenylalanyl-N-(pyridin-3-ylmethyl)-L-prolinamide", 10000 },
	{ "99S", "", "", ResidueType::NON_POLYMER, false, "methyl 5-{3-[(4S)-6-amino-5-cyano-3-methyl-4-(propan-2-yl)-2,4-dihydropyrano[2,3-c]pyrazol-4-yl]-5-cyanophenyl}thiophene-2-carboxylate", 10001 },
	{ "99T", "", "", ResidueType::NON_POLYMER, false, "L-gamma-glutamyl-S-(2-carboxyethyl)-L-cysteinylglycine", 10002 },
	{ "99V", "", "", ResidueType::NON_POLYMER, false, "6-{[3-fluoro-4-(4-methylpiperazin-1-yl)phenyl]amino}-1-[6-(2-hydroxypropan-2-yl)pyridin-2-yl]-2-(prop-2-en-1-yl)-1,2-dihydro-3H-pyrazolo[3,4-d]pyrimidin-3-one", 10003 },
	{ "99Y", "", "", ResidueType::PEPTIDE_LINKING, false, "4-carboxy-D-phenylalanine", 10004 },
	{ "99Z", "", "", ResidueType::NON_POLYMER, false, "4-{[4-amino-5-(2-methylbenzoyl)-1,3-thiazol-2-yl]amino}benzenesulfonamide", 10005 },
	{ "9A3", "", "", ResidueType::NON_POLYMER, false, "(2S)-8-benzyl-2-hydroperoxy-6-(4-hydroxyphenyl)-2-{[4-(trifluoromethyl)phenyl]methyl}imidazo[1,2-a]pyrazin-3(2H)-one", 10006 },
	{ "9A4", "", "", ResidueType::NON_POLYMER, false, "(2Z)-but-2-en-1-ol", 10007 },
	{ "9A5", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-azanyl-~{N}-[6-[(6-chloranyl-1,2,3,4-tetrahydroacridin-9-yl)amino]hexyl]-3-(1~{H}-indol-3-yl)propanamide", 10008 },
	{ "9A7", "", "", ResidueType::NON_POLYMER, false, "(2E)-but-2-en-1-ol", 10009 },
	{ "9A8", "", "", ResidueType::NON_POLYMER, false, "2-(4-propan-2-yloxyphenyl)-3~{H}-quinazolin-4-one", 10010 },
	{ "9AA", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-[(2,4-dimethoxyphenyl)methyl]-5-hydroxy-2-sulfanylideneimidazolidin-4-one", 10011 },
	{ "9AC", "", "", ResidueType::NON_POLYMER, false, "9-ACRIDINECARBONYL", 10012 },
	{ "9AD", "", "", ResidueType::NON_POLYMER, false, "9-AMINO-(N-(2-DIMETHYLAMINO)ETHYL)ACRIDINE-4-CARBOXAMIDE", 10013 },
	{ "9AE", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-6-methyl-~{N}-propan-2-yl-heptan-2-amine", 10014 },
	{ "9AF", "", "", ResidueType::NON_POLYMER, false, "dimethyl 4-{3-[({3-[4-(3-methoxyphenyl)piperidin-1-yl]propyl}carbamoyl)amino]phenyl}-2,6-dimethyl-1,4-dihydropyridine-3,5-dicarboxylate", 10015 },
	{ "9AG", "", "", ResidueType::NON_POLYMER, false, "N-methyl-1-(4-phenoxyphenyl)methanamine", 10016 },
	{ "9AH", "", "", ResidueType::NON_POLYMER, false, "4-(dipropylamino)butanenitrile", 10017 },
	{ "9AI", "", "", ResidueType::NON_POLYMER, false, "N-prop-2-en-1-ylthioformamide", 10018 },
	{ "9AJ", "", "", ResidueType::NON_POLYMER, false, "", 10019 },
	{ "9AK", "", "", ResidueType::NON_POLYMER, false, "N1-(2-hydroxyethyl)-2-methyl-1,2-propanediamine", 10020 },
	{ "9AL", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S,3S)-3-amino-2-hydroxy-N-[(1R)-1-phenylpropyl]butanamide", 10021 },
	{ "9AM", "", "", ResidueType::NON_POLYMER, false, "9-AMINO-2-DEOXY-2,3-DEHYDRO-N-ACETYL-NEURAMINIC ACID", 10022 },
	{ "9AN", "", "", ResidueType::NON_POLYMER, false, "2-(3-hydroxyphenyl)-3~{H}-quinazolin-4-one", 10023 },
	{ "9AO", "", "", ResidueType::NON_POLYMER, false, "N~2~-(diphenylacetyl)-N-[(4-hydroxyphenyl)methyl]-N~5~-(N'-{[2-(propanoylamino)ethyl]carbamoyl}carbamimidoyl)-D-ornithinamide", 10024 },
	{ "9AP", "", "", ResidueType::NON_POLYMER, false, "9-AMINOPHENANTHRENE", 10025 },
	{ "9AQ", "", "", ResidueType::NON_POLYMER, false, "2-(4-ethoxyphenyl)-3~{H}-quinazolin-4-one", 10026 },
	{ "9AR", "", "", ResidueType::NON_POLYMER, false, "9-HYDROXY ARISTOLOCHIC ACID", 10027 },
	{ "9AT", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,3R)-2-amino-3-hydroxy-butanamide", 10028 },
	{ "9AW", "", "", ResidueType::NON_POLYMER, false, "2-(4-pyridin-2-ylphenyl)-3~{H}-quinazolin-4-one", 10029 },
	{ "9AX", "TIP", "", ResidueType::NON_POLYMER, false, "(2E)-3-methyl-5-[(1R,2S,8aS)-1,2,5,5-tetramethyl-1,2,3,5,6,7,8,8a-octahydronaphthalen-1-yl]pent-2-en-1-yl trihydrogen diphosphate", 10030 },
	{ "9AY", "", "", ResidueType::NON_POLYMER, false, "4-methylbenzene-1,2-diamine", 10031 },
	{ "9AZ", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[1-amino-8-(hydroxymethyl)-9-oxo-9,11-dihydroindolizino[1,2-b]quinolin-7-yl]-2-hydroxybutanoic acid", 10032 },
	{ "9B0", "", "", ResidueType::NON_POLYMER, false, "", 10033 },
	{ "9B1", "", "", ResidueType::NON_POLYMER, false, "2-[2-(hydroxymethyl)-3-{1-methyl-6-oxo-5-[(pyrimidin-4-yl)amino]-1,6-dihydropyridin-3-yl}phenyl]-6,6-dimethyl-3,4,6,7-tetrahydro-2H-cyclopenta[4,5]thieno[2,3-c]pyridin-1(5H)-one", 10034 },
	{ "9B2", "", "", ResidueType::NON_POLYMER, false, "2-(4-piperidin-1-ylphenyl)-3~{H}-quinazolin-4-one", 10035 },
	{ "9B4", "", "", ResidueType::NON_POLYMER, false, "(2R,5R,13R,16R)-9-(hydroxymethyl)-9-{[(2R)-2-hydroxypropoxy]methyl}-5,13-dimethyl-4,7,11,14-tetraoxaheptadecane-2,16-diol", 10036 },
	{ "9B5", "", "", ResidueType::NON_POLYMER, false, "(2~{S},4~{R})-1-[(2~{S})-2-acetamidopropanoyl]-~{N}-[[4-(4-methyl-1,3-thiazol-5-yl)phenyl]methyl]-4-oxidanyl-pyrrolidine-2-carboxamide", 10037 },
	{ "9B6", "", "", ResidueType::NON_POLYMER, false, "7-(3,5-dimethylisoxazol-4-yl)-8-methoxy-1-(2-(trifluoromethoxy)phenyl)-1h-imidazo[4,5-c][1,5]naphthyridin-2(3h)-one", 10038 },
	{ "9B7", "", "", ResidueType::NON_POLYMER, false, "3',3'-cdIMP", 10039 },
	{ "9B8", "", "", ResidueType::NON_POLYMER, false, "(2~{S},4~{R})-1-[(2~{S})-3,3-dimethyl-2-(oxetan-3-ylcarbonylamino)butanoyl]-~{N}-[[4-(4-methyl-1,3-thiazol-5-yl)phenyl]methyl]-4-oxidanyl-pyrrolidine-2-carboxamide", 10040 },
	{ "9BA", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{(3R,6S,9S,12R)-6-ethyl-12-methyl-9-[3-(N'-methylcarbamimidamido)propyl]-2,5,8,11-tetraoxo-3-phenyl-1,4,7,10-tetraazacyclotetradecan-12-yl}-2-methylpropanamide", 10041 },
	{ "9BB", "", "", ResidueType::PEPTIDE_LIKE, false, "trans-4-({[(E)-1-amino-2-sulfanylethenyl]carbamoyl}oxy)cyclohexanecarboxylic acid", 10042 },
	{ "9BD", "", "", ResidueType::NON_POLYMER, false, "2-(1H-imidazol-1-yl)-9-methoxy-8-(2-methoxyethoxy)benzo[c][2,7]naphthyridin-4-amine", 10043 },
	{ "9BE", "", "", ResidueType::NON_POLYMER, false, "N-benzylthioformamide", 10044 },
	{ "9BG", "", "", ResidueType::NON_POLYMER, false, "2',5'-GpAp", 10045 },
	{ "9BH", "", "", ResidueType::NON_POLYMER, false, "(2~{S},4~{R})-1-[(2~{S})-2-(cyclobutylcarbonylamino)-3,3-dimethyl-butanoyl]-~{N}-[[4-(4-methyl-1,3-thiazol-5-yl)phenyl]methyl]-4-oxidanyl-pyrrolidine-2-carboxamide", 10046 },
	{ "9BJ", "", "", ResidueType::NON_POLYMER, false, "3',3'-cdUMP", 10047 },
	{ "9BK", "", "", ResidueType::NON_POLYMER, false, "(2~{S},4~{R})-1-[(2~{S})-2-[(1-acetamidocyclopropyl)carbonylamino]-3,3-dimethyl-butanoyl]-~{N}-[[4-(4-methyl-1,3-thiazol-5-yl)phenyl]methyl]-4-oxidanyl-pyrrolidine-2-carboxamide", 10048 },
	{ "9BM", "", "", ResidueType::NON_POLYMER, false, "4-((2-(tert-butyl)phenyl)amino)-7-(3,5-dimethylisoxazol-4-yl)-6-methoxy-1,5-naphthyridine-3-carboxylic acid", 10049 },
	{ "9BN", "", "", ResidueType::NON_POLYMER, false, "(2~{S},4~{R})-1-[(2~{S})-2-[(1-ethanoylcyclopropyl)carbonylamino]-3,3-dimethyl-butanoyl]-~{N}-[[4-(4-methyl-1,3-thiazol-5-yl)phenyl]methyl]-4-oxidanyl-pyrrolidine-2-carboxamide", 10050 },
	{ "9BP", "", "", ResidueType::PEPTIDE_LINKING, false, "4-amino-N-(2-methylpropanoyl)-D-isovaline", 10051 },
	{ "9BS", "", "", ResidueType::NON_POLYMER, false, "2-(pyridin-2-yl)pyrimidine", 10052 },
	{ "9BT", "", "", ResidueType::NON_POLYMER, false, "(2~{S},4~{R})-1-[(2~{S})-3,3-dimethyl-2-(2-oxidanylethanoylamino)butanoyl]-~{N}-[[4-(4-methyl-1,3-thiazol-5-yl)phenyl]methyl]-4-oxidanyl-pyrrolidine-2-carboxamide", 10053 },
	{ "9BV", "", "", ResidueType::NON_POLYMER, false, "tetrazolo[5,1-b]quinazolin-9-ol", 10054 },
	{ "9BW", "", "", ResidueType::NON_POLYMER, false, "(2~{S},4~{R})-1-[(2~{S})-2-(cyclopropylcarbonylamino)-3,3-dimethyl-butanoyl]-~{N}-[[4-(4-methyl-1,3-thiazol-5-yl)phenyl]methyl]-4-oxidanyl-pyrrolidine-2-carboxamide", 10055 },
	{ "9BY", "", "", ResidueType::NON_POLYMER, false, "[2-(1,3-thiazol-4-yl)-1H-benzimidazol-1-yl]acetic acid", 10056 },
	{ "9BZ", "", "", ResidueType::NON_POLYMER, false, "(3~{R},5~{R},7~{a}~{S})-2,2-dimethyl-5-(sulfanylmethyl)-3,5,7,7~{a}-tetrahydro-[1,3]thiazolo[4,3-b][1,3]thiazole-3-carboxylic acid", 10057 },
	{ "9C1", "", "", ResidueType::NON_POLYMER, false, "2-{[(2E)-4-chlorobut-2-enoyl]amino}-2-deoxy-beta-D-glucopyranose", 10058 },
	{ "9C2", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{R},4~{S})-5-diazanyl-2,3,4-tris(oxidanyl)-5-oxidanylidene-pentyl] dihydrogen phosphate", 10059 },
	{ "9C4", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-HYDROXY-3-EPIQUINIC ACID", 10060 },
	{ "9C5", "", "", ResidueType::NON_POLYMER, false, "2-[4-[2-hydroxyethyl(methyl)amino]phenyl]-3~{H}-quinazolin-4-one", 10061 },
	{ "9C8", "", "", ResidueType::NON_POLYMER, false, "2-[4-(diethylamino)phenyl]-3~{H}-quinazolin-4-one", 10062 },
	{ "9CA", "", "", ResidueType::NON_POLYMER, false, "9H-CARBAZOLE", 10063 },
	{ "9CB", "", "", ResidueType::NON_POLYMER, false, "7-chloranyl-2-[4-[2-hydroxyethyl(methyl)amino]phenyl]-3~{H}-quinazolin-4-one", 10064 },
	{ "9CD", "", "", ResidueType::NON_POLYMER, false, "2-{[(2E)-but-2-enoyl]amino}-2-deoxy-beta-D-glucopyranose", 10065 },
	{ "9CE", "", "", ResidueType::NON_POLYMER, false, "2-(2-aminophenyl)-3~{H}-quinazolin-4-one", 10066 },
	{ "9CG", "", "", ResidueType::NON_POLYMER, false, "1H,3H-naphtho[1,8-cd]pyran-1-one", 10067 },
	{ "9CH", "", "", ResidueType::NON_POLYMER, false, "7-[[5-(3,4-dichlorophenyl)-1,3,4-oxadiazol-2-yl]methyl]-1,3-dimethyl-8-piperazin-1-yl-purine-2,6-dione", 10068 },
	{ "9CJ", "", "", ResidueType::NON_POLYMER, false, "2-[5-[2-(3-methoxyphenyl)ethanoylamino]-2-oxidanyl-phenyl]pyridine-4-carboxylic acid", 10069 },
	{ "9CK", "", "", ResidueType::NON_POLYMER, false, "1-[(4-aminophenyl)methyl]-3-[2-[2-(2-bromophenyl)pyrazolidin-1-yl]-2-oxidanylidene-ethyl]urea", 10070 },
	{ "9CL", "", "", ResidueType::NON_POLYMER, false, "(chloromethyl)benzene", 10071 },
	{ "9CM", "", "", ResidueType::NON_POLYMER, false, "(2S,5R)-4-methyl-7-oxo-6-(sulfooxy)-1,6-diazabicyclo[3.2.1]oct-3-ene-2-carboxamide", 10072 },
	{ "9CP", "", "", ResidueType::NON_POLYMER, false, "(2S,5R)-1-formyl-4-methyl-5-[(sulfooxy)amino]-1,2,5,6-tetrahydropyridine-2-carboxamide", 10073 },
	{ "9CQ", "", "", ResidueType::NON_POLYMER, false, "2-[4-(2-AMINOQUINAZOLIN-4-YL)PHENYL]-N,N-DIMETHYL-ACETAMIDE", 10074 },
	{ "9CR", "", "", ResidueType::NON_POLYMER, false, "(9cis)-retinoic acid", 10075 },
	{ "9CS", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3S,4R,6S)-4,6-DIAMINO-3-[(3-AMINO-3-DEOXY-ALPHA-D-GLUCOPYRANOSYL)OXY]-2-HYDROXYCYCLOHEXYL 2,6-DIAMINO-2,6-DIDEOXY-ALPHA-D-GLUCOPYRANOSIDE", 10076 },
	{ "9CT", "", "", ResidueType::NON_POLYMER, false, "~{N}-[3-[2-(3,5-dimethoxyphenyl)ethyl]-1~{H}-pyrazol-5-yl]-2-(propanoylamino)benzamide", 10077 },
	{ "9CV", "", "", ResidueType::NON_POLYMER, false, "5-[(4-fluoranyl-3-phenoxy-phenyl)methylamino]-~{N}-methyl-6-[(1-pyridin-2-ylpiperidin-4-yl)amino]pyridine-3-carboxamide", 10078 },
	{ "9CW", "", "", ResidueType::NON_POLYMER, false, "", 10079 },
	{ "9CY", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-1-hydroxy-3-phenylpropan-2-yl]-4-(pyridin-4-yl)benzamide", 10080 },
	{ "9CZ", "", "", ResidueType::NON_POLYMER, false, "", 10081 },
	{ "9D1", "", "", ResidueType::NON_POLYMER, false, "3-({[6-(pyridin-4-yl)-1,3-benzothiazol-2-yl][2-(pyrrolidin-1-yl)ethyl]amino}methyl)phenol", 10082 },
	{ "9D2", "", "", ResidueType::NON_POLYMER, false, "2-ethyl-2-(hydroxymethyl)propane-1,3-diol", 10083 },
	{ "9D4", "", "", ResidueType::NON_POLYMER, false, "N-[(3-fluorophenyl)methyl]-6-(pyridin-4-yl)-1,3-benzothiazol-2-amine", 10084 },
	{ "9D5", "", "", ResidueType::NON_POLYMER, false, "2-[4-[2-hydroxyethyl(methyl)amino]phenyl]-2,3-dihydro-1~{H}-quinazolin-4-one", 10085 },
	{ "9D7", "", "", ResidueType::NON_POLYMER, false, "[4-(15-phenylporphyrin-5-yl-kappa~4~N~21~,N~22~,N~23~,N~24~)benzoato(2-)]zinc", 10086 },
	{ "9D8", "", "", ResidueType::NON_POLYMER, false, "4-[(3-chlorophenyl)sulfamoyl]-~{N}-(phenylmethyl)-~{N}-propyl-benzamide", 10087 },
	{ "9D9", "", "", ResidueType::NON_POLYMER, false, "[5-(2-amino-4-oxo-4,5-dihydro-3H-pyrrolo[3,2-d]pyrimidin-7-yl)-1,1-difluoropentyl]phosphonic acid", 10088 },
	{ "9DA", "", "", ResidueType::NON_POLYMER, false, "9-DEAZAADENINE", 10089 },
	{ "9DB", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-azanyl-2-cyclohexyl-~{N}-[2-(1-methylpyrazol-4-yl)-9-oxidanylidene-3,10,11-triazatricyclo[6.4.1.0^{4,13}]trideca-1,4,6,8(13),11-pentaen-6-yl]ethanamide", 10090 },
	{ "9DE", "", "", ResidueType::NON_POLYMER, false, "4-[(4-bromophenyl)sulfonylamino]benzenesulfonamide", 10091 },
	{ "9DG", "", "", ResidueType::NON_POLYMER, false, "9-DEAZAGUANINE", 10092 },
	{ "9DH", "", "", ResidueType::NON_POLYMER, false, "2-[methyl(phenyl)amino]-~{N}-(4-sulfamoylphenyl)ethanamide", 10093 },
	{ "9DI", "", "", ResidueType::NON_POLYMER, false, "9-DEAZAINOSINE", 10094 },
	{ "9DJ", "", "", ResidueType::NON_POLYMER, false, "3-[({(1R)-6-[methyl(phenyl)amino]-1,2,3,4-tetrahydronaphthalen-1-yl}methyl)amino]pyridine-4-carboxylic acid", 10095 },
	{ "9DK", "", "", ResidueType::NON_POLYMER, false, "3-[2-(1~{H}-imidazol-4-yl)ethylamino]-2,2-dimethyl-3-oxidanylidene-propanoic acid", 10096 },
	{ "9DN", "", "", ResidueType::PEPTIDE_LINKING, false, "DANSYL-L-ASPARAGINE", 10097 },
	{ "9DP", "", "", ResidueType::NON_POLYMER, false, "(3S)-6-(3-tert-butyl-5-{[(2,3-dichlorophenyl)carbamoyl]amino}-1H-pyrazol-1-yl)-1,2,3,4-tetrahydroisoquinoline-3-carboxylic acid", 10098 },
	{ "9DQ", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-azanyl-3-(1~{H}-1,2,3,4-tetrazol-5-yl)propanoic acid", 10099 },
	{ "9DR", "", "", ResidueType::NON_POLYMER, false, "6-ethyl-5-{3-[3-methoxy-5-(pyridin-4-yl)phenyl]prop-1-yn-1-yl}pyrimidine-2,4-diamine", 10100 },
	{ "9DS", "", "", ResidueType::PEPTIDE_LINKING, false, "DANSYL-L-SARCOSINE", 10101 },
	{ "9DT", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-azanyl-3-(2-fluorophenyl)-2-methyl-propanoic acid", 10102 },
	{ "9DW", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-azanyl-3-[4-(2-ethyl-4-methoxy-phenyl)phenyl]propanoic acid", 10103 },
	{ "9DX", "", "", ResidueType::NON_POLYMER, false, "(2R,3aR,7R,7aR)-2-[(2S)-2-amino-3-hydroxy-3-oxo-propyl]-7-hydroxy-3,3a,5,6,7,7a-hexahydrofuro[4,5-b]pyran-2-carboxylic acid", 10104 },
	{ "9DZ", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-azanyl-5-(3,5-dimethylphenyl)pentanamide", 10105 },
	{ "9E1", "", "", ResidueType::NON_POLYMER, false, "2-methoxy-N-{6-[4-(propan-2-yl)-4H-1,2,4-triazol-3-yl]pyridin-2-yl}-5-sulfamoylbenzamide", 10106 },
	{ "9E2", "", "", ResidueType::NON_POLYMER, false, "2-(4-chloranyl-5-methyl-3-nitro-pyrazol-1-yl)-~{N}-(4-sulfamoylphenyl)ethanamide", 10107 },
	{ "9E4", "", "", ResidueType::NON_POLYMER, false, "4-methoxy-N~1~-methyl-N~3~-{6-[4-(propan-2-yl)-4H-1,2,4-triazol-3-yl]pyridin-2-yl}benzene-1,3-dicarboxamide", 10108 },
	{ "9E5", "", "", ResidueType::NON_POLYMER, false, "3,6,7-trimethyl-~{N}-[(4-sulfamoylphenyl)methyl]-1-benzofuran-2-carboxamide", 10109 },
	{ "9E7", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-(sulfanylmethyl)-L-lysine", 10110 },
	{ "9E8", "", "", ResidueType::NON_POLYMER, false, "1-(4-chlorophenyl)-3-[2-(4-sulfamoylphenyl)ethyl]urea", 10111 },
	{ "9EA", "", "", ResidueType::NON_POLYMER, false, "7-(3-{[4-(4-acetylpiperazin-1-yl)phenoxy]methyl}-1,5-dimethyl-1H-pyrazol-4-yl)-3-{3-[(naphthalen-1-yl)oxy]propyl}-1-[(pyridin-3-yl)methyl]-1H-indole-2-carboxylic acid", 10112 },
	{ "9EB", "", "", ResidueType::NON_POLYMER, false, "4-chloranyl-~{N}-[(1~{R})-1-(2-hydroxyphenyl)ethyl]-3-sulfamoyl-benzamide", 10113 },
	{ "9EG", "", "", ResidueType::NON_POLYMER, false, "N-(4-chlorophenyl)-N'-(3,4-dichlorophenyl)urea", 10114 },
	{ "9EJ", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-2-(diethylamino)propyl]-2-[(2S)-2-(methylcarbamoyl)azetidin-1-yl]-6-[5-(thiophen-2-yl)pyrazolo[1,5-a]pyrimidin-3-yl]pyridine-4-carboxamide", 10115 },
	{ "9EK", "", "", ResidueType::NON_POLYMER, false, "~{N}-methyl-~{N}-(4-morpholin-4-ylphenyl)-6-oxidanyl-3-pyrrolidin-1-ylcarbonyl-2~{H}-indazole-5-carboxamide", 10116 },
	{ "9EM", "", "", ResidueType::NON_POLYMER, false, "4-acetyl-1-(3-{4-amino-5-[1-(2,2,2-trifluoroethyl)-1H-pyrazol-5-yl]pyrrolo[2,1-f][1,2,4]triazin-7-yl}phenyl)-3,3-dimethylpiperazin-2-one", 10117 },
	{ "9EN", "", "", ResidueType::NON_POLYMER, false, "~{N}-[[(5~{S})-3-(3-fluoranyl-4-thiomorpholin-4-yl-phenyl)-2-oxidanylidene-1,3-oxazolidin-5-yl]methyl]ethanamide", 10118 },
	{ "9EP", "", "", ResidueType::NON_POLYMER, false, "(2R)-5-[(acetyloxy)methyl]-2-{(1R)-2-oxo-1-[(thiophen-2-ylacetyl)amino]ethyl}-3,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 10119 },
	{ "9ES", "", "", ResidueType::NON_POLYMER, false, "N-{2-[(6-{[(2,6-dichloro-3,5-dimethoxyphenyl)carbamoyl](methyl)amino}pyrimidin-4-yl)amino]-5-(4-ethylpiperazin-1-yl)phenyl}propanamide", 10120 },
	{ "9ET", "", "", ResidueType::NON_POLYMER, false, "Murrayamine-I", 10121 },
	{ "9EV", "", "", ResidueType::PEPTIDE_LINKING, false, "6-[(2R)-2-{3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}-5-oxo-1,3-oxazolidin-3-yl]-L-norleucine", 10122 },
	{ "9EW", "", "", ResidueType::NON_POLYMER, false, "1,2-benzoxazol-3-ol", 10123 },
	{ "9EY", "", "", ResidueType::NON_POLYMER, false, "methyl [(7S)-7-({(2E)-3-[5-chloro-2-(1H-tetrazol-1-yl)phenyl]prop-2-enoyl}amino)-2-oxo-1,2,3,4,5,6,7,9-octahydro-11,8-(azeno)-1,9-benzodiazacyclotridecin-14-yl]carbamate", 10124 },
	{ "9EZ", "", "", ResidueType::NON_POLYMER, false, "2-methyl-5-phenyl-pyrazol-3-amine", 10125 },
	{ "9F1", "", "", ResidueType::NON_POLYMER, false, "methyl [(4R,5E,8S)-11-chloro-8-[(2,6-difluoro-4-methylbenzene-1-carbonyl)amino]-4-methyl-2-oxo-1,3,4,7,8,10-hexahydro-2H-12,9-(azeno)-1,10-benzodiazacyclotetradecin-15-yl]carbamate", 10126 },
	{ "9F2", "", "", ResidueType::NON_POLYMER, false, "Ceftriaxone", 10127 },
	{ "9F4", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3R)-2-[4-(5-fluoranylpyrimidin-2-yl)phenyl]-N-oxidanyl-3-phenyl-cyclopropane-1-carboxamide", 10128 },
	{ "9F5", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-oxidanyl-2-(3-phenoxyphenyl)ethanoic acid", 10129 },
	{ "9F7", "", "", ResidueType::NON_POLYMER, false, "methyl [(3R,7S)-7-({(2E)-3-[5-chloro-2-(1H-tetrazol-1-yl)phenyl]prop-2-enoyl}amino)-3-ethyl-2-oxo-1,2,3,4,5,6,7,9-octahydro-11,8-(azeno)-1,9-benzodiazacyclotridecin-14-yl]carbamate", 10130 },
	{ "9F8", "", "", ResidueType::NON_POLYMER, false, "3-(3-methylindol-1-yl)propanoic acid", 10131 },
	{ "9F9", "", "", ResidueType::NON_POLYMER, false, "N-[1,3-dimethyl-2-oxo-6-(piperidin-1-yl)-2,3-dihydro-1H-benzimidazol-5-yl]-2-methoxybenzamide", 10132 },
	{ "9FA", "", "", ResidueType::NON_POLYMER, false, "methyl [(4R,5E,8S)-8-({(2E)-3-[5-chloro-2-(1H-tetrazol-1-yl)phenyl]prop-2-enoyl}amino)-4-methyl-2-oxo-1,3,4,7,8,10-hexahydro-2H-12,9-(azeno)-1,10-benzodiazacyclotetradecin-15-yl]carbamate", 10133 },
	{ "9FD", "", "", ResidueType::NON_POLYMER, false, "methyl [(4S,8S)-8-({(2E)-3-[5-chloro-2-(1H-tetrazol-1-yl)phenyl]prop-2-enoyl}amino)-4-methyl-2-oxo-1,3,4,5,6,7,8,10-octahydro-2H-12,9-(azeno)-1,10-benzodiazacyclotetradecin-15-yl]carbamate", 10134 },
	{ "9FE", "", "", ResidueType::NON_POLYMER, false, "3-bromanyl-1~{H}-indazole-5-carboxylic acid", 10135 },
	{ "9FG", "", "", ResidueType::NON_POLYMER, false, "5-(2-fluoro-4-hydroxyphenyl)-1-methyl-1H-pyrrole-2-carbonitrile", 10136 },
	{ "9FH", "", "", ResidueType::NON_POLYMER, false, "5-methyl-1-phenyl-pyrazole-4-carboxylic acid", 10137 },
	{ "9FJ", "", "", ResidueType::NON_POLYMER, false, "3-({[(1R)-6-methoxy-1,2,3,4-tetrahydronaphthalen-1-yl]methyl}amino)pyridine-4-carboxylic acid", 10138 },
	{ "9FK", "", "", ResidueType::NON_POLYMER, false, "5-(1-naphthalen-1-yl-1,2,3-triazol-4-yl)thiophene-2-sulfonamide", 10139 },
	{ "9FL", "", "", ResidueType::NON_POLYMER, false, "9H-fluorene", 10140 },
	{ "9FM", "", "", ResidueType::NON_POLYMER, false, "N-{2-[2-(hexyloxy)ethoxy]ethyl}-N~2~-methyl-N~2~-{[7-(methylamino)-2,1,3-benzoxadiazol-4-yl]sulfonyl}glycinamide", 10141 },
	{ "9FN", "", "", ResidueType::NON_POLYMER, false, "2-(4-chloranyl-3-nitro-phenyl)carbonylbenzoic acid", 10142 },
	{ "9FQ", "", "", ResidueType::NON_POLYMER, false, "(3~{a}~{S},4~{R},5~{S},6~{R},7~{R},7~{a}~{R})-7-(hydroxymethyl)-2,2-bis(oxidanylidene)-3~{a},4,5,6,7,7~{a}-hexahydrobenzo[d][1,3,2]dioxathiole-4,5,6-triol", 10143 },
	{ "9FS", "", "", ResidueType::NON_POLYMER, false, "5-{5-[(1R,5S,6r)-3-(oxetan-3-yl)-3-azabicyclo[3.1.0]hexan-6-yl]-1-(propan-2-yl)-1H-pyrazol-3-yl}-3-(trifluoromethyl)pyridin-2-amine", 10144 },
	{ "9FV", "", "", ResidueType::NON_POLYMER, false, "5-{5-[1-(oxetan-3-yl)piperidin-4-yl]-1-(propan-2-yl)-1H-pyrazol-3-yl}-3-(trifluoromethyl)pyridin-2-amine", 10145 },
	{ "9FZ", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-azanyl-5-(4-methyl-1,2,3-triazol-1-yl)pentanoic acid", 10146 },
	{ "9G1", "", "", ResidueType::NON_POLYMER, false, "", 10147 },
	{ "9G2", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-azanyl-5-(4-ethyl-1,2,3-triazol-1-yl)pentanoic acid", 10148 },
	{ "9G4", "", "", ResidueType::NON_POLYMER, false, "1-{4-[(acetylamino)methyl]phenyl}-4-(4-chlorophenoxy)-6-oxo-1,6-dihydropyridazine-3-carboxamide", 10149 },
	{ "9G5", "", "", ResidueType::NON_POLYMER, false, "(3~{E})-5-chloranyl-3-[[5-[3-[(4-methyl-1,4-diazepan-1-yl)carbonyl]phenyl]furan-2-yl]methylidene]-1~{H}-indol-2-one", 10150 },
	{ "9G7", "", "", ResidueType::NON_POLYMER, false, "", 10151 },
	{ "9GA", "", "", ResidueType::NON_POLYMER, false, "N-{(1S)-2-hydroxy-2-methyl-1-[4-(trifluoromethoxy)phenyl]propyl}-6-methyl-5-(3-methyl-1H-1,2,4-triazol-1-yl)pyrazolo[1,5-a]pyrimidine-3-carboxamide", 10152 },
	{ "9GB", "", "", ResidueType::NON_POLYMER, false, "[(~{E})-3-methylhex-2-enyl] dihydrogen phosphate", 10153 },
	{ "9GD", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-4-[[[4-[(4-chlorophenyl)methyl-cyclopentyl-sulfamoyl]phenyl]sulfonyl-(piperidin-4-ylmethyl)amino]methyl]benzoic acid", 10154 },
	{ "9GE", "", "", ResidueType::NON_POLYMER, false, "(~{E})-13-methyltetradec-2-enoic acid", 10155 },
	{ "9GH", "", "", ResidueType::NON_POLYMER, false, "2-(diethylamino)-6-iodanyl-5-oxidanyl-7-pyrrol-1-yl-1,3-benzothiazole-4-carboxylic acid", 10156 },
	{ "9GJ", "", "", ResidueType::NON_POLYMER, false, "N-{(1S)-1-[3-fluoro-4-(trifluoromethoxy)phenyl]-2-methoxyethyl}-7-methoxy-2-oxo-2,3-dihydropyrido[2,3-b]pyrazine-4(1H)-carboxamide", 10157 },
	{ "9GK", "", "", ResidueType::NON_POLYMER, false, "3-iodanyl-2-oxidanyl-5-(2-phenylethoxy)-4-pyrrol-1-yl-benzoic acid", 10158 },
	{ "9GM", "", "", ResidueType::NON_POLYMER, false, "2-amino-9-{5-O-[(S)-hydroxy{[(R)-hydroxy(phosphonoamino)phosphoryl]oxy}phosphoryl]-alpha-L-xylofuranosyl}-1,9-dihydro-6H-purin-6-one", 10159 },
	{ "9GN", "", "", ResidueType::NON_POLYMER, false, "3-iodanyl-2-oxidanyl-5-propylsulfanyl-4-pyrrol-1-yl-benzoic acid", 10160 },
	{ "9GP", "", "", ResidueType::NON_POLYMER, false, "N-(hydroxyacetyl)-beta-D-glucopyranosylamine", 10161 },
	{ "9GQ", "", "", ResidueType::NON_POLYMER, false, "5-butoxy-3-iodanyl-2-oxidanyl-4-pyrrol-1-yl-benzoic acid", 10162 },
	{ "9GS", "", "", ResidueType::NON_POLYMER, false, "5'-(4-cyclopropyl-6-methoxypyrimidin-5-yl)-N-{[4-(ethylsulfonyl)phenyl]methyl}spiro[cyclopentane-1,3'-pyrrolo[3,2-b]pyridine]-1'(2'H)-carboxamide", 10163 },
	{ "9GT", "", "", ResidueType::NON_POLYMER, false, "3-iodanyl-2-oxidanyl-5-prop-2-enoxy-4-pyrrol-1-yl-benzoic acid", 10164 },
	{ "9GV", "", "", ResidueType::NON_POLYMER, false, "1-(4-fluorophenyl)-7-methoxy-N-{[4-(methylsulfamoyl)phenyl]methyl}-1H-pyrazolo[3,4-c]pyridine-4-carboxamide", 10165 },
	{ "9GW", "", "", ResidueType::NON_POLYMER, false, "3-iodanyl-2-oxidanyl-5-propoxy-4-pyrrol-1-yl-benzoic acid", 10166 },
	{ "9GY", "", "", ResidueType::NON_POLYMER, false, "3-[(2S)-1-acetyl-4-(furan-2-carbonyl)-2-methyl-1,2,3,4-tetrahydroquinoxalin-6-yl]-N-methylbenzamide", 10167 },
	{ "9GZ", "", "", ResidueType::NON_POLYMER, false, "5-(4-fluorophenyl)-3-iodanyl-2-oxidanyl-4-pyrrol-1-yl-benzoic acid", 10168 },
	{ "9H2", "", "", ResidueType::NON_POLYMER, false, "6-(hydroxymethyl)-2,4-bis(iodanyl)-3-pyrrol-1-yl-phenol", 10169 },
	{ "9H4", "", "", ResidueType::NON_POLYMER, false, "", 10170 },
	{ "9H5", "", "", ResidueType::NON_POLYMER, false, "[3,5-bis(iodanyl)-2-oxidanyl-4-pyrrol-1-yl-phenyl]-(4-methylpiperazin-1-yl)methanone", 10171 },
	{ "9H7", "", "", ResidueType::NON_POLYMER, false, "", 10172 },
	{ "9H8", "", "", ResidueType::NON_POLYMER, false, "1,1,1-tris(fluoranyl)-~{N}-[[(2~{S})-pyrrolidin-2-yl]methyl]methanesulfonamide", 10173 },
	{ "9HB", "", "", ResidueType::NON_POLYMER, false, "Dimethyl fumarate", 10174 },
	{ "9HC", "", "", ResidueType::NON_POLYMER, false, "[4-[3-(4-bromophenyl)-3-oxidanylidene-propyl]-6-methyl-5-oxidanyl-pyridin-3-yl]methyl phosphate", 10175 },
	{ "9HD", "", "", ResidueType::NON_POLYMER, false, "1-[(3R,5S,7R)-1,5,7,9-tetrakis(2-oxopyrrolidin-1-yl)nonan-3-yl]-1,3-dihydro-2H-pyrrol-2-one", 10176 },
	{ "9HE", "", "KS1", ResidueType::NON_POLYMER, true, "1-cyclopentyl-3-(1~{H}-pyrrolo[2,3-b]pyridin-5-yl)pyrazolo[3,4-d]pyrimidin-4-amine", 10177 },
	{ "9HG", "", "", ResidueType::NON_POLYMER, false, "N~2~-cyclopentyl-6,7-dimethoxy-N~2~-methyl-N~4~-(1-methylpiperidin-4-yl)quinazoline-2,4-diamine", 10178 },
	{ "9HH", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2-(9~{H}-carbazol-1-yl)phenyl]methanesulfonamide", 10179 },
	{ "9HI", "", "", ResidueType::NON_POLYMER, false, "(3R,5R)-7-{3-[(4-carbamoylphenyl)sulfamoyl]-4,5-bis(4-fluorophenyl)-2-(1-methylethyl)-1H-pyrrol-1-yl}-3,5-dihydroxyheptanoic acid", 10180 },
	{ "9HJ", "", "", ResidueType::NON_POLYMER, false, "6,7-dimethoxy-N~2~-methyl-N~4~-(1-methylpiperidin-4-yl)-N~2~-propylquinazoline-2,4-diamine", 10181 },
	{ "9HK", "", "", ResidueType::NON_POLYMER, false, "4-[(4-nitrophenyl)methyl]benzenesulfonamide", 10182 },
	{ "9HL", "", "", ResidueType::NON_POLYMER, false, "N-{[(1R,2R)-2-(3-fluorophenyl)cyclopropyl]methyl}-2-[2-(1H-imidazol-1-yl)pyrimidin-4-yl]ethanamine", 10183 },
	{ "9HN", "", "", ResidueType::NON_POLYMER, false, "~{tert}-butyl (2~{R})-2-[(4~{S})-6-(4-chlorophenyl)-8-methoxy-1-methyl-4~{H}-[1,2,4]triazolo[4,3-a][1,4]benzodiazepin-4-yl]pent-4-enoate", 10184 },
	{ "9HO", "", "", ResidueType::NON_POLYMER, false, "(9S,10E,12Z)-9-hydroxyoctadeca-10,12-dienoic acid", 10185 },
	{ "9HP", "", "", ResidueType::NON_POLYMER, false, "9-(4-HYDROXYPHENYL)-2,7-PHENANTHROLINE", 10186 },
	{ "9HQ", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-[(4~{S})-6-(4-chlorophenyl)-9-methoxy-1-methyl-4~{H}-[1,2,4]triazolo[4,3-a][1,4]benzodiazepin-4-yl]-~{N}-ethyl-propanamide", 10187 },
	{ "9HS", "", "", ResidueType::NON_POLYMER, false, "7-chloro-3-({4-hydroxy-1-[(3S)-3-phenylbutanoyl]piperidin-4-yl}methyl)quinazolin-4(3H)-one", 10188 },
	{ "9HT", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-[(4~{S})-6-(4-chlorophenyl)-8-methoxy-1-methyl-4~{H}-[1,2,4]triazolo[4,3-a][1,4]benzodiazepin-4-yl]-~{N}-ethyl-butanamide", 10189 },
	{ "9HV", "", "", ResidueType::NON_POLYMER, false, "{2-[(2R,3R,4R,5R)-3-(alpha-D-glucopyranosyloxy)-4-hydroxy-2,5-bis(hydroxymethyl)pyrrolidin-1-yl]ethyl}phosphonic acid", 10190 },
	{ "9HW", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-[(4~{S})-6-(4-chlorophenyl)-8-methoxy-1-methyl-4~{H}-[1,2,4]triazolo[4,3-a][1,4]benzodiazepin-4-yl]-~{N}-ethyl-propanamide", 10191 },
	{ "9HX", "", "", ResidueType::NON_POLYMER, false, "9-DEAZAHYPOXANTHINE", 10192 },
	{ "9HY", "", "", ResidueType::NON_POLYMER, false, "N-(6-cyano-3-{2-[2-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)ethoxy]phenoxy}-4-methylnaphthalen-1-yl)-N-methylacetamide", 10193 },
	{ "9HZ", "", "", ResidueType::NON_POLYMER, false, "methyl (2~{R})-2-[(4~{S})-6-(4-chlorophenyl)-8-methoxy-1-methyl-4~{H}-[1,2,4]triazolo[4,3-a][1,4]benzodiazepin-4-yl]pent-4-enoate", 10194 },
	{ "9IN", "", "", ResidueType::NON_POLYMER, false, "N-(3-FUROYL)-D-VALYL-L-VALYL-N~1~-((1R,2Z)-4-ETHOXY-4-OXO-1-{[(3S)-2-OXOPYRROLIDIN-3-YL]METHYL}BUT-2-ENYL)-D-LEUCINAMIDE", 10195 },
	{ "9IP", "", "", ResidueType::NON_POLYMER, false, "N~3~-[3-(5-METHOXYPYRIDIN-3-YL)BENZYL]PYRIDINE-2,3-DIAMINE", 10196 },
	{ "9J1", "", "", ResidueType::NON_POLYMER, false, "N-(6-cyano-3-{2-[2-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)ethoxy]phenoxy}-4-methylnaphthalen-1-yl)-N-methylpropanamide", 10197 },
	{ "9J2", "", "", ResidueType::NON_POLYMER, false, "methyl (2~{R})-2-[(4~{S})-6-(4-chlorophenyl)-9-methoxy-1-methyl-4~{H}-[1,2,4]triazolo[4,3-a][1,4]benzodiazepin-4-yl]propanoate", 10198 },
	{ "9J4", "", "", ResidueType::NON_POLYMER, false, "4-{[(1R,3S)-3-amino-2,2,3-trimethylcyclopentyl]amino}-6-phenylpyrrolo[1,2-b]pyridazine-3-carboxamide", 10199 },
	{ "9J5", "", "", ResidueType::NON_POLYMER, false, "methyl (2~{R})-2-[(4~{S})-6-(4-chlorophenyl)-9-methoxy-1-methyl-4~{H}-[1,2,4]triazolo[4,3-a][1,4]benzodiazepin-4-yl]butanoate", 10200 },
	{ "9J7", "", "", ResidueType::NON_POLYMER, false, "1-(2,3-difluoro-4-methylphenyl)-N-(2-oxo-1-propyl-1,2,3,4-tetrahydroquinolin-6-yl)methanesulfonamide", 10201 },
	{ "9J8", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-[(4~{S})-6-(4-chlorophenyl)-8-methoxy-1-methyl-4~{H}-[1,2,4]triazolo[4,3-a][1,4]benzodiazepin-4-yl]-~{N}-ethyl-pent-4-enamide", 10202 },
	{ "9JA", "", "", ResidueType::NON_POLYMER, false, "(~{N}~{E})-~{N}-[[2-[[2-ethylsulfonyl-1,1-bis(oxidanyl)-3,4-dihydro-2,3,1$l^{4}-benzodiazaborinin-7-yl]oxy]-5-(trifluoromethyl)phenyl]methylidene]hydroxylamine", 10203 },
	{ "9JB", "", "", ResidueType::NON_POLYMER, false, "3-[(2~{R})-2-oxidanylpropoxy]-2-[[(2~{R})-2-oxidanylpropoxy]methyl]-2-[[(2~{S})-2-oxidanylpropoxy]methyl]propan-1-ol", 10204 },
	{ "9JD", "", "", ResidueType::NON_POLYMER, false, "", 10205 },
	{ "9JE", "", "", ResidueType::NON_POLYMER, false, "pentane-1,5-diol", 10206 },
	{ "9JG", "", "", ResidueType::NON_POLYMER, false, "prop-2-ynyl ~{N}-[[3-(ethylcarbamoylamino)-5-pyridin-4-yl-isoquinolin-8-yl]methyl]carbamate", 10207 },
	{ "9JH", "", "", ResidueType::NON_POLYMER, false, "4-BENZYLBENZAMIDE", 10208 },
	{ "9JJ", "", "", ResidueType::NON_POLYMER, false, "", 10209 },
	{ "9JM", "", "", ResidueType::NON_POLYMER, false, "", 10210 },
	{ "9JN", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1~{S})-2-azanyl-1-phenyl-ethyl]-4-(1~{H}-pyrrolo[2,3-b]pyridin-3-yl)thiophene-2-carboxamide", 10211 },
	{ "9JP", "", "", ResidueType::NON_POLYMER, false, "N-(6-cyano-3-{2-[2-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)ethoxy]phenoxy}-4-methylnaphthalen-1-yl)-2-fluoro-N-methylacetamide", 10212 },
	{ "9JQ", "", "", ResidueType::NON_POLYMER, false, "2-fluoranyl-3-[6-[(4-fluoranyl-3-oxidanyl-phenyl)-methyl-amino]pyridin-2-yl]phenol", 10213 },
	{ "9JS", "", "", ResidueType::NON_POLYMER, false, "4-({5-[(3-hydroxy-4-methylphenyl)amino]-4-oxo-4H-1,2,6-thiadiazin-3-yl}amino)benzamide", 10214 },
	{ "9JW", "", "", ResidueType::NON_POLYMER, false, "2-fluoranyl-3-[6-[1-(4-fluoranyl-3-oxidanyl-phenyl)ethenyl]pyridin-2-yl]phenol", 10215 },
	{ "9JZ", "", "", ResidueType::NON_POLYMER, false, "(3S)-1-{(2S)-2-cyclohexyl-2-[(N-methyl-L-alanyl)amino]acetyl}-3-methyl-N-(2-pyrimidin-2-ylphenyl)-L-prolinamide", 10216 },
	{ "9K2", "", "", ResidueType::NON_POLYMER, false, "1-[5-(4-fluoranyl-2-methyl-phenyl)-1~{H}-indazol-3-yl]-~{N},~{N}-dimethyl-methanamine", 10217 },
	{ "9K4", "", "", ResidueType::NON_POLYMER, false, "2-{4-[(3R)-3-amino-4-(2,4,5-trifluorophenyl)butanoyl]piperazin-1-yl}-N-(22-oxo-3,6,9,12,15,18-hexaoxa-21-azatricosan-1-yl)acetamide", 10218 },
	{ "9K5", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methyl 3-fluorosulfonylbenzoate", 10219 },
	{ "9K6", "", "", ResidueType::NON_POLYMER, false, "5-[[(2~{S})-2-methyl-1,4-diazepan-1-yl]sulfonyl]isoquinoline", 10220 },
	{ "9K7", "", "", ResidueType::NON_POLYMER, false, "2-chloro-N-(6-cyano-3-{2-[2-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)ethoxy]phenoxy}-4-methylnaphthalen-1-yl)-N-methylacetamide", 10221 },
	{ "9K8", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methyl 4-ethyl-3-fluorosulfonyl-benzoate", 10222 },
	{ "9KB", "", "", ResidueType::NON_POLYMER, false, "1-[(4-fluorophenyl)methyl]-4-(3-imidazol-1-ylpropyl)piperazin-2-one", 10223 },
	{ "9KD", "", "", ResidueType::NON_POLYMER, false, "N-(6-cyano-3-{2-[2-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)ethoxy]phenoxy}-4-methylnaphthalen-1-yl)prop-2-enamide", 10224 },
	{ "9KE", "", "", ResidueType::NON_POLYMER, false, "1-[(4-chlorophenyl)methyl]-4-(3-imidazol-1-ylpropyl)piperazin-2-one", 10225 },
	{ "9KG", "", "", ResidueType::NON_POLYMER, false, "N-(6-cyano-3-{2-[2-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)ethoxy]phenoxy}-4-methylnaphthalen-1-yl)-N-methylprop-2-enamide", 10226 },
	{ "9KH", "", "", ResidueType::NON_POLYMER, false, "6-carboxy methyl-4-hydroxy-2-pyridinol", 10227 },
	{ "9KJ", "", "", ResidueType::NON_POLYMER, false, "{[(2R,3R,4R,5R)-3-(alpha-D-glucopyranosyloxy)-4-hydroxy-2,5-bis(hydroxymethyl)pyrrolidin-1-yl]methyl}phosphonic acid", 10228 },
	{ "9KK", "", "", ResidueType::PEPTIDE_LINKING, false, "N-methyl norleucine", 10229 },
	{ "9KQ", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-4-(1,2,4-triazol-4-yl)quinazoline", 10230 },
	{ "9KU", "", "", ResidueType::NON_POLYMER, false, "5-hydroxy-2-[(2S)-1-{[(naphthalen-1-yl)oxy]acetyl}pyrrolidin-2-yl]-6-oxo-1,6-dihydropyrimidine-4-carboxylic acid", 10231 },
	{ "9KV", "", "", ResidueType::NON_POLYMER, false, "(2S)-N,2-dicyclohexyl-2-[2-(5-phenylthiophen-2-yl)-1H-benzimidazol-1-yl]acetamide", 10232 },
	{ "9KY", "", "", ResidueType::NON_POLYMER, false, "(2S)-N,2-dicyclohexyl-2-{2-[4-(hydroxymethyl)phenyl]-1H-benzimidazol-1-yl}acetamide", 10233 },
	{ "9KZ", "", "", ResidueType::NON_POLYMER, false, "ethyl 2,4-dimethylquinoline-3-carboxylate", 10234 },
	{ "9L1", "", "", ResidueType::NON_POLYMER, false, "5-{[(3beta,5beta,14beta,17alpha)-3-hydroxy-24-oxocholan-24-yl]amino}benzene-1,3-dicarboxylic acid", 10235 },
	{ "9L2", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S},4~{R},5~{R},6~{R})-5-azanyl-2-(hydroxymethyl)-6-(4-phenyl-1~{H}-imidazol-2-yl)oxane-3,4-diol", 10236 },
	{ "9L4", "", "", ResidueType::NON_POLYMER, false, "3-chloro-4-({(2S)-2-[2-(4-chlorophenyl)-5,6-difluoro-1H-benzimidazol-1-yl]-2-cyclohexylacetyl}amino)benzoic acid", 10237 },
	{ "9L7", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{2-[4-(benzenecarbonyl)phenyl]-1H-benzimidazol-1-yl}-N,2-dicyclohexylacetamide", 10238 },
	{ "9L8", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S},4~{R},5~{R},6~{R})-5-azanyl-2-(hydroxymethyl)-6-(3-naphthalen-2-yl-1~{H}-1,2,4-triazol-5-yl)oxane-3,4-diol", 10239 },
	{ "9L9", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[[4-[[2,4-bis(azanyl)-6-oxidanylidene-1H-pyrimidin-5-yl]carbamoylamino]phenyl]carbonylamino]pentanedioic acid", 10240 },
	{ "9LA", "", "", ResidueType::NON_POLYMER, false, "4-{(2S)-2-[2-(4-chlorophenyl)-5,6-difluoro-1H-benzimidazol-1-yl]-2-cyclohexylethoxy}benzoic acid", 10241 },
	{ "9LB", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S},4~{R},5~{R},6~{R})-5-azanyl-2-(hydroxymethyl)-6-(5-phenyl-4~{H}-1,2,4-triazol-3-yl)oxane-3,4-diol", 10242 },
	{ "9LD", "", "", ResidueType::NON_POLYMER, false, "ethyl 4-({2-phenyl-5-[(thiophen-2-yl)sulfonyl]-4,5,6,7-tetrahydro-2H-pyrazolo[4,3-c]pyridine-3-carbonyl}amino)benzoate", 10243 },
	{ "9LE", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S},4~{R},5~{R},6~{R})-5-azanyl-2-(hydroxymethyl)-6-(4-naphthalen-2-yl-1~{H}-imidazol-2-yl)oxane-3,4-diol", 10244 },
	{ "9LG", "", "", ResidueType::NON_POLYMER, false, "N,1-dibenzyl-6-[(2-fluorophenyl)sulfonyl]-4,5,6,7-tetrahydro-1H-pyrrolo[2,3-c]pyridine-2-carboxamide", 10245 },
	{ "9LH", "", "", ResidueType::NON_POLYMER, false, "Tunicamycin", 10246 },
	{ "9LI", "", "", ResidueType::NON_POLYMER, false, "2-(4,6-dichloro-2-methyl-1H-indol-3-yl)ethanamine", 10247 },
	{ "9LJ", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[2-(4-chlorophenyl)-5,6-difluoro-1H-benzimidazol-1-yl]-N-(2-cyanophenyl)-2-cyclohexylacetamide", 10248 },
	{ "9LM", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-N-(propan-2-yl)-6-[(thiophen-2-yl)sulfonyl]-4,5,6,7-tetrahydro-1H-pyrrolo[2,3-c]pyridine-1-carboxamide", 10249 },
	{ "9LO", "", "", ResidueType::NON_POLYMER, false, "4-[[2,4-bis(azanyl)-6-oxidanylidene-1H-pyrimidin-5-yl]carbamoylamino]benzoic acid", 10250 },
	{ "9LP", "", "", ResidueType::NON_POLYMER, false, "trans-4-({(2S)-2-[2-(4-chlorophenyl)-5,6-difluoro-1H-benzimidazol-1-yl]-2-cyclohexylacetyl}amino)cyclohexyl hydrogen sulfate", 10251 },
	{ "9LS", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[2-(4-chlorophenyl)-5,6-difluoro-1H-benzimidazol-1-yl]-2-cyclohexyl-N-(2-fluorophenyl)acetamide", 10252 },
	{ "9LV", "", "", ResidueType::NON_POLYMER, false, "", 10253 },
	{ "9LW", "", "", ResidueType::NON_POLYMER, false, "1-[5-[4-(ethoxyiminomethyl)phenoxy]-3-methyl-pentyl]-3-pyridin-4-yl-imidazol-2-one", 10254 },
	{ "9LY", "", "", ResidueType::NON_POLYMER, false, "(2S)-N,2-dicyclohexyl-2-{5,6-difluoro-2-[6-(1H-pyrazol-1-yl)pyridin-3-yl]-1H-benzimidazol-1-yl}acetamide", 10255 },
	{ "9M1", "", "", ResidueType::NON_POLYMER, false, "ethyl (5S)-3-(3,4-difluorobenzene-1-carbonyl)-1,1-dimethyl-1,2,3,4,5,6-hexahydroazepino[4,5-b]indole-5-carboxylate", 10256 },
	{ "9M2", "", "", ResidueType::NON_POLYMER, false, "1-[5-[4-fluoranyl-2-[2-(1,3,5-trimethylpyrazol-4-yl)ethoxy]phenyl]-2~{H}-indazol-3-yl]-~{N},~{N}-dimethyl-methanamine", 10257 },
	{ "9M4", "", "", ResidueType::NON_POLYMER, false, "N-[3-(acetylamino)phenyl]-4-chloro-N-[(1S)-1-cyclohexyl-2-(cyclohexylamino)-2-oxoethyl]benzamide", 10258 },
	{ "9M7", "", "", ResidueType::NON_POLYMER, false, "N,N-dicyclohexyl-3-(2,4-dichlorophenyl)-5-methyl-1,2-oxazole-4-carboxamide", 10259 },
	{ "9M8", "", "", ResidueType::NON_POLYMER, false, "1-[5-[3-fluoranyl-2-[2-(1,3,5-trimethylpyrazol-4-yl)ethoxy]phenyl]-1-methyl-indazol-3-yl]-~{N},~{N}-dimethyl-methanamine", 10260 },
	{ "9M9", "", "", ResidueType::NON_POLYMER, false, "7-[[3-(aminomethyl)phenoxy]methyl]quinolin-2-amine", 10261 },
	{ "9MA", "", "", ResidueType::NON_POLYMER, false, "2-(2,6-difluorophenyl)-N-(2,6-dimethylphenyl)-5-methylimidazo[1,2-a]pyridin-3-amine", 10262 },
	{ "9MB", "", "", ResidueType::NON_POLYMER, false, "2-fluoranyl-3-[6-(4-fluoranyl-3-oxidanyl-phenoxy)pyridin-2-yl]phenol", 10263 },
	{ "9MD", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[6-chloro-2-(4-chlorophenyl)-5-fluoro-1H-benzimidazol-1-yl]-N-cyclohexyl-2-[(2S)-oxan-2-yl]acetamide", 10264 },
	{ "9ME", "", "", ResidueType::NON_POLYMER, false, "(4-fluoranyl-3-oxidanyl-phenyl)-quinolin-2-yl-methanone", 10265 },
	{ "9MG", "", "", ResidueType::NON_POLYMER, false, "9-METHYLGUANINE", 10266 },
	{ "9MH", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-~{N}-[2-(4-fluoranyl-3-oxidanyl-phenyl)carbonylquinolin-7-yl]ethanamide", 10267 },
	{ "9MJ", "", "", ResidueType::NON_POLYMER, false, "5-amino-3-(furan-2-yl)-1H-1,2,4-triazole-1-carboxamide", 10268 },
	{ "9MK", "", "", ResidueType::NON_POLYMER, false, "(4-fluoranyl-3-oxidanyl-phenyl)-(6-methylquinolin-2-yl)methanone", 10269 },
	{ "9MM", "", "", ResidueType::NON_POLYMER, false, "4-{(2S)-2-[2-(4-chlorophenyl)-5,6-difluoro-1H-benzimidazol-1-yl]-2-cyclohexylethoxy}-3-fluorobenzoic acid", 10270 },
	{ "9MN", "", "", ResidueType::PEPTIDE_LINKING, false, "(2~{S})-2-azanyl-6-(6-bromanylhexanoylamino)hexanoic acid", 10271 },
	{ "9MP", "", "", ResidueType::NON_POLYMER, false, "(2S)-N,2-dicyclohexyl-2-{5,6-difluoro-2-[(R)-methoxy(phenyl)methyl]-1H-benzimidazol-1-yl}acetamide", 10272 },
	{ "9MQ", "", "", ResidueType::NON_POLYMER, false, "{Benzyl-[(S)-3-[((S)-1-carbamimidoyl-piperidin-3-ylmethyl)-carbamoyl]-2-(naphthalene-2-sulfonylamino)-propionyl]-amino}-acetic acid", 10273 },
	{ "9MR", "", "", ResidueType::NON_POLYMER, false, "(3R,4R,5R)-3-HYDROXY-5-(HYDROXYMETHYL)PIPERIDIN-4-YL BETA-D-GLUCOPYRANOSIDE", 10274 },
	{ "9MS", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{2-[(4-chloro-2-methylphenoxy)methyl]-6-fluoro-1H-benzimidazol-1-yl}-N,2-dicyclohexylacetamide", 10275 },
	{ "9MT", "", "", ResidueType::NON_POLYMER, false, "3-(3-BUTYL-6-METHOXY-2-METHYL-QUINOLIN-4-YL)SULFANYLPROPANENITRILE", 10276 },
	{ "9MU", "", "", ResidueType::NON_POLYMER, false, "(R)-N-((S)-1-CARBAMIMIDOYL-PIPERIDIN-3-YLMETHYL)-2-(NAPHTHALENE-2-SULFONYLAMINO)-3-PHENYL-PROPIONAMIDE", 10277 },
	{ "9MV", "", "", ResidueType::NON_POLYMER, false, "", 10278 },
	{ "9MW", "", "", ResidueType::NON_POLYMER, false, "", 10279 },
	{ "9MX", "", "", ResidueType::NON_POLYMER, false, "(R)-1-[(S)-3-[((S)-1-Carbamimidoyl-piperidin-3-ylmethyl)-carbamoyl]-2-(naphthalene-2-sulfonylamino)-propionyl]-4-methyl-piperidine-2-carboxylic acid", 10280 },
	{ "9MY", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-cyclohexyl-2-{5,6-difluoro-2-[(R)-methoxy(phenyl)methyl]-1H-benzimidazol-1-yl}-N-(trans-4-hydroxycyclohexyl)acetamide", 10281 },
	{ "9MZ", "", "", ResidueType::NON_POLYMER, false, "2-{(5S)-2-[(2E)-2-(2-hydroxybenzylidene)hydrazinyl]-4-oxo-4,5-dihydro-1,3-thiazol-5-yl}-N-[3-(trifluoromethyl)phenyl]acetamide", 10282 },
	{ "9N1", "", "", ResidueType::NON_POLYMER, false, "(2S)-N,2-dicyclohexyl-2-[2-(2,4-dimethoxyphenyl)-1H-benzimidazol-1-yl]acetamide", 10283 },
	{ "9N2", "", "", ResidueType::NON_POLYMER, false, "2-(4-fluoranyl-3-oxidanyl-phenyl)carbonylquinoline-7-carbonitrile", 10284 },
	{ "9N4", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-cyclohexyl-2-[2-(2,4-dimethoxyphenyl)-1H-benzimidazol-1-yl]-N-(2,6-dimethylphenyl)acetamide", 10285 },
	{ "9N5", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-(3-ethynylquinolin-6-yl)oxy-2-methoxy-~{N}-[(1~{E})-1-methoxyimino-2-methyl-propan-2-yl]ethanamide", 10286 },
	{ "9N7", "", "", ResidueType::NON_POLYMER, false, "4-{[(2S)-2-cyclohexyl-2-{5,6-difluoro-2-[4-(1,3-thiazol-2-yl)phenyl]-1H-benzimidazol-1-yl}acetyl]amino}benzoic acid", 10287 },
	{ "9NA", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-cyclohexyl-2-[2-(2,6-dimethoxypyridin-3-yl)-5,6-difluoro-1H-benzimidazol-1-yl]-N-(trans-4-hydroxycyclohexyl)acetamide", 10288 },
	{ "9NB", "", "", ResidueType::NON_POLYMER, false, "~{N}-(4-ethanoylphenyl)-2-sulfanyl-ethanamide", 10289 },
	{ "9ND", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[2-(4-chlorophenyl)-5,6-difluoro-1H-benzimidazol-1-yl]-2-cyclohexyl-N-phenylacetamide", 10290 },
	{ "9NE", "", "", ResidueType::PEPTIDE_LINKING, false, "DANSYL-L-GLUTAMATE", 10291 },
	{ "9NF", "", "", ResidueType::PEPTIDE_LINKING, false, "DANSYL-L-PHENYLALANINE", 10292 },
	{ "9NG", "", "", ResidueType::NON_POLYMER, false, "N-{2-[(3R)-5-bromo-2-oxo-1-{[4-(1H-tetrazol-5-yl)phenyl]methyl}-2,3-dihydro-1H-indol-3-yl]ethyl}-N-ethylthiophene-2-sulfonamide", 10293 },
	{ "9NH", "", "", ResidueType::NON_POLYMER, false, "N-[5-({[2-fluoro-3-(trifluoromethyl)phenyl]amino}carbonyl)-2-methylphenyl]-4-methoxy-2-[(4-piperazin-1-ylphenyl)amino]pyrimidine-5-carboxamide", 10294 },
	{ "9NJ", "", "", ResidueType::NON_POLYMER, false, "trans-4-({(2S)-2-cyclohexyl-2-[2-(2,6-dimethoxypyridin-3-yl)-5-fluoro-1H-benzimidazol-1-yl]acetyl}amino)cyclohexane-1-carboxylic acid", 10295 },
	{ "9NM", "", "", ResidueType::NON_POLYMER, false, "(2E)-N-cyclohexyl-N-(cyclohexylcarbamoyl)-3-(4-fluorophenyl)prop-2-enamide", 10296 },
	{ "9NP", "", "", ResidueType::NON_POLYMER, false, "(2S)-N,2-dicyclohexyl-2-{2-[4-(1H-tetrazol-5-yl)phenyl]-1H-benzimidazol-1-yl}acetamide", 10297 },
	{ "9NQ", "", "", ResidueType::NON_POLYMER, false, "Leniolisib", 10298 },
	{ "9NR", "", "", ResidueType::PEPTIDE_LINKING, false, "DANSYL-L-ARGININE", 10299 },
	{ "9NS", "", "", ResidueType::NON_POLYMER, false, "(2S)-6-[[[2-(furan-2-ylmethylcarbamoyl)phenyl]methyl-prop-2-enyl-amino]methyl]-2-(3-hydroxy-3-oxopropyl)-2,3-dihydro-1,4-benzodioxine-5-carboxylic acid", 10300 },
	{ "9NT", "", "", ResidueType::NON_POLYMER, false, "~{N}-(1,3-benzodioxol-5-yl)-2-piperidin-1-ium-1-yl-ethanamide", 10301 },
	{ "9NU", "", "", ResidueType::NON_POLYMER, false, "(2S,4S)-N-methyl-4-[[(2S,3R)-3-[(2-methylpropan-2-yl)oxy]-2-[[4-(pyrazol-1-ylmethyl)phenyl]carbonylamino]butanoyl]amino]-1-(phenylcarbonyl)pyrrolidine-2-carboxamide", 10302 },
	{ "9NV", "", "", ResidueType::PEPTIDE_LINKING, false, "DANSYL-L-NORVALINE", 10303 },
	{ "9O1", "", "", ResidueType::NON_POLYMER, false, "3-(2-chlorophenyl)-N-[(1R)-1-(naphthalen-2-yl)ethyl]-5-(propan-2-yl)-1,2-oxazole-4-carboxamide", 10304 },
	{ "9O2", "", "", ResidueType::NON_POLYMER, false, "~{N}-[3-[7-azanyl-4-(2-phenylethylamino)quinazolin-2-yl]phenyl]propanamide", 10305 },
	{ "9O4", "", "", ResidueType::DNA_LINKING, false, "(3R,5R)-5-(6-amino-9H-purin-9-yl)oxolan-3-yl dihydrogen phosphate", 10306 },
	{ "9O5", "", "", ResidueType::NON_POLYMER, false, "4-[3-[7-azanyl-4-(2-phenylethylamino)quinazolin-2-yl]phenyl]butan-2-one", 10307 },
	{ "9O7", "", "", ResidueType::NON_POLYMER, false, "[(3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-4-oxidanyl-oxolan-3-yl] [oxidanyl(phosphonooxy)phosphoryl] hydrogen phosphate", 10308 },
	{ "9OD", "", "", ResidueType::NON_POLYMER, false, "(2Z)-9-oxodec-2-enoic acid", 10309 },
	{ "9OG", "", "", ResidueType::NON_POLYMER, false, "4-(2-{[(2-amino-4-methylquinolin-7-yl)methyl]amino}ethyl)benzonitrile", 10310 },
	{ "9OH", "", "", ResidueType::NON_POLYMER, false, "(TRANS-12,13-EPOXY)-9-HYDROXY-10(E)-OCTADECENOIC ACID", 10311 },
	{ "9OJ", "", "", ResidueType::NON_POLYMER, false, "4-(2-{[(2-amino-4-methylquinolin-7-yl)methyl]amino}ethyl)-2-methylbenzonitrile", 10312 },
	{ "9OM", "", "", ResidueType::NON_POLYMER, false, "7-({[3-(4-methylpyridin-3-yl)propyl]amino}methyl)quinolin-2-amine", 10313 },
	{ "9ON", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-methylpentanedioic acid", 10314 },
	{ "9OS", "", "", ResidueType::NON_POLYMER, false, "7-({[3-(4-methoxypyridin-3-yl)propyl]amino}methyl)quinolin-2-amine", 10315 },
	{ "9P1", "", "", ResidueType::NON_POLYMER, false, "7-[({[4-(dimethylamino)phenyl]methyl}amino)methyl]quinolin-2-amine", 10316 },
	{ "9P2", "", "", ResidueType::NON_POLYMER, false, "1-(1,3-benzodioxol-5-yl)-~{N}-(1,3-benzodioxol-5-ylmethyl)-~{N}-[(3-butyl-2,5-diphenyl-imidazol-4-yl)methyl]methanamine", 10317 },
	{ "9P4", "", "", ResidueType::NON_POLYMER, false, "7-({[3-(5-fluoropyridin-3-yl)propyl]amino}methyl)quinolin-2-amine", 10318 },
	{ "9P7", "", "", ResidueType::NON_POLYMER, false, "4-(2-{[(2-aminoquinolin-7-yl)methyl]amino}ethyl)-2-methylbenzonitrile", 10319 },
	{ "9P8", "", "", ResidueType::NON_POLYMER, false, "", 10320 },
	{ "9PA", "", "", ResidueType::NON_POLYMER, false, "5-[(2S)-2-{[(5-aminopentanoyl)amino]methyl}-4-methylpentyl]-1,3-benzodioxole-4-carboxylic acid", 10321 },
	{ "9PB", "", "", ResidueType::NON_POLYMER, false, "", 10322 },
	{ "9PC", "", "", ResidueType::NON_POLYMER, false, "3-[(6-chloro[1,3]thiazolo[5,4-b]pyridin-2-yl)methoxy]-2,6-difluorobenzamide", 10323 },
	{ "9PE", "", "", ResidueType::NON_POLYMER, false, "(1R)-2-{[(S)-(2-aminoethoxy)(hydroxy)phosphoryl]oxy}-1-[(heptanoyloxy)methyl]ethyl octadecanoate", 10324 },
	{ "9PG", "", "", ResidueType::NON_POLYMER, false, "4-nitrophenyl alpha-D-galactopyranoside", 10325 },
	{ "9PH", "", "", ResidueType::NON_POLYMER, false, "", 10326 },
	{ "9PI", "", "", ResidueType::NON_POLYMER, false, "bis[oxidanyl-[oxidanyl-[oxidanyl(phosphonooxy)phosphoryl]oxy-phosphoryl]oxy-phosphoryl] hydrogen phosphate", 10327 },
	{ "9PK", "", "", ResidueType::NON_POLYMER, false, "", 10328 },
	{ "9PL", "", "", ResidueType::NON_POLYMER, false, "(3S,4R)-3-ethyl-4-[(1-methyl-1H-imidazol-5-yl)methyl]dihydrofuran-2(3H)-one", 10329 },
	{ "9PM", "", "", ResidueType::NON_POLYMER, false, "4-(2-{[(2-aminoquinolin-7-yl)methyl]amino}ethyl)-2-chlorobenzonitrile", 10330 },
	{ "9PN", "", "", ResidueType::NON_POLYMER, false, "", 10331 },
	{ "9PO", "", "", ResidueType::NON_POLYMER, false, "PYRIDINE-N-OXIDE", 10332 },
	{ "9PP", "", "", ResidueType::NON_POLYMER, false, "2,6-DIAMINO-(S)-9-[2-(PHOSPHONOMETHOXY)PROPYL]PURINE", 10333 },
	{ "9PQ", "", "", ResidueType::NON_POLYMER, false, "4-[2-(hydroxymethyl)naphthalen-1-yl]-N-[2-(morpholin-4-yl)ethyl]benzamide", 10334 },
	{ "9PR", "", "", ResidueType::PEPTIDE_LIKE, false, "N-methyl-L-prolinamide", 10335 },
	{ "9PT", "", "", ResidueType::NON_POLYMER, false, "", 10336 },
	{ "9PW", "", "", ResidueType::NON_POLYMER, false, "", 10337 },
	{ "9PY", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-METHYL-3-DEHYDROQUINIC ACID", 10338 },
	{ "9Q5", "", "", ResidueType::NON_POLYMER, false, "", 10339 },
	{ "9Q8", "", "", ResidueType::NON_POLYMER, false, "tris(oxidaniumylidynemethyl)-tris(oxidanyl)ruthenium", 10340 },
	{ "9QA", "", "", ResidueType::NON_POLYMER, false, "7-chloro-3-{[4-hydroxy-1-(3-phenylpropanoyl)piperidin-4-yl]methyl}quinazolin-4(3H)-one", 10341 },
	{ "9QB", "", "", ResidueType::NON_POLYMER, false, "chloranyl-bis(oxidaniumyl)-tris(oxidaniumylidynemethyl)ruthenium", 10342 },
	{ "9QD", "", "", ResidueType::NON_POLYMER, false, "N-[3-({4-hydroxy-1-[(3R)-3-phenylbutanoyl]piperidin-4-yl}methyl)-4-oxo-3,4-dihydroquinazolin-7-yl]-3-(4-methylpiperazin-1-yl)propanamide", 10343 },
	{ "9QG", "", "", ResidueType::NON_POLYMER, false, "methyl 3-O-[(1R)-1-carboxyethyl]-beta-D-galactopyranoside", 10344 },
	{ "9QJ", "", "", ResidueType::NON_POLYMER, false, "(1S,3S,4E)-3-({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methyl)-4-iminocyclopentane-1-carboxylic acid", 10345 },
	{ "9QK", "", "", ResidueType::NON_POLYMER, false, "2-(3-fluorophenyl)quinoline-4-carboxylic acid", 10346 },
	{ "9QN", "", "", ResidueType::NON_POLYMER, false, "(1~{S},5~{S},6~{R})-10-[3,5-bis(chloranyl)phenyl]sulfonyl-5-(hydroxymethyl)-3-(pyridin-2-ylmethyl)-3,10-diazabicyclo[4.3.1]decan-2-one", 10347 },
	{ "9QQ", "", "", ResidueType::NON_POLYMER, false, " 6-hydroxybenzimidazolyl-norcobamide", 10348 },
	{ "9QT", "", "", ResidueType::NON_POLYMER, false, "2-(3-chloranyl-5-fluoranyl-phenyl)quinoline-4-carboxylic acid", 10349 },
	{ "9QV", "", "", ResidueType::RNA_LINKING, false, "", 10350 },
	{ "9QY", "", "", ResidueType::NON_POLYMER, false, "methyl 2-[2-(1-benzyl-1H-imidazol-2-yl)ethyl]-3-chloro-4,6-dihydroxybenzoate", 10351 },
	{ "9QZ", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},4~{R},5~{R},6~{R})-2-[[(2~{S},3~{S},4~{R},5~{S},6~{R})-3,6-bis(oxidanyl)-4,5-disulfooxy-oxan-2-yl]methoxy]-6-(hydroxymethyl)-3,5-disulfooxy-oxan-4-yl] hydrogen sulfate", 10352 },
	{ "9R1", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-aminooctanedioic acid", 10353 },
	{ "9R2", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},4~{S},5~{S},6~{S})-3,4,5,6-tetrakis(oxidanyl)oxan-2-yl]methyl hexadecanoate", 10354 },
	{ "9R4", "", "", ResidueType::PEPTIDE_LINKING, false, "D-gamma-glutamyl-2-methyl-L-alanine", 10355 },
	{ "9R7", "", "", ResidueType::PEPTIDE_LINKING, false, "L-gamma-glutamylglycine", 10356 },
	{ "9R8", "", "", ResidueType::NON_POLYMER, false, "6-Hydroxy-3-(3-methyl-benzyl)-1H-indazole-5-carboxylic acid methyl-(4-morpholin-4-yl-phenyl)-amide", 10357 },
	{ "9RA", "", "", ResidueType::NON_POLYMER, false, "4-[1-(3,5,5,8,8-pentamethyl-5,6,7,8-tetrahydronaphthalen-2-yl)ethenyl]benzoic acid", 10358 },
	{ "9RB", "", "", ResidueType::NON_POLYMER, false, "(2E)-N-hydroxy-3-{4-[(E)-(1,3,5-trimethyl-1H-pyrazol-4-yl)diazenyl]phenyl}prop-2-enamide", 10359 },
	{ "9RH", "", "", ResidueType::NON_POLYMER, false, "2,2,2-trifluoromethyl acetophenone hydrate", 10360 },
	{ "9RM", "", "", ResidueType::NON_POLYMER, false, "6-methyl-5-{[3-(trifluoromethyl)phenyl]amino}-1,2,4-triazin-3(4H)-one", 10361 },
	{ "9RN", "", "", ResidueType::NON_POLYMER, false, "3,6-anhydro-D-galactose", 10362 },
	{ "9RP", "", "", ResidueType::NON_POLYMER, false, "1-phenyl-4-(1H-pyrrolo[3,2-c]pyridin-2-yl)-1H-pyrazol-5-ol", 10363 },
	{ "9RS", "", "", ResidueType::NON_POLYMER, false, "N-({3-[5-hydroxy-3-methyl-4-(1H-pyrrolo[3,2-c]pyridin-2-yl)-1H-pyrazol-1-yl]phenyl}methyl)-N'-phenylurea", 10364 },
	{ "9RU", "", "", ResidueType::NON_POLYMER, false, "", 10365 },
	{ "9RV", "", "", ResidueType::NON_POLYMER, false, "N-({3-[5-hydroxy-4-(1H-pyrrolo[3,2-c]pyridin-2-yl)-1H-pyrazol-1-yl]phenyl}methyl)pentanamide", 10366 },
	{ "9RY", "", "", ResidueType::NON_POLYMER, false, "N-({3-[5-hydroxy-4-(7H-pyrrolo[2,3-d]pyrimidin-6-yl)-1H-pyrazol-1-yl]phenyl}methyl)-N'-phenylurea", 10367 },
	{ "9RZ", "", "", ResidueType::NON_POLYMER, false, "3-[(3~{S})-3-methoxypiperidin-1-yl]carbonyl-~{N}-methyl-~{N}-(4-morpholin-4-ylphenyl)-6-oxidanyl-1~{H}-indazole-5-carboxamide", 10368 },
	{ "9S1", "", "", ResidueType::NON_POLYMER, false, "N-({3-[4-(5-amino-1H-pyrrolo[3,2-b]pyridin-2-yl)-5-hydroxy-1H-pyrazol-1-yl]phenyl}methyl)-N'-phenylurea", 10369 },
	{ "9S3", "", "", ResidueType::NON_POLYMER, false, "1-[(2S,4R)-2-methyl-4-(phenylamino)-6-[4-(piperidin-1-ylmethyl)phenyl]-3,4-dihydroquinolin-1(2H)-yl]ethanone", 10370 },
	{ "9S4", "", "", ResidueType::NON_POLYMER, false, "(2~{S},3~{R},4~{R},5~{R})-3-acetamido-2-[(2~{S})-2,3-bis(oxidanyl)propyl]-5-fluoranyl-4-oxidanyl-2,3,4,5-tetrahydropyran-1-ium-6-carboxylic acid", 10371 },
	{ "9S7", "", "", ResidueType::NON_POLYMER, false, "5-(acetylamino)-2,6-anhydro-3,5,8-trideoxy-3-fluoro-D-threo-L-galacto-nononic acid", 10372 },
	{ "9S8", "", "", ResidueType::NON_POLYMER, false, "Non-cubane [4Fe-4S]-cluster", 10373 },
	{ "9SB", "", "", ResidueType::NON_POLYMER, false, "2-bromanylethanesulfonic acid", 10374 },
	{ "9SD", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{R},4~{R},5~{R})-3-acetamido-2-[(1~{R})-1,3-bis(oxidanyl)propyl]-5-fluoranyl-4-oxidanyl-2,3,4,5-tetrahydropyran-1-ium-6-carboxylic acid", 10375 },
	{ "9SE", "", "", ResidueType::NON_POLYMER, false, "(2~{R},4~{R})-2-methyl-1,3-selenazolidine-2,4-dicarboxylic acid", 10376 },
	{ "9SG", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{R},5~{R},6~{R})-5-acetamido-2,3-bis(fluoranyl)-6-[(1~{R},2~{R})-1,2,3-tris(oxidanyl)propyl]oxane-2-carboxylic acid", 10377 },
	{ "9SJ", "", "", ResidueType::NON_POLYMER, false, "5-(acetylamino)-2,6-anhydro-3,5,7-trideoxy-3-fluoro-D-threo-L-galacto-nononic acid", 10378 },
	{ "9SK", "", "", ResidueType::NON_POLYMER, false, "", 10379 },
	{ "9SM", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{R},4~{R},5~{R},6~{S})-5-acetamido-6-[(2~{S})-2,3-bis(oxidanyl)propyl]-2,3-bis(fluoranyl)-4-oxidanyl-oxane-2-carboxylic acid", 10380 },
	{ "9SN", "", "", ResidueType::NON_POLYMER, false, "6-fluoroanthraniloyl-AMP", 10381 },
	{ "9SP", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{R},4~{R},5~{R},6~{R})-5-acetamido-6-[(1~{R})-1,3-bis(oxidanyl)propyl]-2,3-bis(fluoranyl)-4-oxidanyl-oxane-2-carboxylic acid", 10382 },
	{ "9SQ", "", "", ResidueType::NON_POLYMER, false, "dicarbonyl[bis(cyanide-kappaC)]-mu-(iminodimethaneselenato- 1kappaS:2kappaS)-mu-(oxomethylidene)diiron(2+)", 10383 },
	{ "9ST", "", "", ResidueType::NON_POLYMER, false, "4-bromo-2-methyl-5-[[(3~{R},5~{R})-1-methyl-5-phenyl-piperidin-3-yl]amino]pyridazin-3-one", 10384 },
	{ "9SV", "", "", ResidueType::NON_POLYMER, false, "2-(4-methylpiperazin-1-yl)-3-(phenylsulfanyl)naphthalene-1,4-dione", 10385 },
	{ "9SW", "", "", ResidueType::NON_POLYMER, false, "methoxy-[(3~{R})-3-[(2~{R})-1-methoxy-1,3-bis(oxidanylidene)butan-2-yl]pentadecyl]phosphinic acid", 10386 },
	{ "9SZ", "", "", ResidueType::NON_POLYMER, false, "C42 H32 O8 P2", 10387 },
	{ "9T1", "", "", ResidueType::NON_POLYMER, false, "5-(acetylamino)-2,6-anhydro-3,5,9-trideoxy-3-fluoro-D-erythro-L-gluco-non-4-ulosonic acid", 10388 },
	{ "9T2", "", "", ResidueType::NON_POLYMER, false, "ethyl ~{N}-[2-(1,3-benzothiazol-2-ylcarbonylamino)-5-fluoranyl-thiophen-3-yl]carbonylcarbamate", 10389 },
	{ "9T7", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{R},4~{R},5~{R},6~{R})-5-acetamido-6-[(1~{R},2~{R})-1,2-bis(oxidanyl)propyl]-2,3-bis(fluoranyl)-4-oxidanyl-oxane-2-carboxylic acid", 10390 },
	{ "9T8", "", "", ResidueType::NON_POLYMER, false, "3-(3-azaniumylpropanoylamino)propyl-dimethyl-azanium", 10391 },
	{ "9TA", "", "", ResidueType::NON_POLYMER, false, "1,4-BIS-[2-(2-HYDROXY-ETHYLAMINO)-ETHYLAMINO]-ANTHRAQUINONE", 10392 },
	{ "9TD", "", "", ResidueType::NON_POLYMER, false, "1-carboxy-1-{[(E)-{3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methylidene]azaniumyl}-2-[(3R)-2-oxo-2,3-dihydro-1H-indol-3-yl]ethan-1-ide", 10393 },
	{ "9TE", "", "", ResidueType::NON_POLYMER, false, "4-cyclopropyl-7-(3-methoxyphenoxy)-2,3-dihydro-1$l^{6},2,4-benzothiadiazine 1,1-dioxide", 10394 },
	{ "9TG", "", "", ResidueType::NON_POLYMER, false, "3-[(2R)-2-borono-2-{[(thiophen-2-yl)acetyl]amino}ethyl]benzoic acid", 10395 },
	{ "9TH", "", "", ResidueType::NON_POLYMER, false, "pentamethylcyclopentadienyl iridium [N-benzensulfonamide-(2-pyridylmethyl-4-benzensulfonamide)amin] chloride", 10396 },
	{ "9TJ", "", "", ResidueType::NON_POLYMER, false, "3-{1-[(2R)-2-borono-2-{[(thiophen-2-yl)acetyl]amino}ethyl]-1H-1,2,3-triazol-4-yl}benzoic acid", 10397 },
	{ "9TK", "", "", ResidueType::NON_POLYMER, false, "1-methylimidazole-2-carboxylic acid", 10398 },
	{ "9TM", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{R},4~{R},5~{R})-3-acetamido-2-[(1~{R},2~{R})-1,2-bis(oxidanyl)propyl]-5-fluoranyl-4-oxidanyl-2,3,4,5-tetrahydropyran-1-ium-6-carboxylic acid", 10399 },
	{ "9TN", "", "", ResidueType::NON_POLYMER, false, "DEBUTANOYL THAPSIGARGIN", 10400 },
	{ "9TP", "", "", ResidueType::NON_POLYMER, false, "", 10401 },
	{ "9TQ", "", "", ResidueType::NON_POLYMER, false, "5-[2-[(2~{S},3~{R},4~{S},5~{R},6~{R})-6-(hydroxymethyl)-3,4,5-tris(oxidanyl)oxan-2-yl]oxyethylcarbamothioylamino]-2-(6-oxidanyl-3-oxidanylidene-4,9-dihydroxanthen-9-yl)benzoic acid", 10402 },
	{ "9TS", "", "", ResidueType::NON_POLYMER, false, "(2E)-pent-2-enoic acid", 10403 },
	{ "9TT", "", "", ResidueType::NON_POLYMER, false, "1-methylindol-5-amine", 10404 },
	{ "9TV", "", "", ResidueType::NON_POLYMER, false, "3-(pyrimidin-2-yl)-N-[3-(5,6,7,8-tetrahydronaphthalen-2-yl)-1H-pyrazol-5-yl]propanamide", 10405 },
	{ "9TW", "", "", ResidueType::NON_POLYMER, false, "3-chloranyl-4-fluoranyl-benzamide", 10406 },
	{ "9TY", "", "", ResidueType::NON_POLYMER, false, "cyclopropane-1,1-dicarboxylic acid", 10407 },
	{ "9TZ", "", "", ResidueType::NON_POLYMER, false, "5-fluoranyl-2-methyl-benzoic acid", 10408 },
	{ "9U2", "", "", ResidueType::NON_POLYMER, false, "5-propan-2-yl-1,3-thiazole-4-carbaldehyde", 10409 },
	{ "9U4", "", "", ResidueType::NON_POLYMER, false, "3-[7-(difluoromethyl)-6-(1-methyl-1H-pyrazol-4-yl)-3,4-dihydroquinolin-1(2H)-yl]-N-methyl-1-(oxan-4-yl)-1,4,6,7-tetrahydro-5H-pyrazolo[4,3-c]pyridine-5-carboxamide", 10410 },
	{ "9U7", "", "", ResidueType::NON_POLYMER, false, "1-{3-[6-(1-methyl-1H-pyrazol-4-yl)-3,4-dihydroquinolin-1(2H)-yl]-1-[(3S)-oxolan-3-yl]-1,4,6,7-tetrahydro-5H-pyrazolo[4,3-c]pyridin-5-yl}ethan-1-one", 10411 },
	{ "9UA", "", "", ResidueType::NON_POLYMER, false, "1-{3-[7-(difluoromethyl)-6-(1-methyl-1H-pyrazol-4-yl)-3,4-dihydroquinolin-1(2H)-yl]-1-[(3S)-oxolan-3-yl]-1,4,6,7-tetrahydro-5H-pyrazolo[4,3-c]pyridin-5-yl}ethan-1-one", 10412 },
	{ "9UB", "", "", ResidueType::NON_POLYMER, false, "", 10413 },
	{ "9UD", "", "", ResidueType::NON_POLYMER, false, "1-{3-[7-(difluoromethyl)-6-(1-methyl-1H-pyrazol-4-yl)-3,4-dihydroquinolin-1(2H)-yl]-1-(oxan-4-yl)-1,4,6,7-tetrahydro-5H-pyrazolo[4,3-c]pyridin-5-yl}ethan-1-one", 10414 },
	{ "9UE", "", "", ResidueType::NON_POLYMER, false, "Jasplakinolide", 10415 },
	{ "9UG", "", "", ResidueType::NON_POLYMER, false, "(2R)-N,2,7-trimethyl-2,3-dihydro-4H-1,4-benzoxazine-4-carboxamide", 10416 },
	{ "9UM", "", "", ResidueType::NON_POLYMER, false, "3-(bromomethyl)-2,5,6-trimethyl-1H,7H-pyrazolo[1,2-a]pyrazole-1,7-dione", 10417 },
	{ "9UN", "", "", ResidueType::NON_POLYMER, false, "5-[2,4-dihydroxy-6-(4-nitrophenoxy)phenyl]-N-(1-methylpiperidin-4-yl)-1,2-oxazole-3-carboxamide", 10418 },
	{ "9UP", "", "", ResidueType::NON_POLYMER, false, "methyl (7-carbamimidoylnaphthalen-1-yl)carbamate", 10419 },
	{ "9UY", "", "", ResidueType::NON_POLYMER, false, "", 10420 },
	{ "9V1", "", "", ResidueType::NON_POLYMER, false, "", 10421 },
	{ "9V5", "", "", ResidueType::NON_POLYMER, false, "4-chloranyl-2-nitro-1-(phenylsulfonyl)benzene", 10422 },
	{ "9V7", "", "", ResidueType::NON_POLYMER, false, "phenylcarbamic acid", 10423 },
	{ "9V8", "", "", ResidueType::NON_POLYMER, false, "[3,5-bis(trifluoromethyl)phenyl]methyl (1~{S},5~{R})-6-[(1~{H}-benzotriazol-5-ylcarbonylamino)methyl]-3-azabicyclo[3.1.0]hexane-3-carboxylate", 10424 },
	{ "9VA", "", "", ResidueType::NON_POLYMER, false, "3-[(2S,5S)-5-(hydroxymethyl)-6-oxo-1,2,5,6-tetrahydropyrazin-2-yl]propanamide", 10425 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-2-amino-3-hydroxybutanal", 10426 },
	{ "9VE", "", "", ResidueType::NON_POLYMER, false, "[(1~{S})-2-[3,5-bis(chloranyl)-1-oxidanyl-pyridin-1-ium-4-yl]-1-[4-[bis(fluoranyl)methoxy]-3-(cyclopropylmethoxy)phenyl]ethyl] (2~{S})-1-[3-(dimethylcarbamoyl)phenyl]sulfonylpyrrolidine-2-carboxylate", 10427 },
	{ "9VG", "", "", ResidueType::NON_POLYMER, false, "methyl (2E)-3-[(1aS,11S,11aS,14Z,18R)-3,18-dihydroxy-4,9-dioxo-4,9,10,11-tetrahydro-11aH-11,1a-hept[3]ene[1,5]diynonaphtho[2,3-h]oxireno[c]quinolin-11a-yl]but-2-enoate", 10428 },
	{ "9VK", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-[4-(4,4-dimethylcyclohexen-1-yl)-2-methyl-5-pyridin-2-yl-thiophen-3-yl]-2-[(2-methylpropan-2-yl)oxy]ethanoic acid", 10429 },
	{ "9VN", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-[4-(4,4-dimethylcyclohexen-1-yl)-2-methyl-5-pyridin-4-yl-thiophen-3-yl]-2-[(2-methylpropan-2-yl)oxy]ethanoic acid", 10430 },
	{ "9VP", "", "", ResidueType::NON_POLYMER, false, "5-(acetylamino)-2,6-anhydro-3,4,5-trideoxy-3-fluoro-D-erythro-L-gluco-nononic acid", 10431 },
	{ "9VQ", "", "", ResidueType::NON_POLYMER, false, "[4-(pyrazol-1-ylmethyl)phenyl]methanol", 10432 },
	{ "9VT", "", "", ResidueType::NON_POLYMER, false, "5-[(3,5-dimethylpyrazol-1-yl)methyl]-~{N}-ethyl-1,3,4-thiadiazol-2-amine", 10433 },
	{ "9VU", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-[2-(1,3-benzodioxol-5-yl)-2-oxidanylidene-ethyl]-4-bromanyl-5-methyl-3-oxidanyl-1H-indol-2-one", 10434 },
	{ "9VW", "", "", ResidueType::NON_POLYMER, false, "1-cyclohexyl-3-(pyridin-3-ylmethyl)urea", 10435 },
	{ "9VY", "", "", ResidueType::NON_POLYMER, false, "2-(4-fluorophenyl)-5-(11-fluoro-6H-pyrido[2',3':5,6][1,3]oxazino[3,4-a]indol-2-yl)-N-methyl-6-[methyl(methylsulfonyl)amino]-1-benzofuran-3-carboxamide", 10436 },
	{ "9VZ", "", "", ResidueType::NON_POLYMER, false, "ethyl (6~{R})-2-methyl-4,5,6,7-tetrahydro-1,3-benzothiazole-6-carboxylate", 10437 },
	{ "9W1", "", "", ResidueType::NON_POLYMER, false, "(4-amino-1,2,5-oxadiazol-3-yl)[(3R)-3-{4-[(3-methoxyphenyl)amino]-6-methylpyridin-2-yl}pyrrolidin-1-yl]methanone", 10438 },
	{ "9W2", "", "", ResidueType::NON_POLYMER, false, "~{N}-(1-pyrimidin-2-ylpiperidin-4-yl)ethanamide", 10439 },
	{ "9W4", "", "", ResidueType::NON_POLYMER, false, "4-[(2,5-dioxo-2,5-dihydro-1H-imidazol-1-yl)methyl]-N-[2-(morpholin-4-yl)-1,3-benzothiazol-6-yl]benzamide", 10440 },
	{ "9W5", "", "", ResidueType::NON_POLYMER, false, "5-methyl-2-(phenylmethyl)pyrazol-3-amine", 10441 },
	{ "9W6", "", "", ResidueType::NON_POLYMER, false, "ethyl {2-[([1,3]thiazolo[4,5-c]pyridine-2-carbonyl)amino]thiophene-3-carbonyl}carbamate", 10442 },
	{ "9W7", "", "", ResidueType::NON_POLYMER, false, "2-(2-chloro-4-nitrophenoxy)-5-ethyl-4-fluorophenol", 10443 },
	{ "9W8", "", "", ResidueType::NON_POLYMER, false, "2,6-dimethyl-3-(1-pyrimidin-2-ylpiperidin-4-yl)-1~{H}-pyridin-4-one", 10444 },
	{ "9WA", "", "", ResidueType::NON_POLYMER, false, "(R)-(4-chloro-2-methoxy-3-{[4-(1H-pyrazol-1-yl)phenyl]methyl}quinolin-6-yl)(1-methyl-1H-imidazol-5-yl)[6-(trifluoromethyl)pyridin-3-yl]methanol", 10445 },
	{ "9WB", "", "", ResidueType::NON_POLYMER, false, "2,6-dimethyl-3-phenyl-1~{H}-pyridin-4-one", 10446 },
	{ "9WD", "", "", ResidueType::NON_POLYMER, false, "1-{4-[(R)-(4-chloro-2-methoxy-3-{[4-(1H-pyrazol-1-yl)phenyl]methyl}quinolin-6-yl)(hydroxy)(1-methyl-1H-imidazol-5-yl)methyl]piperidin-1-yl}ethan-1-one", 10447 },
	{ "9WE", "", "", ResidueType::NON_POLYMER, false, "1-(pyridin-3-ylmethyl)-3-(1-pyrimidin-2-ylpiperidin-4-yl)urea", 10448 },
	{ "9WG", "", "", ResidueType::NON_POLYMER, false, "4-[3-(4-fluorophenyl)-1-methyl-1H-pyrazol-4-yl]-6-methyl-6,7-dihydro-5H-pyrrolo[3,4-b]pyridin-5-one", 10449 },
	{ "9WH", "", "", ResidueType::NON_POLYMER, false, "5-[(5-azanyl-3-methyl-pyrazol-1-yl)methyl]-~{N}-[1-[(2-chloranyl-6-fluoranyl-phenyl)methyl]pyrazol-3-yl]-1,3,4-thiadiazol-2-amine", 10450 },
	{ "9WK", "", "", ResidueType::NON_POLYMER, false, "4-[(5-azanyl-3-methyl-pyrazol-1-yl)methyl]-~{N}-[(2-chloranyl-4-fluoranyl-phenyl)methyl]benzamide", 10451 },
	{ "9WM", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{R},5~{R})-3-acetamido-5-fluoranyl-2-[(1~{R},2~{R})-1,2,3-tris(oxidanyl)propyl]-2,3,4,5-tetrahydropyran-1-ium-6-carboxylic acid", 10452 },
	{ "9WS", "", "", ResidueType::NON_POLYMER, false, "N-(2-chlorophenyl)pyrazolo[1,5-a]pyridine-3-carboxamide", 10453 },
	{ "9WT", "", "", ResidueType::NON_POLYMER, false, "Cefepime", 10454 },
	{ "9WV", "", "", ResidueType::PEPTIDE_LINKING, false, "beta-alanyl-3-amino-L-alanine", 10455 },
	{ "9X1", "", "", ResidueType::NON_POLYMER, false, "1,1'-[[1,1'-biphenyl]-4,4'-diylbis(methylene)]bis{4-[(4-chlorophenyl)(methyl)amino]quinolin-1-ium}", 10456 },
	{ "9X3", "", "", ResidueType::NON_POLYMER, false, "N-methyl-1-[3-(morpholin-4-ylmethyl)phenyl]methanamine", 10457 },
	{ "9X5", "", "", ResidueType::NON_POLYMER, false, "5-methyl-7~{H}-benzo[d][2]benzazepine", 10458 },
	{ "9X6", "", "", ResidueType::NON_POLYMER, false, "thiodiglycolic acid", 10459 },
	{ "9X8", "", "", ResidueType::NON_POLYMER, false, " thioacetyl-ADP-ribose", 10460 },
	{ "9XA", "", "", ResidueType::NON_POLYMER, false, "4-{6-(tert-butylsulfonyl)-7-[2-(4-methylpiperazin-1-yl)ethoxy]imidazo[1,2-a]pyridin-3-yl}-6-chloropyridin-2-amine", 10461 },
	{ "9XB", "", "", ResidueType::NON_POLYMER, false, "Pamamycin 607", 10462 },
	{ "9XE", "", "", ResidueType::NON_POLYMER, false, "7-methoxy-3-methyl-2-[5-[4-(trifluoromethyloxy)phenyl]pyridin-3-yl]-1~{H}-quinolin-4-one", 10463 },
	{ "9XG", "", "", ResidueType::NON_POLYMER, false, "3-methyl-N-phenylaniline", 10464 },
	{ "9XH", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-azanyl-4-[4-[bis(4-fluorophenyl)methyl]piperazin-1-yl]-1-(1,3-dihydroisoindol-2-yl)butane-1,4-dione", 10465 },
	{ "9XJ", "", "", ResidueType::NON_POLYMER, false, "3-(3-chlorophenoxy)-1-[(piperidin-4-yl)methyl]-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 10466 },
	{ "9XK", "", "", ResidueType::NON_POLYMER, false, "~{N}-(6-methyl-1,3-benzothiazol-2-yl)-2-[(4-oxidanylidene-3-phenyl-6,7-dihydrothieno[3,2-d]pyrimidin-2-yl)sulfanyl]ethanamide", 10467 },
	{ "9XN", "", "", ResidueType::NON_POLYMER, false, "Phosphoramidothioic O,O-acid", 10468 },
	{ "9XP", "", "", ResidueType::NON_POLYMER, false, "1-tert-butyl-N~3~-(3-chlorophenyl)-1H-pyrazolo[3,4-d]pyrimidine-3,4-diamine", 10469 },
	{ "9XQ", "", "", ResidueType::NON_POLYMER, false, "[azanyl-[(3-carboxyphenyl)amino]methylidene]azanium", 10470 },
	{ "9XT", "", "", ResidueType::NON_POLYMER, false, "3-[(4-azanyl-3-methyl-phenyl)methyl]-7-(furan-2-yl)-[1,2,3]triazolo[4,5-d]pyrimidin-5-amine", 10471 },
	{ "9XV", "", "", ResidueType::NON_POLYMER, false, "1-tert-butyl-3-[(3-chlorophenyl)methyl]-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 10472 },
	{ "9XW", "", "", ResidueType::NON_POLYMER, false, "~{N}-(4-methoxy-7-morpholin-4-yl-1,3-benzothiazol-2-yl)-4-methyl-4-oxidanyl-piperidine-1-carboxamide", 10473 },
	{ "9XY", "", "", ResidueType::NON_POLYMER, false, "Endoxifen", 10474 },
	{ "9XZ", "", "", ResidueType::NON_POLYMER, false, "3-(2-methyltetrazol-5-yl)-5-(3-thienyl)pyridin-2-amine", 10475 },
	{ "9Y1", "", "", ResidueType::NON_POLYMER, false, "2-[3-(4-fluorophenyl)-5-(trifluoromethyl)-1H-pyrazol-1-yl]-1,3-thiazole-4-carboxylic acid", 10476 },
	{ "9Y2", "", "", ResidueType::NON_POLYMER, false, "4-(3,3-dimethylbutanoylamino)-3,5-bis(fluoranyl)-~{N}-(1,3-thiazol-2-yl)benzamide", 10477 },
	{ "9Y7", "", "", ResidueType::NON_POLYMER, false, "2-{3-(3,4-difluorophenyl)-5-hydroxy-4-[(4-sulfamoylphenyl)methyl]-1H-pyrazol-1-yl}-1,3-thiazole-4-carboxylic acid", 10478 },
	{ "9Y9", "", "", ResidueType::NON_POLYMER, false, "tert-butyl {(2S,3R)-4-[(4S)-7-fluoro-4-methyl-1,1-dioxido-4,5-dihydro-1,2-benzothiazepin-2(3H)-yl]-3-hydroxy-1-phenylbutan-2-yl}carbamate", 10479 },
	{ "9YA", "", "", ResidueType::NON_POLYMER, false, "", 10480 },
	{ "9YD", "", "", ResidueType::NON_POLYMER, false, "2-[3-(3,4-difluorophenyl)-5-hydroxy-1H-pyrazol-1-yl]-1,3-thiazole-4-carboxylic acid", 10481 },
	{ "9YE", "", "", ResidueType::NON_POLYMER, false, "4-(3-methylbut-2-enoxy)-5-propan-2-yl-7,8-dihydro-6~{H}-indeno[1,2-b]indole-9,10-dione", 10482 },
	{ "9YG", "", "", ResidueType::NON_POLYMER, false, "1-tert-butyl-3-[(1H-indol-3-yl)methyl]-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 10483 },
	{ "9YH", "", "", ResidueType::NON_POLYMER, false, "2-[2-[2-hydroxy-2-oxoethyl-[(3-methoxy-2-oxidanyl-phenyl)methyl]amino]ethyl-[(2-methylsulfanylphenyl)methyl]amino]ethanoic acid", 10484 },
	{ "9YJ", "", "", ResidueType::NON_POLYMER, false, "1-tert-butyl-3-[(3-chlorophenyl)sulfanyl]-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 10485 },
	{ "9YK", "", "", ResidueType::NON_POLYMER, false, "2-[2-[[2,3-bis(oxidanyl)phenyl]methyl-(2-hydroxy-2-oxoethyl)amino]ethyl-[(2-methylsulfanylphenyl)methyl]amino]ethanoic acid", 10486 },
	{ "9YM", "", "", ResidueType::NON_POLYMER, false, "[4-({[(1R,2S,3S,4R,5S)-5-amino-2,3,4-trihydroxycyclohexyl]amino}methyl)-5-hydroxy-6-methylpyridin-3-yl]methyl dihydrogen phosphate", 10487 },
	{ "9YN", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-~{N}-[(2~{R},3~{R},4~{S},5~{R})-2-(6-aminopurin-9-yl)-5-(hydroxymethyl)-4-oxidanyl-oxolan-3-yl]-2-azanyl-4-methyl-pentanamide", 10488 },
	{ "9YP", "", "", ResidueType::NON_POLYMER, false, "{[(2R)-2-[(2-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)methyl]-3-(2-phosphonoethoxy)propoxy]methyl}phosphonic acid", 10489 },
	{ "9YQ", "", "", ResidueType::NON_POLYMER, false, "4-(propanoylamino)-~{N}-[4-[(5,8,11-trimethyl-6-oxidanylidene-pyrimido[4,5-b][1,4]benzodiazepin-2-yl)amino]phenyl]benzamide", 10490 },
	{ "9YS", "", "", ResidueType::NON_POLYMER, false, "6-[(1,3-benzothiazol-6-yl)amino]-4-{[(2S)-1-hydroxy-3-phenylpropan-2-yl]amino}-N-methylpyridine-3-carboxamide", 10491 },
	{ "9YV", "", "", ResidueType::NON_POLYMER, false, "4-(benzylamino)-6-({4-[(1-methylpiperidin-4-yl)carbamoyl]phenyl}amino)pyridine-3-carboxamide", 10492 },
	{ "9YY", "", "", ResidueType::NON_POLYMER, false, "4-(benzylamino)-6-[(2-oxo-2,3-dihydro-1H-indol-5-yl)amino]pyridine-3-carboxamide", 10493 },
	{ "9YZ", "", "", ResidueType::NON_POLYMER, false, "methyl 4-propanoyl-2,3-dihydroquinoxaline-1-carboxylate", 10494 },
	{ "9Z0", "", "", ResidueType::NON_POLYMER, false, "4,5-dibromo-N-(3-hydroxypropyl)-1H-pyrrole-2-carboxamide", 10495 },
	{ "9Z4", "", "", ResidueType::NON_POLYMER, false, "4-({[3-(propanoylamino)phenyl]methyl}amino)pyrrolo[1,2-b]pyridazine-3-carboxamide", 10496 },
	{ "9Z8", "", "", ResidueType::NON_POLYMER, false, "6-(2-Mercaptoacetylamino)-N-phenylhexanamide", 10497 },
	{ "9ZA", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methoxy-~{N}-[(2~{S})-1-methoxy-1-oxidanylidene-propan-2-yl]phosphonamidic acid", 10498 },
	{ "9ZD", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methoxy-~{N}-[(2~{R})-1-methoxy-1-oxidanylidene-propan-2-yl]phosphonamidic acid", 10499 },
	{ "9ZE", "", "", ResidueType::NON_POLYMER, false, "1-(2,3-dihydro-1,4-benzodioxin-6-yl)ethanone", 10500 },
	{ "9ZJ", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-6-chloro-4-(cyclopropylethynyl)-2-methyl-4-(trifluoromethyl)-1,4-dihydro-2H-3,1-benzoxazine", 10501 },
	{ "9ZM", "", "", ResidueType::NON_POLYMER, false, "methyl [(11S)-11-({(2E)-3-[5-chloro-2-(1H-tetrazol-1-yl)phenyl]prop-2-enoyl}amino)-6-fluoro-2-oxo-1,3,4,10,11,13-hexahydro-2H-5,9:15,12-di(azeno)-1,13-benzodiazacycloheptadecin-18-yl]carbamate", 10502 },
	{ "9ZP", "", "", ResidueType::NON_POLYMER, false, "4-[[(4R)-5-cyclopentyl-4-ethyl-3a,4-dihydro-3H-[1,2,4]triazolo[4,3-f]pteridin-7-yl]amino]-N-cyclopropyl-3-methoxy-benzamide", 10503 },
	{ "9ZQ", "", "", ResidueType::NON_POLYMER, false, "Ru(phen)2(dppz-11,12-Me2)", 10504 },
	{ "9ZS", "", "", ResidueType::NON_POLYMER, false, "N-[2-(2,6-dichlorophenyl)-1H-imidazo[4,5-c]pyridin-4-yl]cyclopropanecarboxamide", 10505 },
	{ "9ZT", "", "3DQ", ResidueType::NON_POLYMER, true, "(1R,2S,4S,5R)-2-(4-methoxyphenyl)methyl-1,4,5-trihydroxy-3-oxocyclohexane-1-carboxylic acid", 10506 },
	{ "9ZV", "", "", ResidueType::NON_POLYMER, false, "3-(3-benzyl-2-oxo-2H-[1,2,4]triazino[2,3-c]quinazolin-6-yl)propanoic acid", 10507 },
	{ "9ZY", "", "", ResidueType::NON_POLYMER, false, "2-chloro-5-(4-methyl-6-oxo-3-phenylpyrano[2,3-c]pyrazol-1(6H)-yl)benzoic acid", 10508 },
	{ "9ZZ", "", "", ResidueType::NON_POLYMER, false, "Erythrosin", 10509 },
	{ "A", "", "", ResidueType::RNA_LINKING, false, "ADENOSINE-5'-MONOPHOSPHATE", 10510 },
	{ "A00", "", "", ResidueType::NON_POLYMER, false, "N-[(5S)-5-{[(4-aminophenyl)sulfonyl](isobutyl)amino}-6-hydroxyhexyl]-Nalpha-(methoxycarbonyl)-beta-phenyl-L-phenylalaninamide", 10511 },
	{ "A01", "", "", ResidueType::NON_POLYMER, false, "[(2,6-DIMETHOXYPHENYL)CARBONYLAMINO]METHYL-TRIHYDROXY-BORON", 10512 },
	{ "A02", "", "", ResidueType::PEPTIDE_LIKE, false, "", 10513 },
	{ "A03", "", "", ResidueType::PEPTIDE_LIKE, false, "(10R,20R,23R)-1-[(2S,3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]-20,23-bis(3-carbamimidamidopropyl)-10-methyl-1,8,11,18,21-pentaoxo-2,9,12,19,22-pentaazatetracosan-24-amide", 10514 },
	{ "A04", "", "", ResidueType::NON_POLYMER, false, "5-[2-(TRIFLUOROMETHOXY)PHENYL]-2-FUROIC ACID", 10515 },
	{ "A05", "", "", ResidueType::NON_POLYMER, false, "5-(2-CHLORO-4-NITROPHENYL)-2-FUROIC ACID", 10516 },
	{ "A06", "", "", ResidueType::NON_POLYMER, false, "(3S)-4-(5-chloro-1H-benzimidazol-2-yl)-3-(4-chlorophenyl)butanoic acid", 10517 },
	{ "A07", "", "", ResidueType::NON_POLYMER, false, "N-(6-chloro-5-phenyl-1H-indazol-3-yl)butanamide", 10518 },
	{ "A08", "", "", ResidueType::NON_POLYMER, false, "(2S)-(4-chlorophenyl)(6-chloropyridin-2-yl)ethanenitrile", 10519 },
	{ "A09", "", "", ResidueType::NON_POLYMER, false, "N-hydroxybenzenesulfonamide", 10520 },
	{ "A0A", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-AMINO-4-(FORMYLOXY)-4-OXOBUTANOIC ACID", 10521 },
	{ "A0B", "", "", ResidueType::NON_POLYMER, false, "	Phloxine B", 10522 },
	{ "A0C", "", "", ResidueType::NON_POLYMER, false, "5-[(4,6-dimethylpyrimidin-2-yl)sulfanylmethyl]isoxazole-3-carboxamide", 10523 },
	{ "A0D", "", "", ResidueType::NON_POLYMER, false, "N-adamantan-2-yl-1-ethyl-D-prolinamide", 10524 },
	{ "A0H", "", "", ResidueType::NON_POLYMER, false, "N-(3-{3-chloro-8-[(4-morpholin-4-ylphenyl)amino]imidazo[1,2-a]pyrazin-6-yl}benzyl)methanesulfonamide", 10525 },
	{ "A0J", "", "", ResidueType::NON_POLYMER, false, "3-BENZYL-3-METHYL-5-(1-METHYLPYRAZOL-4-YL)INDOLIN-2-ONE", 10526 },
	{ "A0P", "", "", ResidueType::NON_POLYMER, false, "9-{5-O-[(R)-hydroxy{[(R)-hydroxy(phosphonoamino)phosphoryl]oxy}phosphoryl]-alpha-L-arabinofuranosyl}-9H-purin-6-amine", 10527 },
	{ "A0Q", "", "", ResidueType::NON_POLYMER, false, "5-(4-methylpiperazin-1-yl)-2-phenylmethoxy-~{N}-pyridin-3-yl-benzamide", 10528 },
	{ "A0S", "", "", ResidueType::NON_POLYMER, false, "(5R)-4-(5-bromofuran-2-carbonyl)-5-(4-fluorophenyl)-7-methyl-1,3,4,5-tetrahydro-2H-1,4-benzodiazepin-2-one", 10529 },
	{ "A0T", "", "", ResidueType::NON_POLYMER, false, "[4-[[4-(ethylamino)-5-(trifluoromethyl)pyrimidin-2-yl]amino]-2-fluoranyl-5-methoxy-phenyl]-morpholin-4-yl-methanone", 10530 },
	{ "A0V", "", "", ResidueType::NON_POLYMER, false, "1-{[hydroxy(phosphonooxy)boranyl]methyl}-1H-1,2,3-triazole-4-carboxylic acid", 10531 },
	{ "A0W", "", "", ResidueType::NON_POLYMER, false, "2-[[1,3-dicyclohexyl-4-oxidanyl-2,6-bis(oxidanylidene)pyrimidin-5-yl]carbonylamino]ethanoic acid", 10532 },
	{ "A0Y", "", "", ResidueType::NON_POLYMER, false, "phosphonooxy-[[[4-(1~{H}-1,2,3,4-tetrazol-5-yl)-2-(trifluoromethyl)phenyl]sulfonylamino]methyl]borinic acid", 10533 },
	{ "A11", "", "", ResidueType::NON_POLYMER, false, "ETHYL 4-[(4-CHLOROPYRIDIN-2-YL)AMINO]PIPERIDINE-1-CARBOXYLATE", 10534 },
	{ "A12", "", "", ResidueType::NON_POLYMER, false, "PHOSPHOMETHYLPHOSPHONIC ACID ADENOSYL ESTER", 10535 },
	{ "A13", "", "", ResidueType::NON_POLYMER, false, "4-METHYL-6-(TRIFLUOROMETHYL)PYRIMIDIN-2-AMINE", 10536 },
	{ "A14", "", "", ResidueType::NON_POLYMER, false, "(1S,4S,5S,7R)-7-{[(5S)-5-AMINO-5-CARBOXYPENTANOYL]AMINO}-3,3-DIMETHYL-6-OXO-2-THIABICYCLO[3.2.0]HEPTANE-4-CARBOXYLIC ACID", 10537 },
	{ "A15", "", "", ResidueType::NON_POLYMER, false, "3'-3\"-DICHLOROPHENOL-1,8-3H-BENZO[DE]ISOCHROMEN-1-ONE", 10538 },
	{ "A16", "", "", ResidueType::NON_POLYMER, false, "4-O-(4,6-dideoxy-4-{[(1S,2S,3S,4R,5S)-2,3,4-trihydroxy-5-(hydroxymethyl)cyclohexyl]amino}-alpha-D-glucopyranosyl)-beta-D-glucopyranose ", 10539 },
	{ "A17", "", "", ResidueType::NON_POLYMER, false, "N-cyclopropyl-4-methyl-3-[1-(2-methylphenyl)phthalazin-6-yl]benzamide", 10540 },
	{ "A18", "", "", ResidueType::NON_POLYMER, false, "5-(2-CHLOROBENZYL)-2-FUROIC ACID", 10541 },
	{ "A19", "", "", ResidueType::NON_POLYMER, false, "5-BROMO-2-{[(4-CHLOROPHENYL)SULFONYL]AMINO}BENZOIC ACID", 10542 },
	{ "A1A", "", "", ResidueType::NON_POLYMER, false, "6-AMINO HEXANOIC ACID", 10543 },
	{ "A1B", "", "", ResidueType::NON_POLYMER, false, "1-deoxy-alpha-L-xylulofuranose-1,2-borate", 10544 },
	{ "A1C", "", "", ResidueType::NON_POLYMER, false, "1-(3-chloro-4-methylphenyl)-N-(2-oxo-1-propyl-1,2,3,4-tetrahydroquinolin-6-yl)methanesulfonamide", 10545 },
	{ "A1E", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-{[10-(1,2,3,4-TETRAHYDROACRIDIN-9-YLAMINO)DECYL]AMINO}-5,6,7,8-TETRAHYDROQUINOLIN-2(1H)-ONE", 10546 },
	{ "A1F", "", "", ResidueType::NON_POLYMER, false, "1-(2-fluoro-4-methylphenyl)-N-(2-oxo-1-propyl-1,2,3,4-tetrahydroquinolin-6-yl)methanesulfonamide", 10547 },
	{ "A1G", "", "", ResidueType::NON_POLYMER, false, "(2S)-amino[(3R,5R,7R)-tricyclo[3.3.1.1~3,7~]decan-1-yl]acetic acid", 10548 },
	{ "A1H", "", "", ResidueType::NON_POLYMER, false, "2-(6-morpholin-4-ylpyrimidin-4-yl)-4-(1,2,3-triazol-1-yl)-1~{H}-pyrazol-3-one", 10549 },
	{ "A1J", "", "", ResidueType::NON_POLYMER, false, "3-(5,7,7-trihydroxy-2,2,7-trioxo-6-oxa-2lambda~6~-thia-3-aza-7lambda~5~-phospha-5-boraheptan-1-yl)benzoic acid", 10550 },
	{ "A1K", "", "", ResidueType::NON_POLYMER, false, "[4-[[5-chloranyl-4-(methylamino)-7~{H}-pyrrolo[2,3-d]pyrimidin-2-yl]amino]-3-methoxy-phenyl]-morpholin-4-yl-methanone", 10551 },
	{ "A1L", "", "", ResidueType::NON_POLYMER, false, "[2-[[(2S)-1-[bis(phenylmethyl)amino]-5-[[N-(methylcarbamoyl)carbamimidoyl]amino]-1-oxidanylidene-pentan-2-yl]amino]-2-oxidanylidene-ethyl]-diazonio-azanide", 10552 },
	{ "A1M", "", "", ResidueType::NON_POLYMER, false, "phosphonooxy-[[[4-(1~{H}-1,2,3,4-tetrazol-5-yl)phenyl]sulfonylamino]methyl]borinic acid", 10553 },
	{ "A1N", "", "", ResidueType::NON_POLYMER, false, "(2~{R},6~{S})-2,6-dimethyl-4-[6-[5-(1-methylcyclopropyl)oxy-1~{H}-indazol-3-yl]pyrimidin-4-yl]morpholine", 10554 },
	{ "A1O", "", "", ResidueType::NON_POLYMER, false, "Quinabactin", 10555 },
	{ "A1P", "", "", ResidueType::DNA_LINKING, true, "9-{2-DEOXY-5-O-[HYDROXY(OXIDO)PHOSPHINO]-BETA-L-ERYTHRO-PENTOFURANOSYL}-9H-PURIN-2-AMINE", 10556 },
	{ "A1Q", "", "", ResidueType::SACCHARIDE, false, "methyl L-glycero-alpha-D-manno-heptopyranoside", 10557 },
	{ "A1R", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-{[(S)-{[(2R,3R,4S)-3,4-DIHYDROXYPYRROLIDIN-2-YL]METHOXY}(HYDROXY)PHOSPHORYL]OXY}(HYDROXY)PHOSPHORYL]ADENOSINE", 10558 },
	{ "A1S", "", "", ResidueType::NON_POLYMER, false, "isopentyl-Coenzyme A", 10559 },
	{ "A1T", "", "", ResidueType::NON_POLYMER, false, "5-PENTYL-N-{[4'-(PIPERIDIN-1-YLCARBONYL)BIPHENYL-4-YL]METHYL}-N-[1-(PYRIDIN-2-YLMETHYL)PIPERIDIN-4-YL]PYRIDINE-2-CARBOXAMIDE", 10560 },
	{ "A1V", "", "", ResidueType::NON_POLYMER, false, "", 10561 },
	{ "A1X", "", "", ResidueType::NON_POLYMER, false, "ethyl (2S)-2-hydroxy-4-[1-(2-methylpropyl)hydrazino]-4-oxobutanoate", 10562 },
	{ "A1Y", "", "", ResidueType::NON_POLYMER, false, "4,6-dimethyl-2-(morpholin-4-yl)pyridine-3-carbonitrile", 10563 },
	{ "A1Z", "", "", ResidueType::NON_POLYMER, false, "Vadadustat", 10564 },
	{ "A20", "", "", ResidueType::NON_POLYMER, false, "3-aminopropane-1-sulfonic acid", 10565 },
	{ "A21", "", "", ResidueType::NON_POLYMER, false, "(5S)-2-{[(1S)-1-(2-fluorophenyl)ethyl]amino}-5-methyl-5-(trifluoromethyl)-1,3-thiazol-4(5H)-one", 10566 },
	{ "A22", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-5-(6-AMINO-9H-PURIN-9-YL)-3,4-DIHYDROXYTETRAHYDROFURAN-2-YL]METHYL [(2R,3R,4R,5R)-5-(6-AMINO-9H-PURIN-9-YL)-3-HYDROXY-4-(PHOSPHONOOXY)TETRAHYDROFURAN-2-YL]METHYL DIHYDROGEN DIPHOSPHATE", 10567 },
	{ "A23", "", "", ResidueType::RNA_LINKING, false, "", 10568 },
	{ "A24", "", "", ResidueType::NON_POLYMER, false, "(3-NITRO-5-(2-MORPHOLIN-4-YL-ETHYLAMINOCARBONYL)PHENYL)-GALACTOPYRANOSIDE", 10569 },
	{ "A25", "", "", ResidueType::NON_POLYMER, false, "18-CHLORO-11,12,13,14-TETRAHYDRO-1H,10H-8,4-(AZENO)-9,15,1,3,6-BENZODIOXATRIAZACYCLOHEPTADECIN-2-ONE", 10570 },
	{ "A26", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-cyano-3-hydroxy-N-[4-(trifluoromethyl)phenyl]but-2-enamide", 10571 },
	{ "A27", "", "", ResidueType::NON_POLYMER, false, "N-[6-(4-hydroxyphenyl)-5-phenyl-1H-indazol-3-yl]butanamide", 10572 },
	{ "A28", "", "", ResidueType::NON_POLYMER, false, "N-(6,7-difluoro-5-phenyl-1H-indazol-3-yl)butanamide", 10573 },
	{ "A29", "", "", ResidueType::NON_POLYMER, false, "2-(3-HYDROXYPHENYL)-2-OXO-ETHANOIC ACID", 10574 },
	{ "A2B", "", "", ResidueType::NON_POLYMER, false, "L-xylulofuranose-1,2-borate", 10575 },
	{ "A2C", "", "", ResidueType::NON_POLYMER, false, "3,3'-[ethane-1,2-diylbis(nitrilomethylylidene)]bis(4-hydroxybenzenecarboximidamide)", 10576 },
	{ "A2D", "", "", ResidueType::NON_POLYMER, false, "BIS{[(2R,3S,4R,5R)-5-(6-AMINO-9H-PURIN-9-YL)-3,4-DIHYDROXYTETRAHYDROFURAN-2-YL]METHYL} DIHYDROGEN DIPHOSPHATE", 10577 },
	{ "A2E", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-{[10-(1,2,3,4-TETRAHYDROACRIDIN-9-YLAMINO)DECYL]AMINO}-5,6,7,8-TETRAHYDROQUINOLIN-2(1H)-ONE", 10578 },
	{ "A2F", "", "", ResidueType::NON_POLYMER, false, "2-fluoroadenine", 10579 },
	{ "A2G", "", "", ResidueType::SACCHARIDE, false, "N-ACETYL-2-DEOXY-2-AMINO-GALACTOSE", 10580 },
	{ "A2H", "", "", ResidueType::NON_POLYMER, false, "4-Chloro-3-aminomethyl-7-[ethoxy]-3H-benzo[C][1,2]oxaborol-1-ol modified adenosine", 10581 },
	{ "A2J", "", "", ResidueType::NON_POLYMER, false, "3-(trifluoromethyl)quinoxalin-2(1H)-one", 10582 },
	{ "A2K", "", "", ResidueType::NON_POLYMER, false, "(8S,11R,13S,14S,16S,17S)-17-cyclopropylcarbonyl-16-ethenyl-13-methyl-11-(4-pyridin-3-ylphenyl)-2,6,7,8,11,12,14,15,16,17-decahydro-1H-cyclopenta[a]phenanthren-3-one", 10583 },
	{ "A2L", "", "", ResidueType::RNA_LINKING, false, "", 10584 },
	{ "A2M", "A39", "", ResidueType::RNA_LINKING, false, "", 10585 },
	{ "A2N", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-4-(acetylamino)-3,5-dihydroxytetrahydrofuran-2-yl]methyl [(2R,3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]methyl dihydrogen diphosphate", 10586 },
	{ "A2O", "", "", ResidueType::NON_POLYMER, false, "N-(2-oxo-1-propyl-1,2,3,4-tetrahydroquinolin-6-yl)-1-phenylmethanesulfonamide", 10587 },
	{ "A2P", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE-2'-5'-DIPHOSPHATE", 10588 },
	{ "A2Q", "", "", ResidueType::NON_POLYMER, false, "cyclohex-2-en-1-one", 10589 },
	{ "A2R", "", "", ResidueType::NON_POLYMER, false, "[(2R,3R,4R,5R)-5-(6-AMINO-9H-PURIN-9-YL)-3-HYDROXY-4-(PHOSPHONOOXY)TETRAHYDROFURAN-2-YL]METHYL [(2R,3S,4R,5R)-3,4,5-TRIHYDROXYTETRAHYDROFURAN-2-YL]METHYL DIHYDROGEN DIPHOSPHATE", 10590 },
	{ "A2T", "", "", ResidueType::NON_POLYMER, false, "N-[1-(3-METHYLBUTYL)PIPERIDIN-4-YL]-N-{4-[METHYL(PYRIDIN-4-YL)AMINO]BENZYL}-4-PENTYLBENZAMIDE", 10591 },
	{ "A2V", "", "", ResidueType::NON_POLYMER, false, "1-(3,5-difluoro-4-methylphenyl)-N-(2-oxo-1-propyl-1,2,3,4-tetrahydroquinolin-6-yl)methanesulfonamide", 10592 },
	{ "A2W", "", "", ResidueType::NON_POLYMER, false, "3-(4-fluorophenyl)-4-(imidazol-1-ylmethyl)-1-phenyl-pyrazole", 10593 },
	{ "A2Y", "", "", ResidueType::NON_POLYMER, false, "(3S,5S,7S)-N-{[5-(thiophen-2-yl)-1,2-oxazol-3-yl]methyl}tricyclo[3.3.1.1~3,7~]decan-1-aminium", 10594 },
	{ "A2Z", "", "", ResidueType::NON_POLYMER, false, "6,9-dimethyl[1,3]dioxolo[4,5-h]quinolin-8(9H)-one", 10595 },
	{ "A31", "", "", ResidueType::NON_POLYMER, false, "N-{15-oxo-19-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]-4,7,10-trioxa-14-azanonadec-1-yl}-N'-(8-{[(3S,5S,7S)-tricyclo[3.3.1.1~3,7~]dec-1-ylcarbonyl]amino}octyl)pentanediamide", 10596 },
	{ "A32", "", "", ResidueType::NON_POLYMER, false, "(3-NITRO-5-(3-MORPHOLIN-4-YL-PROPYLAMINOCARBONYL)PHENYL)-GALACTOPYRANOSIDE", 10597 },
	{ "A33", "", "", ResidueType::NON_POLYMER, false, "2-(carboxymethyl)-D-aspartic acid", 10598 },
	{ "A34", "", "6MA", ResidueType::DNA_LINKING, true, "", 10599 },
	{ "A35", "", "A40", ResidueType::DNA_LINKING, true, "", 10600 },
	{ "A36", "", "", ResidueType::NON_POLYMER, false, "N-[2-(diethylamino)ethyl]-1-(4-fluorophenyl)methanesulfonamide", 10601 },
	{ "A37", "", "", ResidueType::NON_POLYMER, false, "2,5-DICHLORO-N-(5-CHLORO-1,3-BENZOXAZOL-2-YL)BENZENESULFONAMIDE", 10602 },
	{ "A38", "", "", ResidueType::DNA_LINKING, false, "", 10603 },
	{ "A39", "", "A2M", ResidueType::RNA_LINKING, true, "", 10604 },
	{ "A3A", "", "", ResidueType::DNA_LINKING, false, "2'DEOXY-ALPHA-ANOMERIC-ADENOSINE-5'-PHOSPHATE", 10605 },
	{ "A3B", "", "", ResidueType::NON_POLYMER, false, "D-VINYLGLYCINE", 10606 },
	{ "A3C", "", "", ResidueType::NON_POLYMER, false, "2-(methyl{2-[(1S,4aS,8aS)-5,5,8a-trimethyl-2-methylidenedecahydronaphthalen-1-yl]ethyl}amino)ethyl trihydrogen diphosphate", 10607 },
	{ "A3D", "NAC", "", ResidueType::NON_POLYMER, false, "3-ACETYLPYRIDINE ADENINE DINUCLEOTIDE", 10608 },
	{ "A3E", "", "", ResidueType::NON_POLYMER, false, "5-[4-(morpholin-4-ylmethyl)phenyl]-3-(1-propan-2-yl-1,2,3-triazol-4-yl)pyridin-2-amine", 10609 },
	{ "A3F", "", "", ResidueType::NON_POLYMER, false, "3-[6-amino-5-(3,4,5-trimethoxyphenyl)pyridin-3-yl]phenol", 10610 },
	{ "A3G", "", "", ResidueType::NON_POLYMER, false, "3'-deoxy-3'-(glycylamino)adenosine", 10611 },
	{ "A3H", "", "", ResidueType::NON_POLYMER, false, "4-(3-methylphenyl)-6-[(1-methylpyrazol-3-yl)amino]-1~{H}-pyrrolo[2,3-b]pyridine-3-carbonitrile", 10612 },
	{ "A3J", "", "", ResidueType::NON_POLYMER, false, "2-ethyl-7-[(3S)-3-hydroxy-3-methylpyrrolidin-1-yl]-5-(trifluoromethyl)-1H-pyrrolo[3,2-b]pyridine-6-carbonitrile", 10613 },
	{ "A3K", "", "", ResidueType::NON_POLYMER, false, "6-azanyl-4-(3-methylphenyl)-1~{H}-pyrrolo[2,3-b]pyridine-3-carbonitrile", 10614 },
	{ "A3M", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-3-METHYL-1-PYRROLIDIN-1-YL-BUTAN-1-ONE", 10615 },
	{ "A3N", "", "", ResidueType::NON_POLYMER, false, "5'-deoxy-5'-(prop-2-yn-1-ylamino)adenosine", 10616 },
	{ "A3P", "", "", ResidueType::RNA_LINKING, false, "ADENOSINE-3'-5'-DIPHOSPHATE", 10617 },
	{ "A3Q", "", "", ResidueType::NON_POLYMER, false, "4-(3-hydroxyphenyl)-1~{H}-pyrrolo[2,3-b]pyridine-3-carbonitrile", 10618 },
	{ "A3S", "", "", ResidueType::NON_POLYMER, false, "SERINE-3'-AMINOADENOSINE", 10619 },
	{ "A3T", "", "", ResidueType::NON_POLYMER, false, "3'-deoxy-3'-(L-threonylamino)adenosine", 10620 },
	{ "A3V", "", "", ResidueType::NON_POLYMER, false, "(1R)-3-amino-1-[3-(cyclohexylmethoxy)phenyl]propan-1-ol", 10621 },
	{ "A3W", "", "", ResidueType::NON_POLYMER, false, "5-(4,6-dimorpholin-4-yl-1,3,5-triazin-2-yl)-4-(trifluoromethyl)pyridin-2-amine", 10622 },
	{ "A3Y", "", "", ResidueType::NON_POLYMER, false, "6-[4-(2-hydroxyethyl)piperazin-1-yl]-2-[(3S)-3-(hydroxymethyl)piperidin-1-yl]-4-(trifluoromethyl)pyridine-3-carbonitrile", 10623 },
	{ "A40", "A35", "", ResidueType::DNA_LINKING, false, "", 10624 },
	{ "A41", "", "", ResidueType::NON_POLYMER, false, "5-METHYL-2-[(PHENYLSULFONYL)AMINO]BENZOIC ACID", 10625 },
	{ "A42", "", "", ResidueType::NON_POLYMER, false, "1-(5-CHLORO-2,4-DIMETHOXYPHENYL)-3-(5-CYANOPYRAZIN-2-YL)UREA", 10626 },
	{ "A43", "", "", ResidueType::DNA_LINKING, false, "", 10627 },
	{ "A44", "", "", ResidueType::RNA_LINKING, false, "", 10628 },
	{ "A45", "", "", ResidueType::NON_POLYMER, false, "3-(5-AMINO-7-HYDROXY-[1,2,3]TRIAZOLO[4,5-D]PYRIMIDIN-2-YL)-BENZOIC ACID", 10629 },
	{ "A46", "", "", ResidueType::NON_POLYMER, false, "5-chloro-N-{4-[(1R)-1,2-dihydroxyethyl]phenyl}-1H-indole-2-carboxamide", 10630 },
	{ "A47", "", "", ResidueType::DNA_LINKING, false, "", 10631 },
	{ "A48", "", "", ResidueType::NON_POLYMER, false, "4-[(DIMESITYLBORYL)(2,2,2-TRIFLUOROETHYL)AMINO]PHENOL", 10632 },
	{ "A49", "", "", ResidueType::NON_POLYMER, false, "N-{1-[(1-carbamoylcyclopropyl)methyl]piperidin-4-yl}-N-cyclopropyl-4-[(1S)-2,2,2-trifluoro-1-hydroxy-1-methylethyl]benzamide", 10633 },
	{ "A4A", "", "", ResidueType::NON_POLYMER, false, "[1,3]benzodioxolo[6,5,4-cd]benzo[f]indol-5(6H)-one", 10634 },
	{ "A4B", "", "", ResidueType::NON_POLYMER, false, "[3-chloranyl-4-(2-methoxyphenyl)phenyl]methanamine", 10635 },
	{ "A4C", "", "", ResidueType::NON_POLYMER, false, "9,9'-(HEXANE-1,6-DIYLDIIMINO)BIS{N-[2-(DIMETHYLAMINO)ETHYL]ACRIDINE-4-CARBOXAMIDE}", 10636 },
	{ "A4D", "", "", ResidueType::NON_POLYMER, false, "5'-thioadenosine", 10637 },
	{ "A4F", "", "", ResidueType::NON_POLYMER, false, "5-amino-2-(6-hydroxy-3-oxo-3H-xanthen-9-yl)benzoic acid", 10638 },
	{ "A4G", "", "", ResidueType::NON_POLYMER, false, "[(3R)-1-(5-methyl-7H-pyrrolo[2,3-d]pyrimidin-4-yl)piperidin-3-yl]methanol", 10639 },
	{ "A4J", "", "", ResidueType::NON_POLYMER, false, "6-[(3S,4S)-3,4-dihydroxypyrrolidin-1-yl]-2-[(3S)-3-hydroxy-3-methylpyrrolidin-1-yl]-4-(trifluoromethyl)pyridine-3-carbonitrile", 10640 },
	{ "A4L", "", "", ResidueType::NON_POLYMER, false, "9-[(5-(ACETYLAMINO)-6-{[(1S,4R)-8-AMINO-4-[((2R)-6-AMINO-2-{2-[(1S)-5-AMINO-1-FORMYLPENTYL]HYDRAZINO}HEXANOYL)AMINO]-1-(4-AMINOBUTYL)-2,3-DIOXOOCTYL]AMINO}-6-OXOHEXYL)AMINO]-6-CHLORO-2-METHOXYACRIDINIUM", 10641 },
	{ "A4M", "", "", ResidueType::NON_POLYMER, false, "[3-(6-amino-2-methyl-9H-purin-9-yl)azetidin-1-yl]{5-[(4-cycloheptylpiperazin-1-yl)methyl]-1-methyl-1H-pyrazol-3-yl}methanone", 10642 },
	{ "A4N", "", "", ResidueType::NON_POLYMER, false, "[3-chloranyl-4-(2-methylphenyl)phenyl]methanamine", 10643 },
	{ "A4P", "", "", ResidueType::NON_POLYMER, false, "6-(ADENOSINE TETRAPHOSPHATE-METHYL)-7,8-DIHYDROPTERIN", 10644 },
	{ "A4Q", "", "", ResidueType::NON_POLYMER, false, "[3-chloranyl-4-(2-ethylphenyl)phenyl]methanamine", 10645 },
	{ "A4S", "", "", ResidueType::NON_POLYMER, false, "(2E,6E)-3,7-dimethyl-8-(phenylamino)octa-2,6-dien-1-yl trihydrogen diphosphate", 10646 },
	{ "A4T", "", "", ResidueType::NON_POLYMER, false, "[3-chloranyl-4-(2-fluorophenyl)phenyl]methanamine", 10647 },
	{ "A4V", "", "", ResidueType::NON_POLYMER, false, "3-benzyladenine", 10648 },
	{ "A4W", "", "", ResidueType::NON_POLYMER, false, "~{N}-(3-chloranyl-2-fluoranyl-phenyl)-3-sulfanyl-propanamide", 10649 },
	{ "A4Z", "", "", ResidueType::NON_POLYMER, false, "2-(4-butoxyphenyl)-N-hydroxyacetamide", 10650 },
	{ "A51", "", "", ResidueType::NON_POLYMER, false, "(3E)-3-[(phenylamino)methylidene]dihydrofuran-2(3H)-one", 10651 },
	{ "A52", "", "", ResidueType::NON_POLYMER, false, "3-AMINOMETHYL-7-(ETHOXY)-3H-BENZO[C][1,2]OXABOROL-1-OL modified adenosine", 10652 },
	{ "A53", "", "", ResidueType::NON_POLYMER, false, "5-{5-[(S)-2-AMINO-3-(1H-INDOL-3-YL)-PROPOXYL]-PYRIDIN-3-YL}-3-[1-(1H-PYRROL-2-YL)-METH-(Z)-YLIDENE]-1,3-DIHYDRO-INDOL-2-ONE", 10653 },
	{ "A54", "", "", ResidueType::NON_POLYMER, false, "2-[(1R)-3-amino-1-phenyl-propoxy]-4-chloro-benzonitrile", 10654 },
	{ "A55", "", "", ResidueType::NON_POLYMER, false, "N-[2-(4-AMINO-5,8-DIFLUORO-1,2-DIHYDROQUINAZOLIN-2-YL)ETHYL]-3-FURAMIDE", 10655 },
	{ "A56", "", "", ResidueType::NON_POLYMER, false, "6-(3-BROMO-2-NAPHTHYL)-1,3,5-TRIAZINE-2,4-DIAMINE", 10656 },
	{ "A57", "", "", ResidueType::NON_POLYMER, false, "1-[2-(1H-imidazol-5-yl)ethyl]-4-methyl-2,6-di(propan-2-yl)pyridin-1-ium", 10657 },
	{ "A58", "", "", ResidueType::NON_POLYMER, false, "4-(6-{[(4-METHYLCYCLOHEXYL)AMINO]METHYL}-1,4-DIHYDROINDENO[1,2-C]PYRAZOL-3-YL)BENZOIC ACID", 10658 },
	{ "A5A", "", "", ResidueType::NON_POLYMER, false, "'5'-O-(N-(L-ALANYL)-SULFAMOYL)ADENOSINE", 10659 },
	{ "A5B", "", "", ResidueType::NON_POLYMER, false, "alisertib ", 10660 },
	{ "A5C", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S,5R)-5-[(1S)-1,2-DIHYDROXYETHYL]OXOLANE-2,3,4-TRIOL", 10661 },
	{ "A5D", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S,5S)-2-(6-amino-9H-purin-9-yl)-5-[(benzyldisulfanyl)methyl]tetrahydrofuran-3,4-diol", 10662 },
	{ "A5E", "", "", ResidueType::NON_POLYMER, false, "3-thiophen-2-yl-4,5-dihydro-1~{H}-pyridazin-6-one", 10663 },
	{ "A5H", "", "", ResidueType::NON_POLYMER, false, "3-(4-chlorophenyl)-5,6-dihydroimidazo[2,1-b][1,3]thiazole", 10664 },
	{ "A5K", "", "", ResidueType::NON_POLYMER, false, "1-[3-chloranyl-5-(trifluoromethyl)pyridin-2-yl]-1,4-diazepane", 10665 },
	{ "A5L", "", "", ResidueType::DNA_LINKING, false, "9-(2-deoxy-2-fluoro-5-O-phosphono-beta-D-arabinofuranosyl)-9H-purin-6-amine", 10666 },
	{ "A5M", "", "", ResidueType::RNA_LINKING, false, "2'-AMINE-CYTIDINE-5'-MONOPHOSPHATE", 10667 },
	{ "A5N", "", "", ResidueType::PEPTIDE_LINKING, false, "O-carboxy-4-imino-L-homoserine", 10668 },
	{ "A5O", "", "", ResidueType::RNA_LINKING, false, "", 10669 },
	{ "A5P", "", "", ResidueType::NON_POLYMER, false, "ARABINOSE-5-PHOSPHATE", 10670 },
	{ "A5Q", "", "", ResidueType::NON_POLYMER, false, "4-[4-(trifluoromethyl)phenyl]-1,2,3-thiadiazol-5-amine", 10671 },
	{ "A5R", "", "", ResidueType::PEPTIDE_LIKE, false, "amino{[(4S)-4-amino-9-carboxy-5-oxononyl]amino}methaniminium", 10672 },
	{ "A5T", "", "", ResidueType::NON_POLYMER, false, "(1R,5S)-7-{4-[3-(2-chloro-3,6-difluorophenoxy)propyl]phenyl}-N-cyclopropyl-N-(2,3-dichlorobenzyl)-3,9-diazabicyclo[3.3.1]non-6-ene-6-carboxamide", 10673 },
	{ "A5V", "", "", ResidueType::NON_POLYMER, false, "(1S)-3-amino-1-[3-(cyclohexylmethoxy)phenyl]propan-1-ol", 10674 },
	{ "A5W", "", "", ResidueType::NON_POLYMER, false, "cyclobutyl-[4-(2-methoxyphenyl)piperidin-1-yl]methanone", 10675 },
	{ "A5Z", "", "", ResidueType::NON_POLYMER, false, "[3-[2,6-bis(chloranyl)phenyl]-5-methyl-1,2-oxazol-4-yl]methanol", 10676 },
	{ "A60", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-yl [(1S,2R)-3-{[(4-aminophenyl)sulfonyl](2-ethylbutyl)amino}-1-benzyl-2-hydroxypropyl]carbamate", 10677 },
	{ "A61", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-yl {(1S,2R)-3-[(1,3-benzothiazol-6-ylsulfonyl)(2-ethylbutyl)amino]-1-benzyl-2-hydroxypropyl}carbamate", 10678 },
	{ "A62", "", "", ResidueType::NON_POLYMER, false, "(3R)-4-(4-chlorophenyl)-1-[(3S,4R)-3-(4-chlorophenyl)-4-(hydroxymethyl)pyrrolidin-1-yl]-3-hydroxybutan-1-one", 10679 },
	{ "A63", "", "", ResidueType::NON_POLYMER, false, "2-(4-methoxyphenyl)-4H-chromen-4-one", 10680 },
	{ "A64", "", "", ResidueType::NON_POLYMER, false, "4'-ISOPROPYLFLAVONE", 10681 },
	{ "A65", "", "", ResidueType::NON_POLYMER, false, "[3,5-bis(methylsulfanyl)-1,2-thiazol-4-yl]methanol", 10682 },
	{ "A66", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINOETHYLLYSINE-CARBONYLMETHYLENE-ADENINE", 10683 },
	{ "A68", "", "", ResidueType::NON_POLYMER, false, "N~2~-acetyl-N-[(2S,3R)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino}-1-phenylbutan-2-yl]-L-isoleucinamide", 10684 },
	{ "A69", "", "", ResidueType::NON_POLYMER, false, "N-{(2S,3R)-4-[(1,3-benzothiazol-6-ylsulfonyl)(3-phenylpropyl)amino]-3-hydroxy-1-phenylbutan-2-yl}-3-hydroxybenzamide", 10685 },
	{ "A6A", "", "", ResidueType::RNA_LINKING, false, "2-(6-amino-9H-purin-9-yl)-1,5-anhydro-2-deoxy-6-O-phosphono-D-altritol", 10686 },
	{ "A6B", "", "", ResidueType::NON_POLYMER, false, "(3S,5S,7S)-N-[6-({5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoyl}amino)hexyl]tricyclo[3.3.1.1~3,7~]decane-1-carboxamide", 10687 },
	{ "A6C", "", "", ResidueType::RNA_LINKING, false, "2-(4-amino-2-oxopyrimidin-1(2H)-yl)-1,5-anhydro-2-deoxy-6-O-phosphono-D-altritol", 10688 },
	{ "A6D", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S,5S)-2-(6-amino-9H-purin-9-yl)-5-{[(3-nitrobenzyl)disulfanyl]methyl}tetrahydrofuran-3,4-diol", 10689 },
	{ "A6E", "", "", ResidueType::NON_POLYMER, false, "3-(4-fluoranylphenoxy)-1-thiomorpholin-4-yl-propan-1-one", 10690 },
	{ "A6G", "", "", ResidueType::RNA_LINKING, false, "2-(2-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)-1,5-anhydro-2-deoxy-6-O-phosphono-D-altritol", 10691 },
	{ "A6H", "", "", ResidueType::NON_POLYMER, false, "6-[2,6-bis(chloranyl)phenoxy]pyridin-3-amine", 10692 },
	{ "A6J", "", "", ResidueType::NON_POLYMER, false, "(3-Deoxy-3-(2,3,5,6-tetra-fluoro-4-methoxy-benzamido)-b-D-galactopyranosyl)-(3-deoxy-3-(2,3,5,6-tetra-fluoro-4-methoxy-benzamido)-2-O-sulfo-b-D-galactopyranosyl)-sulfide", 10693 },
	{ "A6K", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-azanyl-4-(4-chlorophenyl)-1-[(3S,4R)-3-(4-chlorophenyl)-4-(hydroxymethyl)pyrrolidin-1-yl]butan-1-one", 10694 },
	{ "A6M", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-amino-4-(4-chlorophenyl)-1-[(3R,4S)-3-(4-chlorophenyl)-4-(hydroxymethyl)pyrrolidin-1-yl]butan-1-one", 10695 },
	{ "A6N", "", "", ResidueType::NON_POLYMER, false, "4-[[4-[azanyl-bis(oxidanyl)-$l^{4}-sulfanyl]phenoxy]methyl]-1-phenyl-1,2,3-triazole", 10696 },
	{ "A6P", "", "", ResidueType::NON_POLYMER, false, "6-O-phosphono-alpha-D-allopyranose", 10697 },
	{ "A6R", "", "", ResidueType::NON_POLYMER, false, "arsenoplatin-1", 10698 },
	{ "A6S", "", "", ResidueType::NON_POLYMER, false, "1-cyclohexyl-N-({6-fluoro-1-[2-(3-methoxyphenyl)pyridin-4-yl]-1H-indol-3-yl}methyl)methanamine", 10699 },
	{ "A6T", "", "", ResidueType::NON_POLYMER, false, "(1S,5R)-7-{4-[3-(2-chloro-3,6-difluorophenoxy)propyl]phenyl}-N-cyclopropyl-N-(2,3-dichlorobenzyl)-3,9-diazabicyclo[3.3.1]non-6-ene-6-carboxamide", 10700 },
	{ "A6U", "", "", ResidueType::RNA_LINKING, false, "1,5-anhydro-2-deoxy-2-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)-6-O-phosphono-D-altritol", 10701 },
	{ "A6V", "", "", ResidueType::NON_POLYMER, false, "(1R)-3-amino-1-{3-[(2,6,6-trimethylcyclohex-1-en-1-yl)methoxy]phenyl}propan-1-ol", 10702 },
	{ "A6W", "", "", ResidueType::NON_POLYMER, false, "methyl 3-azanyl-5-thiophen-2-yl-thiophene-2-carboxylate", 10703 },
	{ "A6Z", "", "", ResidueType::NON_POLYMER, false, "2-[4-(3-chlorophenyl)piperazin-1-ium-1-yl]ethanenitrile", 10704 },
	{ "A70", "", "", ResidueType::NON_POLYMER, false, "N-ethyl-N-[(4-methylpiperazin-1-yl)carbonyl]-D-phenylalanyl-N-[(1S,2S,4R)-4-(butylcarbamoyl)-1-(cyclohexylmethyl)-2-hydroxy-5-methylhexyl]-L-norleucinamide", 10705 },
	{ "A71", "", "", ResidueType::NON_POLYMER, false, "(6-AMINOHEXYLAMINE)(TRIAMMINE) PLATINUM(II) COMPLEX", 10706 },
	{ "A72", "", "", ResidueType::NON_POLYMER, false, "TRANS-BIS(HEXYLAMINE)-(DIAMMINE) PLATINUM(II) COMPLEX", 10707 },
	{ "A73", "", "", ResidueType::NON_POLYMER, false, "2-(4-bromophenyl)-4H-chromen-4-one", 10708 },
	{ "A74", "", "", ResidueType::NON_POLYMER, false, "2,5-DICHLORO-N-[5-METHOXY-7-(6-METHOXYPYRIDIN-3-YL)-1,3-BENZOXAZOL-2-YL]BENZENESULFONAMIDE", 10709 },
	{ "A75", "", "", ResidueType::NON_POLYMER, false, "2-[(PHENYLSULFONYL)AMINO]-5,6,7,8-TETRAHYDRONAPHTHALENE-1-CARBOXYLIC ACID", 10710 },
	{ "A76", "", "", ResidueType::NON_POLYMER, false, "N-{1-BENZYL-(2R,3R)-2,3-DIHYDROXY-4-[3-METHYL-2-(3-METHYL-3-PYRIDIN-2-YLMETHYL-UREIDO)-BUTYRYLAMINO]-5-PHENYL-PENTYL}-3-METHYL-2-(3-METHYL-3-PYRIDIN-2-YLMETHYL-UREIDO)-BUTYRAMIDE", 10711 },
	{ "A77", "", "", ResidueType::NON_POLYMER, false, "N-{1-BENZYL-(2R,3S)-2,3-DIHYDROXY-4-[3-METHYL-2-(3-METHYL-3-PYRIDIN-2-YLMETHYL-UREIDO)-BUTYRYLAMINO]-5-PHENYL-PENTYL}-3-METHYL-2-(3-METHYL-3-PYRIDIN-2-YLMETHYL-UREIDO)-BUTYRAMIDE", 10712 },
	{ "A78", "", "", ResidueType::NON_POLYMER, false, "N-{1-BENZYL-3-HYDROXY-4-[3-METHYL-2-(3-METHYL-3-PYRIDIN-2-YLMETHYL-UREIDO)-BUTYRYLAMINO]-5-PHENYL-PENTYL}-3-METHYL-2-(3-METHYL-3-PYRIDIN-2-YLMETHYL-UREIDO)-BUTYRAMIDE", 10713 },
	{ "A79", "", "", ResidueType::NON_POLYMER, false, "N-{1-BENZYL-(2S,3S)-2,3-DIHYDROXY-4-[3-METHYL-2-(3-METHYL-3-PYRIDIN-2-YLMETHYL-UREIDO)-BUTYRYLAMINO]-5-PHENYL-PENTYL}-3-METHYL-2-(3-METHYL-3-PYRIDIN-2-YLMETHYL-UREIDO)-BUTYRAMIDE", 10714 },
	{ "A7B", "", "", ResidueType::NON_POLYMER, false, "8-methoxy-4-methylquinolin-2(1H)-one", 10715 },
	{ "A7C", "", "", ResidueType::RNA_LINKING, false, "3-[1-(4-bromophenyl)-1H-1,2,3-triazol-4-yl]-1-[5-O-(trihydroxy-lambda~5~-phosphanyl)-beta-D-ribofuranosyl]-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 10716 },
	{ "A7D", "", "", ResidueType::NON_POLYMER, false, "5'-S-[(3R)-3,4-dihydroxybutyl]-5'-thioadenosine", 10717 },
	{ "A7E", "", "", ResidueType::RNA_LINKING, false, "3-ethynyl-1-(5-O-phosphono-beta-D-ribofuranosyl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 10718 },
	{ "A7G", "", "", ResidueType::NON_POLYMER, false, "1-{[2-(difluoromethoxy)phenyl]methyl}-2-methyl-6-[6-(piperazin-1-yl)pyridin-3-yl]-1H-benzimidazole", 10719 },
	{ "A7H", "", "", ResidueType::NON_POLYMER, false, "6-ethoxy-2-methyl-1,3-benzothiazole", 10720 },
	{ "A7I", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-THIOPHENE-2-CARBOXYLIC ACID [2-(1--ISOPROPYL-PIPERIDIN-4-YLSULFAMOYL)-ETHYL]-AMIDE", 10721 },
	{ "A7K", "", "", ResidueType::NON_POLYMER, false, "[2-[4-(hydroxymethyl)piperidin-1-yl]phenyl]methylazanium", 10722 },
	{ "A7N", "", "", ResidueType::NON_POLYMER, false, "(1~{R})-1-(4-ethoxyphenyl)ethanamine", 10723 },
	{ "A7Q", "", "", ResidueType::NON_POLYMER, false, "(6-phenoxypyridin-3-yl)methanol", 10724 },
	{ "A7S", "", "", ResidueType::NON_POLYMER, false, "1-(3-fluoro-4-methylphenyl)-N-(2-oxo-1-propyl-1,2,3,4-tetrahydroquinolin-6-yl)methanesulfonamide", 10725 },
	{ "A7T", "", "", ResidueType::NON_POLYMER, false, "(1R,5S)-N-cyclopropyl-7-{4-[2-(2,6-dichloro-4-methylphenoxy)ethoxy]phenyl}-N-(2,3-dimethylbenzyl)-3,9-diazabicyclo[3.3.1]non-6-ene-6-carboxamide", 10726 },
	{ "A7W", "", "", ResidueType::NON_POLYMER, false, "8-AMINO-3-QUINOLINOL", 10727 },
	{ "A7Y", "", "", ResidueType::NON_POLYMER, false, "N-{(3R)-1-[(4-chlorophenyl)methyl]pyrrolidin-3-yl}-2-(3-methoxyphenyl)-N-methylquinoline-4-carboxamide", 10728 },
	{ "A7Z", "", "", ResidueType::NON_POLYMER, false, "4-[4-(3-methoxyphenyl)-1-(prop-2-yn-1-yl)-1H-imidazol-5-yl]phenyl sulfurofluoridate", 10729 },
	{ "A80", "", "", ResidueType::NON_POLYMER, false, "4-[(5,5,8,8-tetramethyl-5,6,7,8-tetrahydronaphthalen-2-yl)carbamoyl]benzoic acid", 10730 },
	{ "A82", "", "", ResidueType::NON_POLYMER, false, "2-[[(1R)-1-(7-methyl-2-morpholin-4-yl-4-oxidanylidene-pyrido[1,2-a]pyrimidin-9-yl)ethyl]amino]benzoic acid", 10731 },
	{ "A83", "", "", ResidueType::NON_POLYMER, false, "TERT-BUTYL 4-[({[1-((1S,2R)-1-BENZYL-2-HYDROXY-3-{ISOBUTYL[(4-METHOXYPHENYL)SULFONYL]AMINO}PROPYL)-1H-1,2,3-TRIAZOL-4-YL]METHYL}AMINO)CARBONYL]BENZYLCARBAMATE", 10732 },
	{ "A84", "", "", ResidueType::NON_POLYMER, false, "2-[({2-[(1Z)-3-(DIMETHYLAMINO)PROP-1-ENYL]-4-FLUOROPHENYL}SULFONYL)AMINO]-5,6,7,8-TETRAHYDRONAPHTHALENE-1-CARBOXYLIC ACID", 10733 },
	{ "A85", "", "", ResidueType::NON_POLYMER, false, "N-{1-BENZYL-2,2-DIFLUORO-3,3-DIHYDROXY-4-[3-METHYL-2-(3-METHYL-3-PYRIDIN-2-YLMETHYL-UREIDO)-BUTYRYLAMINO]-5-PHENYL-PENTYL}-3-METHYL-2-(3-METHYL-3-PYRIDIN-2-YLMETHYL-UREIDO)-BUTYRAMIDE", 10734 },
	{ "A88", "", "", ResidueType::NON_POLYMER, false, "(5R,6R)-2,4-BIS-(4-HYDROXY-3-METHOXYBENZYL)-1,5-DIBENZYL-3-OXO-6-HYDROXY-1,2,4-TRIAZACYCLOHEPTANE", 10735 },
	{ "A89", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(4-bromo-3-methylbenzoyl)-4-[difluoro(phosphono)methyl]-L-phenylalanyl-N~5~-(3-iodobenzoyl)-L-ornithinamide", 10736 },
	{ "A8B", "", "", ResidueType::NON_POLYMER, false, "N-QUINOLIN-4-YL-N'-(1,2,3,4-TETRAHYDROACRIDIN-9-YL)OCTANE-1,8-DIAMINE", 10737 },
	{ "A8D", "", "", ResidueType::NON_POLYMER, false, "5-methoxy-N-(methylsulfonyl)-1H-indole-2-carboxamide", 10738 },
	{ "A8E", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-4-bromopent-4-enoic acid", 10739 },
	{ "A8H", "", "", ResidueType::NON_POLYMER, false, "(3~{a}~{R},5~{S},7~{a}~{S})-5-phenyl-3~{a},4,5,6,7,7~{a}-hexahydroisoindole-1,3-dione", 10740 },
	{ "A8K", "", "", ResidueType::NON_POLYMER, false, "4-(4-hydroxyphenyl)sulfanylphenol", 10741 },
	{ "A8M", "", "", ResidueType::NON_POLYMER, false, "5'-[(3-aminopropyl)(methyl)amino]-5'-deoxy-8-methyladenosine", 10742 },
	{ "A8N", "", "", ResidueType::NON_POLYMER, false, "N-9-(1',2',3',4'-TETRAHYDROACRIDINYL)-1,8-DIAMINOOCTANE", 10743 },
	{ "A8P", "", "", ResidueType::NON_POLYMER, false, "8-n-octylamino-adenosine diphosphate hydroxypyrrolidinediol", 10744 },
	{ "A8Q", "", "", ResidueType::NON_POLYMER, false, "[3-chloranyl-4-(2-propan-2-ylphenyl)phenyl]methylazanium", 10745 },
	{ "A8S", "", "", ResidueType::NON_POLYMER, false, "(2Z,4E)-5-[(1S)-1-hydroxy-2,6,6-trimethyl-4-oxocyclohex-2-en-1-yl]-3-methylpenta-2,4-dienoic acid", 10746 },
	{ "A8T", "", "", ResidueType::NON_POLYMER, false, "2-{6-[4-(4-benzylphthalazin-1-yl)piperazin-1-yl]pyridin-3-yl}propan-2-ol", 10747 },
	{ "A8V", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-[3-(cyclohexylmethoxy)phenyl]propane-1,3-diol", 10748 },
	{ "A8W", "", "", ResidueType::NON_POLYMER, false, "Pregnenolone sulfate", 10749 },
	{ "A8Z", "", "", ResidueType::NON_POLYMER, false, "Tetrahydrodeoxycorticosterone", 10750 },
	{ "A91", "", "", ResidueType::NON_POLYMER, false, "3-({2-[(2-AMINO-6-METHYLPYRIMIDIN-4-YL)ETHYNYL]BENZYL}AMINO)-1,3-OXAZOL-2(3H)-ONE", 10751 },
	{ "A92", "", "", ResidueType::NON_POLYMER, false, "2-{2-fluoro-4-[(2S)-piperidin-2-yl]phenyl}-1H-benzimidazole-7-carboxamide", 10752 },
	{ "A93", "", "", ResidueType::NON_POLYMER, false, "4-fluorophenyl 3-[(E)-2-(4-hydroxy-3,5-dimethylphenyl)ethenyl]benzoate", 10753 },
	{ "A94", "", "", ResidueType::NON_POLYMER, false, "N-[(2-AMINO-6-METHYLPYRIMIDIN-4-YL)METHYL]-3-{[(E)-(2-OXODIHYDROFURAN-3(2H)-YLIDENE)METHYL]AMINO}BENZENESULFONAMIDE", 10754 },
	{ "A95", "", "", ResidueType::NON_POLYMER, false, "N-(4-(((4-(4-methoxyphenyl)oxan-4- yl)methyl)carbamoyl)phenyl)furan-2-carboxamide", 10755 },
	{ "A96", "", "", ResidueType::NON_POLYMER, false, "6-chloro-N-pyrimidin-5-yl-3-{[3-(trifluoromethyl)phenyl]amino}-1,2-benzisoxazole-7-carboxamide", 10756 },
	{ "A98", "", "", ResidueType::NON_POLYMER, false, "methyl ~{N}-(5-ethylsulfanyl-1,3,4-thiadiazol-2-yl)carbamate", 10757 },
	{ "A99", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-hydroxy{[(R)-hydroxy({(S)-hydroxy[(1S)-1-(2-nitrophenyl)ethoxy]phosphoryl}oxy)phosphoryl]oxy}phosphoryl]adenosine", 10758 },
	{ "A9B", "", "", ResidueType::NON_POLYMER, false, "5-(4-chlorophenyl)furan-2-carbohydrazide", 10759 },
	{ "A9D", "", "", ResidueType::PEPTIDE_LINKING, true, "(2S)-2-amino-2-carboxyethyl 1-carboxy-L-prolyl-L-prolinate", 10760 },
	{ "A9E", "", "", ResidueType::NON_POLYMER, false, "2-(4-ethylphenoxy)-1-piperidin-1-yl-ethanone", 10761 },
	{ "A9H", "", "", ResidueType::NON_POLYMER, false, "Abietic acid", 10762 },
	{ "A9J", "", "", ResidueType::NON_POLYMER, false, "Hexafluorophosphate anion", 10763 },
	{ "A9K", "", "", ResidueType::NON_POLYMER, false, "2-[4-(aminomethyl)-2-chloranyl-phenyl]phenol", 10764 },
	{ "A9M", "", "", ResidueType::NON_POLYMER, false, "N-(2-hydroxyethyl)icosanamide", 10765 },
	{ "A9N", "", "", ResidueType::NON_POLYMER, false, "N-CYCLOPROP-2-EN-1-YL-5-(3,5-DIMETHYL-1,2-OXAZOL-4-YL)-2-METHYL-BENZENESULFONAMIDE", 10766 },
	{ "A9O", "", "", ResidueType::NON_POLYMER, false, "5-ETHYL-3-METHYL-4-PHENYL-1,2-OXAZOLE", 10767 },
	{ "A9P", "", "", ResidueType::NON_POLYMER, false, "3,5 DIMETHYL-4-PHENYL-1,2-OXAZOLE", 10768 },
	{ "A9Q", "", "", ResidueType::NON_POLYMER, false, "3-(2,5-Dimethoxybenzyl)-7-sulfamoyloxy-6-methoxy-3,4-dihydroquinazolin-2(1H)-one", 10769 },
	{ "A9S", "", "", ResidueType::NON_POLYMER, false, "(2Z,4E)-5-[(1R)-1-hydroxy-2,6,6-trimethyl-4-oxocyclohex-2-en-1-yl]-3-methylpenta-2,4-dienoic acid", 10770 },
	{ "A9T", "", "", ResidueType::NON_POLYMER, false, "2-(4-{[1-(4-CHLOROBENZYL)PIPERIDIN-4-YL]METHOXY}PHENYL)-1H-BENZIMIDAZOLE-5-CARBOXAMIDE", 10771 },
	{ "A9U", "", "", ResidueType::NON_POLYMER, false, "2-{4-[(1-BENZYLPIPERIDIN-4-YL)METHOXY]PHENYL}-1H-BENZIMIDAZOLE-6-CARBOXAMIDE", 10772 },
	{ "A9V", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-[3-(cyclohexylmethoxy)phenyl]propane-1,3-diol", 10773 },
	{ "A9Y", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-[1-(1H-benzimidazol-2-yl)-5-hydroxy-3-methyl-1H-pyrazol-4-yl]-2-benzofuran-1(3H)-one", 10774 },
	{ "A9Z", "", "", ResidueType::RNA_LINKING, false, "", 10775 },
	{ "AA", "", "", ResidueType::NON_POLYMER, false, "9-AMINOACRIDINE", 10776 },
	{ "AA0", "", "", ResidueType::NON_POLYMER, false, "N-[4-methyl-3-[6-(4-methylpiperazin-1-yl)-4-oxidanylidene-quinazolin-3-yl]phenyl]-2-morpholin-4-yl-pyridine-4-carboxamide", 10777 },
	{ "AA1", "", "", ResidueType::NON_POLYMER, false, "[1-(4-ETHOXY-4-OXOBUTANOYL)HYDRAZINO]ACETIC ACID", 10778 },
	{ "AA2", "", "", ResidueType::NON_POLYMER, false, "4-ARYL-2-PHENYLAMINO PYRIMIDINE", 10779 },
	{ "AA3", "", "DBB", ResidueType::PEPTIDE_LINKING, true, "2-AMINOBUTYRIC ACID", 10780 },
	{ "AA4", "DHN", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-5-HYDROXYPENTANOIC ACID", 10781 },
	{ "AA5", "", "", ResidueType::NON_POLYMER, false, "N-[(3-HYDROXY-2-METHYL-5-{[(TRIHYDROXYPHOSPHORANYL)OXY]METHYL}PYRIDIN-4-YL)METHYLENE]METHIONINE", 10782 },
	{ "AA6", "", "", ResidueType::PEPTIDE_LINKING, false, "3-[4,5-DIHYDROXY-2-2-(2-HYDROXYETHYLAMINO)-PHENYL]-2-METHYLAMINO-PROPIONIC ACID", 10783 },
	{ "AA7", "", "", ResidueType::NON_POLYMER, false, "N,N'-DI-1,2,3,4-TETRAHYDROACRIDIN-9-YLHEPTANE-1,7-DIAMINE", 10784 },
	{ "AA8", "", "", ResidueType::NON_POLYMER, false, "Anguinomycin A, bound form", 10785 },
	{ "AA9", "", "", ResidueType::NON_POLYMER, false, "N-((1S,2R)-3-(((1S)-2-(CYCLOHEXYLAMINO)-1--METHYL-2-OXOETHYL)AMINO)-2-HYDROXY-1-(PHENYLMETHYL)PROPYL)-3-(ETHYLAMINO)-5-((METHYLSULFONYL)(PHENYL)AMINO)BENZAMIDE", 10786 },
	{ "AAA", "", "", ResidueType::NON_POLYMER, false, "(2-ACETYL-5-METHYLANILINO)(2,6-DIBROMOPHENYL)ACETAMIDE", 10787 },
	{ "AAB", "B1P", "", ResidueType::DNA_LINKING, false, "2'-DEOXY-RIBOFURANOSE-5'-MONOPHOSPHATE", 10788 },
	{ "AAC", "", "", ResidueType::NON_POLYMER, false, "ACETYLAMINO-ACETIC ACID", 10789 },
	{ "AAD", "", "", ResidueType::NON_POLYMER, false, "(2-AMINOOXY-ETHYL)-[5-(6-AMINO-PURIN-9-YL)-3,4-DIHYDROXY-TETRAHYDRO-FURAN-2-YLMETHYL]-METHYL-SULFONIUM", 10790 },
	{ "AAE", "LIN", "", ResidueType::NON_POLYMER, false, "ACETOACETIC ACID", 10791 },
	{ "AAF", "", "", ResidueType::NON_POLYMER, false, "METHYL 4-{[({[(2R,5S)-5-{[(2S)-2-(AMINOMETHYL)PYRROLIDIN-1-YL]CARBONYL}PYRROLIDIN-2-YL]METHYL}AMINO)CARBONYL]AMINO}BENZOATE", 10792 },
	{ "AAG", "", "", ResidueType::NON_POLYMER, false, "N-ALPHA-L-ACETYL-ARGININE", 10793 },
	{ "AAH", "", "", ResidueType::NON_POLYMER, false, "", 10794 },
	{ "AAI", "", "", ResidueType::NON_POLYMER, false, "trans-4-(7-carbamoyl-1H-benzimidazol-2-yl)-1-propylpiperidinium", 10795 },
	{ "AAK", "", "", ResidueType::NON_POLYMER, false, "~{tert}-butyl 4-propanoyl-2,3-dihydroquinoxaline-1-carboxylate", 10796 },
	{ "AAL", "", "", ResidueType::SACCHARIDE, false, "3,6-ANHYDRO-L-GALACTOSE", 10797 },
	{ "AAM", "", "", ResidueType::NON_POLYMER, false, "ALPHA-ADENOSINE MONOPHOSPHATE", 10798 },
	{ "AAN", "", "", ResidueType::NON_POLYMER, false, "2-(4-NITROPHENYL)ACETIC ACID", 10799 },
	{ "AAO", "", "", ResidueType::SACCHARIDE, false, "ACARBOSE DERIVED HEXASACCHARIDE", 10800 },
	{ "AAP", "", "", ResidueType::NON_POLYMER, false, "ALPHA-(2,6-DICHLOROPHENYL)-ALPHA-(2-ACETYL-5-METHYLANILINO)ACETAMIDE", 10801 },
	{ "AAQ", "", "", ResidueType::NON_POLYMER, false, "6-amino-4-[2-(benzylamino)ethyl]-2-(methylamino)-1,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 10802 },
	{ "AAR", "", "", ResidueType::PEPTIDE_LINKING, false, "ARGININEAMIDE", 10803 },
	{ "AAS", "", "", ResidueType::NON_POLYMER, false, "3-ACTOXYMERCURI-4-AMINOBENZENESULFONAMIDE", 10804 },
	{ "AAT", "", "", ResidueType::NON_POLYMER, false, "S-ADENOSYL-1,8-DIAMINO-3-THIOOCTANE", 10805 },
	{ "AAU", "", "", ResidueType::NON_POLYMER, false, "(5R,6R)-5-BENZYL-6-HYDROXY-2,4-BIS(4-HYDROXY-3-METHOXYBENZYL)-1-[3-(4-HYDROXYPHENYL)PROPANOYL]-1,2,4-TRIAZEPAN-3-ONE", 10806 },
	{ "AAV", "", "", ResidueType::NON_POLYMER, false, "N-isoxazol-3-yl-4-methyl-3-[6-(4-methylpiperazin-1-yl)-4-oxo-quinazolin-3-yl]benzamide", 10807 },
	{ "AAX", "", "", ResidueType::NON_POLYMER, false, "N-(CYCLOPROPYLMETHYL)-4-(METHYLOXY)-3-({5-[3-(3-PYRIDINYL)PHENYL]-1,3-OXAZOL-2-YL}AMINO)BENZENESULFONAMIDE", 10808 },
	{ "AAY", "", "", ResidueType::NON_POLYMER, false, "8-[2-((2S)-4-HYDROXY-1-{[5-(HYDROXYMETHYL)-6-METHOXY-2-NAPHTHYL]METHYL}-6-OXOPIPERIDIN-2-YL)ETHYL]-3,7-DIMETHYL-1,2,3,7,8,8A-HEXAHYDRONAPHTHALEN-1-YL 2-METHYLBUTANOATE", 10809 },
	{ "AAZ", "", "", ResidueType::NON_POLYMER, false, "N-[5-(ETHYLSULFONYL)-2-METHOXYPHENYL]-5-[3-(2-PYRIDINYL)PHENYL]-1,3-OXAZOL-2-AMINE", 10810 },
	{ "AB0", "", "", ResidueType::NON_POLYMER, false, "3,7:6,10:9,14-TRIANHYDRO-2,5,11,12,13-PENTADEOXY-4-O-(METHOXYMETHYL)-L-ARABINO-L-ALLO-TETRADEC-12-ENONIC ACID", 10811 },
	{ "AB1", "", "", ResidueType::NON_POLYMER, false, "N-{1-BENZYL-4-[2-(2,6-DIMETHYL-PHENOXY)-ACETYLAMINO]-3-HYDROXY-5-PHENYL-PENTYL}-3-METHYL-2-(2-OXO-TETRAHYDRO-PYRIMIDIN-1-YL)-BUTYRAMIDE", 10812 },
	{ "AB2", "", "", ResidueType::NON_POLYMER, false, "[1-((1S,2R)-1-BENZYL-2-HYDROXY-3-{ISOBUTYL[(4-METHOXYPHENYL)SULFONYL]AMINO}PROPYL)-1H-1,2,3-TRIAZOL-4-YL]METHYL (1R,2R)-2-HYDROXY-2,3-DIHYDRO-1H-INDEN-1-YLCARBAMATE", 10813 },
	{ "AB3", "", "", ResidueType::NON_POLYMER, false, "3-(4-AMINO-1-TERT-BUTYL-1H-PYRAZOLO[3,4-D]PYRIMIDIN-3-YL)PHENOL", 10814 },
	{ "AB4", "", "", ResidueType::NON_POLYMER, false, "2,5-DICHLORO-N-[4-HYDROXY-3-(2-HYDROXY-1-NAPHTHYL)PHENYL]BENZENESULFONAMIDE", 10815 },
	{ "AB5", "", "", ResidueType::NON_POLYMER, true, "2(S)-AMINO-6-BORONOHEXANOIC ACID", 10816 },
	{ "AB6", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-AMINO-N-((1R,2S,3R,4R,5S)-5-AMINO-4-[(2-AMINO-2-DEOXY-ALPHA-D-GLUCOPYRANOSYL)OXY]-2-{2-[(3-AMINOPROPYL)AMINO]ETHOXY}-3-HYDROXYCYCLOHEXYL)-2-HYDROXYBUTANAMIDE", 10817 },
	{ "AB7", "", "ABA", ResidueType::PEPTIDE_LINKING, true, "ALPHA-AMINOBUTYRIC ACID", 10818 },
	{ "AB8", "", "", ResidueType::NON_POLYMER, false, "(1S,3R,8AS)-8-(2-{(4S,6S)-3-(4-HYDROXY-3-METHOXYBENZYL)-4-[2-(METHYLAMINO)-2-OXOETHYL]-2-OXO-1,3-OXAZINAN-6-YL}ETHYL)-3,7-DIMETHYL-1,2,3,7,8,8A-HEXAHYDRONAPHTHALEN-1-YL (2R)-2-METHYLBUTANOATE", 10819 },
	{ "AB9", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-AMINO-N-{(1R,2S,3R,4R,5S)-5-AMINO-2-{2-[(2-AMINOETHYL)AMINO]ETHOXY}-4-[(2,6-DIAMINO-2,6-DIDEOXY-ALPHA-D-GLUCOPYRANOSYL)OXY]-3-HYDROXYCYCLOHEXYL}-2-HYDROXYBUTANAMIDE", 10820 },
	{ "ABA", "", "", ResidueType::PEPTIDE_LINKING, false, "ALPHA-AMINOBUTYRIC ACID", 10821 },
	{ "ABB", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-1-ACETYL-N-[(1S)-4-[(AMINOIMINOMETHYL)AMINO]-1-(2-BENZOTHIAZOLYLCARBONYL)BUTYL]-4-HYDROXY-2-PYRROLIDINECARBOXAMIDE", 10822 },
	{ "ABC", "", "", ResidueType::SACCHARIDE, false, "MODIFIED ACARBOSE HEXASACCHARIDE", 10823 },
	{ "ABD", "", "", ResidueType::SACCHARIDE, false, "ACARBOSE DERIVED HEXASACCHARIDE", 10824 },
	{ "ABE", "", "", ResidueType::SACCHARIDE, false, "ABEQUOSE", 10825 },
	{ "ABF", "", "", ResidueType::SACCHARIDE, false, "BETA-D-ARABINOFURANOSE-5'-PHOSPHATE", 10826 },
	{ "ABG", "", "", ResidueType::NON_POLYMER, true, "", 10827 },
	{ "ABH", "", "", ResidueType::NON_POLYMER, false, "2(S)-AMINO-6-BORONOHEXANOIC ACID", 10828 },
	{ "ABI", "", "", ResidueType::NON_POLYMER, false, "5-AMIDINO-BENZIMIDAZOLE", 10829 },
	{ "ABJ", "", "", ResidueType::NON_POLYMER, false, "3-[4-AMINO-1-(1-METHYLETHYL)-1H-PYRAZOLO[3,4-D]PYRIMIDIN-3-YL]PHENOL", 10830 },
	{ "ABK", "", "FKI", ResidueType::NON_POLYMER, true, "3-AMINO-5,5-DI-FLUORO-2-KETO-PENTAN-1-OIC ACID", 10831 },
	{ "ABL", "", "", ResidueType::SACCHARIDE, false, "(2R,3R,4R,5R)-4,5-dihydroxy-2-(hydroxymethyl)-6-oxopiperidin-3-yl beta-D-glucopyranoside", 10832 },
	{ "ABM", "", "", ResidueType::NON_POLYMER, false, "METHYL PHOSPHONIC ACID ADENOSINE ESTER", 10833 },
	{ "ABN", "", "", ResidueType::NON_POLYMER, false, "BENZYLAMINE", 10834 },
	{ "ABO", "", "", ResidueType::NON_POLYMER, false, "4-[3-(1H-BENZIMIDAZOL-2-YL)-1H-INDAZOL-6-YL]-2-METHOXYPHENOL", 10835 },
	{ "ABP", "", "", ResidueType::NON_POLYMER, false, "8-BROMOADENOSINE-5'-DIPHOSPHATE", 10836 },
	{ "ABQ", "", "", ResidueType::NON_POLYMER, false, "[4-amino-7-(propan-2-yl)-7H-pyrrolo[2,3-d]pyrimidin-5-yl](6-{[(3S,4R)-4-(4-fluorophenyl)tetrahydrofuran-3-yl]amino}pyrazin-2-yl)methanone", 10837 },
	{ "ABR", "", "", ResidueType::DNA_LINKING, false, "(R)-(N-PHENYL-2-HYDROXY-ETHYL)-2'-DEOXY-ADENOSINE-5'-MONOPHOSPHATE", 10838 },
	{ "ABS", "", "", ResidueType::DNA_LINKING, false, "(S)-(N-PHENYL-2-HYDROXY-ETHYL)-2'-DEOXY-ADENOSINE-5'-MONOPHOSPHATE", 10839 },
	{ "ABT", "", "", ResidueType::DNA_LINKING, false, "", 10840 },
	{ "ABU", "", "", ResidueType::NON_POLYMER, false, "GAMMA-AMINO-BUTANOIC ACID", 10841 },
	{ "ABV", "", "", ResidueType::NON_POLYMER, false, "1,3-benzothiazol-2-amine", 10842 },
	{ "ABW", "", "", ResidueType::NON_POLYMER, false, "5-[1-(ACETYLAMINO)-3-METHYLBUTYL]-2,5-ANHYDRO-3,4-DIDEOXY-4-(METHOXYCARBONYL)PENTONIC ACID", 10843 },
	{ "ABX", "", "", ResidueType::NON_POLYMER, false, "5-[1-(ACETYLAMINO)-3-METHYLBUTYL]-4-(METHOXYCARBONYL)PROLINE", 10844 },
	{ "ABY", "", "", ResidueType::NON_POLYMER, false, "N-(4-AMINOBUTANOYL)-S-(4-METHOXYBENZYL)-L-CYSTEINYLGLYCINE", 10845 },
	{ "ABZ", "", "", ResidueType::NON_POLYMER, false, "4-[4-AMINO-6-(5-CHLORO-1H-INDOL-4-YLMETHYL)-[1,3,5]TRIAZIN-2-YLAMINO]-BENZONITRILE", 10846 },
	{ "AC0", "", "", ResidueType::NON_POLYMER, false, "1-PHENYLETHANONE", 10847 },
	{ "AC1", "", "", ResidueType::NON_POLYMER, false, "6-METHYL-5-(4,5,6-TRIHYDROXY-3-HYDROXYMETHYL-CYCLOHEX-2-ENYLAMINO)-TETRAHYDRO-PYRAN-2,3,4-TRIOL", 10848 },
	{ "AC2", "", "", ResidueType::NON_POLYMER, false, "9-HYROXYETHOXYMETHYLGUANINE", 10849 },
	{ "AC4", "", "AMZ", ResidueType::NON_POLYMER, true, "AMINOIMIDAZOLE 4-CARBOXAMIDE RIBONUCLEOTIDE", 10850 },
	{ "AC5", "", "", ResidueType::PEPTIDE_LINKING, false, "1-AMINOCYCLOPENTANECARBOXYLIC ACID", 10851 },
	{ "AC6", "", "", ResidueType::NON_POLYMER, false, "P-HYDROXYACETOPHENONE", 10852 },
	{ "AC7", "", "", ResidueType::NON_POLYMER, false, "", 10853 },
	{ "AC8", "", "", ResidueType::NON_POLYMER, false, "[(2R,3R,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-bis(phosphonooxy)tetrahydrofuran-2-yl]methyl (3R)-3-hydroxy-2,2-dimethyl-4-oxo-4-({3-oxo-3-[(2-sulfanylethyl)amino]propyl}amino)butyl dihydrogen diphosphate", 10854 },
	{ "AC9", "", "", ResidueType::NON_POLYMER, false, "TRISACETYLACETONATOCHROMIUM(III)", 10855 },
	{ "ACA", "AHA", "", ResidueType::PEPTIDE_LINKING, false, "6-AMINOHEXANOIC ACID", 10856 },
	{ "ACB", "", "", ResidueType::BETA_PEPTIDE_LINKING, false, "3-METHYL-BETA-D-ASPARTIC ACID", 10857 },
	{ "ACC", "", "", ResidueType::NON_POLYMER, false, "N-[N-[2-AMINO-6-OXO-HEXANOIC ACID-6-YL]CYSTEINYL]-S-METHYLCYSTEINE", 10858 },
	{ "ACD", "", "", ResidueType::NON_POLYMER, false, "ARACHIDONIC ACID", 10859 },
	{ "ACE", "ACU", "", ResidueType::NON_POLYMER, false, "ACETYL GROUP", 10860 },
	{ "ACF", "", "", ResidueType::NON_POLYMER, false, "3-{[(2R,5S)-5-{[(2S)-2-(AMINOMETHYL)PYRROLIDIN-1-YL]CARBONYL}PYRROLIDIN-2-YL]METHOXY}-4-CHLOROBENZOIC ACID", 10861 },
	{ "ACG", "", "", ResidueType::SACCHARIDE, false, "MODIFIED ACARBOSE PENTASACCHARIDE", 10862 },
	{ "ACH", "", "", ResidueType::NON_POLYMER, false, "ACETYLCHOLINE", 10863 },
	{ "ACI", "CMN", "", ResidueType::NON_POLYMER, false, "6-AMINO-4-HYDROXYMETHYL-CYCLOHEX-4-ENE-1,2,3-TRIOL", 10864 },
	{ "ACJ", "", "", ResidueType::NON_POLYMER, false, "5-[2-CHLORO-4-(TRIFLUOROMETHYL)PHENOXY]-2-NITROBENZOIC ACID", 10865 },
	{ "ACK", "", "", ResidueType::NON_POLYMER, false, "", 10866 },
	{ "ACL", "", "", ResidueType::PEPTIDE_LINKING, true, "DEOXY-CHLOROMETHYL-ARGININE", 10867 },
	{ "ACM", "CNM", "", ResidueType::NON_POLYMER, false, "ACETAMIDE", 10868 },
	{ "ACN", "", "", ResidueType::NON_POLYMER, false, "ACETONE", 10869 },
	{ "ACO", "", "", ResidueType::NON_POLYMER, false, "ACETYL COENZYME *A", 10870 },
	{ "ACP", "", "", ResidueType::NON_POLYMER, false, "PHOSPHOMETHYLPHOSPHONIC ACID ADENYLATE ESTER", 10871 },
	{ "ACQ", "", "", ResidueType::NON_POLYMER, false, "DIPHOSPHOMETHYLPHOSPHONIC ACID ADENYLATE ESTER", 10872 },
	{ "ACR", "", "", ResidueType::SACCHARIDE, false, "ALPHA-ACARBOSE", 10873 },
	{ "ACS", "", "", ResidueType::NON_POLYMER, false, "1-[(1S)-CARBOXY-2-(METHYLSULFINYL)ETHYL]-(3R)-[(5S)-5-AMINO-5-CARBOXYPENTANAMIDO]-(4R)-SULFANYLAZETIDIN-2-ONE", 10874 },
	{ "ACT", "", "", ResidueType::NON_POLYMER, false, "ACETATE ION", 10875 },
	{ "ACU", "", "ACE", ResidueType::NON_POLYMER, true, "ACETALDEHYDE", 10876 },
	{ "ACV", "", "", ResidueType::NON_POLYMER, false, "L-D-(A-AMINOADIPOYL)-L-CYSTEINYL-D-VALINE", 10877 },
	{ "ACW", "", "", ResidueType::NON_POLYMER, false, "D-(L-A-AMINOADIPOYL)-L-CYSTEINYL-B-METHYL-D-CYCLOPROPYLGLYCINE", 10878 },
	{ "ACX", "", "", ResidueType::SACCHARIDE, false, "ALPHA-CYCLODEXTRIN (CYCLOHEXA-AMYLOSE)", 10879 },
	{ "ACY", "CBM", "", ResidueType::NON_POLYMER, false, "ACETIC ACID", 10880 },
	{ "ACZ", "", "", ResidueType::NON_POLYMER, false, "CIS-AMICLENOMYCIN", 10881 },
	{ "AD0", "", "", ResidueType::NON_POLYMER, false, "DIGALACTURONIC ACID", 10882 },
	{ "AD1", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-hydroxy-1-methyl-2,3-dihydro-1H-indole-5,6-dione", 10883 },
	{ "AD2", "", "", ResidueType::DNA_LINKING, false, "2'-DEOXY-ADENOSINE-3'-5'-DIPHOSPHATE", 10884 },
	{ "AD3", "", "", ResidueType::NON_POLYMER, false, "3-DEAZA-ADENOSINE", 10885 },
	{ "AD4", "", "", ResidueType::NON_POLYMER, false, "", 10886 },
	{ "AD5", "", "", ResidueType::NON_POLYMER, false, "N~6~-cyclohexyl-N~2~-(4-morpholin-4-ylphenyl)-9H-purine-2,6-diamine", 10887 },
	{ "AD6", "", "", ResidueType::NON_POLYMER, false, "4-[(5-bromo-1,3-thiazol-2-yl)amino]-N-methylbenzamide", 10888 },
	{ "AD7", "", "", ResidueType::NON_POLYMER, false, "octyl 3-amino-3-deoxy-2-O-(2,6-dideoxy-alpha-L-lyxo-hexopyranosyl)-beta-D-galactopyranoside", 10889 },
	{ "AD8", "", "", ResidueType::NON_POLYMER, false, "1-(adamantan-1-yl)-2-(1H-imidazol-1-yl)ethanone", 10890 },
	{ "AD9", "", "", ResidueType::NON_POLYMER, false, "ADP METAVANADATE", 10891 },
	{ "ADA", "", "", ResidueType::SACCHARIDE, false, "ALPHA-D-GALACTOPYRANURONIC ACID", 10892 },
	{ "ADB", "", "", ResidueType::NON_POLYMER, false, "4-[4-AMINO-6-(2,6-DICHLORO-PHENOXY)-[1,3,5]TRIAZIN-2-YLAMINO]-BENZONITRILE", 10893 },
	{ "ADC", "", "", ResidueType::NON_POLYMER, false, "(1'R,2'S)-9-(2-HYDROXY-3'-KETO-CYCLOPENTEN-1-YL)ADENINE", 10894 },
	{ "ADD", "", "", ResidueType::PEPTIDE_LINKING, false, "2,6,8-TRIMETHYL-3-AMINO-9-BENZYL-9-METHOXYNONANOIC ACID", 10895 },
	{ "ADE", "ANE", "", ResidueType::NON_POLYMER, false, "ADENINE", 10896 },
	{ "ADF", "", "", ResidueType::NON_POLYMER, false, "4-{[(2R,5S)-5-{[(2S)-2-(AMINOMETHYL)PYRROLIDIN-1-YL]CARBONYL}PYRROLIDIN-2-YL]METHOXY}-3-TERT-BUTYLBENZOIC ACID", 10897 },
	{ "ADG", "", "TOA", ResidueType::SACCHARIDE, true, "O-3-AMINO-3-DEOXY-ALPHA-D-GLUCOPYRANOSE", 10898 },
	{ "ADH", "", "", ResidueType::NON_POLYMER, false, "1-AMINO-2,3-DIHYDROXY-5-HYDROXYMETHYL CYCLOHEX-5-ENE", 10899 },
	{ "ADI", "", "", ResidueType::NON_POLYMER, false, "2',3'-DIDEOXYADENOSINE-5'-DIPHOSPHATE", 10900 },
	{ "ADJ", "", "", ResidueType::NON_POLYMER, false, "NICOTINAMIDE-ADENINE-DINUCLEOTIDE-ADENYLATE INTERMEDIATE", 10901 },
	{ "ADK", "", "", ResidueType::NON_POLYMER, false, "3-METHYL-3H-PURIN-6-YLAMINE", 10902 },
	{ "ADL", "", "", ResidueType::NON_POLYMER, false, "(1,8-DIHYDROXY-9-OXO-9,10-DIHYDRO-ANTHRACEN-2-YL)-ACETIC ACID", 10903 },
	{ "ADM", "", "", ResidueType::NON_POLYMER, false, "ADAMANTANE", 10904 },
	{ "ADN", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE", 10905 },
	{ "ADO", "", "", ResidueType::NON_POLYMER, false, "ADAMANTANONE", 10906 },
	{ "ADP", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE-5'-DIPHOSPHATE", 10907 },
	{ "ADQ", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE-5'-DIPHOSPHATE-GLUCOSE", 10908 },
	{ "ADR", "", "", ResidueType::SACCHARIDE, false, "2,6-DIAMINO-2,3,6-TRIDEOXY-ALPHA-D-RIBO-HEXOPYRANOSYL", 10909 },
	{ "ADS", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE-5'-(DITHIO)PHOSPHATE", 10910 },
	{ "ADT", "", "", ResidueType::NON_POLYMER, false, "3'-DEOXY-3'-ACETAMIDO-THYMIDINE", 10911 },
	{ "ADU", "", "", ResidueType::NON_POLYMER, false, "3'-DEOXY-3'-ACETAMIDO-URIDINE", 10912 },
	{ "ADV", "", "", ResidueType::NON_POLYMER, false, "ALPHA-BETA METHYLENE ADP-RIBOSE", 10913 },
	{ "ADW", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE-5'-DITUNGSTATE", 10914 },
	{ "ADX", "", "", ResidueType::RNA_LINKING, false, "ADENOSINE-5'-PHOSPHOSULFATE", 10915 },
	{ "ADY", "", "", ResidueType::NON_POLYMER, false, "3'-OXO-ADENOSINE", 10916 },
	{ "ADZ", "", "", ResidueType::NON_POLYMER, false, "9-METHYL-9H-PURIN-6-AMINE", 10917 },
	{ "AE1", "", "", ResidueType::NON_POLYMER, false, "2-{[[(1S)-1-AMINO-2-CARBOXYETHYL](DIHYDROXY)PHOSPHORANYL]METHYL}-4-METHYLPENTANOIC ACID", 10918 },
	{ "AE2", "", "", ResidueType::NON_POLYMER, false, "AETIOCHOLANOLONE", 10919 },
	{ "AE3", "", "", ResidueType::NON_POLYMER, false, "2-(2-ETHOXYETHOXY)ETHANOL", 10920 },
	{ "AE4", "", "", ResidueType::NON_POLYMER, false, "3,6,9,12,15-PENTAOXAHEPTADECAN-1-OL", 10921 },
	{ "AE5", "", "", ResidueType::PEPTIDE_LINKING, false, "N-[(2S)-2-amino-2-carboxyethyl]-L-glutamic acid", 10922 },
	{ "AE6", "", "", ResidueType::NON_POLYMER, false, "6-{(1E)-3-[3-(3-methyl-1-benzofuran-2-yl)azetidin-1-yl]-3-oxoprop-1-en-1-yl}-1,8-naphthyridin-2(1H)-one", 10923 },
	{ "AE7", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-[1-(3H-1lambda~4~,3-benzothiazol-2-yl)-5-hydroxy-3-methyl-1H-pyrazol-4-yl]-2-benzofuran-1(3H)-one", 10924 },
	{ "AE8", "", "", ResidueType::NON_POLYMER, false, "(S)-4-((4-(((2,3-dihydro-[1,4]dioxino[2,3-c]pyridin-7-yl)methyl)amino)piperidin-1-yl)methyl)-3-fluoro-4-hydroxy-4H-pyrrolo[3,2,1-de][1,5]naphthyridin-7(5H)-one", 10925 },
	{ "AE9", "", "", ResidueType::NON_POLYMER, false, "2-AZIDOETHANOL", 10926 },
	{ "AEA", "", "", ResidueType::PEPTIDE_LINKING, false, "(2-AMINO-2-CARBAMOYL-ETHYLSULFANYL)-ACETIC ACID", 10927 },
	{ "AED", "", "", ResidueType::NON_POLYMER, false, "4-(2-aminoethyl)-2-cyclohexylphenol", 10928 },
	{ "AEE", "", "", ResidueType::NON_POLYMER, false, "6-{4-[(4-ETHYLPIPERAZIN-1-YL)METHYL]PHENYL}-N-[(1R)-1-PHENYLETHYL]-7H-PYRROLO[2,3-D]PYRIMIDIN-4-AMINE", 10929 },
	{ "AEF", "", "", ResidueType::NON_POLYMER, false, "4-(2-aminoethyl)phenol", 10930 },
	{ "AEG", "", "", ResidueType::NON_POLYMER, false, "4-[(2R)-2-aminopropyl]phenol", 10931 },
	{ "AEH", "", "", ResidueType::NON_POLYMER, false, "4-(2-aminoethyl)-2-ethylphenol", 10932 },
	{ "AEI", "", "", ResidueType::PEPTIDE_LINKING, false, "THREONINE-ASPARTIC ESTER", 10933 },
	{ "AEJ", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-{4-[(9AR)-OCTAHYDRO-2H-PYRIDO[1,2-A]PYRAZIN-2-YL]PHENYL}-2-PHENYL-1,2,3,4-TETRAHYDROISOQUINOLIN-6-OL", 10934 },
	{ "AEK", "", "", ResidueType::NON_POLYMER, false, "4-{2-[(cyclopentylmethyl)amino]ethyl}-2-(methylamino)-3,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 10935 },
	{ "AEM", "", "", ResidueType::NON_POLYMER, false, "2-AMINOETHANIMIDIC ACID", 10936 },
	{ "AEN", "", "", ResidueType::NON_POLYMER, false, "5-(1-SULFONAPHTHYL)-ACETYLAMINO-ETHYLAMINE", 10937 },
	{ "AEP", "", "", ResidueType::NON_POLYMER, false, "3-[(1-AMINO-2-CARBOXY-ETHYL)-HYDROXY-PHOSPHINOYL]-2-METHYL-PROPIONIC ACID", 10938 },
	{ "AEQ", "", "", ResidueType::NON_POLYMER, false, "methyl 1-propanoyl-3,4-dihydro-2~{H}-quinoline-6-carboxylate", 10939 },
	{ "AER", "", "", ResidueType::NON_POLYMER, false, "Abiraterone", 10940 },
	{ "AES", "", "", ResidueType::NON_POLYMER, false, "4-(2-AMINOETHYL)BENZENESULFONYL FLUORIDE", 10941 },
	{ "AET", "", "", ResidueType::RNA_LINKING, false, "N-[N-(9-B-D-RIBOFURANOSYLPURIN-6-YL)METHYLCARBAMOYL]THREONINE-5'-MONOPHOSPHATE", 10942 },
	{ "AEV", "", "", ResidueType::NON_POLYMER, false, "2-(4,5-dichloro-1H-benzimidazol-2-yl)-5-methyl-4-[(1R)-3-oxo-1,3-dihydro-2-benzofuran-1-yl]-1,2-dihydro-3H-pyrazol-3-one", 10943 },
	{ "AEW", "", "", ResidueType::NON_POLYMER, false, "1-(3-amino-2-methylbenzyl)-4-hexylpyridin-2(1H)-one", 10944 },
	{ "AEY", "", "", ResidueType::NON_POLYMER, false, "7-(benzyloxy)-1H-[1,2,3]triazolo[4,5-d]pyrimidin-5-amine", 10945 },
	{ "AEZ", "", "", ResidueType::NON_POLYMER, false, "(4~{S},5~{S},6~{R},7~{R})-7-(hydroxymethyl)-4,5,6,7-tetrahydro-1~{H}-benzimidazole-4,5,6-triol", 10946 },
	{ "AF", "", "", ResidueType::NON_POLYMER, false, "2-AMINOFLUORENE", 10947 },
	{ "AF0", "", "", ResidueType::NON_POLYMER, false, "N-(2-oxo-1-propyl-1,2,3,4-tetrahydroquinolin-6-yl)-1-(2,3,5,6-tetrafluoro-4-methylphenyl)methanesulfonamide", 10948 },
	{ "AF1", "", "", ResidueType::SACCHARIDE, false, "4,6-dideoxy-4-{[(1S,4S,5S,6S)-4,5,6-trihydroxy-3-(hydroxymethyl)cyclohex-2-en-1-yl]amino}-beta-D-glucopyranose", 10949 },
	{ "AF2", "", "", ResidueType::DNA_LINKING, false, "", 10950 },
	{ "AF3", "", "", ResidueType::NON_POLYMER, false, "ALUMINUM FLUORIDE", 10951 },
	{ "AF4", "", "", ResidueType::NON_POLYMER, false, "2,4-BIS{[4-(N-ISOPORPYL)DIAMINOMETHYL]PHENYL}FURAN", 10952 },
	{ "AF5", "", "", ResidueType::NON_POLYMER, false, "", 10953 },
	{ "AF8", "", "", ResidueType::NON_POLYMER, false, "3-hydroxy-N-{(2S,3R)-3-hydroxy-4-[(2-methylpropyl){[5-(1,2-oxazol-5-yl)thiophen-2-yl]sulfonyl}amino]-1-phenylbutan-2-yl}benzamide", 10954 },
	{ "AF9", "", "", ResidueType::NON_POLYMER, false, "5-[2,4-bis(azanyl)pyrimidin-5-yl]oxy-2-methoxy-4-propan-2-yl-benzenesulfonamide", 10955 },
	{ "AFA", "", "", ResidueType::PEPTIDE_LINKING, false, "N-[7-METHYL-OCT-2,4-DIENOYL]ASPARAGINE", 10956 },
	{ "AFB", "", "", ResidueType::NON_POLYMER, false, "1,6,7,8,9,11A,12,13,14,14A-DECAHYDRO-1,13-DIHYDROXY-6-METHYL-4H-CYCLOPENT[F]OXACYCLOTRIDECIN-4-ONE", 10957 },
	{ "AFC", "", "", ResidueType::PEPTIDE_LIKE, false, "(3R,12R)-3-amino-12-methyltetradecanoic acid", 10958 },
	{ "AFD", "", "", ResidueType::SACCHARIDE, false, "Alpha-D-Allopyranose", 10959 },
	{ "AFE", "", "", ResidueType::NON_POLYMER, false, "5,7-dihydroxy-2-(4-hydroxyphenyl)-4-oxo-4H-chromen-3-yl 6-deoxy-alpha-L-mannopyranoside", 10960 },
	{ "AFF", "", "", ResidueType::DNA_LINKING, false, "2-ACETYLAMINOFLUORENE-3-YL", 10961 },
	{ "AFG", "", "", ResidueType::DNA_LINKING, false, "N-(5'-PHOSPHO-2'-DEOXYGUANOSIN-8-YL)-2-AMINOFLUORENE", 10962 },
	{ "AFH", "", "", ResidueType::NON_POLYMER, false, "", 10963 },
	{ "AFI", "", "", ResidueType::NON_POLYMER, false, "2-[4-(4-CHLOROPHENYL)CYCLOHEXYLIDENE]-3,4-DIHYDROXY-1(2H)-NAPHTHALENONE", 10964 },
	{ "AFJ", "", "", ResidueType::NON_POLYMER, false, "(2R,4S,5S)-N-butyl-4-hydroxy-2,7-dimethyl-5-{[N-(4-methylpentanoyl)-L-methionyl]amino}octanamide", 10965 },
	{ "AFL", "", "FUL", ResidueType::SACCHARIDE, true, "ALPHA-L-FUCOSE", 10966 },
	{ "AFM", "", "", ResidueType::NON_POLYMER, false, "2-fluoro-5-[(3S,4R)-3-{[(1H-indazol-5-yl)oxy]methyl}piperidin-4-yl]-N-[(1H-pyrazol-3-yl)methyl]benzamide", 10967 },
	{ "AFN", "", "", ResidueType::NON_POLYMER, false, "8,9-DIHYDRO-9-HYDROXY-AFLATOXIN B1", 10968 },
	{ "AFO", "", "", ResidueType::SACCHARIDE, false, "octyl alpha-D-arabinofuranoside", 10969 },
	{ "AFP", "", "", ResidueType::SACCHARIDE, false, "ALPHA FRUCTOSE 1,6-DIPHOSPHATE", 10970 },
	{ "AFQ", "", "", ResidueType::NON_POLYMER, false, "6-amino-4-{2-[(cyclopentylmethyl)amino]ethyl}-2-(methylamino)-1,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 10971 },
	{ "AFR", "", "", ResidueType::SACCHARIDE, false, "2-OXO-1,2,DIDEOXY-5F-D-GLUCOPYRANOSE", 10972 },
	{ "AFS", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-1-phosphonoethyl]-L-alaninamide", 10973 },
	{ "AFT", "", "", ResidueType::NON_POLYMER, false, "AFLATOXIN B1", 10974 },
	{ "AFV", "", "", ResidueType::NON_POLYMER, false, "2-fluoro-5-[(3S,4R)-3-{[(1H-indazol-5-yl)oxy]methyl}piperidin-4-yl]-N-[(pyridin-2-yl)methyl]benzamide", 10975 },
	{ "AFX", "", "", ResidueType::NON_POLYMER, false, "(4S,5S)-4-(6-amino-9H-purin-9-yl)-3-fluoro-5-hydroxy-2-(hydroxymethyl)cyclopent-2-en-1-one", 10976 },
	{ "AFY", "", "", ResidueType::NON_POLYMER, false, "(3-{[2-({N-[(2R)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alanyl}amino)ethyl]sulfanyl}oxetan-3-yl)acetic acid", 10977 },
	{ "AFZ", "", "", ResidueType::NON_POLYMER, false, "2,4-BIS(4-AMIDINOPHENYL)FURAN", 10978 },
	{ "AG", "", "", ResidueType::NON_POLYMER, false, "SILVER ION", 10979 },
	{ "AG0", "", "", ResidueType::NON_POLYMER, false, "(6R)-6-cyclopentyl-6-[2-(2,6-diethylpyridin-4-yl)ethyl]-3-[(5,7-dimethyl[1,2,4]triazolo[1,5-a]pyrimidin-2-yl)methyl]-4-hydroxy-5,6-dihydro-2H-pyran-2-one", 10980 },
	{ "AG1", "", "", ResidueType::NON_POLYMER, false, "RUTHENIUM PYRIDOCARBAZOLE", 10981 },
	{ "AG2", "", "", ResidueType::NON_POLYMER, false, "AGMATINE", 10982 },
	{ "AG3", "", "", ResidueType::NON_POLYMER, false, "1-{4-[(3-aminopropyl)amino]butyl}guanidine", 10983 },
	{ "AG4", "", "", ResidueType::NON_POLYMER, false, "N-(3-methoxypropyl)-2-(phenylsulfanyl)-5-sulfamoylpyridine-3-carboxamide", 10984 },
	{ "AG5", "", "", ResidueType::NON_POLYMER, false, "N-(2-phenylethyl)-2-(phenylsulfanyl)-5-sulfamoylpyridine-3-carboxamide", 10985 },
	{ "AG6", "", "", ResidueType::NON_POLYMER, false, "N-[(benzyloxy)carbonyl]-L-alpha-glutamyl-N-[(1S)-4-oxo-4-phenyl-1-propylbut-2-en-1-yl]-L-phenylalaninamide", 10986 },
	{ "AG7", "", "", ResidueType::NON_POLYMER, false, "4-{2-(4-FLUORO-BENZYL)-6-METHYL-5-[(5-METHYL-ISOXAZOLE-3-CARBONYL)-AMINO]-4-OXO-HEPTANOYLAMINO}-5-(2-OXO-PYRROLIDIN-3-YL)-PENTANOIC ACID ETHYL ESTER", 10987 },
	{ "AG8", "", "", ResidueType::NON_POLYMER, false, "S-[(2E,6E,10E)-14-(dimethylamino)-3,7,11-trimethyltetradeca-2,6,10-trien-1-yl] trihydrogen thiodiphosphate", 10988 },
	{ "AG9", "", "", ResidueType::NON_POLYMER, false, "AGMATIDINE", 10989 },
	{ "AGA", "", "", ResidueType::NON_POLYMER, false, "(1S)-2-{[{[(2S)-2,3-DIHYDROXYPROPYL]OXY}(HYDROXY)PHOSPHORYL]OXY}-1-[(PENTANOYLOXY)METHYL]ETHYL OCTANOATE", 10990 },
	{ "AGB", "", "", ResidueType::NON_POLYMER, false, "N-(1-ADAMANTYL)-N'-(4-GUANIDINOBENZYL)UREA", 10991 },
	{ "AGC", "", "GLC", ResidueType::SACCHARIDE, true, "ALPHA-D-GLUCOSE", 10992 },
	{ "AGD", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(2-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)-D-alanine", 10993 },
	{ "AGE", "", "", ResidueType::NON_POLYMER, false, "(2E)-N-hydroxy-3-[1-methyl-4-(phenylacetyl)-1H-pyrrol-2-yl]prop-2-enamide", 10994 },
	{ "AGF", "", "", ResidueType::NON_POLYMER, false, "O-(((1R)-((N-(PHENYL-METHOXY-CARBONYL)-ALANYL)-AMINO)METHYL)HYDROXYPHOSPHINYL)3-L-PHENYLLACTATE", 10995 },
	{ "AGG", "", "", ResidueType::NON_POLYMER, false, "TIROFIBAN", 10996 },
	{ "AGH", "", "", ResidueType::SACCHARIDE, false, "N-{(1S,2R,3S)-1-[(ALPHA-D-GALACTOPYRANOSYLOXY)METHYL]-2,3-DIHYDROXYHEPTADECYL}HEXACOSANAMIDE", 10997 },
	{ "AGI", "", "", ResidueType::NON_POLYMER, false, "5,7-dihydroxy-2-(4-hydroxyphenyl)-4H-chromen-4-one", 10998 },
	{ "AGJ", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-4-{[(2-hydroxyethyl)(phenylacetyl)amino]methyl}benzamide", 10999 },
	{ "AGK", "", "", ResidueType::NON_POLYMER, false, "(3R,4S,5R)-3-(hydroxymethyl)-1,2-diazinane-4,5-diol", 11000 },
	{ "AGL", "", "", ResidueType::SACCHARIDE, false, "4,6-DIDEOXY-4-AMINO-ALPHA-D-GLUCOSE", 11001 },
	{ "AGM", "", "", ResidueType::PEPTIDE_LINKING, false, "5-METHYL-ARGININE", 11002 },
	{ "AGN", "", "", ResidueType::NON_POLYMER, false, "", 11003 },
	{ "AGO", "", "", ResidueType::NON_POLYMER, false, "2-amino-9-(5-O-[(R)-hydroxy{[(R)-hydroxy(phosphonoamino)phosphoryl]oxy}phosphoryl]-3-O-{[2-(methylamino)phenyl]carbonyl}-beta-D-erythro-pentofuranosyl-2-ulose)-1,9-dihydro-6H-purin-6-one", 11004 },
	{ "AGP", "", "", ResidueType::NON_POLYMER, false, "2-DEOXY-2-AMINO GLUCITOL-6-PHOSPHATE", 11005 },
	{ "AGQ", "", "", ResidueType::PEPTIDE_LINKING, false, "3-[(3E)-3-(carbamimidoylhydrazono)-4-hydroxy-6-oxocyclohexa-1,4-dien-1-yl]-L-alanine", 11006 },
	{ "AGR", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4S,5S)-2,5-bis(hydroxymethyl)-5-[(2R,3R,4R,5R,6R)-6-(hydroxymethyl)-3,4,5-tris(oxidanyl)oxan-2-yl]oxy-4-oxidanyl-oxolan-3-yl] [(2R,3R,4S,5S)-2,4,5-tris(oxidanyl)oxan-3-yl] hydrogen phosphate", 11007 },
	{ "AGS", "SAP,ATG", "", ResidueType::NON_POLYMER, false, "PHOSPHOTHIOPHOSPHORIC ACID-ADENYLATE ESTER", 11008 },
	{ "AGT", "", "", ResidueType::PEPTIDE_LINKING, false, "S-{(S)-AMINO[(4-AMINOBUTYL)AMINO]METHYL}-L-CYSTEINE", 11009 },
	{ "AGU", "", "", ResidueType::NON_POLYMER, false, "AMINOGUANIDINE", 11010 },
	{ "AGV", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S)-1-[(4-amino-5H-pyrrolo[3,2-d]pyrimidin-7-yl)methyl]-2-(hydroxymethyl)pyrrolidine-3,4-diol", 11011 },
	{ "AGW", "", "", ResidueType::NON_POLYMER, false, "", 11012 },
	{ "AGX", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-(1H-benzimidazol-2-yl)ethyl (3,4-dichlorophenyl)carbamate", 11013 },
	{ "AGY", "", "", ResidueType::NON_POLYMER, false, "2-[(4-tert-butyl-3-nitrophenyl)carbonyl]-N-naphthalen-1-ylhydrazinecarboxamide", 11014 },
	{ "AH0", "", "", ResidueType::NON_POLYMER, false, "2-(2-ACETYLAMINO-4-HYDROXY-6,8-DIOXA-BICYCLO[3.2.1]OCT-3-YLOXY)-PROPIONIC ACID", 11015 },
	{ "AH1", "", "", ResidueType::NON_POLYMER, false, "AHA001", 11016 },
	{ "AH2", "", "", ResidueType::NON_POLYMER, false, "1,5-Anhydromannitol", 11017 },
	{ "AH4", "", "", ResidueType::NON_POLYMER, false, "2-(diphenylamino)-N-[7-(hydroxyamino)-7-oxoheptyl]pyrimidine-5-carboxamide", 11018 },
	{ "AH7", "", "", ResidueType::NON_POLYMER, false, "2-[(4,4-difluoro-1-phenylcyclohexyl)amino]-N-hydroxypyrimidine-5-carboxamide", 11019 },
	{ "AH8", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4R,5S)-2-azido-5-(hydroxymethyl)tetrahydrofuran-3,4-diol", 11020 },
	{ "AHA", "", "ACA", ResidueType::NON_POLYMER, true, "6-AMINO HEXANOIC ACID", 11021 },
	{ "AHB", "", "", ResidueType::PEPTIDE_LINKING, false, "BETA-HYDROXYASPARAGINE", 11022 },
	{ "AHC", "", "", ResidueType::NON_POLYMER, false, "4-AMINOHYDROCINNAMIC ACID", 11023 },
	{ "AHD", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-1-HYDROXYBUTANE-1,1-DIYLDIPHOSPHONATE", 11024 },
	{ "AHE", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-4-[1-CARBOXYMETHYL-CARBAMOYL)-2-HYDROXYMETHYLSULFANYL-ETHYLCARBAMOYL]-BUTYRIC ACID", 11025 },
	{ "AHF", "", "", ResidueType::NON_POLYMER, false, "2-[4-(HYDROXY-METHOXY-METHYL)-BENZYL]-7-(4-HYDROXYMETHYL-BENZYL)-1,1-DIOXO-3,6-BIS-PHENOXYMETHYL-1LAMBDA6-[1,2,7]THIADIAZEPANE-4,5-DIOL", 11026 },
	{ "AHG", "", "", ResidueType::NON_POLYMER, false, "2,5-ANHYDROGLUCITOL-1,6-BIPHOSPHATE", 11027 },
	{ "AHH", "", "", ResidueType::PEPTIDE_LINKING, false, "AMINO-HYDROXYHEPTANOIC ACID", 11028 },
	{ "AHI", "", "", ResidueType::NON_POLYMER, false, "3-{[(E)-AMINO(HYDROXYIMINO)METHYL]AMINO}PROPAN-1-AMINIUM", 11029 },
	{ "AHK", "", "", ResidueType::NON_POLYMER, false, "2-(1~{H}-benzimidazol-2-yl)ethyl-[[3-chloranyl-4-(2-ethylphenyl)phenyl]methyl]azanium", 11030 },
	{ "AHL", "", "", ResidueType::NON_POLYMER, false, "N-HYDROXY-L-ARGININAMIDE", 11031 },
	{ "AHM", "", "", ResidueType::NON_POLYMER, false, "2,5-ANHYDROMANNITOL-1,6-DIPHOSPHATE", 11032 },
	{ "AHN", "", "", ResidueType::NON_POLYMER, false, "N-[2-(1H-IMIDAZOL-4-YL)ETHYL]ACETAMIDE", 11033 },
	{ "AHO", "", "", ResidueType::PEPTIDE_LINKING, false, "N-ACETYL-N-HYDROXY-L-ORNITHINE", 11034 },
	{ "AHP", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-HEPTANOIC ACID", 11035 },
	{ "AHQ", "", "", ResidueType::NON_POLYMER, false, "(2S,7R,9R)-4,5-dihydroxy-2,3,6,7,8,9-hexahydro-1H-pyrrolo[2,3-f]quinoline-2,7,9-tricarboxylic acid", 11036 },
	{ "AHR", "", "", ResidueType::SACCHARIDE, false, "ALPHA-L-ARABINOFURANOSE", 11037 },
	{ "AHS", "", "", ResidueType::PEPTIDE_LIKE, false, "(3-AMINO-4-CYCLOHEXYL-2-HYDROXY-BUTYL)-ISOBUTYL-CARBAMIC ACID", 11038 },
	{ "AHT", "", "", ResidueType::PEPTIDE_LIKE, false, "4-(2,5-DIAMINO-5-HYDROXY-PENTYL)-PHENOL", 11039 },
	{ "AHU", "", "", ResidueType::NON_POLYMER, false, "1',5'-ANHYDRO-2',3'-DIDEOXY-2'-(5-IODOURACIL-1-YL)-D-ABABINO-HEXITOL", 11040 },
	{ "AHW", "", "", ResidueType::NON_POLYMER, false, "2-ethyl-7-methoxy-naphthalene", 11041 },
	{ "AHX", "", "", ResidueType::NON_POLYMER, false, "SERYL-HYDROXAMATE-ADENOSINE MONOPHOSPHATE", 11042 },
	{ "AHY", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-3-AMINO-2-HYDROXYDECANOIC ACID", 11043 },
	{ "AHZ", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE DIPHOSPHATE 5-(BETA-ETHYL)-4-METHYL-THIAZOLE-2-CARBOXYLIC ACID", 11044 },
	{ "AI", "", "", ResidueType::NON_POLYMER, false, "(2S,2'S)-N,N'-[(2S,3S,4S,5S)-1-CYCLOHEXYL-3,4-DIHYDROXY-6-PHENYLHEXANE-2,5-DIYL]BIS[3-METHYL-2-({[METHYL(PYRIDIN-2-YLMETHYL)AMINO]CARBONYL}AMINO)BUTANAMIDE]", 11045 },
	{ "AI1", "", "", ResidueType::NON_POLYMER, false, "N-BENZYL-3-(ALPHA-D-GALACTOS-1-YL)-BENZAMIDE", 11046 },
	{ "AI2", "", "", ResidueType::NON_POLYMER, false, "3A-METHYL-5,6-DIHYDRO-FURO[2,3-D][1,3,2]DIOXABOROLE-2,2,6,6A-TETRAOL", 11047 },
	{ "AI3", "", "", ResidueType::NON_POLYMER, false, "2,3-DIMETHOXY-12H-[1,3]DIOXOLO[5,6]INDENO[1,2-C]ISOQUINOLIN-6-IUM", 11048 },
	{ "AI7", "", "", ResidueType::NON_POLYMER, false, "3-(heptyloxy)benzoic acid", 11049 },
	{ "AI8", "", "", ResidueType::NON_POLYMER, false, "Ceftaroline, bound form", 11050 },
	{ "AI9", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4S,5E)-5-[[5-azanyl-2,4-bis(oxidanylidene)-1H-pyrimidin-6-yl]imino]-2,3,4-tris(oxidanyl)pentyl] dihydrogen phosphate", 11051 },
	{ "AIA", "", "", ResidueType::NON_POLYMER, false, "(1S)-2-[(2S,5R)-2-(AMINOMETHYL)-5-ETHYNYLPYRROLIDIN-1-YL]-1-CYCLOPENTYL-2-OXOETHANAMINE", 11052 },
	{ "AIB", "", "", ResidueType::PEPTIDE_LINKING, false, "ALPHA-AMINOISOBUTYRIC ACID", 11053 },
	{ "AIC", "", "", ResidueType::NON_POLYMER, false, "(2S,5R,6R)-6-{[(2R)-2-AMINO-2-PHENYLETHANOYL]AMINO}-3,3-DIMETHYL-7-OXO-4-THIA-1-AZABICYCLO[3.2.0]HEPTANE-2-CARBOXYLIC ACID", 11054 },
	{ "AIF", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5E)-5-[(5-amino-2,6-dioxo-3H-pyrimidin-4-yl)imino]-2,3,4-trihydroxy-pentyl] dihydrogen phosphate", 11055 },
	{ "AIG", "", "", ResidueType::SACCHARIDE, false, "4-AMINO-2-HEXYLOXY-6-HYDROXYMETHYL-TETRAHYDRO-PYRAN-3,5-DIOL", 11056 },
	{ "AIH", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-2-(4-{2-[(3R,4R)-3,4-DIMETHYLPYRROLIDIN-1-YL]ETHOXY}PHENYL)-3-(4-HYDROXYPHENYL)-2,3-DIHYDRO-1,4-BENZOXATHIIN-6-OL", 11057 },
	{ "AIJ", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-3-(4-HYDROXYPHENYL)-2-(4-{[(2S)-2-PYRROLIDIN-1-YLPROPYL]OXY}PHENYL)-2,3-DIHYDRO-1,4-BENZOXATHIIN-6-OL", 11058 },
	{ "AIK", "", "", ResidueType::NON_POLYMER, false, "N-[3-(DIMETHYLAMINO)PROPYL]-2-({[4-({[4-(FORMYLAMINO)-1-METHYL-1H-PYRROL-2-YL]CARBONYL}AMINO)-1-METHYL-1H-PYRROL-2-YL]CARBONYL}AMINO)-5-ISOPROPYL-1,3-THIAZOLE-4-CARBOXAMIDE", 11059 },
	{ "AIL", "", "", ResidueType::NON_POLYMER, false, "N-{[(3S,5S)-5-(1,3-THIAZOLIDIN-3-YLCARBONYL)PYRROLIDIN-3-YL]METHYL}-1,3-THIAZOLE-4-CARBOXAMIDE", 11060 },
	{ "AIM", "", "", ResidueType::NON_POLYMER, false, "4-(4-AMINO-CYCLOHEXYLIDENE)-4H-IMIDAZOL-2-YLAMINE", 11061 },
	{ "AIN", "", "", ResidueType::NON_POLYMER, false, "2-(ACETYLOXY)BENZOIC ACID", 11062 },
	{ "AIO", "", "", ResidueType::NON_POLYMER, false, "[(2R)-1-(L-ALANYL-L-ISOLEUCYL)PYRROLIDIN-2-YL]BORONIC ACID", 11063 },
	{ "AIQ", "", "", ResidueType::NON_POLYMER, false, "2,6-DIAMINO-8-(1H-IMIDAZOL-2-YLSULFANYLMETHYL)-3H-QUINAZOLINE-4-ONE", 11064 },
	{ "AIR", "", "", ResidueType::NON_POLYMER, false, "5-AMINOIMIDAZOLE RIBONUCLEOTIDE", 11065 },
	{ "AIS", "", "", ResidueType::NON_POLYMER, false, "5-AMINOIMIDAZOLE RIBONUCLEOSIDE", 11066 },
	{ "AIT", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-3-(4-HYDROXYPHENYL)-2-(4-{[(2R)-2-PYRROLIDIN-1-YLPROPYL]OXY}PHENYL)-2,3-DIHYDRO-1,4-BENZOXATHIIN-6-OL", 11067 },
	{ "AIU", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-2-(4-{2-[(3S,4S)-3,4-DIMETHYLPYRROLIDIN-1-YL]ETHOXY}PHENYL)-3-(4-HYDROXYPHENYL)-2,3-DIHYDRO-1,4-BENZOXATHIIN-6-OL", 11068 },
	{ "AIV", "", "", ResidueType::NON_POLYMER, false, "hydroxy(oxo)bis(pyridine-2-carboxylato-kappa~2~N,O)vanadium(3+)", 11069 },
	{ "AIX", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-2-[(1R)-1-{[(2R)-2-amino-2-phenylacetyl]amino}-2-oxoethyl]-5,5-dimethyl-1,3-thiazolidine-4-carboxylic acid", 11070 },
	{ "AIZ", "", "", ResidueType::NON_POLYMER, false, "3-{6-[(2-CHLOROPHENYL)AMINO]-1H-INDAZOL-3-YL}-5-{[4-(DIMETHYLAMINO)BUTANOYL]AMINO}BENZOIC ACID", 11071 },
	{ "AJ1", "", "", ResidueType::NON_POLYMER, false, "N-(2-METHYLAMINO)-1,3-BENZOTHIAZOL-6-YL)ACETAMIDE", 11072 },
	{ "AJ2", "", "", ResidueType::NON_POLYMER, false, "4-methylquinolin-2-ol", 11073 },
	{ "AJ3", "", "", ResidueType::NON_POLYMER, false, "3-(PROP-2-ENE-1-SULFINYL)-PROPENE-1-THIOL", 11074 },
	{ "AJ4", "", "", ResidueType::NON_POLYMER, false, "7-(2-fluorophenyl)-4-methylquinolin-2(1H)-one", 11075 },
	{ "AJ5", "", "", ResidueType::NON_POLYMER, false, "3-chloro-N-(2-methoxyethyl)-4-(4-methyl-2-oxo-1,2-dihydroquinolin-7-yl)benzamide", 11076 },
	{ "AJ6", "", "", ResidueType::NON_POLYMER, false, "7-(4-amino-2-chlorophenyl)-4-methylquinolin-2(1H)-one", 11077 },
	{ "AJ7", "", "", ResidueType::NON_POLYMER, false, "3-chloro-4-(4-methyl-2-oxo-1,2-dihydroquinolin-7-yl)-N-[2-(morpholin-4-yl)ethyl]benzamide", 11078 },
	{ "AJ8", "", "", ResidueType::NON_POLYMER, false, "3-chloro-4-(4-methyl-2-oxo-1,2-dihydroquinolin-7-yl)benzoic acid", 11079 },
	{ "AJA", "", "", ResidueType::NON_POLYMER, false, "(6AR,10AR)-3-(1,1-DIMETHYLHEPTYL)-1-HYDROXY-6,6-DIMETHYL-6A,7,10,10A-TETRAHYDRO-6H-BENZO[C]CHROMENE-9-CARBOXYLIC ACID", 11080 },
	{ "AJB", "", "", ResidueType::NON_POLYMER, false, "2-amino-N-(4-methyl-1,3-thiazol-2-yl)-5-[(4-methyl-4H-1,2,4-triazol-3-yl)sulfanyl]benzamide", 11081 },
	{ "AJD", "", "", ResidueType::NON_POLYMER, false, "5-bromo-2-[(3R)-piperidin-3-ylamino]benzoic acid", 11082 },
	{ "AJE", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S,4R)-4-amino-1-(3-carboxypropanoyl)pyrrolidine-3-carboxylic acid", 11083 },
	{ "AJG", "", "", ResidueType::NON_POLYMER, false, "N-(6-CYANO-3H-1,3-BENZOTHIAZOL-2-YLIDENE)ETHANAMIDE", 11084 },
	{ "AJH", "", "", ResidueType::NON_POLYMER, false, "4-({4-[(3R)-3-amino-4-(2,4,5-trifluorophenyl)butanoyl]-1,4-diazepan-1-yl}carbonyl)benzoic acid", 11085 },
	{ "AJI", "", "", ResidueType::NON_POLYMER, false, "3-[(4-fluorophenyl)sulfanyl]-N-(4-methyl-1,3-thiazol-2-yl)-6-[(4-methyl-4H-1,2,4-triazol-3-yl)sulfanyl]pyridine-2-carboxamide", 11086 },
	{ "AJJ", "", "", ResidueType::NON_POLYMER, false, "4-[3-(1-methylpiperidin-4-yl)-1,2,4-oxadiazol-5-yl]phenol", 11087 },
	{ "AJK", "", "", ResidueType::NON_POLYMER, false, "(3-chloranyl-4-phenyl-phenyl)methyl-[2-(1~{H}-pyrrol-2-yl)ethyl]azanium", 11088 },
	{ "AJM", "", "", ResidueType::NON_POLYMER, false, "AJMALINE", 11089 },
	{ "AJN", "", "", ResidueType::NON_POLYMER, false, "Ajmalicine", 11090 },
	{ "AJP", "", "", ResidueType::NON_POLYMER, false, "Digitonin", 11091 },
	{ "AJQ", "", "", ResidueType::NON_POLYMER, false, "", 11092 },
	{ "AJV", "", "", ResidueType::NON_POLYMER, false, "7-fluoro-3-(hydroxyamino)-2H-indol-2-one", 11093 },
	{ "AJY", "", "", ResidueType::NON_POLYMER, false, "(3Z)-6-bromo-3-(hydroxyimino)-5-methyl-1,3-dihydro-2H-indol-2-one", 11094 },
	{ "AJZ", "", "", ResidueType::NON_POLYMER, false, "3-(4-morpholin-4-ylthieno[3,2-d]pyrimidin-2-yl)phenol", 11095 },
	{ "AK1", "", "", ResidueType::NON_POLYMER, false, "1-{5-[2-(thieno[3,2-d]pyrimidin-4-ylamino)ethyl]-1,3-thiazol-2-yl}-3-[3-(trifluoromethyl)phenyl]urea", 11096 },
	{ "AK2", "", "", ResidueType::NON_POLYMER, false, "1-(3-chlorophenyl)-3-{5-[2-(thieno[3,2-d]pyrimidin-4-ylamino)ethyl]-1,3-thiazol-2-yl}urea", 11097 },
	{ "AK3", "", "", ResidueType::NON_POLYMER, false, "1-(5-{2-[(1-methyl-1H-pyrazolo[4,3-d]pyrimidin-7-yl)amino]ethyl}-1,3-thiazol-2-yl)-3-[3-(trifluoromethyl)phenyl]urea", 11098 },
	{ "AK4", "", "", ResidueType::NON_POLYMER, false, "(7-{[2-(2-{[(3-chlorophenyl)carbamoyl]amino}-1,3-thiazol-5-yl)ethyl]amino}-1H-pyrazolo[4,3-d]pyrimidin-1-yl)acetic acid", 11099 },
	{ "AK5", "", "", ResidueType::NON_POLYMER, false, "3-({3-[(6-amino-5-bromopyrimidin-4-yl)sulfanyl]propanoyl}amino)-4-methoxy-N-phenylbenzamide", 11100 },
	{ "AK6", "", "", ResidueType::NON_POLYMER, false, "4-methoxy-N-phenyl-3-({3-[(1H-pyrrolo[2,3-b]pyridin-5-ylmethyl)sulfanyl]propanoyl}amino)benzamide", 11101 },
	{ "AK7", "", "", ResidueType::NON_POLYMER, false, "1-(5-{2-[(6-amino-5-bromopyrimidin-4-yl)amino]ethyl}-1,3-thiazol-2-yl)-3-[3-(trifluoromethyl)phenyl]urea", 11102 },
	{ "AK8", "", "", ResidueType::NON_POLYMER, false, "1-[3-methyl-4-({3-[2-(methylamino)pyrimidin-4-yl]pyridin-2-yl}oxy)phenyl]-3-[3-(trifluoromethyl)phenyl]urea", 11103 },
	{ "AKA", "", "", ResidueType::NON_POLYMER, false, "10-DECARBOXYMETHYLACLACINOMYCIN A (DCMAA)", 11104 },
	{ "AKB", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-3-KETOBUTYRIC ACID", 11105 },
	{ "AKC", "", "", ResidueType::NON_POLYMER, false, "2-ETHOXYETHYL (1S,2S)-3-{(2S)-4-[(3AS,8S,8AR)-2-OXO-3,3A,8,8A-TETRAHYDRO-2H-INDENO[1,2-D][1,3]OXAZOL-8-YL]-2-BENZYL-3-OXO-2,3-DIHYDRO-1H-PYRROL-2-YL}-1-BENZYL-2-HYDROXYPROPYLCARBAMATE", 11106 },
	{ "AKD", "", "", ResidueType::NON_POLYMER, false, "5-bromo-2-[(3S)-piperidin-3-ylamino]benzoate", 11107 },
	{ "AKE", "", "", ResidueType::NON_POLYMER, false, "1,4-bis({2-[(2-hydroxyethyl)amino]ethyl}amino)anthracene-9,10-dione", 11108 },
	{ "AKG", "2OG", "", ResidueType::NON_POLYMER, false, "2-OXOGLUTARIC ACID", 11109 },
	{ "AKH", "", "", ResidueType::NON_POLYMER, false, "1-BENZOFURAN-7-CARBOXYLIC ACID", 11110 },
	{ "AKI", "", "", ResidueType::NON_POLYMER, false, "1-(4-{2-[(5,6-diphenylfuro[2,3-d]pyrimidin-4-yl)amino]ethyl}phenyl)-3-phenylurea", 11111 },
	{ "AKK", "", "", ResidueType::NON_POLYMER, false, "(1Z)-prop-1-en-1-amine", 11112 },
	{ "AKL", "", "", ResidueType::PEPTIDE_LINKING, true, "3-AMINO-5-CHLORO-4-OXOPENTANOIC ACID", 11113 },
	{ "AKM", "", "", ResidueType::NON_POLYMER, false, "[(2R,4S,6R)-4-azanyl-4,6-dimethyl-5,5-bis(oxidanyl)oxan-2-yl] [[(2R,3S,5R)-5-[5-methyl-2,4-bis(oxidanylidene)pyrimidin-1-yl]-3-oxidanyl-oxolan-2-yl]methoxy-oxidanyl-phosphoryl] hydrogen phosphate", 11114 },
	{ "AKN", "", "", ResidueType::NON_POLYMER, false, "", 11115 },
	{ "AKP", "", "", ResidueType::NON_POLYMER, false, "N-(PYRAZIN-2-YLCARBONYL)LEUCYLISOLEUCYL-N~1~-{1-[2-({1-CARBOXY-2-[4-(PHOSPHONOOXY)PHENYL]ETHYL}AMINO)-1,1-DIHYDROXY-2-OXOETHYL]BUT-3-ENYL}-3-CYCLOHEXYLALANINAMIDE", 11116 },
	{ "AKR", "", "", ResidueType::NON_POLYMER, false, "ACRYLIC ACID", 11117 },
	{ "AKS", "", "", ResidueType::NON_POLYMER, false, "N-(hex-5-yn-1-yl)hexanamide", 11118 },
	{ "AKT", "", "", ResidueType::NON_POLYMER, false, "10-DECARBOXYMETHYLACLACINOMYCIN T (DCMAT)", 11119 },
	{ "AKV", "", "", ResidueType::NON_POLYMER, false, "{3-[(1R,3S)-1,3-DIHYDROXYPENTYL]-4,5,9,10-TETRAHYDROXY-2-ANTHRYL}ACETATE", 11120 },
	{ "AKW", "", "", ResidueType::NON_POLYMER, false, "", 11121 },
	{ "AKX", "", "", ResidueType::NON_POLYMER, false, "(1R,3R)-5-[(2E)-2-[(1R,3aS,7aR)-7a-methyl-1-[(2R)-6-oxidanyl-7-phenyl-6-(phenylmethyl)heptan-2-yl]-2,3,3a,5,6,7-hexahydro-1H-inden-4-ylidene]ethylidene]-2-methylidene-cyclohexane-1,3-diol", 11122 },
	{ "AKY", "", "", ResidueType::NON_POLYMER, false, "", 11123 },
	{ "AKZ", "", "", ResidueType::PEPTIDE_LIKE, false, "(3S)-3-amino-4,4-dihydroxybutanoic acid", 11124 },
	{ "AL", "", "", ResidueType::NON_POLYMER, false, "ALUMINUM ION", 11125 },
	{ "AL0", "", "", ResidueType::NON_POLYMER, false, "3-[HYDROXY(NITROSO)AMINO]-L-ALANINE", 11126 },
	{ "AL1", "", "", ResidueType::NON_POLYMER, false, "3,,4-DIHYDRO-2-(3-METHOXYPHENYL)-2H-THIENO-[3,2-E]-1,2-THIAZINE-6-SULFONAMIDE-1,1-DIOXIDE", 11127 },
	{ "AL2", "", "", ResidueType::NON_POLYMER, false, "3,4-DIHYDRO-4-HYDROXY-2-(4-METHOXYPHENYL)-2H-THIENO[3,2-E]-1,2-THIAZINE-6-SULFONAMIDE-1,1-DIOXIDE", 11128 },
	{ "AL3", "", "", ResidueType::NON_POLYMER, false, "3,4-DIHYDRO-4-HYDROXY-2-(2-THIENYMETHYL)-2H-THIENO[3,2-E]-1,2-THIAZINE-6-SULFONAMIDE-1,1-DIOXIDE", 11129 },
	{ "AL4", "", "", ResidueType::NON_POLYMER, false, "(R)-4-ETHYLAMINO-3,4-DIHYDRO-2-(2-METHOYLETHYL)-2H-THIENO[3,2-E]-1,2-THIAZINE-6-SULFONAMIDE-1,1-DIOXIDE", 11130 },
	{ "AL5", "", "", ResidueType::NON_POLYMER, false, "THIOPHENE-2,5-DISULFONIC ACID 2-AMIDE-5-(4-METHYL-BENZYLAMIDE)", 11131 },
	{ "AL6", "", "", ResidueType::NON_POLYMER, false, "2-(3-METHOXYPHENYL)-2H-THIENO-[3,2-E]-1,2-THIAZINE-6-SULFINAMIDE-1,1-DIOXIDE", 11132 },
	{ "AL7", "", "", ResidueType::NON_POLYMER, false, "(S)-3,4-DIHYDRO-2-(3-METHOXYPHENYL)-4-METHYLAMINO-2H-THIENO[3,2-E]-1,2-THIAZINE-6-SULFONAMIDE-1,1-DIOXIDE", 11133 },
	{ "AL8", "", "", ResidueType::NON_POLYMER, false, "(R)-3,4-DIHYDRO-2-(3-METHOXYPHENYL)-4-METHYLAMINO-2H-THIENO[3,2-E]-1,2-THIAZINE-6-SULFONAMIDE-1,1-DIOXIDE", 11134 },
	{ "AL9", "", "", ResidueType::NON_POLYMER, false, "N-[(4-METHOXYPHENYL)METHYL]2,5-THIOPHENEDESULFONAMIDE", 11135 },
	{ "ALA", "", "", ResidueType::PEPTIDE_LINKING, false, "ALANINE", 11136 },
	{ "ALB", "", "", ResidueType::NON_POLYMER, false, "DELTA-2-ALBOMYCIN A1", 11137 },
	{ "ALC", "HAC", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-3-CYCLOHEXYL-PROPIONIC ACID", 11138 },
	{ "ALD", "", "", ResidueType::NON_POLYMER, false, "N-[(benzyloxy)carbonyl]-L-leucyl-N-[(2S)-1-hydroxy-4-methylpentan-2-yl]-L-leucinamide", 11139 },
	{ "ALE", "", "", ResidueType::NON_POLYMER, false, "L-EPINEPHRINE", 11140 },
	{ "ALF", "", "", ResidueType::NON_POLYMER, false, "TETRAFLUOROALUMINATE ION", 11141 },
	{ "ALG", "", "", ResidueType::PEPTIDE_LIKE, false, "4-carbamimidamidobutanoic acid", 11142 },
	{ "ALH", "", "", ResidueType::NON_POLYMER, false, "6-PHENYL[5H]PYRROLO[2,3-B]PYRAZINE", 11143 },
	{ "ALI", "", "", ResidueType::NON_POLYMER, false, "METHYL N-ACETYL ALLOSAMINE", 11144 },
	{ "ALJ", "", "", ResidueType::NON_POLYMER, false, "CYCLO-(L-ARGININE-L-PROLINE) INHIBITOR", 11145 },
	{ "ALK", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-[DIHYDROXY(METHOXY)-LAMBDA^5^-PHOSPHANYL]ETHANOL", 11146 },
	{ "ALL", "", "", ResidueType::SACCHARIDE, false, "D-ALLOPYRANOSE", 11147 },
	{ "ALM", "", "", ResidueType::PEPTIDE_LINKING, true, "1-METHYL-ALANINAL", 11148 },
	{ "ALN", "", "", ResidueType::PEPTIDE_LINKING, false, "NAPHTHALEN-2-YL-3-ALANINE", 11149 },
	{ "ALO", "", "", ResidueType::PEPTIDE_LINKING, false, "ALLO-THREONINE", 11150 },
	{ "ALP", "", "", ResidueType::NON_POLYMER, false, "2-(1-CARBOXY-2-HYDROXY-ETHYL)-5,5-DIMETHYL-THIAZOLIDINE-4-CARBOXYLIC ACID", 11151 },
	{ "ALQ", "ISB", "", ResidueType::NON_POLYMER, false, "2-METHYL-PROPIONIC ACID", 11152 },
	{ "ALR", "", "", ResidueType::NON_POLYMER, false, "ALRESTATIN", 11153 },
	{ "ALS", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3-(sulfooxy)-L-serine", 11154 },
	{ "ALT", "", "", ResidueType::PEPTIDE_LINKING, false, "THIOALANINE", 11155 },
	{ "ALU", "", "", ResidueType::NON_POLYMER, false, "METHYL HYDROGEN (S)-ACETYLPHOSPHONATE", 11156 },
	{ "ALV", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-2-aminopropane-1,1-diol", 11157 },
	{ "ALW", "", "", ResidueType::NON_POLYMER, false, "METHYL 5-(PROPYLSULFINYL)-1H-BENZIMIDAZOL-2-YLCARBAMATE", 11158 },
	{ "ALX", "", "", ResidueType::SACCHARIDE, false, "2-O-phosphono-alpha-D-glucopyranose", 11159 },
	{ "ALY", "", "", ResidueType::PEPTIDE_LINKING, false, "N(6)-ACETYLLYSINE", 11160 },
	{ "ALZ", "", "", ResidueType::PEPTIDE_LIKE, false, "", 11161 },
	{ "AM", "", "", ResidueType::NON_POLYMER, false, "AMERICIUM ION", 11162 },
	{ "AM0", "", "", ResidueType::NON_POLYMER, false, "N-phenyl-1-{4-[(3,4,5-trimethoxyphenyl)amino]-1,3,5-triazin-2-yl}-1H-benzimidazol-2-amine", 11163 },
	{ "AM1", "", "", ResidueType::NON_POLYMER, false, "(S)-2-AMINO-3-(3-CARBOXY-5-METHYLISOXAZOL-4-YL)PROPIONIC ACID", 11164 },
	{ "AM2", "", "", ResidueType::NON_POLYMER, false, "APRAMYCIN", 11165 },
	{ "AM3", "", "", ResidueType::NON_POLYMER, false, "(3Z,5S,6R,7S,8S,8aR)-3-(octylimino)hexahydro[1,3]oxazolo[3,4-a]pyridine-5,6,7,8-tetrol", 11166 },
	{ "AM4", "", "", ResidueType::NON_POLYMER, false, "4-(METHYLSULFONYL)BENZENECARBOXIMIDAMIDE", 11167 },
	{ "AM5", "", "", ResidueType::NON_POLYMER, false, "4-methyl-N~3~-(2-{[4-(4-methylpiperazin-1-yl)phenyl]amino}pyrimidin-5-yl)-N~1~-[3-(trifluoromethyl)phenyl]benzene-1,3-dicarboxamide", 11168 },
	{ "AM6", "", "", ResidueType::NON_POLYMER, false, "2-methyl-N-{4-methyl-3-[(2-{[4-(4-methylpiperazin-1-yl)phenyl]amino}pyrimidin-5-yl)carbamoyl]phenyl}-3-(trifluoromethyl)benzamide", 11169 },
	{ "AM7", "", "", ResidueType::NON_POLYMER, false, "2-benzyl-5-(3-fluoro-4-{[6-methoxy-7-(3-morpholin-4-ylpropoxy)quinolin-4-yl]oxy}phenyl)-3-methylpyrimidin-4(3H)-one", 11170 },
	{ "AM8", "", "", ResidueType::NON_POLYMER, false, "N-(3-chlorophenyl)-N-methyl-2-oxo-3-[(3,4,5-trimethyl-1H-pyrrol-2-yl)methyl]-2H-indole-5-sulfonamide", 11171 },
	{ "AM9", "", "", ResidueType::NON_POLYMER, false, "6-(2,6-dimethylphenyl)-2-{[4-(4-methylpiperazin-1-yl)phenyl]amino}pyrimido[5',4':5,6]pyrimido[1,2-a]benzimidazol-5(6H)-one", 11172 },
	{ "AMA", "", "PLA", ResidueType::NON_POLYMER, true, "2-[(3-HYDROXY-2-METHYL-5-PHOSPHONOOXYMETHYL-PYRIDIN-4-YLMETHYL)-AMINO]-2-METHYL-SUCCINIC ACID", 11173 },
	{ "AMB", "", "", ResidueType::NON_POLYMER, false, "L-2-AMINO-4-METHOXY-CIS-BUT-3-ENOIC ACID", 11174 },
	{ "AMC", "", "", ResidueType::NON_POLYMER, false, "AMINOMETHYLCYCLOHEXANE", 11175 },
	{ "AMD", "", "", ResidueType::NON_POLYMER, false, "ASPARTYL-2'-DEOXY-ADENOSINE-5'-MONOPHOSPHATE", 11176 },
	{ "AME", "", "", ResidueType::NON_POLYMER, false, "N-ACETYLMETHIONINE", 11177 },
	{ "AMF", "", "", ResidueType::NON_POLYMER, false, "(3Z,5S,6R,7S,8R,8aS)-3-(octylimino)hexahydro[1,3]thiazolo[3,4-a]pyridine-5,6,7,8-tetrol", 11178 },
	{ "AMG", "", "", ResidueType::NON_POLYMER, false, "ALPHA-METHYL-D-GALACTOSIDE", 11179 },
	{ "AMH", "", "", ResidueType::NON_POLYMER, false, "TRANS-4-AMINOMETHYLCYCLOHEXANE-1-CARBOXYLIC ACID", 11180 },
	{ "AMI", "", "", ResidueType::NON_POLYMER, false, "ALLOSAMIZOLINE", 11181 },
	{ "AMJ", "", "", ResidueType::NON_POLYMER, false, "N~2~-acetyl-N-benzyl-O-methyl-L-serinamide", 11182 },
	{ "AML", "", "", ResidueType::NON_POLYMER, false, "AMYLAMINE", 11183 },
	{ "AMM", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{[(AMINOMETHYL)(DIHYDROXY)SILYL]METHYL}-4-METHYLPENTANAL", 11184 },
	{ "AMN", "", "", ResidueType::NON_POLYMER, false, "9-DEOXY-9-AMINO-2-O-METHYL-5-N-ACETYL-ALPHA-D-NEURAMINIC ACID", 11185 },
	{ "AMO", "", "", ResidueType::NON_POLYMER, false, "ASPARTYL-ADENOSINE-5'-MONOPHOSPHATE", 11186 },
	{ "AMP", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE MONOPHOSPHATE", 11187 },
	{ "AMQ", "", "", ResidueType::NON_POLYMER, false, "(S)-ALPHA-AMINO-3-HYDROXY-5-METHYL-4-ISOXAZOLEPROPIONIC ACID", 11188 },
	{ "AMR", "", "", ResidueType::NON_POLYMER, false, "3,5-DIAMINO-N-(AMINOIMINOMETHYL)-6-CHLOROPYRAZINECARBOXAMIDE", 11189 },
	{ "AMS", "", "", ResidueType::NON_POLYMER, false, "3-MERCURI-4-AMINOBENZENESULFONAMIDE", 11190 },
	{ "AMT", "", "", ResidueType::NON_POLYMER, false, "2-AMINOTHIAZOLE", 11191 },
	{ "AMU", "", "", ResidueType::SACCHARIDE, false, "BETA-N-ACETYLMURAMIC ACID", 11192 },
	{ "AMV", "", "", ResidueType::NON_POLYMER, false, "METHYL 2-(ACETYLAMINO)-3-O-[(1R)-1-CARBOXYETHYL]-2-DEOXY-BETA-D-GLUCOPYRANOSIDE", 11193 },
	{ "AMW", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE MONOTUNGSTATE", 11194 },
	{ "AMX", "", "", ResidueType::NON_POLYMER, false, "AMIDOCARBOXYMETHYLDETHIA COENZYME *A", 11195 },
	{ "AMY", "", "", ResidueType::NON_POLYMER, false, "ANTIMYCIN", 11196 },
	{ "AMZ", "AC4", "", ResidueType::NON_POLYMER, false, "AMINOIMIDAZOLE 4-CARBOXAMIDE RIBONUCLEOTIDE", 11197 },
	{ "AN0", "", "", ResidueType::NON_POLYMER, false, "N-ACETYL-L-NORVALINE", 11198 },
	{ "AN1", "", "", ResidueType::NON_POLYMER, false, "3-(10-METHYL-ANTHRACEN-9-YL)-PROPIONIC ACID", 11199 },
	{ "AN2", "", "", ResidueType::NON_POLYMER, false, "AMP PHOSPHORAMIDATE", 11200 },
	{ "AN3", "", "", ResidueType::NON_POLYMER, false, "ANTHRACENE", 11201 },
	{ "AN4", "", "", ResidueType::NON_POLYMER, false, "3,4,5,6-tetrahydro-2,3'-bipyridine", 11202 },
	{ "AN5", "", "", ResidueType::NON_POLYMER, false, "5-amino-1-pyridin-3-ylpentan-1-one", 11203 },
	{ "AN6", "", "", ResidueType::PEPTIDE_LINKING, false, "5'-{[(3S)-3-amino-3-carboxypropyl](ethyl)amino}-5'-deoxyadenosine", 11204 },
	{ "AN7", "", "", ResidueType::NON_POLYMER, false, "(3E)-4-{3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}-2-oxobut-3-enoic acid", 11205 },
	{ "AN8", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-aminononanoic acid", 11206 },
	{ "AN9", "", "", ResidueType::NON_POLYMER, false, "1,5-BIS[3-(DIETHYLAMINO)PROPIONAMIDO]ANTHRACENE-9,10-DIONE", 11207 },
	{ "ANA", "", "", ResidueType::NON_POLYMER, false, "4-O-ACETYL-ALPHA-2-OMETHYL-5-N-ACETYL-ALPHA-D-NEURAMINIC ACID", 11208 },
	{ "ANB", "", "", ResidueType::NON_POLYMER, false, "ANDROSTA-1,4-DIENE-3,17-DIONE", 11209 },
	{ "ANC", "", "", ResidueType::NON_POLYMER, false, "ANTHRACEN-1-YLAMINE", 11210 },
	{ "AND", "", "", ResidueType::NON_POLYMER, false, "3-BETA-HYDROXY-5-ANDROSTEN-17-ONE", 11211 },
	{ "ANE", "", "ADE", ResidueType::NON_POLYMER, true, "ADENINE", 11212 },
	{ "ANF", "", "", ResidueType::NON_POLYMER, false, "ANTHRONE", 11213 },
	{ "ANG", "", "", ResidueType::NON_POLYMER, false, "8-AMINOGUANINE", 11214 },
	{ "ANH", "", "", ResidueType::NON_POLYMER, false, "METHYL N-[(4-METHYLPHENYL)SULFONYL]GLYCYL-3-[AMINO(IMINO)METHYL]-D-PHENYLALANINATE", 11215 },
	{ "ANI", "", "", ResidueType::NON_POLYMER, false, "4-(trifluoromethyl)aniline", 11216 },
	{ "ANJ", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,6S,7R,8R)-3-{[3-(FORMYLAMINO)-2-HYDROXYBENZOYL]AMINO}-8-HEXYL-2,6-DIMETHYL-4,9-DIOXO-1,5-DIOXONAN-7-YL (2S)-2-METHYLBUTANOATE", 11217 },
	{ "ANK", "", "", ResidueType::NON_POLYMER, false, "9-{5-O-[(R)-hydroxy{[(S)-hydroxy(phosphonoamino)phosphoryl]oxy}phosphoryl]-beta-L-ribofuranosyl}-9H-purin-6-amine", 11218 },
	{ "ANL", "", "", ResidueType::NON_POLYMER, false, "ANILINE", 11219 },
	{ "ANM", "", "", ResidueType::NON_POLYMER, false, "ANISOMYCIN", 11220 },
	{ "ANN", "", "", ResidueType::NON_POLYMER, false, "4-METHOXYBENZOIC ACID", 11221 },
	{ "ANO", "", "", ResidueType::NON_POLYMER, false, "5-BETA-ANDROSTANE-3,17-DIONE", 11222 },
	{ "ANP", "", "", ResidueType::NON_POLYMER, false, "PHOSPHOAMINOPHOSPHONIC ACID-ADENYLATE ESTER", 11223 },
	{ "ANQ", "", "", ResidueType::NON_POLYMER, false, "ACENAPHTHENEQUINONE", 11224 },
	{ "ANR", "", "", ResidueType::NON_POLYMER, false, "ANHYDRORETINOL", 11225 },
	{ "ANS", "", "", ResidueType::NON_POLYMER, false, "5-(DIMETHYLAMINO)-1-NAPHTHALENESULFONIC ACID(DANSYL ACID)", 11226 },
	{ "ANT", "", "", ResidueType::NON_POLYMER, false, "ANTHRAMYCIN", 11227 },
	{ "ANU", "", "", ResidueType::NON_POLYMER, false, "2,2'-Anhydro-(1-beta-D-arabinofuranosyl)uracil", 11228 },
	{ "ANV", "", "", ResidueType::NON_POLYMER, false, "1-[4-[azanyl-bis(oxidanyl)-$l^{4}-sulfanyl]phenyl]-4-(phenoxymethyl)-1,2,3-triazole", 11229 },
	{ "ANW", "", "", ResidueType::NON_POLYMER, false, "2-amino-7-(1-methylethyl)-5-oxo-5H-chromeno[2,3-b]pyridine-3-carboxylic acid", 11230 },
	{ "ANX", "", "", ResidueType::NON_POLYMER, false, "2,5-DINITROPHENOL", 11231 },
	{ "ANY", "", "", ResidueType::NON_POLYMER, false, "2-METHYL-BUTYRIC ACID 3-(3-FORMYLAMINO-2-HYDROXY-BENZOYLAMINO)-8-HEPTYL-2,6-DIMETHYL-4,9-DIOXO-[1,5]DIOXONAN-7-YL ESTER", 11232 },
	{ "ANZ", "", "", ResidueType::NON_POLYMER, false, "", 11233 },
	{ "AO", "", "", ResidueType::NON_POLYMER, false, "ACRIDINE ORANGE", 11234 },
	{ "AO1", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-3-AMINO-2-HYDROXY-5-(ETHYLSULFANYL)PENTANOYL-((S)-(-)-(1-NAPHTHYL)ETHYL)AMIDE", 11235 },
	{ "AO2", "", "", ResidueType::NON_POLYMER, false, "N'-(2S,3R)-3-AMINO-4-CYCLOHEXYL-2-HYDROXY-BUTANO-N-(4-METHYLPHENYL)HYDRAZIDE", 11236 },
	{ "AO3", "", "", ResidueType::NON_POLYMER, false, "ALLOSAMIDIN", 11237 },
	{ "AO4", "", "", ResidueType::NON_POLYMER, false, "2-chloropyridine-4-carboxylic acid", 11238 },
	{ "AO5", "", "", ResidueType::NON_POLYMER, false, "", 11239 },
	{ "AO9", "", "", ResidueType::NON_POLYMER, false, "5'-deoxy-5'-[(imidazo[2,1-b][1,3]thiazol-5-ylcarbonyl)amino]cytidine", 11240 },
	{ "AOA", "", "", ResidueType::NON_POLYMER, false, "(AMINOOXY)ACETIC ACID", 11241 },
	{ "AOB", "", "", ResidueType::NON_POLYMER, false, "(E)-2-amino-4-oxo-6-styryl-4,7-dihydro-3H-pyrrolo[2,3-d]pyrimidine-5-carbonitrile", 11242 },
	{ "AOC", "", "", ResidueType::NON_POLYMER, false, "5'-O-prop-2-yn-1-yladenosine", 11243 },
	{ "AOD", "", "", ResidueType::NON_POLYMER, false, "5-bromo-2-{[(1S,3R)-3-carboxycyclohexyl]amino}benzoic acid", 11244 },
	{ "AOE", "", "", ResidueType::NON_POLYMER, false, "N-BUTYL-11-[(7R,8R,9S,13S,14S,17S)-3,17-DIHYDROXY-13-METHYL-7,8,9,11,12,13,14,15,16,17-DECAHYDRO-6H-CYCLOPENTA[A]PHENANTHREN-7-YL]-N-METHYLUNDECANAMIDE", 11245 },
	{ "AOF", "", "", ResidueType::NON_POLYMER, false, "N-(5-amino-2,6-dioxo-1,2,3,6-tetrahydropyrimidin-4-yl)-5-O-phosphono-beta-D-ribofuranosylamine", 11246 },
	{ "AOG", "", "", ResidueType::SACCHARIDE, false, "4-AMINO-2-OCTYLOXY-6-HYDROXYMETHYL-TETRAHYDRO-PYRAN-3,5-DIOL", 11247 },
	{ "AOH", "", "", ResidueType::NON_POLYMER, false, "8(1)-OH-Chlorophyll aF", 11248 },
	{ "AOI", "", "", ResidueType::NON_POLYMER, false, "Androsterone", 11249 },
	{ "AOJ", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-(5-fluoro-1H-indol-3-yl)pyrrolidine-2,5-dione", 11250 },
	{ "AOK", "", "", ResidueType::NON_POLYMER, false, "~{N}-[[3-chloranyl-4-(2-ethylphenyl)phenyl]methyl]-2-(5-methyl-1~{H}-benzimidazol-2-yl)ethanamine", 11251 },
	{ "AOL", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3S,4S,5R)-5-AMINOCYCLOPENTANE-1,2,3,4-TETROL", 11252 },
	{ "AOM", "", "", ResidueType::NON_POLYMER, false, "5-ALPHA-ANDROSTANE-3-BETA,17BETA-DIOL", 11253 },
	{ "AON", "", "", ResidueType::NON_POLYMER, false, "5-ALPHA-ANDROSTANE-3-BETA,17-ALPHA-DIOL", 11254 },
	{ "AOO", "", "", ResidueType::NON_POLYMER, false, "N-ethyl-6-methoxy-N'-(1-methylethyl)-1,3,5-triazine-2,4-diamine", 11255 },
	{ "AOP", "", "", ResidueType::NON_POLYMER, false, "PENTYLOXYAMINO-ACETALDEHYDE", 11256 },
	{ "AOQ", "", "", ResidueType::NON_POLYMER, false, "2-[trans-4-(4-chlorophenyl)cyclohexyl]-3-hydroxynaphthalene-1,4-dione", 11257 },
	{ "AOR", "", "", ResidueType::NON_POLYMER, false, "N~2~-ACETYL-L-ORNITHINE", 11258 },
	{ "AOS", "", "", ResidueType::SACCHARIDE, false, "D-ALLOSE", 11259 },
	{ "AOT", "", "", ResidueType::NON_POLYMER, false, "2-oxidanylidene-2-phenylazanyl-ethanoic acid", 11260 },
	{ "AOV", "", "", ResidueType::NON_POLYMER, false, "ADP ORTHOVANADATE", 11261 },
	{ "AOW", "", "", ResidueType::NON_POLYMER, false, "[2-[2-[[3-chloranyl-4-(2-ethylphenyl)phenyl]methylamino]ethyl]-3~{H}-benzimidazol-4-yl]-oxidanyl-oxidanylidene-azanium", 11262 },
	{ "AOX", "", "", ResidueType::NON_POLYMER, false, "(3Beta,5alpha)-3-Hydroxyandrostan-17-one", 11263 },
	{ "AOY", "", "", ResidueType::NON_POLYMER, false, "(3E)-3-[(phenylamino)methylidene]oxan-2-one", 11264 },
	{ "AOZ", "", "", ResidueType::NON_POLYMER, false, "Histopine", 11265 },
	{ "AP", "", "", ResidueType::NON_POLYMER, false, "N-1-AMINOPYRENE", 11266 },
	{ "AP0", "", "", ResidueType::NON_POLYMER, false, "ACETYL PYRIDINE ADENINE DINUCLEOTIDE, REDUCED", 11267 },
	{ "AP1", "", "", ResidueType::NON_POLYMER, false, "{3-[3-(3,4-DIMETHOXY-PHENYL)-1-(1-{1-[2-(3,4,5-TRIMETHOXY-PHENYL)-BUTYRYL]-PIPERIDIN-2YL}-VINYLOXY)-PROPYL]-PHENOXY}-ACETIC ACID", 11268 },
	{ "AP2", "", "", ResidueType::NON_POLYMER, false, "PHOSPHOMETHYLPHOSPHONIC ACID ADENOSYL ESTER", 11269 },
	{ "AP3", "", "", ResidueType::NON_POLYMER, false, "2-(1-CARBOXY-2-HYDROXY-2-METHYL-PROPYL)-5,5-DIMETHYL-THIAZOLIDINE-4-CARBOXYLIC ACID", 11270 },
	{ "AP4", "", "", ResidueType::NON_POLYMER, false, "7-AMINO-3,3A,4,5-TETRAHYDRO-8H-2-OXA-5,6,8,9B-TETRAAZA-CYCLOPENTA[A]NAPHTHALENE-1,9-DIONE", 11271 },
	{ "AP5", "", "", ResidueType::NON_POLYMER, false, "BIS(ADENOSINE)-5'-PENTAPHOSPHATE", 11272 },
	{ "AP6", "", "", ResidueType::NON_POLYMER, false, "2,4-DIAMINO-6-PHENYL-5,6,7,8,-TETRAHYDROPTERIDINE", 11273 },
	{ "AP7", "", "", ResidueType::RNA_LINKING, false, "", 11274 },
	{ "AP8", "", "", ResidueType::NON_POLYMER, false, "", 11275 },
	{ "AP9", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-({6-[(3-AMINO-5-CHLOROPHENYL)AMINO]-9-ISOPROPYL-9H-PURIN-2-YL}AMINO)-3-METHYLBUTAN-1-OL", 11276 },
	{ "APA", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(4-carbamimidoylphenyl)-2-hydroxypropanoic acid", 11277 },
	{ "APB", "", "", ResidueType::NON_POLYMER, false, "M-AMINOPHENYLBORONIC ACID", 11278 },
	{ "APC", "", "", ResidueType::NON_POLYMER, false, "DIPHOSPHOMETHYLPHOSPHONIC ACID ADENOSYL ESTER", 11279 },
	{ "APD", "", "", ResidueType::NON_POLYMER, false, "3-METHYLPHENYLALANINE", 11280 },
	{ "APE", "", "", ResidueType::PEPTIDE_LIKE, false, "(1-AMINO-2-PHENYL-ETHYL)-CARBAMIC ACID", 11281 },
	{ "APF", "", "", ResidueType::NON_POLYMER, false, "1,1,1-TRIFLUORO-3-ACETAMIDO-4-PHENYL BUTAN-2-ONE(N-ACETYL-L-PHENYLALANYL TRIFLUOROMETHYL KETONE)", 11282 },
	{ "APG", "SAA", "", ResidueType::NON_POLYMER, false, "ATROLACTIC ACID (2-PHENYL-LACTIC ACID)", 11283 },
	{ "APH", "", "", ResidueType::PEPTIDE_LINKING, false, "P-AMIDINOPHENYL-3-ALANINE", 11284 },
	{ "API", "", "", ResidueType::PEPTIDE_LINKING, false, "2,6-DIAMINOPIMELIC ACID", 11285 },
	{ "APJ", "", "", ResidueType::NON_POLYMER, false, "N~2~-1H-benzimidazol-5-yl-N~4~-(3-cyclopropyl-1H-pyrazol-5-yl)pyrimidine-2,4-diamine", 11286 },
	{ "APK", "", "", ResidueType::PEPTIDE_LINKING, false, "5'-O-[(S)-{[(5S)-5-AMINO-6-OXOHEXYL]AMINO}(HYDROXY)PHOSPHORYL]ADENOSINE", 11287 },
	{ "APL", "", "", ResidueType::NON_POLYMER, false, "N-(1-BENZYL-3,3,3-TRIFLUORO-2,2-DIHYDROXY-PROPYL)-ACETAMIDE", 11288 },
	{ "APM", "", "", ResidueType::PEPTIDE_LINKING, false, "M-AMIDINOPHENYL-3-ALANINE", 11289 },
	{ "APN", "", "", ResidueType::PEPTIDE_LIKE, false, "2-AMINOETHYLGLYCINE-CARBONYLMETHYLENE-ADENINE", 11290 },
	{ "APO", "", "", ResidueType::PEPTIDE_LINKING, false, "D-2-AMINO-3-PHOSPHONO-PROPIONIC ACID", 11291 },
	{ "APP", "", "", ResidueType::PEPTIDE_LINKING, false, "1-ACETYL-2-CARBOXYPIPERIDINE", 11292 },
	{ "APQ", "", "", ResidueType::NON_POLYMER, false, "2,6-DIAMINO-8-PROPYLSULFANYLMETHYL-3H-QUINAZOLINE-4-ONE", 11293 },
	{ "APR", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE-5-DIPHOSPHORIBOSE", 11294 },
	{ "APS", "", "", ResidueType::NON_POLYMER, false, "9-HYDROXYPROPYLADENINE, S-ISOMER", 11295 },
	{ "APT", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-6-[(4-CARBOXY-PHENYLAMINO)-METHYL]-4-HYDROXY-PTERIDIN-1-IUM", 11296 },
	{ "APU", "", "", ResidueType::NON_POLYMER, false, "ADENYLYL-3'-5'-PHOSPHO-URIDINE-3'-MONOPHOSPHATE", 11297 },
	{ "APV", "", "", ResidueType::NON_POLYMER, false, "6-(5-AMINO-5-CARBOXY-PENTANOYLAMINO)-3-HYDROXYMETHYL-7-OXO-4-THIA-1-AZA-BICYCLO[3.2.0]HEPTANE-2-CARBOXYLIC ACID", 11298 },
	{ "APW", "", "", ResidueType::NON_POLYMER, false, "{5'-O-[(R)-{[(S)-AMINO(HYDROXY-KAPPAO)PHOSPHORYL]OXY}(HYDROXY-KAPPAO)PHOSPHORYL]ADENOSINATO(2-)}MAGNESIUM", 11299 },
	{ "APX", "", "", ResidueType::NON_POLYMER, false, "2'-MONOPHOSPHOADENOSINE-5'-DIPHOSPHORIBOSE", 11300 },
	{ "APY", "", "", ResidueType::NON_POLYMER, false, "2-AMINOMETHYL-PYRIDINE", 11301 },
	{ "APZ", "", "", ResidueType::NON_POLYMER, false, "4-AMINOPHTHALHYDRAZIDE", 11302 },
	{ "AQ1", "", "", ResidueType::NON_POLYMER, false, "2-[(2-fluorophenyl)amino]-6-propylpyrimidin-4(3H)-one", 11303 },
	{ "AQ2", "", "", ResidueType::NON_POLYMER, false, "N-(1,1-dioxidotetrahydro-2H-thiopyran-4-yl)-4-[2-(1-methylethyl)-1H-pyrrolo[2,3-b]pyridin-4-yl]benzenesulfonamide", 11304 },
	{ "AQ3", "", "", ResidueType::NON_POLYMER, false, "N-({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methyl)-3-[(2-hydroxyphenyl)amino]-D-alanine", 11305 },
	{ "AQ4", "", "", ResidueType::NON_POLYMER, false, "[6,7-BIS(2-METHOXY-ETHOXY)QUINAZOLINE-4-YL]-(3-ETHYNYLPHENYL)AMINE", 11306 },
	{ "AQ5", "", "", ResidueType::NON_POLYMER, false, "(6~{S})-8-(3-pyrimidin-4-yl-1~{H}-pyrrolo[2,3-b]pyridin-4-yl)-1,8-diazaspiro[5.5]undecane", 11307 },
	{ "AQ7", "", "", ResidueType::NON_POLYMER, false, "N-[(3R)-1-propanoylpiperidine-3-carbonyl]-L-alanine", 11308 },
	{ "AQ8", "", "", ResidueType::NON_POLYMER, false, "~{N}-[[3-chloranyl-4-(2-ethylphenyl)phenyl]methyl]-2-(4-methoxy-1~{H}-benzimidazol-2-yl)ethanamine", 11309 },
	{ "AQA", "", "", ResidueType::NON_POLYMER, false, "4-DEOXY-BETA-L-THREO-HEX-4-ENOPYRANURONIC ACID", 11310 },
	{ "AQB", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[4-({[1-(3-aminophenyl)-3-tert-butyl-1H-pyrazol-5-yl]carbamoyl}amino)phenyl]amino}quinazolin-6-yl)-4-(dimethylamino)butanamide", 11311 },
	{ "AQC", "", "", ResidueType::NON_POLYMER, false, "9,10-dioxo-9,10-dihydroanthracene-2-carboxamide", 11312 },
	{ "AQD", "", "", ResidueType::NON_POLYMER, false, "Nemonapride", 11313 },
	{ "AQE", "", "", ResidueType::NON_POLYMER, false, "2-[4-[(6~{S})-1,8-diazaspiro[5.5]undecan-8-yl]-1~{H}-pyrrolo[2,3-b]pyridin-3-yl]-1,3-thiazole", 11314 },
	{ "AQH", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]methyl (2R,3R,4R,5R,6S)-6-[(1R)-1,2-dihydroxyethyl]-3,4,5-trihydroxytetrahydro-2H-pyran-2-yl dihydrogen diphosphate", 11315 },
	{ "AQJ", "", "", ResidueType::NON_POLYMER, false, "(3R,5R,6S,7S,9R,11E,13S,14R)-14-ethyl-13-hydroxy-3,5,7,9,13-pentamethyl-2,4,10-trioxo-1-oxacyclotetradec-11-en-6-yl 3,4,6-trideoxy-3-(dimethylamino)-beta-D-xylo-hexopyranoside", 11316 },
	{ "AQK", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-5-azanyl-2-(2-hydroxy-2-oxoethylamino)pentanoic acid", 11317 },
	{ "AQM", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[4-({[1-(3-aminophenyl)-3-tert-butyl-1H-pyrazol-5-yl]carbamoyl}amino)phenyl]amino}quinazolin-6-yl)-3-(4-methylpiperazin-1-yl)propanamide", 11318 },
	{ "AQN", "", "", ResidueType::NON_POLYMER, false, "9,10-dioxo-9,10-dihydroanthracene-2-sulfonic acid", 11319 },
	{ "AQO", "", "", ResidueType::NON_POLYMER, false, "2-AMINOQUINAZOLIN-4(3H)-ONE", 11320 },
	{ "AQP", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE-5'-TETRAPHOSPHATE", 11321 },
	{ "AQQ", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-5-azanyl-2-[[(2~{R})-1-oxidanyl-1-oxidanylidene-propan-2-yl]amino]pentanoic acid", 11322 },
	{ "AQS", "", "", ResidueType::NON_POLYMER, false, "N,N-BIS(3-AMINOPROPYL)-2-ANTHRAQUINONESULFONAMIDE", 11323 },
	{ "AQT", "", "", ResidueType::NON_POLYMER, false, "~{N}-[[3-chloranyl-4-(2-ethylphenyl)phenyl]methyl]-2-(5-methoxy-1~{H}-benzimidazol-2-yl)ethanamine", 11324 },
	{ "AQU", "", "", ResidueType::NON_POLYMER, false, "1-[1-(3-aminophenyl)-3-tert-butyl-1H-pyrazol-5-yl]-3-[4-(quinazolin-4-ylamino)phenyl]urea", 11325 },
	{ "AQV", "", "", ResidueType::NON_POLYMER, false, "2-{2-oxo-2-[(4S)-2,2,4-trimethyl-3,4-dihydroquinolin-1(2H)-yl]ethyl}-1H-isoindole-1,3(2H)-dione", 11326 },
	{ "AQW", "", "", ResidueType::NON_POLYMER, false, "2-(5-chloranyl-1~{H}-benzimidazol-2-yl)-~{N}-[[3-chloranyl-4-(2-ethylphenyl)phenyl]methyl]ethanamine", 11327 },
	{ "AQY", "", "", ResidueType::NON_POLYMER, false, "N-{4-[2-(4-fluoro-3-methylphenyl)imidazo[1,2-b]pyridazin-3-yl]pyridin-2-yl}-2-methyl-1-oxo-1lambda~5~-pyridine-4-carboxamide", 11328 },
	{ "AQZ", "RNY", "", ResidueType::NON_POLYMER, false, "N-(3-{[7-METHOXY-6-(2-PYRROLIDIN-1-YLETHOXY)QUINAZOLIN-4-YL]AMINO}-4-METHYLPHENYL)-2-MORPHOLIN-4-YLISONICOTINAMIDE", 11329 },
	{ "AR", "", "", ResidueType::NON_POLYMER, false, "ARGON", 11330 },
	{ "AR0", "", "", ResidueType::PEPTIDE_LIKE, false, "4-amino-1-{[amino(iminio)methyl]amino}-6-[4-(carboxymethyl)pyridinium-1-yl]-1,2,3,4,6-pentadeoxy-D-erythro-hexitol", 11331 },
	{ "AR1", "", "", ResidueType::NON_POLYMER, false, "(2-{[4-({4-[(4-FORMYLAMINO-1-METHYL-1H-IMIDAZOLE-2-CARBONYL)-AMINO]-1-METHYL-1H-IMIDAZOLE-2-CARBONYL}-AMINO)-1-METHYL-1H-IMIDAZOLE-2-CARBONYL]-AMINO}-ETHYL)-DIMETHYL-AMMONIUM", 11332 },
	{ "AR2", "", "", ResidueType::PEPTIDE_LINKING, false, "ARGINYL-BENZOTHIAZOLE-6-CARBOXYLIC ACID", 11333 },
	{ "AR3", "", "", ResidueType::NON_POLYMER, false, "CYTARABINE", 11334 },
	{ "AR4", "", "", ResidueType::PEPTIDE_LINKING, false, "2-azanyl-5-[3-fluoranyl-5-(hydroxymethyl)-3,4-bis(oxidanyl)oxolan-2-yl]oxy-5-oxidanylidene-pentanoic acid", 11335 },
	{ "AR5", "", "", ResidueType::NON_POLYMER, false, "N~2~-(tert-butoxycarbonyl)-L-arginine", 11336 },
	{ "AR6", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-5-(6-AMINOPURIN-9-YL)-3,4-DIHYDROXY-OXOLAN-2-YL]METHYL [HYDROXY-[[(2R,3S,4R,5S)-3,4,5-TRIHYDROXYOXOLAN-2-YL]METHOXY]PHOSPHORYL] HYDROGEN PHOSPHATE", 11337 },
	{ "AR7", "", "", ResidueType::PEPTIDE_LIKE, false, "amino{[(4S)-4-amino-5,5-dihydroxypentyl]amino}methaniminium", 11338 },
	{ "AR8", "", "", ResidueType::NON_POLYMER, false, "N-{[(1S)-5-{4-[25-({2,4-BIS[HYDROXY(OXO)AMMONIO]PHENYL}AMINO)-2,5,8,11,14,17,20,23-OCTAOXAPENTACOS-1-YL]-1H-1,2,3-TRIAZOL-1-YL}-1-CARBOXYPENTYL]CARBAMOYL}-L-GLUTAMIC ACID", 11339 },
	{ "AR9", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-N-butyl-4-[(2S,5S,7R)-2,7-dimethyl-3,15-dioxo-1,4-diazacyclopentadecan-5-yl]-4-hydroxy-2-methylbutanamide", 11340 },
	{ "ARA", "", "", ResidueType::SACCHARIDE, false, "ALPHA-L-ARABINOSE", 11341 },
	{ "ARB", "", "", ResidueType::SACCHARIDE, false, "BETA-L-ARABINOSE", 11342 },
	{ "ARC", "", "", ResidueType::NON_POLYMER, false, "3,7,11,15-TETRAMETHYL-HEXADECAN-1-OL", 11343 },
	{ "ARD", "", "", ResidueType::NON_POLYMER, false, "C15-(R)-METHYLTHIENYL RAPAMYCIN", 11344 },
	{ "ARE", "5SA", "", ResidueType::SACCHARIDE, false, "ACARBOSE DERIVED PENTASACCHARIDE", 11345 },
	{ "ARF", "", "", ResidueType::PEPTIDE_AMINO_TERMINUS, false, "FORMAMIDE", 11346 },
	{ "ARG", "", "", ResidueType::PEPTIDE_LINKING, false, "ARGININE", 11347 },
	{ "ARH", "", "", ResidueType::NON_POLYMER, false, "3-(HYDROXYMETHYL)-1-METHYL-5-(2-METHYLAZIRIDIN-1-YL)-2-PHENYL-1H-INDOLE-4,7-DIONE", 11348 },
	{ "ARI", "", "", ResidueType::SACCHARIDE, false, "[O4]-ACETOXY-2,3-DIDEOXYFUCOSE", 11349 },
	{ "ARJ", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,5R)-3-(6-amino-9H-purin-9-yl)-2-hydroxy-5-(hydroxymethyl)cyclopentanone", 11350 },
	{ "ARK", "", "", ResidueType::NON_POLYMER, false, "N-({(1S)-5-[4-({2-[2-({2,4-BIS[HYDROXY(OXO)AMMONIO]PHENYL}AMINO)ETHOXY]ETHOXY}METHYL)-1H-1,2,3-TRIAZOL-1-YL]-1-CARBOXYPENTYL}CARBAMOYL)-L-GLUTAMIC ACID", 11351 },
	{ "ARL", "", "", ResidueType::NON_POLYMER, false, "7-(3,5-DITERT-BUTYLPHENYL)-3-METHYLOCTA-2,4,6-TRIENOIC ACID", 11352 },
	{ "ARM", "", "", ResidueType::PEPTIDE_LINKING, false, "DEOXY-METHYL-ARGININE", 11353 },
	{ "ARN", "", "", ResidueType::NON_POLYMER, false, "1-IMINO-5-PENTANONE", 11354 },
	{ "ARO", "", "", ResidueType::PEPTIDE_LINKING, false, "C-GAMMA-HYDROXY ARGININE", 11355 },
	{ "ARP", "", "", ResidueType::NON_POLYMER, false, "9-HYDROXYPROPYLADENINE, R-ISOMER", 11356 },
	{ "ARQ", "", "", ResidueType::NON_POLYMER, false, "BENZOYLAMINO-BENZYL-METHYL-[2-HYDROXY-3-[1-METHYL-ETHYL-OXY-N-FORMAMIDYL]-4-PHENYL-BUTYL]-AMMONIUM", 11357 },
	{ "ARR", "", "", ResidueType::NON_POLYMER, false, "N-(4-{2-[(3-CHLOROBENZYL)AMINO]ETHYL}PHENYL)THIOPHENE-2-CARBOXIMIDAMIDE", 11358 },
	{ "ARS", "", "", ResidueType::NON_POLYMER, false, "ARSENIC", 11359 },
	{ "ART", "", "", ResidueType::NON_POLYMER, false, "ARSENATE", 11360 },
	{ "ARU", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-{[(R)-[dibromo(phosphono)methyl](hydroxy)phosphoryl]oxy}(hydroxy)phosphoryl]-N,N-diethyladenosine", 11361 },
	{ "ARV", "", "", ResidueType::PEPTIDE_LINKING, false, "5-N-ALLYL-ARGININE", 11362 },
	{ "ARW", "", "", ResidueType::NON_POLYMER, false, "METHYL BETA-D-ARABINOPYRANOSIDE", 11363 },
	{ "ARX", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S,3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-N-(6-{[(1R)-4-carbamimidamido-1-{[(1R)-4-carbamimidamido-1-carbamoylbutyl]carbamoyl}butyl]amino}-6-oxohexyl)-3,4-dihydroxytetrahydrofuran-2-carboxamide", 11364 },
	{ "ARZ", "", "", ResidueType::NON_POLYMER, false, "(3S,5S,7S)-N-(5-sulfamoyl-1,3,4-thiadiazol-2-yl)tricyclo[3.3.1.1~3,7~]decane-1-carboxamide", 11365 },
	{ "AS", "", "", ResidueType::DNA_LINKING, false, "", 11366 },
	{ "AS0", "", "", ResidueType::NON_POLYMER, false, "4-[(11BETA,17BETA)-17-METHOXY-17-(METHOXYMETHYL)-3-OXOESTRA-4,9-DIEN-11-YL]BENZALDEHYDE OXIME", 11367 },
	{ "AS1", "", "", ResidueType::NON_POLYMER, false, "ARGININOSUCCINATE", 11368 },
	{ "AS2", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-2-AMINO-4-OXOBUTANOIC ACID", 11369 },
	{ "AS3", "", "", ResidueType::NON_POLYMER, false, "4-METHYL-6-PROPYLPYRIDIN-2-AMINE", 11370 },
	{ "AS4", "", "", ResidueType::NON_POLYMER, false, "ALDOSTERONE", 11371 },
	{ "AS5", "", "", ResidueType::NON_POLYMER, false, "2-(acetylamino)-4-O-[2-(acetylamino)-2-deoxy-alpha-L-gulopyranosyl]-1,5-anhydro-2-deoxy-D-mannitol", 11372 },
	{ "AS6", "", "", ResidueType::NON_POLYMER, false, "{4-METHYL-3-[(1-METHYLETHYL)(2-{[3-(METHYLSULFONYL)-5-MORPHOLIN-4-YLPHENYL]AMINO}PYRIMIDIN-4-YL)AMINO]PHENYL}METHANOL", 11373 },
	{ "AS7", "", "", ResidueType::PEPTIDE_LINKING, false, "N4-(4-cyanobenzyl)-L-asparagine", 11374 },
	{ "AS8", "", "", ResidueType::NON_POLYMER, false, "ACETYLSULFATE", 11375 },
	{ "AS9", "", "", ResidueType::PEPTIDE_LINKING, false, "N-[HYDROXY(METHYL)PHOSPHORYL]-L-ASPARTIC ACID", 11376 },
	{ "ASA", "", "", ResidueType::PEPTIDE_LINKING, false, "ASPARTIC ALDEHYDE", 11377 },
	{ "ASB", "", "", ResidueType::PEPTIDE_LINKING, false, "ASPARTIC ACID-4-CARBOXYMETHYL ESTER", 11378 },
	{ "ASC", "", "", ResidueType::NON_POLYMER, false, "ASCORBIC ACID", 11379 },
	{ "ASD", "", "", ResidueType::NON_POLYMER, false, "4-ANDROSTENE-3-17-DIONE", 11380 },
	{ "ASE", "", "", ResidueType::NON_POLYMER, false, "N-ACETYL SEROTONIN", 11381 },
	{ "ASF", "", "", ResidueType::NON_POLYMER, false, "3-(BUTYLSULPHONYL)-PROPANOIC ACID", 11382 },
	{ "ASG", "NGL", "", ResidueType::SACCHARIDE, false, "2-DEOXY-2-ACETAMIDO-BETA-D-GALACTOSE-4-SULFATE", 11383 },
	{ "ASH", "", "", ResidueType::NON_POLYMER, false, "3-chloro-N-(4-morpholin-4-ylphenyl)-6-pyridin-3-ylimidazo[1,2-a]pyrazin-8-amine", 11384 },
	{ "ASI", "", "ASP", ResidueType::PEPTIDE_LINKING, true, "L-ISO-ASPARTATE", 11385 },
	{ "ASJ", "", "", ResidueType::PEPTIDE_LIKE, false, "(3S)-3-amino-4-hydroxybutanoic acid", 11386 },
	{ "ASK", "", "", ResidueType::PEPTIDE_LINKING, true, "DEHYDROXYMETHYLASPARTIC ACID", 11387 },
	{ "ASL", "", "", ResidueType::PEPTIDE_LINKING, false, "ASPARTIC ACID-4-CARBOXYETHYL ESTER", 11388 },
	{ "ASM", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-4-OXO-4(1H-PYRROL-1-YL)BUTANOIC ACID", 11389 },
	{ "ASN", "", "", ResidueType::PEPTIDE_LINKING, false, "ASPARAGINE", 11390 },
	{ "ASO", "DGM", "", ResidueType::SACCHARIDE, false, "1,5-ANHYDROSORBITOL", 11391 },
	{ "ASP", "", "", ResidueType::PEPTIDE_LINKING, false, "ASPARTIC ACID", 11392 },
	{ "ASQ", "", "PHD", ResidueType::PEPTIDE_LINKING, true, "PHOSPHOASPARTATE", 11393 },
	{ "ASR", "", "", ResidueType::NON_POLYMER, false, "4-AMINOPHENYLARSONIC ACID", 11394 },
	{ "ASS", "", "", ResidueType::NON_POLYMER, false, "(E)-N-methyl-N-[[1-methyl-5-[3-[1-(phenylmethyl)piperidin-4-yl]propoxy]indol-2-yl]methyl]prop-1-en-1-amine", 11395 },
	{ "AST", "", "", ResidueType::NON_POLYMER, false, "ARSENITE", 11396 },
	{ "ASU", "", "", ResidueType::DNA_LINKING, false, "4'-THIO-2'4'-DIDEOXYRIBOFURANOSE-5'-PHOSPHATE", 11397 },
	{ "ASV", "", "", ResidueType::NON_POLYMER, false, "DELTA-(L-ALPHA-AMINOADIPOYL)-L-CYSTEINYL-D-VINYLGLYCINE", 11398 },
	{ "ASW", "", "", ResidueType::NON_POLYMER, false, "N-[4-(acridin-9-ylamino)-3-methoxyphenyl]methanesulfonamide", 11399 },
	{ "ASX", "", "", ResidueType::PEPTIDE_LINKING, false, "ASP/ASN AMBIGUOUS", 11400 },
	{ "ASY", "", "", ResidueType::NON_POLYMER, false, "(12E)-10-oxooctadec-12-enoic acid", 11401 },
	{ "ASZ", "", "", ResidueType::NON_POLYMER, false, "2-(DIMETHYLAMINO)ETHANESULFONIC ACID", 11402 },
	{ "AT1", "", "", ResidueType::NON_POLYMER, false, "(S)-2-AMINO-3-(5-TERT-BUTYL-3-(PHOSPHONOMETHOXY)-4-ISOXAZOLYL)PROPIONIC ACID", 11403 },
	{ "AT2", "", "", ResidueType::NON_POLYMER, false, "ETHYL 4-[(4-METHYLPYRIDIN-2-YL)AMINO]PIPERIDINE-1-CARBOXYLATE", 11404 },
	{ "AT3", "", "", ResidueType::NON_POLYMER, false, "ACETYLTHIOCHOLINE", 11405 },
	{ "AT4", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-HYDROXY(THIOPHOSPHONOOXY)PHOSPHORYL]ADENOSINE", 11406 },
	{ "AT5", "", "", ResidueType::NON_POLYMER, false, "3-[(2S,4S,5R)-5,6-DICHLORO-2,4-DIMETHYL-1-OXOHEXYL]-4-HYDROXY-5,6-DIMETHOXY-2(1H)-PYRIDINONE", 11407 },
	{ "AT6", "", "", ResidueType::NON_POLYMER, false, "N-[2-(6-AMINO-4-METHYLPYRIDIN-2-YL)ETHYL]-4-CYANOBENZAMIDE", 11408 },
	{ "AT7", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-2'-triaza-1,2-dien-2-ium-1-yl-adenine-5'-monophosphate", 11409 },
	{ "ATA", "", "", ResidueType::NON_POLYMER, false, "ATRAZINE GLUTATHIONE CONJUGATE", 11410 },
	{ "ATC", "", "", ResidueType::NON_POLYMER, false, "9-(N,N-DIMETHYLGLYCYLAMIDO)-6-DEOXY-6-DEMETHYL-TETRACYCLINE", 11411 },
	{ "ATD", "", "", ResidueType::DNA_LINKING, false, "THYMIDINE-3'-PHOSPHATE", 11412 },
	{ "ATE", "", "", ResidueType::NON_POLYMER, false, "16,17-ANDROSTENE-3-OL", 11413 },
	{ "ATF", "", "", ResidueType::NON_POLYMER, false, "PHOSPHODIFLUOROMETHYLPHOSPHONIC ACID-ADENYLATE ESTER", 11414 },
	{ "ATG", "", "AGS", ResidueType::NON_POLYMER, true, "PHOSPHOTHIOPHOSPHORIC ACID-ADENYLATE ESTER", 11415 },
	{ "ATH", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-ACONITATE ION", 11416 },
	{ "ATI", "", "", ResidueType::NON_POLYMER, true, "N-(3-AMINO-2-HYDROXY-5-METHYLHEXANOYL)VALYLVALYLASPARTIC ACID", 11417 },
	{ "ATJ", "", "", ResidueType::NON_POLYMER, false, "ETHYL HYDROGEN PHOSPHONATE", 11418 },
	{ "ATK", "", "", ResidueType::NON_POLYMER, false, "(1-{6-[6-(cyclopentylamino)-1H-indazol-1-yl]pyrazin-2-yl}-1H-pyrrol-3-yl)acetic acid", 11419 },
	{ "ATL", "", "", ResidueType::RNA_LINKING, false, "[(1S,3R,4S,7R)-7-HYDROXY-3-(THYMIN-1-YL)-2,5-DIOXABICYCLO[2.2.1]HEPT-1-YL]METHYL DIHYDROGEN PHOSPHATE", 11420 },
	{ "ATM", "", "", ResidueType::DNA_LINKING, false, "3'-AZIDO-3'-DEOXYTHYMIDINE-5'-MONOPHOSPHATE", 11421 },
	{ "ATO", "", "", ResidueType::NON_POLYMER, false, "CHLOROACETONE", 11422 },
	{ "ATP", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE-5'-TRIPHOSPHATE", 11423 },
	{ "ATQ", "", "", ResidueType::NON_POLYMER, false, "2-AMINOTHIAZOLINE", 11424 },
	{ "ATR", "", "", ResidueType::NON_POLYMER, false, "2'-MONOPHOSPHOADENOSINE-5'-DIPHOSPHATE", 11425 },
	{ "ATS", "", "", ResidueType::NON_POLYMER, false, "", 11426 },
	{ "ATT", "", "", ResidueType::NON_POLYMER, false, "2-[3-(5-MERCAPTO-[1,3,4]THIADIAZOL-2-YL)-UREIDO]-N-METHYL-3-PHENYL-PROPIONAMIDE", 11427 },
	{ "ATU", "", "", ResidueType::NON_POLYMER, false, "9-NITRO-5,12-DIHYDRO-7H-BENZO[2,3]AZEPINO[4,5-B]INDOL-6-ONE", 11428 },
	{ "ATV", "", "", ResidueType::NON_POLYMER, false, "2-[(2R)-oxiran-2-ylmethyl]-1H-benzo[de]isoquinoline-1,3(2H)-dione", 11429 },
	{ "ATW", "", "CCK", ResidueType::NON_POLYMER, true, "(1-{6-[6-(propan-2-ylamino)-1H-indazol-1-yl]pyrazin-2-yl}-1H-pyrrol-3-yl)acetic acid", 11430 },
	{ "ATX", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-AMINO-1-(5-TERT-BUTYL-1,3,4-OXADIAZOL-2-YL)PROPAN-1-ONE", 11431 },
	{ "ATY", "", "", ResidueType::NON_POLYMER, false, "3'-O-ACETYLTHYMIDINE-5'-DIPHOSPHATE", 11432 },
	{ "ATZ", "", "", ResidueType::NON_POLYMER, false, "2-CHLORO-4-ISOPROPYLAMINO-6-ETHYLAMINO -1,3,5-TRIAZINE", 11433 },
	{ "AU", "", "", ResidueType::NON_POLYMER, false, "GOLD ION", 11434 },
	{ "AU1", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-hydroxy(phosphonoamino)phosphoryl]adenosine", 11435 },
	{ "AU3", "", "", ResidueType::NON_POLYMER, false, "GOLD 3+ ION", 11436 },
	{ "AU4", "", "", ResidueType::NON_POLYMER, false, "4,4'-(AMINOMETHYLENE)BIS(N,N-DIMETHYLANILINE)", 11437 },
	{ "AU5", "", "", ResidueType::NON_POLYMER, false, "9-CYCLOPENTYL-2-[[2-METHOXY-4-[(1-METHYLPIPERIDIN-4-YL)OXY]-PHENYL]AMINO]-7-METHYL-7,9-DIHYDRO-8H-PURIN-8-ONE", 11438 },
	{ "AU6", "", "", ResidueType::NON_POLYMER, false, "3-{[(4-methylphenyl)carbamoyl]amino}benzoic acid", 11439 },
	{ "AU7", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-{6-[(1S)-1-(2-chloro-6-cyclopropylphenyl)ethoxy]-4-cyclopropylquinolin-3-yl}prop-2-enoic acid", 11440 },
	{ "AU8", "", "", ResidueType::NON_POLYMER, false, "[3,5-bis(chloranyl)-4-phenyl-phenyl]methylazanium", 11441 },
	{ "AUB", "", "", ResidueType::NON_POLYMER, false, "4-[(trans-4-{[(3s,5s,7s)-tricyclo[3.3.1.1~3,7~]dec-1-ylcarbamoyl]amino}cyclohexyl)oxy]benzoic acid", 11442 },
	{ "AUC", "", "", ResidueType::NON_POLYMER, false, "GOLD (I) CYANIDE ION", 11443 },
	{ "AUD", "", "", ResidueType::NON_POLYMER, false, "Acesulfame", 11444 },
	{ "AUE", "", "", ResidueType::NON_POLYMER, false, "6-(3-chlorophenyl)pteridine-2,4,7-triamine", 11445 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "triethylphosphanuidylgold(1+)", 11446 },
	{ "AUG", "", "", ResidueType::NON_POLYMER, false, "6-(3-bromophenyl)pteridine-2,4,7-triamine", 11447 },
	{ "AUH", "", "", ResidueType::NON_POLYMER, false, "2-(1~{H}-benzimidazol-2-yl)-~{N}-[[4-(2-ethylphenyl)-3-methoxy-phenyl]methyl]ethanamine", 11448 },
	{ "AUI", "", "", ResidueType::NON_POLYMER, false, "3-[(2E,6E,9R)-9-hydroxy-3,7,11-trimethyldodeca-2,6,10-trien-1-yl]-2-methylquinolin-4(1H)-one", 11449 },
	{ "AUJ", "", "", ResidueType::NON_POLYMER, false, "2-[3-[(4-azanyl-2-methyl-pyrimidin-5-yl)methyl]-2-[(1~{S})-1-(dioxidanyl)-1-oxidanyl-ethyl]-4-methyl-1,3-thiazol-5-yl]ethyl phosphono hydrogen phosphate", 11450 },
	{ "AUK", "", "", ResidueType::NON_POLYMER, false, "1-hydroxy-2-methyl-3-[(2E,6E)-3,7,11-trimethyldodeca-2,6,10-trien-1-yl]quinolin-4(1H)-one", 11451 },
	{ "AUL", "", "", ResidueType::NON_POLYMER, false, "", 11452 },
	{ "AUN", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-~{N}-[5-(4-bromophenyl)-1~{H}-imidazol-2-yl]-2-[4-(1-methylimidazol-4-yl)phenoxy]propanamide", 11453 },
	{ "AUP", "", "", ResidueType::NON_POLYMER, false, "2-(2-PHENYL-3-PYRIDIN-2-YL-4,5,6,7-TETRAHYDRO-2H-ISOPHOSPHINDOL-1-YL)PYRIDINE", 11454 },
	{ "AUQ", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-~{N}-(4-iodophenyl)-2-(4-methoxyphenoxy)propanamide", 11455 },
	{ "AUR", "", "", ResidueType::NON_POLYMER, false, "AUROVERTIN B", 11456 },
	{ "AUT", "", "", ResidueType::NON_POLYMER, false, "[3,5-bis(chloranyl)-4-(2-ethylphenyl)phenyl]methanamine", 11457 },
	{ "AUV", "", "", ResidueType::NON_POLYMER, false, "3-(2-hydroxyphenyl)benzoic acid", 11458 },
	{ "AUW", "", "", ResidueType::NON_POLYMER, false, "2-(1~{H}-benzimidazol-2-yl)-~{N}-[[3,5-bis(chloranyl)-4-(2-ethylphenyl)phenyl]methyl]ethanamine", 11459 },
	{ "AUX", "", "", ResidueType::NON_POLYMER, false, "4-METHYL-4-[8-QUINOLINIUM-4-ENE]-4,N-METHYL-THREONINE", 11460 },
	{ "AUY", "", "", ResidueType::NON_POLYMER, false, "3-[(4-methylthiophen-2-yl)methylamino]pyridine-4-carboxylic acid", 11461 },
	{ "AUZ", "", "", ResidueType::NON_POLYMER, false, "bis(m2-Oxo)-bis(2-methyl-2,2'-bipyridine)-di-gold(iii)", 11462 },
	{ "AV1", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-5-(6-amino-8-bromo-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]methyl [(2R,3S,4S)-3,4-dihydroxytetrahydrofuran-2-yl]methyl dihydrogen diphosphate", 11463 },
	{ "AV2", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE-5'-DIPHOSPHATE-2',3'-VANADATE", 11464 },
	{ "AV4", "", "", ResidueType::NON_POLYMER, false, "3-[3-(dimethylamino)phenyl]benzoic acid", 11465 },
	{ "AV5", "", "", ResidueType::NON_POLYMER, false, "2-[5-(4-chlorophenyl)-3-methyl-1-oxidanylidene-pyrimido[4,5-c]quinolin-2-yl]ethanoic acid", 11466 },
	{ "AV6", "", "", ResidueType::NON_POLYMER, false, "4-(2,3-dihydro-1H-perimidin-2-yl)benzene-1,2-diol", 11467 },
	{ "AV7", "", "", ResidueType::NON_POLYMER, false, "3-(3-acetamidophenyl)benzoic acid", 11468 },
	{ "AV9", "", "", ResidueType::NON_POLYMER, false, "TIVOZANIB", 11469 },
	{ "AVA", "", "", ResidueType::NON_POLYMER, false, "3-pyridin-2-ylbenzoic acid", 11470 },
	{ "AVB", "", "", ResidueType::NON_POLYMER, false, "(3~{R})-~{N}-(5-bromanylpyridin-2-yl)piperidine-3-carboxamide", 11471 },
	{ "AVC", "", "", ResidueType::RNA_LINKING, false, "ADENOSINE-5'-MONOPHOSPHATE-2',3'-VANADATE", 11472 },
	{ "AVD", "", "", ResidueType::NON_POLYMER, false, "1-(2-carboxyphenyl)-7-chloro-6-[(2-chloro-4,6-difluorophenyl)amino]-4-oxo-1,4-dihydroquinoline-3-carboxylic acid", 11473 },
	{ "AVE", "", "", ResidueType::NON_POLYMER, false, "4-[3-(2-Chloro-4,5-difluoro-benzoyl)ureido]-3-trifluoromethoxybenzoic acid", 11474 },
	{ "AVF", "", "", ResidueType::NON_POLYMER, false, "1-{2-[3-(2-Chloro-4,5-difluoro-benzoyl)-ureido]-4-fluoro-phenyl}-piperidine-4-carboxylic acid", 11475 },
	{ "AVG", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-4-(2-AMINO-ETHOXY)-BUTYRIC ACID", 11476 },
	{ "AVH", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,4R)-4-ethenylcyclohexane-1,2-diol", 11477 },
	{ "AVI", "", "", ResidueType::NON_POLYMER, false, "N,N-dimethyl-L-histidine", 11478 },
	{ "AVJ", "", "", ResidueType::NON_POLYMER, false, "N,N,N-trimethyl-histidine", 11479 },
	{ "AVK", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(3-chloranyl-4-phenyl-phenyl)methyl]-2-(1~{H}-imidazol-2-yl)ethanamine", 11480 },
	{ "AVL", "", "", ResidueType::NON_POLYMER, false, "2-methyl-1-[2-(propan-2-yl)pyrazolo[1,5-a]pyridin-3-yl]propan-1-one", 11481 },
	{ "AVM", "", "", ResidueType::NON_POLYMER, false, "3-(3-acetamidophenyl)-5-quinolin-7-yl-benzoic acid", 11482 },
	{ "AVN", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-AMINO[(5S)-3-CHLORO-4,5-DIHYDROISOXAZOL-5-YL]ACETIC ACID", 11483 },
	{ "AVP", "", "", ResidueType::NON_POLYMER, false, "ACYCLOVIR TRIPHOSPHATE", 11484 },
	{ "AVQ", "", "", ResidueType::NON_POLYMER, false, "2-[(2,5-DICHLOROBENZYL)SULFANYL]-5-METHYL[1,2,4]TRIAZOLO[1,5-A]PYRIMIDIN-7-OL", 11485 },
	{ "AVR", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-amino-1-[2-(1-methylethyl)pyrazolo[1,5-a]pyridin-3-yl]propan-1-one", 11486 },
	{ "AVT", "", "", ResidueType::NON_POLYMER, false, "2-[5-[4-(dioxidanyl)phenyl]-9-fluoranyl-3-methyl-1-oxidanylidene-pyrimido[4,5-c]quinolin-2-yl]ethanoic acid", 11487 },
	{ "AVU", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]methyl [(2R,3R,4R)-4-fluoro-3-hydroxytetrahydrofuran-2-yl]methyl dihydrogen diphosphate", 11488 },
	{ "AVV", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-5-(6-amino-2-fluoro-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]methyl [(2R,3S,4S)-3,4-dihydroxytetrahydrofuran-2-yl]methyl dihydrogen diphosphate", 11489 },
	{ "AVW", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]methyl [(2R,3R,4S)-4-fluoro-3-hydroxytetrahydrofuran-2-yl]methyl dihydrogen diphosphate", 11490 },
	{ "AVX", "", "", ResidueType::NON_POLYMER, false, "3-(7-bromo-1,3-benzodioxol-5-yl)-1-methyl-1H-pyrazol-5-amine", 11491 },
	{ "AVY", "", "", ResidueType::NON_POLYMER, false, "(1R,2S)-2-{[N-({[4-benzyl-1-(tert-butoxycarbonyl)piperidin-4-yl]oxy}carbonyl)-L-leucyl]amino}-1-hydroxy-3-[(3S)-2-oxopyrrolidin-3-yl]propane-1-sulfonic acid", 11492 },
	{ "AVZ", "", "", ResidueType::NON_POLYMER, false, "(3-chloranyl-4-phenyl-phenyl)methyl-[2-(1~{H}-imidazol-4-yl)ethyl]azanium", 11493 },
	{ "AW0", "", "", ResidueType::NON_POLYMER, false, "5'-deoxy-5'-[(3-{[(4-methylphenyl)carbamoyl]amino}propyl)(propan-2-yl)amino]adenosine", 11494 },
	{ "AW1", "", "", ResidueType::NON_POLYMER, false, "5'-[(3-{[(4-tert-butylphenyl)carbamoyl]amino}propyl)(propan-2-yl)amino]-5'-deoxyadenosine", 11495 },
	{ "AW2", "", "", ResidueType::NON_POLYMER, false, "5-bromo-7-{5-[(3-{[(4-tert-butylphenyl)carbamoyl]amino}propyl)(propan-2-yl)amino]-5-deoxy-beta-D-ribofuranosyl}-7H-pyrrolo[2,3-d]pyrimidin-4-amine", 11496 },
	{ "AW3", "", "", ResidueType::NON_POLYMER, false, "5-bromo-7-{5-[(3-{[(4-tert-butylphenyl)carbamoyl]amino}propyl)amino]-5-deoxy-beta-D-ribofuranosyl}-7H-pyrrolo[2,3-d]pyrimidin-4-amine", 11497 },
	{ "AW4", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-2-[(N-{[2-(3-chlorophenyl)ethoxy]carbonyl}-L-leucyl)amino]-1-hydroxy-3-[(3S)-2-oxopyrrolidin-3-yl]propane-1-sulfonic acid", 11498 },
	{ "AW5", "", "", ResidueType::NON_POLYMER, false, "3-methyl-5-oxidanyl-benzoic acid", 11499 },
	{ "AW8", "", "", ResidueType::NON_POLYMER, false, "2-[(1~{R})-5-(4-chlorophenyl)-9-fluoranyl-3-methyl-1-oxidanyl-1~{H}-pyrimido[4,5-c]quinolin-2-yl]ethanoic acid", 11500 },
	{ "AWB", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,6S,7R,8R)-3-[(3-formamido-2-oxidanyl-phenyl)carbonylamino]-8-hexyl-2,6-dimethyl-4,9-bis(oxidanylidene)-1,5-dioxonan-7-yl] 3-methylbutanoate", 11501 },
	{ "AWE", "", "", ResidueType::NON_POLYMER, false, "[3-chloranyl-4-(3-fluorophenyl)phenyl]methanamine", 11502 },
	{ "AWF", "", "", ResidueType::NON_POLYMER, false, "2-(5-(6-amino-5-((R)-1-(5-fluoro-2-(2H-1,2,3-triazol-2-yl)phenyl)ethoxy)pyridin-3-yl)-4-methylthiazol-2-yl)propan-2-ol", 11503 },
	{ "AWH", "", "", ResidueType::NON_POLYMER, false, "3-[(Z)-[(5Z)-5-[[2-(2-hydroxy-2-oxoethyloxy)phenyl]methylidene]-3-methyl-4-oxidanylidene-1,3-thiazolidin-2-ylidene]amino]benzoic acid", 11504 },
	{ "AWJ", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[5-(6-amino-5-{(1R)-1-[2-(1,3-dihydro-2H-1,2,3-triazol-2-yl)-5-fluorophenyl]ethoxy}pyridin-3-yl)-4-methyl-1,3-thiazol-2-yl]propane-1,2-diol", 11505 },
	{ "AWK", "", "", ResidueType::NON_POLYMER, false, "~{N}-[[3-chloranyl-4-(2-ethylphenyl)phenyl]methyl]-2-(7-methyl-1~{H}-benzimidazol-2-yl)ethanamine", 11506 },
	{ "AWN", "", "", ResidueType::NON_POLYMER, false, "2-(1~{H}-benzimidazol-2-yl)-~{N}-[(3-chloranyl-4-phenyl-phenyl)methyl]ethanamine", 11507 },
	{ "AWQ", "", "", ResidueType::NON_POLYMER, false, "3-[4-(2-hydroxy-2-oxoethyl)-2,5-dimethyl-1~{H}-pyrrol-3-yl]propanoic acid", 11508 },
	{ "AWR", "", "", ResidueType::NON_POLYMER, false, "4-(7-METHOXY-1-(TRIFLUOROMETHYL)-9H-PYRIDO[3,4-B]INDOL-9-yl)butan-1-amine", 11509 },
	{ "AX1", "", "", ResidueType::NON_POLYMER, false, "2-amino-6-(1,3-benzodioxol-5-yl)-4-oxo-4,7-dihydro-3H-pyrrolo[2,3-d]pyrimidine-5-carbonitrile", 11510 },
	{ "AX2", "", "", ResidueType::NON_POLYMER, false, "1,3,5-triazine-2,4,6-triamine", 11511 },
	{ "AX3", "", "", ResidueType::NON_POLYMER, false, "N~2~-cyclopropyl-1,3,5-triazine-2,4,6-triamine", 11512 },
	{ "AX4", "", "", ResidueType::NON_POLYMER, false, "6-[(4-methylphenyl)sulfanyl]pyrimidine-2,4-diamine", 11513 },
	{ "AX5", "", "", ResidueType::NON_POLYMER, false, "6-(benzylsulfanyl)pyrimidine-2,4-diamine", 11514 },
	{ "AX6", "", "", ResidueType::NON_POLYMER, false, "6-[(4-methoxybenzyl)sulfanyl]pyrimidine-2,4-diamine", 11515 },
	{ "AX7", "", "", ResidueType::NON_POLYMER, false, "1H-benzimidazol-2-amine", 11516 },
	{ "AX8", "", "", ResidueType::NON_POLYMER, false, "1-(3,4-dichlorobenzyl)-1H-benzimidazol-2-amine", 11517 },
	{ "AXA", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-(2-amino-2-oxoethyl)-4-oxo-N-[(3-oxo-3,4-dihydro-2H-1,4-benzoxazin-6-yl)methyl]-3,4,5,6,7,8-hexahydro[1]benzothieno[2,3-d]pyrimidine-2-carboxamide", 11518 },
	{ "AXB", "", "", ResidueType::NON_POLYMER, false, "", 11519 },
	{ "AXC", "", "", ResidueType::NON_POLYMER, false, "5-(1H-BENZIMIDAZOL-2-YLMETHYLSULFANYL)-2-METHYL-[1,2,4]TRIAZOLO[1,5-C]QUINAZOLINE", 11520 },
	{ "AXD", "", "", ResidueType::NON_POLYMER, false, "2-[4-({2-[(2S,5R)-2-(AMINOMETHYL)-5-ETHYNYLPYRROLIDIN-1-YL]-2-OXOETHYL}AMINO)-4-METHYLPIPERIDIN-1-YL]ISONICOTINIC ACID", 11521 },
	{ "AXF", "", "", ResidueType::NON_POLYMER, false, "", 11522 },
	{ "AXI", "", "", ResidueType::NON_POLYMER, false, "AXITINIB", 11523 },
	{ "AXK", "", "", ResidueType::NON_POLYMER, false, "[(~{S})-[4-[3-[(~{R})-(3,4-dichlorophenyl)-oxidanyl-methyl]phenyl]phenyl]-oxidanyl-methyl]phosphonic acid", 11524 },
	{ "AXL", "", "", ResidueType::NON_POLYMER, false, "2-{1-[2-AMINO-2-(4-HYDROXY-PHENYL)-ACETYLAMINO]-2-OXO-ETHYL}-5,5-DIMETHYL-THIAZOLIDINE-4-CARBOXYLIC ACID", 11525 },
	{ "AXM", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-2-[(3S,5S,7S)-tricyclo[3.3.1.1~3,7~]dec-1-yl]acetamide", 11526 },
	{ "AXO", "", "", ResidueType::NON_POLYMER, false, "(1E)-N-hydroxyethanimine", 11527 },
	{ "AXP", "", "", ResidueType::SACCHARIDE, false, "4-ACETAMIDO-2,4-DIDEXOY-D-GLYCERO-BETA-D-GALACTO-OCTOPYRANOSYLPHOSPHONIC ACID (AN AXIAL PHOSPHONATE)", 11528 },
	{ "AXQ", "", "", ResidueType::NON_POLYMER, false, "{(E)-(3R,6S,9R)-3-[(1S,3R)-3-((S)-1 -BUTYLCARBAMOYL-2-METHYL-PROPYLCARB AMOYL)-1-HYDROXY-BUTYL]-6-METHYL-5, 8-DIOXO-1,11-DITHIA-4,7-DIAZA-CYCLO PENTADEC-13-EN-9-YL}-CARBAMIC ACID TERT-BUTYL ESTER", 11529 },
	{ "AXR", "", "", ResidueType::SACCHARIDE, false, "methyl alpha-D-arabinofuranoside", 11530 },
	{ "AXT", "", "", ResidueType::NON_POLYMER, false, "ASTAXANTHIN", 11531 },
	{ "AXW", "", "", ResidueType::NON_POLYMER, false, "6-{[(3S,4S)-4-{2-[(2-fluorobenzyl)amino]ethoxy}pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 11532 },
	{ "AXX", "", "", ResidueType::NON_POLYMER, false, "2-[(CYCLOPROPYLCARBONYL)AMINO]-4,5,6,7-TETRAHYDRO-1-BENZOTHIOPHENE-3-CARBOXAMIDE", 11533 },
	{ "AXY", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(biphenyl-4-yl)-2-(biphenyl-4-yloxy)propanoic acid", 11534 },
	{ "AXZ", "", "", ResidueType::NON_POLYMER, false, "2-{[dihydroxy(4-aminoethylphenyl)-{4}-sulfanyl]amino}-3-hydroxypropanoic acid", 11535 },
	{ "AY0", "", "", ResidueType::PEPTIDE_LIKE, false, "(1R,2R,3S)-2-(methylcarbamoyl)-3-[4-(phosphonooxy)phenyl]cyclopropanecarboxylic acid", 11536 },
	{ "AY1", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,6S,7R,8R)-3-[(3-formamido-2-oxidanyl-phenyl)carbonylamino]-8-hexyl-2,6-dimethyl-4,9-bis(oxidanylidene)-1,5-dioxonan-7-yl] 2-methylpropanoate", 11537 },
	{ "AY4", "", "", ResidueType::NON_POLYMER, false, "2,4-bis(fluoranyl)-6-(1~{H}-pyrazol-3-yl)phenol", 11538 },
	{ "AY5", "", "", ResidueType::NON_POLYMER, false, "[(~{S})-[4-[3-[(~{S})-(3,4-dichlorophenyl)-oxidanyl-methyl]phenyl]phenyl]-oxidanyl-methyl]phosphonic acid", 11539 },
	{ "AY7", "", "", ResidueType::NON_POLYMER, false, "asciminib", 11540 },
	{ "AY8", "", "", ResidueType::NON_POLYMER, false, "[[3-(3-cyclohexyl-2-oxidanyl-phenyl)phenyl]-bis(fluoranyl)methyl]phosphonic acid", 11541 },
	{ "AY9", "", "", ResidueType::NON_POLYMER, false, "Ascopyrone M", 11542 },
	{ "AYA", "", "", ResidueType::PEPTIDE_LINKING, false, "N-ACETYLALANINE", 11543 },
	{ "AYB", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-({(2S)-2-amino-6-[(propoxycarbonyl)amino]hexanoyl}oxy)(hydroxy)phosphoryl]adenosine", 11544 },
	{ "AYC", "", "", ResidueType::NON_POLYMER, false, "ALAREMYCIN 2", 11545 },
	{ "AYD", "", "", ResidueType::NON_POLYMER, false, "", 11546 },
	{ "AYE", "", "", ResidueType::NON_POLYMER, false, "prop-2-en-1-amine", 11547 },
	{ "AYG", "", "", ResidueType::PEPTIDE_LINKING, true, "[(4E)-2-[(1S)-1-AMINOETHYL]-4-(4-HYDROXYBENZYLIDENE)-5-OXO-4,5-DIHYDRO-1H-IMIDAZOL-1-YL]ACETIC ACID", 11548 },
	{ "AYH", "", "", ResidueType::NON_POLYMER, false, "(1R,3S)-3-[1-(acetylamino)-1-methylethyl]-N-[(1S,2S,4R)-1-benzyl-5-(butylamino)-2-hydroxy-4-methyl-5-oxopentyl]cyclohexanecarboxamide", 11549 },
	{ "AYI", "", "", ResidueType::PEPTIDE_LIKE, false, "", 11550 },
	{ "AYK", "", "", ResidueType::NON_POLYMER, false, "", 11551 },
	{ "AYL", "", "", ResidueType::NON_POLYMER, false, "5'-O-{(S)-hydroxy[3-(4-hydroxyphenyl)propoxy]phosphoryl}adenosine", 11552 },
	{ "AYM", "", "", ResidueType::NON_POLYMER, false, "3-(6-AMINOPYRIDIN-3-YL)-N-METHYL-N-[(1-METHYL-1H-INDOL-2-YL)METHYL]ACRYLAMIDE", 11553 },
	{ "AYQ", "", "", ResidueType::PEPTIDE_LIKE, false, "N~2~-({(1R,2R,3S)-2-(methylcarbamoyl)-3-[4-(phosphonooxy)phenyl]cyclopropyl}carbonyl)-D-glutaminyl-D-aspartamide", 11554 },
	{ "AYT", "", "", ResidueType::NON_POLYMER, false, "(1~{S},3~{Z})-3-[(2~{E})-2-[(1~{S},3~{a}~{S},7~{a}~{S})-7~{a}-methyl-1-[(2~{S})-6-methyl-2-oxidanyl-heptan-2-yl]-2,3,3~{a},5,6,7-hexahydro-1~{H}-inden-4-ylidene]ethylidene]-4-methylidene-cyclohexan-1-ol", 11555 },
	{ "AYX", "", "", ResidueType::NON_POLYMER, false, "4-{[(3-nitrophenyl)carbamoyl]amino}benzenesulfonamide", 11556 },
	{ "AZ0", "", "", ResidueType::PEPTIDE_LIKE, false, "ethyl (5S,8S,14S)-14-hydroxy-5,8,11-tris(2-methylpropyl)-3,6,9,12-tetraoxo-1-phenyl-2-oxa-4,7,10,11-tetraazapentadecan-15-oate", 11557 },
	{ "AZ1", "", "", ResidueType::NON_POLYMER, false, "AZELAIC ACID", 11558 },
	{ "AZ2", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-ETHOXY-3-[4-(2-{4-[(METHYLSULFONYL)OXY]PHENYL}ETHOXY)PHENYL]PROPANOIC ACID", 11559 },
	{ "AZ3", "", "", ResidueType::NON_POLYMER, false, "4,4'-[heptane-1,7-diylbis(oxy)]dibenzenecarboximidamide", 11560 },
	{ "AZ4", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-4-(5-fluoropyrimidin-2-yl)-1-({4-[5-(2,2,2-trifluoroethoxy)pyrimidin-2-yl]piperazin-1-yl}sulfonyl)butan-2-yl]-N-hydroxyformamide", 11561 },
	{ "AZ5", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-N2-[(1S)-1-(5-FLUOROPYRIMIDIN-2-YL)ETHYL]-N4-(5-METHYL-1H-PYRAZOL-3-YL)PYRIMIDINE-2,4-DIAMINE", 11562 },
	{ "AZ6", "", "", ResidueType::NON_POLYMER, false, "3-[({2-[4-({[(4S)-4-methyl-2,5-dioxoimidazolidin-4-yl]methyl}sulfonyl)piperazin-1-yl]pyrimidin-5-yl}oxy)methyl]benzonitrile", 11563 },
	{ "AZ7", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-(4-CHLOROPHENYL)-4-(5,7-DICHLORO-1H-BENZIMIDAZOL-2-YL)BUTANOIC ACID", 11564 },
	{ "AZ8", "", "", ResidueType::NON_POLYMER, false, "pyrimido[5,4-e][1,2,4]triazine-5,7(6H,8H)-dione", 11565 },
	{ "AZ9", "", "", ResidueType::NON_POLYMER, false, "6-methylpyrimido[5,4-e][1,2,4]triazine-5,7(6H,8H)-dione", 11566 },
	{ "AZA", "", "", ResidueType::NON_POLYMER, false, "8-AZAXANTHINE", 11567 },
	{ "AZB", "", "", ResidueType::NON_POLYMER, false, "4-{(E)-[4-(propan-2-yl)phenyl]diazenyl}phenol", 11568 },
	{ "AZC", "", "", ResidueType::NON_POLYMER, false, "", 11569 },
	{ "AZD", "", "", ResidueType::NON_POLYMER, false, "3'-AZIDO-3'-DEOXYTHYMIDINE-5'-DIPHOSPHATE", 11570 },
	{ "AZE", "", "", ResidueType::NON_POLYMER, false, "ALL-TRANS AXEROPHTHENE", 11571 },
	{ "AZF", "", "", ResidueType::NON_POLYMER, false, "AZAFAGOMINE", 11572 },
	{ "AZG", "", "", ResidueType::NON_POLYMER, false, "5-AMINO-1H-[1,2,3]TRIAZOLO[4,5-D]PYRIMIDIN-7-OL", 11573 },
	{ "AZH", "", "", ResidueType::PEPTIDE_LINKING, false, "AZIDOHOMOALANINE", 11574 },
	{ "AZI", "", "", ResidueType::NON_POLYMER, false, "AZIDE ION", 11575 },
	{ "AZJ", "", "", ResidueType::NON_POLYMER, false, "ethyl 6-{4-[(benzylsulfonyl)carbamoyl]piperidin-1-yl}-5-cyano-2-methylpyridine-3-carboxylate", 11576 },
	{ "AZK", "", "", ResidueType::PEPTIDE_LINKING, false, "(S)-2-AMINO-6-AZIDOHEXANOIC ACID", 11577 },
	{ "AZL", "", "", ResidueType::PEPTIDE_LIKE, false, "1-ETHOXYCARBONYL-D-PHE-PRO-2(4-AMINOBUTYL)HYDRAZINE", 11578 },
	{ "AZM", "", "", ResidueType::NON_POLYMER, false, "5-ACETAMIDO-1,3,4-THIADIAZOLE-2-SULFONAMIDE", 11579 },
	{ "AZN", "", "", ResidueType::NON_POLYMER, false, "ALIZARIN RED", 11580 },
	{ "AZO", "", "", ResidueType::NON_POLYMER, false, "METHYL (2Z)-2-(2-{[6-(2-CYANOPHENOXY)PYRIMIDIN-4-YL]OXY}PHENYL)-3-METHOXYACRYLATE", 11581 },
	{ "AZP", "", "", ResidueType::NON_POLYMER, false, "(5S,8S,14R)-ETHYL 11-(3-AMINO-3-OXOPROPYL)-8-BENZYL-14-HYDROXY-5-ISOBUTYL-3,6,9,12-TETRAOXO-1-PHENYL-2-OXA-4,7,10,11-TETRAAZAPENTADECAN-15-OATE", 11582 },
	{ "AZQ", "", "", ResidueType::NON_POLYMER, false, "AZAPROPAZONE", 11583 },
	{ "AZR", "", "", ResidueType::NON_POLYMER, false, "2-({[(1Z)-1-(2-amino-1,3-thiazol-4-yl)-2-oxo-2-{[(2S,3S)-1-oxo-3-(sulfoamino)butan-2-yl]amino}ethylidene]amino}oxy)-2-methylpropanoic acid", 11584 },
	{ "AZS", "", "", ResidueType::PEPTIDE_LINKING, false, "O-DIAZOACETYL-L-SERINE", 11585 },
	{ "AZT", "", "", ResidueType::NON_POLYMER, false, "3'-AZIDO-3'-DEOXYTHYMIDINE-5'-TRIPHOSPHATE", 11586 },
	{ "AZU", "", "", ResidueType::NON_POLYMER, false, "2,2-dimethylpropyl 2-[[3,5-bis(oxidanylidene)-2~{H}-1,2,4-triazin-6-yl]sulfanyl]ethanoate", 11587 },
	{ "AZV", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[({(2R)-3-[(3R)-3-amino-4-(2,4,5-trifluorophenyl)butanoyl]-1,3-thiazolidin-2-yl}carbonyl)amino]methyl}phenyl)-D-valine", 11588 },
	{ "AZW", "", "", ResidueType::NON_POLYMER, false, "4-{(E)-[4-(hydroxymethyl)phenyl]diazenyl}benzyl dihydrogen phosphate", 11589 },
	{ "AZX", "", "", ResidueType::NON_POLYMER, false, "4-[(3-CHLORO-4-{[(2R)-3,3,3-TRIFLUORO-2-HYDROXY-2-METHYLPROPANOYL]AMINO}PHENYL)SULFONYL]-N,N-DIMETHYLBENZAMIDE", 11590 },
	{ "AZY", "", "", ResidueType::PEPTIDE_LINKING, false, "3-AZIDO-L-TYROSINE", 11591 },
	{ "AZZ", "", "", ResidueType::NON_POLYMER, false, "3'-azido-3'-deoxythymidine", 11592 },
	{ "B00", "", "", ResidueType::NON_POLYMER, false, "2-amino-3-methyl-6-[(1S,2R)-2-phenylcyclopropyl]pyrimidin-4(3H)-one", 11593 },
	{ "B01", "", "", ResidueType::PEPTIDE_LIKE, false, "D-phenylalanyl-N-[(4-chloropyridin-2-yl)methyl]-L-prolinamide", 11594 },
	{ "B02", "", "", ResidueType::NON_POLYMER, false, "2-amino-3-methyl-6-[(1S,2R)-2-(3'-methylbiphenyl-4-yl)cyclopropyl]pyrimidin-4(3H)-one", 11595 },
	{ "B03", "", "", ResidueType::PEPTIDE_LIKE, false, "D-phenylalanyl-N-(pyridin-2-ylmethyl)-L-prolinamide", 11596 },
	{ "B04", "", "", ResidueType::PEPTIDE_LIKE, false, "D-phenylalanyl-N-[(1-methylpyridinium-2-yl)methyl]-L-prolinamide", 11597 },
	{ "B05", "", "", ResidueType::NON_POLYMER, false, "N-[2-(benzyloxy)phenyl]-3-nitrobenzamide", 11598 },
	{ "B06", "", "", ResidueType::NON_POLYMER, false, "3-oxidanylidene-2-[3-(trifluoromethyl)phenyl]-1~{H}-isoindole-4-carboxylic acid", 11599 },
	{ "B07", "", "", ResidueType::NON_POLYMER, false, "2,6 DIMETHOXYBENZAMIDOBORONIC ACID", 11600 },
	{ "B08", "", "", ResidueType::NON_POLYMER, false, "", 11601 },
	{ "B09", "", "", ResidueType::NON_POLYMER, false, "N-methoxybenzenesulfonamide", 11602 },
	{ "B0B", "", "", ResidueType::NON_POLYMER, false, "", 11603 },
	{ "B0D", "", "", ResidueType::SACCHARIDE, false, "(2R,3S,4R,5R,6R)-2,6-difluoro-2-(hydroxymethyl)tetrahydro-2H-pyran-3,4,5-triol", 11604 },
	{ "B0I", "", "", ResidueType::NON_POLYMER, false, "3,3'-dimethyl-1,1'-biphenyl", 11605 },
	{ "B0R", "", "", ResidueType::NON_POLYMER, false, "2,6-difluoro-N-(3-methoxy-2H-pyrazolo[3,4-b]pyridin-5-yl)-3-[(propylsulfonyl)amino]benzamide", 11606 },
	{ "B0S", "", "", ResidueType::NON_POLYMER, false, "tridecylboronic acid", 11607 },
	{ "B0T", "", "", ResidueType::NON_POLYMER, false, "(2S)-6-[[[2-[[(2S)-butan-2-yl]carbamoyl]phenyl]methyl-methyl-amino]methyl]-2-(3-hydroxy-3-oxopropyl)-2,3-dihydro-1,4-benzodioxine-5-carboxylic acid", 11608 },
	{ "B0W", "", "", ResidueType::NON_POLYMER, false, "4-[5-[(2~{S},3~{R},4~{R},5~{S},6~{R})-6-(hydroxymethyl)-3,4,5-tris(oxidanyl)oxan-2-yl]-4~{H}-1,2,4-triazol-3-yl]benzoic acid", 11609 },
	{ "B0Z", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S},4~{R},5~{R},6~{S})-2-(hydroxymethyl)-6-[5-[4-(trifluoromethyl)phenyl]-4~{H}-1,2,4-triazol-3-yl]oxane-3,4,5-triol", 11610 },
	{ "B10", "", "", ResidueType::NON_POLYMER, false, "N-{5-tert-butyl-2-methoxy-3-[({4-[6-(morpholin-4-ylmethyl)pyridin-3-yl]naphthalen-1-yl}carbamoyl)amino]phenyl}methanesulfonamide", 11611 },
	{ "B11", "", "", ResidueType::NON_POLYMER, false, "N-[3-(4-FLUOROPHENOXY)PHENYL]-4-[(2-HYDROXYBENZYL)AMINO]PIPERIDINE-1-SULFONAMIDE", 11612 },
	{ "B12", "", "", ResidueType::NON_POLYMER, false, "COBALAMIN", 11613 },
	{ "B13", "", "", ResidueType::NON_POLYMER, false, "5-HYDROXYBENZIMIDAZOLYLCOB(III)AMIDE", 11614 },
	{ "B14", "", "", ResidueType::NON_POLYMER, false, "1-(6-CYANO-3-PYRIDYLCARBONYL)-5',8'-DIFLUOROSPIRO[PIPERIDINE-4,2'(1'H)-QUINAZOLINE]-4'-AMINE", 11615 },
	{ "B15", "", "", ResidueType::NON_POLYMER, false, "[2,2'-({4-[({2-[4-(AMINOSULFONYL)PHENYL]ETHYL}AMINO)CARBONYL]BENZYL}IMINO)DIACETATO(2-)-KAPPAO]COPPER", 11616 },
	{ "B16", "", "", ResidueType::SACCHARIDE, false, "1,6-di-O-phosphono-beta-D-glucopyranose", 11617 },
	{ "B17", "", "", ResidueType::NON_POLYMER, false, "{1-[4-(AMINOSULFONYL)PHENYL]-11-[(CARBOXY-KAPPAO)METHYL]-1-OXO-5,8-DIOXA-2,11-DIAZATRIDECAN-13-OATO(2-)-KAPPAO~13~}COPPER", 11618 },
	{ "B18", "", "", ResidueType::NON_POLYMER, false, "(4R)-N-[4-({[2-(DIMETHYLAMINO)ETHYL]AMINO}CARBONYL)-1,3-THIAZOL-2-YL]-4-METHYL-1-OXO-2,3,4,9-TETRAHYDRO-1H-BETA-CARBOLINE-6-CARBOXAMIDE", 11619 },
	{ "B19", "", "", ResidueType::NON_POLYMER, false, "N-{[(3AS,5AR,8AR,8BS)-2,2,7,7-TETRAMETHYLTETRAHYDRO-3AH-BIS[1,3]DIOXOLO[4,5-B:4',5'-D]PYRAN-3A-YL]METHYL}SULFAMIDE", 11620 },
	{ "B1C", "", "", ResidueType::NON_POLYMER, false, "N-(tert-butoxycarbonyl)-L-tyrosine", 11621 },
	{ "B1E", "", "", ResidueType::NON_POLYMER, false, "3-(2-cyanopropan-2-yl)-N-{4-methyl-3-[(3-methyl-4-oxo-3,4-dihydroquinazolin-6-yl)amino]phenyl}benzamide", 11622 },
	{ "B1F", "", "B2F", ResidueType::PEPTIDE_LINKING, true, "PHENYLALANINE BORONIC ACID", 11623 },
	{ "B1H", "", "", ResidueType::NON_POLYMER, false, "[4-[5-[(2~{S},3~{R},4~{R},5~{S},6~{R})-6-(hydroxymethyl)-3,4,5-tris(oxidanyl)oxan-2-yl]-1~{H}-1,2,4-triazol-3-yl]phenyl]-oxidanyl-oxidanylidene-azanium", 11624 },
	{ "B1K", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S},4~{R},5~{R},6~{S})-2-(hydroxymethyl)-6-[5-(4-methoxyphenyl)-1~{H}-1,2,4-triazol-3-yl]oxane-3,4,5-triol", 11625 },
	{ "B1L", "", "", ResidueType::NON_POLYMER, false, "3-[(4-HYDROXYBENZOYL)AMINO]AZEPAN-4-YL 4-HYDROXYBENZOATE", 11626 },
	{ "B1M", "", "", ResidueType::NON_POLYMER, false, "CO-5-METHOXYBENZIMIDAZOLYLCOBAMIDE", 11627 },
	{ "B1N", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S},4~{R},5~{R},6~{S})-2-(hydroxymethyl)-6-[3-(4-hydroxyphenyl)-1~{H}-1,2,4-triazol-5-yl]oxane-3,4,5-triol", 11628 },
	{ "B1P", "", "AAB", ResidueType::DNA_LINKING, true, "2-DEOXY-5-O-PHOSPHONO-BETA-D-ERYTHRO-PENTOFURANOSE", 11629 },
	{ "B1Q", "", "", ResidueType::NON_POLYMER, false, "(4S)-1-[(2S,3S,11bS)-2-amino-9,10-dimethoxy-1,3,4,6,7,11b-hexahydro-2H-pyrido[2,1-a]isoquinolin-3-yl]-4-(fluoromethyl)pyrrolidin-2-one", 11630 },
	{ "B1R", "", "", ResidueType::NON_POLYMER, false, "[(1,2,3,4,5-eta)-cyclopentadienyl][(1,2,3,4,5-eta)-{5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoyl}cyclopentadienyl]ruthenium", 11631 },
	{ "B1S", "", "", ResidueType::PEPTIDE_LIKE, false, "(1R,2S)-2-({N-[(benzyloxy)carbonyl]-L-leucyl}amino)-1-hydroxy-3-[(3S)-2-oxopyrrolidin-3-yl]propane-1-sulfonic acid", 11632 },
	{ "B1T", "", "", ResidueType::NON_POLYMER, false, "2,2'-sulfanediylbis(4,6-dichlorophenol)", 11633 },
	{ "B1V", "", "", ResidueType::NON_POLYMER, false, "2-[(2-OXO-2-PIPERIDIN-1-YLETHYL)SULFANYL]-6-(TRIFLUOROMETHYL)PYRIMIDIN-4-OL", 11634 },
	{ "B1W", "", "", ResidueType::NON_POLYMER, false, "(2~{S},3~{R},4~{R},5~{S},6~{R})-2-[5-(4-aminophenyl)-4~{H}-1,2,4-triazol-3-yl]-6-(hydroxymethyl)oxane-3,4,5-triol", 11635 },
	{ "B1Y", "", "", ResidueType::NON_POLYMER, false, "(1R,2S)-2-amino-1-hydroxy-3-[(3S)-2-oxopyrrolidin-3-yl]propane-1-sulfonic acid", 11636 },
	{ "B1Z", "", "", ResidueType::NON_POLYMER, false, "Adenosylcobalamin", 11637 },
	{ "B2", "", "", ResidueType::NON_POLYMER, false, "(2R)-5-FLUORO-2-(2-THIENYL)-1,2-DIHYDROQUINAZOLIN-4-AMINE", 11638 },
	{ "B20", "", "", ResidueType::NON_POLYMER, false, "1,2-dihydro-1,2-azaborinine", 11639 },
	{ "B21", "", "", ResidueType::NON_POLYMER, false, "5-(2-METHOXYPHENYL)-2-FUROIC ACID", 11640 },
	{ "B22", "", "", ResidueType::NON_POLYMER, false, "[2,2'-{[2-({3-[({2-[4-(AMINOSULFONYL)PHENYL]ETHYL}AMINO)CARBONYL]PHENYL}AMINO)-2-OXOETHYL]IMINO}DIACETATO(2-)-KAPPAO]COPPER", 11641 },
	{ "B23", "", "", ResidueType::NON_POLYMER, false, "5-(2-NITROPHENYL)-2-FUROIC ACID", 11642 },
	{ "B24", "", "", ResidueType::NON_POLYMER, false, "1-ethyl-1,2-dihydro-1,2-azaborinine", 11643 },
	{ "B25", "", "", ResidueType::NON_POLYMER, false, "5-nitro-1H-indole-2-carboximidamide", 11644 },
	{ "B26", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(4-bromo-3-methylbenzoyl)-4-[difluoro(phosphono)methyl]-L-phenylalanyl-N~5~-(3-iodobenzoyl)-L-ornithyl-3-{[(4-hydroxy-3-methoxyphenyl)acetyl]amino}-D-alaninamide", 11645 },
	{ "B27", "", "", ResidueType::PEPTIDE_CARBOXY_TERMINUS, false, "(2R,3S) 3-amino-4-mercapto-2-butanol", 11646 },
	{ "B28", "", "", ResidueType::NON_POLYMER, false, "", 11647 },
	{ "B29", "", "", ResidueType::NON_POLYMER, false, "[2-(3-DIBENZOFURAN-4-YL-PHENYL)-1-HYDROXY-1-PHOSPHONO-ETHYL]-PHOSPHONIC ACID", 11648 },
	{ "B2A", "", "", ResidueType::PEPTIDE_LIKE, false, "ALANINE BORONIC ACID", 11649 },
	{ "B2B", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-[(1R)-3-{[(1R,2S,3R,6S,7S,10S,12S,15E,17E)-18-carboxy-16-ethyl-3,7-dihydroxy-1,2,6,10,12-pentamethyl-5-oxooctadeca-15,17-dien-1-yl]oxy}-1-hydroxy-3-oxopropyl]-3-methylbut-2-enedioic acid", 11650 },
	{ "B2D", "", "", ResidueType::NON_POLYMER, false, "7-methoxy-N-[(6-phenyl[1,2,4]triazolo[4,3-b]pyridazin-3-yl)methyl]-1,5-naphthyridin-4-amine", 11651 },
	{ "B2E", "", "", ResidueType::NON_POLYMER, false, "(6-hydroxy-1,3-dimethyl-2,4-dioxo-1,2,3,4-tetrahydropyrimidine-5-carbonyl)glycine", 11652 },
	{ "B2F", "B1F", "", ResidueType::PEPTIDE_LIKE, false, "PHENYLALANINE BORONIC ACID", 11653 },
	{ "B2G", "", "", ResidueType::SACCHARIDE, false, "GALACTOBIOSE", 11654 },
	{ "B2H", "", "", ResidueType::PEPTIDE_LINKING, false, "Chromophore (Thr, Trp, Gly)", 11655 },
	{ "B2I", "", "", ResidueType::PEPTIDE_LIKE, false, "ISOLEUCINE BORONIC ACID", 11656 },
	{ "B2J", "", "", ResidueType::NON_POLYMER, false, "4-(ethylsulfanyl)-6-methyl-1,3,5-triazin-2-amine", 11657 },
	{ "B2K", "", "", ResidueType::NON_POLYMER, false, "4-Methyl-6-(toluene-4-sulfonyl)-pyrimidin-2-ylamine", 11658 },
	{ "B2L", "", "", ResidueType::NON_POLYMER, false, "4-(1H,3H-benzo[de]isochromen-6-yl)-6-methylpyrimidin-2-amine", 11659 },
	{ "B2M", "", "", ResidueType::NON_POLYMER, false, "6-bromo-N'-[(1Z)-(3,5-dichloro-2-hydroxyphenyl)methylidene]-2-methylquinoline-4-carbohydrazide", 11660 },
	{ "B2N", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-4-amino-2-(aminomethyl)-4-oxobutanoic acid", 11661 },
	{ "B2P", "", "", ResidueType::NON_POLYMER, false, "2-bromo-2-methylpropanoic acid", 11662 },
	{ "B2Q", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,11bR)-3-butyl-9,10-dimethoxy-1,3,4,6,7,11b-hexahydro-2H-pyrido[2,1-a]isoquinolin-2-amine", 11663 },
	{ "B2S", "", "", ResidueType::NON_POLYMER, false, "(3alpha,7alpha)-3,7,15-trihydroxy-12,13-epoxytrichothec-9-en-8-one", 11664 },
	{ "B2T", "", "", ResidueType::NON_POLYMER, false, "4-(2-chlorophenyl)-6-(methylsulfanyl)-1,3,5-triazin-2-amine", 11665 },
	{ "B2V", "", "", ResidueType::PEPTIDE_LIKE, false, "VALINE BORONIC ACID", 11666 },
	{ "B2W", "", "", ResidueType::NON_POLYMER, false, "5-(trifluoromethyl)-2,3-dihydro-1~{H}-1,4-diazepine", 11667 },
	{ "B2X", "", "", ResidueType::NON_POLYMER, false, "4-(5-chloro-1H,3H-benzo[de]isochromen-6-yl)-6-(methylsulfanyl)-1,3,5-triazin-2-amine", 11668 },
	{ "B2Y", "", "", ResidueType::NON_POLYMER, false, "1-biphenyl-2-ylmethanamine", 11669 },
	{ "B2Z", "", "", ResidueType::NON_POLYMER, false, "(3-(2-FLUOROPHENYL)-N-(1-(2-OXO-2,3-DIHYDRO-1H-BENZO[D]IMIDAZOL-5-YL)ETHYL)BUTANAMIDE)", 11670 },
	{ "B30", "", "", ResidueType::NON_POLYMER, false, "{2,2'-[(2-{[4-(AMINOSULFONYL)BENZOYL]AMINO}ETHYL)IMINO]DIACETATO(2-)-KAPPAO}COPPER", 11671 },
	{ "B31", "", "", ResidueType::NON_POLYMER, false, "(2S)-4-amino-N-[(1R,2S,3R,4R,5S)-5-amino-4-[(2,6-diamino-2,6-dideoxy-alpha-D-glucopyranosyl)oxy]-2-hydroxy-3-(beta-D-xylofuranosyloxy)cyclohexyl]-2-hydroxybutanamide", 11672 },
	{ "B32", "", "", ResidueType::NON_POLYMER, false, "5'-S-[2-(decylamino)ethyl]-5'-thioadenosine", 11673 },
	{ "B33", "", "", ResidueType::NON_POLYMER, false, "N-ETHYL-N-[3-(PROPYLAMINO)PROPYL]PROPANE-1,3-DIAMINE", 11674 },
	{ "B34", "", "", ResidueType::NON_POLYMER, false, "(5S)-1-benzyl-3-(1,1-dioxido-1,2-benzisothiazol-3-yl)-4-hydroxy-5-(1-methylethyl)-1,5-dihydro-2H-pyrrol-2-one", 11675 },
	{ "B35", "", "", ResidueType::NON_POLYMER, false, "4-[(1S)-1-(3-fluoro-4-methoxyphenyl)-2-(2-methoxy-5-nitrophenyl)ethyl]-1H-imidazol-2-amine", 11676 },
	{ "B36", "", "", ResidueType::NON_POLYMER, false, "6-{[1-(anthracen-9-ylcarbonyl)piperidin-4-yl]methyl}-2-methylquinoline", 11677 },
	{ "B37", "", "", ResidueType::NON_POLYMER, false, "4-({4-[(2-methylquinolin-6-yl)methyl]piperidin-1-yl}carbonyl)-2-phenylquinoline", 11678 },
	{ "B38", "", "", ResidueType::NON_POLYMER, false, "1'-(1H-indazol-7-ylcarbonyl)-6-methylspiro[chromene-2,4'-piperidin]-4(3H)-one", 11679 },
	{ "B39", "", "", ResidueType::NON_POLYMER, false, "[(1S,2S,4R)-4-{4-[(1S)-2,3-dihydro-1H-inden-1-ylamino]-7H-pyrrolo[2,3-d]pyrimidin-7-yl}-2-hydroxycyclopentyl]methyl sulfamate", 11680 },
	{ "B3A", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3-AMINOBUTANOIC ACID", 11681 },
	{ "B3B", "", "", ResidueType::NON_POLYMER, false, "2-{(E)-[2-(4-phenyl-1,3-thiazol-2-yl)hydrazinylidene]methyl}benzaldehyde", 11682 },
	{ "B3C", "", "", ResidueType::NON_POLYMER, false, "benzyl [(1R)-1-({(2S,4R)-2-({(1S)-5-amino-1-[(S)-1,3-benzoxazol-2-yl(hydroxy)methyl]pentyl}carbamoyl)-4-[(4-methylbenzyl)oxy]pyrrolidin-1-yl}carbonyl)-3-phenylpropyl]carbamate", 11683 },
	{ "B3D", "", "", ResidueType::PEPTIDE_LIKE, false, "3-AMINOPENTANEDIOIC ACID", 11684 },
	{ "B3E", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3-AMINOHEXANEDIOIC ACID", 11685 },
	{ "B3G", "", "", ResidueType::NON_POLYMER, false, "(1R,2S)-2-[(N-{[2-(3-chlorophenyl)ethoxy]carbonyl}-L-leucyl)amino]-1-hydroxy-3-[(3S)-2-oxopyrrolidin-3-yl]propane-1-sulfonic acid", 11686 },
	{ "B3H", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(BUTYRYLOXY)-3-HYDROXYPROPYL NONANOATE", 11687 },
	{ "B3I", "", "", ResidueType::NON_POLYMER, false, "2,3,5-TRIIODOBENZOIC ACID", 11688 },
	{ "B3J", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-2-{[N-({[4-benzyl-1-(tert-butoxycarbonyl)piperidin-4-yl]oxy}carbonyl)-L-leucyl]amino}-1-hydroxy-3-[(3S)-2-oxopyrrolidin-3-yl]propane-1-sulfonic acid", 11689 },
	{ "B3K", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3,7-DIAMINOHEPTANOIC ACID", 11690 },
	{ "B3L", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3-amino-5-methylhexanoic acid", 11691 },
	{ "B3M", "", "", ResidueType::PEPTIDE_LINKING, false, "(3R)-3-amino-5-(methylsulfanyl)pentanoic acid", 11692 },
	{ "B3N", "", "", ResidueType::NON_POLYMER, false, "4-(dimethylamino)-N-[7-(hydroxyamino)-7-oxoheptyl]benzamide", 11693 },
	{ "B3P", "", "", ResidueType::NON_POLYMER, false, "2-[3-(2-HYDROXY-1,1-DIHYDROXYMETHYL-ETHYLAMINO)-PROPYLAMINO]-2-HYDROXYMETHYL-PROPANE-1,3-DIOL", 11694 },
	{ "B3Q", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3,6-diamino-6-oxohexanoic acid", 11695 },
	{ "B3R", "", "", ResidueType::NON_POLYMER, false, "3-bromophenol", 11696 },
	{ "B3S", "", "", ResidueType::PEPTIDE_LINKING, false, "(3R)-3-AMINO-4-HYDROXYBUTANOIC ACID", 11697 },
	{ "B3T", "", "", ResidueType::PEPTIDE_LINKING, false, "3-amino-2,3,5-trideoxy-D-threo-pentonic acid", 11698 },
	{ "B3U", "", "", ResidueType::PEPTIDE_LINKING, false, "2-amino-L-histidine", 11699 },
	{ "B3V", "", "", ResidueType::NON_POLYMER, false, "N-[2-(diethylamino)ethyl]-3-methoxy-benzenesulfonamide", 11700 },
	{ "B3W", "", "", ResidueType::NON_POLYMER, false, "4-chloranyl-N-[2-(diethylamino)ethyl]benzenesulfonamide", 11701 },
	{ "B3X", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3,5-DIAMINO-5-OXOPENTANOIC ACID", 11702 },
	{ "B3Y", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3-AMINO-4-(4-HYDROXYPHENYL)BUTANOIC ACID", 11703 },
	{ "B3Z", "", "", ResidueType::NON_POLYMER, false, "N-[2-(diethylamino)ethyl]-2-fluoranyl-benzenesulfonamide", 11704 },
	{ "B40", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-methyl-1-phenylpropan-2-amine", 11705 },
	{ "B41", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-(1,3-benzodioxol-5-yl)-N-methylpropan-2-amine", 11706 },
	{ "B42", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(5R)-1-cyclopentyl-4-hydroxy-5-methyl-5-(3-methylbutyl)-2-oxo-1,2,5,6-tetrahydropyridin-3-yl]-1,1-dioxido-4H-1,2,4-benzothiadiazin-7-yl}methanesulfonamide", 11707 },
	{ "B43", "", "", ResidueType::NON_POLYMER, false, "4-Amino-5-(4-phenoxyphenyl)-7H-pyrrolo[2,3-d]pyrimidin-7-yl-cyclopentane", 11708 },
	{ "B44", "", "", ResidueType::NON_POLYMER, false, "", 11709 },
	{ "B45", "", "", ResidueType::NON_POLYMER, false, "5-(2-chloro-4-fluorophenyl)-1-(2,6-dichlorophenyl)-7-[1-(1-methylethyl)piperidin-4-yl]-3,4-dihydroquinazolin-2(1H)-one", 11710 },
	{ "B46", "", "", ResidueType::NON_POLYMER, false, "prop-2-yn-1-yl {[5-(4-piperidin-1-yl-2-pyridin-3-yl-1,3-thiazol-5-yl)-1H-pyrazol-3-yl]methyl}carbamate", 11711 },
	{ "B47", "", "", ResidueType::NON_POLYMER, false, "methyl ({5-[4-(4-hydroxypiperidin-1-yl)-2-phenyl-1,3-thiazol-5-yl]-1H-pyrazol-3-yl}methyl)carbamate", 11712 },
	{ "B48", "", "", ResidueType::NON_POLYMER, false, "4-methyl-5-[3-(methylsulfanyl)-1H-pyrazol-5-yl]-2-thiophen-2-yl-1,3-thiazole", 11713 },
	{ "B49", "", "", ResidueType::NON_POLYMER, false, "N-[2-(diethylamino)ethyl]-5-[(Z)-(5-fluoro-2-oxo-1,2-dihydro-3H-indol-3-ylidene)methyl]-2,4-dimethyl-1H-pyrrole-3-carboxamide", 11714 },
	{ "B4A", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-N-{5-[4-({5-[(phenylacetyl)amino]-1,3,4-thiadiazol-2-yl}amino)piperidin-1-yl]-1,3,4-thiadiazol-2-yl}acetamide", 11715 },
	{ "B4B", "", "", ResidueType::NON_POLYMER, false, "5-[6-(4-piperazin-1-ylphenyl)pyrazolo[1,5-a]pyrimidin-3-yl]quinoline", 11716 },
	{ "B4C", "", "", ResidueType::NON_POLYMER, false, "benzyl [(1S)-5-amino-1-{[(1S)-1-({(1S)-5-amino-1-[(S)-1,3-benzoxazol-2-yl(hydroxy)methyl]pentyl}carbamoyl)-3-phenylpropyl]carbamoyl}pentyl]carbamate", 11717 },
	{ "B4D", "", "", ResidueType::NON_POLYMER, false, "(3S)-6-chloro-3-[(prop-2-en-1-ylsulfanyl)methyl]-3,4-dihydro-2H-1,2,4-benzothiadiazine-7-sulfonamide 1,1-dioxide", 11718 },
	{ "B4E", "", "", ResidueType::NON_POLYMER, false, "cyclical inhibitor OD36", 11719 },
	{ "B4F", "", "", ResidueType::NON_POLYMER, false, "biotin-4-fluorescein", 11720 },
	{ "B4G", "", "", ResidueType::SACCHARIDE, false, "GALACTOTRIOSE", 11721 },
	{ "B4H", "", "", ResidueType::NON_POLYMER, false, "N-methylidene-3-nitrobenzamide", 11722 },
	{ "B4K", "", "", ResidueType::NON_POLYMER, false, "~{N}-[6-[3,4-bis(oxidanyl)phenyl]-1~{H}-pyrazolo[3,4-b]pyridin-3-yl]ethanamide", 11723 },
	{ "B4M", "", "MBR", ResidueType::NON_POLYMER, true, "tris(bromanyl)methane", 11724 },
	{ "B4N", "", "", ResidueType::NON_POLYMER, false, "bis(4-nitrophenyl) hydrogen phosphate", 11725 },
	{ "B4P", "", "", ResidueType::NON_POLYMER, false, "BIS(ADENOSINE)-5'-TETRAPHOSPHATE", 11726 },
	{ "B4Q", "", "", ResidueType::NON_POLYMER, false, "2-(1~{H}-benzimidazol-2-yl)-~{N}-[[4-(2-ethylphenyl)-3-methyl-phenyl]methyl]ethanamine", 11727 },
	{ "B4S", "", "", ResidueType::NON_POLYMER, false, "3'-fluoro-4'-(trifluoromethyl)biphenyl-4-sulfonamide", 11728 },
	{ "B4W", "", "", ResidueType::NON_POLYMER, false, "2-{4-[(3S)-PYRROLIDIN-3-YLAMINO]QUINAZOLIN-2-YL}PHENOL", 11729 },
	{ "B50", "", "", ResidueType::NON_POLYMER, false, "4-(4-chlorophenyl)-1-[(3S)-3,4-dihydroxybutyl]-N-[3-(4-methylpiperazin-1-yl)propyl]-3-phenyl-1H-pyrrole-2-carboxamide", 11730 },
	{ "B51", "", "", ResidueType::NON_POLYMER, false, "NICKEL/IRON/SULFUR CLUSTER", 11731 },
	{ "B52", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(7-amino-1-methyl-4,5-dioxo-1,4,5,6-tetrahydropyrimido[4,5-c]pyridazin-3-yl)propanoic acid", 11732 },
	{ "B53", "", "", ResidueType::NON_POLYMER, false, "2,6-diamino-5-nitrosopyrimidin-4(3H)-one", 11733 },
	{ "B54", "", "", ResidueType::NON_POLYMER, false, "4-{3-[(2-amino-5-nitroso-6-oxo-1,6-dihydropyrimidin-4-yl)amino]propoxy}benzoic acid", 11734 },
	{ "B55", "", "", ResidueType::NON_POLYMER, false, "2-amino-8-sulfanyl-1,9-dihydro-6H-purin-6-one", 11735 },
	{ "B56", "", "", ResidueType::NON_POLYMER, false, "2-amino-8-methyl-4-oxo-3,4,7,8-tetrahydropteridine-6-carboxylic acid", 11736 },
	{ "B57", "", "", ResidueType::NON_POLYMER, false, "2,6-diamino-5-nitropyrimidin-4(3H)-one", 11737 },
	{ "B58", "", "", ResidueType::NON_POLYMER, false, "1H-imidazo[4,5-d]pyridazine-4,7-diamine", 11738 },
	{ "B59", "", "", ResidueType::NON_POLYMER, false, "1,3-dimethyl-2,4,7-trioxo-1,2,3,4,7,8-hexahydropteridine-6-carbaldehyde", 11739 },
	{ "B5A", "", "", ResidueType::NON_POLYMER, false, "1-(piperidin-4-ylmethyl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 11740 },
	{ "B5D", "", "", ResidueType::NON_POLYMER, false, "(3S)-7-chloro-3-methyl-3,4-dihydro-2H-1,2,4-benzothiadiazine 1,1-dioxide", 11741 },
	{ "B5E", "", "", ResidueType::NON_POLYMER, false, "2-(1~{H}-benzimidazol-2-yl)-~{N}-[[4-(2-ethylphenyl)-3-(trifluoromethyl)phenyl]methyl]ethanamine", 11742 },
	{ "B5F", "", "", ResidueType::NON_POLYMER, false, "", 11743 },
	{ "B5H", "", "", ResidueType::NON_POLYMER, false, "(5Z)-5-[(3-bromophenyl)methylidene]imidazolidine-2,4-dione", 11744 },
	{ "B5M", "", "", ResidueType::NON_POLYMER, false, "9-(5-O-{(S)-hydroxy[(2-hydroxy-6-methylbenzene-1-carbonyl)oxy]phosphoryl}-alpha-L-lyxofuranosyl)-9H-purin-6-amine", 11745 },
	{ "B5N", "", "", ResidueType::NON_POLYMER, false, "[4-[(4-fluorophenyl)methyl]piperazin-1-yl]-(2-methylphenyl)methanone", 11746 },
	{ "B5P", "", "", ResidueType::NON_POLYMER, false, "N-{3-[5-hydroxy-8-(3-methylbutyl)-7-oxo-7,8-dihydroimidazo[1,2-a]pyrimidin-6-yl]-1,1-dioxido-4H-1,2,4-benzothiadiazin-7-yl}methanesulfonamide", 11747 },
	{ "B5Q", "", "", ResidueType::NON_POLYMER, false, "[2-azanyl-6-[2-(methylaminomethyl)phenyl]quinazolin-4-yl]-(1,3-dihydroisoindol-2-yl)methanone", 11748 },
	{ "B5R", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(4-chloro-3-fluorophenoxy)-N-[4-cyano-3-(trifluoromethyl)phenyl]-2-hydroxy-2-methylpropanamide", 11749 },
	{ "B5S", "", "", ResidueType::NON_POLYMER, false, "3-{5-[(3-hydroxy-5-methoxyphenyl)amino]-2-(phenylcarbamoyl)phenoxy}propan-1-aminium", 11750 },
	{ "B5U", "", "", ResidueType::NON_POLYMER, false, "6-(3,4-dimethylphenyl)-3-[[4-[3-(4-methylpiperazin-1-yl)propoxy]phenyl]amino]pyrazine-2-carboxamide", 11751 },
	{ "B5V", "", "", ResidueType::NON_POLYMER, false, "9-(5-O-{(S)-hydroxy[(2-hydroxybenzene-1-carbonyl)oxy]phosphoryl}-alpha-L-lyxofuranosyl)-9H-purin-6-amine", 11752 },
	{ "B5W", "", "", ResidueType::NON_POLYMER, false, "(3-chloranyl-4-phenyl-phenyl)methyl-(3-phenylpropyl)azanium", 11753 },
	{ "B5Y", "", "", ResidueType::NON_POLYMER, false, "9-(5-O-{(S)-hydroxy[(2-hydroxy-5-methylbenzene-1-carbonyl)oxy]phosphoryl}-alpha-L-lyxofuranosyl)-9H-purin-6-amine", 11754 },
	{ "B60", "", "", ResidueType::NON_POLYMER, false, "2-amino-8-methyl-7,8-dihydropteridin-4(3H)-one", 11755 },
	{ "B61", "", "", ResidueType::NON_POLYMER, false, "2-amino-6-(2-hydroxy-2-methylpropyl)-8-methyl-7,8-dihydropteridin-4(3H)-one", 11756 },
	{ "B62", "", "", ResidueType::NON_POLYMER, false, "(6R)-2-amino-6-methyl-5,6,7,8-tetrahydropteridin-4(3H)-one", 11757 },
	{ "B63", "", "", ResidueType::NON_POLYMER, false, "4-{[2-(2-amino-4-oxo-3,4,7,8-tetrahydropteridin-6-yl)ethyl]amino}benzoic acid", 11758 },
	{ "B64", "", "", ResidueType::NON_POLYMER, false, "4-{[2-(methoxycarbonyl)-5-(2-thienyl)-3-thienyl]amino}-4-oxo-2-butenoic acid ", 11759 },
	{ "B65", "", "", ResidueType::NON_POLYMER, false, "(1R)-4-(3-phenoxyphenyl)-1-phosphonobutane-1-sulfonic acid", 11760 },
	{ "B66", "", "", ResidueType::NON_POLYMER, false, "4-{[(1R,2S)-1,2-dihydroxy-2-methyl-3-(4-nitrophenoxy)propyl]amino}-2-(trifluoromethyl)benzonitrile", 11761 },
	{ "B67", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-hydroxy-2-methyl-N-[4-nitro-3-(trifluoromethyl)phenyl]-3-(pentafluorophenoxy)propanamide", 11762 },
	{ "B68", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-[4-(acetylamino)phenoxy]-2-hydroxy-2-methyl-N-[4-nitro-3-(trifluoromethyl)phenyl]propanamide", 11763 },
	{ "B69", "", "", ResidueType::NON_POLYMER, false, "", 11764 },
	{ "B6A", "", "", ResidueType::NON_POLYMER, false, "[2-amino-1-(piperidin-4-ylmethyl)-1H-benzimidazol-6-yl](phenyl)methanone", 11765 },
	{ "B6D", "", "", ResidueType::SACCHARIDE, false, "2,4-bis(acetylamino)-2,4,6-trideoxy-beta-D-glucopyranose", 11766 },
	{ "B6E", "", "", ResidueType::NON_POLYMER, false, "~{N}-[5-[4-[[2-fluoranyl-5-(trifluoromethyl)phenyl]carbamoylamino]phenoxy]-1~{H}-benzimidazol-2-yl]furan-2-carboxamide", 11767 },
	{ "B6F", "", "", ResidueType::NON_POLYMER, false, "[(1,2,3,4,5-eta)-cyclopentadienyl][(1,2,3,4,5-eta)-{6-[(6-{[5-(2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl)pentanoyl]amino}hexanoyl)amino]hexanoyl}cyclopentadienyl]iron", 11768 },
	{ "B6G", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-3-methylbutanoyl (2S,3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxyoxolan-2-yl hydrogen (S)-phosphate", 11769 },
	{ "B6J", "", "", ResidueType::NON_POLYMER, false, "3,3'-(2,4-diaminopteridine-6,7-diyl)diphenol", 11770 },
	{ "B6K", "", "", ResidueType::NON_POLYMER, false, "", 11771 },
	{ "B6M", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3S,4R,6R)-4,6-diamino-2-{[3-O-(2,6-diamino-2,6-dideoxy-alpha-L-altropyranosyl)-beta-L-arabinofuranosyl]oxy}-3-hydroxycyclohexyl 2-amino-2-deoxy-alpha-D-allopyranoside", 11772 },
	{ "B6P", "", "", ResidueType::NON_POLYMER, false, "", 11773 },
	{ "B6S", "", "", ResidueType::NON_POLYMER, false, "1,3-benzothiazole-6-sulfonic acid", 11774 },
	{ "B6T", "", "", ResidueType::NON_POLYMER, false, "8-oxidanyl-6-phenyl-7-propan-2-yl-imidazo[1,2-b]pyridazine-3-carbonitrile", 11775 },
	{ "B6W", "", "", ResidueType::NON_POLYMER, false, "2-chloranyl-~{N}-[2-[4-(3-cyano-7-oxidanylidene-6-propan-2-yl-4~{H}-pyrazolo[1,5-a]pyrimidin-5-yl)pyrazol-1-yl]ethyl]ethanamide", 11776 },
	{ "B6Y", "", "", ResidueType::NON_POLYMER, false, "(1R,2S)-2-{[N-({[1-(tert-butoxycarbonyl)-4-ethylpiperidin-4-yl]oxy}carbonyl)-L-leucyl]amino}-1-hydroxy-3-[(3S)-2-oxopyrrolidin-3-yl]propane-1-sulfonic acid", 11777 },
	{ "B70", "", "", ResidueType::NON_POLYMER, false, "tripotassium (1R)-4-biphenyl-4-yl-1-phosphonatobutane-1-sulfonate", 11778 },
	{ "B71", "", "", ResidueType::NON_POLYMER, false, "3-(DECYLOXY)-1-(2,2-DIPHOSPHONOETHYL)PYRIDINIUM", 11779 },
	{ "B72", "", "", ResidueType::NON_POLYMER, false, "{4-[4-hydroxy-3-(1-methylethyl)benzyl]-3,5-dimethylphenoxy}acetic acid", 11780 },
	{ "B73", "", "", ResidueType::NON_POLYMER, false, "3-(2,2-diphosphonoethyl)-1-dodecyl-1H-imidazol-3-ium", 11781 },
	{ "B74", "", "", ResidueType::NON_POLYMER, false, "(3-methylphenyl)methanol", 11782 },
	{ "B75", "", "", ResidueType::NON_POLYMER, false, "", 11783 },
	{ "B76", "", "", ResidueType::NON_POLYMER, false, "", 11784 },
	{ "B77", "", "", ResidueType::NON_POLYMER, false, "2-[(2-methoxy-5-methylphenoxy)methyl]pyridine", 11785 },
	{ "B78", "", "", ResidueType::NON_POLYMER, false, "4-[(5-methoxy-2-methylphenoxy)methyl]pyridine", 11786 },
	{ "B7A", "", "", ResidueType::NON_POLYMER, false, "", 11787 },
	{ "B7C", "", "", ResidueType::DNA_LINKING, false, "3-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-7,8-dihydropyrido[2,3-d]pyrimidin-2(3H)-one", 11788 },
	{ "B7D", "", "", ResidueType::NON_POLYMER, true, "(3R)-6-chloro-3-(dichloromethyl)-3,4-dihydro-2H-1,2,4-benzothiadiazine-7-sulfonamide 1,1-dioxide", 11789 },
	{ "B7E", "", "", ResidueType::NON_POLYMER, false, "compound 28", 11790 },
	{ "B7G", "", "", ResidueType::NON_POLYMER, false, "HEPTYL-BETA-D-GLUCOPYRANOSIDE", 11791 },
	{ "B7H", "", "", ResidueType::NON_POLYMER, false, "5-(7-fluoranyl-3,3-dimethyl-2-oxidanylidene-1H-indol-5-yl)-4-methyl-1H-pyrazole-3-carbonitrile", 11792 },
	{ "B7I", "", "", ResidueType::NON_POLYMER, false, "2,2'-[heptane-1,7-diylbis(oxybenzene-4,1-diyl)]bis(1H-imidazole)", 11793 },
	{ "B7J", "", "", ResidueType::NON_POLYMER, false, "", 11794 },
	{ "B7K", "", "", ResidueType::NON_POLYMER, false, "7-oxidanylidene-6-propan-2-yl-5-[1-(1-prop-2-enoylpiperidin-4-yl)pyrazol-4-yl]-6~{H}-pyrazolo[1,5-a]pyrimidine-3-carbonitrile", 11795 },
	{ "B7M", "", "", ResidueType::NON_POLYMER, false, "(10E,12Z)-hexadeca-10,12-dienal", 11796 },
	{ "B7N", "", "", ResidueType::NON_POLYMER, false, "(1R)-2-{[(S)-hydroxy{[(1S,2R,3R,4S,5S,6R)-2,3,4,5,6-pentahydroxycyclohexyl]oxy}phosphoryl]oxy}-1-[(octadecanoyloxy)methyl]ethyl (9Z)-octadec-9-enoate", 11797 },
	{ "B7P", "", "", ResidueType::NON_POLYMER, false, "", 11798 },
	{ "B7Q", "", "", ResidueType::NON_POLYMER, false, "5-[1-[1-(2-chloranylethanoyl)piperidin-4-yl]pyrazol-4-yl]-7-oxidanylidene-6-propan-2-yl-4~{H}-pyrazolo[1,5-a]pyrimidine-3-carbonitrile", 11799 },
	{ "B7T", "", "", ResidueType::NON_POLYMER, false, "(1r,4r)-4-methoxy-6'-(5-methyl-3-pyridinyl)-3'H-dispiro[cyclohexane-1,2'-indene-1',4''-[1,3]oxazol]-2''-amine", 11800 },
	{ "B7V", "", "", ResidueType::NON_POLYMER, false, "3-[(4-chloro-3-methoxyphenyl)amino]-1-[(3R,4S)-4-cyanooxan-3-yl]-1H-pyrazole-4-carboxamide", 11801 },
	{ "B7Z", "", "", ResidueType::NON_POLYMER, false, "8-[4-[2-[4-(3-oxidanylpropanoyl)piperazin-1-yl]ethyl]pyrazol-1-yl]-3~{H}-pyrido[3,4-d]pyrimidin-4-one", 11802 },
	{ "B80", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(6S)-6-ethyl-1-(4-fluorobenzyl)-4-hydroxy-2-oxo-1,2,5,6-tetrahydropyridin-3-yl]-1,1-dioxido-2H-1,2,4-benzothiadiazin-7-yl}methanesulfonamide", 11803 },
	{ "B81", "", "", ResidueType::NON_POLYMER, false, "(3alpha,8alpha,17beta)-androst-5-ene-3,17-diol", 11804 },
	{ "B82", "", "", ResidueType::NON_POLYMER, false, "2-({[4-bromo-3-(diethylsulfamoyl)phenyl]carbonyl}amino)benzoic acid", 11805 },
	{ "B83", "", "", ResidueType::NON_POLYMER, false, "2-[({4-[(3R,5S)-3,5-dimethylpiperidin-1-yl]-3-phenoxyphenyl}carbonyl)amino]benzoic acid", 11806 },
	{ "B84", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-cyclopentyl-N-(5-methoxy[1,3]thiazolo[5,4-b]pyridin-2-yl)-2-{4-[(4-methylpiperazin-1-yl)sulfonyl]phenyl}propanamide", 11807 },
	{ "B85", "", "", ResidueType::NON_POLYMER, false, "benzylphosphonic acid", 11808 },
	{ "B86", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5-fluorocytidine", 11809 },
	{ "B87", "", "", ResidueType::NON_POLYMER, false, "4-(1-benzothiophen-2-yl)-6-[4-(2-oxo-2-pyrrolidin-1-ylethyl)piperazin-1-yl]pyrimidine", 11810 },
	{ "B88", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{[(S)-[(1R)-1-aminoethyl](hydroxy)phosphoryl]methyl}butanedioic acid", 11811 },
	{ "B89", "", "", ResidueType::NON_POLYMER, false, "(5S)-2-[(1E)-N-{[(2E)-3-chloroprop-2-en-1-yl]oxy}propanimidoyl]-3-hydroxy-5-(tetrahydro-2H-pyran-4-yl)cyclohex-2-en-1-one", 11812 },
	{ "B8D", "", "", ResidueType::SACCHARIDE, false, "4-O-methyl-alpha-D-glucopyranose", 11813 },
	{ "B8H", "", "", ResidueType::RNA_LINKING, false, "[(2~{R},3~{S},4~{R},5~{S})-5-[1-methyl-2,4-bis(oxidanylidene)pyrimidin-5-yl]-3,4-bis(oxidanyl)oxolan-2-yl]methyl dihydrogen phosphate", 11814 },
	{ "B8J", "", "", ResidueType::NON_POLYMER, false, "1-[1-(3-{5-(1H-imidazole-5-carbonyl)-3-[4-(trifluoromethyl)phenyl]-4,5,6,7-tetrahydro-1H-pyrazolo[4,3-c]pyridin-1-yl}propyl)piperidin-4-yl]-3-methyl-1,3-dihydro-2H-benzimidazol-2-one", 11815 },
	{ "B8K", "", "", ResidueType::RNA_LINKING, false, "", 11816 },
	{ "B8L", "", "", ResidueType::NON_POLYMER, false, "3-[(3-SEC-BUTYL-4-HYDROXYBENZOYL)AMINO]AZEPAN-4-YL 4-(2-HYDROXY-5-METHOXYBENZOYL)BENZOATE", 11817 },
	{ "B8M", "", "", ResidueType::NON_POLYMER, false, "(8E,10Z)-HEXADECA-8,10-DIEN-1-OL", 11818 },
	{ "B8N", "", "", ResidueType::RNA_LINKING, false, "(2~{R})-2-azanyl-4-[5-[(2~{S},3~{R},4~{S},5~{R})-3,4-bis(oxidanyl)-5-(phosphonooxymethyl)oxolan-2-yl]-3-methyl-2,6-bis(oxidanylidene)pyrimidin-1-yl]butanoic acid", 11819 },
	{ "B8P", "", "", ResidueType::NON_POLYMER, false, "3-{3-[(pyridin-2-yl)methoxy]quinoxalin-2-yl}propanoic acid", 11820 },
	{ "B8Q", "", "", ResidueType::RNA_LINKING, false, "", 11821 },
	{ "B8S", "", "", ResidueType::NON_POLYMER, false, "N-{[2-chloro-5-(2-{3-[4-(6-chloro-3-methyl-2-oxo-2,3-dihydro-1H-benzimidazol-1-yl)piperidin-1-yl]propyl}-3-oxo-2,3-dihydropyridazin-4-yl)phenyl]methyl}-4-fluorobenzamide", 11822 },
	{ "B8T", "", "", ResidueType::RNA_LINKING, false, "", 11823 },
	{ "B8V", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-[4-(2-methoxyphenyl)piperidin-1-yl]-3-{3-[3-{[2-(piperidin-1-yl)ethyl]sulfanyl}-4-(trifluoromethyl)phenyl]-4,5,6,7-tetrahydro-1H-pyrazolo[4,3-c]pyridin-1-yl}propan-2-ol", 11824 },
	{ "B8W", "", "", ResidueType::RNA_LINKING, false, "", 11825 },
	{ "B8Y", "", "", ResidueType::NON_POLYMER, false, "N-{[2-chloro-5-(4-{3-[4-(6-chloro-3-methyl-2-oxo-2,3-dihydro-1H-benzimidazol-1-yl)piperidin-1-yl]propyl}-3-oxo-3,4-dihydropyrazin-2-yl)phenyl]methyl}-4-fluorobenzamide", 11826 },
	{ "B90", "", "", ResidueType::NON_POLYMER, false, "N-[4-(dimethylphosphoryl)phenyl]-9-[(E)-2-(5-methyl-1H-indazol-4-yl)ethenyl]-9H-purin-6-amine", 11827 },
	{ "B91", "", "", ResidueType::NON_POLYMER, false, "3-{(E)-2-[6-(cyclopropylamino)-9H-purin-9-yl]ethenyl}-4-methyl-N-[3-(4-methyl-1H-imidazol-1-yl)-5-(trifluoromethyl)phenyl]benzamide", 11828 },
	{ "B92", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-({[(5S,10aS)-2-{(2S)-4-carboxy-2-[(phenylacetyl)amino]butyl}-1,3-dioxo-2,3,5,7,8,9,10,10a-octahydro-1H-[1,2,4]triazolo[1,2-a]cinnolin-5-yl]carbonyl}amino)-4-oxopentanoic acid", 11829 },
	{ "B93", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-({[(5S)-2-{2-[(1H-benzimidazol-5-ylcarbonyl)amino]ethyl}-7-(cyclohexylmethyl)-1,3-dioxo-2,3,5,8-tetrahydro-1H-[1,2,4]triazolo[1,2-a]pyridazin-5-yl]carbonyl}amino)-4-oxopentanoic acid", 11830 },
	{ "B94", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-({[(5S,8R)-2-(3-carboxypropyl)-8-(2-{[(4-chlorophenyl)acetyl]amino}ethyl)-1,3-dioxo-2,3,5,8-tetrahydro-1H-[1,2,4]triazolo[1,2-a]pyridazin-5-yl]carbonyl}amino)-4-oxopentanoic acid", 11831 },
	{ "B95", "", "", ResidueType::NON_POLYMER, false, "N-[2-(1H-benzimidazol-2-yl)ethyl]-2-(2-bromophenoxy)acetamide", 11832 },
	{ "B96", "", "", ResidueType::NON_POLYMER, false, "1-(5-TERT-BUTYL-2-P-TOLYL-2H-PYRAZOL-3-YL)-3-[4-(2-MORPHOLIN-4-YL-ETHOXY)-NAPHTHALEN-1-YL]-UREA", 11833 },
	{ "B97", "", "", ResidueType::NON_POLYMER, false, "(10R)-10-methyl-3-(6-methylpyridin-3-yl)-9,10,11,12-tetrahydro-8H-[1,4]diazepino[5',6':4,5]thieno[3,2-f]quinolin-8-one", 11834 },
	{ "B98", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-(aminomethyl)-9-methoxy-1,2,3,4-tetrahydro-5H-[1]benzothieno[3,2-e][1,4]diazepin-5-one", 11835 },
	{ "B99", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-{[6-furan-3-yl-5-(3-methyl-2H-indazol-5-yl)pyridin-3-yl]oxy}-3-(1H-indol-3-yl)propan-2-amine", 11836 },
	{ "B9A", "", "", ResidueType::NON_POLYMER, false, "MACROCYCLIC-BIS-9-AMINO-ACRIDINE", 11837 },
	{ "B9B", "", "", ResidueType::RNA_LINKING, false, "", 11838 },
	{ "B9D", "", "", ResidueType::SACCHARIDE, false, "(2R,3R,4R,5S,6R)-6-fluoranyl-6-(hydroxymethyl)oxane-2,3,4,5-tetrol", 11839 },
	{ "B9F", "", "", ResidueType::NON_POLYMER, false, "[(1,2,3,4,5-eta)-cyclopentadienyl]{(1,2,3,4,5-eta)-1-[1-hydroxy-5-(2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl)pentyl]cyclopentadienyl}iron", 11840 },
	{ "B9H", "", "", ResidueType::RNA_LINKING, false, "", 11841 },
	{ "B9M", "", "", ResidueType::NON_POLYMER, false, "(10E)-hexadec-10-en-12-yn-1-ol", 11842 },
	{ "B9N", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-[2-[4-(4-methoxyphenyl)phenyl]sulfonylphenyl]pentanedioic acid", 11843 },
	{ "B9P", "", "", ResidueType::NON_POLYMER, false, "1-biotinylpyrene", 11844 },
	{ "B9Q", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1~{R},2~{S})-1-[1-(4-fluorophenyl)indazol-5-yl]oxy-1-(6-methoxypyridin-3-yl)propan-2-yl]cyclopropanecarboxamide", 11845 },
	{ "B9S", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-(4,4-dimethylpiperidin-1-yl)-3-{3-[3-({[(4-fluorophenyl)methyl]amino}methyl)-4-(trifluoromethyl)phenyl]-5-(methylsulfonyl)-4,5,6,7-tetrahydro-1H-pyrazolo[4,3-c]pyridin-1-yl}propan-2-ol", 11846 },
	{ "B9T", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1~{R},2~{S})-1-(2-bromanyl-4-cyano-phenoxy)-1-(2-cyclopropylpyrimidin-5-yl)propan-2-yl]-2,2-bis(fluoranyl)propanamide", 11847 },
	{ "B9W", "", "", ResidueType::NON_POLYMER, false, "2,2-bis(fluoranyl)-~{N}-[(1~{R},2~{S})-3-methyl-1-[1-(1-methyl-6-oxidanylidene-pyridin-3-yl)indazol-5-yl]oxy-1-phenyl-butan-2-yl]propanamide", 11848 },
	{ "B9Y", "", "", ResidueType::NON_POLYMER, false, "1-{3-[3-{[2-(4-fluoropiperidin-1-yl)ethyl]sulfanyl}-4-(trifluoromethyl)phenyl]-1-[(2S)-2-hydroxy-3-(piperidin-1-yl)propyl]-1,4,6,7-tetrahydro-5H-pyrazolo[4,3-c]pyridin-5-yl}-2-hydroxyethan-1-one", 11849 },
	{ "B9Z", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-[2-[4-(4-methoxyphenyl)phenyl]sulfanylphenyl]pentanedioic acid", 11850 },
	{ "BA", "", "", ResidueType::NON_POLYMER, false, "BARIUM ION", 11851 },
	{ "BA1", "", "", ResidueType::NON_POLYMER, false, "BALANOL", 11852 },
	{ "BA2", "", "", ResidueType::NON_POLYMER, false, "5'-DEOXY-5'-(ETHYLAMINO)-8-{[4-({5-[(3AS,4S,6AR)-2-OXOHEXAHYDRO-1H-THIENO[3,4-D]IMIDAZOL-4-YL]PENTANOYL}AMINO)BUTYL]AMINO}ADENOSINE", 11853 },
	{ "BA3", "", "", ResidueType::NON_POLYMER, false, "BIS(ADENOSINE)-5'-TRIPHOSPHATE", 11854 },
	{ "BA4", "", "", ResidueType::NON_POLYMER, true, "[[(3R,4R,5S,6R)-3-(butanoylamino)-4,5-dihydroxy-6-(hydroxymethyl)oxan-2-ylidene]amino] N-phenylcarbamate", 11855 },
	{ "BA5", "", "", ResidueType::NON_POLYMER, false, "methyl 4-azanyl-1-oxidanyl-2-oxidanylidene-1,8-naphthyridine-3-carboxylate", 11856 },
	{ "BA8", "", "", ResidueType::NON_POLYMER, false, "4-[2-(2-chlorophenyl)pyrazol-3-yl]-6-(2-pyridin-2-ylethyl)benzene-1,3-diol", 11857 },
	{ "BAA", "", "", ResidueType::NON_POLYMER, false, "(TERT-BUTYLOXYCARBONYL)-ALANYL-ALANYL-AMINE", 11858 },
	{ "BAB", "", "", ResidueType::NON_POLYMER, false, "BIS(5-AMIDINO-BENZIMIDAZOLYL)METHANE", 11859 },
	{ "BAC", "", "", ResidueType::NON_POLYMER, true, "N-(4-IODO-BENZYL)-FORMAMIDE", 11860 },
	{ "BAD", "", "", ResidueType::NON_POLYMER, false, "(1S)-2-amino-1-phenylethyl 6-O-beta-L-glucopyranosyl-alpha-D-mannopyranoside", 11861 },
	{ "BAE", "", "", ResidueType::NON_POLYMER, false, "N-methyltrimethylacetamide", 11862 },
	{ "BAF", "", "", ResidueType::NON_POLYMER, false, "(TERT-BUTYLOXYCARBONYL)-ALANYL-AMINO ETHYL-FORMAMIDE", 11863 },
	{ "BAG", "", "", ResidueType::NON_POLYMER, false, "N-[(E)-2-AMINO-1-(3-{[AMINO(IMINO)METHYL]AMINO}PROPYL)-2-HYDROXYVINYL]BENZAMIDE", 11864 },
	{ "BAH", "", "", ResidueType::NON_POLYMER, false, "BIS(5-AMIDINO-2-BENZIMIDAZOLYL)METHANE KETONE HYDRATE", 11865 },
	{ "BAI", "", "", ResidueType::NON_POLYMER, false, "(5-AMIDINO-2-BENZIMIDAZOLYL)(2-BENZIMIDAZOLYL)METHANE", 11866 },
	{ "BAJ", "", "", ResidueType::NON_POLYMER, false, "1-[5-{1-[3-(4-tert-butylpiperidin-1-yl)propyl]-5-(methylsulfonyl)-4,5,6,7-tetrahydro-1H-pyrazolo[4,3-c]pyridin-3-yl}-2-(trifluoromethyl)phenyl]-N-[(4-fluorophenyl)methyl]methanamine", 11867 },
	{ "BAK", "", "", ResidueType::NON_POLYMER, false, "BIS(5-AMIDINO-2-BENZIMIDAZOLYL)METHANE KETONE", 11868 },
	{ "BAL", "", "", ResidueType::PEPTIDE_LIKE, false, "BETA-ALANINE", 11869 },
	{ "BAM", "", "", ResidueType::NON_POLYMER, false, "BENZAMIDINE", 11870 },
	{ "BAN", "", "", ResidueType::NON_POLYMER, false, "HONH-BENZYLMALONYL-L-ALANYLGLYCINE-P-NITROANILIDE", 11871 },
	{ "BAO", "", "", ResidueType::NON_POLYMER, false, "BIS(5-AMIDINO-2-BENZIMIDAZOLYL)METHANONE", 11872 },
	{ "BAP", "BPC", "", ResidueType::NON_POLYMER, false, "1,2,3-TRIHYDROXY-1,2,3,4-TETRAHYDROBENZO[A]PYRENE", 11873 },
	{ "BAQ", "", "", ResidueType::NON_POLYMER, false, "pyrrolidin-2-one", 11874 },
	{ "BAR", "", "TSA", ResidueType::NON_POLYMER, true, "8-HYDROXY-2-OXA-BICYCLO[3.3.1]NON-6-ENE-3,5-DICARBOXYLIC ACID", 11875 },
	{ "BAS", "", "", ResidueType::NON_POLYMER, false, "N-(1-PHENYL-PROPYL)-FORMAMIDE", 11876 },
	{ "BAT", "DSX", "", ResidueType::NON_POLYMER, false, "4-(N-HYDROXYAMINO)-2R-ISOBUTYL-2S-(2-THIENYLTHIOMETHYL)SUCCINYL-L-PHENYLALANINE-N-METHYLAMIDE", 11877 },
	{ "BAU", "", "", ResidueType::NON_POLYMER, false, "1-((2-HYDROXYETHOXY)METHYL)-5-BENZYLPYRIMIDINE-2,4(1H,3H)-DIONE", 11878 },
	{ "BAV", "", "", ResidueType::NON_POLYMER, false, "(3S,14R,16S)-16-[(1R)-1-hydroxy-2-{[3-(1-methylethyl)benzyl]amino}ethyl]-3,4,14-trimethyl-1,4-diazacyclohexadecane-2,5-dione", 11879 },
	{ "BAW", "", "", ResidueType::NON_POLYMER, false, "4-ethyl-6-[4-(2-fluorophenyl)-3-methyl-1~{H}-pyrazol-5-yl]benzene-1,3-diol", 11880 },
	{ "BAX", "", "", ResidueType::NON_POLYMER, false, "4-{4-[({[4-CHLORO-3-(TRIFLUOROMETHYL)PHENYL]AMINO}CARBONYL)AMINO]PHENOXY}-N-METHYLPYRIDINE-2-CARBOXAMIDE", 11881 },
	{ "BAY", "", "", ResidueType::NON_POLYMER, false, "", 11882 },
	{ "BAZ", "", "", ResidueType::NON_POLYMER, false, "BIS(5-AMIDINO-BENZIMIDAZOLYL)METHANE ZINC", 11883 },
	{ "BB0", "", "", ResidueType::NON_POLYMER, false, "1-[6-(dimethylamino)naphthalen-2-yl]ethanone", 11884 },
	{ "BB1", "", "", ResidueType::NON_POLYMER, false, "2-[(FORMYL-HYDROXY-AMINO)-METHYL]-HEXANOIC ACID (1-DIMETHYLCARBAMOYL-2,2-DIMETHYL-PROPYL)-AMIDE", 11885 },
	{ "BB2", "", "", ResidueType::NON_POLYMER, false, "ACTINONIN", 11886 },
	{ "BB3", "", "", ResidueType::NON_POLYMER, false, "3-(3,5-DIBROMO-4-HYDROXY-BENZOYL)-2-ETHYL-BENZOFURAN-6-SULFONIC ACID DIMETHYLAMIDE", 11887 },
	{ "BB4", "", "", ResidueType::NON_POLYMER, false, "2-(5-bromo-1H-indol-3-yl)-N-hydroxyacetamide", 11888 },
	{ "BB6", "", "", ResidueType::PEPTIDE_LINKING, false, "(2Z)-2-amino-3-sulfanylbut-2-enoic acid", 11889 },
	{ "BB7", "", "", ResidueType::PEPTIDE_LINKING, false, "(2Z)-2-amino-4-methoxy-3-sulfanylbut-2-enoic acid", 11890 },
	{ "BB8", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,3S)-BETA-HYDROXY-PHENYLALANINE", 11891 },
	{ "BB9", "", "", ResidueType::PEPTIDE_LINKING, false, "(2Z)-2-amino-3-sulfanylprop-2-enoic acid", 11892 },
	{ "BBA", "", "", ResidueType::NON_POLYMER, false, "2,7-BIS-(4-AMIDINOBENZYLIDENE)-CYCLOHEPTAN-1-ONE", 11893 },
	{ "BBB", "", "", ResidueType::NON_POLYMER, false, "1-((2-HYDROXYETHOXY)METHYL)-5-(3-(BENZYLOXY)BENZYL)-6-HYDROXYPYRIMIDINE-2,4(1H,3H)-DIONE", 11894 },
	{ "BBC", "", "", ResidueType::PEPTIDE_LINKING, false, "3-[(4-AMINOBUTYL)SULFINYL]-2-IMINOPROPAN-1-OL", 11895 },
	{ "BBE", "", "", ResidueType::NON_POLYMER, false, "N-(6-amino-1-benzyl-2,4-dioxo-1,2,3,4-tetrahydropyrimidin-5-yl)-N,3-dimethylbenzenesulfonamide", 11896 },
	{ "BBF", "", "", ResidueType::NON_POLYMER, false, "1-bromo-2,3,4,5,6-pentafluorobenzene", 11897 },
	{ "BBH", "", "", ResidueType::NON_POLYMER, false, "1-BENZYL-3-(4-METHOXY-BENZENESULFONYL)-6-OXO-HEXAHYDRO-PYRIMIDINE-4-CARBOXYLIC ACID HYDROXYAMIDE", 11898 },
	{ "BBI", "", "", ResidueType::NON_POLYMER, false, "(2-butyl-1-benzofuran-3-yl){4-[2-(diethylamino)ethoxy]-3,5-diiodophenyl}methanone", 11899 },
	{ "BBJ", "", "", ResidueType::NON_POLYMER, false, "N-(3-bromo-4-fluorophenyl)-N'-hydroxy-4-{[2-(sulfamoylamino)ethyl]amino}-1,2,5-oxadiazole-3-carboximidamide", 11900 },
	{ "BBK", "", "", ResidueType::SACCHARIDE, false, "2-(acetylamino)-2-deoxy-5-thio-alpha-D-galactopyranose", 11901 },
	{ "BBL", "", "", ResidueType::NON_POLYMER, false, "N-[(BENZYLOXY)CARBONYL]-L-ALANINE", 11902 },
	{ "BBM", "", "", ResidueType::NON_POLYMER, false, "5-BROMO-N-(2,3-DIHYDROXYPROPOXY)-3,4-DIFLUORO-2-[(2-FLUORO-4-IODOPHENYL)AMINO]BENZAMIDE", 11903 },
	{ "BBN", "", "", ResidueType::NON_POLYMER, false, "1-hydroxy-2,3,1-benzodiazaborinine-2(1H)-carboxamide", 11904 },
	{ "BBP", "", "", ResidueType::NON_POLYMER, false, "(5R)-3-tert-butyl-1-(6-chloro-1,3-benzothiazol-2-yl)-4,5-dihydro-1H-pyrazol-5-ol", 11905 },
	{ "BBQ", "", "", ResidueType::NON_POLYMER, false, "CYCLOPENTYL N-[(2S)-1-[(2S,4R)-2-[[(4R)-8-HYDROXY-1,6,10-TRIOXA-5$L^{4}-BORASPIRO[4.5]DECAN-4-YL]CARBAMOYL]-4-ISOQUINOLIN-1-YLOXY-PYRROLIDIN-1-YL]-3,3-DIMETHYL-1-OXO-BUTAN-2-YL]CARBAMATE", 11906 },
	{ "BBR", "", "", ResidueType::NON_POLYMER, false, "(3-bromo-2-oxo-propoxy)phosphonic acid", 11907 },
	{ "BBS", "", "", ResidueType::NON_POLYMER, false, "4-TERT-BUTYLBENZENESULFONIC ACID", 11908 },
	{ "BBT", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXY-5-[4-(2-HYDROXY-ETHYL)-PIPERIDIN-1-YL]-5-PHENYL-1H-PYRIMIDINE-4,6-DIONE", 11909 },
	{ "BBU", "", "", ResidueType::NON_POLYMER, false, "1-BROMOBUTANE", 11910 },
	{ "BBV", "", "", ResidueType::NON_POLYMER, false, "benzyl 2-(acetylamino)-2-deoxy-alpha-D-glucopyranoside", 11911 },
	{ "BBW", "", "", ResidueType::NON_POLYMER, false, "7-methylquinazolin-4-amine", 11912 },
	{ "BBX", "", "", ResidueType::NON_POLYMER, false, "1-BROMOETHANE", 11913 },
	{ "BBY", "", "", ResidueType::NON_POLYMER, false, "5-(7-bromo-1,3-benzodioxol-5-yl)-1-methyl-1H-pyrazol-3-amine", 11914 },
	{ "BBZ", "", "", ResidueType::NON_POLYMER, false, "2'-(4-DIMETHYLAMINOPHENYL)-5-(4-METHYL-1-PIPERAZINYL)-2,5'-BI-BENZIMIDAZOLE", 11915 },
	{ "BC", "", "", ResidueType::NON_POLYMER, false, "BENZO[G]CHRYSENE", 11916 },
	{ "BC1", "", "", ResidueType::NON_POLYMER, false, "3-{[(9-CYANO-9,10-DIHYDRO-10-METHYLACRIDIN-9-YL)CARBONYL]AMINO}PROPANOIC ACID", 11917 },
	{ "BC2", "", "", ResidueType::NON_POLYMER, false, "MACBECIN", 11918 },
	{ "BC3", "", "", ResidueType::NON_POLYMER, false, "2-amino-7-(pyridin-3-ylmethyl)-3,5-dihydro-4H-pyrrolo[3,2-d]pyrimidin-4-one", 11919 },
	{ "BC4", "", "", ResidueType::NON_POLYMER, false, "(3aS,4S,6aR)-4-(hex-5-yn-1-yl)tetrahydro-1H-thieno[3,4-d]imidazol-2(3H)-one", 11920 },
	{ "BC5", "", "", ResidueType::NON_POLYMER, false, "4'-aminobiphenyl-4-sulfonamide", 11921 },
	{ "BC6", "", "", ResidueType::NON_POLYMER, false, "(4E,8S,9R,10E,12S,13R,14S,16R)-13,20-dihydroxy-14-methoxy-4,8,10,12,16-pentamethyl-3-oxo-2-azabicyclo[16.3.1]docosa-1(22),4,10,18,20-pentaen-9-yl carbamate", 11922 },
	{ "BC7", "", "", ResidueType::NON_POLYMER, false, "2-[5-[5-ethanoyl-1-[(2~{R})-2-oxidanyl-3-[4-(2-oxidanylpropan-2-yl)piperidin-1-yl]propyl]-6,7-dihydro-4~{H}-pyrazolo[4,3-c]pyridin-3-yl]-2-(trifluoromethyl)phenyl]sulfanyl-1-pyrrolidin-1-yl-ethanone", 11923 },
	{ "BC8", "", "", ResidueType::NON_POLYMER, false, "beta-citryl-L-glutamic acid", 11924 },
	{ "BC9", "", "", ResidueType::NON_POLYMER, false, "(1R,2R)-2-[(2S,6E,8R,9S,11R,13S,15S,16S)-7-cyano-8,16-dihydroxy-9,11,13,15-tetramethyl-18-oxooxacyclooctadec-6-en-2-yl]cyclobutanecarboxylic acid", 11925 },
	{ "BCA", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXYBENZOYL COENZYME A", 11926 },
	{ "BCB", "", "", ResidueType::NON_POLYMER, false, "BACTERIOCHLOROPHYLL B", 11927 },
	{ "BCC", "", "", ResidueType::PEPTIDE_LIKE, true, "(3S,6S,8aR)-6-amino-6-benzyl-5-oxooctahydroindolizine-3-carboxylic acid", 11928 },
	{ "BCD", "", "", ResidueType::SACCHARIDE, false, "BETA-CYCLODEXTRIN", 11929 },
	{ "BCE", "", "", ResidueType::NON_POLYMER, false, "(2Z)-N-biphenyl-4-yl-2-cyano-3-hydroxybut-2-enamide", 11930 },
	{ "BCF", "", "", ResidueType::NON_POLYMER, false, "1-chloro-2,3,4,5,6-pentafluorobenzene", 11931 },
	{ "BCG", "", "", ResidueType::NON_POLYMER, false, "3-(BENZOYLOXY)-8-METHYL-8-AZABICYCLO[3.2.1]OCTANE-2-CARBOXYLIC ACID", 11932 },
	{ "BCH", "", "", ResidueType::NON_POLYMER, false, "2-(BUTYRYLSULFANYL)-N,N,N-TRIMETHYLETHANAMINIUM", 11933 },
	{ "BCJ", "", "", ResidueType::NON_POLYMER, false, "", 11934 },
	{ "BCK", "", "", ResidueType::NON_POLYMER, false, "(1-methyl-5-phenyl-1H-pyrazol-4-yl)methanol", 11935 },
	{ "BCL", "", "", ResidueType::NON_POLYMER, false, "BACTERIOCHLOROPHYLL A", 11936 },
	{ "BCM", "", "", ResidueType::NON_POLYMER, false, "BICYCLOMYCIN", 11937 },
	{ "BCN", "", "", ResidueType::NON_POLYMER, false, "BICINE", 11938 },
	{ "BCO", "", "", ResidueType::NON_POLYMER, false, "Butyryl Coenzyme A", 11939 },
	{ "BCP", "", "", ResidueType::NON_POLYMER, false, "2-BROMO-6-CHLORO-PURINE", 11940 },
	{ "BCQ", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-1-[({[(5S)-3,5-DIMETHYL-2,5-DIHYDROISOXAZOL-4-YL]METHYL}SULFONYL)METHYL]-2-OXO-2-({(1S)-3-PHENYL-1-[2-(PHENYLSULFONYL)ETHYL]PROPYL}AMINO)ETHYL]MORPHOLINE-4-CARBOXAMIDE", 11941 },
	{ "BCR", "", "", ResidueType::NON_POLYMER, false, "BETA-CAROTENE", 11942 },
	{ "BCS", "", "", ResidueType::PEPTIDE_LINKING, false, "BENZYLCYSTEINE", 11943 },
	{ "BCT", "", "", ResidueType::NON_POLYMER, false, "BICARBONATE ION", 11944 },
	{ "BCU", "", "", ResidueType::NON_POLYMER, false, "(3R)-3,4-dihydro-2H-chromen-3-ylmethanol", 11945 },
	{ "BCV", "", "", ResidueType::NON_POLYMER, false, "D-(L-A-AMINOADIPOYL)-L-CYSTEINYL-D-CYCLOPROPYLGLYCINE", 11946 },
	{ "BCW", "", "", ResidueType::NON_POLYMER, false, "6-deoxy-alpha-L-galactopyranosyl-(1->4)-[6-deoxy-alpha-L-galactopyranosyl-(1->2)-beta-D-galactopyranosyl-(1->3)]-2-(acetylamino)-2-deoxy-alpha-D-glucopyranose", 11947 },
	{ "BCX", "", "", ResidueType::PEPTIDE_LINKING, false, "(3R)-3-amino-4-sulfanylbutanoic acid", 11948 },
	{ "BCY", "", "", ResidueType::NON_POLYMER, false, "CARBOXYAMINO[4.3.0]BICYCLO1,6-DIAZANONAN-2-ONE", 11949 },
	{ "BCZ", "", "", ResidueType::NON_POLYMER, false, "3-(1-ACETYLAMINO-2-ETHYL-BUTYL)-4-GUANIDINO-2-HYDROXY-CYCLOPENTANECARBOXYLIC ACID", 11950 },
	{ "BD0", "", "", ResidueType::NON_POLYMER, false, "(1S,2R)-1-[(5-chloro-2,4-dihydroxyphenyl)carbonyl]-2-{4-[(3,3-difluoropyrrolidin-1-yl)methyl]phenyl}pyrrolidinium", 11951 },
	{ "BD1", "", "", ResidueType::NON_POLYMER, false, "3A,4,7,7A-TETRAHYDRO-BENZO [1,3] DIOXOL-2-ONE", 11952 },
	{ "BD2", "", "", ResidueType::NON_POLYMER, false, "3-[(4-HYDROXYBENZOYL)AMINO]AZEPAN-4-YL 4-(2-HYDROXYBENZOYL)BENZOATE", 11953 },
	{ "BD3", "", "", ResidueType::NON_POLYMER, false, "Nalpha-[(3-tert-butyl-1-methyl-1H-pyrazol-5-yl)carbonyl]-N-[(2E)-2-iminoethyl]-3-{5-[(Z)-iminomethyl]-1,3,4-oxadiazol-2-yl}-L-phenylalaninamide", 11954 },
	{ "BD4", "", "", ResidueType::NON_POLYMER, false, "6-(3-AMINOPROPYL)-4,9-DIMETHYLPYRROLO[3,4-C]CARBAZOLE-1,3(2H,6H)-DIONE", 11955 },
	{ "BD5", "", "", ResidueType::NON_POLYMER, false, "N-[(benzyloxy)carbonyl]-D-tyrosyl-L-phenylalanyl-L-tyrosine", 11956 },
	{ "BD6", "", "", ResidueType::NON_POLYMER, false, "N-[(benzyloxy)carbonyl]-L-histidyl-N-methyl-L-phenylalanyl-N-hydroxy-L-tryptophanamide", 11957 },
	{ "BD7", "", "", ResidueType::NON_POLYMER, false, "N-[(benzyloxy)carbonyl]-L-histidyl-N-methyl-L-phenylalanyl-N-hydroxy-L-tyrosinamide", 11958 },
	{ "BD8", "", "", ResidueType::NON_POLYMER, false, "N-undecanoyl-L-histidyl-L-phenylalanyl-N-methyl-N-(2-pyridin-2-ylethyl)-L-tyrosinamide", 11959 },
	{ "BD9", "", "", ResidueType::NON_POLYMER, false, "N-undecanoyl-L-histidyl-L-histidyl-N-methyl-N-(2-pyridin-2-ylethyl)-L-tyrosinamide", 11960 },
	{ "BDA", "", "", ResidueType::NON_POLYMER, false, "4-METHYLBENZYL-N-BIS[DAUNOMYCIN]", 11961 },
	{ "BDB", "", "", ResidueType::NON_POLYMER, false, "", 11962 },
	{ "BDC", "", "", ResidueType::NON_POLYMER, false, "BIS-(9-OCTYLAMINO(2-DIMETHYLAMINOETHYL)ACRIDINE-4-CARBOXAMIDE", 11963 },
	{ "BDD", "", "", ResidueType::NON_POLYMER, false, "BROMO-DODECANOL", 11964 },
	{ "BDE", "", "", ResidueType::NON_POLYMER, false, "N'-[(1E)-(3,5-DIBROMO-2,4-DIHYDROXYPHENYL)METHYLENE]NICOTINOHYDRAZIDE", 11965 },
	{ "BDF", "", "", ResidueType::NON_POLYMER, false, "BETA-D-FRUCTOPYRANOSE", 11966 },
	{ "BDG", "", "", ResidueType::SACCHARIDE, false, "O-2,6-DIAMINO-2,6-DIDEOXY-ALPHA-D-GLUCOPYRANOSE", 11967 },
	{ "BDH", "", "", ResidueType::NON_POLYMER, false, "L-BETA-ASPARTYLHISTIDINE", 11968 },
	{ "BDI", "LN4", "", ResidueType::NON_POLYMER, false, "2-BUTYL-5,6-DIHYDRO-1H-IMIDAZO[4,5-D]PYRIDAZINE-4,7-DIONE", 11969 },
	{ "BDJ", "", "", ResidueType::NON_POLYMER, false, "(2Z)-3-(3-chlorobenzyl)-2-imino-5,5-dimethylimidazolidin-4-one", 11970 },
	{ "BDK", "", "", ResidueType::NON_POLYMER, false, "2-[5-AMINO-6-OXO-2-(2-THIENYL)-1,6-DIHYDROPYRIMIDIN-1-YL)-N-[3,3-DIFLUORO -1-ISOPROPYL-2-OXO-3-(N-(2-MORPHOLINO ETHYL)CARBAMOYL]PROPYL]ACETAMIDE", 11971 },
	{ "BDL", "", "", ResidueType::NON_POLYMER, false, "N-(biphenyl-4-ylsulfonyl)-D-leucine", 11972 },
	{ "BDM", "", "", ResidueType::NON_POLYMER, false, "BRODIMOPRIM-4,6-DICARBOXYLATE", 11973 },
	{ "BDN", "", "BEN", ResidueType::NON_POLYMER, true, "BENZAMIDINE", 11974 },
	{ "BDO", "", "", ResidueType::NON_POLYMER, false, "(2Z,5R)-3-(3-chlorobenzyl)-2-imino-5-methyl-5-(2-methylpropyl)imidazolidin-4-one", 11975 },
	{ "BDP", "", "", ResidueType::SACCHARIDE, false, "BETA-D-GLUCOPYRANURONIC ACID", 11976 },
	{ "BDQ", "", "", ResidueType::NON_POLYMER, false, "1-(4-cyanophenyl)-3-(4-{[(2Z,4R)-2-imino-4-methyl-4-(2-methylpropyl)-5-oxoimidazolidin-1-yl]methyl}benzyl)urea", 11977 },
	{ "BDR", "", "", ResidueType::SACCHARIDE, false, "BETA-D-RIBOFURANOSYL", 11978 },
	{ "BDS", "", "", ResidueType::NON_POLYMER, false, "2,3-BIS-BENZO[1,3]DIOXOL-5-YLMETHYL-SUCCINIC ACID", 11979 },
	{ "BDT", "", "", ResidueType::NON_POLYMER, false, "5-beta-DIHYDROTESTOSTERONE", 11980 },
	{ "BDU", "", "", ResidueType::NON_POLYMER, false, "ME-A-9-N-(BIPHENYL-4-CARBONYL)-AMINO-9-DEOXY-NEU5AC", 11981 },
	{ "BDV", "", "", ResidueType::NON_POLYMER, false, "1-butyl-3-(4-{[(2Z,4R)-2-imino-4-methyl-4-(2-methylpropyl)-5-oxoimidazolidin-1-yl]methyl}benzyl)urea", 11982 },
	{ "BDW", "", "", ResidueType::NON_POLYMER, false, "(4S)-1-(4-{[(2Z,4R)-4-(2-cyclohexylethyl)-4-(cyclohexylmethyl)-2-imino-5-oxoimidazolidin-1-yl]methyl}benzyl)-4-propylimidazolidin-2-one", 11983 },
	{ "BDX", "", "", ResidueType::NON_POLYMER, false, "(2E,5R)-5-(2-cyclohexylethyl)-5-(cyclohexylmethyl)-2-imino-3-methylimidazolidin-4-one", 11984 },
	{ "BDY", "", "", ResidueType::NON_POLYMER, false, "N~3~-(2,6-dichlorobenzyl)-5-(4-{[(2R)-2-(pyrrolidin-1-ylmethyl)pyrrolidin-1-yl]carbonyl}phenyl)pyrazine-2,3-diamine", 11985 },
	{ "BDZ", "", "", ResidueType::NON_POLYMER, false, "6-deoxy-alpha-L-galactopyranosyl-(1->3)-[6-deoxy-alpha-L-galactopyranosyl-(1->2)-beta-D-galactopyranosyl-(1->4)]-2-(acetylamino)-2-deoxy-beta-D-glucopyranose", 11986 },
	{ "BE0", "", "", ResidueType::NON_POLYMER, false, "piperidine-1-sulfonamide", 11987 },
	{ "BE1", "", "", ResidueType::NON_POLYMER, false, "N-BROMOACETYL-AMINOETHYL PHOSPHATE", 11988 },
	{ "BE2", "6AB", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINOBENZOIC ACID", 11989 },
	{ "BE3", "", "", ResidueType::NON_POLYMER, false, "N,N-[2,5-O-DI-3-FLUORO-BENZYL-GLUCARYL]-DI-[1-AMINO-INDAN-2-OL]", 11990 },
	{ "BE4", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4R,5R)-2,5-BIS[(2,4-DIFLUOROBENZYL)OXY]-3,4-DIHYDROXY-N,N'-BIS[(1R,2S)-2-HYDROXY-2,3-DIHYDRO-1H-INDEN-1-YL]HEXANEDIAMIDE", 11991 },
	{ "BE5", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4R,5R)-2,5-BIS[(2,3-DIFLUOROBENZYL)OXY]-3,4-DIHYDROXY-N,N'-BIS[(1S,2R)-2-HYDROXY-2,3-DIHYDRO-1H-INDEN-1-YL]HEXANEDIAMIDE", 11992 },
	{ "BE6", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4R,5R)-2,5-BIS[(2,5-DIFLUOROBENZYL)OXY]-3,4-DIHYDROXY-N,N'-BIS[(1S,2R)-2-HYDROXY-2,3-DIHYDRO-1H-INDEN-1-YL]HEXANEDIAMIDE", 11993 },
	{ "BE7", "", "", ResidueType::NON_POLYMER, false, "(4-CARBOXYPHENYL)(CHLORO)MERCURY", 11994 },
	{ "BE8", "", "", ResidueType::NON_POLYMER, false, "", 11995 },
	{ "BE9", "", "", ResidueType::NON_POLYMER, false, "phenyl N-sulfamoylmorpholine-4-carboximidoate", 11996 },
	{ "BEA", "", "", ResidueType::NON_POLYMER, false, "5-METHYL-1,2,4-TRIAZOLO[3,4-B]BENZOTHIAZOLE", 11997 },
	{ "BEB", "", "", ResidueType::NON_POLYMER, false, "N,N-[2,5-O-DIBENZYL-GLUCARYL]-DI-[1-AMINO-INDAN-2-OL]", 11998 },
	{ "BEC", "", "", ResidueType::NON_POLYMER, false, "[5-(2-HYDROXY-INDAN-1-YLCARBAMOYL)-3,4-DIHYDROXY-2,5-[DIBENZYL-OXY]-PENTANOYL]-VALINYL-AMIDO-METHANE", 11999 },
	{ "BED", "", "", ResidueType::NON_POLYMER, false, "N,N-[2,5-O-DI-2-FLUORO-BENZYL-GLUCARYL]-DI-[1-AMINO-INDAN-2-OL]", 12000 },
	{ "BEE", "", "", ResidueType::NON_POLYMER, false, "N,N-[2,5-O-[DI-4-THIOPHEN-3-YL-BENZYL]-GLUCARYL]-DI-[VALYL-AMIDO-METHANE]", 12001 },
	{ "BEF", "", "", ResidueType::NON_POLYMER, false, "BERYLLIUM TRIFLUORIDE ION", 12002 },
	{ "BEG", "", "", ResidueType::NON_POLYMER, false, "2,5-DIBENZYLOXY-3-HYDROXY-HEXANEDIOIC ACID BIS-[(2-HYDROXY-INDAN-1-YL)-AMIDE]", 12003 },
	{ "BEH", "", "", ResidueType::NON_POLYMER, false, "2,5-DIBENZYLOXY-3,4-DIHYDROXY-HEXANEDIOIC ACID BENZYLAMIDE (2-HYDROXY-INDAN-1-YL)-AMIDE", 12004 },
	{ "BEI", "", "", ResidueType::NON_POLYMER, false, "N,N-[2,5-O-[DIBENZYL]-GLUCARYL]-DI-[ISOLEUCYL-AMIDO-METHANE]", 12005 },
	{ "BEJ", "", "", ResidueType::NON_POLYMER, false, "N,N-[2,5-O-[DI-4-PYRIDIN-3-YL-BENZYL]-GLUCARYL]-DI-[VALYL-AMIDO-METHANE]", 12006 },
	{ "BEK", "", "", ResidueType::NON_POLYMER, false, "2,3,5,6-TETRAFLUORO-4-METHOXY-BENZAMIDE", 12007 },
	{ "BEL", "", "", ResidueType::NON_POLYMER, false, "2,4-DINITRO,5-[BIS(2-BROMOETHYL)AMINO]-N-(2',3'-DIOXOPROPYL)BENZAMIDE", 12008 },
	{ "BEM", "", "", ResidueType::SACCHARIDE, false, "beta-D-mannuronic acid", 12009 },
	{ "BEN", "BDN", "", ResidueType::NON_POLYMER, false, "BENZAMIDINE", 12010 },
	{ "BEO", "", "", ResidueType::NON_POLYMER, false, "BUTENOIC ACID", 12011 },
	{ "BEP", "", "", ResidueType::NON_POLYMER, false, "1-ISOBUTOXY-2-PYRROLIDINO-3[N-BENZYLANILINO] PROPANE", 12012 },
	{ "BEQ", "", "", ResidueType::NON_POLYMER, false, "N-(CARBOXYMETHYL)-N,N-DIMETHYL-3-[(1-OXODODECYL)AMINO]-1-PROPANAMINIUM INNER SALT", 12013 },
	{ "BER", "", "", ResidueType::NON_POLYMER, false, "BERBERINE", 12014 },
	{ "BES", "", "", ResidueType::NON_POLYMER, false, "2-(3-AMINO-2-HYDROXY-4-PHENYL-BUTYRYLAMINO)-4-METHYL-PENTANOIC ACID", 12015 },
	{ "BET", "", "", ResidueType::NON_POLYMER, false, "TRIMETHYL GLYCINE", 12016 },
	{ "BEU", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R,5R,6R)-2-AMINO-5,6-DIHYDROXY-4-(HYDROXYMETHYL)CYCLOHEX-3-EN-1-YL]ACETAMIDE", 12017 },
	{ "BEV", "", "", ResidueType::NON_POLYMER, false, "N-[(2Z)-1,3-thiazolidin-2-ylidene]sulfamide", 12018 },
	{ "BEW", "", "", ResidueType::NON_POLYMER, false, "1-hydroxy-2-sulfanylpyridinium", 12019 },
	{ "BEX", "", "", ResidueType::NON_POLYMER, false, "N-[(R)-[(3,4-dimethoxyphenyl)amino](phenoxy)methyl]sulfamide", 12020 },
	{ "BEY", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-[(R)-[(1S)-1-amino-3-phenylpropyl](hydroxy)phosphoryl]-2-benzylpropanoic acid", 12021 },
	{ "BEZ", "BOX", "", ResidueType::NON_POLYMER, false, "BENZOIC ACID", 12022 },
	{ "BF0", "", "", ResidueType::NON_POLYMER, false, "methyl 4-{[(5beta,6alpha)-17-(cyclopropylmethyl)-3,14-dihydroxy-4,5-epoxymorphinan-6-yl]amino}-4-oxobutanoate", 12023 },
	{ "BF2", "", "", ResidueType::NON_POLYMER, false, "BERYLLIUM DIFLUORIDE", 12024 },
	{ "BF3", "", "", ResidueType::NON_POLYMER, false, "2-(3-chloro-2-fluorobenzyl)-4,5-dihydroxy-1H-isoindole-1,3(2H)-dione", 12025 },
	{ "BF4", "", "", ResidueType::NON_POLYMER, false, "BERYLLIUM TETRAFLUORIDE ION", 12026 },
	{ "BF5", "", "", ResidueType::NON_POLYMER, false, "(3S)-10-(4-AMINOPIPERAZIN-1-YL)-9-FLUORO-7-HYDROXY-3-METHYL-2,3-DIHYDRO-8H-[1,4]OXAZINO[2,3,4-IJ]QUINOLINE-6-CARBOXYLATE", 12027 },
	{ "BF8", "", "", ResidueType::NON_POLYMER, false, "FE(4)-NI(1)-S(5) CLUSTER with Oxygen", 12028 },
	{ "BFA", "", "", ResidueType::NON_POLYMER, false, "9-BROMO-PHENAZINE-1-CARBOXYLIC ACID (2-DIMETHYLAMINO-ETHYL)-AMIDE", 12029 },
	{ "BFB", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-1-(AMINOCARBONYL)-4-(ETHANIMIDOYLAMINO)BUTYL]BENZAMIDE", 12030 },
	{ "BFC", "", "", ResidueType::NON_POLYMER, false, "(R)-3-HYDROXYTETRADECANAL", 12031 },
	{ "BFD", "", "", ResidueType::PEPTIDE_LINKING, false, "ASPARTATE BERYLLIUM TRIFLUORIDE", 12032 },
	{ "BFE", "", "", ResidueType::NON_POLYMER, false, "N-(2-sulfanylethyl)benzamide", 12033 },
	{ "BFF", "", "", ResidueType::NON_POLYMER, false, "3-[(4-bromo-2,6-difluorobenzyl)oxy]-5-{[(4-pyrrolidin-1-ylbutyl)carbamoyl]amino}isothiazole-4-carboxamide", 12034 },
	{ "BFG", "", "", ResidueType::NON_POLYMER, false, "3,3-diphenyl-N-(2-sulfanylethyl)propanamide", 12035 },
	{ "BFH", "", "", ResidueType::NON_POLYMER, false, "1-(carboxymethyl)-1H-benzo[g]indole-2-carboxylic acid", 12036 },
	{ "BFI", "", "", ResidueType::NON_POLYMER, false, "2[4-BROMO-2-FLUOROPHENYL)METHYL]-6-FLUOROSPIRO[ISOQUINOLINE-4-(1H),3'-PYRROLIDINE]-1,2',3,5'(2H)-TETRONE", 12037 },
	{ "BFL", "", "", ResidueType::NON_POLYMER, false, "", 12038 },
	{ "BFM", "", "", ResidueType::NON_POLYMER, false, "3,3,3-trifluoro-2-hydroxy-2-(trifluoromethyl)propanoic acid", 12039 },
	{ "BFN", "", "", ResidueType::NON_POLYMER, false, "5-(acetylamino)-9-(benzoylamino)-3,5,9-trideoxy-3-fluoro-D-erythro-alpha-L-manno-non-2-ulopyranosonic acid", 12040 },
	{ "BFO", "", "", ResidueType::NON_POLYMER, false, "benzyl N-[(naphthalen-2-ylmethoxy)carbonyl]-L-alanyl-N~5~-[(2R,3S,4S)-3-formyl-2-hydroxy-4-methylhexanoyl]-L-ornithinate", 12041 },
	{ "BFP", "", "FBP", ResidueType::SACCHARIDE, true, "BETA FRUCTOSE 1,6-DIPHOSPHATE", 12042 },
	{ "BFQ", "", "", ResidueType::NON_POLYMER, false, "IBANDRONATE", 12043 },
	{ "BFR", "", "", ResidueType::NON_POLYMER, false, "N-butyl-N'-(diaminomethylidene)guanidine", 12044 },
	{ "BFS", "", "", ResidueType::NON_POLYMER, false, "N-[1-(4-BROMOPHENYL)ETHYL]-5-FLUORO SALICYLAMIDE", 12045 },
	{ "BFT", "", "", ResidueType::NON_POLYMER, false, "S-BENZOYLTHIAMINE O-MONOPHOSPHATE", 12046 },
	{ "BFU", "", "", ResidueType::NON_POLYMER, false, "1-(5-BROMO-PYRIDIN-2-YL)-3-[2-(6-FLUORO-2-HYDROXY-3-PROPIONYL-PHENYL)-CYCLOPROPYL]-UREA", 12047 },
	{ "BFV", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-1-{3-[(2-chloro-5-{5-(methylsulfonyl)-1-[3-(morpholin-4-yl)propyl]-4,5,6,7-tetrahydro-1H-pyrazolo[4,3-c]pyridin-3-yl}phenyl)ethynyl]phenyl}methanamine", 12048 },
	{ "BFW", "", "", ResidueType::NON_POLYMER, false, "4-N-Furfurylcytosine", 12049 },
	{ "BFX", "", "", ResidueType::NON_POLYMER, false, "4-{4-[3-(2-bromo-5-fluorophenoxy)propyl]phenyl}-N-(2-chlorobenzyl)-N-cyclopropyl-1,2,5,6-tetrahydropyridine-3-carboxamide", 12050 },
	{ "BFZ", "", "", ResidueType::NON_POLYMER, false, "7-BROMO-1-[2-(DIETHYLAMINO)ETHYL]-5-(2-FLUOROPHENYL)-1,3-DIHYDRO-2H-1,4-BENZODIAZEPIN-2-ONE", 12051 },
	{ "BG1", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[(2S)-2-{methyl[(methylamino)sulfonyl]amino}pentanoyl]-L-serine", 12052 },
	{ "BG2", "", "", ResidueType::NON_POLYMER, false, "8-bromoguanosine", 12053 },
	{ "BG3", "", "", ResidueType::NON_POLYMER, false, "3-METHYL-5-SULFO-PYRROLIDINE-2-CARBOXYLIC ACID", 12054 },
	{ "BG4", "", "", ResidueType::NON_POLYMER, false, "5-(HYDROXY-METHYL-AMINO)-3-METHYL-PYRROLIDINE-2-CARBOXYLIC ACID", 12055 },
	{ "BG5", "", "", ResidueType::NON_POLYMER, false, "5-HYDROXYAMINO-3-METHYL-PYRROLIDINE-2-CARBOXYLIC ACID", 12056 },
	{ "BG6", "", "", ResidueType::NON_POLYMER, false, "BETA-D-GLUCOSE-6-PHOSPHATE", 12057 },
	{ "BG7", "", "", ResidueType::NON_POLYMER, false, "N-{[5-{1-[3-(dimethylamino)propyl]-5-[(piperidin-4-yl)acetyl]-4,5,6,7-tetrahydro-1H-pyrazolo[4,3-c]pyridin-3-yl}-2-(trifluoromethyl)phenyl]methyl}-3-methylbut-2-enamide", 12058 },
	{ "BG8", "", "", ResidueType::NON_POLYMER, false, "2-(benzoylamino)-2-deoxy-beta-D-glucopyranose", 12059 },
	{ "BGA", "", "", ResidueType::NON_POLYMER, false, "alpha-L-Fucp-(1->2)[alpha-D-GalNAcp-(1->3)]-beta-D-Galp-O(CH2)7CH3", 12060 },
	{ "BGB", "", "", ResidueType::NON_POLYMER, false, "alpha-L-Fucp-(1->2)[alpha-D-Galp-(1->3)]-beta-D-Galp-O(CH2)7CH3", 12061 },
	{ "BGC", "", "", ResidueType::SACCHARIDE, false, "BETA-D-GLUCOSE", 12062 },
	{ "BGD", "", "", ResidueType::NON_POLYMER, false, "N-BENZOYL-L-GLUTAMYL-[4-PHOSPHONO(DIFLUOROMETHYL)]-L-PHENYLALANINE-[4-PHOSPHONO(DIFLUORO-METHYL)]-L-PHENYLALANINEAMIDE", 12063 },
	{ "BGF", "", "", ResidueType::NON_POLYMER, false, "2,5-BIS(4-GUANYLPHENYL)FURAN", 12064 },
	{ "BGG", "", "", ResidueType::NON_POLYMER, true, "CARBONIC ACID MONOBENZYL ESTER", 12065 },
	{ "BGH", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{R},4~{R},5~{R})-5-(2-azanyl-7-ethanoyl-6-oxidanylidene-1,8-dihydropurin-9-yl)-4-methoxy-3-oxidanyl-oxolan-2-yl]methyl dihydrogen phosphate", 12066 },
	{ "BGJ", "", "", ResidueType::NON_POLYMER, false, "1-{4-[(2-chloro-5-{1-[3-(4-cyclopropylpiperazin-1-yl)propyl]-5-(methylsulfonyl)-4,5,6,7-tetrahydro-1H-pyrazolo[4,3-c]pyridin-3-yl}phenyl)ethynyl]phenyl}-N-[(4-chlorophenyl)methyl]methanamine", 12067 },
	{ "BGK", "", "", ResidueType::NON_POLYMER, false, "4-([1,3]thiazolo[4,5-b]pyridin-2-yloxy)benzaldehyde", 12068 },
	{ "BGL", "", "", ResidueType::SACCHARIDE, false, "B-2-OCTYLGLUCOSIDE", 12069 },
	{ "BGM", "", "", ResidueType::DNA_LINKING, false, "8-BROMO-2'-DEOXYGUANOSINE-5'-MONOPHOSPHATE", 12070 },
	{ "BGN", "", "", ResidueType::NON_POLYMER, false, "N-BUTANOYL-2-AMINO-2-DEOXY-GLUCOPYRANOSIDE", 12071 },
	{ "BGO", "", "", ResidueType::NON_POLYMER, false, "3'-O-(N-methylanthraniloyl)guanosine-5'-diphosphate", 12072 },
	{ "BGP", "", "", ResidueType::SACCHARIDE, false, "BETA-GALACTOSE-6-PHOSPHATE", 12073 },
	{ "BGQ", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXY BUTANE-1,4-DIOL", 12074 },
	{ "BGR", "", "", ResidueType::NON_POLYMER, false, "[[(2R,3S,5R)-5-(2-azanyl-6-oxo-1H-purin-9-yl)-3-hydroxy-oxolan-2-yl]methoxy-hydroxy-phosphoryl]boranuide", 12075 },
	{ "BGS", "", "", ResidueType::SACCHARIDE, false, "BETA-D-GLUCOPYRANOSYLSULFONYLETHANE", 12076 },
	{ "BGT", "", "", ResidueType::NON_POLYMER, false, "TERT-BUTYL D-ALPHA-GLUTAMINATE", 12077 },
	{ "BGU", "", "", ResidueType::NON_POLYMER, false, "2,6-diamino-1,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 12078 },
	{ "BGV", "", "", ResidueType::NON_POLYMER, false, "(3aR,4S,4aR,7aR,8R,9aS)-4a,8-dimethyl-3-methylidene-2,5-dioxo-2,3,3a,4,4a,5,7a,8,9,9a-decahydroazuleno[6,5-b]furan-4-yl acetate", 12079 },
	{ "BGW", "", "", ResidueType::NON_POLYMER, false, "1-[[4-(1,3-benzothiazol-2-yloxy)phenyl]methyl]piperidine-4-carboxylic acid", 12080 },
	{ "BGX", "", "", ResidueType::NON_POLYMER, false, "4-METHYL-PYRROLINE-5-CARBOXYLIC ACID", 12081 },
	{ "BGY", "", "", ResidueType::NON_POLYMER, false, "tert-butyl 4-(2-{3-(4-chloro-3-iodophenyl)-1-[3-(morpholin-4-yl)propyl]-1,4,6,7-tetrahydro-5H-pyrazolo[4,3-c]pyridin-5-yl}-2-oxoethyl)piperidine-1-carboxylate", 12082 },
	{ "BH0", "", "", ResidueType::NON_POLYMER, false, "3-({5-BENZYL-6-HYDROXY-2,4-BIS-(4-HYDROXY-BENZYL)-3-OXO-[1,2,4]-TRIAZEPANE-1-SULFONYL)-BENZONITRILE", 12083 },
	{ "BH1", "", "BPH", ResidueType::NON_POLYMER, true, "BACTERIOPHEOPHYTIN", 12084 },
	{ "BH2", "", "", ResidueType::PEPTIDE_LINKING, false, "(3R)-3-hydroxy-L-aspartic acid", 12085 },
	{ "BH3", "", "", ResidueType::NON_POLYMER, false, "hydrogen [(1R)-2-(3-pentadecyl-1H-imidazol-3-ium-1-yl)-1-phosphonoethyl]phosphonate", 12086 },
	{ "BH4", "", "H4B", ResidueType::NON_POLYMER, true, "", 12087 },
	{ "BH5", "", "", ResidueType::NON_POLYMER, false, "hydrogen [(1R)-1-hydroxy-2-(3-pentadecyl-1H-imidazol-3-ium-1-yl)-1-phosphonoethyl]phosphonate", 12088 },
	{ "BH6", "", "", ResidueType::NON_POLYMER, false, "{[(2-chlorobenzoyl)amino]methyl}boronic acid", 12089 },
	{ "BH7", "", "", ResidueType::NON_POLYMER, false, "E-AMINO BIOTINYL CAPROIC ACID", 12090 },
	{ "BH8", "", "", ResidueType::NON_POLYMER, false, "hydrogen [(1S)-2-(3-decyl-1H-imidazol-3-ium-1-yl)-1-phosphonoethyl]phosphonate", 12091 },
	{ "BH9", "", "", ResidueType::NON_POLYMER, false, "4-tert-butyl-N-[6-(1H-pyrazol-4-yl)imidazo[1,2-a]pyridin-2-yl]benzamide", 12092 },
	{ "BHA", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXY-4-AMINOBENZOIC ACID", 12093 },
	{ "BHB", "", "", ResidueType::NON_POLYMER, false, "2,6-DIAMINO-8-(2-DIMETHYLAMINOETHYLSULFANYLMETHYL)-3H-QUINAZOLIN-4-ONE", 12094 },
	{ "BHC", "", "", ResidueType::NON_POLYMER, false, "BENZENE HEXACARBOXYLIC ACID", 12095 },
	{ "BHD", "DOH", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3-hydroxy-L-aspartic acid", 12096 },
	{ "BHE", "", "", ResidueType::NON_POLYMER, false, "octyl 2-O-(6-deoxy-alpha-L-galactopyranosyl)-beta-D-galactopyranoside", 12097 },
	{ "BHF", "", "", ResidueType::NON_POLYMER, false, "2-PHENYL-4H-BENZO[H]CHROMEN-4-ONE", 12098 },
	{ "BHG", "", "", ResidueType::SACCHARIDE, false, "2-HEXYLOXY-6-HYDROXYMETHYL-TETRAHYDRO-PYRAN-3,4,5-TRIOL", 12099 },
	{ "BHH", "", "", ResidueType::NON_POLYMER, false, "N-BUTYL-N'-HYDROXYGUANIDINE", 12100 },
	{ "BHI", "", "", ResidueType::NON_POLYMER, false, "4-BROMO-3-HYDROXY-3-METHYL BUTYL DIPHOSPHATE", 12101 },
	{ "BHJ", "", "", ResidueType::NON_POLYMER, false, "{(3S)-7-[(2-chloro-5-{5-(methylsulfonyl)-1-[3-(morpholin-4-yl)propyl]-4,5,6,7-tetrahydro-1H-pyrazolo[4,3-c]pyridin-3-yl}phenyl)ethynyl]-1,2,3,4-tetrahydroisoquinolin-3-yl}(piperidin-1-yl)methanone", 12102 },
	{ "BHK", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-benzyl-5-hydroxy-4-oxopentanoic acid", 12103 },
	{ "BHL", "", "", ResidueType::NON_POLYMER, false, "6-BROMOHEXAN-1-OL", 12104 },
	{ "BHM", "", "", ResidueType::NON_POLYMER, false, "(R)-3-BROMO-2-HYDROXY-2-METHYL-N-[4-NITRO-3-(TRIFLUOROMETHYL)PHENYL]PROPANAMIDE", 12105 },
	{ "BHN", "", "", ResidueType::NON_POLYMER, false, "2-[2-[carboxymethyl-[(2-hydroxyphenyl)methyl]amino]ethyl-[(2-hydroxyphenyl)methyl]amino]ethanoic acid", 12106 },
	{ "BHO", "", "", ResidueType::NON_POLYMER, false, "BENZHYDROXAMIC ACID", 12107 },
	{ "BHP", "", "", ResidueType::NON_POLYMER, false, "(S)-5-(4-BENZYLOXY-PHENYL)-4-(7-PHENYL-HEPTANOYLAMINO)-PENTANOIC ACID", 12108 },
	{ "BHQ", "", "", ResidueType::NON_POLYMER, false, "2,5-DITERT-BUTYLBENZENE-1,4-DIOL", 12109 },
	{ "BHR", "", "", ResidueType::NON_POLYMER, false, "2-[2-[carboxymethyl-[(2-hydroxyphenyl)methyl]amino]ethyl-[(2,3-dihydroxyphenyl)methyl]amino]ethanoic acid", 12110 },
	{ "BHS", "", "", ResidueType::NON_POLYMER, false, "6S-5,6,7,8-TETRAHYDROBIOPTERIN", 12111 },
	{ "BHT", "", "", ResidueType::NON_POLYMER, false, "N-[4-(BIS{4-[(3-SULFOPHENYL)AMINO]PHENYL}METHYLENE)CYCLOHEXA-2,5-DIEN-1-YLIDENE]-4-SULFOBENZENAMINIUM", 12112 },
	{ "BHV", "", "", ResidueType::NON_POLYMER, false, "tert-butyl 4-(2-{3-[3-{[(3-methylbut-2-enoyl)amino]methyl}-4-(trifluoromethyl)phenyl]-1-[3-(morpholin-4-yl)propyl]-1,4,6,7-tetrahydro-5H-pyrazolo[4,3-c]pyridin-5-yl}-2-oxoethyl)piperidine-1-carboxylate", 12113 },
	{ "BHX", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{[(S)-(2-carboxyethyl)(hydroxy)phosphoryl]methyl}pentanedioic acid", 12114 },
	{ "BHY", "", "", ResidueType::NON_POLYMER, false, "N,N'-[biphenyl-4,4'-diyldi(2R)propane-2,1-diyl]dimethanesulfonamide", 12115 },
	{ "BHZ", "", "", ResidueType::NON_POLYMER, false, "2-[2-[carboxymethyl(phenylmethyl)amino]ethyl-[(2-hydroxyphenyl)methyl]amino]ethanoic acid", 12116 },
	{ "BI1", "", "", ResidueType::NON_POLYMER, false, "3-{1-[3-(DIMETHYLAMINO)PROPYL]-1H-INDOL-3-YL}-4-(1H-INDOL-3-YL)-1H-PYRROLE-2,5-DIONE", 12117 },
	{ "BI2", "", "", ResidueType::NON_POLYMER, false, "3-(1H-INDOL-3-YL)-4-(1-{2-[(2S)-1-METHYLPYRROLIDINYL]ETHYL}-1H-INDOL-3-YL)-1H-PYRROLE-2,5-DIONE", 12118 },
	{ "BI3", "", "", ResidueType::NON_POLYMER, false, "3-[1-(3-AMINOPROPYL)-1H-INDOL-3-YL]-4-(1H-INDOL-3-YL)-1H-PYRROLE-2,5-DIONE", 12119 },
	{ "BI4", "", "", ResidueType::NON_POLYMER, false, "3-(1H-INDOL-3-YL)-4-{1-[2-(1-METHYLPYRROLIDIN-2-YL)ETHYL]-1H-INDOL-3-YL}-1H-PYRROLE-2,5-DIONE", 12120 },
	{ "BI5", "", "", ResidueType::NON_POLYMER, false, "4-PHENOXY-N-(PYRIDIN-2-YLMETHYL)BENZAMIDE", 12121 },
	{ "BI6", "", "", ResidueType::NON_POLYMER, false, "(3S,6S,7Z,10AS)-N-(DIPHENYLMETHYL)-6-{[(2S)-2-(METHYLIDENEAMINO)BUTANOYL]AMINO}-5-OXO-1,2,3,5,6,9,10,10A-OCTAHYDROPYRROLO[1,2-A]AZOCINE-3-CARBOXAMIDE", 12122 },
	{ "BI7", "", "", ResidueType::NON_POLYMER, false, "3-[(3AS,4R,8AS,8BR)-4-[5-(5-CHLORO-2-THIENYL)ISOXAZOL-3-YL]-1,3-DIOXOOCTAHYDROPYRROLO[3,4-A]PYRROLIZIN-2(3H)-YL]-N,N,N-TRIMETHYLPROPAN-1-AMINIUM", 12123 },
	{ "BI8", "", "", ResidueType::NON_POLYMER, false, "3-[1-(3-AMINOPROPYL)-1H-INDOL-3-YL]-4-(1-METHYL-1H-INDOL-3-YL)-1H-PYRROLE-2,5-DIONE", 12124 },
	{ "BI9", "", "", ResidueType::NON_POLYMER, false, "2-({5-CHLORO-2-[(2-METHOXY-4-MORPHOLIN-4-YLPHENYL)AMINO]PYRIMIDIN-4-YL}AMINO)-N-METHYLBENZAMIDE", 12125 },
	{ "BIA", "", "", ResidueType::NON_POLYMER, false, "1-(3,4,DIHYDROXY-5-NITROPHENYL)-3-{4-[3-(TRIFLUOROMETHYL) PHENYL] PIPERAZIN-1-YL}PROPAN-1-ONE", 12126 },
	{ "BIB", "", "", ResidueType::NON_POLYMER, false, "BETA-AMINO ISOBUTYRATE", 12127 },
	{ "BIC", "MOL", "", ResidueType::NON_POLYMER, false, "3-AMINO-3-BENZYL-9-CARBOXAMIDE[4.3.0]BICYCLO-1,6-DIAZANONAN-2-ONE", 12128 },
	{ "BID", "", "", ResidueType::NON_POLYMER, false, "BISTRAMIDE A", 12129 },
	{ "BIE", "", "", ResidueType::NON_POLYMER, false, "(3,4-DIHYDROXY-2-NITROPHENYL)(PHENYL)METHANONE", 12130 },
	{ "BIF", "", "", ResidueType::PEPTIDE_LINKING, false, "(R)-2-AMINO-3-(4-PHENYLCYCLOHEXYL)PROPANOIC ACID", 12131 },
	{ "BIG", "", "", ResidueType::NON_POLYMER, false, "(3R,4S)-1-[(4-amino-5H-pyrrolo[3,2-d]pyrimidin-7-yl)methyl]-4-[(butylsulfanyl)methyl]pyrrolidin-3-ol", 12132 },
	{ "BIH", "", "", ResidueType::NON_POLYMER, false, "NAPHTHALENE-2,6-DISULFONIC ACID", 12133 },
	{ "BII", "", "", ResidueType::NON_POLYMER, false, "2-{[5-CHLORO-2-({(1E,4R)-2-METHOXY-4-[(3R)-3-(METHYLAMINO)PYRROLIDIN-1-YL]CYCLOHEXA-2,5-DIEN-1-YLIDENE}AMINO)PYRIMIDIN-4-YL]AMINO}-N-(1-METHYLETHYL)BENZENESULFONAMIDE", 12134 },
	{ "BIJ", "", "", ResidueType::NON_POLYMER, false, "7-{[(2Z,5S)-5-CHLORO-2-{[2-METHOXY-4-(4-METHYLPIPERAZIN-1-YL)PHENYL]IMINO}-2,5-DIHYDROPYRIMIDIN-4-YL]AMINO}-2-METHYL-2,3-DIHYDRO-1H-ISOINDOL-1-ONE", 12135 },
	{ "BIK", "", "", ResidueType::NON_POLYMER, false, "3,7-DIHYDROXY-2-NAPHTHOIC ACID", 12136 },
	{ "BIL", "", "", ResidueType::PEPTIDE_LINKING, false, "(3R,4S)-3-amino-4-methylhexanoic acid", 12137 },
	{ "BIM", "", "", ResidueType::NON_POLYMER, false, "BIS-(INDOLE)MALEIMIDE PYRIDINOPHANE", 12138 },
	{ "BIN", "", "", ResidueType::NON_POLYMER, false, "2,3-DICARBOXY-4-(2-CHLORO-PHENYL)-1-ETHYL-5-ISOPROPOXYCARBONYL-6-METHYL-PYRIDINIUM", 12139 },
	{ "BIO", "", "", ResidueType::NON_POLYMER, false, "BIOPTERIN", 12140 },
	{ "BIP", "", "", ResidueType::NON_POLYMER, false, "2-BENZYL-3-IODOPROPANOIC ACID", 12141 },
	{ "BIQ", "", "", ResidueType::NON_POLYMER, false, "BENZYL [12-(2-AMINO-2-OXOETHYL)-4-NITRO-10,13-DIOXO-15-[(PROPYLAMINO)CARBONYL]-2-OXA-11,14-DIAZATRICYCLO[15 .2.2.1~3,7~]DOCOSA-1(19),3(22),4,6,17,20-HEXAEN-9-YL]CARBAMATE", 12142 },
	{ "BIR", "", "", ResidueType::NON_POLYMER, false, "N-[3-[(1-AMINOETHYL)(HYDROXY)PHOSPHORYL]-2-(1,1'-BIPHENYL-4-YLMETHYL)PROPANOYL]ALANINE", 12143 },
	{ "BIS", "", "", ResidueType::NON_POLYMER, false, "1,1,5,5-TETRAFLUOROPHOSPHOPENTYLPHOSPHONIC ACID ADENYLATE ESTER", 12144 },
	{ "BIT", "", "", ResidueType::NON_POLYMER, false, "(-)-1-PHENYL-1,2,3,4-TETRAHYDRO-4-HYDROXYPYRROLO[2,3-B]-7-METHYLQUINOLIN-4-ONE", 12145 },
	{ "BIU", "", "", ResidueType::PEPTIDE_LINKING, false, "5-bromo-L-isoleucine", 12146 },
	{ "BIV", "", "", ResidueType::NON_POLYMER, false, "21-NOR-9,10-SECOCHOLESTA-5,7,10(19)-TRIENE-1,3,25-TRIOL, 20-(4-HYDROXY-4-METHYLPENTYL)-, (1A,3B,5Z,7E)", 12147 },
	{ "BIW", "", "", ResidueType::NON_POLYMER, false, "1-[2-(4-carboxypiperidin-1-yl)-2-oxoethyl]-3-cyclohexyl-2-furan-3-yl-1H-indole-6-carboxylic acid", 12148 },
	{ "BIX", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{[(S)-[(3S)-3-amino-3-carboxypropyl](hydroxy)phosphoryl]methyl}pentanedioic acid", 12149 },
	{ "BIY", "", "", ResidueType::NON_POLYMER, false, "(3S)-2,2-dimethyl-3,4-dihydro-2H-1,4-thiazine-3,6-dicarboxylic acid", 12150 },
	{ "BIZ", "", "", ResidueType::NON_POLYMER, false, "BIZELESIN", 12151 },
	{ "BJ1", "", "", ResidueType::NON_POLYMER, false, "(1R,2S)-1-[(1S)-1,2-dihydroxyethyl]-3-[(2R,3S,4S)-3,4-dihydroxy-2-(hydroxymethyl)tetrahydrothiophenium-1-yl]-2-hydroxypropyl sulfate", 12152 },
	{ "BJ2", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-1-[(2~{S})-2-[[(1~{S})-1-[(2~{S})-1-[(2~{S})-2-azanyl-4-oxidanyl-4-oxidanylidene-butanoyl]pyrrolidin-2-yl]-2-oxidanyl-2-oxidanylidene-ethyl]amino]propanoyl]pyrrolidine-2-carboxylic acid", 12153 },
	{ "BJ4", "", "", ResidueType::NON_POLYMER, false, "8-methoxy-2-(4-methylphenyl)-3,4-dihydroquinazolin-4-one", 12154 },
	{ "BJ5", "", "", ResidueType::NON_POLYMER, false, "desferrioxamine B", 12155 },
	{ "BJ8", "", "", ResidueType::NON_POLYMER, false, "Double cubane cluster", 12156 },
	{ "BJA", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-[(2R)-2-(benzylsulfonylamino)-5-guanidino-pentanoyl]-N-[(4-carbamimidoylphenyl)methyl]pyrrolidine-2-carboxamide", 12157 },
	{ "BJB", "", "", ResidueType::NON_POLYMER, false, "4-[1-(1,3-benzothiazol-6-ylsulfonyl)-5-chloro-indol-2-yl]butanoic acid", 12158 },
	{ "BJC", "", "", ResidueType::NON_POLYMER, false, "(1R,3S)-N-[(1S,2R)-1-benzyl-2-hydroxy-3-{[3-(1-methylethyl)benzyl]amino}propyl]-3-[1-methyl-1-(2-oxopiperidin-1-yl)ethyl]cyclohexanecarboxamide", 12159 },
	{ "BJD", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-1-{2-chloro-5-[(2-chloro-5-{5-(methylsulfonyl)-1-[3-(morpholin-4-yl)propyl]-4,5,6,7-tetrahydro-1H-pyrazolo[4,3-c]pyridin-3-yl}phenyl)ethynyl]phenyl}methanamine", 12160 },
	{ "BJE", "", "", ResidueType::NON_POLYMER, false, "2,2'-Anhydro-(1-beta-D-ribofuranosyl)uracil", 12161 },
	{ "BJG", "", "", ResidueType::NON_POLYMER, false, "2-(5-chloro-2-methylphenyl)-1-methyl-5-(2-{[4-(4-methylpiperazin-1-yl)phenyl]amino}pyrimidin-4-yl)-1H-pyrrole-3-carboxamide", 12162 },
	{ "BJH", "", "", ResidueType::PEPTIDE_LINKING, false, "1(R)-1-ACETAMIDO-2-(3-CARBOXY-2-HYDROXYPHENYL)ETHYL BORONIC ACID", 12163 },
	{ "BJI", "", "", ResidueType::NON_POLYMER, false, "1(R)-1-ACETAMIDO-2-(3-CARBOXYPHENYL)ETHYL BORONIC ACID", 12164 },
	{ "BJJ", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-1-{2-chloro-5-[2-(2-chloro-5-{5-(methylsulfonyl)-1-[3-(morpholin-4-yl)propyl]-4,5,6,7-tetrahydro-1H-pyrazolo[4,3-c]pyridin-3-yl}phenyl)ethyl]phenyl}methanamine", 12165 },
	{ "BJK", "", "", ResidueType::NON_POLYMER, false, "(4-methoxy-3-oxidanyl-phenyl)methylazanium", 12166 },
	{ "BJM", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-azanyl-1-[(1~{S},3~{S},5~{S})-3-(iminomethyl)-2-azabicyclo[3.1.0]hexan-2-yl]-2-[(5~{R},7~{S})-3-oxidanyl-1-adamantyl]ethanone", 12167 },
	{ "BJN", "", "", ResidueType::NON_POLYMER, false, "2-pyridin-3-ylethylazanium", 12168 },
	{ "BJP", "", "", ResidueType::NON_POLYMER, false, "(1R)-2-PHENYLACETAMIDO-2-(3-CARBOXYPHENYL)ETHYL BORONIC ACID", 12169 },
	{ "BJQ", "", "", ResidueType::NON_POLYMER, false, "[(2~{S})-1-methoxy-1-oxidanylidene-3-phenyl-propan-2-yl]azanium", 12170 },
	{ "BJS", "", "", ResidueType::NON_POLYMER, false, "2-(3-[3-({3-[(benzylamino)methyl]-4-chlorophenyl}ethynyl)-4-chlorophenyl]-1-{3-[(3S)-3-methylmorpholin-4-yl]propyl}-1,4,6,7-tetrahydro-5H-pyrazolo[4,3-c]pyridin-5-yl)-2-oxoacetamide", 12171 },
	{ "BJV", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-1-{5-[(2-chloro-5-{5-(methylsulfonyl)-1-[3-(morpholin-4-yl)propyl]-4,5,6,7-tetrahydro-1H-pyrazolo[4,3-c]pyridin-3-yl}phenyl)ethynyl]-2-methoxyphenyl}methanamine", 12172 },
	{ "BJW", "", "", ResidueType::NON_POLYMER, false, "", 12173 },
	{ "BJY", "", "", ResidueType::NON_POLYMER, false, "5-hydroxy-3-{1-[(2S)-2-hydroxy-3-{5-(methylsulfonyl)-3-[4-(trifluoromethyl)phenyl]-4,5,6,7-tetrahydro-1H-pyrazolo[4,3-c]pyridin-1-yl}propyl]piperidin-4-yl}-1H-pyrrolo[3,2-c]pyridin-5-ium", 12174 },
	{ "BJZ", "", "", ResidueType::NON_POLYMER, false, "6-[(5S,9R)-9-(4-cyanophenyl)-3-(3,5-dichlorophenyl)-1-methyl-2,4-dioxo-1,3,7-triazaspiro[4.4]non-7-yl]pyridine-3-carboxylic acid", 12175 },
	{ "BK1", "", "", ResidueType::NON_POLYMER, false, "1-(1-methylethyl)-3-(naphthalen-1-ylmethyl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 12176 },
	{ "BK2", "", "", ResidueType::NON_POLYMER, false, "1-tert-butyl-3-naphthalen-2-yl-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 12177 },
	{ "BK3", "", "", ResidueType::NON_POLYMER, false, "3-(naphthalen-1-ylmethyl)-1-(piperidin-4-ylmethyl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 12178 },
	{ "BK4", "", "", ResidueType::NON_POLYMER, false, "3-(6-methoxynaphthalen-2-yl)-1-(propan-2-yl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 12179 },
	{ "BK5", "", "", ResidueType::NON_POLYMER, false, "3-(6-ethoxynaphthalen-2-yl)-1-(propan-2-yl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 12180 },
	{ "BK6", "", "", ResidueType::NON_POLYMER, false, "3-(6-methoxynaphthalen-2-yl)-1-(piperidin-4-ylmethyl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 12181 },
	{ "BK7", "", "", ResidueType::NON_POLYMER, false, "3-(6-ethoxynaphthalen-2-yl)-1-(piperidin-4-ylmethyl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 12182 },
	{ "BK8", "", "", ResidueType::NON_POLYMER, false, "4-(6-ethoxynaphthalen-2-yl)-6-(piperazin-1-ylmethyl)-2H-indazol-3-amine", 12183 },
	{ "BK9", "", "", ResidueType::NON_POLYMER, false, "4-ethoxyquinazoline", 12184 },
	{ "BKA", "", "", ResidueType::NON_POLYMER, false, "3-oxoheptanoic acid", 12185 },
	{ "BKE", "", "", ResidueType::NON_POLYMER, false, "7-(4-methoxyphenyl)-5-phenyl-3,7-dihydro-4H-pyrrolo[2,3-d]pyrimidin-4-one", 12186 },
	{ "BKI", "", "", ResidueType::NON_POLYMER, false, "5-(4-bromophenyl)-7-phenyl-3,7-dihydro-4H-pyrrolo[2,3-d]pyrimidin-4-one", 12187 },
	{ "BKM", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-[(1R)-3-{[(2R,3S,4R,7S,8S,11S,13R,16E)-17-ethyl-4,8-dihydroxy-3,7,11,13-tetramethyl-6,15-dioxononadeca-16,18-dien-2-yl]oxy}-1-hydroxy-3-oxopropyl]-3-methylbut-2-enedioic acid", 12188 },
	{ "BKS", "", "", ResidueType::NON_POLYMER, false, "5-(4-chlorophenyl)-7-phenyl-3,7-dihydro-4H-pyrrolo[2,3-d]pyrimidin-4-one", 12189 },
	{ "BKV", "", "", ResidueType::NON_POLYMER, false, "7-(4-bromophenyl)-5-phenyl-3,7-dihydro-4H-pyrrolo[2,3-d]pyrimidin-4-one", 12190 },
	{ "BKW", "", "", ResidueType::NON_POLYMER, false, "2-[2-[4-(4-methoxyphenyl)phenyl]sulfonylphenyl]ethanoic acid", 12191 },
	{ "BKY", "", "", ResidueType::NON_POLYMER, false, "4-({2-[(1,3-dioxo-1,3-dihydro-2H-inden-2-ylidene)methyl]phenoxy}methyl)benzoic acid", 12192 },
	{ "BL0", "", "", ResidueType::NON_POLYMER, false, "1-[5-(dimethylamino)-1,3,4-thiadiazol-2-yl]methanesulfonamide", 12193 },
	{ "BL1", "", "", ResidueType::NON_POLYMER, false, "4-chloro-N-[(2S)-2-methyl-2,3-dihydro-1H-indol-1-yl]-3-sulfamoylbenzamide", 12194 },
	{ "BL2", "", "", ResidueType::PEPTIDE_LINKING, false, "N-(tert-butoxycarbonyl)-L-leucine", 12195 },
	{ "BL3", "", "", ResidueType::NON_POLYMER, false, "", 12196 },
	{ "BL4", "", "", ResidueType::NON_POLYMER, false, "(3aS)-3a-hydroxy-5-methyl-1-phenyl-1,2,3,3a-tetrahydro-4H-pyrrolo[2,3-b]quinolin-4-one", 12197 },
	{ "BL5", "", "", ResidueType::NON_POLYMER, false, "", 12198 },
	{ "BL6", "", "", ResidueType::NON_POLYMER, false, "(3aS)-3a-hydroxy-7-methyl-1-phenyl-1,2,3,3a-tetrahydro-4H-pyrrolo[2,3-b]quinolin-4-one", 12199 },
	{ "BL7", "", "", ResidueType::NON_POLYMER, false, "(3aS)-3a-hydroxy-1-phenyl-1,2,3,3a-tetrahydro-4H-pyrrolo[2,3-b]quinolin-4-one", 12200 },
	{ "BL8", "", "", ResidueType::NON_POLYMER, false, "", 12201 },
	{ "BLA", "", "", ResidueType::NON_POLYMER, false, "BILIVERDINE IX ALPHA", 12202 },
	{ "BLB", "", "", ResidueType::NON_POLYMER, false, "BLEOMYCIN B2", 12203 },
	{ "BLD", "", "", ResidueType::NON_POLYMER, false, "Brassinolide", 12204 },
	{ "BLE", "", "", ResidueType::PEPTIDE_LIKE, false, "LEUCINE BORONIC ACID", 12205 },
	{ "BLF", "", "", ResidueType::NON_POLYMER, false, "6-chloro-3-[1-(4-chlorobenzyl)-4-phenyl-1H-imidazol-5-yl]-N-[2-(morpholin-4-yl)ethyl]-1H-indole-2-carboxamide", 12206 },
	{ "BLG", "", "", ResidueType::NON_POLYMER, false, "4-O-(4-O-SULFONYL-N-ACETYLGLUCOSAMININYL)-5-METHYLHYDROXY-L-PROLINE-TAURINE", 12207 },
	{ "BLI", "", "", ResidueType::NON_POLYMER, false, "4-OXO-2-PHENYLMETHANESULFONYL-OCTAHYDRO-PYRROLO[1,2-A]PYRAZINE-6-CARBOXYLIC ACID [1-(N-HYDROXYCARBAMIMIDOYL)-PIPERIDIN-4-YLMETHYL]-AMIDE", 12208 },
	{ "BLK", "", "", ResidueType::NON_POLYMER, false, "[[(2R,3S,4R,5R)-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methoxy-oxidanyl-phosphoryl] (2S)-2-azanyl-6-[(2-methylpropan-2-yl)oxycarbonylamino]hexanoate", 12209 },
	{ "BLL", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4R,5R)-3,4-DIHYDROXY-N,N'-BIS[(1S,2R)-2-HYDROXY-2,3-DIHYDRO-1H-INDEN-1-YL]-2,5-BIS(2-PHENYLETHYL)HEXANEDIAMIDE", 12210 },
	{ "BLM", "", "", ResidueType::NON_POLYMER, false, "BLEOMYCIN A2", 12211 },
	{ "BLN", "", "", ResidueType::NON_POLYMER, false, "MORPHOLINE-4-CARBOXYLIC ACID [1S-(2-BENZYLOXY-1R-CYANO-ETHYLCARBAMOYL)-3-METHYL-BUTYL]AMIDE", 12212 },
	{ "BLO", "", "", ResidueType::NON_POLYMER, false, "1-(4-{[(3R)-3-AMINO-5-{[(Z)-AMINO(IMINO)METHYL](METHYL)AMINO}PENTANOYL]AMINO}-2,3,4-TRIDEOXY-D-ERYTHRO-HEX-2-ENOPYRANURONOSYL)-4-HYDROXYPYRIMIDIN-2(1H)-ONE", 12213 },
	{ "BLP", "", "", ResidueType::NON_POLYMER, false, "(5-HYDROXY-6-METHYL-4-((2-(2-(2-NITROBENZAMIDO)ACETYL)HYDRAZINYL)METHYL)PYRIDIN-3-YL)METHYL DIHYDROGEN PHOSPHATE", 12214 },
	{ "BLQ", "", "", ResidueType::NON_POLYMER, false, "(3E)-3-({4-[(2-carboxyethyl)carbamoyl]phenyl}hydrazono)-6-oxocyclohexa-1,4-diene-1-carboxylic acid", 12215 },
	{ "BLR", "", "", ResidueType::NON_POLYMER, false, "", 12216 },
	{ "BLS", "", "", ResidueType::NON_POLYMER, false, "BLASTICIDIN S", 12217 },
	{ "BLT", "", "", ResidueType::NON_POLYMER, false, "1,4-DIDEOXY-1,4-[[2R,3R)-2,4-DIHYDROXY-3-(SULFOXY)BUTYL]EPISELENONIUMYLIDENE]-D-ARABINITOL INNER SALT", 12218 },
	{ "BLV", "", "", ResidueType::NON_POLYMER, false, "BILIVERDIN IX GAMMA CHROMOPHORE", 12219 },
	{ "BLY", "", "", ResidueType::PEPTIDE_LIKE, false, "LYSINE BORONIC ACID", 12220 },
	{ "BLZ", "", "", ResidueType::NON_POLYMER, false, "5-[5,6-BIS(METHYLOXY)-1H-BENZIMIDAZOL-1-YL]-3-{[1-(2-CHLOROPHENYL)ETHYL]OXY}-2-THIOPHENECARBOXAMIDE", 12221 },
	{ "BM0", "", "", ResidueType::NON_POLYMER, false, "1-butyl-3-methyl-1H-imidazol-3-ium", 12222 },
	{ "BM1", "", "", ResidueType::NON_POLYMER, false, "(R)-(+)9B-(3-METHYL)PHENYL-2,3-DIHYDROTHIAZOLO[2,3-A]ISOINDOL-5(9BH)-ONE", 12223 },
	{ "BM2", "", "", ResidueType::PEPTIDE_LIKE, false, "S-(R*,R*)]-4-[AMINOIMINOMETHYL)AMINO]-N-[[1-[3-HYDROXY -2-[(2-NAPHTHALENYLSULFONYL)AMINO]-1-OXOPROPYL]-2-PYRROLIDINYL] METHYL]BUTANAMIDE", 12224 },
	{ "BM3", "", "", ResidueType::NON_POLYMER, false, "2-(ACETYLAMINO)-2-DEOXY-ALPHA-D-MANNOPYRANOSE", 12225 },
	{ "BM4", "", "", ResidueType::NON_POLYMER, false, "3-[(3R)-3-ethyl-1-{9-[(3S)-3-ethyl-3-(3-hydroxyphenyl)azepan-1-yl]nonyl}azepan-3-yl]phenol", 12226 },
	{ "BM5", "", "", ResidueType::NON_POLYMER, false, "(R)-(+) 5(9BH)-OXO-9B-PHENYL-2,3-DIHYDROTHIAZOLO[2,3-A]ISOINDOL-3-CARBOXYLIC ACID METHYL ESTER", 12227 },
	{ "BM6", "", "", ResidueType::NON_POLYMER, false, "4-[2-(5,5,8,8-TETRAMETHYL-5,6,7,8-TETRAHYDRO-NAPHTHALEN-2-YL)-[1,3]DIOXOLAN-2-YL]-BENZOIC ACID", 12228 },
	{ "?", "", "", ResidueType::SACCHARIDE, false, "2-(acetylamino)-2-deoxy-beta-D-mannopyranose", 12229 },
	{ "BM9", "", "", ResidueType::PEPTIDE_LIKE, false, "[S-(R*,R*)]-1-(AMINOIMINOMETHYL)-N-[[1-[N-[(2-NAPHTHALENYLSULFONYL)-L-SERYL]-3-PYRROLIDINYL]METHYL]-3-PIPERIDENECARBOXAMIDE", 12230 },
	{ "BMA", "", "", ResidueType::SACCHARIDE, false, "BETA-D-MANNOSE", 12231 },
	{ "BMB", "", "", ResidueType::NON_POLYMER, false, "(3S,6S,7R,9aS)-7-[2-(benzylamino)ethyl]-N-(diphenylmethyl)-6-{[(2S)-2-(methylamino)butanoyl]amino}-5-oxooctahydro-1H-pyrrolo[1,2-a]azepine-3-carboxamide", 12232 },
	{ "BMC", "", "", ResidueType::NON_POLYMER, false, "3-(1,3-benzodioxol-5-yl)-1-methyl-1H-pyrazole-5-carboxylic acid", 12233 },
	{ "BMD", "", "", ResidueType::NON_POLYMER, false, "BUTYRAMIDE", 12234 },
	{ "BME", "SEO", "", ResidueType::NON_POLYMER, false, "BETA-MERCAPTOETHANOL", 12235 },
	{ "BMF", "", "", ResidueType::NON_POLYMER, false, "Bromosporine", 12236 },
	{ "BMG", "", "", ResidueType::NON_POLYMER, false, "(4R,5S)-3-(6,7-dihydro-5H-pyrazolo[1,2-a][1,2,4]triazol-4-ium-6-ylsulfanyl)-5-[(1S,2R)-1-formyl-2-hydroxypropyl]-4-methyl-4,5-dihydro-1H-pyrrole-2-carboxylate", 12237 },
	{ "BMH", "", "", ResidueType::NON_POLYMER, false, "5H-PYRAZOLO(1,2-A)(1,2,4)TRIAZOL-4-IUM, 6-((2-CARBOXY-6-(1-HYDROXYETHYL)-4-METHYL-7-OXO-1-AZABICYCLO(3.2.0)HEPT-2-EN-3-YL)THIO)-6,7-DIHYDRO-, HYDROXIDE, INNER SALT, (4R-(4ALPHA,5BETA,6BETA(R*)))-", 12238 },
	{ "BMI", "", "", ResidueType::NON_POLYMER, false, "3-[5-(1H-IMIDAZOL-1-YL)-7-METHYL-1H-BENZIMIDAZOL-2-YL]-4-[(PYRIDIN-2-YLMETHYL)AMINO]PYRIDIN-2(1H)-ONE", 12239 },
	{ "BMK", "", "", ResidueType::NON_POLYMER, false, "(5S,10R)-5-methyl-10,11-dihydro-5H-5,10-epiminodibenzo[a,d][7]annulene", 12240 },
	{ "BML", "", "", ResidueType::NON_POLYMER, false, "4-BROMOPHENOL", 12241 },
	{ "BMM", "", "", ResidueType::NON_POLYMER, false, "BROMOMETHANE", 12242 },
	{ "BMN", "", "", ResidueType::DNA_LINKING, false, "(1R)-1,4-anhydro-2-deoxy-1-(3-methoxynaphthalen-2-yl)-5-O-phosphono-D-erythro-pentitol", 12243 },
	{ "BMO", "", "", ResidueType::NON_POLYMER, false, "N-ACRIDIN-9-YL-N'-[3-(ACRIDIN-9-YLAMINO)PROPYL]PROPANE-1,3-DIAMINE", 12244 },
	{ "BMP", "", "", ResidueType::RNA_LINKING, false, "6-HYDROXYURIDINE-5'-PHOSPHATE", 12245 },
	{ "BMQ", "", "", ResidueType::RNA_LINKING, false, "", 12246 },
	{ "BMR", "", "", ResidueType::NON_POLYMER, false, "((2R,3S,5R)-3-hydroxy-5-(3-methoxynaphthalen-2-yl)methyl-tetrahydrogen-triphosphate", 12247 },
	{ "BMS", "", "", ResidueType::NON_POLYMER, false, "", 12248 },
	{ "BMT", "", "", ResidueType::PEPTIDE_LINKING, false, "4-METHYL-4-[(E)-2-BUTENYL]-4,N-METHYL-THREONINE", 12249 },
	{ "BMU", "", "", ResidueType::NON_POLYMER, false, "1-(5-TERT-BUTYL-2-METHYL-2H-PYRAZOL-3-YL)-3-(4-CHLORO-PHENYL)-UREA", 12250 },
	{ "BMV", "", "", ResidueType::NON_POLYMER, false, "3-BENZYL-1-(1H-IMIDAZOL-4-YLMETHYL)-4-(THIEN-2-YLSULFONYL)-2,3,4,5-TETRAHYDRO-1H-1,4-BENZODIAZEPINE-7-CARBONITRILE", 12251 },
	{ "BMW", "", "", ResidueType::NON_POLYMER, false, "3-[7-(1H-benzimidazol-5-yl)-2-(morpholin-4-yl)-6,7-dihydro-5H-pyrrolo[2,3-d]pyrimidin-4-yl]phenol", 12252 },
	{ "BMX", "", "", ResidueType::SACCHARIDE, false, "2-(ACETYLAMINO)-2-DEOXY-6-O-PHOSPHONO-ALPHA-D-MANNOPYRANOSE", 12253 },
	{ "BMZ", "", "", ResidueType::NON_POLYMER, false, "2-(2-HYDROXY-PHENYL)-1H-BENZOIMIDAZOLE-5-CARBOXAMIDINE", 12254 },
	{ "BN1", "", "", ResidueType::NON_POLYMER, false, "(S)-2-AMINO-3-[3-HYDROXY-5-(2-METHYL-2H-TETRAZOL-5-YL)ISOXAZOL-4-YL]PROPIONIC ACID", 12255 },
	{ "BN2", "", "", ResidueType::NON_POLYMER, false, "7-[2,6-DICHLORO-4-({[(2-CHLOROBENZOYL)AMINO]CARBONYL}AMINO)PHENOXY]HEPTANOIC ACID", 12256 },
	{ "BN3", "", "", ResidueType::NON_POLYMER, false, "4-[3-CHLORO-4-({[(2,4-DICHLOROBENZOYL)AMINO]CARBONYL}AMINO)PHENOXY]BUTANOIC ACID", 12257 },
	{ "BN4", "", "", ResidueType::NON_POLYMER, false, "4-[4-({[(2,4-DICHLOROBENZOYL)AMINO]CARBONYL}AMINO)-2,3-DIMETHYLPHENOXY]BUTANOIC ACID", 12258 },
	{ "BN5", "", "", ResidueType::NON_POLYMER, false, "5-[3-({[(2,4-DICHLOROBENZOYL)AMINO]CARBONYL}AMINO)-2-METHYLPHENOXY]PENTANOIC ACID", 12259 },
	{ "BN6", "", "", ResidueType::NON_POLYMER, false, "(2S,8R,9S,15S)-15-CYCLOHEXYL-9,12-BIS(CYCLOPROPYLMETHYL)-8-HYDROXY-20-METHYL-4,7,11,14,17-PENTAOXO-2-PHENYL-18-OXA-3,6,10,12,13,16-HEXAAZAHENICOSAN-1-OIC ACID", 12260 },
	{ "BN7", "", "", ResidueType::NON_POLYMER, false, "2-methylpropyl 5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoate", 12261 },
	{ "BNA", "", "", ResidueType::NON_POLYMER, false, "BIS-(NAPHTHYL-1-METHYL) ACETIC ACID", 12262 },
	{ "BNC", "", "", ResidueType::NON_POLYMER, false, "5-BETA-24-NOR-CHOLANE-3(ALPHA),7(ALPHA),12(ALPHA)-TRIOL", 12263 },
	{ "BND", "", "", ResidueType::NON_POLYMER, false, "ME-A-N-BENZOYL-AMINO-9-DEOXY-NEU5AC", 12264 },
	{ "BNE", "", "", ResidueType::NON_POLYMER, false, "2-[3-(3-ETHYL-1-METHYL-2-OXO-AZEPAN-3-YL)-PHENOXY]-4-[1-AMINO-1-(1-METHYL-1H-IMIDIZOL-5-YL)-ETHYL]-BENZONITRILE", 12265 },
	{ "BNF", "", "", ResidueType::NON_POLYMER, false, "N-BENZYLFORMAMIDE", 12266 },
	{ "BNG", "", "", ResidueType::SACCHARIDE, false, "B-NONYLGLUCOSIDE", 12267 },
	{ "BNH", "", "", ResidueType::NON_POLYMER, false, "[(N-{3-[(N-{CYCLOHEXYL[(ISOBUTOXYCARBONYL)AMINO]ACETYL}-3-CYCLOPROPYLALANYL)AMINO]-4-CYCLOPROPYL-2-OXOBUTANOYL}GLYCYL)AMINO](PHENYL)ACETIC ACID", 12268 },
	{ "BNI", "", "", ResidueType::NON_POLYMER, false, "5-(2-OXO-HEXAHYDRO-THIENO[3,4-D]IMIDAZOL-6-YL)-PENTANOIC ACID (4-NITRO-PHENYL)-AMIDE", 12269 },
	{ "BNJ", "", "", ResidueType::NON_POLYMER, false, "N-cyclopentyl-3-(2-oxo-2,3-dihydro-1,3-thiazol-4-yl)benzenesulfonamide", 12270 },
	{ "BNK", "", "", ResidueType::NON_POLYMER, false, "2-chloro-N-cyclopentyl-5-(2-oxo-2,3-dihydro-1,3-thiazol-4-yl)benzenesulfonamide", 12271 },
	{ "BNL", "", "", ResidueType::NON_POLYMER, false, "BIPHENYL", 12272 },
	{ "BNM", "", "", ResidueType::NON_POLYMER, false, "N-[3-(cyclopentylsulfamoyl)-5-(2-oxo-2,3-dihydro-1,3-thiazol-4-yl)phenyl]cyclopropanecarboxamide", 12273 },
	{ "BNN", "", "", ResidueType::PEPTIDE_LINKING, false, "ACETYL-P-AMIDINOPHENYLALANINE", 12274 },
	{ "BNO", "", "", ResidueType::PEPTIDE_LIKE, false, "NORLEUCINE BORONIC ACID", 12275 },
	{ "BNP", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-4-{4-[3-(BENZYLOXY)PROPOXY]PHENYL}-3-(2-NAPHTHYLMETHOXY)PIPERIDINE", 12276 },
	{ "BNR", "", "", ResidueType::NON_POLYMER, false, "BIS-DAUNORUBICIN", 12277 },
	{ "BNS", "", "", ResidueType::NON_POLYMER, false, "benzenesulfonic acid", 12278 },
	{ "BNT", "", "", ResidueType::NON_POLYMER, false, "2,5-DIBROMO-3-ISOPROPYL-6-METHYLBENZO-1,4-QUINONE", 12279 },
	{ "BNU", "", "", ResidueType::NON_POLYMER, false, "6-bromo-1-ethyl-4-oxo-7-(piperazin-1-yl)-1,4-dihydroquinoline-3-carboxylic acid", 12280 },
	{ "BNW", "", "", ResidueType::NON_POLYMER, false, "", 12281 },
	{ "BNX", "", "", ResidueType::SACCHARIDE, false, "2-O-phosphono-beta-D-glucopyranose", 12282 },
	{ "BNY", "", "", ResidueType::NON_POLYMER, false, "2-[(2-methyl-3-nitrophenyl)amino]benzoic acid", 12283 },
	{ "BNZ", "", "", ResidueType::NON_POLYMER, false, "BENZENE", 12284 },
	{ "BO1", "", "", ResidueType::NON_POLYMER, false, "N-[4-(AMINOSULFONYL)PHENYL]-BETA-D-GLUCOPYRANOSYLAMINE", 12285 },
	{ "BO2", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-1-(DIHYDROXYBORYL)-3-METHYLBUTYL]-N-(PYRAZIN-2-YLCARBONYL)-L-PHENYLALANINAMIDE", 12286 },
	{ "BO3", "", "", ResidueType::NON_POLYMER, false, "BORIC ACID", 12287 },
	{ "BO4", "", "", ResidueType::NON_POLYMER, false, "BORATE ION", 12288 },
	{ "BO5", "", "", ResidueType::NON_POLYMER, false, "(9E)-19-CHLORANYL-13-METHYL-16,18-BIS(OXIDANYL)-13-AZABICYCLO[13.4.0]NONADECA-1(15),9,16,18-TETRAENE-3,14-DIONE", 12289 },
	{ "BO7", "", "", ResidueType::NON_POLYMER, false, "2,6-DIMETHOXYBENZOIC ACID", 12290 },
	{ "BO8", "", "", ResidueType::NON_POLYMER, false, "(D-ALPHA-AMINOPIMELYLAMINO)-D-1-ETHYLBORONIC ACID", 12291 },
	{ "BO9", "", "", ResidueType::NON_POLYMER, false, "N1-[(1R)-1-(DIHYDROXYBORYL)ETHYL]-N2-[(TERT-BUTOXYCARBONYL)-D-GAMMA-GLUTAMYL]-N6-[(BENZYLOXY)CARBONYL-L-LYSINAMIDE", 12292 },
	{ "BOA", "", "", ResidueType::NON_POLYMER, false, "2-BROMO-6-HYDROXY-PURINE", 12293 },
	{ "BOB", "", "", ResidueType::NON_POLYMER, false, "(S)-2-amino-5-((R)-1-(carboxymethylamino)-3-((3S,4R)-1,4-dihydroxynonan-3-ylthio)-1-oxopropan-2-ylamino)-5-oxopentanoic acid", 12294 },
	{ "BOC", "OTB", "", ResidueType::NON_POLYMER, false, "TERT-BUTYL HYDROGEN CARBONATE", 12295 },
	{ "BOE", "", "", ResidueType::RNA_LINKING, false, "", 12296 },
	{ "BOG", "", "", ResidueType::SACCHARIDE, false, "B-OCTYLGLUCOSIDE", 12297 },
	{ "BOL", "", "", ResidueType::NON_POLYMER, false, "2-iodo-N-phenylbenzamide", 12298 },
	{ "BOM", "", "", ResidueType::NON_POLYMER, false, "HEXADECA-10,12-DIEN-1-OL", 12299 },
	{ "BON", "", "", ResidueType::NON_POLYMER, false, "N-[4-(4,4,5,5-tetramethyl-1,3,2-dioxaborolan-2-yl)phenyl]sulfamide", 12300 },
	{ "BOP", "", "", ResidueType::NON_POLYMER, true, "1-BROMO-4-METHOXYBENZENE", 12301 },
	{ "BOR", "", "", ResidueType::PEPTIDE_LIKE, false, "(1R)-1-AMINO-4-{[(E)-AMINO(IMINO)METHYL]AMINO}BUTYLBORONIC ACID", 12302 },
	{ "BOS", "", "", ResidueType::NON_POLYMER, false, "N-[4-(AMINOSULFONYL)PHENYL]-2-MERCAPTOBENZAMIDE", 12303 },
	{ "BOT", "", "THZ", ResidueType::NON_POLYMER, true, "BENZOTHIAZOLE", 12304 },
	{ "BOU", "", "", ResidueType::NON_POLYMER, false, "", 12305 },
	{ "BOW", "", "", ResidueType::NON_POLYMER, false, "octyl sulfamate", 12306 },
	{ "BOX", "", "BEZ", ResidueType::NON_POLYMER, true, "BENZOIC ACID", 12307 },
	{ "BOZ", "", "", ResidueType::NON_POLYMER, false, "BIS(5-AMIDINO-BENZIMIDAZOLYL)METHANONE ZINC", 12308 },
	{ "BP", "", "BAP", ResidueType::NON_POLYMER, true, "(-)-7S,8R,9R-TRIHYDROXY-7,8,9,10-TETRAHYDRO BENZO[A]PYRENE", 12309 },
	{ "BP0", "", "", ResidueType::NON_POLYMER, false, "5,5'-(sulfanediyldiethane-2,1-diyl)bis(1,3,4-thiadiazol-2-amine)", 12310 },
	{ "BP1", "", "", ResidueType::NON_POLYMER, false, "6-BROMO-7H-PURINE", 12311 },
	{ "BP2", "", "", ResidueType::NON_POLYMER, false, "(+)-BORNYL DIPHOSPHATE", 12312 },
	{ "BP3", "", "", ResidueType::NON_POLYMER, false, "2'-CHLORO-BIPHENYL-2,3-DIOL", 12313 },
	{ "BP4", "", "", ResidueType::NON_POLYMER, false, "biphenyl-4-ylacetic acid", 12314 },
	{ "BP5", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(2,2'-BIPYRIDIN-5-YL)-L-ALANINE", 12315 },
	{ "BP6", "", "", ResidueType::NON_POLYMER, false, "2',6'-DICHLORO-BIPHENYL-2,6-DIOL", 12316 },
	{ "BP7", "", "", ResidueType::NON_POLYMER, false, "1,1'-BIPHENYL-3,4-DIOL", 12317 },
	{ "BP8", "", "", ResidueType::NON_POLYMER, false, "5,5'-pentane-1,5-diylbis(1,3,4-thiadiazol-2-amine)", 12318 },
	{ "BP9", "", "", ResidueType::NON_POLYMER, false, "5,5'-butane-1,4-diylbis(1,3,4-thiadiazol-2-amine)", 12319 },
	{ "BPA", "", "", ResidueType::NON_POLYMER, false, "7S,8R,9R-TRIHYDROXY-7,8,9,10-TETRAHYDRO BENZO[A]PYRENE", 12320 },
	{ "BPB", "", "", ResidueType::NON_POLYMER, false, "BACTERIOPHEOPHYTIN B", 12321 },
	{ "BPC", "", "BAP", ResidueType::NON_POLYMER, true, "(7R,8R,9R)-7,8,9,10-TETRAHYDROBENZO[DEF]CHRYSENE-7,8,9-TRIOL", 12322 },
	{ "BPD", "", "", ResidueType::NON_POLYMER, false, "N-(M-TRIFLUOROMETHYLPHENYL) PHENOXAZINE-4,6-DICARBOXYLIC ACID", 12323 },
	{ "BPE", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-AMINO-3-[(3-AMINOPROPYL)SULFANYL]PROPAN-1-OL", 12324 },
	{ "BPF", "", "", ResidueType::NON_POLYMER, false, "N,N'-(furan-2,5-diylbis{benzene-4,1-diyl[(Z)-aminomethylylidene]})diethanaminium", 12325 },
	{ "BPG", "", "", ResidueType::NON_POLYMER, false, "9-(4-HYDROXYBUTYL)-N2-PHENYLGUANINE", 12326 },
	{ "BPH", "BH1", "", ResidueType::NON_POLYMER, false, "BACTERIOPHEOPHYTIN A", 12327 },
	{ "BPI", "", "", ResidueType::NON_POLYMER, false, "(1S)-1,2,3,4-TETRAHYDRO-BENZO[C]PHENANTHRENE-2,3,4-TRIOL", 12328 },
	{ "BPJ", "", "", ResidueType::NON_POLYMER, false, "(1R)-1,2,3,4-TETRAHYDRO-BENZO[C]PHENANTHRENE-2,3,4-TRIOL", 12329 },
	{ "BPK", "", "", ResidueType::NON_POLYMER, false, "{3-[(5-methyl-2-phenyl-1,3-oxazol-4-yl)methoxy]phenyl}methanol", 12330 },
	{ "BPL", "", "", ResidueType::NON_POLYMER, false, "1-BENZO[A]PYREN-6-YL-3-METHYL-UREA", 12331 },
	{ "BPM", "", "", ResidueType::NON_POLYMER, false, "4-PHOSPHONOOXY-PHENYL-METHYL-[4-PHOSPHONOOXY]BENZEN", 12332 },
	{ "BPN", "", "", ResidueType::NON_POLYMER, false, "PARANITROBENZYL ALCOHOL", 12333 },
	{ "BPO", "", "", ResidueType::NON_POLYMER, false, "3-[(Z)-AMINO(IMINO)METHYL]-N-[2-(4-BENZOYL-1-PIPERIDINYL)-2-OXO-1-PHENYLETHYL]BENZAMIDE", 12334 },
	{ "BPP", "", "", ResidueType::NON_POLYMER, false, "(4-BENZYL-PIPERIDIN-1-YL)-(5-AMIDINOMETHYL-3AH-INDOL-2-YL-METHANONE", 12335 },
	{ "BPQ", "", "", ResidueType::NON_POLYMER, false, "tert-butyl [(2-amino-4-oxo-4,7-dihydro-3H-pyrrolo[2,3-d]pyrimidin-5-yl)methyl]carbamate", 12336 },
	{ "BPR", "", "", ResidueType::NON_POLYMER, false, "(2R)-N-[(2R)-2-(DIHYDROXYBORYL)-1-L-PROLYLPYRROLIDIN-2-YL]-N-[(5R)-5-(DIHYDROXYBORYL)-1-L-PROLYLPYRROLIDIN-2-YL]-L-PROLINAMIDE", 12337 },
	{ "BPS", "", "", ResidueType::NON_POLYMER, false, "", 12338 },
	{ "BPT", "", "", ResidueType::NON_POLYMER, false, "BIS(TRANS-PLATINUM ETHYLENEDIAMINE DIAMINE CHLORO)COMPLEX", 12339 },
	{ "BPU", "", "", ResidueType::NON_POLYMER, false, "7-bromopyrrolo[1,2-a]quinoxalin-4(5H)-one", 12340 },
	{ "BPV", "", "", ResidueType::NON_POLYMER, false, "Bromopyruvate", 12341 },
	{ "BPX", "", "", ResidueType::NON_POLYMER, false, "(2R)-4,4-dihydroxy-5-nitro-2-(phenylmethyl)pentanoic acid", 12342 },
	{ "BPY", "", "", ResidueType::NON_POLYMER, false, "BIPHENYL-2,3-DIOL", 12343 },
	{ "BPZ", "", "", ResidueType::NON_POLYMER, false, "4,4'-cyclohexane-1,1-diyldiphenol", 12344 },
	{ "BQ1", "", "", ResidueType::NON_POLYMER, false, "Bedaquiline", 12345 },
	{ "BQ7", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-amino-2,2-difluoro-3-phenylpropanoic acid", 12346 },
	{ "BQD", "", "", ResidueType::NON_POLYMER, false, "(3R)-N-(6-bromonaphthalen-2-yl)-3-hydroxy-1-propanoyl-L-prolinamide", 12347 },
	{ "BQJ", "", "", ResidueType::NON_POLYMER, false, "2-(dimethylamino)-1-[4-(2-oxo-2-{3-[3-{[2-(piperidin-1-yl)ethyl]sulfanyl}-4-(trifluoromethyl)phenyl]-1-propyl-1,4,6,7-tetrahydro-5H-pyrazolo[4,3-c]pyridin-5-yl}ethyl)piperidin-1-yl]ethan-1-one", 12348 },
	{ "BQM", "", "", ResidueType::NON_POLYMER, false, "3-({4-[(1E)-3-morpholin-4-yl-3-oxoprop-1-en-1-yl]-2,3-bis(trifluoromethyl)phenyl}sulfanyl)aniline", 12349 },
	{ "BQN", "", "", ResidueType::NON_POLYMER, false, "4-{(2E)-3-[4-{[2-(pyridin-3-ylmethoxy)phenyl]sulfanyl}-2,3-bis(trifluoromethyl)phenyl]prop-2-enoyl}morpholine", 12350 },
	{ "BQP", "", "", ResidueType::NON_POLYMER, false, "2-[1-(cyclohexylmethyl)piperidin-4-yl]-1-{3-[3-{[2-(4-fluoropiperidin-1-yl)ethyl]sulfanyl}-4-(trifluoromethyl)phenyl]-1-(3-hydroxypropyl)-1,4,6,7-tetrahydro-5H-pyrazolo[4,3-c]pyridin-5-yl}ethan-1-one", 12351 },
	{ "BQR", "", "", ResidueType::NON_POLYMER, false, "N~2~-[7-(3,4-dimethoxyphenyl)quinoxalin-2-yl]-N-methylglycinamide", 12352 },
	{ "BQS", "", "", ResidueType::NON_POLYMER, false, "2-[1-(cyclohexylmethyl)piperidin-4-yl]-1-{3-[3-{[2-(piperidin-1-yl)ethyl]sulfanyl}-4-(trifluoromethyl)phenyl]-1-propyl-1,4,6,7-tetrahydro-5H-pyrazolo[4,3-c]pyridin-5-yl}ethan-1-one", 12353 },
	{ "BQY", "", "", ResidueType::NON_POLYMER, false, "2-methoxyphenyl beta-D-galactopyranoside", 12354 },
	{ "BQZ", "", "", ResidueType::NON_POLYMER, false, "galactinol", 12355 },
	{ "BR", "BRO", "", ResidueType::NON_POLYMER, false, "BROMIDE ION", 12356 },
	{ "BR0", "", "", ResidueType::NON_POLYMER, false, "(3aS,4R,9bR)-9-nitro-3a,4,5,9b-tetrahydro-3H-cyclopenta[c]quinoline-4,6-dicarboxylic acid", 12357 },
	{ "BR1", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-{5-[5-(bromomethyl)pyridin-2-yl]-1,3-oxazol-2-yl}-7-phenylheptan-1-ol", 12358 },
	{ "BR2", "", "", ResidueType::NON_POLYMER, false, "2,6-difluoro-N-[(5S)-3-methoxy-5H-pyrazolo[3,4-b]pyridin-5-yl]-3-[(phenylsulfonyl)amino]benzamide", 12359 },
	{ "BR3", "", "", ResidueType::NON_POLYMER, false, "(6-METHYL-3,4-DIHYDRO-2H-CHROMEN-2-YL)METHYLPHOSPHINATE", 12360 },
	{ "BR4", "", "", ResidueType::NON_POLYMER, false, "6-PHENYL-4(R)-(7-PHENYL-HEPTANOYLAMINO)-HEXANOIC ACID", 12361 },
	{ "BR5", "", "", ResidueType::NON_POLYMER, false, "2-ETHOXYETHYLPHOSPHINATE", 12362 },
	{ "BR6", "", "", ResidueType::NON_POLYMER, false, "(E)-4-((4-bromophenylimino)methyl)benzimidamide", 12363 },
	{ "BR7", "", "", ResidueType::NON_POLYMER, false, "Bromomemantine", 12364 },
	{ "BR8", "", "", ResidueType::NON_POLYMER, false, "BARBITURIC ACID", 12365 },
	{ "BR9", "", "", ResidueType::NON_POLYMER, false, "5-bromopyridine-2,3-diamine", 12366 },
	{ "BRA", "", "", ResidueType::NON_POLYMER, false, "9-[4-(n,n-dimethylamino)phenylamino]-3,6-bis(3-pyrrolidinopropionamido) acridine", 12367 },
	{ "BRB", "", "", ResidueType::NON_POLYMER, false, "PARA-BROMOBENZYL ALCOHOL", 12368 },
	{ "BRC", "", "", ResidueType::NON_POLYMER, false, "12-BROMODODECANOIC ACID", 12369 },
	{ "BRD", "", "", ResidueType::NON_POLYMER, false, "1-BETA-RIBOFURANOSYL-1,3-DIAZEPINONE", 12370 },
	{ "BRE", "", "", ResidueType::NON_POLYMER, false, "2-BIPHENYL-4-YL-6-FLUORO-3-METHYL-QUINOLINE-4-CARBOXYLIC ACID", 12371 },
	{ "BRF", "", "", ResidueType::NON_POLYMER, false, "", 12372 },
	{ "BRG", "", "", ResidueType::NON_POLYMER, false, "8-BROMOGUANINE", 12373 },
	{ "BRH", "", "", ResidueType::NON_POLYMER, false, "(S)-2-AMINO-3-(4-BROMO-3-HYDROXY-ISOXAZOL-5-YL)PROPIONIC ACID", 12374 },
	{ "BRI", "", "1GL", ResidueType::SACCHARIDE, true, "(O4)-METHYL-2-DEOXYFUCOSE", 12375 },
	{ "BRJ", "", "", ResidueType::NON_POLYMER, false, "2-BROMOETHANOL", 12376 },
	{ "BRK", "", "", ResidueType::NON_POLYMER, false, "{(2Z)-4-AMINO-2-[(4-METHOXYPHENYL)IMINO]-2,3-DIHYDRO-1,3-THIAZOL-5-YL}(4-METHOXYPHENYL)METHANONE", 12377 },
	{ "BRL", "", "", ResidueType::NON_POLYMER, false, "2,4-THIAZOLIDIINEDIONE, 5-[[4-[2-(METHYL-2-PYRIDINYLAMINO)ETHOXY]PHENYL]METHYL]-(9CL)", 12378 },
	{ "BRM", "", "", ResidueType::NON_POLYMER, true, "2-BROMOACETYL GROUP", 12379 },
	{ "BRN", "", "", ResidueType::NON_POLYMER, false, "BERENIL", 12380 },
	{ "BRO", "", "BR", ResidueType::NON_POLYMER, true, "BROMO GROUP", 12381 },
	{ "BRP", "", "", ResidueType::NON_POLYMER, false, "2-BROMO-2-PROPENE-1-OL", 12382 },
	{ "BRQ", "", "", ResidueType::NON_POLYMER, false, "{[4-AMINO-2-(3-CHLOROANILINO)-1,3-THIAZOL-5-YL](4-FLUOROPHENYL)METHANONE", 12383 },
	{ "BRR", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-{[FORMYL(HYDROXY)AMINO]METHYL}HEXANOIC ACID", 12384 },
	{ "BRS", "", "", ResidueType::NON_POLYMER, false, "2-[1-(4-CHLORO-PHENYL)-ETHYL]-4,6-DINITRO-PHENOL", 12385 },
	{ "BRT", "", "", ResidueType::NON_POLYMER, false, "5-BROMONICOTINAMIDE", 12386 },
	{ "BRU", "UBR", "", ResidueType::DNA_LINKING, false, "5-BROMO-2'-DEOXYURIDINE-5'-MONOPHOSPHATE", 12387 },
	{ "BRV", "", "", ResidueType::NON_POLYMER, false, "5-amino-2,4,6-tribromobenzene-1,3-dicarboxylic acid", 12388 },
	{ "BRW", "", "", ResidueType::NON_POLYMER, false, "6-BROMOINDIRUBIN-3'-OXIME", 12389 },
	{ "BRX", "", "", ResidueType::NON_POLYMER, false, "BROMAMPHENICOL", 12390 },
	{ "BRY", "", "", ResidueType::NON_POLYMER, false, "", 12391 },
	{ "BRZ", "", "", ResidueType::NON_POLYMER, false, "6-(1,1-DIMETHYLALLYL)-2-(1-HYDROXY-1-METHYLETHYL)-2,3-DIHYDRO-7H-FURO[3,2-G]CHROMEN-7-ONE", 12392 },
	{ "BS1", "", "", ResidueType::NON_POLYMER, false, "(3-EXO)-3-(10,11-DIHYDRO-5H-DIBENZO[A,D][7]ANNULEN-5-YLOXY)-8,8-DIMETHYL-8-AZONIABICYCLO[3.2.1]OCTANE", 12393 },
	{ "BS2", "", "", ResidueType::NON_POLYMER, false, "(3-ENDO,8-ANTI)-8-BENZYL-3-(10,11-DIHYDRO-5H-DIBENZO[A,D][7]ANNULEN-5-YLOXY)-8-AZONIABICYCLO[3.2.1]OCTANE", 12394 },
	{ "BS3", "", "", ResidueType::NON_POLYMER, false, "Bismuth(III) ION", 12395 },
	{ "BS4", "", "", ResidueType::NON_POLYMER, false, "N-[(4-aminophenyl)sulfonyl]benzamide", 12396 },
	{ "BS5", "", "", ResidueType::NON_POLYMER, false, "5'-deoxy-5'-[({5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoyl}sulfamoyl)amino]adenosine", 12397 },
	{ "BS7", "", "", ResidueType::NON_POLYMER, false, "quinolin-8-yl beta-D-galactopyranoside", 12398 },
	{ "BSA", "", "", ResidueType::NON_POLYMER, false, "2-(BENZOYLAMINO)ETHANESULFONIC ACID", 12399 },
	{ "BSB", "", "", ResidueType::NON_POLYMER, false, "N-BENZYL-4-SULFAMOYL-BENZAMIDE", 12400 },
	{ "BSC", "", "", ResidueType::NON_POLYMER, false, "(S)-2-AMINO-4-(AMINO-BUTYLHYDROSULFINYL)BUTANOIC ACID", 12401 },
	{ "BSD", "", "", ResidueType::NON_POLYMER, false, "N-{(1S,2R)-1-benzyl-2-hydroxy-3-[(3-methoxybenzyl)amino]propyl}-5-[methyl(methylsulfonyl)amino]-N'-[(1R)-1-phenylethyl]benzene-1,3-dicarboxamide", 12402 },
	{ "BSE", "", "", ResidueType::PEPTIDE_LINKING, false, "BETA-3-SERINE", 12403 },
	{ "BSF", "", "", ResidueType::NON_POLYMER, false, "{[(benzylsulfonyl)amino]methyl}boronic acid", 12404 },
	{ "BSG", "", "", ResidueType::NON_POLYMER, false, "4-({[(dihydroxyboranyl)methyl]sulfamoyl}methyl)benzoic acid", 12405 },
	{ "BSH", "", "", ResidueType::NON_POLYMER, false, "3-[(2R)-2-[(benzylsulfonyl)amino]-2-(dihydroxyboranyl)ethyl]benzoic acid", 12406 },
	{ "BSI", "", "", ResidueType::NON_POLYMER, false, "2-(BIPHENYL-4-SULFONYL)-1,2,3,4-TETRAHYDRO-ISOQUINOLINE-3-CARBOXYLIC ACID", 12407 },
	{ "BSJ", "", "", ResidueType::NON_POLYMER, false, "", 12408 },
	{ "BSM", "", "", ResidueType::NON_POLYMER, false, "5-(5-CHLORO-2,4-DIHYDROXYPHENYL)-N-ETHYL-4-(4-METHOXYPHENYL)-1H-PYRAZOLE-3-CARBOXAMIDE", 12409 },
	{ "BSO", "", "", ResidueType::NON_POLYMER, false, "BIOTIN-D-SULFOXIDE", 12410 },
	{ "BSP", "", "", ResidueType::NON_POLYMER, false, "", 12411 },
	{ "BST", "", "", ResidueType::NON_POLYMER, false, "6-(4-AMINO-4-HYDROXY-2-OXO-3,4-DIHYDRO-2H-PYRIMIDIN-1-YL)-3-[3-AMINO-5-(N-METHYL-GUANIDINO)-PENT ANOYLAMINO]-3,6-DIHYDRO-2H-PYRAN-2-CARBOXYLIC ACID", 12412 },
	{ "BSU", "", "", ResidueType::NON_POLYMER, false, "1,3-DIPHENYLUREA", 12413 },
	{ "BSX", "", "", ResidueType::NON_POLYMER, false, "2-(2-fluorophenyl)ethanamine", 12414 },
	{ "BSY", "", "", ResidueType::NON_POLYMER, false, "BISELENITE ION", 12415 },
	{ "BSZ", "", "", ResidueType::NON_POLYMER, false, "3-chloro-4-methoxybenzenesulfonic acid", 12416 },
	{ "BT1", "", "", ResidueType::NON_POLYMER, false, "{2-[4-(2-PYRROLIDIN-1-YL-ETHOXY)-PHENYL]-BENZO[B]THIOPHEN-3-YL}-[4-(2-PYRROLIDIN-1-YL-ETHOXY)-PHENYL]-METHANONE", 12417 },
	{ "BT2", "", "", ResidueType::NON_POLYMER, false, "3-[4-(2-PYRROLIDIN-1-YL-ETHOXY)-BENZYL]-2-4-(2-PYRROLIDIN-1-YL-ETHOXY)-PHENYL] -BENZO[B]THIOPHENE", 12418 },
	{ "BT3", "", "", ResidueType::NON_POLYMER, false, "3-[4-(2-PYRROLIDIN-1-YL-ETHOXY)-BENZYL]-2-4-(2-PYRROLIDIN-1-YL-ETHOXY)-PHENYL] -BENZO[B]THIOPHEN-6-OL", 12419 },
	{ "BT5", "", "", ResidueType::RNA_LINKING, false, "BIOTINYL-5-AMP", 12420 },
	{ "BT6", "", "", ResidueType::NON_POLYMER, false, "benzenethiol", 12421 },
	{ "BT7", "", "", ResidueType::NON_POLYMER, false, "(1S)-2,2-difluoro-1-[1-(pentan-3-yl)-1H-pyrazol-4-yl]ethan-1-ol", 12422 },
	{ "BT8", "", "", ResidueType::NON_POLYMER, false, "3-ethoxy-6-{2-[1-(6-methylpyridazin-3-yl)piperidin-4-yl]ethoxy}-1,2-benzoxazole", 12423 },
	{ "BT9", "", "", ResidueType::NON_POLYMER, false, "3-{[4-(trifluoromethyl)phenyl]amino}benzoic acid", 12424 },
	{ "BTA", "", "NVA", ResidueType::PEPTIDE_LINKING, true, "4-DEMETHYL-LEUCINE", 12425 },
	{ "BTB", "148", "", ResidueType::NON_POLYMER, false, "2-[BIS-(2-HYDROXY-ETHYL)-AMINO]-2-HYDROXYMETHYL-PROPANE-1,3-DIOL", 12426 },
	{ "BTC", "", "CYS", ResidueType::PEPTIDE_LINKING, true, "CYSTEINE", 12427 },
	{ "BTD", "", "", ResidueType::NON_POLYMER, false, "5-BROMOTHIENYLDEOXYURIDINE", 12428 },
	{ "BTE", "", "", ResidueType::NON_POLYMER, false, "2,1,3-benzothiadiazol-4-amine", 12429 },
	{ "BTF", "", "", ResidueType::NON_POLYMER, false, "", 12430 },
	{ "BTG", "", "", ResidueType::NON_POLYMER, false, "", 12431 },
	{ "BTH", "", "", ResidueType::NON_POLYMER, false, "4-OXO-3-{6-[4-(QUINOXALIN-2-YLAMINO)-BENZOYLAMINO]-2-THIOPHEN-2-YL-HEXANOYLAMINO}-PENTANOIC ACID", 12432 },
	{ "BTI", "", "", ResidueType::NON_POLYMER, false, "5-(HEXAHYDRO-2-OXO-1H-THIENO[3,4-D]IMIDAZOL-6-YL)PENTANAL", 12433 },
	{ "BTJ", "", "", ResidueType::NON_POLYMER, false, "N-[(2-{2-[(N-{(2S,3R)-3-amino-4-[4-(benzyloxy)phenyl]-2-hydroxybutanoyl}-L-alanyl)amino]ethoxy}ethoxy)acetyl]-4-benzoyl-L-phenylalanyl-N~6~-hex-5-ynoyllysinamide", 12434 },
	{ "BTK", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-butanoyl-L-lysine", 12435 },
	{ "BTL", "", "", ResidueType::NON_POLYMER, false, "BETAINE ALDEHYDE", 12436 },
	{ "BTM", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-N,N-diethylethanaminium", 12437 },
	{ "BTN", "", "", ResidueType::NON_POLYMER, false, "BIOTIN", 12438 },
	{ "BTO", "", "", ResidueType::NON_POLYMER, false, "4-[3-(3-NITROPHENYL)-1,2,4-OXADIAZOL-5-YL]BUTANOIC ACID", 12439 },
	{ "BTP", "", "", ResidueType::NON_POLYMER, false, "2-THIOMETHYL-3-PHENYLPROPANOIC ACID", 12440 },
	{ "BTQ", "", "", ResidueType::NON_POLYMER, false, "EPI-BIOTIN", 12441 },
	{ "BTR", "", "", ResidueType::PEPTIDE_LINKING, false, "6-BROMO-TRYPTOPHAN", 12442 },
	{ "BTS", "", "", ResidueType::NON_POLYMER, false, "3-(2-BENZOTHIAZOLYLTHIO)-1-PROPANESULFONIC ACID", 12443 },
	{ "BTT", "", "", ResidueType::NON_POLYMER, false, "BENZENE-1,2,4,5-TETROL", 12444 },
	{ "BTU", "", "", ResidueType::NON_POLYMER, false, "3-O-alpha-D-glucopyranosyl-beta-D-fructofuranose", 12445 },
	{ "BTV", "", "", ResidueType::NON_POLYMER, false, "4-[(4-{5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentyl}-1H-1,2,3-triazol-1-yl)methyl]benzoic acid", 12446 },
	{ "BTW", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-2-benzyl-3-sulfanylbutanoic acid", 12447 },
	{ "BTX", "", "", ResidueType::NON_POLYMER, false, "((2R,3S,4R,5R)-5-(6-AMINO-9H-PURIN-9-YL)-3,4-DIHYDROXY-TETRAHYDROFURAN-2-YL)METHYL 5-((3AS,4S,6AR)-2-OXO-HEXAHYDRO-1H-THIENO[3,4-D]IMIDAZOL-4-YL)PENTYL HYDROGEN PHOSPHATE", 12448 },
	{ "BTY", "", "", ResidueType::NON_POLYMER, false, "4-amino-7-methylpyrazolo[1,5-a][1,3,5]triazin-2(1H)-one", 12449 },
	{ "BTZ", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[amino(imino)methyl]amino}butyl)-2,4'-bi-1,3-thiazole-4-carboxamide", 12450 },
	{ "BU1", "", "", ResidueType::NON_POLYMER, false, "1,4-BUTANEDIOL", 12451 },
	{ "BU2", "", "", ResidueType::NON_POLYMER, false, "1,3-BUTANEDIOL", 12452 },
	{ "BU3", "", "", ResidueType::NON_POLYMER, false, "(R,R)-2,3-BUTANEDIOL", 12453 },
	{ "BU4", "", "", ResidueType::NON_POLYMER, false, "(3R)-butane-1,3-diol", 12454 },
	{ "BU6", "", "", ResidueType::NON_POLYMER, false, "5-chloro-2-fluoro-N-[1-(4-piperidyl)pyrazol-4-yl]benzenesulfonamide", 12455 },
	{ "BU7", "", "", ResidueType::NON_POLYMER, false, "(5E)-3-butyl-5-[(4-hydroxyphenyl)methylidene]-2-sulfanylidene-1,3-thiazolidin-4-one", 12456 },
	{ "BU9", "", "", ResidueType::NON_POLYMER, false, "Meso-2,3-Butanediol", 12457 },
	{ "BUA", "", "", ResidueType::NON_POLYMER, false, "BUTANOIC ACID", 12458 },
	{ "BUB", "", "", ResidueType::NON_POLYMER, false, "1-BUTANE BORONIC ACID", 12459 },
	{ "BUC", "", "", ResidueType::PEPTIDE_LINKING, false, "S,S-BUTYLTHIOCYSTEINE", 12460 },
	{ "BUD", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-butane-2,3-diol", 12461 },
	{ "BUE", "", "", ResidueType::NON_POLYMER, false, "NerylNeryl pyrophosphate", 12462 },
	{ "BUF", "", "", ResidueType::NON_POLYMER, false, "bufalin", 12463 },
	{ "BUG", "", "TBG", ResidueType::PEPTIDE_LINKING, true, "3-methyl-L-valine", 12464 },
	{ "BUI", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-{[(TETRADECYLAMINO)CARBONYL]AMINO}-4-(TRIMETHYLAMMONIO)BUTANOATE", 12465 },
	{ "BUJ", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-(hexadecanoylamino)-4-(trimethylammonio)butanoate", 12466 },
	{ "BUK", "", "", ResidueType::NON_POLYMER, false, "N~2~-({[(1R)-1-(4-BROMOPHENYL)ETHYL]AMINO}CARBONYL)ASPARAGINYL-N~1~-{4-{[AMINO(IMINO)METHYL]AMINO}-1-[2,3-DIHYDRO-1,3-THIAZOL-2-YL(HYDROXY)METHYL]BUTYL}VALINAMIDE", 12467 },
	{ "BUL", "", "", ResidueType::NON_POLYMER, false, "BULGECIN A", 12468 },
	{ "BUM", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-N,3,3-TRIMETHYLBUTANAMIDE", 12469 },
	{ "BUN", "", "", ResidueType::NON_POLYMER, false, "(2E)-1-(2,4-dihydroxyphenyl)-3-(3,4-dihydroxyphenyl)prop-2-en-1-one", 12470 },
	{ "BUO", "", "", ResidueType::NON_POLYMER, false, "butane-2,3-dione", 12471 },
	{ "BUP", "", "", ResidueType::NON_POLYMER, false, "", 12472 },
	{ "BUQ", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-2-BUTANONE", 12473 },
	{ "BUR", "", "", ResidueType::NON_POLYMER, false, "1-[2-(2-tert-butylphenoxy)pyridin-3-yl]-3-[4-(trifluoromethoxy)phenyl]urea", 12474 },
	{ "BUT", "", "NBU", ResidueType::NON_POLYMER, true, "BUTYL GROUP", 12475 },
	{ "BUU", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-azanyl-3-[3-[(2-nitrophenyl)methoxy]-4-oxidanyl-phenyl]propanoic acid", 12476 },
	{ "BUV", "", "", ResidueType::NON_POLYMER, false, "4-[[(2~{S},3~{R})-1-[(~{E})-3-[5-chloranyl-2-(1,2,3,4-tetrazol-1-yl)phenyl]prop-2-enoyl]-3-phenyl-pyrrolidin-2-yl]carbonylamino]benzoic acid", 12477 },
	{ "BUW", "", "", ResidueType::NON_POLYMER, false, "R-ethopropazine", 12478 },
	{ "BUY", "", "", ResidueType::NON_POLYMER, false, "4-[[(1~{S})-2-[(~{E})-3-[5-chloranyl-2-(1,2,3,4-tetrazol-1-yl)phenyl]prop-2-enoyl]-3,4-dihydro-1~{H}-isoquinolin-1-yl]carbonylamino]benzoic acid", 12479 },
	{ "BV1", "", "", ResidueType::NON_POLYMER, false, "", 12480 },
	{ "BV2", "", "", ResidueType::NON_POLYMER, false, "1,3-BIS-([3-(4-{3-[3-NITRO-5-(GALACTOPYRANOSYLOXY)-BENZOYLAMINO]-PROPYL}-PIPERAZIN-1-YL)-PROPYL-AMINO]-CARBONYLOXY)-2-AMINO-PROPANE", 12481 },
	{ "BV3", "", "", ResidueType::NON_POLYMER, false, "1,3-BIS-([[3-(4-{3-[3-NITRO-5-(GALACTOPYRANOSYLOXY)-BENZOYLAMINO]-PROPYL}-PIPERAZIN-1-YL)-PROPYLAMINO-3,4-DIOXO-CYCLOBUTENYL]-AMINO-ETHYL]-AMINO-CARBONYLOXY)-2-AMINO-PROPANE", 12482 },
	{ "BV4", "", "", ResidueType::NON_POLYMER, false, "1,3-BIS-([3-[3-[3-(4-{3-[3-NITRO-5-(GALACTOPYRANOSYLOXY)-BENZOYLAMINO]-PROPYL}-PIPERAZIN-1-YL)-PROPYLAMINO-3,4-DIOXO-CYCLOBUTENYL]-AMINO-PROPOXY-ETHOXY-ETHOXY]-PROPYL-]AMINO-CARBONYLOXY)-2-AMINO-PROPANE", 12483 },
	{ "BV5", "", "", ResidueType::NON_POLYMER, false, "3-(4-PIPERIDYL)-N-[2-(TRIFLUOROMETHOXY)PHENYL]SULFONYL-PROPANAMIDE", 12484 },
	{ "BV7", "", "", ResidueType::NON_POLYMER, false, "3-(4-piperidyl)propanoic acid", 12485 },
	{ "BV8", "", "", ResidueType::NON_POLYMER, false, "", 12486 },
	{ "BVA", "", "", ResidueType::NON_POLYMER, false, "TRIHYDROXY[(N-HYDROXYBENZAMIDATO)OXO]VANADATE", 12487 },
	{ "BVB", "", "", ResidueType::NON_POLYMER, false, "5-[(E)-2-(4-bromophenyl)ethenyl]benzene-1,3-diol", 12488 },
	{ "BVC", "", "", ResidueType::NON_POLYMER, false, "1-THIEN-3-YLMETHANAMINE", 12489 },
	{ "BVD", "", "", ResidueType::NON_POLYMER, false, "5-BROMOVINYLDEOXYURIDINE", 12490 },
	{ "BVE", "", "", ResidueType::NON_POLYMER, false, "4-[2-(2,4,6-triphenylpyridin-1-ium-1-yl)ethyl]benzenesulfonamide", 12491 },
	{ "BVF", "", "", ResidueType::NON_POLYMER, false, "4-METHYLPYRIDIN-2-AMINE", 12492 },
	{ "BVG", "", "", ResidueType::NON_POLYMER, false, "1H-IMIDAZOL-2-YLMETHANOL", 12493 },
	{ "BVH", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,4S)-4-ethenylcyclohexane-1,2-diol", 12494 },
	{ "BVJ", "", "", ResidueType::NON_POLYMER, false, "methyl ~{N}-[4-[[(1~{S})-2-[(~{E})-3-[3-chloranyl-2-fluoranyl-6-(1,2,3,4-tetrazol-1-yl)phenyl]prop-2-enoyl]-3,4-dihydro-1~{H}-isoquinolin-1-yl]carbonylamino]phenyl]carbamate", 12495 },
	{ "BVK", "", "", ResidueType::NON_POLYMER, false, "2-[4-(aminomethyl)phenyl]ethanoic acid", 12496 },
	{ "BVL", "", "", ResidueType::NON_POLYMER, false, "(2E)-1-[2-hydroxy-4-methoxy-5-(3-methylbut-2-en-1-yl)phenyl]-3-(4-hydroxyphenyl)prop-2-en-1-one", 12497 },
	{ "BVM", "", "", ResidueType::NON_POLYMER, false, "4-[[(1~{S})-2-[(~{E})-3-[5-chloranyl-2-(1,2,3,4-tetrazol-1-yl)phenyl]prop-2-enoyl]-5-[(3~{S})-3-ethoxycarbonylpiperidin-1-yl]carbonyl-3,4-dihydro-1~{H}-isoquinolin-1-yl]carbonylamino]benzoic acid", 12498 },
	{ "BVP", "", "", ResidueType::DNA_LINKING, false, "(E)-5-(2-BROMOVINYL)-2'-DEOXYURIDINE-5'-MONOPHOSPHATE", 12499 },
	{ "BVQ", "", "", ResidueType::NON_POLYMER, false, "NORPSEUDO-B12", 12500 },
	{ "BVT", "", "", ResidueType::NON_POLYMER, false, "", 12501 },
	{ "BVV", "", "", ResidueType::NON_POLYMER, false, "amino(4-{[(2-{4-[amino(iminio)methyl]phenyl}-3H-imidazo[4,5-b]pyridin-5-yl)oxy]methyl}phenyl)methaniminium", 12502 },
	{ "BVY", "", "", ResidueType::NON_POLYMER, false, "(3aS,4S,6aR)-4-(5-{1-[(3-fluorophenyl)methyl]-1H-1,2,3-triazol-4-yl}pentyl)tetrahydro-1H-thieno[3,4-d]imidazol-2(3H)-one", 12503 },
	{ "BW1", "", "", ResidueType::NON_POLYMER, false, "~{N}4-[[4-(cyclopropylmethyl)furan-2-yl]methyl]-2-phenyl-quinazoline-4,7-diamine", 12504 },
	{ "BW2", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[(2-AMINO-4-OXO-3,4-DIHYDROQUINAZOLIN-6-YL)AMINO]SULFONYL}BENZOYL)GLUTAMIC ACID", 12505 },
	{ "BW4", "", "", ResidueType::NON_POLYMER, false, "methyl 2-[2-{2-chloro-5-[(2R)-2-hydroxy-3-(methylamino)propoxy]phenyl}-6-(3,5-dimethyl-1,2-oxazol-4-yl)-5-methylpyrimidin-4-yl]-2,7-diazaspiro[3.5]nonane-7-carboxylate", 12506 },
	{ "BW7", "", "", ResidueType::NON_POLYMER, false, "(2R)-1-amino-3-{3-[4-(morpholin-4-yl)-1-(propan-2-yl)-1H-pyrazolo[3,4-b]pyridin-6-yl]phenoxy}propan-2-ol", 12507 },
	{ "BW8", "", "", ResidueType::NON_POLYMER, false, "2-[2-fluoranyl-4-[[2-fluoranyl-4-[2-(methylcarbamoyl)pyridin-4-yl]oxy-phenyl]carbamoylamino]phenyl]sulfanylethanoic acid", 12508 },
	{ "BWD", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-3-(5-BROMO-2,4-DIOXO-3,4-DIHYDRO-2H-PYRIMIDIN-1-YL)-PROPIONIC ACID", 12509 },
	{ "BWG", "", "", ResidueType::NON_POLYMER, false, "N-{5-[(1R)-1-hydroxyethyl]-1,3-thiazol-2-yl}-alpha-D-mannopyranosylamine", 12510 },
	{ "BWM", "", "", ResidueType::NON_POLYMER, false, "N-{[2-(3,5-dimethyl-4H-1,2,4-triazol-4-yl)phenyl]methyl}acetamide", 12511 },
	{ "BWP", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-{4-[(4-ANILINO-5-BROMOPYRIMIDIN-2-YL)AMINO]PHENOXY}-3-(DIMETHYLAMINO)PROPAN-2-OL", 12512 },
	{ "BWQ", "", "", ResidueType::NON_POLYMER, false, "~{tert}-butyl 3-[(2~{S},5~{S},8~{S})-14-cyclopentyloxy-2-(2-methylpropyl)-4,7-bis(oxidanylidene)-3,6,17-triazatetracyclo[8.7.0.0^{3,8}.0^{11,16}]heptadeca-1(10),11,13,15-tetraen-5-yl]propanoate", 12513 },
	{ "BWV", "", "", ResidueType::PEPTIDE_LINKING, false, "N~5~-(N-butylcarbamimidoyl)-L-ornithine", 12514 },
	{ "BWY", "", "", ResidueType::NON_POLYMER, false, "10-[(S)-(1-tert-butylpiperidin-4-yl)sulfinyl]-2-[1-(propan-2-yl)-1H-1,2,4-triazol-5-yl]-5,6-dihydroimidazo[1,2-d][1,4]benzoxazepine", 12515 },
	{ "BX1", "", "", ResidueType::NON_POLYMER, false, "1-[3-amino-6-(3,4,5-trimethoxyphenyl)pyrazin-2-yl]piperidine-4-carboxylic acid", 12516 },
	{ "BX2", "", "", ResidueType::NON_POLYMER, false, "(5S)-2-amino-5-(2,6-diethylpyridin-4-yl)-3-methyl-5-(3-pyrimidin-5-ylphenyl)-3,5-dihydro-4H-imidazol-4-one", 12517 },
	{ "BX3", "", "", ResidueType::NON_POLYMER, false, "(+)-2-[4-[(-1-ACETIMIDOYL-4-PIPERIDINYL)OXY]-3-(7-AMIDINO-2-NAPHTHYL)PROPIONIC ACID", 12518 },
	{ "BX4", "", "", ResidueType::NON_POLYMER, false, "3'-aminobiphenyl-4-sulfonamide", 12519 },
	{ "BX7", "", "", ResidueType::NON_POLYMER, false, "N-(3-{[5-iodo-4-({3-[(thiophen-2-ylcarbonyl)amino]propyl}amino)pyrimidin-2-yl]amino}phenyl)pyrrolidine-1-carboxamide", 12520 },
	{ "BXA", "", "", ResidueType::NON_POLYMER, false, "bromoacetic acid", 12521 },
	{ "BXB", "", "", ResidueType::NON_POLYMER, false, "N-(1,3-benzodioxol-5-ylmethyl)-2,6-dichlorobenzamide", 12522 },
	{ "BXC", "", "", ResidueType::NON_POLYMER, false, "(3R,7R,11R)-3,7,11,15-tetramethylhexadecyl alpha-D-ribopyranoside", 12523 },
	{ "BXD", "", "", ResidueType::NON_POLYMER, false, "(3S,4S,5R)-3-(4-amino-3-{[(2R)-3-ethoxy-1,1,1-trifluoropropan-2-yl]oxy}-5-fluorobenzyl)-5-[(3-tert-butylbenzyl)amino]tetrahydro-2H-thiopyran-4-ol 1,1-dioxide", 12524 },
	{ "BXF", "", "", ResidueType::SACCHARIDE, false, "2-deoxy-2-fluoro-beta-D-xylopyranose", 12525 },
	{ "BXL", "", "", ResidueType::NON_POLYMER, false, "(3E)-N~8~-(2-aminophenyl)-N~1~-phenyloct-3-enediamide", 12526 },
	{ "BXO", "", "", ResidueType::NON_POLYMER, false, "(1Z)-butanal oxime", 12527 },
	{ "BXP", "", "", ResidueType::SACCHARIDE, false, "4-O-beta-D-xylopyranosyl-beta-D-xylopyranose", 12528 },
	{ "BXQ", "", "", ResidueType::NON_POLYMER, false, "(3S,4S,5R)-3-{4-amino-3-fluoro-5-[(2S)-3,3,3-trifluoro-2-hydroxypropyl]benzyl}-5-[(3-tert-butylbenzyl)amino]tetrahydro-2H-thiopyran-4-ol 1,1-dioxide", 12529 },
	{ "BXR", "", "", ResidueType::NON_POLYMER, false, "2-[5-chloro-2-(1H-tetrazol-1-yl)phenyl]ethanamine", 12530 },
	{ "BXV", "", "", ResidueType::NON_POLYMER, false, "4-{[trans-4-({[4-(trifluoromethoxy)phenyl]carbamoyl}amino)cyclohexyl]oxy}benzoic acid", 12531 },
	{ "BXW", "", "", ResidueType::NON_POLYMER, false, "3-oxo-3,4-dihydro-2H-1,4-benzothiazine-7-carboxylic acid", 12532 },
	{ "BXX", "", "", ResidueType::SACCHARIDE, false, "beta-D-arabinofuranose", 12533 },
	{ "BXY", "", "", ResidueType::SACCHARIDE, false, "alpha-D-arabinofuranose", 12534 },
	{ "BXZ", "", "", ResidueType::NON_POLYMER, false, "4-bromo-6-(6-hydroxy-1,2-benzisoxazol-3-yl)benzene-1,3-diol", 12535 },
	{ "BY1", "", "", ResidueType::NON_POLYMER, false, "3-[(4-methylphenyl)sulfonyl]prop-2-enenitrile", 12536 },
	{ "BY4", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-azanyl-4-methyl-1,3-dihydroindol-2-one", 12537 },
	{ "BY6", "", "", ResidueType::NON_POLYMER, false, "", 12538 },
	{ "BY8", "", "", ResidueType::NON_POLYMER, false, "(3~{R})-8-cyclopropyl-7-[(4-methylnaphthalen-1-yl)methyl]-5-oxidanylidene-2,3-dihydro-[1,3]thiazolo[3,2-a]pyridine-3-carboxylic acid", 12539 },
	{ "BYA", "", "", ResidueType::NON_POLYMER, false, "N-(phenylcarbonyl)-beta-alanine", 12540 },
	{ "BYB", "", "", ResidueType::NON_POLYMER, false, "(2~{S},3~{S})-3-[[5-fluoranyl-2-(5-fluoranyl-1~{H}-pyrazolo[3,4-b]pyridin-3-yl)pyrimidin-4-yl]amino]bicyclo[2.2.2]octane-2-carboxylic acid", 12541 },
	{ "BYC", "", "", ResidueType::NON_POLYMER, false, "benzoyl coenzyme A", 12542 },
	{ "BYD", "", "", ResidueType::NON_POLYMER, false, "N,N'-dihydroxybenzene-1,4-dicarboxamide", 12543 },
	{ "BYE", "", "", ResidueType::NON_POLYMER, false, "1-(2-chlorophenyl)-6-[(2S)-3,3,3-trifluoro-2-methylpropyl]-1,7-dihydro-4H-pyrazolo[3,4-d]pyrimidin-4-one", 12544 },
	{ "BYG", "", "", ResidueType::NON_POLYMER, false, "L-gamma-glutamyl-S-{(4R)-4-[(6-hydroxyhexyl)sulfanyl]-7-nitro-4,5-dihydro-2,1,3-benzoxadiazol-4-yl}-L-cysteinylglycine", 12545 },
	{ "BYH", "", "", ResidueType::NON_POLYMER, false, "1-[2-(1H-benzimidazol-2-ylsulfanyl)ethyl]-3-methyl-1,3-dihydro-2H-benzimidazole-2-thione", 12546 },
	{ "BYK", "", "", ResidueType::NON_POLYMER, false, "[(3~{R})-3-carboxy-7-(naphthalen-1-ylmethyl)-5-oxidanylidene-2,3-dihydro-[1,3]thiazolo[3,2-a]pyridin-8-yl]-dimethyl-azanium", 12547 },
	{ "BYM", "", "", ResidueType::NON_POLYMER, false, "(5E)-5-[(2,2-DIFLUORO-1,3-BENZODIOXOL-5-YL)METHYLENE]-1,3-THIAZOLIDINE-2,4-DIONE", 12548 },
	{ "BYN", "", "", ResidueType::NON_POLYMER, false, "hydroxylated prenyl-FMN", 12549 },
	{ "BYP", "", "", ResidueType::NON_POLYMER, false, "(2R)-1-{4-[(4-ANILINO-5-BROMOPYRIMIDIN-2-YL)AMINO]PHENOXY}-3-(DIMETHYLAMINO)PROPAN-2-OL", 12550 },
	{ "BYR", "", "", ResidueType::PEPTIDE_LINKING, false, "3-bromo-L-tyrosine", 12551 },
	{ "BYS", "", "", ResidueType::NON_POLYMER, false, "2-BENZO[1,3]DIOXOL-5-YLMETHYL-3-BENZYL-SUCCINIC ACID", 12552 },
	{ "BYT", "", "", ResidueType::NON_POLYMER, false, "Biocytin", 12553 },
	{ "BYX", "", "", ResidueType::NON_POLYMER, false, "2,2'-(1,4-phenylene)bis(N-hydroxyacetamide)", 12554 },
	{ "BYY", "", "", ResidueType::NON_POLYMER, false, "5-[(3aS,4S,6aR)-2-oxohexahydro-1H-selenopheno[3,4-d]imidazol-4-yl]pentanoic acid", 12555 },
	{ "BYZ", "", "", ResidueType::NON_POLYMER, false, "4-bromo-1H-pyrazole", 12556 },
	{ "BZ0", "", "", ResidueType::NON_POLYMER, false, "N-(6-amino-1-benzyl-2,4-dioxo-1,2,3,4-tetrahydropyrimidin-5-yl)benzamide", 12557 },
	{ "BZ1", "", "", ResidueType::NON_POLYMER, false, "(+)-4-ETHYLAMINO-3,4-DIHYDRO-2-(METHOXY)PROPYL-2H-THIENO[3,2-E]-1,2-THIAZINE-6-SULFONAMIDE-1,1-DIOXIDE", 12558 },
	{ "BZ2", "", "", ResidueType::NON_POLYMER, false, "1-benzofuran-2-carboxylic acid", 12559 },
	{ "BZ3", "", "", ResidueType::NON_POLYMER, false, "5-methoxy-1H-indole", 12560 },
	{ "BZ5", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,4S,5R)-2-(benzo[b]thiophen-5-yl)methyl-1,4,5-trihydroxy-3-oxocyclohexane-1-carboxylic acid", 12561 },
	{ "BZ6", "", "", ResidueType::NON_POLYMER, false, "4-(imidazol-1-ylmethyl)-3-(4-methoxyphenyl)-1-phenyl-pyrazole", 12562 },
	{ "BZ7", "", "", ResidueType::NON_POLYMER, false, "N~1~-{2-[([1,1'-biphenyl]-3-carbonyl)amino]ethyl}-N~4~-tert-butyl-N~2~-(3-phenylpropanoyl)-L-aspartamide", 12563 },
	{ "BZ8", "", "", ResidueType::NON_POLYMER, false, "4-CHLORO-6-[5-(4-ETHOXYPHENYL)-1,2,3-THIADIAZOL-4-YL BENZENE-1,3-DIOL", 12564 },
	{ "BZ9", "", "", ResidueType::NON_POLYMER, false, "N-[3-methyl-4-({3-[2-(methylamino)pyrimidin-4-yl]pyridin-2-yl}oxy)naphthalen-1-yl]-1H-benzimidazol-2-amine", 12565 },
	{ "BZA", "", "", ResidueType::NON_POLYMER, false, "1R,2S,3R,4S-TETRAHYDRO-BENZO[A]ANTHRACENE-2,3,4-TRIOL", 12566 },
	{ "BZB", "", "", ResidueType::NON_POLYMER, false, "BENZO[B]THIOPHENE-2-BORONIC ACID", 12567 },
	{ "BZC", "", "", ResidueType::NON_POLYMER, false, "", 12568 },
	{ "BZD", "", "", ResidueType::NON_POLYMER, false, "", 12569 },
	{ "BZE", "", "", ResidueType::NON_POLYMER, false, "6-phenyl-1,3,5-triazine-2,4-diamine", 12570 },
	{ "BZF", "", "", ResidueType::NON_POLYMER, false, "BENZOFURAN", 12571 },
	{ "BZG", "", "", ResidueType::DNA_LINKING, false, "6-(BENZYLOXY)-9-(2-DEOXY-5-O-PHOSPHONO-BETA-D-ERYTHRO-PENTOFURANOSYL)-9H-PURIN-2-AMINE", 12572 },
	{ "BZH", "", "", ResidueType::NON_POLYMER, false, "5-[(2-AMINO-1H-BENZIMIDAZOL-6-YL)AMINO]-5-OXOPENTANOIC ACID", 12573 },
	{ "BZI", "", "", ResidueType::NON_POLYMER, false, "BENZIMIDAZOLE", 12574 },
	{ "BZM", "", "", ResidueType::NON_POLYMER, false, "BENZOIC ACID PHENYLMETHYLESTER", 12575 },
	{ "BZN", "", "", ResidueType::NON_POLYMER, false, "N-({(3R,4R)-4-[(benzyloxy)methyl]pyrrolidin-3-yl}methyl)-N-(2-methylpropyl)benzenesulfonamide", 12576 },
	{ "BZO", "", "PHQ", ResidueType::NON_POLYMER, true, "CARBOBENZOXY GROUP", 12577 },
	{ "BZP", "", "", ResidueType::NON_POLYMER, false, "N1-CARBOXYPIPERAZINE", 12578 },
	{ "BZQ", "", "", ResidueType::NON_POLYMER, false, "DIPHENYLMETHANONE", 12579 },
	{ "BZR", "", "", ResidueType::NON_POLYMER, false, "1S,2R,3S,4R-TETRAHYDRO-BENZO[A]ANTHRACENE-2,3,4-TRIOL", 12580 },
	{ "BZS", "", "", ResidueType::NON_POLYMER, false, "L-BENZYLSUCCINIC ACID", 12581 },
	{ "BZT", "", "", ResidueType::NON_POLYMER, false, "3-(3-BROMO-4-PYRROLIDIN-1-YLMETHYL-BENZYL)-2-[4-PYRROLIDIN-1-YL-ETHOXY)-PHENYL]-BENZO[B]THIOPHEN-6-OL", 12582 },
	{ "BZU", "", "", ResidueType::NON_POLYMER, false, "(4R)-2-(2-ethoxyethyl)-4-(ethylamino)-3,4-dihydro-2H-thieno[3,2-e][1,2]thiazine-6-sulfonamide 1,1-dioxide", 12583 },
	{ "BZW", "", "", ResidueType::NON_POLYMER, false, "4-[(3~{S})-4-ethanoyl-3-(phenylmethyl)piperazin-1-yl]carbonylbenzenesulfonamide", 12584 },
	{ "BZX", "", "", ResidueType::NON_POLYMER, false, "1,3-benzodioxol-5-ol", 12585 },
	{ "BZY", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-amino-N-{(2S)-1-[(4-carbamimidoylbenzyl)amino]-1-oxopropan-2-yl}-4-(4-hydroxyphenyl)butanamide", 12586 },
	{ "BZZ", "", "", ResidueType::NON_POLYMER, false, "BENZYLHYDRAZINE", 12587 },
	{ "C", "", "", ResidueType::RNA_LINKING, false, "CYTIDINE-5'-MONOPHOSPHATE", 12588 },
	{ "C00", "", "", ResidueType::NON_POLYMER, false, "2-(4-hydroxybiphenyl-3-yl)-4-methyl-1H-isoindole-1,3(2H)-dione", 12589 },
	{ "C01", "", "", ResidueType::NON_POLYMER, false, "(2S)-(4-ISOPROPYLPHENYL)[(2-METHYL-3-OXO-5,7-DIPROPYL-2,3-DIHYDRO-1,2-BENZISOXAZOL-6-YL)OXY]ACETATE", 12590 },
	{ "C02", "", "", ResidueType::NON_POLYMER, false, "4-(5-BENZENESULFONYLAMINO-1-METHYL-1H-BENZOIMIDAZOL-2-YLMETHYL)-BENZAMIDINE", 12591 },
	{ "C03", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(4-CHLORO-3-{[3-(6-METHOXY-1,2-BENZISOXAZOL-3-YL)-2-METHYL-6-(TRIFLUOROMETHOXY)-1H-INDOL-1-YL]METHYL}PHENOXY)PROPANOIC ACID", 12592 },
	{ "C04", "", "", ResidueType::NON_POLYMER, false, "(6R,7R)-7-({(2Z)-2-(2-amino-1,3-thiazol-4-yl)-2-[(carboxymethoxy)imino]acetyl}amino)-3-ethenyl-8-oxo-5-thia-1-azabicyclo[4.2.0]oct-2-ene-2-carboxylic acid", 12593 },
	{ "C05", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-[(1-cyclopentyl-1,2,3,4-tetrazol-5-yl)sulfanyl]-~{N}-(furan-2-ylmethyl)propanamide", 12594 },
	{ "C07", "", "", ResidueType::NON_POLYMER, false, "1-amino-5-(5-hydroxy-2-methylphenyl)-7,8,9,10-tetrahydropyrimido[4,5-c]isoquinolin-6(5H)-one", 12595 },
	{ "C08", "", "", ResidueType::NON_POLYMER, false, "difluoro(5-{2-[(5-octyl-1H-pyrrol-2-yl-kappaN)methylidene]-2H-pyrrol-5-yl-kappaN}pentanoato)boron", 12596 },
	{ "C09", "", "", ResidueType::NON_POLYMER, false, "2-(ethoxymethyl)-1H-imidazo[4,5-c]quinolin-4-amine", 12597 },
	{ "C0A", "", "", ResidueType::NON_POLYMER, false, "3-bromo-4-[difluoro(phosphono)methyl]-N-methyl-Nalpha-(methylsulfonyl)-L-phenylalaninamide", 12598 },
	{ "C0E", "", "", ResidueType::NON_POLYMER, false, "3-fluoro-6-(4-fluorophenyl)-2-hydroxy-6-oxohexa-2,4-dienoic acid", 12599 },
	{ "C0K", "", "", ResidueType::NON_POLYMER, false, "{(1S)-1-(3,4-difluorophenyl)-4-[hydroxy(methyl)amino]-4-oxobutyl}phosphonic acid", 12600 },
	{ "C0M", "", "", ResidueType::NON_POLYMER, false, "N-{3-CYANO-6-[3-(1-PIPERIDINYL)PROPANOYL]-4,5,6,7-TETRAHYDROTHIENO[2,3-C]PYRIDIN-2-YL}1-NAPHTHALENECARBOXAMIDE", 12601 },
	{ "C0P", "", "", ResidueType::NON_POLYMER, false, "4-CHLORO-6-[2,4-DICHLORO-5-(2-MORPHOLIN-4-YLETHOXY)PHENYL]PYRIMIDIN-2-AMINE", 12602 },
	{ "C0R", "", "", ResidueType::NON_POLYMER, false, "CORTICOSTERONE", 12603 },
	{ "C0S", "", "", ResidueType::NON_POLYMER, false, "1,1,1,3,3,3-hexafluoropropan-2-yl 3-(3-phenyl-1,2,4-oxadiazol-5-yl)azetidine-1-carboxylate", 12604 },
	{ "C0T", "", "", ResidueType::NON_POLYMER, false, "Calicheamicin T0", 12605 },
	{ "C0Y", "", "", ResidueType::NON_POLYMER, false, "(3-TERT-BUTYL-4-HYDROXYPHENYL)MORPHOLIN-4-YL-METHANONE", 12606 },
	{ "C0Z", "", "", ResidueType::NON_POLYMER, false, "6-CHLORO-N-[(3S)-1-[(1S)-1-DIMETHYLAMINO-2,3-DIHYDRO-1H-INDEN-5-YL]-2-OXO-PYRROLIDIN-3-YL]NAPHTHALENE-2-SULFONAMIDE", 12607 },
	{ "C10", "", "", ResidueType::NON_POLYMER, false, "HEXAETHYLENE GLYCOL MONODECYL ETHER", 12608 },
	{ "C11", "", "", ResidueType::NON_POLYMER, false, "UNDECYL-PHOSPHINIC ACID BUTYL ESTER", 12609 },
	{ "C12", "", "", ResidueType::PEPTIDE_LINKING, false, "2-(1-AMINO-2-HYDROXYPROPYL)-4-(4-HYDROXYBENZYL)-1-(2-OXOETHYL)-1H-IMIDAZOL-5-OLATE", 12610 },
	{ "C13", "", "", ResidueType::NON_POLYMER, false, "1-{3-[(3,5-dichlorobenzyl)amino]propyl}-3-phenylurea", 12611 },
	{ "C14", "", "", ResidueType::NON_POLYMER, false, "TETRADECANE", 12612 },
	{ "C15", "", "", ResidueType::NON_POLYMER, false, "N-DODECYL-N,N-DIMETHYL-3-AMMONIO-1-PROPANESULFONATE", 12613 },
	{ "C16", "", "", ResidueType::NON_POLYMER, false, "4-(4-methyl-1,3-dioxo-1,3-dihydro-2H-isoindol-2-yl)benzonitrile", 12614 },
	{ "C17", "", "", ResidueType::NON_POLYMER, false, "7-[(3-CHLOROBENZYL)OXY]-2-OXO-2H-CHROMENE-4-CARBALDEHYDE", 12615 },
	{ "C18", "", "", ResidueType::NON_POLYMER, false, "7-[(3-CHLOROBENZYL)OXY]-4-[(METHYLAMINO)METHYL]-2H-CHROMEN-2-ONE", 12616 },
	{ "C19", "", "", ResidueType::NON_POLYMER, false, "3-(2-aminoquinazolin-6-yl)-1-(3,3-dimethylindolin-6-yl)-4-methylpyridin-2(1H)-one", 12617 },
	{ "C1A", "", "", ResidueType::NON_POLYMER, false, "(2,5-dimethylbenzene-1,4-diyl)dimethanediyl bis(N-carbamimidoylcarbamimidothioate)", 12618 },
	{ "C1B", "", "", ResidueType::NON_POLYMER, false, "", 12619 },
	{ "C1C", "", "", ResidueType::NON_POLYMER, false, "", 12620 },
	{ "C1D", "", "", ResidueType::NON_POLYMER, false, "1-(2-{[(6-AMINO-2-METHYLPYRIDIN-3-YL)METHYL]AMINO}ETHYL)-6-CHLORO-3-[(2,2-DIFLUORO-2-PYRIDIN-2-YLETHYL)AMINO]-1,4-DIHYDROPYRAZIN-2-OL", 12621 },
	{ "C1E", "", "", ResidueType::NON_POLYMER, false, "(2Z,4E)-3-chloro-2-hydroxy-6-oxo-6-phenylhexa-2,4-dienoic acid", 12622 },
	{ "C1F", "", "", ResidueType::NON_POLYMER, false, "3-CARBOXY-4-METHYL-5-PROPYL-2-FURANPROPIONIC", 12623 },
	{ "C1G", "", "", ResidueType::NON_POLYMER, false, "N~1~-[(2S)-1-amino-5-(carbamoylamino)pentan-2-yl]-N'~1~-[(1R)-1-(thiophen-3-yl)ethyl]cyclobutane-1,1-dicarboxamide", 12624 },
	{ "C1H", "", "", ResidueType::NON_POLYMER, false, "4-(nitrooxy)butyl 3-[(5-sulfamoyl-1,3,4-thiadiazol-2-yl)sulfamoyl]benzoate", 12625 },
	{ "C1I", "", "", ResidueType::NON_POLYMER, false, "CORTISTATIN A", 12626 },
	{ "C1J", "", "", ResidueType::NON_POLYMER, false, "N~5~-(N-octylcarbamimidoyl)-L-ornithine", 12627 },
	{ "C1K", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3S,4R,5R)-4-(cyclohexylamino)-5-(hydroxymethyl)cyclopentane-1,2,3-triol", 12628 },
	{ "C1L", "", "", ResidueType::NON_POLYMER, false, "6-methoxy-3,8-dimethyl-4-(morpholin-4-ylmethyl)-1H-pyrazolo[3,4-b]quinoline", 12629 },
	{ "C1M", "", "", ResidueType::NON_POLYMER, false, "1-(4-CHLOROPHENYL)-1H-TETRAZOLE", 12630 },
	{ "C1N", "", "", ResidueType::NON_POLYMER, false, "N-[(BENZYLOXY)CARBONYL]LEUCYL-N~1~-[3-FLUORO-1-(4-HYDROXYBENZYL)-2-OXOPROPYL]LEUCINAMIDE", 12631 },
	{ "C1O", "", "", ResidueType::NON_POLYMER, false, "CU-O LINKAGE", 12632 },
	{ "C1P", "", "", ResidueType::NON_POLYMER, false, "N~2~-(morpholin-4-ylcarbonyl)-N-[(3S)-1-phenyl-5-(phenylsulfonyl)pentan-3-yl]-L-leucinamide", 12633 },
	{ "C1Q", "", "", ResidueType::NON_POLYMER, false, "N-{(1S,2S,3R)-1-[(alpha-D-galactopyranosyloxy)methyl]-2,3-dihydroxyheptadecyl}-10-phenyldecanamide", 12634 },
	{ "C1R", "", "", ResidueType::NON_POLYMER, false, "4-PIPERIDINEBUTYRATE", 12635 },
	{ "C1S", "", "", ResidueType::NON_POLYMER, false, "3-(prop-2-en-1-yldisulfanyl)-L-alanine", 12636 },
	{ "C1T", "", "", ResidueType::PEPTIDE_LINKING, false, "S-[(1S,6R)-3,6-dihydroxy-4-methyl-2,5-dioxocyclohex-3-en-1-yl]-L-cysteine", 12637 },
	{ "C1V", "", "", ResidueType::NON_POLYMER, false, "3-[4-(2-hydroxyphenyl)phenyl]-4-oxidanyl-6-oxidanylidene-7H-thieno[2,3-b]pyridine-5-carbonitrile", 12638 },
	{ "C1X", "", "", ResidueType::PEPTIDE_LINKING, false, "(Z)-N~6~-[(4R,5S)-5-(2-CARBOXYETHYL)-4-(CARBOXYMETHYL)DIHYDRO-2H-THIOPYRAN-3(4H)-YLIDENE]-L-LYSINE", 12639 },
	{ "C1Z", "", "", ResidueType::NON_POLYMER, false, "", 12640 },
	{ "C20", "", "", ResidueType::NON_POLYMER, false, "ACETYL-NH-VAL-CYCLOHEXYL-CH2[NCH2CHOH]CH2-BENZYL-VAL-NH-ACETYL", 12641 },
	{ "C21", "", "", ResidueType::NON_POLYMER, false, "THIOPHENE-2-CARBOXYLIC ACID", 12642 },
	{ "C22", "", "", ResidueType::PEPTIDE_LINKING, false, "3-chloro-L-alanine", 12643 },
	{ "C23", "", "", ResidueType::NON_POLYMER, false, "1-[3-methyl-4-(piperidin-4-yloxy)-1-benzofuran-2-yl]-3-phenylpropan-1-one", 12644 },
	{ "C24", "", "", ResidueType::NON_POLYMER, false, "3-({2-[(4-CARBAMIMIDOYL-PHENYLAMINO)-METHYL]-3-METHYL-3H-BENZOIMIDAZOLE-5-CARBONYL}-PYRIDIN-2-YL-AMINO)-PROPIONIC ACID ETHYL ESTER", 12645 },
	{ "C25", "", "C5P", ResidueType::RNA_LINKING, true, "CYTIDINE-5'-MONOPHOSPHATE", 12646 },
	{ "C26", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-ETHYL-1-HEXANESULFONIC ACID", 12647 },
	{ "C27", "", "", ResidueType::NON_POLYMER, false, "(6R)-2-amino-6-[2-(3'-methoxybiphenyl-3-yl)ethyl]-3,6-dimethyl-5,6-dihydropyrimidin-4(3H)-one", 12648 },
	{ "C28", "", "", ResidueType::NON_POLYMER, false, "N-[1-(AMINOMETHYL)CYCLOPROPYL]-3-(MORPHOLIN-4-YLSULFONYL)-N~2~-[(1S)-2,2,2-TRIFLUORO-1-(4-FLUOROPHENYL)ETHYL]-L-ALANINAMIDE", 12649 },
	{ "C29", "", "", ResidueType::NON_POLYMER, false, "4-methyl-3,4-dihydro-2H-1,4-benzoxazine-7-carboxylic acid", 12650 },
	{ "C2A", "", "", ResidueType::NON_POLYMER, false, "1-(3-CHLOROPHENYL)METHANAMINE", 12651 },
	{ "C2B", "", "", ResidueType::NON_POLYMER, false, "1-(4-CHLOROPHENYL)METHANAMINE", 12652 },
	{ "C2C", "", "", ResidueType::NON_POLYMER, false, "CU-CL-CU LINKAGE", 12653 },
	{ "C2D", "", "", ResidueType::NON_POLYMER, false, "6-CHLORO-1-(2-{[(5-CHLORO-1-BENZOTHIEN-3-YL)METHYL]AMINO}ETHYL)-3-[(2-PYRIDIN-2-YLETHYL)AMINO]-1,4-DIHYDROPYRAZIN-2-OL", 12654 },
	{ "C2E", "", "", ResidueType::NON_POLYMER, false, "", 12655 },
	{ "C2F", "", "", ResidueType::NON_POLYMER, false, "5-METHYL-5,6,7,8-TETRAHYDROFOLIC ACID", 12656 },
	{ "C2G", "", "", ResidueType::NON_POLYMER, false, "", 12657 },
	{ "C2H", "", "", ResidueType::NON_POLYMER, false, "acetylene", 12658 },
	{ "C2J", "", "", ResidueType::NON_POLYMER, false, "N-[6-(4-hydroxyphenyl)-2H-indazol-3-yl]cyclopropanecarboxamide", 12659 },
	{ "C2K", "", "", ResidueType::NON_POLYMER, false, "(3~{S})-~{N}-[1-(aminomethyl)cyclopropyl]-19-chloranyl-5-oxidanylidene-9-(trifluoromethyl)-12,17-dioxa-4-azatricyclo[16.2.2.0^{6,11}]docosa-1(20),6(11),7,9,18,21-hexaene-3-carboxamide", 12660 },
	{ "C2L", "", "", ResidueType::RNA_LINKING, false, "", 12661 },
	{ "C2M", "", "", ResidueType::NON_POLYMER, false, "5-(3,4-DICHLOROPHENYL)-6-METHYLPYRIMIDINE-2,4-DIAMINE", 12662 },
	{ "C2N", "", "", ResidueType::PEPTIDE_LINKING, false, "3-chloro-D-alanine", 12663 },
	{ "C2O", "", "", ResidueType::NON_POLYMER, false, "CU-O-CU LINKAGE", 12664 },
	{ "C2P", "", "", ResidueType::NON_POLYMER, false, "CYTIDINE-2'-MONOPHOSPHATE", 12665 },
	{ "C2Q", "", "", ResidueType::NON_POLYMER, false, "[(3~{R})-3-carboxy-7-[(4-methylnaphthalen-1-yl)methyl]-5-oxidanylidene-2,3-dihydro-[1,3]thiazolo[3,2-a]pyridin-8-yl]-dimethyl-azanium", 12666 },
	{ "C2R", "", "", ResidueType::NON_POLYMER, false, "5-AMINO-1-(5-O-PHOSPHONO-BETA-D-RIBOFURANOSYL)-1H-IMIDAZOLE-4-CARBOXYLIC ACID", 12667 },
	{ "C2S", "", "", ResidueType::DNA_LINKING, false, "CYTIDINE-5'-DITHIOPHOSPHORATE", 12668 },
	{ "C2T", "", "", ResidueType::NON_POLYMER, false, "3-(1-Ethyl-1,1-dimethylhydrazin-1-ium-2-yl)propanoic acid", 12669 },
	{ "C2U", "", "", ResidueType::NON_POLYMER, false, "3,5-dichloro-2-hydroxybenzoic acid", 12670 },
	{ "C2V", "", "", ResidueType::NON_POLYMER, false, "N-[2-(dimethylamino)ethyl]-3-[6-(thiophen-2-yl)imidazo[1,2-b]pyridazin-3-yl]benzamide", 12671 },
	{ "C2W", "", "", ResidueType::NON_POLYMER, false, "(3~{S})-19-chloranyl-~{N}-(1-cyanocyclopropyl)-8-methoxy-5-oxidanylidene-12,17-dioxa-4-azatricyclo[16.2.2.0^{6,11}]docosa-1(20),6(11),7,9,18,21-hexaene-3-carboxamide", 12672 },
	{ "C2X", "", "", ResidueType::NON_POLYMER, false, "", 12673 },
	{ "C2Y", "", "", ResidueType::NON_POLYMER, false, "methyl 1H-indole-3-carboxylate", 12674 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "5-(5-hydroxyl-isoxazol-3-yl)-furan-2-phosphonic acid", 12675 },
	{ "C31", "", "", ResidueType::RNA_LINKING, false, "", 12676 },
	{ "C32", "", "CBR", ResidueType::DNA_LINKING, true, "5-BROMO-2'-DEOXY-CYTIDINE-5'-MONOPHOSPHATE", 12677 },
	{ "C33", "", "", ResidueType::NON_POLYMER, false, "2ALPHA-PROPYL-1ALPHA,25-DIHYDROXYVITAMIN D3", 12678 },
	{ "C34", "", "", ResidueType::DNA_LINKING, false, "N4-METHYL-2'-DEOXY-CYTIDINE-5'-MONOPHOSPHATE", 12679 },
	{ "C35", "", "", ResidueType::NON_POLYMER, false, "N~2~-{[1-(4-CHLOROPHENYL)-5-METHYL-1H-1,2,4-TRIAZOL-3-YL]CARBONYL}-N~5~-(DIAMINOMETHYLIDENE)-L-ORNITHYL-L-LEUCYL-L-ISOLEUCYL-4-FLUORO-L-PHENYLALANINAMIDE", 12680 },
	{ "C36", "", "", ResidueType::DNA_LINKING, false, "5-METHYL-5-FLUORO-2'-DEOXY-CYTIDINE-5'-MONOPHOSPHATE", 12681 },
	{ "C37", "", "", ResidueType::DNA_LINKING, false, "5-FLUORO-2'-DEOXY-CYTIDINE-5'-MONOPHOSPHATE", 12682 },
	{ "C38", "", "", ResidueType::DNA_LINKING, false, "5-IODO-2'-DEOXY-CYTIDINE-5'-MONOPHOSPHATE", 12683 },
	{ "C39", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,4S,5S,7R)-4-AMINO-8-(BUTYLAMINO)-5-HYDROXY-7-METHYL-2-(1-METHYLETHYL)-8-OXOOCTYL]-2-(3-METHOXYPROPOXY)BENZAMIDE", 12684 },
	{ "C3A", "", "", ResidueType::NON_POLYMER, false, "ALLYL {(1S)-1-[(5-{4-[(2,3-DIHYDRO-1H-INDEN-2-YLAMINO)CARBONYL]BENZYL}-1,2,4-OXADIAZOL-3-YL)CARBONYL]-3-PYRROLIDIN-3-YLPROPYL}CARBAMATE", 12685 },
	{ "C3B", "", "", ResidueType::NON_POLYMER, false, "4-amino-1-beta-D-glucopyranosylpyrimidin-2(1H)-one", 12686 },
	{ "C3D", "", "", ResidueType::NON_POLYMER, false, "(5R,6S)-6-PHENYL-5-[4-(2-PYRROLIDIN-1-YLETHOXY)PHENYL]-5,6,7,8-TETRAHYDRONAPHTHALEN-2-OL", 12687 },
	{ "C3E", "", "", ResidueType::NON_POLYMER, false, "(3~{S},14~{E})-19-chloranyl-~{N}-(1-cyanocyclopropyl)-5-oxidanylidene-12,17-dioxa-4-azatricyclo[16.2.2.0^{6,11}]docosa-1(21),6(11),7,9,14,18(22),19-heptaene-3-carboxamide", 12688 },
	{ "C3F", "", "", ResidueType::NON_POLYMER, false, "3-[7,8-dimethyl-2,4-bis(oxidanylidene)benzo[g]pteridin-10-yl]propylcarbamic acid", 12689 },
	{ "C3G", "", "", ResidueType::NON_POLYMER, false, "4-nitrophenyl beta-D-glucopyranosiduronic acid", 12690 },
	{ "C3J", "", "", ResidueType::NON_POLYMER, false, "5-[7-(difluoromethyl)-6-(1-methyl-1H-pyrazol-4-yl)-3,4-dihydroquinolin-1(2H)-yl]-N-methyl-1H-indole-3-carboxamide", 12691 },
	{ "C3M", "", "", ResidueType::NON_POLYMER, false, "N-[(2R,3S)-3-AMINO-2-HYDROXY-4-PHENYLBUTYL]NAPHTHALENE-2-SULFONAMIDE", 12692 },
	{ "C3O", "", "", ResidueType::NON_POLYMER, false, "2ALPHA-PROPOXY-1ALPHA,25-DIHYDROXYVITAMIN D3", 12693 },
	{ "C3P", "", "", ResidueType::NON_POLYMER, false, "CYTIDINE-3'-MONOPHOSPHATE", 12694 },
	{ "C3Q", "", "", ResidueType::NON_POLYMER, false, "N-[8-({[5-(dimethylamino)naphthalen-1-yl]sulfonyl}amino)octyl]-3-[(3S,5S,7S)-tricyclo[3.3.1.1~3,7~]dec-1-yl]propanamide", 12695 },
	{ "C3R", "", "", ResidueType::NON_POLYMER, false, "Carolacton", 12696 },
	{ "C3S", "", "", ResidueType::NON_POLYMER, false, "CHOLEST-5-EN-3-YL HYDROGEN SULFATE", 12697 },
	{ "C3V", "", "", ResidueType::NON_POLYMER, false, "5-[7-(difluoromethyl)-6-(1-methyl-1H-pyrazol-4-yl)-3,4-dihydroquinolin-1(2H)-yl]-3-methyl-1,3-benzothiazol-2(3H)-one", 12698 },
	{ "C3X", "", "", ResidueType::SACCHARIDE, false, "2,3-EPOXYPROPYL-BETA-D-XYLOSIDE", 12699 },
	{ "C3Y", "", "", ResidueType::PEPTIDE_LINKING, false, "S-[(1S)-1-HYDROXY-1-(HYDROXYAMINO)ETHYL]-L-CYSTEINE", 12700 },
	{ "C3Z", "", "", ResidueType::NON_POLYMER, false, "3-(phenylmethyl)-5-(2-phenylpyrazol-3-yl)-2~{H}-indazol-6-ol", 12701 },
	{ "C40", "", "", ResidueType::NON_POLYMER, false, "N-[(2R,4S,5S,7R)-4-AMINO-8-(BUTYLAMINO)-5-HYDROXY-2,7-DIMETHYL-8-OXOOCTYL]-2-(3-METHOXYPROPOXY)BENZAMIDE", 12702 },
	{ "C41", "", "", ResidueType::NON_POLYMER, false, "ALISKIREN", 12703 },
	{ "C42", "", "", ResidueType::DNA_LINKING, false, "3'-AMINO-2'-DEOXY-CYTIDINE-5'-MONOPHOSPHATE", 12704 },
	{ "C43", "", "", ResidueType::RNA_LINKING, false, "2'-O-METHYOXYETHYL-CYTIDINE-5'-MONOPHOSPHATE", 12705 },
	{ "C44", "", "", ResidueType::NON_POLYMER, false, "N-{(1S,2R)-1-benzyl-2-hydroxy-3-[(1S)-1,2,3,4-tetrahydronaphthalen-1-ylamino]propyl}-3-(1,1-dioxido-1,2-thiazinan-2-yl)-5-(ethylamino)benzamide", 12706 },
	{ "C45", "", "", ResidueType::DNA_LINKING, false, "N4-METHOXY-2'-DEOXY-CYTIDINE-5'-MONOPHOSPHATE", 12707 },
	{ "C46", "", "", ResidueType::DNA_LINKING, false, "6H,8H-3,4-DIHYDROPYRIMIDO[4,5-C][1,2]OXAZIN-7-0NE(CYTIDINE)-5'-MONOPHOSPHATE", 12708 },
	{ "C47", "", "", ResidueType::NON_POLYMER, false, "METHYL (3R)-1-[(5S,6S,8R)-5-AMINO-9-BUTYLAMINO-6-HYDROXY-3,3,8-TRIMETHYL-9-OXO-NONANOYL]-3,4-DIHYDRO-2H-QUINOLINE-3-CARBOXYLATE", 12709 },
	{ "C48", "", "", ResidueType::NON_POLYMER, false, "N1-(1-DIMETHYLCARBAMOYL-2-PHENYL-ETHYL)-2-OXO-N4-(2-PYRIDIN-2-YL-ETHYL)-SUCCINAMIDE", 12710 },
	{ "C49", "", "", ResidueType::DNA_LINKING, false, "4-THIO,5-FLUORO,5-METHYL-2'-DEOXY-CYTIDINE-5'-MONOPHOSPHATE", 12711 },
	{ "C4A", "", "", ResidueType::NON_POLYMER, false, "ETHYL {(1S)-5-AMINO-1-[(5-{4-[(2,3-DIHYDRO-1H-INDEN-2-YLAMINO)CARBONYL]BENZYL}-1,2,4-OXADIAZOL-3-YL)CARBONYL]PENTYL}CARBAMATE", 12712 },
	{ "C4B", "", "", ResidueType::NON_POLYMER, false, "1-beta-D-glucopyranosyl-1,3,5-triazinane-2,4,6-trione", 12713 },
	{ "C4C", "", "", ResidueType::NON_POLYMER, false, "N-(4-chlorobenzyl)-N',N'-dimethyl-N-pyridin-2-ylethane-1,2-diamine", 12714 },
	{ "C4D", "", "", ResidueType::NON_POLYMER, false, "4,4'-Diaponeurosporene", 12715 },
	{ "C4E", "", "", ResidueType::NON_POLYMER, false, "N-phenyl-1H-pyrrolo[2,3-b]pyridin-3-amine", 12716 },
	{ "C4F", "", "", ResidueType::NON_POLYMER, false, "3-(3-methoxybenzyl)-1H-pyrrolo[2,3-b]pyridine", 12717 },
	{ "C4G", "", "", ResidueType::NON_POLYMER, false, "N~5~-[N-(3-aminopropyl)carbamimidoyl]-L-ornithine", 12718 },
	{ "C4H", "", "", ResidueType::NON_POLYMER, false, "N-[4-({[5-(DIMETHYLAMINO)-1-NAPHTHYL]SULFONYL}AMINO)BUTYL]-3-SULFANYLPROPANAMIDE", 12719 },
	{ "C4J", "", "", ResidueType::RNA_LINKING, false, "(5S)-5-{3-[(3S)-3-amino-3-carboxypropyl]-1-methyl-2,4-dioxo-1,2,3,4-tetrahydropyrimidin-5-yl}-2,5-anhydro-1-O-phosphono-L-arabinitol", 12720 },
	{ "C4K", "", "", ResidueType::NON_POLYMER, false, "~{N}-(1,3-benzodioxol-5-yl)-~{N}-methyl-3-[(3-methylphenyl)methyl]-6-oxidanyl-1~{H}-indazole-5-carboxamide", 12721 },
	{ "C4L", "", "", ResidueType::NON_POLYMER, false, "N-butanoyl-L-homoserine", 12722 },
	{ "C4M", "", "", ResidueType::NON_POLYMER, false, "N-[(2R,3S)-3-AMINO-2-HYDROXY-4-PHENYLBUTYL]-4-METHOXY-2,3,6-TRIMETHYLBENZENESULFONAMIDE", 12723 },
	{ "C4N", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(4-chlorophenyl)methyl]-~{N}-methyl-3-[(3-methylphenyl)methyl]-6-oxidanyl-1~{H}-indazole-5-carboxamide", 12724 },
	{ "C4P", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-2-(BENZYLSULFANYL)-1-FORMYLETHYL]-N-(MORPHOLIN-4-YLCARBONYL)-L-PHENYLALANINAMIDE", 12725 },
	{ "C4Q", "", "", ResidueType::NON_POLYMER, false, "4-(1,4,7,10-tetraazacyclododecan-1-ylmethyl)quinoline", 12726 },
	{ "C4R", "", "", ResidueType::PEPTIDE_LINKING, false, "(R)-2-amino-3-(bicyclo[2.2.1]hepta-2,5-dien-7-ylthio)propanoic acid rhodium", 12727 },
	{ "C4S", "", "", ResidueType::DNA_LINKING, false, "", 12728 },
	{ "C4T", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(4-chlorophenyl)methyl]-~{N}-methyl-6-oxidanyl-3-(phenylmethyl)-1~{H}-indazole-5-carboxamide", 12729 },
	{ "C4V", "", "", ResidueType::NON_POLYMER, false, "(1R,2S)-2-(4-[bis(2-methylpropyl)amino]-3-{[(4-methylphenyl)carbamoyl]amino}phenyl)cyclopropane-1-carboxylic acid", 12730 },
	{ "C4X", "", "", ResidueType::SACCHARIDE, false, "3,4-EPOXYBUTYL-BETA-D-XYLOSIDE", 12731 },
	{ "C4Y", "", "", ResidueType::NON_POLYMER, false, "1-(4-aminobenzyl)-3-{2-oxo-2-[(2R)-2-phenylpyrrolidin-1-yl]ethyl}urea", 12732 },
	{ "C50", "", "", ResidueType::NON_POLYMER, false, "1-[3-(2,3-dichlorophenoxy)propoxy]-6,6-dimethyl-1,6-dihydro-1,3,5-triazine-2,4-diamine", 12733 },
	{ "C51", "", "", ResidueType::NON_POLYMER, false, "(2R)-N-(4-cyanophenyl)-2-[cis-4-(quinolin-4-yl)cyclohexyl]propanamide", 12734 },
	{ "C52", "", "", ResidueType::NON_POLYMER, false, "3-(2-aminoquinazolin-6-yl)-4-methyl-1-[3-(trifluoromethyl)phenyl]pyridin-2(1H)-one", 12735 },
	{ "C53", "", "", ResidueType::NON_POLYMER, false, "2-IMINO-5-(1-PYRIDIN-2-YL-METH-(E)-YLIDENE)-1,3-THIAZOLIDIN-4-ONE", 12736 },
	{ "C54", "", "", ResidueType::NON_POLYMER, false, "(1R)-cyclopent-2-ene-1-carboxylic acid", 12737 },
	{ "C56", "", "", ResidueType::NON_POLYMER, false, "4-(DIMETHYLAMINO)-N-{[(2R)-1-ETHYLPYRROLIDIN-2-YL]METHYL}-2-METHOXY-5-NITROBENZAMIDE", 12738 },
	{ "C57", "", "", ResidueType::NON_POLYMER, false, "4-(DIMETHYLAMINO)-N-{[(2S)-1-ETHYLPYRROLIDIN-2-YL]METHYL}-2-METHOXY-5-NITROBENZAMIDE", 12739 },
	{ "C58", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-phenyl-N~1~-[2-(pyridin-4-yl)-5,6,7,8-tetrahydro[1]benzothieno[2,3-d]pyrimidin-4-yl]propane-1,2-diamine", 12740 },
	{ "C5A", "", "", ResidueType::NON_POLYMER, false, "(1S,3S)-1-aminocyclopentane-1,3-dicarboxylic acid", 12741 },
	{ "C5B", "", "", ResidueType::NON_POLYMER, false, "(1S,3R)-1-AMINOCYCLOPENTANE-1,3-DICARBOXYLIC ACID", 12742 },
	{ "C5C", "", "", ResidueType::PEPTIDE_LINKING, false, "S-CYCLOPENTYL THIOCYSTEINE", 12743 },
	{ "C5D", "", "", ResidueType::NON_POLYMER, false, "(1R,3R)-5-[(2E)-3-{(1S,3R)-2,2,3-trimethyl-3-[6,6,6-trifluoro-5-hydroxy-5-(trifluoromethyl)hex-3-yn-1-yl]cyclopentyl}prop-2-en-1-ylidene]cyclohexane-1,3-diol", 12744 },
	{ "C5E", "", "", ResidueType::NON_POLYMER, false, "(1R,5S)-1,2,3,4,5,6-HEXAHYDRO-8H-1,5-METHANOPYRIDO[1,2-A][1,5]DIAZOCIN-8-ONE", 12745 },
	{ "C5G", "", "", ResidueType::NON_POLYMER, false, "", 12746 },
	{ "C5I", "", "", ResidueType::NON_POLYMER, false, "3-oxo-3-[(3R)-3-(pyrrolo[2,3-b][1,2,3]triazolo[4,5-d]pyridin-1(6H)-yl)piperidin-1-yl]propanenitrile", 12747 },
	{ "C5J", "", "", ResidueType::NON_POLYMER, false, "dicarbonimidic diamide", 12748 },
	{ "C5L", "", "", ResidueType::RNA_LINKING, false, "", 12749 },
	{ "C5M", "", "", ResidueType::NON_POLYMER, false, "N-{(2R,3S)-3-[(3-CHLOROBENZYL)AMINO]-2-HYDROXY-4-PHENYLBUTYL}-4-METHOXY-2,3,6-TRIMETHYLBENZENESULFONAMIDE", 12750 },
	{ "C5N", "", "", ResidueType::NON_POLYMER, false, "~{N}-(2,6-diethylphenyl)-8-[[2-methoxy-4-(4-methylpiperazin-1-yl)phenyl]amino]-1-methyl-4,5-dihydropyrazolo[4,3-h]quinazoline-3-carboxamide", 12751 },
	{ "C5P", "C25", "", ResidueType::NON_POLYMER, false, "CYTIDINE-5'-MONOPHOSPHATE", 12752 },
	{ "C5Q", "", "", ResidueType::NON_POLYMER, false, "5-(1H-indol-3-ylmethyl)-1,3-benzodioxole-4-carboxylic acid", 12753 },
	{ "C5S", "", "", ResidueType::NON_POLYMER, false, "N-formyl-D-aspartic acid", 12754 },
	{ "C5W", "", "", ResidueType::NON_POLYMER, false, "2-methoxy-5-[4-[5-[(4-propan-2-ylpiperazin-1-yl)methyl]-1,3-oxazol-2-yl]-2~{H}-indazol-6-yl]pyridine-3-carboxylic acid", 12755 },
	{ "C5X", "", "", ResidueType::SACCHARIDE, false, "4,5-EPOXYPENTYL-BETA-D-XYLOSIDE", 12756 },
	{ "C5Z", "", "", ResidueType::NON_POLYMER, false, "methyl 2-methoxy-5-[4-[5-[(4-propan-2-ylpiperazin-1-yl)methyl]-1,3-oxazol-2-yl]-2~{H}-indazol-6-yl]pyridine-3-carboxylate", 12757 },
	{ "C60", "", "", ResidueType::NON_POLYMER, false, "[[[3-(2-METHYL-PROPANE-2-SULFONYL)-1-BENZENYL]-2-PROPYL]-CARBONYL-HISTIDYL]-AMINO-[CYCLOHEXYLMETHYL]-[2-HYDROXY-4-ISOPROPYL]-PENTAN-5-OIC ACID BUTYLAMIDE", 12758 },
	{ "C61", "", "", ResidueType::NON_POLYMER, false, "(2R,4S,5S,7S)-5-AMINO-N-BUTYL-4-HYDROXY-7-[4-METHOXY-3-(3-METHOXYPROPOXY)BENZYL]-2,8-DIMETHYLNONANAMIDE", 12759 },
	{ "C62", "", "", ResidueType::NON_POLYMER, false, "4-{5-[(Z)-(2,4-DIOXO-1,3-THIAZOLIDIN-5-YLIDENE)METHYL]FURAN-2-YL}BENZENESULFONAMIDE", 12760 },
	{ "C63", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,3-bis(hexyloxy)propyl hydrogen (S)-pentylphosphonate", 12761 },
	{ "C64", "", "", ResidueType::NON_POLYMER, false, "N-(4-bromophenyl)-2-[2-(1,3-thiazol-2-yl)-1H-benzimidazol-1-yl]acetamide", 12762 },
	{ "C65", "", "", ResidueType::NON_POLYMER, false, "(2E)-N-hydroxy-3-{4-[(E)-phenyldiazenyl]phenyl}prop-2-enamide", 12763 },
	{ "C66", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINOETHYLLYSINE-CARBONYLMETHYLENE-CYTOSINE", 12764 },
	{ "C67", "", "", ResidueType::NON_POLYMER, false, "N~5~-[N-(2-carboxyethyl)carbamimidoyl]-L-ornithine", 12765 },
	{ "C69", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(3-bromophenyl)-3-(2,4-dimethoxyphenyl)-1,3-thiazolidin-4-one", 12766 },
	{ "C6A", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3R)-4-{[(2R,4S)-2-cyclopropyl-6-(2,2-dimethylpropyl)-3,4-dihydro-2H-chromen-4-yl]amino}-1-(3,5-difluorophenyl)-3-hydroxybutan-2-yl]acetamide", 12767 },
	{ "C6B", "", "", ResidueType::NON_POLYMER, false, "[(2S,3S,4R,5S)-5-(4-amino-2-oxo-pyrimidin-1-yl)-4-hydroxy-2-(hydroxymethyl)oxolan-3-yl] dihydrogen phosphate", 12768 },
	{ "C6C", "", "", ResidueType::PEPTIDE_LINKING, false, "S-CYCLOHEXYL THIOCYSTEINE", 12769 },
	{ "C6D", "", "", ResidueType::NON_POLYMER, false, "N~5~-[N-(3-hydroxypropyl)carbamimidoyl]-L-ornithine", 12770 },
	{ "C6G", "", "", ResidueType::DNA_LINKING, false, "6-(carboxymethoxy)-9-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-9H-purin-2-amine", 12771 },
	{ "C6J", "", "", ResidueType::NON_POLYMER, false, "[2-(1-methylpyridin-2-yl)-1-phosphono-ethyl]phosphonic acid", 12772 },
	{ "C6L", "", "", ResidueType::NON_POLYMER, false, "N-hexanoyl-L-homoserine", 12773 },
	{ "C6M", "", "", ResidueType::NON_POLYMER, false, "[1-phosphono-2-(1-propylpyridin-2-yl)ethyl]phosphonic acid", 12774 },
	{ "C6N", "", "", ResidueType::NON_POLYMER, false, "6-cyclohexyl-2-(4-cyclohexylbutyl)-2-({[4-O-(alpha-D-glucopyranosyl)-beta-D-glucopyranosyl]oxy}methyl)hexyl 4-O-alpha-D-glucopyranosyl-beta-D-glucopyranoside", 12775 },
	{ "C6P", "", "", ResidueType::NON_POLYMER, false, "N-({3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}METHYL)-L-CYSTEINE", 12776 },
	{ "C6Q", "", "", ResidueType::NON_POLYMER, false, "N-{(1S,2S,3R)-1-[(alpha-D-galactopyranosyloxy)methyl]-2,3-dihydroxyheptadecyl}-6-phenylhexanamide", 12777 },
	{ "C6S", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-(cyclohexylcarbonylamino)-2-oxidanyl-3,4-dihydro-1,2-benzoxaborinine-8-carboxylic acid", 12778 },
	{ "C6T", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-[(S)-hydroxy{[(R)-hydroxy(phosphonomethyl)phosphoryl]amino}phosphoryl]-3,4-dihydrothymidine", 12779 },
	{ "C6V", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-[4-({2-[2-(1,1-difluoroethyl)-4-fluorophenyl]-6-hydroxy-1-benzothiophen-3-yl}oxy)phenyl]prop-2-enoic acid", 12780 },
	{ "C6W", "", "", ResidueType::NON_POLYMER, false, "3-Cyclohexyl-1-Propylphosphocholine", 12781 },
	{ "C6Z", "", "", ResidueType::NON_POLYMER, false, "6-[(2,4-dichlorophenyl)methyl]pyridazine-3-thiol", 12782 },
	{ "C70", "", "", ResidueType::NON_POLYMER, false, "2-(4-chlorophenyl)-4-[(3S)-piperidin-3-ylamino]thieno[2,3-d]pyridazine-7-carboxamide", 12783 },
	{ "C71", "", "", ResidueType::NON_POLYMER, false, "N-[4-(AMINOMETHYL)-1,1-DIOXIDOTETRAHYDRO-2H-THIOPYRAN-4-YL]-3-(1-METHYLCYCLOPENTYL)-N~2~-[(1E)-N-(PHENYLSULFONYL)ETHANIMIDOYL]-L-ALANINAMIDE", 12784 },
	{ "C72", "", "", ResidueType::NON_POLYMER, false, "2-(4-chlorophenyl)-4-[(3S)-piperidin-3-ylamino]thieno[3,2-c]pyridine-7-carboxamide", 12785 },
	{ "C73", "", "", ResidueType::NON_POLYMER, false, "2-(carbamoylamino)-5-(4-chlorophenyl)-N-[(3S)-piperidin-3-yl]thiophene-3-carboxamide", 12786 },
	{ "C75", "", "", ResidueType::NON_POLYMER, false, "4-{5-[(Z)-(2-IMINO-4-OXO-1,3-THIAZOLIDIN-5-YLIDENE)METHYL]-2-FURYL}-N-METHYLBENZENESULFONAMIDE", 12787 },
	{ "C77", "", "", ResidueType::NON_POLYMER, false, "5'-deoxy-2',3'-O-(1-methylethylidene)-5'-(4-{5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentyl}-1H-1,2,3-triazol-1-yl)adenosine", 12788 },
	{ "C78", "", "", ResidueType::NON_POLYMER, false, "[1-[1-(6-CARBAMOYL-CYCLOHEX-2-ENYLCARBAMOYL)-CYCLOHEXYLCARBAMOYL]-2-(4-PHOSPHONOOXY-PHENYL)- ETHYL]-CARBAMIC ACID 3-AMINOBENZYLESTER", 12789 },
	{ "C7B", "", "", ResidueType::NON_POLYMER, false, "2-(4-chloranylphenoxy)-~{N}-[4-[2-(4-chloranylphenoxy)ethanoylamino]cyclohexyl]ethanamide", 12790 },
	{ "C7C", "", "", ResidueType::NON_POLYMER, false, "5-[(4-chlorophenyl)sulfanyl]-1,2,3-thiadiazole-4-carboxylate", 12791 },
	{ "C7H", "", "", ResidueType::NON_POLYMER, false, "4-(dibenzo[1,2-a:2',1'-d][7]annulen-11-ylidene)-1-methyl-piperidine", 12792 },
	{ "C7J", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,4R,6aS)-4-chlorohexahydrofuro[2,3-b]furan-3-yl [(2S,3R)-4-{[(4-aminophenyl)sulfonyl](2-methylpropyl)amino}-3-hydroxy-1-phenylbutan-2-yl]carbamate", 12793 },
	{ "C7K", "", "", ResidueType::NON_POLYMER, false, "12-[(4-nitro-2,1,3-benzoxadiazol-7-yl)amino]dodecanoic acid", 12794 },
	{ "C7L", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,4R,6aR)-4-(2-methoxyethoxy)hexahydrofuro[2,3-b]furan-3-yl [(2S,3R)-4-{[(4-aminophenyl)sulfonyl](2-methylpropyl)amino}-3-hydroxy-1-phenylbutan-2-yl]carbamate", 12795 },
	{ "C7M", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-N-[5-CHLORO-2-(2,3-DIHYDRO-1H-TETRAZOL-1-YL)BENZYL]-3-HYDROXY-4-{[(4-METHOXYPHENYL)SULFONYL]AMINO}-1-PHENYLBUTAN-2-AMINIUM", 12796 },
	{ "C7P", "", "", ResidueType::NON_POLYMER, false, "cis-diammine(pyridine)chloroplatinum(II)", 12797 },
	{ "C7Q", "", "", ResidueType::NON_POLYMER, false, "(3~{S},14~{E})-19-chloranyl-~{N}-[1-(iminomethyl)cyclopropyl]-5-oxidanylidene-17-oxa-4-azatricyclo[16.2.2.0^{6,11}]docosa-1(21),6,8,10,14,18(22),19-heptaene-3-carboxamide", 12798 },
	{ "C7R", "", "", ResidueType::DNA_LINKING, false, "2'-deoxy-5'-O-thiophosphonocytidine", 12799 },
	{ "C7S", "", "", ResidueType::DNA_LINKING, false, "2'-deoxy-5'-O-thiophosphonocytidine", 12800 },
	{ "C7T", "", "", ResidueType::NON_POLYMER, false, "(3~{S},14~{E})-8-(azetidin-3-yl)-19-chloranyl-~{N}-(1-cyanocyclopropyl)-5-oxidanylidene-12,17-dioxa-4-azatricyclo[16.2.2.0^{6,11}]docosa-1(21),6(11),7,9,14,18(22),19-heptaene-3-carboxamide", 12801 },
	{ "C7U", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,4R,6aS)-4-chlorohexahydrofuro[2,3-b]furan-3-yl {(2S,3R)-3-hydroxy-4-[{[2-(methylamino)-1,3-benzoxazol-6-yl]sulfonyl}(2-methylpropyl)amino]-1-phenylbutan-2-yl}carbamate", 12802 },
	{ "C7V", "", "", ResidueType::NON_POLYMER, false, "4-methyl-N-(1-{[4-(trifluoromethyl)phenyl]methyl}-1H-indazol-3-yl)-1,2-oxazole-5-carboxamide", 12803 },
	{ "C7W", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,4R,6aR)-4-(3,3,3-trifluoropropoxy)hexahydrofuro[2,3-b]furan-3-yl {(2S,3R)-3-hydroxy-4-[{[2-(methylamino)-1,3-benzoxazol-6-yl]sulfonyl}(2-methylpropyl)amino]-1-phenylbutan-2-yl}carbamate", 12804 },
	{ "C7Y", "", "", ResidueType::NON_POLYMER, false, "N~4~-(5-cyclopropyl-1H-pyrazol-3-yl)-N~2~-[(1S)-1-(1H-pyrrolo[3,2-b]pyridin-5-yl)ethyl]pyrimidine-2,4-diamine", 12805 },
	{ "C7Z", "", "", ResidueType::NON_POLYMER, false, "", 12806 },
	{ "C80", "", "", ResidueType::NON_POLYMER, false, "(2S,4S,5R,7R)-4-AMINO-8-(BUTYLAMINO)-5-HYDROXY-2,7-DIMETHYL-8-OXOOCTYL 1-BENZYL-1H-INDOLE-3-CARBOXYLATE", 12807 },
	{ "C81", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-[(1S)-1-fluoroethyl]-3-[2-({(1S)-1-[4-methyl-2'-(trifluoromethyl)[3,4'-bipyridin]-6-yl]ethyl}amino)pyrimidin-4-yl]-1,3-oxazolidin-2-one", 12808 },
	{ "C82", "", "", ResidueType::NON_POLYMER, false, "~{N}-(4-chlorophenyl)-1~{H}-1,2,3-triazol-5-amine", 12809 },
	{ "C84", "", "", ResidueType::NON_POLYMER, false, "", 12810 },
	{ "C85", "", "", ResidueType::NON_POLYMER, false, "4-{5-[(Z)-(2-IMINO-4-OXO-1,3-THIAZOLIDIN-5-YLIDENE)METHYL]FURAN-2-YL}BENZENESULFONAMIDE", 12811 },
	{ "C88", "", "", ResidueType::NON_POLYMER, false, "3-(4-methoxy-3-methylphenyl)-1-(piperidin-4-ylmethyl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 12812 },
	{ "C8C", "", "", ResidueType::NON_POLYMER, false, "2-amino-6-[2-(1H-indol-6-yl)ethyl]pyrimidin-4(3H)-one", 12813 },
	{ "C8D", "", "", ResidueType::NON_POLYMER, false, "N-[(CYCLOPENTYLOXY)CARBONYL]-3-METHYL-L-VALYL-(4R)-N-{(1R)-3-HYDROXY-1-[HYDROXY(OXIDO)BORANYL]PROPYL}-4-(ISOQUINOLIN-1-YLOXY)-L-PROLINAMIDE", 12814 },
	{ "C8E", "OTE", "", ResidueType::NON_POLYMER, false, "(HYDROXYETHYLOXY)TRI(ETHYLOXY)OCTANE", 12815 },
	{ "C8F", "", "", ResidueType::NON_POLYMER, false, "8-(4-fluorophenyl)-N-{(1S,2S,3R)-1-[(alpha-D-galactopyranosyloxy)methyl]-2,3-dihydroxyheptadecyl}octanamide", 12816 },
	{ "C8G", "", "", ResidueType::NON_POLYMER, false, "1-[3-(4-{[(4,5-dichloro-2-hydroxyphenyl)amino]acetyl}piperazin-1-yl)azetidin-1-yl]propan-1-one", 12817 },
	{ "C8J", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-5-[2-(3-aminocarbonylphenyl)ethyl-[[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methyl]amino]-2-azanyl-pentanoic acid", 12818 },
	{ "C8K", "", "", ResidueType::NON_POLYMER, false, "~{N}-(1,3-benzodioxol-5-ylmethyl)-5-bromanyl-3-fluoranyl-pyridine-2-carboxamide", 12819 },
	{ "C8L", "", "", ResidueType::NON_POLYMER, false, "Cucurbit[8]uril", 12820 },
	{ "C8M", "", "", ResidueType::NON_POLYMER, false, "3-[{[(2R,3S,4R,5R)-5-(6-amino-8-methyl-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]methyl}(methyl)amino]propanamide", 12821 },
	{ "C8N", "", "", ResidueType::NON_POLYMER, false, "[(3~{S})-3-carboxy-7-(naphthalen-1-ylmethyl)-5-oxidanylidene-2,3-dihydro-[1,3]thiazolo[3,2-a]pyridin-8-yl]-dimethyl-azanium", 12822 },
	{ "C8P", "", "", ResidueType::NON_POLYMER, false, "N-{(1S,2S,3R)-1-[(alpha-D-galactopyranosyloxy)methyl]-2,3-dihydroxyheptadecyl}-8-phenyloctanamide", 12823 },
	{ "C8Q", "", "", ResidueType::NON_POLYMER, false, "(3~{R})-8-methoxy-7-(naphthalen-1-ylmethyl)-5-oxidanylidene-2,3-dihydro-[1,3]thiazolo[3,2-a]pyridine-3-carboxylic acid", 12824 },
	{ "C8R", "", "", ResidueType::NON_POLYMER, false, "", 12825 },
	{ "C8S", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-1-[(1S,3S,5S)-3-(aminomethyl)-2-azabicyclo[3.1.0]hexan-2-yl]-2-[(1r,3R,5S,7S)-3,5-dihydroxytricyclo[3.3.1.1~3,7~]decan-1-yl]ethan-1-one", 12826 },
	{ "C8W", "", "", ResidueType::NON_POLYMER, false, "4-[5-[2-aminocarbonyl-3,6-bis(azanyl)-5-cyano-thieno[2,3-b]pyridin-4-yl]-2-methoxy-phenoxy]butanoic acid", 12827 },
	{ "C8Z", "", "", ResidueType::NON_POLYMER, false, "4-[(2~{R})-2-phenylpyrrolidin-1-yl]-1~{H}-pyrrolo[2,3-b]pyridine", 12828 },
	{ "C90", "", "", ResidueType::NON_POLYMER, false, "N-{(1S,2R)-2-hydroxy-1-[(hydroxyamino)carbonyl]propyl}-4-{[4-(morpholin-4-ylmethyl)phenyl]ethynyl}benzamide", 12829 },
	{ "C91", "", "", ResidueType::NON_POLYMER, false, "N-(naphthalen-2-yl)-2-[2-(pyridin-2-yl)-1H-benzimidazol-1-yl]acetamide", 12830 },
	{ "C92", "", "", ResidueType::NON_POLYMER, false, "N'-(6-aminopyridin-3-yl)-N-(2-cyclopentylethyl)-4-methyl-benzene-1,3-dicarboxamide", 12831 },
	{ "C93", "", "", ResidueType::NON_POLYMER, false, "3-(4-hydroxypiperidin-1-yl)benzene-1,2-dicarboxylic acid", 12832 },
	{ "C94", "", "", ResidueType::NON_POLYMER, false, "4-{5-[(Z)-(2-IMINO-4-OXO-1,3-THIAZOLIDIN-5-YLIDENE)METHYL]FURAN-2-YL}-2-(TRIFLUOROMETHYL)BENZENESULFONAMIDE", 12833 },
	{ "C95", "", "", ResidueType::NON_POLYMER, false, "4-{5-[(Z)-(2-IMINO-4-OXO-1,3-THIAZOLIDIN-5-YLIDENE)METHYL]FURAN-2-YL}BENZOIC ACID", 12834 },
	{ "C96", "", "", ResidueType::NON_POLYMER, false, "4-{5-[(1Z)-1-(2-IMINO-4-OXO-1,3-THIAZOLIDIN-5-YLIDENE)ETHYL]-2-FURYL}BENZENESULFONAMIDE", 12835 },
	{ "C98", "", "", ResidueType::NON_POLYMER, false, "3-[[3-[3-[(3-chloranyl-4-phenyl-phenyl)methylamino]propylamino]-3-oxidanylidene-propanoyl]amino]benzoic acid", 12836 },
	{ "C99", "", "", ResidueType::PEPTIDE_LINKING, false, "{(2R)-2-[(1S,2R)-1-AMINO-2-HYDROXYPROPYL]-2-HYDROXY-4,5-DIOXOIMIDAZOLIDIN-1-YL}ACETIC ACID", 12837 },
	{ "C9A", "", "", ResidueType::NON_POLYMER, false, "4-chlorobenzyl 6-fluoro-7-(4-methylpiperazin-1-yl)-1-[4-(methylsulfonyl)benzyl]-4-oxo-1,4-dihydroquinoline-3-carboxylate", 12838 },
	{ "C9B", "", "", ResidueType::NON_POLYMER, false, "(3~{S})-3-phenyl-4-(2~{H}-pyrazolo[3,4-b]pyridin-4-yl)morpholine", 12839 },
	{ "C9E", "", "", ResidueType::NON_POLYMER, false, "Ethyl 1H-pyrrolo[2,3-b]pyridine-4-carboxylate", 12840 },
	{ "C9G", "", "", ResidueType::NON_POLYMER, false, "2-[1-(4-hydroxyphenyl)-1H-1,2,3-triazol-4-yl]-7-methyl-1,7-naphthyridin-8(7H)-one", 12841 },
	{ "C9H", "", "", ResidueType::NON_POLYMER, false, "5-(pentylsulfanyl)-1H-1,2,4-triazole", 12842 },
	{ "C9J", "", "", ResidueType::NON_POLYMER, false, "2-[1-(3-fluoro-4-hydroxyphenyl)-1H-1,2,3-triazol-4-yl]-7-methyl-1,7-naphthyridin-8(7H)-one", 12843 },
	{ "C9M", "", "", ResidueType::NON_POLYMER, false, "2-methoxy-4-[(1E)-3-methoxyprop-1-en-1-yl]phenol", 12844 },
	{ "C9P", "", "", ResidueType::NON_POLYMER, false, "4-(dihydroxyboranyl)-2-({[4-(phenylsulfonyl)thiophen-2-yl]sulfonyl}amino)benzoic acid", 12845 },
	{ "C9Q", "", "", ResidueType::NON_POLYMER, false, "4-(3-chlorophenyl)-~{N}-ethyl-1~{H}-pyrrolo[2,3-b]pyridine-2-carboxamide", 12846 },
	{ "C9V", "", "", ResidueType::NON_POLYMER, false, "", 12847 },
	{ "C9Y", "", "", ResidueType::NON_POLYMER, false, "{2-[1-(3-fluoro-4-hydroxyphenyl)-1H-1,2,3-triazol-4-yl]-8-oxo-1,7-naphthyridin-7(8H)-yl}acetic acid", 12848 },
	{ "CA", "", "", ResidueType::NON_POLYMER, false, "CALCIUM ION", 12849 },
	{ "CA0", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-(carbamoyloxy)(hydroxy)phosphoryl]adenosine", 12850 },
	{ "CA1", "", "", ResidueType::NON_POLYMER, false, "ETHYL PROPIONATE", 12851 },
	{ "CA2", "", "", ResidueType::NON_POLYMER, false, "(1S,3R,4R,5S)-1,3,4-TRIHYDROXY-5-(3-PHENOXYPROPYL)CYCLOHEXANECARBOXYLIC ACID", 12852 },
	{ "CA3", "", "", ResidueType::NON_POLYMER, false, "COA-S-TRIMETHYLENE-ACETYL-TRYPTAMINE", 12853 },
	{ "CA4", "", "", ResidueType::NON_POLYMER, false, "CYPROTERONE ACETATE", 12854 },
	{ "CA5", "", "", ResidueType::NON_POLYMER, false, "COA-S-ACETYL 5-BROMOTRYPTAMINE", 12855 },
	{ "CA6", "", "", ResidueType::NON_POLYMER, false, "", 12856 },
	{ "CA7", "", "", ResidueType::NON_POLYMER, false, "7-cyclohexylheptyl 4-O-alpha-D-glucopyranosyl-beta-D-glucopyranoside", 12857 },
	{ "CA8", "", "", ResidueType::NON_POLYMER, false, "", 12858 },
	{ "CA9", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3R)-5-[2-[(1R,3aS,7aR)-1-[(2R)-6-hydroxy-6-methyl-heptan-2-yl]-7a-methyl-1,2,3,3a,6,7-hexahydroinden-4-yl]ethynyl]-2-methyl-cyclohex-4-ene-1,3-diol", 12859 },
	{ "CAA", "", "", ResidueType::NON_POLYMER, false, "ACETOACETYL-COENZYME A", 12860 },
	{ "CAB", "", "", ResidueType::PEPTIDE_LINKING, false, "4,4-dihydroxy-5-oxo-L-norvaline", 12861 },
	{ "CAC", "", "", ResidueType::NON_POLYMER, false, "CACODYLATE ION", 12862 },
	{ "CAD", "", "", ResidueType::NON_POLYMER, false, "CACODYLIC ACID", 12863 },
	{ "CAE", "", "", ResidueType::NON_POLYMER, false, "CAMPHANE", 12864 },
	{ "CAF", "", "", ResidueType::PEPTIDE_LINKING, false, "S-DIMETHYLARSINOYL-CYSTEINE", 12865 },
	{ "CAG", "", "", ResidueType::NON_POLYMER, false, "", 12866 },
	{ "CAH", "", "", ResidueType::NON_POLYMER, false, "5-EXO-HYDROXYCAMPHOR", 12867 },
	{ "CAI", "", "", ResidueType::NON_POLYMER, false, "CARBOMYCIN A", 12868 },
	{ "CAJ", "", "", ResidueType::NON_POLYMER, false, "", 12869 },
	{ "CAK", "", "", ResidueType::NON_POLYMER, false, "[(1R,2R,3S,4S,5R)-2,3,4,5-TETRAHYDROXYCYCLOHEXYL]METHYL DIHYDROGEN PHOSPHATE", 12870 },
	{ "CAL", "", "", ResidueType::PEPTIDE_LIKE, false, "5-AMINO-6-CYCLOHEXYL-4-HYDROXY-2-ISOBUTYL-HEXANOIC ACID", 12871 },
	{ "CAM", "", "", ResidueType::NON_POLYMER, false, "CAMPHOR", 12872 },
	{ "CAN", "", "", ResidueType::NON_POLYMER, false, "CANALINE", 12873 },
	{ "CAO", "", "", ResidueType::NON_POLYMER, false, "OXIDIZED COENZYME A", 12874 },
	{ "CAP", "", "", ResidueType::SACCHARIDE, false, "2-CARBOXYARABINITOL-1,5-DIPHOSPHATE", 12875 },
	{ "CAQ", "", "", ResidueType::NON_POLYMER, false, "CATECHOL", 12876 },
	{ "CAR", "", "", ResidueType::RNA_LINKING, false, "", 12877 },
	{ "CAS", "", "", ResidueType::PEPTIDE_LINKING, false, "S-(DIMETHYLARSENIC)CYSTEINE", 12878 },
	{ "CAT", "", "", ResidueType::NON_POLYMER, false, "DODECANE-TRIMETHYLAMINE", 12879 },
	{ "CAU", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-(9H-Carbazol-4-yloxy)-3-(isopropylamino)propan-2-ol", 12880 },
	{ "CAV", "", "", ResidueType::PEPTIDE_LIKE, false, "5-AMINO-6-CYCLOHEXYL-3,4-DIHYDROXY-2-ISOPROPYL-HEXANOIC ACID", 12881 },
	{ "CAW", "", "", ResidueType::NON_POLYMER, false, "N-[[(2R,3R,4S,5S,6R)-6-(hydroxymethyl)-3,4,5-tris(oxidanyl)oxan-2-yl]carbamoyl]naphthalene-1-carboxamide", 12882 },
	{ "CAX", "", "", ResidueType::NON_POLYMER, false, "(2S,4S)-4-(2,2-DIHYDROXYETHYL)-2,3,3-TRIMETHYLCYCLOPENTANONE", 12883 },
	{ "CAY", "", "CCS", ResidueType::PEPTIDE_LINKING, true, "CARBOXYMETHYLENECYSTEINE", 12884 },
	{ "CAZ", "", "", ResidueType::NON_POLYMER, false, "ACYLATED CEFTAZIDIME", 12885 },
	{ "CB0", "", "", ResidueType::NON_POLYMER, false, "CIS-DIBROMOETHENE", 12886 },
	{ "CB1", "", "", ResidueType::NON_POLYMER, false, "5-(AZIRIDIN-1-YL)-2,4-DINITROBENZAMIDE", 12887 },
	{ "CB2", "", "", ResidueType::RNA_LINKING, true, "PHOSPHORIC ACID MONO-[5-(4-AMINO-5-BROMO-2-OXO-2H-PYRIMIDIN-1-YL)-3,4-DIHYDROXY-TETRAHYDRO-FURAN-2-YLMETHYL] ESTER", 12888 },
	{ "CB3", "", "", ResidueType::NON_POLYMER, false, "10-PROPARGYL-5,8-DIDEAZAFOLIC ACID", 12889 },
	{ "CB4", "", "", ResidueType::NON_POLYMER, false, "PINACOL[[2-AMINO-ALPHA-(1-CARBOXY-1-METHYLETHOXYIMINO)-4-THIAZOLEACETYL]AMINO]METHANEBORONATE", 12890 },
	{ "CB5", "", "", ResidueType::NON_POLYMER, false, "COBALT BIS(1,2-DICARBOLLIDE)", 12891 },
	{ "CB6", "", "", ResidueType::NON_POLYMER, false, "(1R,4S,5R)-1,4,5-trihydroxy-3-[(5-methyl-1-benzothiophen-2-yl)methoxy]cyclohex-2-ene-1-carboxylic acid", 12892 },
	{ "CB7", "", "", ResidueType::NON_POLYMER, false, "(1R,4S,5R)-3-(BENZO[b]THIOPHEN-5-YL)METHOXY-2-(BENZO[b]THIOPHEN-5-YL)METHYL-1,4,5-TRIHYDROXYCYCLOHEX-2-ENE-1-CARBOXYLATE", 12893 },
	{ "CB8", "", "", ResidueType::NON_POLYMER, false, "(1R,4S,5R)-3-(BENZO[B]THIOPHEN-2-YL)METHOXY-1,4,5-TRIHYDROXY-2-(THIEN-2-YL)METHYLCYCLOHEX-2-EN-1-CARBOXYLATE", 12894 },
	{ "CB9", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-2-[(1R)-1-{[(2S)-2-carboxy-2-phenylacetyl]amino}-2-oxoethyl]-5,5-dimethyl-1,3-thiazolidine-4-carboxylic acid", 12895 },
	{ "CBA", "", "", ResidueType::NON_POLYMER, false, "N-PYRIDOXYL-2,3-DIHYDROXYASPARTIC ACID-5-MONOPHOSPHATE", 12896 },
	{ "CBB", "", "", ResidueType::NON_POLYMER, false, "1-(3-CARBAMIMIDOYL-BENZYL)-1H-INDOLE-2-CARBOXYLIC ACID 3-CARBAMIMIDOYL-BENZYLESTER", 12897 },
	{ "CBC", "", "", ResidueType::NON_POLYMER, false, "N'-(5-CHLOROBENZOFURAN-2-CARBONYL)-2-(TRIFLUOROMETHYL)BENZENESULFONOHYDRAZIDE", 12898 },
	{ "CBD", "", "", ResidueType::NON_POLYMER, false, "CIBACRON BLUE", 12899 },
	{ "CBE", "", "", ResidueType::NON_POLYMER, false, "2-METHYL-N-PHENYL-5,6-DIHYDRO-1,4-OXATHIINE-3-CARBOXAMIDE", 12900 },
	{ "CBF", "", "", ResidueType::NON_POLYMER, false, "C-(1-HYDROGYL-BETA-D-GLUCOPYRANOSYL) FORMAMIDE", 12901 },
	{ "CBG", "PNL", "", ResidueType::NON_POLYMER, false, "PROPANAL", 12902 },
	{ "CBH", "", "", ResidueType::NON_POLYMER, false, "S-(D-CARBOXYBUTYL)-L-HOMOCYSTEINE", 12903 },
	{ "CBI", "", "", ResidueType::SACCHARIDE, false, "CELLOBIOSE", 12904 },
	{ "CBJ", "", "", ResidueType::NON_POLYMER, false, "6-[(5-bromo-2,3-dioxo-2,3-dihydro-1H-indol-1-yl)methyl]-2,3-dihydro-1,4-benzodioxine-5-carboxylic acid", 12905 },
	{ "CBK", "", "", ResidueType::SACCHARIDE, false, "4-O-beta-D-glucopyranosyl-alpha-D-glucopyranose", 12906 },
	{ "CBL", "", "", ResidueType::NON_POLYMER, false, "CHLORAMBUCIL", 12907 },
	{ "CBM", "", "ACY", ResidueType::NON_POLYMER, true, "CARBOXYMETHYL GROUP", 12908 },
	{ "CBN", "", "", ResidueType::NON_POLYMER, false, "CLOROBIOCIN", 12909 },
	{ "CBO", "", "", ResidueType::NON_POLYMER, false, "CARBENOXOLONE", 12910 },
	{ "CBP", "345", "", ResidueType::NON_POLYMER, false, "2-{4-[4-(4-CHLORO-PHENOXY)-BENZENESULFONYL]-TETRAHYDRO-PYRAN-4-YL}-N-HYDROXY-ACETAMIDE", 12911 },
	{ "CBQ", "", "", ResidueType::NON_POLYMER, false, "[(5-CHLORO-PYRIDIN-2-YLAMINO)-PHOSPHONO-METHYL]-PHOSPHONIC ACID", 12912 },
	{ "CBR", "C32", "", ResidueType::DNA_LINKING, false, "5-BROMO-2'-DEOXY-CYTIDINE-5'-MONOPHOSPHATE", 12913 },
	{ "CBS", "", "", ResidueType::SACCHARIDE, false, "DI(N-ACETYL-D-GLUCOSAMINE)", 12914 },
	{ "CBT", "", "", ResidueType::NON_POLYMER, false, "N,N-BIS(4-CHLOROBENZYL)-1H-1,2,3,4-TETRAAZOL-5-AMINE", 12915 },
	{ "CBU", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3S,4S,5S,6S)-CYCLOHEXANE-1,2,3,4,5,6-HEXOL", 12916 },
	{ "CBV", "", "", ResidueType::RNA_LINKING, false, "", 12917 },
	{ "CBW", "", "", ResidueType::NON_POLYMER, false, "(3BETA,5BETA,14BETA)-3-HYDROXY-11-OXOOLEAN-12-EN-29-OIC ACID", 12918 },
	{ "CBX", "", "FMT", ResidueType::NON_POLYMER, true, "CARBOXY GROUP", 12919 },
	{ "CBY", "", "", ResidueType::NON_POLYMER, false, "COB(II)INAMIDE", 12920 },
	{ "CBZ", "", "PHQ", ResidueType::NON_POLYMER, true, "CARBOBENZOXY GROUP", 12921 },
	{ "CC0", "", "", ResidueType::NON_POLYMER, false, "(4-{2-ACETYLAMINO-2-[1-(3-CARBAMOYL-4-CYCLOHEXYLMETHOXY-PHENYL)-ETHYLCARBAMOYL}-ETHYL}-2-PHOSPHONO-PHENOXY)-ACETIC ACID", 12922 },
	{ "CC1", "", "", ResidueType::NON_POLYMER, false, "{4-[2-ACETYLAMINO-2-(3-CARBAMOYL-2-CYCLOHEXYLMETHOXY-6,7,8,9-TETRAHYDRO-5H-BENZOCYCLOHEPTEN-5YLCARBAMOYL)-ETHYL]-2-PHOSPHONO-PHENYL}-PHOSPHONIC ACID", 12923 },
	{ "CC2", "", "", ResidueType::NON_POLYMER, false, "4-hydroxy-6,7-dimethyl-3-(naphthalen-1-ylmethyl)-2H-chromen-2-one", 12924 },
	{ "CC3", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(4-{[3-(TRIFLUOROMETHYL)PHENYL]AMINO}PYRIMIDIN-2-YL)AMINO]PHENYL}CYCLOPROPANECARBOXAMIDE", 12925 },
	{ "CC4", "", "", ResidueType::NON_POLYMER, false, "2-(SELANYLMETHYL)PROP-2-ENOIC ACID", 12926 },
	{ "CC5", "", "", ResidueType::NON_POLYMER, false, "BETA-D-ERYTHROFURANOSYL-ADENOSINE", 12927 },
	{ "CC6", "", "", ResidueType::NON_POLYMER, false, "3,5,7-trihydroxy-2-(2-hydroxyphenyl)-4H-1-benzopyran-4-one", 12928 },
	{ "CC7", "", "", ResidueType::NON_POLYMER, false, "4-amino-1-[(2S,4aR,6R,7R,7aS)-2,7-dihydroxy-2-oxidotetrahydro-4H-furo[3,2-d][1,3,2]dioxaphosphinin-6-yl]pyrimidin-2(1H)-one", 12929 },
	{ "CC8", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-METHYL-3-SULFANYLPROPANOIC ACID", 12930 },
	{ "CCA", "", "", ResidueType::NON_POLYMER, false, "2-BENZOYLOXY-8-METHYL-8-AZA-BICYCLO[3.2.1]OCTANE-3-CARBOXYLIC ACID METHYL ESTER", 12931 },
	{ "CCB", "", "", ResidueType::NON_POLYMER, false, "CYCLOBUTYL(CYCLOPENTYL)FORMAMIDE", 12932 },
	{ "CCC", "", "", ResidueType::RNA_LINKING, false, "", 12933 },
	{ "CCD", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-HYDROXY-N,N,N-TRIMETHYLPENTAN-1-AMINIUM", 12934 },
	{ "CCE", "", "", ResidueType::NON_POLYMER, false, "2-[(AMINOCARBONYL)OXY]-N,N,N-TRIMETHYLETHANAMINIUM", 12935 },
	{ "CCH", "", "", ResidueType::NON_POLYMER, false, "[7-ETHENYL-12-FORMYL-3,8,13,17-TERTRAMETHYL-21H,23H-PORPHINE-2,18-DIPROPANOATO(2)-N21,N22,N23,N24]IRON", 12936 },
	{ "CCI", "", "", ResidueType::NON_POLYMER, false, "CALICHEAMICIN GAMMA-1-OLIGOSACCHARIDE", 12937 },
	{ "CCK", "", "", ResidueType::NON_POLYMER, false, "[1-(6-{6-[(1-methylethyl)amino]-1H-indazol-1-yl}pyrazin-2-yl)-1H-pyrrol-3-yl]acetic acid", 12938 },
	{ "CCL", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-[(CYCLOPENTYLOXY)CARBONYL]-D-LYSINE", 12939 },
	{ "CCM", "", "", ResidueType::NON_POLYMER, false, "1-METHYL-1-CARBOXY-CYCLOPENTANE", 12940 },
	{ "CCN", "", "", ResidueType::NON_POLYMER, false, "ACETONITRILE", 12941 },
	{ "CCO", "", "", ResidueType::NON_POLYMER, false, "CARBOXYMETHYLTHIO-3-(3-CHLOROPHENYL)-1,2,4-OXADIAZOL", 12942 },
	{ "CCP", "", "", ResidueType::NON_POLYMER, false, "BUTYLPHOSPHONATE", 12943 },
	{ "CCQ", "", "", ResidueType::NON_POLYMER, false, "L-CARNITINYL-COA INNER SALT", 12944 },
	{ "CCR", "", "", ResidueType::PEPTIDE_LIKE, false, "[N-[N-(4-METHOXY-2,3,6-TRIMETHYLPHENYLSULFONYL)-L-ASPARTYL]-D-(4-AMIDINO-PHENYLALANYL)]-PIPERIDINE", 12945 },
	{ "CCS", "CAY", "", ResidueType::PEPTIDE_LINKING, false, "CARBOXYMETHYLATED CYSTEINE", 12946 },
	{ "CCT", "", "", ResidueType::NON_POLYMER, false, "5-(4-CYANOPHENYL)-3-{[(2-METHYLPHENYL)SULFONYL]AMINO}THIOPHENE-2-CARBOXYLIC ACID", 12947 },
	{ "CCU", "", "", ResidueType::NON_POLYMER, false, "(2Z,4Z)-HEXA-2,4-DIENEDIOIC ACID", 12948 },
	{ "CCV", "", "", ResidueType::NON_POLYMER, false, "6-[3-HYDROXY-2-(HYDROXYMETHYL)PROPYL]-5-METHYL-2,4(1H,3H)-PYRIMIDINEDIONE", 12949 },
	{ "CCW", "", "", ResidueType::NON_POLYMER, false, "(S)-2-Amino-5-(2-(methylsulfonyl)acetimidamido)pentanoic acid", 12950 },
	{ "CCX", "", "", ResidueType::NON_POLYMER, false, "3-cyano-N-{1-[4-(5-cyano-1H-indol-3-yl)butyl]piperidin-4-yl}-1H-indole-7-carboxamide", 12951 },
	{ "CCY", "", "", ResidueType::PEPTIDE_LINKING, false, "2-(1-AMINO-2-MERCAPTO-ETHYL)-5-(4-HYDROXY-BENZYL)-3-(ETHANOYL)-3,5-DIHYDRO-IMIDAZOL-4-ONE", 12952 },
	{ "CCZ", "", "", ResidueType::NON_POLYMER, false, "phenyl (4-carbamimidoylbenzyl)phosphonate", 12953 },
	{ "CD", "", "", ResidueType::NON_POLYMER, false, "CADMIUM ION", 12954 },
	{ "CD1", "", "", ResidueType::NON_POLYMER, true, "CADMIUM ION, 1 WATER COORDINATED", 12955 },
	{ "CD2", "", "", ResidueType::NON_POLYMER, false, "1-(2-aminoethyl)-3-[2-(quinolin-3-yl)pyridin-4-yl]-1H-pyrazole-5-carboxylic acid", 12956 },
	{ "CD3", "", "", ResidueType::NON_POLYMER, true, "CADMIUM ION, 3 WATERS COORDINATED", 12957 },
	{ "CD4", "", "", ResidueType::NON_POLYMER, false, "(2R,5R,11R,14R)-5,8,11-trihydroxy-5,11-dioxido-17-oxo-2,14-bis(tetradecanoyloxy)-4,6,10,12,16-pentaoxa-5,11-diphosphatriacont-1-yl tetradecanoate", 12958 },
	{ "CD5", "", "", ResidueType::NON_POLYMER, true, "CADMIUM ION, 5 WATERS COORDINATED", 12959 },
	{ "CD6", "", "", ResidueType::NON_POLYMER, false, "(2R)-5-methylidene-2-{(1R)-2-oxo-1-[(phenylacetyl)amino]ethyl}-5,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 12960 },
	{ "CD8", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(1S)-1-(benzoylamino)-1-methoxy-2-oxoethyl]-5-methylidene-5,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 12961 },
	{ "CD9", "", "", ResidueType::NON_POLYMER, false, "5-[(6-chloro-2-oxo-2,3-dihydro-1H-indol-1-yl)methyl]-1,3-benzodioxole-4-carboxylic acid", 12962 },
	{ "CDA", "", "", ResidueType::NON_POLYMER, false, "2-(6-CHLORO-3-{[2,2-DIFLUORO-2-(2-PYRIDINYL)ETHYL]AMINO}-2-OXO-1(2H)-PYRAZINYL)-N-[(2-FLUORO-6-PYRIDINYL)METHYL]ACETAMIDE", 12963 },
	{ "CDB", "", "", ResidueType::NON_POLYMER, false, "2-(6-CHLORO-3-{[2,2-DIFLUORO-2-(2-PYRIDINYL)ETHYL]AMINO}-2-OXO-1(2H)-PYRAZINYL)-N-[(2-FLUORO-3-METHYL-6-PYRIDINYL)METHYL]ACETAMIDE", 12964 },
	{ "CDC", "", "", ResidueType::NON_POLYMER, false, "[2-CYTIDYLATE-O'-PHOSPHONYLOXYL]-ETHYL-TRIMETHYL-AMMONIUM", 12965 },
	{ "CDD", "", "", ResidueType::NON_POLYMER, false, "2-(6-CHLORO-3-{[2,2-DIFLUORO-2-(1-OXIDO-2-PYRIDINYL)ETHYL]AMINO}-2-OXO-1(2H)-PYRAZINYL)-N-[(2-FLUOROPHENYL)METHYL]ACETAMIDE", 12966 },
	{ "CDE", "", "", ResidueType::PEPTIDE_LINKING, false, "1,2-DIMETHYL-PROPYLAMINE", 12967 },
	{ "CDF", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-1-{5-O-[(R)-HYDROXY(PHOSPHONOOXY)PHOSPHORYL]-ALPHA-D-ARABINOFURANOSYL}PYRIMIDIN-2(1H)-ONE", 12968 },
	{ "CDG", "", "", ResidueType::NON_POLYMER, false, "METHYL 4,6-O-[(1R)-1-CARBOXYETHYLIDENE]-BETA-D-GALACTOPYRANOSIDE", 12969 },
	{ "CDH", "", "", ResidueType::NON_POLYMER, false, "D-(L-A-AMINOADIPOYL)-L-CYSTEINYL-D-ISODEHYDROVALINE", 12970 },
	{ "CDI", "", "", ResidueType::NON_POLYMER, false, "2C-METHYL-D-ERYTHRITOL 2,4-CYCLODIPHOSPHATE", 12971 },
	{ "CDJ", "", "", ResidueType::NON_POLYMER, false, "5-amino-3-(4-chlorophenyl)isoquinolin-1(2H)-one", 12972 },
	{ "CDK", "", "", ResidueType::NON_POLYMER, false, "4-[4-(3,4-DIMETHYL-2-OXO-2,3-DIHYDRO-THIAZOL-5-YL)-PYRIMIDIN-2-YLAMINO]-N-(2-METHOXY-ETHYL)-BENZENESULFONAMIDE", 12973 },
	{ "CDL", "", "", ResidueType::NON_POLYMER, false, "CARDIOLIPIN", 12974 },
	{ "CDM", "", "", ResidueType::NON_POLYMER, false, "4-DIPHOSPHOCYTIDYL-2-C-METHYL-D-ERYTHRITOL", 12975 },
	{ "CDN", "", "", ResidueType::NON_POLYMER, false, "CARDIOLIPIN", 12976 },
	{ "CDO", "", "", ResidueType::NON_POLYMER, false, "2-((R)-1-((S)-2-(N-(6-CARBAMIMIDOYLPYRIDIN-3-YL)METHYLCARBAMOYL)-2H-PYRROL-1(5H)-YL)-3-CYCLOHEXYL-1-OXOPROPAN-2-YLAMINO)ACETIC ACID", 12977 },
	{ "CDP", "", "", ResidueType::NON_POLYMER, false, "CYTIDINE-5'-DIPHOSPHATE", 12978 },
	{ "CDQ", "", "", ResidueType::NON_POLYMER, false, "6-[(5-chloro-2-oxo-2,3-dihydro-1H-indol-1-yl)methyl]-2,3-dihydro-1,4-benzodioxine-5-carboxylic acid", 12979 },
	{ "CDR", "", "", ResidueType::SACCHARIDE, false, "2,3-DIDEOXYFUCOSE", 12980 },
	{ "CDS", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(1R)-1-{[(2Z)-2-(2-AMINO-1,3-THIAZOL-4-YL)-2-(METHOXYIMINO)ACETYL]AMINO}-2-OXOETHYL]-5-[(Z)-2-(4-METHYL-1,3-THIAZOL-5-YL)VINYL]-3,6-DIHYDRO-2H-1,3-THIAZINE-4-CARBOXYLIC ACID", 12981 },
	{ "CDT", "", "", ResidueType::NON_POLYMER, false, "4-METHYLSULFANYL-2-UREIDO-BUTYRIC ACID", 12982 },
	{ "CDU", "", "", ResidueType::NON_POLYMER, false, "N-CYCLOHEXYL-N'-DECYLUREA", 12983 },
	{ "CDV", "", "", ResidueType::PEPTIDE_LINKING, false, "3-METHYL-2-UREIDO-BUTYRIC ACID", 12984 },
	{ "CDW", "", "", ResidueType::DNA_LINKING, false, "(4R)-3-(2-DEOXY-5-O-PHOSPHONO-BETA-D-ERYTHRO-PENTOFURANOSYL)-1,3-DIAZABICYCLO[2.2.0]HEX-5-EN-2-ONE", 12985 },
	{ "CDX", "", "", ResidueType::NON_POLYMER, false, "(S)-4,4'-(1-METHYL-1,2-ETHANEDIYL)BIS-2,6-PIPERAZINEDIONE", 12986 },
	{ "CDY", "", "", ResidueType::NON_POLYMER, false, "2-CHLORODIDEOXYADENOSINE", 12987 },
	{ "CDZ", "", "", ResidueType::NON_POLYMER, false, "3,5-dihydroxy-4,6,6-tris(3-methylbut-2-en-1-yl)-2-(2-methylpropanoyl)cyclohexa-2,4-dien-1-one", 12988 },
	{ "CE", "", "", ResidueType::NON_POLYMER, false, "CERIUM (III) ION", 12989 },
	{ "CE0", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(1R)-2-[(2S)-2-amino-2-carboxyethoxy]-1-{[(2R)-2-[(4S)-2-amino-4,5-dihydro-1,3-thiazol-4-yl]-2-(methoxyamino)acetyl]amino}-2-oxoethyl]-5-methyl-3,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 12990 },
	{ "CE1", "", "", ResidueType::NON_POLYMER, false, "O-DODECANYL OCTAETHYLENE GLYCOL", 12991 },
	{ "CE2", "", "", ResidueType::NON_POLYMER, false, "3-(5-TERT-BUTYL-3-OXIDOISOXAZOL-4-YL)-L-ALANINATE", 12992 },
	{ "CE3", "", "", ResidueType::NON_POLYMER, false, "(6R,7R)-3-(acetyloxymethyl)-7-[[(2Z)-2-(2-amino-1,3-thiazol-4-yl)-2-methoxyimino-ethanoyl]amino]-8-oxo-5-thia-1-azabicyclo[4.2.0]oct-2-ene-2-carboxylic acid", 12993 },
	{ "CE4", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(R)-{[(2Z)-2-(2-amino-1,3-thiazol-4-yl)-2-(methoxyimino)acetyl]amino}(carboxy)methyl]-5-methylidene-5,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 12994 },
	{ "CE5", "", "", ResidueType::NON_POLYMER, false, "CELLOPENTAOSE", 12995 },
	{ "CE6", "", "", ResidueType::NON_POLYMER, false, "CELLOHEXAOSE", 12996 },
	{ "CE7", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3-amino-4,4,4-trihydroxybutanamide", 12997 },
	{ "CE8", "", "", ResidueType::NON_POLYMER, false, "CELLOOCTAOSE", 12998 },
	{ "CE9", "", "", ResidueType::NON_POLYMER, false, "DODECYL NONA ETHYLENE GLYCOL ETHER", 12999 },
	{ "CEA", "", "CSO", ResidueType::PEPTIDE_LINKING, true, "S-HYDROXY-CYSTEINE", 13000 },
	{ "CEB", "", "", ResidueType::NON_POLYMER, false, "2-CHLORO-4-ETHYLAMINO-6-(S(-)-2'-CYANO-4-BUTYLAMINO)-1,3,5-TRIAZINE", 13001 },
	{ "CEC", "", "", ResidueType::NON_POLYMER, true, "CHLOROETHYLCARBAMOYL GROUP", 13002 },
	{ "CED", "", "", ResidueType::NON_POLYMER, false, "5-METHYL-2-[2-OXO-1-(2-THIOPHEN-2-YL-ACETYLAMINO)-ETHYL]-3,6-DIHYDRO-2H-[1,3]THIAZINE-4-CARBOXYLIC ACID", 13003 },
	{ "CEE", "", "", ResidueType::NON_POLYMER, false, "(2-chloroethyl)benzene", 13004 },
	{ "CEF", "", "", ResidueType::NON_POLYMER, false, "", 13005 },
	{ "CEG", "", "", ResidueType::SACCHARIDE, false, "4,6-O-(1-CARBOXYETHYLIDENE)-BETA-D-GLUCOSE", 13006 },
	{ "CEH", "", "", ResidueType::NON_POLYMER, false, "5-{3-(S)-(4-(R)-ACETYLAMINO-4-CARBOXY-BUTYRYLAMINO)-3-[1-(R)-(1-(R)-CARBOXY-ETHYLCARBAMOYL)-ETHYLCARBAMOYL]-PROPYL}-2-(CARBOXY-PHENYLACETYLAMINO-METHYL)-3,6-DIHYDRO-2H-[1,3]THIAZINE-4-CARBOXYLIC ACID", 13007 },
	{ "CEI", "", "", ResidueType::NON_POLYMER, false, "N-[3-BENZYL-5-(4-HYDROXYPHENYL)PYRAZIN-2-YL]-2-(4-HYDROXYPHENYL)ACETAMIDE", 13008 },
	{ "CEJ", "", "", ResidueType::NON_POLYMER, false, "CYCLOPENTANE-1,3-DIONE", 13009 },
	{ "CEK", "", "", ResidueType::NON_POLYMER, false, "(9aS)-8-acetyl-1,7-dihydroxy-3-methoxy-9a-methyl-N-(1-naphthylmethyl)-9-oxo-9,9a-dihydrodibenzo[b,d]furan-4-carboxamide", 13010 },
	{ "CEL", "", "", ResidueType::NON_POLYMER, false, "4-[5-(4-METHYLPHENYL)-3-(TRIFLUOROMETHYL)-1H-PYRAZOL-1-YL]BENZENESULFONAMIDE", 13011 },
	{ "CEM", "", "", ResidueType::NON_POLYMER, false, "N-(1-CARBOXY-2-HYDROXY-4-OXO-BUTYL)-N-(3-OXO-CISPROPENYL)AMINE", 13012 },
	{ "CEN", "", "", ResidueType::NON_POLYMER, false, "7BETA-(4CARBOXYBUTANAMIDO) CEPHALOSPORANIC ACID", 13013 },
	{ "CEO", "", "", ResidueType::NON_POLYMER, false, "5-METHYLENE-2-[2-OXO-1-(2-THIOPHEN-2-YL-ACETYLAMINO)-ETHYL]-5,6-DIHYDRO-2H-[1,3]THIAZINE-4-CARBOXYLIC ACID", 13014 },
	{ "CEP", "", "", ResidueType::NON_POLYMER, false, "CEPHALOTHIN GROUP", 13015 },
	{ "CEQ", "", "", ResidueType::NON_POLYMER, false, "ETHYL-TRIMETHYL-SILANE", 13016 },
	{ "CER", "", "", ResidueType::NON_POLYMER, false, "(2S, 3R)-3-HYDROXY-4-OXO-7,10-TRANS,TRANS-DODECADIENAMIDE", 13017 },
	{ "CES", "", "", ResidueType::NON_POLYMER, false, "2-[CARBOXY-(2-FURAN-2-YL-2-METHOXYIMINO-ACETYLAMINO)-METHYL]-5-METHYL-3,6-DIHYDRO-2H-[1,3]THIAZINE-4-CARBOXYLIC ACID", 13018 },
	{ "CET", "", "", ResidueType::NON_POLYMER, false, "2-CHLORO-4-ETHYLAMINO-6-(R(+)-2'-CYANO-4-BUTYLAMINO)-1,3,5-TRIAZINE", 13019 },
	{ "CEV", "", "", ResidueType::NON_POLYMER, false, "ethyl (4R)-4-amino-5-[(3S)-2-oxopyrrolidin-3-yl]pentanoate", 13020 },
	{ "CEW", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(1R)-1-({[(2R)-2-amino-2,3-dihydro-1,3-thiazol-4-yl](methoxyimino)acetyl}amino)-2-oxoethyl]-5-methyl-3,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 13021 },
	{ "CEX", "", "", ResidueType::NON_POLYMER, false, "alpha-D-glucopyranosyl-(1->4)-alpha-D-glucopyranosyl-(1->4)-alpha-D-glucopyranosyl-(1->4)-alpha-D-glucopyranosyl-(1->4)-alpha-D-glucopyranose", 13022 },
	{ "CEY", "", "", ResidueType::NON_POLYMER, false, "alpha-D-glucopyranosyl-(1->4)-alpha-D-glucopyranosyl-(1->4)-alpha-D-glucopyranosyl-(1->4)-alpha-D-glucopyranosyl-(1->4)-alpha-D-glucopyranosyl-(1->4)-alpha-D-glucopyranose", 13023 },
	{ "CEZ", "", "", ResidueType::NON_POLYMER, false, "4-O-beta-D-glucopyranosyl-D-gluconic acid", 13024 },
	{ "CF", "", "", ResidueType::NON_POLYMER, false, "CALIFORNIUM ION", 13025 },
	{ "CF0", "", "", ResidueType::NON_POLYMER, false, "fluoromethane", 13026 },
	{ "CF1", "", "", ResidueType::NON_POLYMER, false, "2-{[2-chloro-5-(trifluoromethyl)phenyl]amino}-5-methoxybenzoic acid", 13027 },
	{ "CF2", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-{[2-(7,8-dimethyl-2,4-dioxo-3,4-dihydrobenzo[g]pteridin-10(2H)-yl)ethyl]carbamoyl}guanosine", 13028 },
	{ "CF3", "", "", ResidueType::NON_POLYMER, false, "9,9,9-TRIFLUORO-8-OXO-N-PHENYLNONANAMIDE", 13029 },
	{ "CF4", "", "", ResidueType::NON_POLYMER, false, "[4-(7,8-dimethyl-2,4-dioxo-3,4-dihydrobenzo[g]pteridin-10(2H)-yl)butyl]carbamic acid", 13030 },
	{ "CF5", "", "", ResidueType::NON_POLYMER, false, "", 13031 },
	{ "CF9", "", "", ResidueType::NON_POLYMER, false, "2-oxo-2H-naphtho[1,8-bc]furan-6-yl 4-nitrobenzoate", 13032 },
	{ "CFA", "", "", ResidueType::NON_POLYMER, false, "(2,4-DICHLOROPHENOXY)ACETIC ACID", 13033 },
	{ "CFB", "", "", ResidueType::NON_POLYMER, false, "2-CHLORO-9-(2-DEOXY-2-FLUORO-B -D-ARABINOFURANOSYL)-9H-PURIN-6-AMINE", 13034 },
	{ "CFC", "", "", ResidueType::NON_POLYMER, false, "1-CARBOXY-1'-[(DIMETHYLAMINO)-CARBONYL]FERROCENE", 13035 },
	{ "CFD", "", "", ResidueType::NON_POLYMER, false, "(2R,3E,5R)-5-amino-2,4-dimethylhex-3-enal", 13036 },
	{ "CFE", "", "", ResidueType::NON_POLYMER, false, "(8R)-3-beta-D-ribofuranosyl-3,6,7,8-tetrahydroimidazo[4,5-d][1,3]diazepin-8-ol", 13037 },
	{ "CFF", "", "", ResidueType::NON_POLYMER, false, "CAFFEINE", 13038 },
	{ "CFG", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-1-(4-methoxyphenyl)-2-oxo-2-{[4-(trimethylsilyl)phenyl]amino}ethyl]-N-methyl-3-oxo-2,3-dihydro-1,2-oxazole-5-carboxamide", 13039 },
	{ "CFH", "", "", ResidueType::NON_POLYMER, false, "1,1,1,3,3,3-hexafluoropropan-2-ol", 13040 },
	{ "CFI", "", "", ResidueType::NON_POLYMER, false, "1-hydroxy-2-oxo-1-phenylhydrazine", 13041 },
	{ "CFK", "", "", ResidueType::NON_POLYMER, false, "3-(carbamoylamino)-5-phenylthiophene-2-carboxamide", 13042 },
	{ "CFL", "", "", ResidueType::DNA_LINKING, false, "4-amino-1-(2-deoxy-2-fluoro-5-O-phosphono-beta-D-arabinofuranosyl)pyrimidin-2(1H)-one", 13043 },
	{ "CFM", "", "", ResidueType::NON_POLYMER, false, "FE-MO-S CLUSTER", 13044 },
	{ "CFN", "", "", ResidueType::NON_POLYMER, false, "FE(7)-MO-S(9)-N CLUSTER", 13045 },
	{ "CFO", "", "", ResidueType::NON_POLYMER, false, "CHLORO DIIRON-OXO MOIETY", 13046 },
	{ "CFP", "", "", ResidueType::NON_POLYMER, false, "6-CHLORO-2-FLUOROPURINE", 13047 },
	{ "CFQ", "", "", ResidueType::NON_POLYMER, false, "1-(2-nitrophenyl)-2,2,2-trifluoroethyl]-arsenocholine", 13048 },
	{ "CFS", "", "", ResidueType::NON_POLYMER, true, "4-AMINO-5-CYCLOHEXYL-2,2-DIFLUORO-3-HYDROXY-PENTANOIC ACID", 13049 },
	{ "CFT", "", "", ResidueType::NON_POLYMER, false, "TRIFLUOROMETHANE", 13050 },
	{ "CFU", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(1R)-1-(acetylamino)-2-oxoethyl]-5-methyl-3,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 13051 },
	{ "CFV", "", "", ResidueType::NON_POLYMER, false, "[(2R)-1-(4-amino-2-oxo-pyrimidin-1-yl)-3-hydroxy-propan-2-yl]oxymethylphosphonic acid", 13052 },
	{ "CFX", "", "", ResidueType::NON_POLYMER, false, "CEFOXITIN", 13053 },
	{ "CFY", "", "", ResidueType::PEPTIDE_LINKING, false, "[(4Z)-2-{(2R)-2-[(1S)-1-amino-2-phenylethyl]-2-hydroxy-2,5-dihydro-1,3-thiazol-4-yl}-4-(4-hydroxybenzylidene)-5-oxo-4,5-dihydro-1H-imidazol-1-yl]acetic acid", 13054 },
	{ "CFZ", "", "", ResidueType::DNA_LINKING, false, "", 13055 },
	{ "CG", "", "", ResidueType::NON_POLYMER, false, "4-AMIDINOINDAN-1-ONE-2'-AMIDINOHYDRAZONE", 13056 },
	{ "CG1", "", "", ResidueType::RNA_LINKING, false, "5'-O-[(R)-hydroxy(methoxy)phosphoryl]guanosine", 13057 },
	{ "CG2", "", "", ResidueType::NON_POLYMER, false, "CYTIDYL-2'-5'-PHOSPHO-GUANOSINE", 13058 },
	{ "CG3", "", "", ResidueType::NON_POLYMER, false, "HYDROXY(2-HYDROXYPHENYL)OXOAMMONIUM", 13059 },
	{ "CG4", "", "", ResidueType::NON_POLYMER, false, "4-[(3-{8-[(3,4-dimethoxyphenyl)amino]imidazo[1,2-a]pyrazin-6-yl}benzoyl)amino]benzoic acid", 13060 },
	{ "CG6", "", "", ResidueType::PEPTIDE_LINKING, false, "beta-Methyl-Cysteine", 13061 },
	{ "CG7", "", "", ResidueType::NON_POLYMER, false, "", 13062 },
	{ "CG8", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-azanyl-3-[6-methyl-2,4-bis(oxidanylidene)-5,7-dihydropyrrolo[3,4-d]pyrimidin-1-yl]propanoic acid", 13063 },
	{ "CG9", "", "", ResidueType::NON_POLYMER, false, "6-(1H-indazol-6-yl)-N-[4-(morpholin-4-yl)phenyl]imidazo[1,2-a]pyrazin-8-amine", 13064 },
	{ "CGA", "", "", ResidueType::PEPTIDE_LINKING, false, "CARBOXYMETHYLATED GLUTAMIC ACID", 13065 },
	{ "CGB", "", "", ResidueType::NON_POLYMER, false, "CALYSTEGINE B2", 13066 },
	{ "CGC", "", "", ResidueType::NON_POLYMER, false, "3-O-beta-D-glucopyranosyl-alpha-D-glucopyranuronic acid", 13067 },
	{ "CGE", "", "", ResidueType::NON_POLYMER, false, "Clopidogrel", 13068 },
	{ "CGF", "", "", ResidueType::SACCHARIDE, false, "C-(1-AZIDO-ALPHA-D-GLUCOPYRANOSYL) FORMAMIDE", 13069 },
	{ "CGG", "", "", ResidueType::NON_POLYMER, false, "Chlorogenic acid", 13070 },
	{ "CGH", "", "", ResidueType::PEPTIDE_LINKING, false, "N-cycloheptylglycine", 13071 },
	{ "CGJ", "", "", ResidueType::NON_POLYMER, false, "1-methyl-4H,6H-[1,2,4]triazolo[4,3-a][4,1]benzoxazepine", 13072 },
	{ "CGK", "", "", ResidueType::NON_POLYMER, false, "", 13073 },
	{ "CGL", "", "", ResidueType::NON_POLYMER, true, "CYSTINE-GLUTATHIONE", 13074 },
	{ "CGN", "", "", ResidueType::NON_POLYMER, false, "5-OXO-PYRROLIDINE-2-CARBALDEHYDE", 13075 },
	{ "CGO", "", "", ResidueType::NON_POLYMER, false, "", 13076 },
	{ "CGP", "", "", ResidueType::NON_POLYMER, false, "2'-DEOXYCYTIDINE-2'-DEOXYGUANOSINE-3',5'-MONOPHOSPHATE", 13077 },
	{ "CGQ", "", "", ResidueType::NON_POLYMER, false, "3-[C-[N'-(3-CARBAMIMIDOYL-BENZYLIDENIUM)-HYDRAZINO]-[[AMINOMETHYLIDENE]AMINIUM]-IMINOMETHYL]-BENZAMIDINIUM", 13078 },
	{ "CGR", "", "", ResidueType::NON_POLYMER, false, "CYCLIC GUANOSINE DIPHOSPHATE-RIBOSE", 13079 },
	{ "CGS", "", "", ResidueType::NON_POLYMER, false, "N-HYDROXY-2(R)-[[(4-METHOXYPHENYL)SULFONYL](3-PICOLYL)AMINO]-3-METHYLBUTANAMIDE HYDROCHLORIDE", 13080 },
	{ "CGT", "", "", ResidueType::NON_POLYMER, false, "CARBA-GLUCOTROPAEOLIN", 13081 },
	{ "CGU", "", "", ResidueType::PEPTIDE_LINKING, false, "GAMMA-CARBOXY-GLUTAMIC ACID", 13082 },
	{ "CGV", "", "", ResidueType::PEPTIDE_LINKING, false, "S-[(R)-carboxy(hydroxy)methyl]-L-cysteine", 13083 },
	{ "CGW", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-azanyl-3-[2,4-bis(oxidanylidene)-5,7-dihydrothieno[3,4-d]pyrimidin-1-yl]propanoic acid", 13084 },
	{ "CH", "", "", ResidueType::RNA_LINKING, false, "", 13085 },
	{ "CH0", "", "", ResidueType::NON_POLYMER, false, "2-{[(3alpha,5alpha,7alpha,8alpha,10alpha,12alpha,17alpha)-3,12-bis{2-[(4-O-alpha-D-glucopyranosyl-beta-D-glucopyranosyl)oxy]ethoxy}cholan-7-yl]oxy}ethyl 4-O-alpha-D-glucopyranosyl-beta-D-glucopyranoside", 13086 },
	{ "CH1", "", "", ResidueType::NON_POLYMER, false, "3'-DEOXY-CYTIDINE-5'-TRIPHOSPHATE", 13087 },
	{ "CH2", "", "", ResidueType::NON_POLYMER, true, "METHYLENE GROUP", 13088 },
	{ "CH3", "", "", ResidueType::NON_POLYMER, true, "METHYL GROUP", 13089 },
	{ "CH4", "", "", ResidueType::NON_POLYMER, false, "3-[(2-AMINOETHYL)AMINO]-2-{[(2-AMINOETHYL)AMINO]METHYL}PROPANAL", 13090 },
	{ "CH5", "", "", ResidueType::NON_POLYMER, false, "2-(((R)-2,3-DIHYDROXYPROPYL)PHOSPHORYLOXY)-N,N,N-TRIMETHYLETHANAMINIUM", 13091 },
	{ "CH6", "", "", ResidueType::PEPTIDE_LINKING, false, "{(4Z)-2-[(1S)-1-amino-3-(methylsulfanyl)propyl]-4-[(4-hydroxyphenyl)methylidene]-5-oxo-4,5-dihydro-1H-imidazol-1-yl}acetic acid", 13092 },
	{ "CH7", "", "", ResidueType::PEPTIDE_LINKING, false, "[(4Z)-4-(4-HYDROXYBENZYLIDENE)-5-OXO-2-(3,4,5,6-TETRAHYDROPYRIDIN-2-YL)-4,5-DIHYDRO-1H-IMIDAZOL-1-YL]ACETIC ACID", 13093 },
	{ "CH8", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-2-PHENOXYPHENOL", 13094 },
	{ "CH9", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXYBIPHENYL", 13095 },
	{ "CHA", "", "", ResidueType::NON_POLYMER, true, "1-HYDROXY-2-AMINO-3-CYCLOHEXYLPROPANE", 13096 },
	{ "CHB", "", "", ResidueType::NON_POLYMER, false, "3-CHLORO-4-HYDROXYBENZOIC ACID", 13097 },
	{ "CHC", "IU6", "", ResidueType::NON_POLYMER, false, "6-ETHYL-CHENODEOXYCHOLIC ACID", 13098 },
	{ "CHD", "", "", ResidueType::NON_POLYMER, false, "CHOLIC ACID", 13099 },
	{ "CHF", "", "", ResidueType::PEPTIDE_LIKE, false, "CYCLOHEXYLFLUOROSTATONE", 13100 },
	{ "CHG", "CUC", "", ResidueType::PEPTIDE_LINKING, false, "CYCLOHEXYL-GLYCINE", 13101 },
	{ "CHH", "NWB", "", ResidueType::NON_POLYMER, false, "N,N,N-TRIMETHYL-4-OXOPENTAN-1-AMINIUM", 13102 },
	{ "CHI", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-1H-INDOLE-2-CARBOXYLIC ACID [1-(4-FLUOROBENZYL)-2-(4-HYDROXYPIPERIDIN-1YL)-2-OXOETHYL]AMIDE", 13103 },
	{ "CHJ", "", "", ResidueType::NON_POLYMER, false, "7-(4-chloro-2-hydroxyphenoxy)-4-methyl-2H-chromen-2-one", 13104 },
	{ "CHK", "", "", ResidueType::NON_POLYMER, false, "6-[(CYCLOHEXYLACETYL)(2-HYDROXYETHYL)AMINO]-6-DEOXY-D-XYLO-HEXITOL", 13105 },
	{ "CHL", "", "", ResidueType::NON_POLYMER, false, "CHLOROPHYLL B", 13106 },
	{ "CHM", "", "", ResidueType::NON_POLYMER, false, "1,3-DICHLORO-PROPAN-2-ONE", 13107 },
	{ "CHN", "", "", ResidueType::NON_POLYMER, false, "4-AMINOMETHYL-CYCLOHEXYLAMINE", 13108 },
	{ "CHO", "", "", ResidueType::NON_POLYMER, false, "GLYCOCHENODEOXYCHOLIC ACID", 13109 },
	{ "CHP", "", "", ResidueType::PEPTIDE_LINKING, false, "3-CHLORO-4-HYDROXYPHENYLGLYCINE", 13110 },
	{ "CHQ", "", "", ResidueType::NON_POLYMER, false, "CYCLO-(L-HISTIDINE-L-PROLINE) INHIBITOR", 13111 },
	{ "CHR", "", "", ResidueType::NON_POLYMER, false, "NEOCARZINOSTATIN-CHROMOPHORE", 13112 },
	{ "CHS", "", "", ResidueType::PEPTIDE_LIKE, false, "4-AMINO-5-CYCLOHEXYL-3-HYDROXY-PENTANOIC ACID", 13113 },
	{ "CHT", "", "", ResidueType::NON_POLYMER, false, "CHOLINE ION", 13114 },
	{ "CHU", "", "", ResidueType::NON_POLYMER, false, "", 13115 },
	{ "CHV", "", "", ResidueType::NON_POLYMER, false, "3-(4-chloro-2-hydroxyphenoxy)-7-hydroxy-2H-chromen-2-one", 13116 },
	{ "CHW", "", "", ResidueType::NON_POLYMER, false, "3-chloro-4,6-dihydroxy-5-[(2E,6E,8S)-8-hydroxy-3,7-dimethylnona-2,6-dien-1-yl]-2-methylbenzaldehyde", 13117 },
	{ "CHX", "", "", ResidueType::NON_POLYMER, false, "CYCLOHEXANE", 13118 },
	{ "CHZ", "", "", ResidueType::NON_POLYMER, false, "1,8-dihydroxyanthracene-9,10-dione", 13119 },
	{ "CI1", "", "", ResidueType::NON_POLYMER, false, "(2Z)-4-[(3S)-1-(benzylsulfonyl)-3-(4-chlorobenzyl)piperidin-3-yl]-2-hydroxy-4-oxobut-2-enoic acid", 13120 },
	{ "CI2", "", "", ResidueType::NON_POLYMER, false, "(5BETA)-PREGNANE-3,20-DIONE", 13121 },
	{ "CI3", "", "", ResidueType::NON_POLYMER, false, "(2Z)-4-[(3S)-1-benzyl-3-(4-chlorobenzyl)piperidin-3-yl]-2-hydroxy-4-oxobut-2-enoic acid", 13122 },
	{ "CI4", "", "", ResidueType::NON_POLYMER, false, "2-(3-chloro-2-fluorobenzyl)-6,7-dihydroxy-2,3-dihydro-1H-isoindol-1-one", 13123 },
	{ "CI9", "", "", ResidueType::NON_POLYMER, false, "N-({(1S)-5-[4-(13-{[2,4-BIS(DIHYDROXYAMINO)PHENYL]AMINO}-2,5,8,11-TETRAOXATRIDEC-1-YL)-1H-1,2,3-TRIAZOL-1-YL]-1-CARBOXYPENTYL}CARBAMOYL)-L-GLUTAMIC ACID", 13124 },
	{ "CIA", "", "", ResidueType::NON_POLYMER, false, "6-BENZO[1,3]DIOXOL-5-YL-2-METHYL-2,3,6,7,12,12A-HEXAHYDRO-PYRAZINO[1',2':1,6]PYRIDO[3,4-B]INDOLE-1,4-DIONE", 13125 },
	{ "CIB", "", "", ResidueType::NON_POLYMER, false, "2-ACETYLAMINO-4-METHYL-PENTANOIC ACID [1-(1-FORMYL-PENTYLCARBAMOYL)-3-METHYL-BUTYL]-AMIDE", 13126 },
	{ "CIC", "", "", ResidueType::NON_POLYMER, false, "CITRYL-THIOETHER-COENZYME *A", 13127 },
	{ "CID", "", "", ResidueType::NON_POLYMER, false, "6-(4-CHLOROPHENYL)IMIDAZO[2,1-B][1,3]THIAZOLE-5-CARBALDEHYDE O-(3,4-DICHLOROBENZYL)OXIME", 13128 },
	{ "CIE", "", "", ResidueType::NON_POLYMER, false, "2-[[[[(4-CHLORO-6-METHOXY-2-PYRIMIDINYL)AMINO]CARBONYL]AMINO]SULFONYL]BENZOIC ACID ETHYL ESTER", 13129 },
	{ "CIG", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-6-CHLOROPYRAZINE", 13130 },
	{ "CIH", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-cyano-N-(2,2'-dichlorobiphenyl-4-yl)-3-hydroxybut-2-enamide", 13131 },
	{ "CII", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-2-methyl-1-(pyridin-4-ylcarbamoyl)propyl]cyclohexanecarboxamide", 13132 },
	{ "CIJ", "", "", ResidueType::NON_POLYMER, false, "2-(3-chloro-4-fluorobenzyl)-4,5-dihydroxy-1H-isoindole-1,3(2H)-dione", 13133 },
	{ "CIL", "", "", ResidueType::NON_POLYMER, false, "CILASTATIN", 13134 },
	{ "CIN", "", "", ResidueType::NON_POLYMER, false, "4-CARBOXYCINNAMIC ACID", 13135 },
	{ "CIO", "", "", ResidueType::NON_POLYMER, false, "CILOMILAST", 13136 },
	{ "CIP", "", "", ResidueType::NON_POLYMER, false, "INOSITOL-2-METHYLENE-1,2-CYCLIC-MONOPHOSPHATE", 13137 },
	{ "CIQ", "", "", ResidueType::NON_POLYMER, false, "2-cyclohexyl-6-methoxy-N-[1-(1-methylethyl)piperidin-4-yl]-7-(3-pyrrolidin-1-ylpropoxy)quinazolin-4-amine", 13138 },
	{ "CIR", "", "", ResidueType::PEPTIDE_LINKING, false, "CITRULLINE", 13139 },
	{ "CIS", "", "", ResidueType::NON_POLYMER, false, "(15Z)-N-((1S,2R,3E)-2-HYDROXY-1-{[(3-O-SULFO-BETA-D-GALACTOPYRANOSYL)OXY]METHYL}HEPTADEC-3-ENYL)TETRACOS-15-ENAMIDE", 13140 },
	{ "CIT", "", "", ResidueType::NON_POLYMER, false, "CITRIC ACID", 13141 },
	{ "CIU", "", "", ResidueType::NON_POLYMER, false, "N-CYCLOHEXYL-N'-(4-IODOPHENYL)UREA", 13142 },
	{ "CIW", "", "", ResidueType::NON_POLYMER, false, "5-[(5-chloro-2-oxo-2,3-dihydro-1H-indol-1-yl)methyl]-1,3-benzodioxole-4-carboxylic acid", 13143 },
	{ "CIX", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(benzyloxy)carbonyl]-L-leucyl-N-[(1R)-1-(dihydroxyboranyl)-3-methylbutyl]-L-leucinamide", 13144 },
	{ "CIY", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(4-hydroxy-3-methoxyphenyl)prop-2-enal", 13145 },
	{ "CIZ", "", "", ResidueType::NON_POLYMER, false, "(~{Z})-2-methylbut-2-enedioic acid", 13146 },
	{ "CJ2", "", "", ResidueType::NON_POLYMER, false, "3-[(4-methoxyphenyl)methyl]-5-oxidanyl-~{N}-[3-(trifluoromethyl)phenyl]-1,2,3-triazole-4-carboxamide", 13147 },
	{ "CJ3", "", "", ResidueType::NON_POLYMER, false, "1-hydroxy-2,3,1-benzodiazaborinine-2(1H)-carbothioamide", 13148 },
	{ "CJ5", "", "", ResidueType::NON_POLYMER, false, "1-[4-[[4-[(5-cyclopentyl-1H-pyrazol-3-yl)amino]pyrimidin-2-yl]amino]phenyl]-3-[3-(trifluoromethyl)phenyl]urea", 13149 },
	{ "CJ7", "", "", ResidueType::NON_POLYMER, false, "8-fluoro-5-methyl-3-{[2-(piperidin-1-yl)ethyl]sulfanyl}-5H-[1,2,4]triazino[5,6-b]indole", 13150 },
	{ "CJB", "", "", ResidueType::NON_POLYMER, false, "1-beta-D-glucopyranosylpyrimidine-2,4(1H,3H)-dione", 13151 },
	{ "CJC", "", "", ResidueType::NON_POLYMER, false, "7-({4-[(3R)-3-aminopyrrolidin-1-yl]-5-chloro-6-ethyl-7H-pyrrolo[2,3-d]pyrimidin-2-yl}sulfanyl)pyrido[2,3-b]pyrazin-2(1H)-one", 13152 },
	{ "CJD", "", "", ResidueType::NON_POLYMER, false, "5,8-dichloro-2-[(4-methoxy-6-methyl-2-oxo-1,2-dihydropyridin-3-yl)methyl]-7-[(R)-methoxy(oxetan-3-yl)methyl]-3,4-dihydroisoquinolin-1(2H)-one", 13153 },
	{ "CJG", "", "", ResidueType::NON_POLYMER, false, "5,8-dichloro-7-(3,5-dimethyl-1,2-oxazol-4-yl)-2-[(4,6-dimethyl-2-oxo-1,2-dihydropyridin-3-yl)methyl]-3,4-dihydroisoquinolin-1(2H)-one", 13154 },
	{ "CJH", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-cyano-N-(3'-ethoxybiphenyl-4-yl)-3-hydroxybut-2-enamide", 13155 },
	{ "CJJ", "", "", ResidueType::NON_POLYMER, false, "5-{5-chloro-4-[(5-cyclopropyl-1H-pyrazol-3-yl)amino]pyrimidin-2-yl}thiophene-2-sulfonamide", 13156 },
	{ "CJM", "", "", ResidueType::NON_POLYMER, false, "2-[(2S)-1-(6-{[(4,5-difluoro-1H-benzimidazol-2-yl)methyl]amino}-9-ethyl-9H-purin-2-yl)piperidin-2-yl]ethan-1-ol", 13157 },
	{ "CJN", "", "", ResidueType::NON_POLYMER, false, "~{N}4,~{N}4-dimethyl-~{N}1-(5-propan-2-ylpyrrolo[3,2-d]pyrimidin-4-yl)cyclohexane-1,4-diamine", 13158 },
	{ "CJO", "", "", ResidueType::PEPTIDE_LINKING, false, "[(2R,4R)-2-[(1R,2R)-1-amino-2-hydroxypropyl]-4-(4-hydroxybenzyl)-5-oxoimidazolidin-1-yl]acetic acid", 13159 },
	{ "CJP", "", "", ResidueType::NON_POLYMER, false, "1-[2-(2,4-dichlorophenyl)-1-(methylsulfonyl)-1H-indol-3-yl]methanamine", 13160 },
	{ "CJQ", "", "", ResidueType::NON_POLYMER, false, "2-[(3~{R})-12-(4-morpholin-4-ylcyclohexyl)oxy-7-thia-9,11-diazatricyclo[6.4.0.0^{2,6}]dodeca-1(8),2(6),9,11-tetraen-3-yl]ethanamide", 13161 },
	{ "CJT", "", "", ResidueType::NON_POLYMER, false, "4-[4-[[4-(dimethylamino)cyclohexyl]amino]-7~{H}-pyrrolo[2,3-d]pyrimidin-5-yl]cyclohexane-1-carboxamide", 13162 },
	{ "CJV", "", "", ResidueType::NON_POLYMER, false, "methyl {(1S,2R)-2-[(S)-cyano[1-({1-[4-({1-[4-(dimethylamino)butanoyl]azetidin-3-yl}sulfonyl)phenyl]azetidin-3-yl}methyl)piperidin-4-yl](3-fluorophenyl)methyl]cyclopentyl}carbamate", 13163 },
	{ "CJW", "", "", ResidueType::NON_POLYMER, false, "6-[5-[(2~{S},3~{R},4~{R},5~{S},6~{R})-6-(hydroxymethyl)-3,4,5-tris(oxidanyl)oxan-2-yl]-1~{H}-1,2,4-triazol-3-yl]naphthalene-2-carboxylic acid", 13164 },
	{ "CJY", "", "", ResidueType::NON_POLYMER, false, "3-{3-[(naphthalen-1-yl)oxy]propyl}-1H-indole-2-carboxylic acid", 13165 },
	{ "CJZ", "", "", ResidueType::NON_POLYMER, false, "2-[(3,5-dichloro-4-hydroxyphenyl)amino]benzoic acid", 13166 },
	{ "CK1", "", "", ResidueType::NON_POLYMER, false, "4-(2,5-DICHLOROTHIEN-3-YL)PYRIMIDIN-2-AMINE", 13167 },
	{ "CK2", "", "", ResidueType::NON_POLYMER, false, "4-(2,4-DIMETHYL-1,3-THIAZOL-5-YL)PYRIMIDIN-2-AMINE", 13168 },
	{ "CK3", "", "", ResidueType::NON_POLYMER, false, "N-[4-(2,4-DIMETHYL-1,3-THIAZOL-5-YL)PYRIMIDIN-2-YL]-N'-HYDROXYIMIDOFORMAMIDE", 13169 },
	{ "CK4", "", "", ResidueType::NON_POLYMER, false, "4-(2,4-DIMETHYL-1,3-THIAZOL-5-YL)-N-[4-(TRIFLUOROMETHYL)PHENYL]PYRIMIDIN-2-AMINE", 13170 },
	{ "CK5", "", "", ResidueType::NON_POLYMER, false, "3-[4-(2,4-DIMETHYL-THIAZOL-5-YL)-PYRIMIDIN-2-YLAMINO]-PHENOL", 13171 },
	{ "CK6", "", "", ResidueType::NON_POLYMER, false, "4-[4-(4-METHYL-2-METHYLAMINO-THIAZOL-5-YL)-PYRIMIDIN-2-YLAMINO]-PHENOL", 13172 },
	{ "CK7", "", "", ResidueType::NON_POLYMER, false, "[4-(2-AMINO-4-METHYL-THIAZOL-5-YL)-PYRIMIDIN-2-YL]-(3-NITRO-PHENYL)-AMINE", 13173 },
	{ "CK8", "", "", ResidueType::NON_POLYMER, false, "N-[4-(2,4-DIMETHYL-THIAZOL-5-YL)-PYRIMIDIN-2-YL]-N',N'-DIMETHYL-BENZENE-1,4-DIAMINE", 13174 },
	{ "CK9", "", "", ResidueType::NON_POLYMER, false, "2-{[(2-{[(1R)-1-(HYDROXYMETHYL)PROPYL]AMINO}-9-ISOPROPYL-9H-PURIN-6-YL)AMINO]METHYL}PHENOL", 13175 },
	{ "CKA", "", "", ResidueType::NON_POLYMER, false, "7-Chlorokynurenic acid", 13176 },
	{ "CKB", "", "", ResidueType::NON_POLYMER, false, "1-beta-D-glucopyranosyl-5-methylpyrimidine-2,4(1H,3H)-dione", 13177 },
	{ "CKC", "", "", ResidueType::NON_POLYMER, false, "(3S)-3,7-diaminoheptan-2-one", 13178 },
	{ "CKD", "", "", ResidueType::NON_POLYMER, false, "(S)-N-(3-fluoro-2-(2-(1-(phenylsulfonyl)piperazin-2-yl)ethyl)phenyl)-3,3-bis(4-fluorophenyl)propanamide", 13179 },
	{ "CKE", "", "", ResidueType::NON_POLYMER, false, "1-{7-cyclohexyl-6-[4-(4-methylpiperazin-1-yl)benzyl]-7H-pyrrolo[2,3-d]pyrimidin-2-yl}methanamine", 13180 },
	{ "CKG", "", "", ResidueType::NON_POLYMER, false, "8-(CYCLOHEXA-2,5-DIEN-1-YLIDENEAMINO)-1-(PIPERIDIN-4-YLMETHYL)-4,5-DIHYDRO-1H-PYRAZOLO[4,3-H]QUINAZOLINE-3-CARBOXAMIDE", 13181 },
	{ "CKH", "", "", ResidueType::NON_POLYMER, false, "2-fluoro-N-[2-(2-methyl-1H-indol-3-yl)ethyl]benzamide", 13182 },
	{ "CKI", "", "", ResidueType::NON_POLYMER, false, "N-(2-AMINOETHYL)-5-CHLOROISOQUINOLINE-8-SULFONAMIDE", 13183 },
	{ "CKJ", "", "", ResidueType::NON_POLYMER, false, "1-[(trans-4-aminocyclohexyl)methyl]-N-butyl-3-(4-fluorophenyl)-1H-pyrazolo[3,4-d]pyrimidin-6-amine", 13184 },
	{ "CKK", "", "", ResidueType::NON_POLYMER, false, "N-{[4-({5-[(4-aminopiperidin-1-yl)methyl]pyrrolo[2,1-f][1,2,4]triazin-4-yl}oxy)-3-fluorophenyl]carbamoyl}-2-(4-fluorophenyl)acetamide", 13185 },
	{ "CKM", "", "", ResidueType::NON_POLYMER, false, "N-(3-fluoro-2-{2-[(2S,6R)-6-methyl-1-(phenylsulfonyl)piperazin-2-yl]ethyl}phenyl)-3,3-bis(4-fluorophenyl)propanamide", 13186 },
	{ "CKN", "", "", ResidueType::NON_POLYMER, false, "(3~{R})-3-[4-[[4-(4-ethanoylpiperazin-1-yl)cyclohexyl]amino]pyrrolo[2,1-f][1,2,4]triazin-5-yl]butanamide", 13187 },
	{ "CKP", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S,5R)-2,3,4-TRIHYDROXY-5-[(PHOSPHONATOOXY)METHYL]TETRAHYDROFURAN-2-CARBOXYLIC ACID", 13188 },
	{ "CKQ", "", "", ResidueType::NON_POLYMER, false, "4-[4-[5-[(2~{S},3~{R},4~{R},5~{S},6~{R})-6-(hydroxymethyl)-3,4,5-tris(oxidanyl)oxan-2-yl]-4~{H}-1,2,4-triazol-3-yl]phenyl]benzoic acid", 13189 },
	{ "CKR", "", "", ResidueType::NON_POLYMER, false, "6-amino-2-[(2-morpholin-4-ylethyl)amino]-3,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 13190 },
	{ "CKS", "", "", ResidueType::NON_POLYMER, false, "N-(3-fluoro-2-{2-[(2S,5R)-5-methyl-1-(phenylsulfonyl)piperazin-2-yl]ethyl}phenyl)-3,3-bis(4-fluorophenyl)propanamide", 13191 },
	{ "CKV", "", "", ResidueType::NON_POLYMER, false, "N-(3-fluoro-2-{2-[(2S,5S)-5-methyl-1-(phenylsulfonyl)piperazin-2-yl]ethyl}phenyl)-3,3-bis(4-fluorophenyl)propanamide", 13192 },
	{ "CKW", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S},4~{R},5~{R},6~{S})-2-(hydroxymethyl)-6-[5-(4-phenylphenyl)-4~{H}-1,2,4-triazol-3-yl]oxane-3,4,5-triol", 13193 },
	{ "CKY", "", "", ResidueType::NON_POLYMER, false, "N-(3-fluoro-2-{2-[(2S,6S)-6-methyl-1-(phenylsulfonyl)piperazin-2-yl]ethyl}phenyl)-3,3-bis(4-fluorophenyl)propanamide", 13194 },
	{ "CKZ", "", "", ResidueType::NON_POLYMER, false, "(2~{S},3~{R},4~{R},5~{S},6~{R})-2-[5-(9~{H}-fluoren-2-yl)-4~{H}-1,2,4-triazol-3-yl]-6-(hydroxymethyl)oxane-3,4,5-triol", 13195 },
	{ "CL", "CLO", "", ResidueType::NON_POLYMER, false, "CHLORIDE ION", 13196 },
	{ "CL0", "", "", ResidueType::NON_POLYMER, false, "CHLOROPHYLL A ISOMER", 13197 },
	{ "CL1", "", "", ResidueType::NON_POLYMER, true, "ALPHA CHLOROPHYLL A", 13198 },
	{ "CL2", "", "", ResidueType::NON_POLYMER, true, "BETA CHLOROPHYLL A", 13199 },
	{ "CL3", "", "", ResidueType::NON_POLYMER, false, "N-METHYL-N-[3-(6-PHENYL[1,2,4]TRIAZOLO[4,3-B]PYRIDAZIN-3-YL)PHENYL]ACETAMIDE", 13200 },
	{ "CL4", "", "", ResidueType::NON_POLYMER, false, "N-{3-[5-(6-AMINO-PURIN-9-YL)-3,4-DIHYDROXY-TETRAHYDRO-FURAN-2-YL]-ALLYL}-2,3-DIHYDROXY-5-NITRO-BENZAMIDE", 13201 },
	{ "CL5", "", "", ResidueType::NON_POLYMER, false, "N-(3-OXOPROPYL)GLYCINE", 13202 },
	{ "CL6", "", "", ResidueType::NON_POLYMER, false, "1-[(2-CHLOROPHENYL)(DIPHENYL)METHYL]-1H-IMIDAZOLE", 13203 },
	{ "CL7", "", "", ResidueType::NON_POLYMER, false, "CHLOROPHYLL D", 13204 },
	{ "CL8", "", "", ResidueType::NON_POLYMER, false, "CHLORAMPHENICOL SUCCINATE", 13205 },
	{ "CL9", "", "", ResidueType::NON_POLYMER, false, "2-chloro-2'-deoxyadenosine", 13206 },
	{ "CLA", "", "", ResidueType::NON_POLYMER, false, "CHLOROPHYLL A", 13207 },
	{ "CLB", "", "", ResidueType::PEPTIDE_LINKING, false, "D-PARA-CHLOROPHENYL-1-ACETAMIDOBORONIC ACID ALANINE", 13208 },
	{ "CLC", "", "", ResidueType::NON_POLYMER, false, "N-ACETYL-P-NITROPHENYLSERINOL", 13209 },
	{ "CLD", "", "", ResidueType::PEPTIDE_LINKING, false, "D-PARA-CHLOROPHENYL-1-ACTEAMIDOBORONIC ACID ALANINE", 13210 },
	{ "CLE", "", "", ResidueType::PEPTIDE_LINKING, true, "LEUCINE AMIDE", 13211 },
	{ "CLF", "", "", ResidueType::NON_POLYMER, false, "FE(8)-S(7) CLUSTER", 13212 },
	{ "CLG", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-6-[2-(2-AMINOOXY-ACETYLAMINO)-ACETYLAMINO]-HEXANOIC ACID", 13213 },
	{ "CLH", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-6-[2-(2-OXO-ACETYLAMINO)-ACETYLAMINO]-HEXANOIC ACID", 13214 },
	{ "CLI", "", "", ResidueType::NON_POLYMER, false, "3-(2-CARBOXY-ETHYL)-4,6-DICHLORO-1H-INDOLE-2-CARBOXYLIC ACID", 13215 },
	{ "CLJ", "", "", ResidueType::NON_POLYMER, false, "Calicheamicin alpha3I", 13216 },
	{ "CLK", "", "", ResidueType::NON_POLYMER, false, "ALPHA-N-DICHLOROACETYL-P-AMINOPHENYLSERINOL", 13217 },
	{ "CLL", "", "", ResidueType::NON_POLYMER, false, "CHOLESTERYL LINOLEATE", 13218 },
	{ "CLM", "", "", ResidueType::NON_POLYMER, false, "CHLORAMPHENICOL", 13219 },
	{ "CLN", "", "", ResidueType::NON_POLYMER, false, "SULFUR SUBSTITUTED PROTOPORPHYRIN IX", 13220 },
	{ "CLO", "", "CL", ResidueType::NON_POLYMER, true, "CHLORO GROUP", 13221 },
	{ "CLP", "", "", ResidueType::NON_POLYMER, false, "FE-S CLUSTER", 13222 },
	{ "CLQ", "", "", ResidueType::NON_POLYMER, false, "N4-(7-CHLORO-QUINOLIN-4-YL)-N1,N1-DIETHYL-PENTANE-1,4-DIAMINE", 13223 },
	{ "CLR", "", "", ResidueType::NON_POLYMER, false, "CHOLESTEROL", 13224 },
	{ "CLS", "", "", ResidueType::NON_POLYMER, false, "CEPHALOTHIN", 13225 },
	{ "CLT", "", "", ResidueType::NON_POLYMER, false, "4-PHENYL-BUTANOIC ACID", 13226 },
	{ "CLU", "", "", ResidueType::NON_POLYMER, false, "2,6-DICHLORO-N-IMIDAZOLIDIN-2-YLIDENEANILINE", 13227 },
	{ "CLV", "", "", ResidueType::PEPTIDE_LINKING, false, "{(2S)-2-[(1S)-1-AMINOETHYL]-5-OXO-2,5-DIHYDRO-1H-IMIDAZOL-1-YL}ACETIC ACID", 13228 },
	{ "CLW", "", "", ResidueType::NON_POLYMER, false, "CHLORZOXAZONE", 13229 },
	{ "CLX", "", "", ResidueType::NON_POLYMER, false, "TRI-CHLORO-ACETALDEHYDE", 13230 },
	{ "CLY", "", "", ResidueType::NON_POLYMER, false, "CLINDAMYCIN", 13231 },
	{ "CLZ", "", "", ResidueType::NON_POLYMER, false, "5-CHLORYL-2,4,6-QUINAZOLINETRIAMINE", 13232 },
	{ "CM", "", "ACY", ResidueType::NON_POLYMER, true, "CARBOXYMETHYL GROUP", 13233 },
	{ "CM0", "", "", ResidueType::RNA_LINKING, false, "", 13234 },
	{ "CM1", "", "", ResidueType::NON_POLYMER, false, "CARBOXYMYCOBACTIN S", 13235 },
	{ "CM2", "", "", ResidueType::NON_POLYMER, false, "CARBOXYMYCOBACTIN T", 13236 },
	{ "CM3", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S)-5-FLUORO-3-(4-HYDROXYPHENYL)-4-METHYL-2-[4-(2-PIPERIDIN-1-YLETHOXY)PHENYL]CHROMAN-6-OL", 13237 },
	{ "CM4", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S)-3-(4-HYDROXYPHENYL)-4-METHYL-2-[4-(2-PYRROLIDIN-1-YLETHOXY)PHENYL]CHROMAN-6-OL", 13238 },
	{ "CM5", "", "", ResidueType::NON_POLYMER, false, "5-CYCLOHEXYL-1-PENTYL-BETA-D-MALTOSIDE", 13239 },
	{ "CM6", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[(2,1,3-BENZOTHIADIAZOL-4-YLSULFONYL)AMINO]-2-PHENYL-N-PYRIDIN-4-YLACETAMIDE", 13240 },
	{ "CM7", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R)-1-benzyl-2-hydroxy-3-{[3-(trifluoromethyl)benzyl]amino}propyl]-7-ethyl-1-methyl-3,4-dihydro-1H-[1,2,5]thiadiazepino[3,4,5-hi]indole-9-carboxamide 2,2-dioxide", 13241 },
	{ "CM8", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R)-1-benzyl-2-hydroxy-3-{[3-(trifluoromethyl)benzyl]amino}propyl]-3-(1,1-dioxido-1,2-thiazinan-2-yl)-5-(ethylamino)benzamide", 13242 },
	{ "CM9", "", "", ResidueType::NON_POLYMER, false, "CIS-4-METHYL-N-[(1S)-3-(METHYLSULFANYL)-1-(PYRIDIN-4-YLCARBAMOYL)PROPYL]CYCLOHEXANECARBOXAMIDE", 13243 },
	{ "CMA", "", "", ResidueType::NON_POLYMER, false, "N2-(CARBOXYETHYL)-L-ARGININE", 13244 },
	{ "CMB", "", "", ResidueType::NON_POLYMER, false, "1-(3-carbamimidoylbenzyl)-N-(3,5-dichlorobenzyl)-4-methyl-1H-indole-2-carboxamide", 13245 },
	{ "CMC", "", "", ResidueType::NON_POLYMER, false, "CARBOXYMETHYL COENZYME *A", 13246 },
	{ "CMD", "", "", ResidueType::NON_POLYMER, false, "3'-DESAMINO-3'-(3-CYANO-4-MORPHOLINYL)-DOXORUBICIN", 13247 },
	{ "CME", "", "", ResidueType::PEPTIDE_LINKING, false, "S,S-(2-HYDROXYETHYL)THIOCYSTEINE", 13248 },
	{ "CMF", "", "", ResidueType::NON_POLYMER, false, "3-CYCLOHEXYL-1-(2-MORPHOLIN-4-YL-2-OXOETHYL)-2-PHENYL-1H-INDOLE-6-CARBOXYLIC ACID", 13249 },
	{ "CMG", "", "", ResidueType::NON_POLYMER, false, "6-O-CYCLOHEXYLMETHYL GUANINE", 13250 },
	{ "CMH", "", "", ResidueType::PEPTIDE_LINKING, false, "S-(METHYLMERCURY)-L-CYSTEINE", 13251 },
	{ "CMI", "", "", ResidueType::NON_POLYMER, false, "1-(3-CARBAMIMIDOYL-BENZYL)-4-METHYL-1H-INDOLE-2-CARBOXYLIC ACID 3,5-DIMETHYL-BENZYLAMIDE", 13252 },
	{ "CMJ", "", "", ResidueType::NON_POLYMER, false, "(20S)-20-methyldotetracontane", 13253 },
	{ "CMK", "", "", ResidueType::NON_POLYMER, false, "", 13254 },
	{ "CML", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-{[(2R)-2-amino-2-carboxyethyl]sulfanyl}butanedioic acid", 13255 },
	{ "CMM", "", "", ResidueType::NON_POLYMER, false, "2-[2-(1-CARBAMIMIDOYL-PIPERIDIN-3-YL)-ACETYLAMINO]-3-{4-[2-(3-OXALYL-1H-INDOL-7-YL)ETHYL]-PHENYL}-PROPIONIC ACID METHYL ESTER", 13256 },
	{ "CMN", "", "ACI", ResidueType::NON_POLYMER, true, "(1R,2R,3S,6R)-6-AMINO-4-(HYDROXYMETHYL)CYCLOHEX-4-ENE-1,2,3-TRIOL", 13257 },
	{ "CMO", "", "", ResidueType::NON_POLYMER, false, "CARBON MONOXIDE", 13258 },
	{ "CMP", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE-3',5'-CYCLIC-MONOPHOSPHATE", 13259 },
	{ "CMQ", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(BENZYLOXY)CARBONYL]-N-[(1S,2S)-2-HYDROXY-1-(4-HYDROXYBENZYL)PROPYL]-L-LEUCINAMIDE", 13260 },
	{ "CMR", "", "", ResidueType::DNA_LINKING, false, "2'-DEOXY-CYTIDINE-5'-RP-MONOMETHYLPHOSPHONATE", 13261 },
	{ "CMS", "", "", ResidueType::NON_POLYMER, false, "CARBAMOYL SARCOSINE", 13262 },
	{ "CMT", "", "", ResidueType::PEPTIDE_LINKING, false, "O-METHYLCYSTEINE", 13263 },
	{ "CMU", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-6-(1-(2-IMINOPYRROLIDINYL) METHYL) URACIL", 13264 },
	{ "CMV", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-2-[(1R)-1-({(2R)-2-[(4-ethyl-2,3-dioxopiperazin-1-yl)amino]-2-phenylacetyl}amino)-2-oxoethyl]-5,5-dimethyl-1,3-thiazolidine-4-carboxylic acid", 13265 },
	{ "CMW", "", "", ResidueType::NON_POLYMER, false, "3-{[(4-methylphenyl)sulfonyl]amino}propyl pyridin-4-ylcarbamate", 13266 },
	{ "CMX", "", "", ResidueType::NON_POLYMER, false, "CARBOXYMETHYLDETHIA COENZYME *A", 13267 },
	{ "CMY", "", "", ResidueType::NON_POLYMER, false, "(6-AMINOHEXYL)CARBAMIC ACID", 13268 },
	{ "CMZ", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-(2,5-dimethylphenoxy)-3-morpholin-4-ylpropan-2-ol", 13269 },
	{ "CN", "", "CYN", ResidueType::NON_POLYMER, true, "CYANIDE", 13270 },
	{ "CN1", "", "", ResidueType::NON_POLYMER, false, "OXO-IRON CLUSTER 2", 13271 },
	{ "CN2", "", "", ResidueType::NON_POLYMER, false, "2-MERCAPTO-N-[1,2,3,10-TETRAMETHOXY-9-OXO-5,6,7,9-TETRAHYDRO-BENZO[A]HEPTALEN-7-YL]ACETAMIDE", 13272 },
	{ "CN3", "", "", ResidueType::NON_POLYMER, false, "(2R,5S,11R,14R)-5,8,11-trihydroxy-2-(nonanoyloxy)-5,11-dioxido-16-oxo-14-[(propanoyloxy)methyl]-4,6,10,12,15-pentaoxa-5,11-diphosphanonadec-1-yl undecanoate", 13273 },
	{ "CN4", "", "", ResidueType::NON_POLYMER, false, "N-(2-{2-[(6R,9S)-2,2-dioxo-2lambda~6~-thia-1,7-diazabicyclo[4.3.1]decan-9-yl]ethyl}-3-fluorophenyl)-3,3-bis(4-fluorophenyl)propanamide", 13274 },
	{ "CN5", "", "", ResidueType::NON_POLYMER, false, "(5S,11R)-5,8,11-trihydroxy-5,11-dioxido-17-oxo-4,6,10,12,16-pentaoxa-5,11-diphosphaoctadec-1-yl pentadecanoate", 13275 },
	{ "CN6", "", "", ResidueType::NON_POLYMER, false, "(2R,5R,11S,14R)-2-(butanoyloxy)-5,8,11-trihydroxy-5,11-dioxido-16-oxo-14-[(propanoyloxy)methyl]-4,6,10,12,15-pentaoxa-5,11-diphosphanonadec-1-yl undecanoate", 13276 },
	{ "CN7", "", "", ResidueType::NON_POLYMER, false, "7-(2-methylphenyl)-1-[2-(morpholin-4-yl)ethyl]-3-{3-[(naphthalen-1-yl)oxy]propyl}-1H-indole-2-carboxylic acid", 13277 },
	{ "CN8", "", "", ResidueType::NON_POLYMER, false, "(4S)-N-ethyl-4-{[N-methyl-3-(1-{2-[(4-sulfanylbenzoyl)amino]ethyl}-1H-1,2,3-triazol-4-yl)-L-alanyl]amino}-L-prolinamide", 13278 },
	{ "CNA", "", "", ResidueType::NON_POLYMER, false, "CARBA-NICOTINAMIDE-ADENINE-DINUCLEOTIDE", 13279 },
	{ "CNB", "", "", ResidueType::NON_POLYMER, false, "OXO-IRON CLUSTER 1", 13280 },
	{ "CNC", "", "", ResidueType::NON_POLYMER, false, "CO-CYANOCOBALAMIN", 13281 },
	{ "CND", "", "", ResidueType::NON_POLYMER, false, "5-BETA-D-RIBOFURANOSYLNICOTINAMIDE ADENINE DINUCLEOTIDE", 13282 },
	{ "CNE", "", "", ResidueType::NON_POLYMER, false, "(3S)-5-[(2-CHLORO-6-FLUOROBENZYL)SULFANYL]-3-{[N-({2-ETHOXY-5-[(1E)-3-METHOXY-3-OXOPROP-1-ENYL]PHENYL}ACETYL)-D-VALYL]AMINO}-4-OXOPENTANOIC ACID", 13283 },
	{ "CNF", "", "", ResidueType::NON_POLYMER, false, "OXO-IRON CLUSTER 3", 13284 },
	{ "CNG", "", "", ResidueType::PEPTIDE_LINKING, false, "N-cyclooctylglycine", 13285 },
	{ "CNH", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXY-2-METHYLPROPANENITRILE", 13286 },
	{ "CNI", "", "", ResidueType::NON_POLYMER, false, "7-nitro-2,3-dioxo-2,3-dihydroquinoxaline-6-carbonitrile", 13287 },
	{ "CNK", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S},4~{R},5~{R},6~{S})-2-(hydroxymethyl)-6-(5-naphthalen-1-yl-4~{H}-1,2,4-triazol-3-yl)oxane-3,4,5-triol", 13288 },
	{ "CNL", "", "", ResidueType::NON_POLYMER, false, "1,3,3-TRIMETHYL-2-OXABICYCLO[2.2.2]OCTANE", 13289 },
	{ "CNM", "", "ACM", ResidueType::NON_POLYMER, true, "ACETAMIDE", 13290 },
	{ "CNN", "", "", ResidueType::NON_POLYMER, false, "CYANAMIDE", 13291 },
	{ "CNO", "", "", ResidueType::NON_POLYMER, false, "2-{4-[(3{2-[4-(1-CARBOXY-1-METHYL-ETHOXY)-PHENYL]-ACETYLAMINO}-PHENYLCARBAMOYL)-METHYL]-PHENOXY}-2-METHYL-PROPIONIC ACID", 13292 },
	{ "CNP", "", "", ResidueType::NON_POLYMER, false, "2-PROPENYL-N-ACETYL-NEURAMIC ACID", 13293 },
	{ "CNQ", "", "", ResidueType::NON_POLYMER, false, "3-(4-CHLOROPHENYL)QUINOXALINE-5-CARBOXAMIDE", 13294 },
	{ "CNR", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-CHLOROPROPANOIC ACID", 13295 },
	{ "CNS", "", "", ResidueType::NON_POLYMER, false, "HEXADECYL OCTANOATE", 13296 },
	{ "CNT", "", "", ResidueType::NON_POLYMER, false, "N-METHYL-META-CHLORO-TYROSINE", 13297 },
	{ "CNU", "", "", ResidueType::RNA_LINKING, false, "5-CYANO-URIDINE-5'-MONOPHOSPHATE", 13298 },
	{ "CNV", "", "", ResidueType::NON_POLYMER, false, "propanenitrile", 13299 },
	{ "CNW", "", "", ResidueType::NON_POLYMER, false, "7-diethylamino-2-oxo-chromene-3-carboxamide", 13300 },
	{ "CNX", "", "", ResidueType::NON_POLYMER, false, "heptanenitrile", 13301 },
	{ "CNY", "", "", ResidueType::NON_POLYMER, false, "13,15-DIAMINO-2-(AMINOMETHYL)-3,4,9,12-TETRAHYDROXYHEXADECAHYDRO-2H-7,10-EPOXYPYRANO[2,3-B][1,10,4]BENZODIOXAZACYCLODODECIN-8-YL 2,6-DIAMINO-2,6-DIDEOXYHEXOPYRANOSIDE", 13302 },
	{ "CNZ", "", "", ResidueType::NON_POLYMER, false, "L-gamma-glutamyl-S-(2-biphenyl-4-yl-2-oxoethyl)-L-cysteinylglycine", 13303 },
	{ "CO", "", "", ResidueType::NON_POLYMER, false, "COBALT (II) ION", 13304 },
	{ "CO1", "", "", ResidueType::NON_POLYMER, false, "17-[3-(3,3-DIMETHYL-OXIRANYL)-1-METHYL-PROPYL]-10,13-DIMETHYL-2,3,4,7,8,9,10,11,12,13,14,15,16,17-TETRADECAHYDRO-1H-CYCLOPENTA[A]PHENANTHREN-3-OL", 13305 },
	{ "CO2", "", "", ResidueType::NON_POLYMER, false, "CARBON DIOXIDE", 13306 },
	{ "CO3", "", "", ResidueType::NON_POLYMER, false, "CARBONATE ION", 13307 },
	{ "CO4", "", "", ResidueType::NON_POLYMER, false, "2,4-DIAMINO-5-METHYL-6-[(3,4,5-TRIMETHOXY-N-METHYLANILINO)METHYL]PYRIDO[2,3-D]PYRIMIDINE", 13308 },
	{ "CO5", "", "", ResidueType::NON_POLYMER, true, "COBALT ION,5 WATERS COORDINATED", 13309 },
	{ "CO6", "", "", ResidueType::NON_POLYMER, false, "ISOBUTYRYL-COENZYME A", 13310 },
	{ "CO7", "", "", ResidueType::NON_POLYMER, false, "", 13311 },
	{ "CO8", "", "", ResidueType::NON_POLYMER, false, "OCTANOYL-COENZYME A", 13312 },
	{ "CO9", "", "", ResidueType::NON_POLYMER, false, "1-({2-[(1S)-1-AMINOETHYL]-1,3-OXAZOL-4-YL}CARBONYL)-L-PROLYL-L-TRYPTOPHAN", 13313 },
	{ "COA", "", "", ResidueType::NON_POLYMER, false, "COENZYME A", 13314 },
	{ "COB", "", "", ResidueType::NON_POLYMER, false, "CO-METHYLCOBALAMIN", 13315 },
	{ "COC", "", "", ResidueType::NON_POLYMER, false, "COCAINE", 13316 },
	{ "COD", "", "", ResidueType::NON_POLYMER, false, "DEPHOSPHO COENZYME A", 13317 },
	{ "COE", "", "MOT", ResidueType::NON_POLYMER, true, "FURO[2,3D]PYRIMIDINE ANTIFOLATE", 13318 },
	{ "COF", "", "", ResidueType::NON_POLYMER, false, "TRIFLUOROACETONYL COENZYME A", 13319 },
	{ "COG", "", "", ResidueType::NON_POLYMER, false, "2,4-DIAMINO-6-[N-(2',5'-DIMETHOXYBENZYL)-N-METHYLAMINO]QUINAZOLINE", 13320 },
	{ "COH", "", "", ResidueType::NON_POLYMER, false, "PROTOPORPHYRIN IX CONTAINING CO", 13321 },
	{ "COI", "", "", ResidueType::NON_POLYMER, false, "2-OXO-4-METHYLPENTANOIC ACID", 13322 },
	{ "COJ", "", "", ResidueType::NON_POLYMER, false, "HYDROGENOBYRINIC ACID", 13323 },
	{ "COK", "", "", ResidueType::NON_POLYMER, false, "", 13324 },
	{ "COL", "", "", ResidueType::NON_POLYMER, false, "2-(OXALYL-AMINO)-4,7-DIHYDRO-5H-THIENO[2,3-C]THIOPYRAN-3-CARBOXYLIC ACID", 13325 },
	{ "COM", "", "", ResidueType::NON_POLYMER, false, "1-THIOETHANESULFONIC ACID", 13326 },
	{ "CON", "", "", ResidueType::NON_POLYMER, false, "COBALT TETRAAMMINE ION", 13327 },
	{ "COO", "", "", ResidueType::NON_POLYMER, false, "CROTONYL COENZYME A", 13328 },
	{ "COP", "", "", ResidueType::NON_POLYMER, false, "N-(4-CARBOXY-4-{4-[(2,4-DIAMINO-PTERIDIN-6-YLMETHYL)-AMINO]-BENZOYLAMINO}-BUTYL)-PHTHALAMIC ACID", 13329 },
	{ "COQ", "", "", ResidueType::NON_POLYMER, false, "2,4-DIAMINO-6-[N-(3',5'-DIMETHOXYBENZYL)-N-METHYLAMINO]PYRIDO[2,3-D]PYRIMIDINE", 13330 },
	{ "COR", "", "", ResidueType::NON_POLYMER, false, "2,4-DIAMINO-1,5-DIPHENYL-3-HYDROXYPENTANE", 13331 },
	{ "COS", "", "", ResidueType::NON_POLYMER, false, "COENZYME A PERSULFIDE", 13332 },
	{ "COT", "", "", ResidueType::NON_POLYMER, false, "COA-S-ACETYL TRYPTAMINE", 13333 },
	{ "COU", "", "", ResidueType::NON_POLYMER, false, "COUMARIN", 13334 },
	{ "COV", "", "", ResidueType::NON_POLYMER, false, "(1S,3R,5Z,7E,14beta,17alpha)-17-[(2S,4S)-4-(2-hydroxy-2-methylpropyl)-2-methyltetrahydrofuran-2-yl]-9,10-secoandrosta-5,7,10-triene-1,3-diol", 13335 },
	{ "COW", "", "", ResidueType::NON_POLYMER, false, "Anthraniloyl-coenzyme A", 13336 },
	{ "COX", "", "", ResidueType::NON_POLYMER, false, "4-(5-METHYL-3-PHENYLISOXAZOL-4-YL)BENZENESULFONAMIDE", 13337 },
	{ "COY", "", "", ResidueType::NON_POLYMER, false, "CO-(ADENIN-9-YL-PENTYL)-COBALAMIN", 13338 },
	{ "COZ", "", "", ResidueType::NON_POLYMER, false, "COENZYME A", 13339 },
	{ "CP", "", "", ResidueType::NON_POLYMER, false, "PHOSPHORIC ACID MONO(FORMAMIDE)ESTER", 13340 },
	{ "CP0", "", "", ResidueType::NON_POLYMER, false, "", 13341 },
	{ "CP1", "", "", ResidueType::DNA_LINKING, false, "2-(METHYLAMINO)-ETHYLGLYCINE-CARBONYLMETHYLENE-CYTOSINE", 13342 },
	{ "CP2", "", "", ResidueType::NON_POLYMER, false, "1,2-DICHLORO-PROPANE", 13343 },
	{ "CP3", "", "", ResidueType::NON_POLYMER, false, "COPROPORPHYRINOGEN III", 13344 },
	{ "CP4", "", "", ResidueType::NON_POLYMER, false, "BIS[5-CHLORO-1H-INDOL-2-YL-CARBONYL-AMINOETHYL]-ETHYLENE GLYCOL", 13345 },
	{ "CP5", "", "", ResidueType::NON_POLYMER, false, "(2Z)-3-{[OXIDO(OXO)PHOSPHINO]OXY}-2-PHENYLACRYLATE", 13346 },
	{ "CP6", "", "", ResidueType::NON_POLYMER, false, "5-(4-CHLORO-PHENYL)-6-ETHYL-PYRIMIDINE-2,4-DIAMINE", 13347 },
	{ "CP7", "", "", ResidueType::NON_POLYMER, false, "6-ETHYL-5-PHENYLPYRIMIDINE-2,4-DIAMINE", 13348 },
	{ "CP8", "", "", ResidueType::NON_POLYMER, false, "", 13349 },
	{ "CP9", "", "", ResidueType::NON_POLYMER, false, "3-[4-(2-METHYL-IMIDAZO[4,5-C]PYRIDIN-1-YL)BENZYL]-3H-BENZOTHIAZOL-2-ONE", 13350 },
	{ "CPA", "", "", ResidueType::NON_POLYMER, false, "2'-DEOXYCYTIDINE-2'-DEOXYADENOSINE-3',5'-MONOPHOSPHATE", 13351 },
	{ "CPB", "", "", ResidueType::NON_POLYMER, false, "2-(2-CHLORO-PHENYL)-5,7-DIHYDROXY-8-(3-HYDROXY-1-METHYL-PIPERIDIN-4-YL)-4H-BENZOPYRAN-4-ONE", 13352 },
	{ "CPC", "", "", ResidueType::PEPTIDE_LINKING, false, "2-METHYL-1-METHYLAMINO-CYCLOPROPANE CARBOXYLIC ACID", 13353 },
	{ "CPD", "", "", ResidueType::NON_POLYMER, false, "[1-(3-DIMETHYLAMINO-PROPYL)-3-ETHYL-UREIDO]-[4-(2,2,2-TRIFLUORO-ACETYLAMINO)-BENZYL]PHOSPHINIC ACID-2-(2,2-DIHYDRO-ACETYLAMINO)-3-HYDROXY-1-(4-NITROPHENYL)-PROPYL ESTER", 13354 },
	{ "CPF", "", "", ResidueType::NON_POLYMER, false, "1-CYCLOPROPYL-6-FLUORO-4-OXO-7-PIPERAZIN-1-YL-1,4-DIHYDROQUINOLINE-3-CARBOXYLIC ACID", 13355 },
	{ "CPG", "", "5GP", ResidueType::NON_POLYMER, true, "GUANOSINE-5'-PHOSPHATE", 13356 },
	{ "CPH", "", "", ResidueType::NON_POLYMER, false, "(1S)-5-deoxy-1-O-methyl-1-C-[(2R,3S)-3,5,7,10-tetrahydroxy-6-methyl-4-oxo-1,2,3,4-tetrahydroanthracen-2-yl]-D-xylulose", 13357 },
	{ "CPI", "", "", ResidueType::PEPTIDE_LINKING, false, "6-CARBOXYPIPERIDINE", 13358 },
	{ "CPJ", "", "", ResidueType::NON_POLYMER, false, "BIS-1,2-{[(Z)-2-CARBOXY-2-METHYL-1,3-DIOXANE]-5-YLOXYCARBAMOYL}-ETHANE", 13359 },
	{ "CPK", "", "", ResidueType::NON_POLYMER, false, "BIS-1,2-{[(Z)-2CARBOXY-2-METHYL-1,3-DIOXANE]-5-YLOXYCARBONYL}-PIPERAZINE", 13360 },
	{ "CPL", "", "", ResidueType::NON_POLYMER, false, "1-PALMITOYL-2-LINOLEOYL-SN-GLYCERO-3-PHOSPHOCHOLINE", 13361 },
	{ "CPM", "", "", ResidueType::NON_POLYMER, false, "S-(2-CARBOXY-3-PHENYLPROPYL)THIODIIMINE-S-METHANE", 13362 },
	{ "CPN", "", "", ResidueType::PEPTIDE_LIKE, false, "2-AMINOETHYLGLYCINE-CARBONYLMETHYLENE-CYTOSINE", 13363 },
	{ "CPO", "", "", ResidueType::NON_POLYMER, false, "COPROGEN", 13364 },
	{ "CPP", "", "", ResidueType::NON_POLYMER, true, "2-CYCLOPROPYLMETHYLENEPROPANAL", 13365 },
	{ "CPQ", "", "", ResidueType::NON_POLYMER, false, "N,N-BIS(3-D-GLUCONAMIDOPROPYL)DEOXYCHOLAMIDE", 13366 },
	{ "CPR", "", "", ResidueType::NON_POLYMER, false, "", 13367 },
	{ "CPS", "", "", ResidueType::NON_POLYMER, false, "3-[(3-CHOLAMIDOPROPYL)DIMETHYLAMMONIO]-1-PROPANESULFONATE", 13368 },
	{ "CPT", "", "", ResidueType::NON_POLYMER, false, "Cisplatin", 13369 },
	{ "CPU", "", "", ResidueType::NON_POLYMER, false, "", 13370 },
	{ "CPV", "", "", ResidueType::NON_POLYMER, false, "5-AMINO-6-CYCLOHEXYL-4-HYDROXY-2-ISOPROPYL-HEXANOIC ACID", 13371 },
	{ "CPW", "", "", ResidueType::NON_POLYMER, false, "(S)-2-AMINO-3-(1,3,5,7-PENTAHYDRO-2,4-DIOXO-CYCLOPENTA[E]PYRIMIDIN-1-YL) PROIONIC ACID", 13372 },
	{ "CPX", "", "", ResidueType::NON_POLYMER, false, "N-[(2R,3S)-1-((2S)-2-{[(CYCLOPENTYLAMINO)CARBONYL]AMINO}-3-METHYLBUTANOYL)-2-(1-FORMYL-1-CYCLOBUTYL)PYRROLIDINYL]CYCLOPROPANECARBOXAMIDE", 13373 },
	{ "CPY", "", "", ResidueType::NON_POLYMER, false, "1-(3-AMINO-4-CYCLOHEXYL-2-HYDROXYBUTYL)PYRIDIN-2(1H)-ONE", 13374 },
	{ "CPZ", "", "", ResidueType::NON_POLYMER, false, "4-(4-CHLOROPHENYL)IMIDAZOLE", 13375 },
	{ "CQ0", "", "", ResidueType::NON_POLYMER, false, "3-(3-tert-butyl[1,2,4]triazolo[4,3-a]pyridin-7-yl)-N-cyclopropyl-4-methylbenzamide", 13376 },
	{ "CQ1", "", "", ResidueType::PEPTIDE_LINKING, false, "[(4Z)-2-[(1R,2R)-1-amino-2-hydroxypropyl]-4-(4-azidobenzylidene)-5-oxo-4,5-dihydro-1H-imidazol-1-yl]acetic acid", 13377 },
	{ "CQ2", "", "", ResidueType::PEPTIDE_LINKING, false, "{(4Z)-4-(4-aminobenzylidene)-2-[(1R,2R)-1-amino-2-hydroxypropyl]-5-oxo-4,5-dihydro-1H-imidazol-1-yl}acetic acid", 13378 },
	{ "CQ3", "", "", ResidueType::NON_POLYMER, false, "N-[2-[[5-chloranyl-2-(oxan-4-ylamino)pyrimidin-4-yl]amino]phenyl]propanamide", 13379 },
	{ "CQ4", "", "", ResidueType::NON_POLYMER, false, "Chromate", 13380 },
	{ "CQ5", "", "", ResidueType::NON_POLYMER, false, "3-[[4-oxidanyl-1-[(3~{R})-3-phenylbutanoyl]piperidin-4-yl]methyl]-6-(2-pyrrolidin-1-ylethylamino)pyrimidin-4-one", 13381 },
	{ "CQ6", "", "", ResidueType::NON_POLYMER, false, "7-ethylsulfonyl-N-(oxan-4-yl)-6,8-dihydro-5H-pyrido[3,4-d]pyrimidin-2-amine", 13382 },
	{ "CQ7", "", "", ResidueType::NON_POLYMER, false, "4-{[4-(cyclopentyloxy)-5-(2-methyl-1,3-benzoxazol-6-yl)-7H-pyrrolo[2,3-d]pyrimidin-2-yl]amino}-3-methoxy-N-methylbenzamide", 13383 },
	{ "CQ8", "", "", ResidueType::NON_POLYMER, false, "2-[[5-chloranyl-2-(oxan-4-ylamino)pyridin-4-yl]amino]-N-methyl-benzamide", 13384 },
	{ "CQA", "", "", ResidueType::NON_POLYMER, false, "4-[(7-CHLOROQUINOLIN-4-YL)AMINO]-2-[(DIETHYLAMINO)METHYL]PHENOL", 13385 },
	{ "CQD", "", "", ResidueType::NON_POLYMER, false, "6-chloro-7-{[2-(morpholin-4-yl)ethyl]amino}quinoline-5,8-dione", 13386 },
	{ "CQE", "", "", ResidueType::NON_POLYMER, false, "N-{4-[2-(1-cyclopropylpiperidin-4-yl)-4-(3-{[(2,5-difluorophenyl)sulfonyl]amino}-2-fluorophenyl)-1,3-thiazol-5-yl]pyridin-2-yl}acetamide", 13387 },
	{ "CQL", "", "", ResidueType::NON_POLYMER, false, "5-chloro-7-iodoquinolin-8-ol", 13388 },
	{ "CQN", "", "", ResidueType::NON_POLYMER, false, "Bepridil", 13389 },
	{ "CQP", "", "", ResidueType::NON_POLYMER, false, "(4R,2S)-5'-(4-(4-CHLOROBENZYLOXY)PYRROLIDIN-2-YLMETHANESULFONYL)ISOQUINOLINE", 13390 },
	{ "CQQ", "", "", ResidueType::NON_POLYMER, false, "4-{[4-(dimethylamino)butanoyl]amino}-N-(3-{[4-(pyridin-3-yl)pyrimidin-2-yl]amino}phenyl)benzamide", 13391 },
	{ "CQR", "", "CR2", ResidueType::PEPTIDE_LINKING, true, "[(4Z)-2-(AMINOMETHYL)-4-(4-HYDROXYBENZYLIDENE)-5-OXO-4,5-DIHYDRO-1H-IMIDAZOL-1-YL]ACETIC ACID", 13392 },
	{ "CQU", "", "", ResidueType::NON_POLYMER, false, "N-[2-(5-methyl-4H-1,2,4-triazol-3-yl)phenyl]-7H-pyrrolo[2,3-d]pyrimidin-4-amine", 13393 },
	{ "CQW", "", "", ResidueType::NON_POLYMER, false, "5-(5-chloro-7H-pyrrolo[2,3-d]pyrimidin-4-yl)-4,5,6,7-tetrahydro-1H-imidazo[4,5-c]pyridine", 13394 },
	{ "CQY", "", "", ResidueType::NON_POLYMER, false, "(3-ethoxythiophen-2-yl){4-[4-nitro-3-(pyrrolidin-1-yl)phenyl]piperazin-1-yl}methanone", 13395 },
	{ "CR", "", "", ResidueType::NON_POLYMER, false, "CHROMIUM ION", 13396 },
	{ "CR0", "", "", ResidueType::PEPTIDE_LINKING, false, "[2-(1-AMINO-2-HYDROXYPROPYL)-2-HYDROXY-4-ISOBUTYL-5-OXO-2,5-DIHYDRO-1H-IMIDAZOL-1-YL]ACETALDEHYDE", 13397 },
	{ "CR1", "", "", ResidueType::SACCHARIDE, false, "1-DEOXY-1-METHOXYCARBAMIDO-BETA-D-GLUCOPYRANOSE", 13398 },
	{ "CR2", "", "", ResidueType::PEPTIDE_LINKING, false, "{(4Z)-2-(aminomethyl)-4-[(4-hydroxyphenyl)methylidene]-5-oxo-4,5-dihydro-1H-imidazol-1-yl}acetic acid", 13399 },
	{ "CR3", "", "", ResidueType::NON_POLYMER, false, "2-{5-[AMINO(IMINIO)METHYL]-1H-INDOL-2-YL}-6-(CYCLOPENTYLOXY)BENZENOLATE", 13400 },
	{ "CR4", "", "", ResidueType::NON_POLYMER, false, "2-{5-[AMINO(IMINIO)METHYL]-1H-BENZIMIDAZOL-2-YL}BENZENOLATE", 13401 },
	{ "CR5", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-2-(AMINOMETHYL)-2,4-DIHYDROXY-5-OXO-3-(2-OXOETHYL)-2,5-DIHYDRO-1H-IMIDAZOL-3-IUM", 13402 },
	{ "CR6", "", "", ResidueType::SACCHARIDE, false, "1-DEOXY-1-ACETYLAMINO-BETA-D-GLUCO-2-HEPTULOPYRANOSONAMIDE", 13403 },
	{ "CR7", "", "", ResidueType::PEPTIDE_LINKING, false, "[(4Z)-2-[(1S)-1,5-DIAMINOPENTYL]-4-(4-HYDROXYBENZYLIDENE)-5-OXO-4,5-DIHYDRO-1H-IMIDAZOL-1-YL]ACETIC ACID", 13404 },
	{ "CR8", "", "", ResidueType::PEPTIDE_LINKING, false, "2-[1-AMINO-2-(1H-IMIDAZOL-5-YL)ETHYL]-1-(CARBOXYMETHYL)-4-[(4-OXOCYCLOHEXA-2,5-DIEN-1-YLIDENE)METHYL]-1H-IMIDAZOL-5-OLATE", 13405 },
	{ "CR9", "", "", ResidueType::NON_POLYMER, false, "2-{5-[AMINO(IMINIO)METHYL]-6-FLUORO-1H-BENZIMIDAZOL-2-YL}-6-[(2-METHYLCYCLOHEXYL)OXY]BENZENOLATE", 13406 },
	{ "CRA", "", "", ResidueType::SACCHARIDE, false, "1-DEOXY-1-METHOXYCARBAMIDO-BETA-D-GLUCO-2-HEPTULOPYRANOSONAMIDE", 13407 },
	{ "CRB", "", "", ResidueType::NON_POLYMER, false, "[1R-(1ALPHA,3BETA,4ALPHA,5BETA)]-5-(PHOSPHONOMETHYL)-1,3,4-TRIHYDROXYCYCLOHEXANE-1-CARBOXYLIC ACID", 13408 },
	{ "CRC", "", "DKA", ResidueType::NON_POLYMER, true, "CAPRIC ACID", 13409 },
	{ "CRD", "", "", ResidueType::NON_POLYMER, false, "(2E)-BUT-2-ENAL", 13410 },
	{ "CRE", "", "", ResidueType::NON_POLYMER, false, "GERMACRENE A", 13411 },
	{ "CRF", "", "", ResidueType::PEPTIDE_LINKING, false, "[(4Z)-2-[(1R,2R)-1-amino-2-hydroxypropyl]-4-(1H-indol-3-ylmethylidene)-5-oxo-4,5-dihydro-1H-imidazol-1-yl]acetic acid", 13412 },
	{ "CRG", "", "", ResidueType::PEPTIDE_LINKING, false, "[2-(1-AMINO-2-HYDROXY-PROPYL)-4-(3H-IMIDAZOL-4-YLMETHYLENE)-5-OXO-4,5-DIHYDRO-IMIDAZOL-1-YL]-ACETIC ACID", 13413 },
	{ "CRH", "", "", ResidueType::NON_POLYMER, false, "1,2-HYDRO-1-OXY-3,4-HYDRO-3-(1-METHOXY-2-OXY-3,4-DIHYDROXYPENTYL)-8,9-DIHYROXY-7-METHYLANTHRACENE", 13414 },
	{ "CRI", "", "", ResidueType::NON_POLYMER, false, "", 13415 },
	{ "CRJ", "", "", ResidueType::NON_POLYMER, false, "N-(1-CYANOCYCLOPROPYL)-3-({[(2S)-5-OXOPYRROLIDIN-2-YL]METHYL}SULFONYL)-N~2~-[(1S)-2,2,2-TRIFLUORO-1-(4-FLUOROPHENYL)ETHYL]-L-ALANINAMIDE", 13416 },
	{ "CRK", "", "", ResidueType::PEPTIDE_LINKING, false, "4-{(Z)-[2-[3-(METHYLSULFANYL)PROPANOYL]-5-OXO-1-(2-OXOETHYL)-1,5-DIHYDRO-4H-IMIDAZOL-4-YLIDENE]METHYL}BENZENOLATE", 13417 },
	{ "CRL", "", "", ResidueType::NON_POLYMER, false, "N-{(1R)-2-[(4-CYANO-1,1-DIOXIDOTETRAHYDRO-2H-THIOPYRAN-4-YL)AMINO]-2-OXO-1-[(TRIMETHYLSILYL)METHYL]ETHYL}MORPHOLINE-4-CARBOXAMIDE", 13418 },
	{ "CRM", "", "", ResidueType::NON_POLYMER, false, "3-[8-((2S,3S,4R)-2,3,4,5-TETRAHYDROXYPENTYL)-2,4,7-TRIOXO-1,3,8-TRIHYDROPTERIDIN-6-YL]PROPANOIC ACID", 13419 },
	{ "CRN", "", "", ResidueType::NON_POLYMER, false, "N-[(E)-AMINO(IMINO)METHYL]-N-METHYLGLYCINE", 13420 },
	{ "CRO", "", "", ResidueType::PEPTIDE_LINKING, false, "{2-[(1R,2R)-1-amino-2-hydroxypropyl]-4-(4-hydroxybenzylidene)-5-oxo-4,5-dihydro-1H-imidazol-1-yl}acetic acid", 13421 },
	{ "CRP", "INY", "", ResidueType::NON_POLYMER, false, "((1RS,3SR)-2,2-DICHLORO-N-[(R)-1-(4-CHLOROPHENYL)ETHYL]-1-ETHYL-3-METHYLCYCLOPROPANECARBOXAMIDE", 13422 },
	{ "CRQ", "", "", ResidueType::PEPTIDE_LINKING, false, "[2-(3-CARBAMOYL-1-IMINO-PROPYL)-4-(4-HYDROXY-BENZYLIDENE)-5-OXO-4,5-DIHYDRO-IMIDAZOL-1-YL]-ACETIC ACID", 13423 },
	{ "CRR", "", "", ResidueType::NON_POLYMER, false, "3,4-DI-1H-INDOL-3-YL-1H-PYRROLE-2,5-DICARBOXYLIC ACID", 13424 },
	{ "CRS", "", "", ResidueType::NON_POLYMER, false, "M-CRESOL", 13425 },
	{ "CRT", "", "", ResidueType::NON_POLYMER, false, "SPIRILLOXANTHIN", 13426 },
	{ "CRU", "", "", ResidueType::PEPTIDE_LINKING, false, "4-[(4Z)-1-(CARBOXYMETHYL)-4-(4-HYDROXYBENZYLIDENE)-5-OXO-4,5-DIHYDRO-1H-IMIDAZOL-2-YL]-4-IMINOBUTANOIC ACID", 13427 },
	{ "CRV", "", "", ResidueType::NON_POLYMER, false, "N-[1-(AMINOMETHYL)CYCLOPROPYL]-3-(BENZYLSULFONYL)-N~2~-[(1S)-2,2,2-TRIFLUORO-1-(4-HYDROXYPHENYL)ETHYL]-L-ALANINAMIDE", 13428 },
	{ "CRW", "", "", ResidueType::PEPTIDE_LINKING, true, "[2-(1-AMINOETHYL)-4-METHYLENE-5-OXO-4,5-DIHYDRO-1H-IMIDAZOL-1-YL]ACETIC ACID", 13429 },
	{ "CRX", "", "", ResidueType::PEPTIDE_LINKING, false, "[2-(1-AMINOETHYL)-2-HYDROXY-4-METHYLENE-5-OXOIMIDAZOLIDIN-1-YL]ACETIC ACID", 13430 },
	{ "CRY", "", "GOL", ResidueType::NON_POLYMER, true, "PROPANE-1,2,3-TRIOL", 13431 },
	{ "CRZ", "", "", ResidueType::NON_POLYMER, false, "4-(9H-CARBAZOL-9-YL)BUTANOIC ACID", 13432 },
	{ "CS", "", "", ResidueType::NON_POLYMER, false, "CESIUM ION", 13433 },
	{ "CS0", "", "OCY", ResidueType::PEPTIDE_LINKING, true, "S-(2-HYDROXYETHYL)-L-CYSTEINE", 13434 },
	{ "CS1", "", "", ResidueType::PEPTIDE_LINKING, false, "S-(2-ANILINYL-SULFANYL)-CYSTEINE", 13435 },
	{ "CS2", "", "", ResidueType::NON_POLYMER, false, "D-MANNONIC ACID", 13436 },
	{ "CS3", "", "", ResidueType::PEPTIDE_LINKING, false, "S-[3-OXO-3-(2-THIENYL)PROPYL]-L-CYSTEINE", 13437 },
	{ "CS4", "", "", ResidueType::PEPTIDE_LINKING, false, "S-[3-(3,4-DICHLOROPHENYL)-3-OXOPROPYL]-L-CYSTEINE", 13438 },
	{ "CS5", "", "", ResidueType::NON_POLYMER, false, "N'-{(1S,2R)-1-(3,5-DIFLUOROBENZYL)-2-HYDROXY-3-[(3-METHOXYBENZYL)AMINO]PROPYL}-5-METHYL-N,N-DIPROPYLISOPHTHALAMIDE", 13439 },
	{ "CS7", "", "", ResidueType::NON_POLYMER, false, "N'-[(1S,2R)-2-[(2R,4R)-4-(BENZYLOXY)PYRROLIDIN-2-YL]-1-(3,5-DIFLUOROBENZYL)-2-HYDROXYETHYL]-5-METHYL-N,N-DIPROPYLISOPHTHALAMIDE", 13440 },
	{ "CS8", "", "", ResidueType::RNA_LINKING, false, "3-THIAOCTANOYL-COENZYME A", 13441 },
	{ "CS9", "", "", ResidueType::NON_POLYMER, false, "N'-{(1S,2R)-1-(3,5-DIFLUOROBENZYL)-2-HYDROXY-2-[(2R,4R)-4-PHENOXYPYRROLIDIN-2-YL]ETHYL}-5-METHYL-N,N-DIPROPYLISOPHTHALAMIDE", 13442 },
	{ "CSA", "", "", ResidueType::PEPTIDE_LINKING, false, "S-ACETONYLCYSTEINE", 13443 },
	{ "CSB", "", "", ResidueType::PEPTIDE_LINKING, false, "CYS BOUND TO LEAD ION", 13444 },
	{ "CSC", "", "", ResidueType::NON_POLYMER, false, "4-(3-ACETOXYMETHYL-2-CARBOXY-8-OXO-5-THIA-1-AZA-BICYCLO[4.2.0]OCT-2-EN-7-YLCARBAMOYL)-1-CARBOXY-BUTYL-AMMONIUM", 13445 },
	{ "CSD", "CSW", "", ResidueType::PEPTIDE_LINKING, false, "3-SULFINOALANINE", 13446 },
	{ "CSE", "", "SEC", ResidueType::PEPTIDE_LINKING, true, "SELENOCYSTEINE", 13447 },
	{ "CSF", "", "", ResidueType::RNA_LINKING, false, "", 13448 },
	{ "CSG", "", "", ResidueType::NON_POLYMER, false, "", 13449 },
	{ "CSH", "", "", ResidueType::PEPTIDE_LINKING, false, "[2-(2-HYDROXY-1-METHYL-ETHYL)-4-(1H-IMIDAZOL-4-YLMETHYL)-5-OXO-IMIDAZOLIDIN-1-YL]-ACETIC ACID", 13450 },
	{ "CSI", "", "", ResidueType::NON_POLYMER, false, "AMINO-(2-IMINO-HEXAHYDRO-PYRIMIDIN-4-YL)-ACETIC ACID", 13451 },
	{ "CSJ", "", "", ResidueType::PEPTIDE_LINKING, false, "S-[(2-aminophenyl)carbonyl]-L-cysteine", 13452 },
	{ "CSK", "", "", ResidueType::PEPTIDE_LINKING, false, "S-(methylselanyl)-L-cysteine", 13453 },
	{ "CSL", "", "", ResidueType::DNA_LINKING, false, "(D)-2'-METHYLSELENYL-2'-DEOXYCYTIDINE-5'-PHOSPHATE", 13454 },
	{ "CSM", "", "", ResidueType::DNA_LINKING, false, "1-{2,5-anhydro-6-O-methyl-4-[(phosphonooxy)methyl]-alpha-L-mannofuranosyl}pyrimidine-2,4(1H,3H)-dione", 13455 },
	{ "CSN", "", "", ResidueType::NON_POLYMER, false, "N,4-DIHYDROXY-N-OXO-3-(SULFOOXY)BENZENAMINIUM", 13456 },
	{ "CSO", "CEA", "", ResidueType::PEPTIDE_LINKING, false, "S-HYDROXYCYSTEINE", 13457 },
	{ "CSP", "", "", ResidueType::PEPTIDE_LINKING, false, "S-PHOSPHOCYSTEINE", 13458 },
	{ "CSQ", "", "", ResidueType::NON_POLYMER, false, "", 13459 },
	{ "CSR", "", "", ResidueType::PEPTIDE_LINKING, false, "S-ARSONOCYSTEINE", 13460 },
	{ "CSS", "", "", ResidueType::PEPTIDE_LINKING, false, "S-MERCAPTOCYSTEINE", 13461 },
	{ "CSU", "", "", ResidueType::PEPTIDE_LINKING, false, "CYSTEINE-S-SULFONIC ACID", 13462 },
	{ "CSV", "", "", ResidueType::NON_POLYMER, false, "", 13463 },
	{ "CSW", "", "CSD", ResidueType::PEPTIDE_LINKING, true, "CYSTEINE-S-DIOXIDE", 13464 },
	{ "CSX", "", "", ResidueType::PEPTIDE_LINKING, false, "S-OXY CYSTEINE", 13465 },
	{ "CSY", "", "GYS", ResidueType::PEPTIDE_LINKING, true, "[(4Z)-2-[(1R)-1-amino-2-hydroxyethyl]-4-(4-hydroxybenzylidene)-5-oxo-4,5-dihydro-1H-imidazol-1-yl]acetic acid", 13466 },
	{ "CSZ", "", "", ResidueType::PEPTIDE_LINKING, false, "S-SELANYL CYSTEINE", 13467 },
	{ "CT0", "", "", ResidueType::NON_POLYMER, false, "N1-CYCLOPENTYL-N2-(THIAZOL-2-YL)OXALAMIDE", 13468 },
	{ "CT1", "", "", ResidueType::NON_POLYMER, false, "(1R)-2-METHYL-1-(PHENYLMETHYL)PROPYL[(1S)-1-FORMYLPENTYL]CARBAMATE", 13469 },
	{ "CT2", "", "", ResidueType::NON_POLYMER, false, "1-(PHENYLMETHYL)CYCLOPENTYL[(1S)-1-FORMYLPENTYL]CARBAMATE", 13470 },
	{ "CT3", "", "", ResidueType::SACCHARIDE, false, "beta-D-glucopyranosyl-(1->4)-beta-D-glucopyranosyl-(1->4)-beta-D-glucopyranose", 13471 },
	{ "CT4", "", "", ResidueType::NON_POLYMER, false, "1-[(2-chloro-1,3-thiazol-5-yl)methyl]-3-methyl-2-nitroguanidine", 13472 },
	{ "CT5", "", "", ResidueType::NON_POLYMER, false, "4-[4-(2,3-DIHYDRO-1,4-BENZODIOXIN-6-YL)-3-METHYL-1H-PYRAZOL-5-YL]-6-ETHYLBENZENE-1,3-DIOL", 13473 },
	{ "CT6", "", "", ResidueType::NON_POLYMER, false, "(5Z)-5-(3-BROMOCYCLOHEXA-2,5-DIEN-1-YLIDENE)-N-(PYRIDIN-4-YLMETHYL)-1,5-DIHYDROPYRAZOLO[1,5-A]PYRIMIDIN-7-AMINE", 13474 },
	{ "CT7", "", "", ResidueType::NON_POLYMER, false, "(5-CHLOROPYRAZOLO[1,5-A]PYRIMIDIN-7-YL)-(4-METHANESULFONYLPHENYL)AMINE", 13475 },
	{ "CT8", "", "", ResidueType::NON_POLYMER, false, "(5Z)-5-(3-BROMOCYCLOHEXA-2,5-DIEN-1-YLIDENE)-N-(PYRIDIN-4-YLMETHYL)-1,5-DIHYDRO[1,2,4]TRIAZOLO[1,5-A]PYRIMIDIN-7-AMINE", 13476 },
	{ "CT9", "", "", ResidueType::NON_POLYMER, false, "4-[5-(TRANS-4-AMINOCYCLOHEXYLAMINO)-3-ISOPROPYLPYRAZOLO[1,5-A]PYRIMIDIN-7-YLAMINO]-N,N-DIMETHYLBENZENESULFONAMIDE", 13477 },
	{ "CTA", "", "", ResidueType::NON_POLYMER, false, "CYCLOTHEONAMIDE A", 13478 },
	{ "CTB", "", "", ResidueType::NON_POLYMER, false, "N-2-THIOPHEN-2-YL-ACETAMIDE BORONIC ACID", 13479 },
	{ "CTC", "", "", ResidueType::NON_POLYMER, false, "7-CHLOROTETRACYCLINE", 13480 },
	{ "CTD", "", "", ResidueType::NON_POLYMER, false, "3-DEAZACYTIDINE", 13481 },
	{ "CTE", "", "", ResidueType::PEPTIDE_LINKING, false, "7-CHLOROTRYPTOPHAN", 13482 },
	{ "CTF", "", "", ResidueType::NON_POLYMER, false, "(17beta)-17-(cyanomethyl)-2-methoxyestra-1(10),2,4-trien-3-yl sulfamate", 13483 },
	{ "CTG", "", "", ResidueType::DNA_LINKING, false, "(5R,6S)-5,6-DIHYDRO-5,6-DIHYDROXYTHYMIDINE-5'-MONOPHOSPHATE", 13484 },
	{ "CTH", "", "", ResidueType::PEPTIDE_LINKING, false, "4-CHLOROTHREONINE", 13485 },
	{ "CTI", "", "", ResidueType::NON_POLYMER, false, "1,2-dimethoxy-12-methyl[1,3]benzodioxolo[5,6-c]phenanthridin-12-ium", 13486 },
	{ "CTJ", "", "", ResidueType::NON_POLYMER, false, "1-({(2R)-2-[(1R)-1-{[(2Z)-2-(2-amino-1,3-thiazol-4-yl)-2-{[(2-carboxypropan-2-yl)oxy]imino}acetyl]amino}-2-oxoethyl]-4-carboxy-3,6-dihydro-2H-1,3-thiazin-5-yl}methyl)pyridinium", 13487 },
	{ "CTL", "", "", ResidueType::NON_POLYMER, false, "CIS-(1R,2S)-2-AMINO-1,2,3,4-TETRAHYDRONAPHTHALEN-1-OL", 13488 },
	{ "CTM", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(4-{[2-(4-chlorophenyl)-1,3-thiazol-4-yl]methoxy}-2-methylphenyl)-2-ethoxypropanoic acid", 13489 },
	{ "CTN", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-1-BETA-D-RIBOFURANOSYL-2(1H)-PYRIMIDINONE", 13490 },
	{ "CTO", "", "", ResidueType::SACCHARIDE, false, "TRIACETYLCHITOTRIOSE", 13491 },
	{ "CTP", "", "", ResidueType::NON_POLYMER, false, "CYTIDINE-5'-TRIPHOSPHATE", 13492 },
	{ "CTR", "CT3", "", ResidueType::SACCHARIDE, false, "CELLOTRIOSE", 13493 },
	{ "CTS", "", "", ResidueType::NON_POLYMER, false, "CASTANOSPERMINE", 13494 },
	{ "CTT", "", "", ResidueType::SACCHARIDE_LINKING, false, "beta-D-glucopyranosyl-(1->4)-beta-D-glucopyranosyl-(1->4)-beta-D-glucopyranosyl-(1->4)-beta-D-glucopyranose", 13495 },
	{ "CTV", "", "", ResidueType::NON_POLYMER, false, "(2Z)-3,7-dimethylocta-2,6-dienenitrile", 13496 },
	{ "CTW", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(4-fluorobenzoyl)-L-gamma-glutamyl-5-{[(S)-{[(1S)-1,3-dicarboxypropyl]amino}(hydroxy)phosphoryl]oxy}-L-norvaline", 13497 },
	{ "CTX", "", "", ResidueType::NON_POLYMER, false, "(Z)-2-[4-(1,2)-DIPHENYL-1-BUTENYL)-PHENOXY]-N,N-DIMETHYLETHANAMINE", 13498 },
	{ "CTY", "", "", ResidueType::NON_POLYMER, false, "CLARITHROMYCIN", 13499 },
	{ "CTZ", "", "", ResidueType::NON_POLYMER, false, "C2-HYDROXY-COELENTERAZINE", 13500 },
	{ "CU", "", "", ResidueType::NON_POLYMER, false, "COPPER (II) ION", 13501 },
	{ "CU1", "", "", ResidueType::NON_POLYMER, false, "COPPER (I) ION", 13502 },
	{ "CU3", "", "", ResidueType::NON_POLYMER, false, "COPPER (III) ION", 13503 },
	{ "CU4", "", "", ResidueType::NON_POLYMER, false, "1-(4-cyanophenyl)-N-(3-fluorophenyl)-3-[4-(methylsulfonyl)phenyl]-1H-pyrazole-4-carboxamide", 13504 },
	{ "CU5", "", "", ResidueType::NON_POLYMER, false, "S-Dihydrowogonin", 13505 },
	{ "CU6", "", "", ResidueType::NON_POLYMER, false, "[CuII(biot-et-dpea)]2+", 13506 },
	{ "CU8", "", "", ResidueType::NON_POLYMER, false, "7-(3-methylphenyl)pyrazolo[1,5-a]pyrimidine-3-carboxamide", 13507 },
	{ "CU9", "", "", ResidueType::NON_POLYMER, false, "6,6',7',12'-tetramethoxy-2,2,2',2'-tetramethyltubocuraran-2,2'-diium", 13508 },
	{ "CUA", "", "", ResidueType::NON_POLYMER, false, "DINUCLEAR COPPER ION", 13509 },
	{ "CUB", "", "", ResidueType::NON_POLYMER, false, "CU(I)-S-MO(IV)(=O)O-NBIC CLUSTER", 13510 },
	{ "CUC", "", "CHG", ResidueType::PEPTIDE_LINKING, true, "CYCLOHEXYLGLYCYL ", 13511 },
	{ "CUD", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(4-amino-2-oxopyrimidin-1(2H)-yl)-D-alanine", 13512 },
	{ "CUE", "", "", ResidueType::NON_POLYMER, false, "Coumestrol", 13513 },
	{ "CUF", "", "", ResidueType::NON_POLYMER, false, "", 13514 },
	{ "CUH", "", "", ResidueType::NON_POLYMER, false, "2,3,4-Trihydroxybenzophenone", 13515 },
	{ "CUK", "", "", ResidueType::NON_POLYMER, false, "[4Cu:2S] cluster", 13516 },
	{ "CUL", "", "", ResidueType::NON_POLYMER, false, "COPPER (II) CHLORIDE", 13517 },
	{ "CUM", "", "", ResidueType::NON_POLYMER, false, "CU(I)-S-MO(VI)(=O)OH CLUSTER", 13518 },
	{ "CUN", "", "", ResidueType::NON_POLYMER, false, "CU(I)-S-MO(IV)(=O)OH CLUSTER", 13519 },
	{ "CUO", "", "", ResidueType::NON_POLYMER, false, "CU2-O2 CLUSTER", 13520 },
	{ "CUP", "", "", ResidueType::NON_POLYMER, false, "(N-SALICYLIDEN-L-PHENYLALANATO)-COPPER(II)", 13521 },
	{ "CUQ", "", "", ResidueType::NON_POLYMER, false, "[3,4-bis(oxidanyl)phenyl]-phenyl-methanone", 13522 },
	{ "CUR", "", "", ResidueType::NON_POLYMER, false, "(1Z,4Z,6E)-5-hydroxy-1,7-bis(4-hydroxy-3-methoxyphenyl)hepta-1,4,6-trien-3-one", 13523 },
	{ "CUS", "", "", ResidueType::NON_POLYMER, false, "(N-SALICYLIDEN-L-LEUCINATO)-COPPER(II)", 13524 },
	{ "CUT", "", "", ResidueType::NON_POLYMER, false, "[2,4-bis(oxidanyl)phenyl]-phenyl-methanone", 13525 },
	{ "CUY", "", "", ResidueType::NON_POLYMER, false, "tetracosyl octadecanoate", 13526 },
	{ "CUZ", "", "", ResidueType::NON_POLYMER, false, "(MU-4-SULFIDO)-TETRA-NUCLEAR COPPER ION", 13527 },
	{ "CV1", "", "", ResidueType::NON_POLYMER, false, "", 13528 },
	{ "CV4", "", "", ResidueType::NON_POLYMER, false, "N-methyl-3-[(6-{[4-(trifluoromethyl)phenyl]amino}pyrimidin-4-yl)amino]benzene-1-sulfonamide", 13529 },
	{ "CV7", "", "", ResidueType::NON_POLYMER, false, "DESISOBUYTYRYL CICLESONIDE", 13530 },
	{ "CV8", "", "", ResidueType::NON_POLYMER, false, "2-[(~{E})-(3-cyclopentyloxy-4-methoxy-phenyl)methylideneamino]oxy-1-[(2~{R},6~{S})-2,6-dimethylmorpholin-4-yl]ethanone", 13531 },
	{ "CVA", "", "", ResidueType::NON_POLYMER, false, "2-[(4-{5-[(4aR,8aS)-3-cycloheptyl-4-oxo-3,4,4a,5,8,8a-hexahydrophthalazin-1-yl]-2-methoxyphenyl}phenyl)formamido]-N-(2-hydroxyethyl)acetamide", 13532 },
	{ "CVB", "", "", ResidueType::NON_POLYMER, false, "4-(CARBOXYVIN-2-YL)PHENYLBORONIC ACID", 13533 },
	{ "CVC", "", "", ResidueType::RNA_LINKING, false, "[(1~{R},5~{R},6~{R},8~{R})-6-(4-azanyl-2-oxidanylidene-pyrimidin-1-yl)-3,3-bis(oxidanyl)-2,4,7-trioxa-3$l^{4}-vanadabicyclo[3.3.0]octan-8-yl]methyl dihydrogen phosphate", 13534 },
	{ "CVD", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-(8H-CARBAZOL-4-YLOXY)-3-[2-(2-METHOXYPHENOXY)ETHYLAMINO]PROPAN-2-OL", 13535 },
	{ "CVE", "", "", ResidueType::NON_POLYMER, false, "(3~{S})-3-[[(2~{R})-2-[3-methyl-2,6-bis(oxidanylidene)-5-[[4-(quinoxalin-2-ylamino)phenyl]carbonylamino]pyrimidin-1-yl]propanoyl]amino]-4-oxidanyl-butanoic acid", 13536 },
	{ "CVF", "", "", ResidueType::NON_POLYMER, false, "3-[4-(2-acetamidoethyl)phenyl]benzoic acid", 13537 },
	{ "CVI", "", "", ResidueType::NON_POLYMER, false, "CRYSTAL VIOLET", 13538 },
	{ "CVL", "", "", ResidueType::NON_POLYMER, false, "5-[4-methoxy-3-[4-[4-(1~{H}-1,2,3,4-tetrazol-5-yl)phenoxy]butoxy]phenyl]-4,4-dimethyl-2-propan-2-yl-pyrazol-3-one", 13539 },
	{ "CVM", "", "", ResidueType::NON_POLYMER, false, "CYMAL-4", 13540 },
	{ "CVN", "", "", ResidueType::NON_POLYMER, false, "4-[[3,5-bis(trifluoromethyl)phenyl]amino]-1,2-benzoxazol-3-one", 13541 },
	{ "CVR", "", "", ResidueType::NON_POLYMER, false, "", 13542 },
	{ "CVU", "", "", ResidueType::NON_POLYMER, false, "L-Fuculose open form", 13543 },
	{ "CVV", "", "", ResidueType::NON_POLYMER, false, "N-[(5alpha,6beta)-17-(cyclopropylmethyl)-3-hydroxy-7,8-didehydro-4,5-epoxymorphinan-6-yl]-3-iodobenzamide", 13544 },
	{ "CVX", "", "", ResidueType::NON_POLYMER, false, "O-BUTLYLMETHYLPHOSPHONIC ACID ESTER GROUP", 13545 },
	{ "CW1", "", "", ResidueType::NON_POLYMER, false, "Cotylenin A", 13546 },
	{ "CW2", "", "", ResidueType::NON_POLYMER, false, "N,N'-(octane-1,8-diyl)bis(2,2-dichloroacetamide)", 13547 },
	{ "CW4", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-(5-ethenyl-1H-imidazol-1-yl)-3,3-dimethyl-3,4-dihydro-1H-2-benzopyran-1-one", 13548 },
	{ "CW7", "", "", ResidueType::NON_POLYMER, false, "Cotylenin A", 13549 },
	{ "CWA", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-[5-(difluoromethyl)-1H-imidazol-1-yl]-3,3-dimethyl-3,4-dihydro-1H-2-benzopyran-1-one", 13550 },
	{ "CWB", "", "", ResidueType::NON_POLYMER, false, "1-methyl-N-[(1R,5S)-9-methyl-9-azabicyclo[3.3.1]nonan-3-yl]indazole-3-carboxamide", 13551 },
	{ "CWC", "", "", ResidueType::NON_POLYMER, false, "4-(dimethylamino)-N-[5-(1H-indol-4-yl)pyridin-3-yl]butanamide", 13552 },
	{ "CWD", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(5-chloro-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)-L-alanine", 13553 },
	{ "CWE", "", "", ResidueType::NON_POLYMER, false, "R-naringenin", 13554 },
	{ "CWG", "", "", ResidueType::NON_POLYMER, false, "3-(4-chlorophenyl)-6-methoxy-4,5-dimethylpyridazine", 13555 },
	{ "CWJ", "", "", ResidueType::NON_POLYMER, false, "5-methoxy-2-methyl-1H-indole", 13556 },
	{ "CWK", "", "", ResidueType::NON_POLYMER, false, "3'-chloro-4'-(alpha-D-mannopyranosyloxy)biphenyl-4-carbonitrile", 13557 },
	{ "CWM", "", "", ResidueType::NON_POLYMER, false, "2-methyl-1H-benzimidazol-7-ol", 13558 },
	{ "CWN", "", "", ResidueType::NON_POLYMER, false, "NtMe polyamide", 13559 },
	{ "CWP", "", "", ResidueType::NON_POLYMER, false, "N-[(1,3-dimethyl-1H-pyrazol-5-yl)methyl]-5-methyl-3H-imidazo[4,5-b]pyridin-2-amine", 13560 },
	{ "CWR", "", "", ResidueType::PEPTIDE_LINKING, false, "(4-methyl-5-oxo-2,5-dihydro-1H-imidazol-1-yl)acetic acid", 13561 },
	{ "CWS", "", "", ResidueType::NON_POLYMER, false, "6-METHYLQUINAZOLIN-4-AMINE", 13562 },
	{ "CWT", "", "", ResidueType::NON_POLYMER, false, "(5Z)-5-(1,3-benzodioxol-5-ylmethylidene)-3-methyl-2-(propan-2-ylamino)imidazol-4-one", 13563 },
	{ "CWU", "", "", ResidueType::NON_POLYMER, false, "5-[[(1S,2R)-2-oxidanyl-2,3-dihydro-1H-inden-1-yl]methyl]-1,3-benzodioxole-4-carboxylic acid", 13564 },
	{ "CWV", "", "", ResidueType::NON_POLYMER, false, "[3-(1-aminoisoquinolin-6-yl)phenyl]boronic acid", 13565 },
	{ "CWX", "", "", ResidueType::NON_POLYMER, false, "", 13566 },
	{ "CWY", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,4S,5R,6S)-2-amino-4-[(3-methoxybenzene-1-carbonyl)amino]bicyclo[3.1.0]hexane-2,6-dicarboxylic acid", 13567 },
	{ "CWZ", "", "", ResidueType::NON_POLYMER, false, "N-[[3-[3-(6,7-dihydro-4H-[1,3]thiazolo[5,4-c]pyridin-5-ylmethyl)phenyl]phenyl]methyl]-2-pyridin-3-yl-ethanamine", 13568 },
	{ "CX1", "", "", ResidueType::NON_POLYMER, false, "N-[(benzyloxy)carbonyl]-L-histidyl-N-methyl-L-phenylalanyl-L-tyrosine", 13569 },
	{ "CX2", "", "", ResidueType::DNA_LINKING, false, "2'-deoxy-5'-O-{(R)-hydroxy[(2-sulfanylethyl)amino]phosphoryl}cytidine", 13570 },
	{ "CX3", "", "", ResidueType::NON_POLYMER, false, "[2-(3-{bis[2-(amino-kappaN)ethyl]amino-kappaN}propyl)-1H-benzo[de]isoquinoline-1,3(2H)-dionato(2-)]platinum(1+)", 13571 },
	{ "CX4", "", "", ResidueType::NON_POLYMER, false, "7-chloro-N-(cyclopropylmethyl)quinazolin-4-amine", 13572 },
	{ "CX5", "", "", ResidueType::NON_POLYMER, false, "piperidin-1-yl(quinoxalin-6-yl)methanone", 13573 },
	{ "CX6", "", "", ResidueType::NON_POLYMER, false, "2,3,6A,7,8,9-HEXAHYDRO-11H-[1,4]DIOXINO[2,3-G]PYRROLO[2,1-B][1,3]BENZOXAZIN-11-ONE", 13574 },
	{ "CX7", "", "", ResidueType::NON_POLYMER, false, "Cotylenol", 13575 },
	{ "CX8", "", "", ResidueType::NON_POLYMER, false, "[2-{3-[(2-{[2-(amino-kappaN)ethyl]amino-kappaN}ethyl)amino-kappaN]propyl}-1H-benzo[de]isoquinoline-1,3(2H)-dionato(3-)]platinum", 13576 },
	{ "CX9", "", "", ResidueType::NON_POLYMER, false, "3,7-DIMETHYL-1-[3-(3-METHYL-2,6-DIOXO-9H-PURIN-1-YL)PROPYL]PURINE-2,6-DIONE", 13577 },
	{ "CXA", "", "", ResidueType::NON_POLYMER, false, "PHENYLALANINE-N-SULFONAMIDE", 13578 },
	{ "CXB", "", "", ResidueType::NON_POLYMER, false, "[(2-AMINO-ALPHA-METHOXYIMINO-4-THIAZOLYLACETYL)AMINO]METHYLBORONIC ACID", 13579 },
	{ "CXD", "", "", ResidueType::NON_POLYMER, false, "4-chloranyl-N-[[4-chloranyl-3-(3-chloranyl-5-cyano-phenoxy)-2-fluoranyl-phenyl]methyl]-1H-imidazole-5-carboxamide", 13580 },
	{ "CXE", "", "", ResidueType::NON_POLYMER, false, "PENTAETHYLENE GLYCOL MONODECYL ETHER", 13581 },
	{ "CXF", "", "", ResidueType::NON_POLYMER, false, "CYCLOHEXYLFORMAMIDE", 13582 },
	{ "CXG", "", "", ResidueType::NON_POLYMER, false, "METHYL N-[(2S)-1-[2-[(4R)-5-[[(2S)-3,3-DIMETHYL-1-METHYLAMINO-1-OXO-BUTAN-2-YL]AMINO]-4-HYDROXY-5-OXO-4-(PHENYLMETHYL)PENTYL]-2-[(4-PHENYLPHENYL)METHYL]HYDRAZINYL]-3,3-DIMETHYL-1-OXO-BUTAN-2-YL]CARBAMATE", 13583 },
	{ "CXH", "", "", ResidueType::NON_POLYMER, false, "~{N}-(3,4-dichlorophenyl)-2-sulfanyl-ethanamide", 13584 },
	{ "CXL", "", "", ResidueType::NON_POLYMER, false, "CYCLOHEXANOL", 13585 },
	{ "CXM", "", "", ResidueType::PEPTIDE_LINKING, false, "N-CARBOXYMETHIONINE", 13586 },
	{ "CXN", "", "", ResidueType::NON_POLYMER, false, "CLOXACILLIN", 13587 },
	{ "CXO", "", "", ResidueType::NON_POLYMER, false, "CYCLOHEXANE-1,2-DIONE", 13588 },
	{ "CXP", "", "", ResidueType::NON_POLYMER, false, "CYCLOHEXANE PROPIONIC ACID", 13589 },
	{ "CXQ", "", "", ResidueType::NON_POLYMER, false, "benztropine", 13590 },
	{ "CXR", "", "", ResidueType::NON_POLYMER, false, "CYCLIC ADENOSINE DIPHOSPHATE-RIBOSE", 13591 },
	{ "CXS", "", "", ResidueType::NON_POLYMER, false, "3-CYCLOHEXYL-1-PROPYLSULFONIC ACID", 13592 },
	{ "CXT", "", "", ResidueType::NON_POLYMER, false, "Carboxyatractyloside", 13593 },
	{ "CXU", "", "", ResidueType::NON_POLYMER, false, "CLOXACILLIN (OPEN FORM)", 13594 },
	{ "CXV", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-2-[(1S)-1-({[3-(2-chlorophenyl)-5-methyl-1,2-oxazol-4-yl]carbonyl}amino)-2-oxoethyl]-5,5-dimethyl-1,3-thiazolidine-4-carboxylic acid", 13595 },
	{ "CXW", "", "", ResidueType::NON_POLYMER, false, "2-({[2-({(3S,4S)-4-[(6-amino-4-methylpyridin-2-yl)methyl]pyrrolidin-3-yl}oxy)ethyl]amino}methyl)phenol", 13596 },
	{ "CXX", "", "", ResidueType::NON_POLYMER, false, "3-(3-CHLORO-5H-DIBENZO[B,F]AZEPIN-5-YL)-N,N-DIMETHYLPROPAN-1-AMINE", 13597 },
	{ "CXY", "", "", ResidueType::NON_POLYMER, false, "CYTIDINE-5'-DIPHOSPHO-BETA-D-XYLOSE", 13598 },
	{ "CXZ", "", "", ResidueType::NON_POLYMER, false, "4-chloro-6-{5-[(2-morpholin-4-ylethyl)amino]-1,2-benzisoxazol-3-yl}benzene-1,3-diol", 13599 },
	{ "CY0", "", "", ResidueType::PEPTIDE_LINKING, false, "S-{3-[(4-ANILINOQUINAZOLIN-6-YL)AMINO]-3-OXOPROPYL}-L-CYSTEINE", 13600 },
	{ "CY1", "", "", ResidueType::PEPTIDE_LINKING, false, "ACETAMIDOMETHYLCYSTEINE", 13601 },
	{ "CY3", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-3-MERCAPTO-PROPIONAMIDE", 13602 },
	{ "CY4", "", "", ResidueType::PEPTIDE_LINKING, false, "S-BUTYRYL-CYSTEIN", 13603 },
	{ "CY6", "", "", ResidueType::NON_POLYMER, false, "N-((3S,6R)-6-((S,E)-4-ETHOXYCARBONYL-1-((S)-2-OXOPYRROLIDIN-3-YL)BUT-3-EN-2-YLCARBAMOYL)-2,9-DIMETHYL-4-OXODEC-8-EN-3-YL)-5-METHYLISOXAZOLE-3-CARBOXAMIDE", 13604 },
	{ "CY7", "", "", ResidueType::NON_POLYMER, true, "S-{(1S)-3-{[(4Z)-4-{[3-CHLORO-4-(PYRIDIN-2-YLMETHOXY)PHENYL]IMINO}-3-CYANO-7-ETHOXY-1,4-DIHYDROQUINOLIN-6-YL]AMINO}-1-[(DIMETHYLAMINO)METHYL]-3-OXOPROPYL}-L-CYSTEINE", 13605 },
	{ "CY8", "", "", ResidueType::NON_POLYMER, false, "Cyclopamine", 13606 },
	{ "CY9", "", "", ResidueType::NON_POLYMER, false, "(3S,3aR,4S,6S,6aR,7E,10S,12R,13E,15R,15aR)-3-benzyl-6,12-dihydroxy-4,10,12-trimethyl-5-methylidene-1,11-dioxo-2,3,3a,4,5,6,6a,9,10,11,12,15-dodecahydro-1H-cycloundeca[d]isoindol-15-yl acetate", 13607 },
	{ "CYA", "", "", ResidueType::PEPTIDE_LINKING, true, "TWO OXYGEN ATOMS BOUND TO SG OF CYS", 13608 },
	{ "CYB", "", "", ResidueType::NON_POLYMER, false, "PHYCOUROBILIN", 13609 },
	{ "CYC", "", "", ResidueType::NON_POLYMER, false, "PHYCOCYANOBILIN", 13610 },
	{ "CYD", "", "", ResidueType::PEPTIDE_CARBOXY_TERMINUS, false, "2-AMINO-6-(CYSTEIN-S-YL)-5-OXO-HEXANOIC ACID", 13611 },
	{ "CYE", "", "", ResidueType::NON_POLYMER, false, "", 13612 },
	{ "CYF", "", "", ResidueType::PEPTIDE_LINKING, false, "5-[2-(2-AMINO-2-CARBAMOYL-ETHYLSULFANYL)-ACETYLAMINO]-2-(3,6-DIHYDROXY-9,9A-DIHYDRO-3H-XANTHEN-9-YL)-BENZOIC ACID", 13613 },
	{ "CYG", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-4-(AMINO-3-OXO-PROPYLSULFANYLCARBONYL)-BUTYRIC ACID", 13614 },
	{ "CYH", "", "", ResidueType::NON_POLYMER, false, "CYCLOHEXANONE", 13615 },
	{ "CYI", "", "", ResidueType::NON_POLYMER, false, "CYCLOHEXYL ISOCYANIDE", 13616 },
	{ "CYJ", "", "", ResidueType::PEPTIDE_LINKING, false, "(Z)-N~6~-[(4R,5S)-5-(2-CARBOXYETHYL)-4-(CARBOXYMETHYL)PIPERIDIN-3-YLIDENE]-L-LYSINE", 13617 },
	{ "CYK", "", "", ResidueType::NON_POLYMER, false, "N-hexanoyl-L-homocysteine", 13618 },
	{ "CYL", "", "ACI", ResidueType::NON_POLYMER, true, "VALIENAMINE", 13619 },
	{ "CYM", "", "SMC", ResidueType::PEPTIDE_LINKING, true, "S-METHYLCYSTEINE", 13620 },
	{ "CYN", "CN", "", ResidueType::NON_POLYMER, false, "CYANIDE ION", 13621 },
	{ "CYO", "", "", ResidueType::NON_POLYMER, true, "OXYGENS BOUND TO CYS SG", 13622 },
	{ "CYP", "", "GPR", ResidueType::NON_POLYMER, true, "9R,10R-9-GLUTATHIONYL-10-HYDROXY-9,10-DIHYDRO PHENANTHRENE", 13623 },
	{ "CYQ", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-3-PHOSPHONOMETHYLSULFANYL-PROPIONIC ACID", 13624 },
	{ "CYR", "", "", ResidueType::PEPTIDE_LINKING, false, "N~5~-[{[(2R)-2-AMINO-2-CARBOXYETHYL]SULFANYL}(IMINIO)METHYL]-L-ORNITHINATE", 13625 },
	{ "CYS", "BTC", "", ResidueType::PEPTIDE_LINKING, false, "CYSTEINE", 13626 },
	{ "CYT", "", "", ResidueType::NON_POLYMER, false, "6-AMINOPYRIMIDIN-2(1H)-ONE", 13627 },
	{ "CYU", "", "", ResidueType::NON_POLYMER, false, "CALYCULIN A", 13628 },
	{ "CYV", "", "", ResidueType::NON_POLYMER, false, "ETHYL (4R)-4-{[(2R,5S)-5-{[N-(TERT-BUTOXYCARBONYL)-L-SERYL]AMINO}-6-METHYL-2-(3-METHYLBUT-2-EN-1-YL)-4-OXOHEPTANOYL]AMINO}-5-[(3R)-2-OXOPYRROLIDIN-3-YL]PENTANOATE", 13629 },
	{ "CYW", "", "", ResidueType::PEPTIDE_LINKING, false, "S-[(2R)-2-hydroxypropanoyl]-L-cysteine", 13630 },
	{ "CYX", "", "", ResidueType::NON_POLYMER, false, "(3-FORMYL-BUT-3-ENYL)-PHOSPHONIC ACID", 13631 },
	{ "CYY", "", "", ResidueType::NON_POLYMER, false, "2-DEOXYSTREPTAMINE", 13632 },
	{ "CYZ", "", "", ResidueType::NON_POLYMER, false, "CYCLOTHIAZIDE", 13633 },
	{ "CZ0", "", "", ResidueType::NON_POLYMER, false, "8-hydroxy-4-methyl-9-nitro-2H-benzo[g]chromen-2-one", 13634 },
	{ "CZ2", "", "", ResidueType::PEPTIDE_LINKING, false, "S-(DIHYDROXYARSINO)CYSTEINE", 13635 },
	{ "CZ3", "", "", ResidueType::NON_POLYMER, false, "1,1'-{hexa-2,4-diyne-1,6-diylbis[oxy{(2S,3R)-2-[(N-methyl-L-alanyl)amino]-1-oxobutane-3,1-diyl}(2S)pyrrolidine-1,2-diylmethanediyl]}bis[5-(phenylsulfanyl)-1H-tetrazole]", 13636 },
	{ "CZ4", "", "", ResidueType::NON_POLYMER, false, "5-chloro-N~2~-{5-methyl-4-(1-methylpiperidin-4-yl)-2-[(propan-2-yl)oxy]phenyl}-N~4~-{1-methyl-3-[(propan-2-yl)sulfonyl]-1H-pyrazol-4-yl}pyrimidine-2,4-diamine", 13637 },
	{ "CZ6", "", "", ResidueType::NON_POLYMER, false, "2-({[(1Z)-1-(2-amino-3H-1,3-thiazol-1-ium-4-yl)-2-oxo-2-({[(6S)-4,4,6-trimethyl-1,3,2-dioxaborinan-2-yl]methyl}amino)ethylidene]amino}oxy)-2-methylpropanoate", 13638 },
	{ "CZ7", "", "", ResidueType::NON_POLYMER, false, "({[(2R)-2-{[(4-ethyl-2,3-dioxo-3,4-dihydropyrazin-1(2H)-yl)carbonyl]amino}-2-(4-hydroxyphenyl)acetyl]amino}methyl)boronic acid", 13639 },
	{ "CZ8", "", "", ResidueType::NON_POLYMER, false, "({[(2R)-2-{[(4-ethyl-2,3-dioxopiperazin-1-yl)carbonyl]amino}-4-(4-hydroxyphenyl)butanoyl]amino}methyl)boronic acid", 13640 },
	{ "CZ9", "", "", ResidueType::NON_POLYMER, false, "N-[(dihydroxyboranyl)methyl]-Nalpha-[(4-ethyl-2,3-dioxopiperazin-1-yl)carbonyl]-D-tyrosinamide", 13641 },
	{ "CZA", "", "", ResidueType::NON_POLYMER, false, "(6AR,11AS,11BR)-10-ACETYL-9-HYDROXY-7,7-DIMETHYL-2,6,6A,7,11A,11B-HEXAHYDRO-11H-PYRROLO[1',2':2,3]ISOINDOLO[4,5,6-CD]INDOL-11-ONE", 13642 },
	{ "CZB", "", "", ResidueType::NON_POLYMER, false, "(2S,8R)-8-BENZYL-2-(4-BROMOBENZYL)-2-HYDROPEROXY-6-(4-HYDROXYPHENYL)-7,8-DIHYDROIMIDAZO[1,2-A]PYRAZIN-3(2H)-ONE", 13643 },
	{ "CZE", "", "", ResidueType::NON_POLYMER, false, "(2-{4-[(S)-(4-chlorophenyl)(phenyl)methyl]piperazin-1-yl}ethoxy)acetic acid", 13644 },
	{ "CZG", "", "", ResidueType::NON_POLYMER, false, "2-[(5-nitro-1H-benzimidazol-2-yl)sulfanyl]-N-(4-phenoxyphenyl)acetamide", 13645 },
	{ "CZH", "", "", ResidueType::NON_POLYMER, false, "C2-HYDROPEROXY-COELENTERAZINE", 13646 },
	{ "CZI", "", "", ResidueType::NON_POLYMER, false, "(2R)-8-BENZYL-2-HYDROPEROXY-6-(4-HYDROXYPHENYL)-2-(4-IODOBENZYL)-7,8-DIHYDROIMIDAZO[1,2-A]PYRAZIN-3(2H)-ONE", 13647 },
	{ "CZJ", "", "", ResidueType::NON_POLYMER, false, "(3s,5s,7s)-N-{7-[(3-O-carbamoyl-6-deoxy-5-methyl-4-O-methyl-beta-D-gulopyranosyl)oxy]-4-hydroxy-8-methyl-2-oxo-2H-1-benzopyran-3-yl}tricyclo[3.3.1.1~3,7~]decane-1-carboxamide", 13648 },
	{ "CZK", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-1-[3-(3-cyclopentyloxy-4-methoxy-phenyl)pyrazol-1-yl]-3-morpholin-4-yl-propan-2-ol", 13649 },
	{ "CZL", "", "", ResidueType::NON_POLYMER, false, "L-Cluster (Fe8S9)", 13650 },
	{ "CZM", "", "", ResidueType::NON_POLYMER, false, "'N,N'-BIS-(2-HYDROXY-3-METHYL-BENZYLIDENE)-BENZENE-1,2-DIAMINE'", 13651 },
	{ "CZN", "", "", ResidueType::NON_POLYMER, false, "(2S,8R)-8-BENZYL-2-HYDROPEROXY-6-(4-HYDROXYPHENYL)-2-(2-NAPHTHYLMETHYL)-7,8-DIHYDROIMIDAZO[1,2-A]PYRAZIN-3(2H)-ONE", 13652 },
	{ "CZO", "", "", ResidueType::PEPTIDE_LINKING, false, "[(2R,4S)-2-[(1S,2R)-1-amino-2-hydroxypropyl]-2-hydroxy-4-(4-hydroxybenzyl)-5-oxoimidazolidin-1-yl]acetic acid", 13653 },
	{ "CZP", "", "", ResidueType::NON_POLYMER, false, "(8R)-8-(CYCLOPENTYLMETHYL)-2-HYDROPEROXY-2-(4-HYDROXYBENZYL)-6-(4-HYDROXYPHENYL)-7,8-DIHYDROIMIDAZO[1,2-A]PYRAZIN-3(2H)-ONE", 13654 },
	{ "CZQ", "", "", ResidueType::NON_POLYMER, false, "2-[(~{E})-[4-[bis(fluoranyl)methoxy]-3-cyclopentyloxy-phenyl]methylideneamino]oxy-1-[(2~{R},6~{R})-2,6-dimethylmorpholin-4-yl]ethanone", 13655 },
	{ "CZS", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(6-chloro-1,3-benzothiazol-2-yl)-L-alanine", 13656 },
	{ "CZT", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-1-[(~{E})-(3-cyclopentyloxy-4-methoxy-phenyl)methylideneamino]oxy-3-[(2~{R},6~{S})-2,6-dimethylmorpholin-4-yl]propan-2-ol", 13657 },
	{ "CZV", "", "", ResidueType::NON_POLYMER, false, "6-chloro-N-{1-[4-(trifluoromethyl)phenyl]cyclopropyl}-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 13658 },
	{ "CZY", "", "", ResidueType::NON_POLYMER, false, "6-chloro-1-methyl-N-{(1R)-1-[4-(trifluoromethyl)phenyl]ethyl}-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 13659 },
	{ "CZZ", "", "", ResidueType::PEPTIDE_LINKING, false, "THIARSAHYDROXY-CYSTEINE", 13660 },
	{ "D00", "", "", ResidueType::DNA_LINKING, false, "", 13661 },
	{ "D01", "", "", ResidueType::NON_POLYMER, false, "2-({4-[(5-CHLORO-1H-INDOL-2-YL)SULFONYL]PIPERAZIN-1-YL}CARBONYL)THIENO[3,2-B]PYRIDINE 4-OXIDE", 13662 },
	{ "D02", "", "", ResidueType::NON_POLYMER, false, "methyl 1-(2,3,5,6-tetrafluoro-4-sulfamoylphenyl)-1H-1,2,3-triazole-4-carboxylate", 13663 },
	{ "D03", "", "", ResidueType::NON_POLYMER, false, "(S)-N-benzyl-3-((S)-2-cinnamamido-3-phenylpropanamido)-2-oxo-4-((S)-2-oxopyrrolidin-3-yl)butanamide", 13664 },
	{ "D04", "", "", ResidueType::NON_POLYMER, false, "4-(4-cyclohexyl-1H-1,2,3-triazol-1-yl)-2,3,5,6-tetrafluorobenzenesulfonamide", 13665 },
	{ "D05", "", "", ResidueType::NON_POLYMER, false, "6-(3,4-DIHYDROXYBENZYL)-3-ETHYL-1-(2,4,6-TRICHLOROPHENYL)-1H-PYRAZOLO[3,4-D]PYRIMIDIN-4(5H)-ONE", 13666 },
	{ "D07", "", "", ResidueType::NON_POLYMER, false, "6-chloro-N,1-dimethyl-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 13667 },
	{ "D08", "", "", ResidueType::NON_POLYMER, false, "2-[(5~{R})-3-(3-cyclopentyloxy-4-methoxy-phenyl)-4,5-dihydro-1,2-oxazol-5-yl]-~{N},~{N}-bis(2-hydroxyethyl)ethanamide", 13668 },
	{ "D09", "", "", ResidueType::NON_POLYMER, false, "5-[(1E)-2-(2-methoxyphenyl)prop-1-en-1-yl]furo[2,3-d]pyrimidine-2,4-diamine", 13669 },
	{ "D0A", "", "", ResidueType::NON_POLYMER, false, "N-(3-fluoropyridin-4-yl)-2-[6-(trifluoromethyl)pyridin-2-yl]-7H-pyrrolo[2,3-d]pyrimidin-4-amine", 13670 },
	{ "D0B", "", "", ResidueType::NON_POLYMER, false, "3-[3-(3-cyclopentyloxy-4-methoxy-phenyl)pyrazol-1-yl]-1-[(2~{R},6~{R})-2,6-dimethylmorpholin-4-yl]propan-1-one", 13671 },
	{ "D0E", "", "", ResidueType::NON_POLYMER, false, "3-[3-(3-cyclopentyloxy-4-methoxy-phenyl)pyrazol-1-yl]-1-morpholin-4-yl-propan-1-one", 13672 },
	{ "D0M", "", "", ResidueType::NON_POLYMER, false, "pentan-3-amine", 13673 },
	{ "D0R", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S,4S,5S)-5-amino-4-hydroxy-1,6-diphenylhexan-2-yl]-N~2~-(methyl{[2-(propan-2-yl)-1,3-thiazol-4-yl]methyl}carbamoyl)-L-valinamide", 13674 },
	{ "D0S", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-2-(diethylamino)propyl]-2-(3-hydroxyazetidin-1-yl)-6-[5-(thiophen-2-yl)pyrazolo[1,5-a]pyrimidin-3-yl]pyridine-4-carboxamide", 13675 },
	{ "D0T", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(3-hydroxy-3-oxopropyl)-6-[[methyl-[[2-[(phenylmethyl)carbamoyl]phenyl]methyl]amino]methyl]-2,3-dihydro-1,4-benzodioxine-5-carboxylic acid", 13676 },
	{ "D0W", "", "", ResidueType::NON_POLYMER, false, "Sampatrilat-Asp", 13677 },
	{ "D0Z", "", "", ResidueType::NON_POLYMER, false, "Sampatrilat", 13678 },
	{ "D10", "", "", ResidueType::NON_POLYMER, false, "DECANE", 13679 },
	{ "D11", "", "", ResidueType::PEPTIDE_LINKING, false, "D-PHOSPHOTHREONINE", 13680 },
	{ "D12", "", "", ResidueType::NON_POLYMER, false, "DODECANE", 13681 },
	{ "D13", "", "", ResidueType::NON_POLYMER, false, "4-[5-(3-IODO-PHENYL)-2-(4-METHANESULFINYL-PHENYL)-1H-IMIDAZOL-4-YL]-PYRIDINE", 13682 },
	{ "D14", "", "", ResidueType::NON_POLYMER, false, "7-chloro-N-[(1S,2R,4S)-4-(dimethylcarbamoyl)-2-{[(5-methyl-5,6-dihydro-4H-pyrrolo[3,4-d][1,3]thiazol-2-yl)carbonyl]amino}cyclohexyl]isoquinoline-3-carboxamide", 13683 },
	{ "D15", "", "", ResidueType::NON_POLYMER, false, "N-(5-{[(2S)-4-amino-2-(3-chlorophenyl)butanoyl]amino}-1H-indazol-3-yl)benzamide", 13684 },
	{ "D16", "", "", ResidueType::NON_POLYMER, false, "TOMUDEX", 13685 },
	{ "D17", "", "", ResidueType::NON_POLYMER, false, "N-({3-[({4-[(Z)-(4-oxo-2-thioxo-1,3-thiazolidin-5-ylidene)methyl]phenyl}amino)methyl]phenyl}carbonyl)-L-glutamic acid", 13686 },
	{ "D18", "", "", ResidueType::NON_POLYMER, false, "2,5-BIS{[4-(N-ISOPROPYL)DIAMINOMETHYL]PHENYL}FURAN", 13687 },
	{ "D19", "", "", ResidueType::NON_POLYMER, false, "2,5-BIS{[4-(N-CYCLOPROPYLDIAMINOMETHYL)PHENYL]}FURAN", 13688 },
	{ "D1A", "", "", ResidueType::NON_POLYMER, false, "N-[4-[(E)-N-carbamimidamido-C-methyl-carbonimidoyl]phenyl]-7-nitro-1H-indole-2-carboxamide", 13689 },
	{ "D1B", "", "", ResidueType::NON_POLYMER, false, "2-(5-{4-[AMINO(IMINO)METHYL]PHENYL}-2-THIENYL)-1H-BENZIMIDAZOLE-6- CARBOXIMIDAMIDE DIHYDROCHLORIDE", 13690 },
	{ "D1C", "", "", ResidueType::NON_POLYMER, false, "4-[({[(2R)-2-amino-3-(2,4,5-trifluorophenyl)propyl]sulfamoyl}amino)methyl]benzenesulfonamide", 13691 },
	{ "D1D", "", "", ResidueType::NON_POLYMER, false, "(4S,5S)-1,2-DITHIANE-4,5-DIOL", 13692 },
	{ "D1F", "", "", ResidueType::NON_POLYMER, false, "1-(beta-D-glucopyranosyl)-5-(hept-1-yn-1-yl)pyrimidine-2,4(1H,3H)-dione", 13693 },
	{ "D1G", "", "", ResidueType::NON_POLYMER, false, "N,N-DIMETHYL(5-(PYRIDIN-3-YL)FURAN-2-YL)METHANAMINE", 13694 },
	{ "D1H", "", "", ResidueType::NON_POLYMER, false, "1,1'-ETHANE-1,2-DIYLBIS(3,7-DIMETHYL-3,7-DIHYDRO-1H-PURINE-2,6-DIONE)", 13695 },
	{ "D1I", "", "", ResidueType::NON_POLYMER, false, "3-(beta-D-glucopyranosyl)-6-pentylfuro[2,3-d]pyrimidin-2(3H)-one", 13696 },
	{ "D1J", "", "", ResidueType::NON_POLYMER, false, "1-(beta-D-glucopyranosyl)-5-(pent-1-yn-1-yl)pyrimidine-2,4(1H,3H)-dione", 13697 },
	{ "D1K", "", "", ResidueType::NON_POLYMER, false, "3-(beta-D-glucopyranosyl)-6-propylfuro[2,3-d]pyrimidin-2(3H)-one", 13698 },
	{ "D1L", "", "", ResidueType::NON_POLYMER, false, "2-[4-(2,4-DICHLOROPHENOXY)PHENOXY]PROPANOIC ACID", 13699 },
	{ "D1M", "", "", ResidueType::NON_POLYMER, false, "5-ethynyl-1-(beta-D-glucopyranosyl)pyrimidine-2,4(1H,3H)-dione", 13700 },
	{ "D1N", "", "", ResidueType::NON_POLYMER, false, "NAPHTHALENE-1,2-DIOL", 13701 },
	{ "D1P", "", "ORP", ResidueType::DNA_LINKING, true, "2'-DEOXY-RIBOFURANOSE-5'-PHOSPHATE", 13702 },
	{ "D1Q", "", "", ResidueType::NON_POLYMER, false, "4-{3-[(4-chlorophenyl)amino]-3-oxopropyl}-3-({[5-(propan-2-yl)-4,5,6,7-tetrahydro[1,3]thiazolo[5,4-c]pyridin-2-yl]carbonyl}amino)benzoic acid", 13703 },
	{ "D1R", "", "", ResidueType::NON_POLYMER, false, "NALPHA-[(4-METHYLPIPERAZIN-1-YL)CARBONYL]-N-{(1S)-3-PHENYL-1-[2-(PHENYLSULFONYL)ETHYL]PROPYL}-L-PHENYLALANINAMIDE", 13704 },
	{ "D1S", "", "", ResidueType::NON_POLYMER, false, "(4E,6Z,8S,9S,10E,12S,13R,14S,16R)-19-{[3-(dimethylamino)propyl]amino}-13-hydroxy-8,14-dimethoxy-4,10,12,16-tetramethyl-3,20,22-trioxo-2-azabicyclo[16.3.1]docosa-1(21),4,6,10,18-pentaen-9-yl carbamate", 13705 },
	{ "D1T", "", "", ResidueType::NON_POLYMER, false, "DECANE-1-THIOL", 13706 },
	{ "D1U", "", "", ResidueType::NON_POLYMER, false, "4-[6,6-dimethyl-4-oxo-3-(trifluoromethyl)-4,5,6,7-tetrahydro-1H-indazol-1-yl]-2-{[2-(methylsulfanyl)ethyl]amino}benzamide", 13707 },
	{ "D1V", "", "", ResidueType::NON_POLYMER, false, "2-mercapto(3H)quinazolinone", 13708 },
	{ "D1X", "", "", ResidueType::NON_POLYMER, false, "2,6-dioxo-1,2,3,6-tetrahydropyridine-4-carboxylic acid", 13709 },
	{ "D20", "", "", ResidueType::NON_POLYMER, false, "N~5~-{IMINO[(2-METHOXYETHYL)AMINO]METHYL}-L-ORNITHINE", 13710 },
	{ "D21", "", "", ResidueType::NON_POLYMER, false, "(2R)-1-(hexadecanoyloxy)-3-(phosphonooxy)propan-2-yl (9Z)-octadec-9-enoate", 13711 },
	{ "D22", "", "", ResidueType::NON_POLYMER, false, "N-octyloctan-1-amine", 13712 },
	{ "D23", "", "", ResidueType::NON_POLYMER, false, "6-(3-AMINOPHENYL)-N-(TERT-BUTYL)-2-(TRIFLUOROMETHYL)QUINAZOLIN-4-AMINE", 13713 },
	{ "D24", "", "", ResidueType::NON_POLYMER, false, "2,5-BIS-[4-[CYCLOPENTA-1,3-DIEN-5-YLAMINO-1-AMINOMETHYL]-PHEN-1-YL]FURAN", 13714 },
	{ "D25", "", "", ResidueType::NON_POLYMER, false, "3-phenyl-5-(1H-pyrazol-3-yl)isoxazole", 13715 },
	{ "D26", "", "", ResidueType::NON_POLYMER, false, "PHENYL-5-(1H-PYRAZOL-3-YL)-1,3-THIAZOLE", 13716 },
	{ "D27", "", "", ResidueType::NON_POLYMER, false, "2-{[(2E)-3-(3,4-dimethoxyphenyl)prop-2-enoyl]amino}benzoic acid", 13717 },
	{ "D28", "", "", ResidueType::NON_POLYMER, false, "4-{[4-(4-fluoro-3-methylphenyl)-1,3-thiazol-2-yl]amino}-2-hydroxybenzoic acid", 13718 },
	{ "D2A", "", "", ResidueType::NON_POLYMER, false, "2-(4'-AMIDINOBIPHENYL-4-YL)-1H-BENZIMIDAZOLE-5-AMIDINE", 13719 },
	{ "D2B", "", "", ResidueType::NON_POLYMER, false, "5-[(1Z)-2-(2-methoxyphenyl)-3-methylbut-1-en-1-yl]furo[2,3-d]pyrimidine-2,4-diamine", 13720 },
	{ "D2C", "", "", ResidueType::NON_POLYMER, false, "(2S,4S,4AR,5AS,6S,11R,11AS,12R,12AR)-7-CHLORO-4-(DIMETHYLAMINO)-6,10,11,12-TETRAHYDROXY-1,3-DIOXO-1,2,3,4,4A,5,5A,6,11,11A,12,12A-DODECAHYDROTETRACENE-2-CARBOXAMIDE", 13721 },
	{ "D2D", "", "", ResidueType::NON_POLYMER, false, "5-[(1E)-2-(2-methoxyphenyl)-4-methylpent-1-en-1-yl]furo[2,3-d]pyrimidine-2,4-diamine", 13722 },
	{ "D2E", "", "", ResidueType::NON_POLYMER, false, "5-[(E)-2-cyclopropyl-2-(2-methoxyphenyl)ethenyl]furo[2,3-d]pyrimidine-2,4-diamine", 13723 },
	{ "D2F", "", "", ResidueType::NON_POLYMER, false, "5-[(1E)-2-(2-methoxyphenyl)hex-1-en-1-yl]furo[2,3-d]pyrimidine-2,4-diamine", 13724 },
	{ "D2G", "", "", ResidueType::NON_POLYMER, false, "N-METHYL(5-(PYRIDIN-3-YL)FURAN-2-YL)METHANAMINE", 13725 },
	{ "D2H", "", "", ResidueType::NON_POLYMER, false, "5-[(1E,3R)-2-(2-methoxyphenyl)-3-methylpent-1-en-1-yl]furo[2,3-d]pyrimidine-2,4-diamine", 13726 },
	{ "D2J", "", "", ResidueType::NON_POLYMER, false, "6-{3-[(2,4-diamino-5-methylpyrido[2,3-d]pyrimidin-6-yl)methyl]-4-methoxyphenoxy}hexanoic acid", 13727 },
	{ "D2K", "", "", ResidueType::NON_POLYMER, false, "ethyl 4-{3-[(2,4-diamino-5-methylpyrido[2,3-d]pyrimidin-6-yl)methyl]-4-methoxyphenoxy}butanoate", 13728 },
	{ "D2M", "", "", ResidueType::NON_POLYMER, false, "4-(2,6-dimethoxyphenoxy)-2,6-dimethoxyphenol", 13729 },
	{ "D2N", "", "", ResidueType::NON_POLYMER, false, "ethyl 6-{3-[(2,4-diamino-5-methylpyrido[2,3-d]pyrimidin-6-yl)methyl]-4-methoxyphenoxy}hexanoate", 13730 },
	{ "D2O", "", "", ResidueType::NON_POLYMER, false, "6-[2-methoxy-5-(2-phenylethoxy)benzyl]-5-methylpyrido[2,3-d]pyrimidine-2,4-diamine", 13731 },
	{ "D2P", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,3-DICHLOROPROPAN-1-OL", 13732 },
	{ "D2Q", "", "", ResidueType::NON_POLYMER, false, "ethyl 5-{2-[(2,4-diamino-5-methylpyrido[2,3-d]pyrimidin-6-yl)methyl]-4-methoxyphenoxy}pentanoate", 13733 },
	{ "D2R", "", "", ResidueType::NON_POLYMER, false, "6-{2-[(2,4-diamino-5-methylpyrido[2,3-d]pyrimidin-6-yl)methyl]-4-methoxyphenyl}hex-5-ynoic acid", 13734 },
	{ "D2S", "", "", ResidueType::NON_POLYMER, false, "4,4'-disulfanediyldibenzene-1,3-diol", 13735 },
	{ "D2T", "", "", ResidueType::PEPTIDE_LINKING, false, "(3R)-3-(methylsulfanyl)-L-aspartic acid", 13736 },
	{ "D2V", "", "", ResidueType::NON_POLYMER, false, "(3S,5Z,7E,22E)-9,10-secoergosta-5,7,10,22-tetraen-3-ol", 13737 },
	{ "D2X", "", "", ResidueType::NON_POLYMER, false, "3-[(4-hydroxy-2-methylpyrimidin-5-yl)methyl]-5-(2-{[(R)-hydroxy(phosphonooxy)phosphoryl]oxy}ethyl)-4-methyl-1,3-thiazol-3-ium", 13738 },
	{ "D3", "", "", ResidueType::DNA_LINKING, false, "1-(2-DEOXY-BETA-D-RIBOFURANOSYL)-4-(3-BENZAMIDO)PHENYLIMIDAZOLE", 13739 },
	{ "D30", "", "", ResidueType::NON_POLYMER, false, "[(4-{[2-(pent-2-yn-1-yloxy)-4-{[4-(trifluoromethyl)phenoxy]methyl}phenyl]sulfanyl}-5,6,7,8-tetrahydronaphthalen-1-yl)oxy]acetic acid", 13740 },
	{ "D31", "", "", ResidueType::NON_POLYMER, false, "2-(4-(AMINOMETHYL)PIPERIDIN-1-YL)-N-(3_CYCLOHEXYL-4-OXO-2,4-DIHYDROINDENO[1,2-C]PYRAZOL-5-YL)ACETAMIDE", 13741 },
	{ "D32", "", "", ResidueType::NON_POLYMER, false, "(2,3-dimethyl-4-{[2-(prop-2-yn-1-yloxy)-4-{[4-(trifluoromethyl)phenoxy]methyl}phenyl]sulfanyl}phenoxy)acetic acid", 13742 },
	{ "D33", "", "", ResidueType::DNA_LINKING, false, "1-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-1H-imidazole", 13743 },
	{ "D34", "", "", ResidueType::NON_POLYMER, false, "2,5-BIS{[4-(N-CYCLOBUTYLDIAMINOMETHYL)PHENYL]}FURAN", 13744 },
	{ "D35", "", "", ResidueType::NON_POLYMER, false, "2,5-BIS{[4-(N-CYCLOHEXYLDIAMINOMETHYL)PHENYL]}FURAN", 13745 },
	{ "D36", "", "", ResidueType::NON_POLYMER, false, "N-(2-aminoethyl)-N-{5-[(1-cycloheptyl-1H-pyrazolo[3,4-d]pyrimidin-6-yl)amino]pyridin-2-yl}methanesulfonamide", 13746 },
	{ "D37", "", "", ResidueType::NON_POLYMER, false, "N-{5-[(1-cycloheptyl-1H-pyrazolo[3,4-d]pyrimidin-6-yl)amino]pyridin-2-yl}methanesulfonamide", 13747 },
	{ "D38", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(2S)-2-{[1-(4-carboxybenzyl)-1H-1,2,3-triazol-4-yl]methyl}-3-methylbutanoyl]-L-lysine", 13748 },
	{ "D3A", "", "", ResidueType::NON_POLYMER, false, "(1-{[(4R,6S)-8-chloro-6-(2,3-dimethoxyphenyl)-4H,6H-pyrrolo[1,2-a][4,1]benzoxazepin-4-yl]acetyl}piperidin-4-yl)acetic acid", 13749 },
	{ "D3C", "", "", ResidueType::NON_POLYMER, false, "N-[(3R)-3-amino-4-(2,4,5-trifluorophenyl)butyl]-6-(trifluoromethyl)-3,4-dihydropyrrolo[1,2-a]pyrazine-2(1H)-carboxamide", 13750 },
	{ "D3D", "", "", ResidueType::NON_POLYMER, false, "(19S,22R,25R)-22,25,26-trihydroxy-16,22-dioxo-17,21,23-trioxa-22lambda~5~-phosphahexacosan-19-yl (9E)-octadec-9-enoate", 13751 },
	{ "D3E", "", "", ResidueType::NON_POLYMER, false, "N-cyclopropyl-N-(trans-4-pyridin-3-ylcyclohexyl)-4-[(1S)-2,2,2-trifluoro-1-hydroxy-1-methylethyl]benzamide", 13752 },
	{ "D3F", "", "", ResidueType::NON_POLYMER, false, "2-[(2,4-DICHLORO-5-METHYLPHENYL)SULFONYL]-1,3-DINITRO-5-(TRIFLUOROMETHYL)BENZENE", 13753 },
	{ "D3G", "", "", ResidueType::NON_POLYMER, false, "(5-(PYRIDIN-3-YL)FURAN-2-YL)METHANAMINE", 13754 },
	{ "D3H", "", "", ResidueType::NON_POLYMER, false, "~{N}-(4-aminophenyl)-2-azanyl-ethanamide", 13755 },
	{ "D3K", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-[(~{R})-[2-(2-methoxyethoxy)phenyl]-phenyl-methyl]pyrrolidine", 13756 },
	{ "D3M", "", "", ResidueType::NON_POLYMER, false, "3,6-dichloro-2-methoxybenzoic acid", 13757 },
	{ "D3N", "", "", ResidueType::DNA_LINKING, false, "1-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-1H-perimidin-2(3H)-one", 13758 },
	{ "D3O", "", "", ResidueType::NON_POLYMER, false, "trideuteriooxidanium", 13759 },
	{ "D3P", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-AMINO(3,5-DIHYDROXYPHENYL)ACETIC ACID", 13760 },
	{ "D3Q", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-[(~{R})-(3-methoxyphenyl)-phenyl-methyl]pyrrolidine", 13761 },
	{ "D3T", "", "", ResidueType::DNA_HYDROXY_TERMINUS, false, "2',3'-DIDEOXY-THYMIDINE-5'-TRIPHOSPHATE", 13762 },
	{ "D3V", "", "", ResidueType::NON_POLYMER, false, " 1a,20S-dihydroxyvitamin D3", 13763 },
	{ "D3W", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-[(~{R})-(2-methoxyphenyl)-phenyl-methyl]pyrrolidine", 13764 },
	{ "D3X", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-2-{[(4-methoxyphenyl)sulfonyl](2-{[(2R,3R,4S,5S,6R)-3,4,5-trihydroxy-6-(hydroxymethyl)tetrahydro-2H-pyran-2-yl]oxy}ethyl)amino}acetamide", 13765 },
	{ "D3Y", "", "", ResidueType::NON_POLYMER, false, "3'-deoxy-3'-(D-tyrosylamino)adenosine", 13766 },
	{ "D3Z", "", "", ResidueType::NON_POLYMER, false, "1-(5-deoxy-beta-L-xylofuranosyl)pyrimidine-2,4(1H,3H)-dione", 13767 },
	{ "D41", "", "", ResidueType::NON_POLYMER, false, "7-amino-2-tert-butyl-4-(1H-pyrrol-2-yl)pyrido[2,3-d]pyrimidine-6-carboxamide", 13768 },
	{ "D42", "", "", ResidueType::NON_POLYMER, false, "1-(3-(2,4-DIMETHYLTHIAZOL-5-YL)-4-OXO-2,4-DIHYDROINDENO[1,2-C]PYRAZOL-5-YL)-3-(4-METHYLPIPERAZIN-1-YL)UREA", 13769 },
	{ "D44", "", "", ResidueType::NON_POLYMER, false, "N-(2-ethylphenyl)-2-(3H-imidazo[4,5-b]pyridin-2-ylsulfanyl)acetamide", 13770 },
	{ "D46", "", "", ResidueType::NON_POLYMER, false, "N-[2-({[(5-chlorothiophen-2-yl)carbonyl]amino}methyl)phenyl]-5-methyl-4,5,6,7-tetrahydro[1,3]thiazolo[5,4-c]pyridine-2-carboxamide", 13771 },
	{ "D48", "", "", ResidueType::NON_POLYMER, false, "naphthalene-2,3-diol", 13772 },
	{ "D4D", "", "", ResidueType::NON_POLYMER, false, "", 13773 },
	{ "D4G", "", "", ResidueType::NON_POLYMER, false, "", 13774 },
	{ "D4H", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-[(~{S})-(3-methylphenyl)-phenyl-methyl]pyrrolidine", 13775 },
	{ "D4K", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-[(~{S})-(3-methoxyphenyl)-phenyl-methyl]pyrrolidine", 13776 },
	{ "D4M", "", "", ResidueType::DNA_LINKING, false, "[(5R)-5-(5-METHYL-2,4-DIOXO-3,4-DIHYDROPYRIMIDIN-1(2H)-YL)-2,5-DIHYDROFURAN-2-YL]METHYL DIHYDROGEN PHOSPHATE", 13777 },
	{ "D4N", "", "", ResidueType::NON_POLYMER, false, "1-{[(3R)-3-methyl-4-({4-[(1S)-2,2,2-trifluoro-1-hydroxy-1-methylethyl]phenyl}sulfonyl)piperazin-1-yl]methyl}cyclopropanecarboxamide", 13778 },
	{ "D4P", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-AMINO(4-HYDROXYPHENYL)ACETIC ACID", 13779 },
	{ "D4Q", "", "", ResidueType::NON_POLYMER, false, "2-(3-fluorophenyl)-4-[[(3~{S})-piperidin-3-yl]amino]thieno[3,2-c]pyridine-7-carboxamide", 13780 },
	{ "D4T", "", "", ResidueType::NON_POLYMER, false, "", 13781 },
	{ "D4Z", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-4-[[(3~{S})-piperidin-3-yl]amino]-1~{H}-indole-7-carboxamide", 13782 },
	{ "D50", "", "", ResidueType::NON_POLYMER, false, "N-{(2S,3R)-3-amino-4-[4-(benzyloxy)phenyl]-2-hydroxybutanoyl}-L-leucine", 13783 },
	{ "D51", "", "", ResidueType::NON_POLYMER, false, "", 13784 },
	{ "D52", "", "", ResidueType::NON_POLYMER, false, "", 13785 },
	{ "D53", "", "", ResidueType::NON_POLYMER, false, "2-(benzylamino)ethanesulfonic acid", 13786 },
	{ "D54", "", "", ResidueType::NON_POLYMER, false, "4-deoxy-L-threo-hex-5-ulosuronic acid", 13787 },
	{ "D55", "", "", ResidueType::NON_POLYMER, false, "4-(2-aminoethoxy)-N-(2,5-diethoxyphenyl)-3,5-dimethylbenzamide", 13788 },
	{ "D56", "", "", ResidueType::NON_POLYMER, false, "4-(2-aminoethoxy)-N-(3-chloro-2-ethoxy-5-piperidin-1-ylphenyl)-3,5-dimethylbenzamide", 13789 },
	{ "D57", "", "", ResidueType::NON_POLYMER, false, "dimethyl 2-[2-(1-benzyl-1H-imidazol-2-yl)ethyl]-4,6-dihydroxybenzene-1,3-dicarboxylate", 13790 },
	{ "D58", "", "", ResidueType::NON_POLYMER, false, "4-[[(2~{R},3~{S})-2-methylpiperidin-3-yl]amino]-2-phenyl-thieno[3,2-c]pyridine-7-carboxamide", 13791 },
	{ "D59", "", "", ResidueType::NON_POLYMER, false, "N-(3,5-dichlorophenyl)-2-methyl-3-nitrobenzamide", 13792 },
	{ "D5C", "", "", ResidueType::NON_POLYMER, false, "N-[(3R)-3-amino-4-(2,4,5-trifluorophenyl)butyl]-3'-(trifluoromethyl)biphenyl-4-carboxamide", 13793 },
	{ "D5E", "", "", ResidueType::NON_POLYMER, false, "paromamine", 13794 },
	{ "D5G", "", "", ResidueType::NON_POLYMER, false, "(2S)-4-METHYL-2-(3-PHENYLTHIOUREIDO)-N-((3S)-TETRAHYDRO-2-HYDROXY-3-FURANYL)PENTANAMIDE", 13795 },
	{ "D5I", "", "", ResidueType::NON_POLYMER, false, "N'-(1-adamantylcarbonyl)pyridine-4-carbohydrazide", 13796 },
	{ "D5M", "", "", ResidueType::NON_POLYMER, false, "2'-DEOXYADENOSINE-5'-MONOPHOSPHATE", 13797 },
	{ "D5N", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-1-[5-[4-[bis(fluoranyl)methoxy]-3-cyclopentyloxy-phenyl]pyrazol-1-yl]-3-morpholin-4-yl-propan-2-ol", 13798 },
	{ "D5Q", "", "", ResidueType::NON_POLYMER, false, "4-(2,5-Dimethoxyphenyl)-N-(4-(5-(4-fluorphenyl)-2-(methylthio)-1H-imidazol-4-yl)-pyridin-2-yl)-1-methyl-1H-pyrrole-2-carboxamide", 13799 },
	{ "D5X", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,3,3-trihydroxy-4-oxopentyl dihydrogen phosphate", 13800 },
	{ "D61", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-2-(carboxymethoxy)-4-{[5-(naphthalen-2-yl)pentyl]amino}-3-{[5-(naphthalen-2-yl)pentyl]oxy}-4-oxobutanoic acid", 13801 },
	{ "D63", "", "", ResidueType::NON_POLYMER, false, "4'-(5-carbamimidoyl-1H-benzimidazol-2-yl)biphenyl-4-carboxamide", 13802 },
	{ "D64", "", "", ResidueType::NON_POLYMER, false, "6-(4-methylphenyl)quinazoline-2,4-diamine", 13803 },
	{ "D65", "", "", ResidueType::NON_POLYMER, false, "2-(1,1-difluoroethyl)-5-methyl-N-[4-(pentafluoro-lambda~6~-sulfanyl)phenyl][1,2,4]triazolo[1,5-a]pyrimidin-7-amine", 13804 },
	{ "D66", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3R)-3-amino-2-hydroxy-4-(4-methoxyphenyl)butanoyl]-L-leucine", 13805 },
	{ "D67", "", "", ResidueType::NON_POLYMER, false, "2-(1,1-difluoroethyl)-5-methyl-N-[4-(trifluoromethyl)phenyl][1,2,4]triazolo[1,5-a]pyrimidin-7-amine", 13806 },
	{ "D69", "", "", ResidueType::NON_POLYMER, false, "", 13807 },
	{ "D6G", "", "", ResidueType::SACCHARIDE, false, "2-deoxy-6-O-phosphono-alpha-D-arabino-hexopyranose", 13808 },
	{ "D6I", "", "", ResidueType::NON_POLYMER, false, "6-(benzimidazol-1-yl)-N-[5-[3-(dimethylamino)propoxy]pyridin-2-yl]pyrimidin-4-amine", 13809 },
	{ "D6J", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-[(4-carbamimidoylphenyl)methyl]-2-[methyl-[(2R)-3-phenyl-2-[(phenylmethyl)sulfonylamino]propanoyl]amino]butanamide", 13810 },
	{ "D6M", "", "", ResidueType::NON_POLYMER, false, "N-hexadecanoyl-L-glutamic acid", 13811 },
	{ "D6N", "", "", ResidueType::NON_POLYMER, false, "FeV", 13812 },
	{ "D6P", "", "", ResidueType::NON_POLYMER, false, "(3,4,5,7-TETRAHYDROXY-HEPT-1-ENYL)-PHOSPHONIC ACID", 13813 },
	{ "D6T", "", "", ResidueType::NON_POLYMER, false, "~{N}-[5-[1-[4-[2-[6-methoxy-7-[2-[2-(2-methoxyethoxy)ethoxy]ethoxy]-3,4-dihydro-1~{H}-isoquinolin-2-yl]ethyl]phenyl]-1,2,3-triazol-4-yl]-2-propanoyl-phenyl]quinoline-2-carboxamide", 13814 },
	{ "D70", "", "", ResidueType::NON_POLYMER, false, "", 13815 },
	{ "D71", "", "", ResidueType::NON_POLYMER, false, "1-(3-nitrophenyl)-3-(pyridin-4-ylmethyl)pyrido[2,3-d]pyrimidine-2,4(1H,3H)-dione", 13816 },
	{ "D72", "", "", ResidueType::NON_POLYMER, false, "(2R)-6,8-dichloro-7-(2-methylpropoxy)-2-(trifluoromethyl)-2H-chromene-3-carboxylic acid", 13817 },
	{ "D73", "", "", ResidueType::NON_POLYMER, false, "", 13818 },
	{ "D75", "", "", ResidueType::NON_POLYMER, false, "DAIDZEIN-7-O-GLUCURONIDE", 13819 },
	{ "D76", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-[(6-CHLORO-2-NAPHTHYL)SULFONYL]-1-[(5-METHYL-4,5,6,7-TETRAHYDRO[1,3]THIAZOLO[5,4-C]PYRIDIN-2-YL)CARBONYL]PIPERAZINE-2-CARBOXAMIDE", 13820 },
	{ "D78", "", "", ResidueType::NON_POLYMER, false, "(5S)-N-[(1S,2R)-2-Hydroxy-3-[[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino]-1-(phenylmethyl)propyl]-2-oxo-3-[3-(trifluoromethyl)phenyl]-5-oxazolidinecarboxamide", 13821 },
	{ "D7A", "", "", ResidueType::NON_POLYMER, false, "N-[2-(3,4-dimethoxyphenyl)ethyl]-4-sulfamoylbenzamide", 13822 },
	{ "D7D", "", "", ResidueType::NON_POLYMER, false, "N-{cis-3-[methyl(7H-pyrrolo[2,3-d]pyrimidin-4-yl)amino]cyclobutyl}propane-1-sulfonamide", 13823 },
	{ "D7E", "", "", ResidueType::NON_POLYMER, false, "4-chloro-N-[(1R)-1-[1-ethyl-6-(trifluoromethyl)benzimidazol-2-yl]ethyl]benzenesulfonamide", 13824 },
	{ "D7G", "", "", ResidueType::NON_POLYMER, false, "((1S)-1-((((1S)-1-BENZYL-3-(CYCLOPROPYLAMINO)-2,3-DIOXOPROPYL)AMINO)CARBONYL)-3-METHYLBUTYL)CARBAMIC ACID 5-METHOXY-3-OXAPENTYL ESTER", 13825 },
	{ "D7J", "", "", ResidueType::NON_POLYMER, false, "tert-butyl [(2S)-1-{[(2R)-3-oxo-2-[(propan-2-yl)amino]-3-{[(pyridin-3-yl)methyl]amino}propyl]sulfanyl}-3-phenylpropan-2-yl]carbamate", 13826 },
	{ "D7K", "", "", ResidueType::NON_POLYMER, false, "3-[(4-amino-2-methylpyrimidin-5-yl)methyl]-2-{(S)-hydroxy[(R)-hydroxy(methoxy)phosphoryl]phenylmethyl}-5-(2-{[(R)-hydroxy(phosphonooxy)phosphoryl]oxy}ethyl)-4-methyl-1,3-thiazol-3-ium", 13827 },
	{ "D7M", "", "", ResidueType::NON_POLYMER, false, "tert-butyl (2-{[(2R)-2-(cyclopentylamino)-3-oxo-3-{[(pyridin-3-yl)methyl]amino}propyl]sulfanyl}ethyl)carbamate", 13828 },
	{ "D7N", "", "", ResidueType::NON_POLYMER, false, "2-[1-(4,4-Difluorocyclohexyl)-piperidin-4-yl]-6-fluoro-3-oxo-2,3-dihydro-1H-isoindole-4-carboxamide", 13829 },
	{ "D7P", "", "", ResidueType::NON_POLYMER, false, "D-PHENYLALANYL-N~5~-[(2,2-DIHYDROXYHYDRAZINO)(IMINO)METHYL]-D-ORNITHINAMIDE", 13830 },
	{ "D7S", "", "", ResidueType::NON_POLYMER, false, "(5beta,14beta,17alpha,25S)-3-oxocholest-7-en-26-oic acid", 13831 },
	{ "D7V", "", "", ResidueType::NON_POLYMER, false, "(3Z)-3-(dibenzo[b,e]oxepin-11(6H)-ylidene)-N,N-dimethylpropan-1-amine", 13832 },
	{ "D7W", "", "", ResidueType::NON_POLYMER, false, "1-(3-chlorophenyl)-3-(3-methyl-5-oxidanylidene-4~{H}-imidazol-2-yl)urea", 13833 },
	{ "D7Y", "", "", ResidueType::NON_POLYMER, false, "tert-butyl (2-{[(2R)-3-oxo-2-[(propan-2-yl)amino]-3-{[(pyridin-3-yl)methyl]amino}propyl]sulfanyl}ethyl)carbamate", 13834 },
	{ "D80", "", "", ResidueType::NON_POLYMER, false, "2-butyl[1,3]oxazolo[4,5-c]quinolin-4-amine", 13835 },
	{ "D81", "", "", ResidueType::NON_POLYMER, false, "S-{(2S)-2-[(1-tert-butoxyethenyl)amino]-3-phenylpropyl}-N~2~-cyclopentyl-N-[(pyridin-3-yl)methyl]-L-cysteinamide", 13836 },
	{ "D83", "", "", ResidueType::NON_POLYMER, false, "2-(4'-carbamimidoylbiphenyl-4-yl)-1H-indole-6-carboximidamide", 13837 },
	{ "D86", "", "", ResidueType::NON_POLYMER, false, "[azanyl(piperidin-1-yl)methylidene]azanium", 13838 },
	{ "D87", "", "", ResidueType::NON_POLYMER, false, "2-butylfuro[2,3-c]quinolin-4-amine", 13839 },
	{ "D88", "", "", ResidueType::NON_POLYMER, false, "4-[(3,4-dichloro-5-methoxyphenyl)amino]-6-methoxy-7-[3-(4-methylpiperazin-1-yl)propoxy]quinoline-3-carbonitrile", 13840 },
	{ "D8B", "", "", ResidueType::NON_POLYMER, false, "2-[2-(3-methoxyphenyl)ethynyl]-6-methyl-pyridine", 13841 },
	{ "D8E", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{S},5~{S},14~{S})-2-[(4-fluorophenyl)methyl]-5-(hydroxymethyl)-9-methyl-3,8,15-tris(oxidanylidene)-1,4,9-triazacyclopentadec-14-yl]-5-methyl-1,2-oxazole-3-carboxamide", 13842 },
	{ "D8G", "", "", ResidueType::NON_POLYMER, false, "6-(2-fluorobenzyl)-2,4-dimethyl-4,6-dihydro-5H-thieno[2',3':4,5]pyrrolo[2,3-d]pyridazin-5-one", 13843 },
	{ "D8H", "", "", ResidueType::NON_POLYMER, false, "6-(2-(5-(3-methoxypropylamino)pyridin-3-yl)ethyl)-4-methylpyridin-2-amine", 13844 },
	{ "D8I", "", "", ResidueType::NON_POLYMER, false, "2-[(3-methoxybenzyl)amino]ethanesulfonic acid", 13845 },
	{ "D8K", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(5~{S},8~{S},11~{S},15~{R})-8-[(4-fluorophenyl)methyl]-5-(hydroxymethyl)-2,7,10,14-tetrakis(oxidanylidene)-1,6,9,13-tetrazabicyclo[13.3.0]octadecan-11-yl]-5-methyl-1,2-oxazole-3-carboxamide", 13846 },
	{ "D8Q", "", "", ResidueType::NON_POLYMER, false, "~{N}-(2-azanylethyl)-1-methyl-6-oxidanylidene-pyridine-3-carboxamide", 13847 },
	{ "D8S", "", "", ResidueType::NON_POLYMER, false, "benzo[g][1]benzothiole-2-carboxylic acid", 13848 },
	{ "D8T", "", "", ResidueType::NON_POLYMER, false, "D-arabinonic acid", 13849 },
	{ "D8U", "", "", ResidueType::NON_POLYMER, false, "deuterium(1+)", 13850 },
	{ "D8W", "", "", ResidueType::NON_POLYMER, false, "5-[(phenylsulfonyl)amino]-1,3,4-thiadiazole-2-sulfonamide", 13851 },
	{ "D8X", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,3,3-trihydroxy-6-methyl-4-oxoheptyl dihydrogen phosphate", 13852 },
	{ "D8Y", "", "", ResidueType::NON_POLYMER, false, "3-[2-(3-chlorophenyl)ethyl]pyridin-2-amine", 13853 },
	{ "D90", "", "", ResidueType::NON_POLYMER, false, "N-(2-{[(5-chloro-1H-indol-2-yl)carbonyl]amino}phenyl)-5-methyl-4,5,6,7-tetrahydro[1,3]thiazolo[5,4-c]pyridine-2-carboxamide", 13854 },
	{ "D91", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-2-({3-ISOBUTYL-4-[(5-PYRIDIN-4-YLPYRIMIDIN-2-YL)CARBONYL]PIPERAZIN-1-YL}SULFONYL)-1H-INDOLE", 13855 },
	{ "D92", "", "", ResidueType::NON_POLYMER, false, "N-((1R,2S)-2-(5-CHLORO-1H-INDOLE-2-CARBOXAMIDO)CYCLOHEXYL)-5-METHYL-4,5,6,7-TETRAHYDROTHIAZOLO[5,4-C]PYRIDINE-2-CARBOXAMIDE", 13856 },
	{ "D93", "", "", ResidueType::NON_POLYMER, false, "N-((1R,2R)-2-(5-CHLORO-1H-INDOLE-2-CARBOXAMIDO)CYCLOHEXYL)-5-METHYL-4,5,6,7-TETRAHYDROTHIAZOLO[5,4-C]PYRIDINE-2-CARBOXAMIDE", 13857 },
	{ "D94", "", "", ResidueType::NON_POLYMER, false, "3-[cis-3-(4-methylpiperazin-1-yl)cyclobutyl]-1-(2-phenylquinolin-7-yl)imidazo[1,5-a]pyrazin-8-amine", 13858 },
	{ "D98", "", "", ResidueType::NON_POLYMER, false, "2-(4'-CARBAMIMIDOYL-2'-HYDROXYBIPHENYL-4-YL)-1H-BENZIMIDAZOLE-5-CARBOXIMIDAMIDE", 13859 },
	{ "D99", "", "", ResidueType::NON_POLYMER, false, "(3R)-1-{4-[{4-chloro-2-[(S)-(2-chlorophenyl)(hydroxy)methyl]phenyl}(2,2-dimethylpropyl)amino]-4-oxobutanoyl}piperidine-3-carboxylic acid", 13860 },
	{ "D9A", "", "", ResidueType::NON_POLYMER, false, "N-{[(3R,5S)-7-chloro-5-(2,3-dimethoxyphenyl)-1-(2,2-dimethylpropyl)-2-oxo-1,2,3,5-tetrahydro-4,1-benzoxazepin-3-yl]acetyl}-L-aspartic acid", 13861 },
	{ "D9B", "", "", ResidueType::NON_POLYMER, false, "~{N}-[3-[2-(dimethylamino)ethyl]-2-oxidanylidene-1,3-benzoxazol-5-yl]-1-methyl-6-oxidanylidene-pyridine-3-carboxamide", 13862 },
	{ "D9G", "", "", ResidueType::NON_POLYMER, false, "N-DODECYL-N,N-DIMETHYLGLYCINATE", 13863 },
	{ "D9H", "", "", ResidueType::NON_POLYMER, false, "4-({4-chloro-6-[(2-hydroxyethyl)amino]-1,3,5-triazin-2-yl}amino)benzenesulfonamide", 13864 },
	{ "D9K", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(3~{S})-1,1-bis(oxidanylidene)thian-3-yl]-2-methyl-pyridin-3-amine", 13865 },
	{ "D9P", "", "", ResidueType::NON_POLYMER, false, "1-desthiobiotinylpyrene", 13866 },
	{ "D9Q", "", "", ResidueType::NON_POLYMER, false, "1-methyl-6-oxidanylidene-~{N}-(2-pyrrolidin-1-ylethyl)pyridine-3-carboxamide", 13867 },
	{ "D9T", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1-azanylcyclohexyl)methyl]-1-methyl-6-oxidanylidene-pyridine-3-carboxamide", 13868 },
	{ "D9W", "", "", ResidueType::NON_POLYMER, false, "~{N}-[3-[(3~{R})-5-azanyl-3-methyl-2,6-dihydro-1,4-oxazin-3-yl]phenyl]-5-bromanyl-pyridine-2-carboxamide", 13869 },
	{ "D9Z", "", "", ResidueType::NON_POLYMER, false, "5-(2-chlorophenyl)-1,3,4-thiadiazole-2-sulfonamide", 13870 },
	{ "DA", "", "", ResidueType::DNA_LINKING, false, "2'-DEOXYADENOSINE-5'-MONOPHOSPHATE", 13871 },
	{ "DA1", "", "", ResidueType::NON_POLYMER, false, "PYRIDINE-2,5-DIAMINE", 13872 },
	{ "DA2", "", "", ResidueType::PEPTIDE_LINKING, false, "NG,NG-DIMETHYL-L-ARGININE", 13873 },
	{ "DA3", "", "", ResidueType::NON_POLYMER, false, "", 13874 },
	{ "DA4", "", "", ResidueType::NON_POLYMER, false, "3-ethynylbenzenesulfonamide", 13875 },
	{ "DA5", "", "", ResidueType::NON_POLYMER, false, "5-BROMO-9-AMINO-N-ETHYL(DIAMINOMETHYL)ACRIDINE-4-CARBOXAMIDE", 13876 },
	{ "DA6", "", "", ResidueType::NON_POLYMER, false, "6-BROMO-9-AMINO-N-ETHYL(DIAMINOMETHYL)ACRIDINE-4-CARBOXAMIDE", 13877 },
	{ "DA7", "", "", ResidueType::NON_POLYMER, false, "5-FLUORO-9-AMINO-(N-(2-DIMETHYLAMINO)ETHYL)ACRIDINE-4-CARBOXAMIDE", 13878 },
	{ "DA8", "", "", ResidueType::NON_POLYMER, false, "octyl 3-deoxy-2-O-(6-deoxy-alpha-L-galactopyranosyl)-beta-D-xylo-hexopyranoside", 13879 },
	{ "DA9", "", "", ResidueType::NON_POLYMER, false, "2-azido-N-(2-sulfanylethyl)ethanamide", 13880 },
	{ "DAA", "", "", ResidueType::NON_POLYMER, false, "8-AMINO-7-CARBOXYAMINO-NONANOIC ACID WITH ALUMINUM FLUORIDE", 13881 },
	{ "DAB", "", "", ResidueType::PEPTIDE_LINKING, false, "2,4-DIAMINOBUTYRIC ACID", 13882 },
	{ "DAC", "", "", ResidueType::NON_POLYMER, false, "2-DECENOYL N-ACETYL CYSTEAMINE", 13883 },
	{ "DAD", "", "", ResidueType::NON_POLYMER, false, "2',3'-DIDEOXYADENOSINE-5'-TRIPHOSPHATE", 13884 },
	{ "DAE", "", "", ResidueType::NON_POLYMER, false, "O,P-DINITROPHENYL AMINOETHYLDIPHOSPHATE-BERYLLIUM TRIFLUORIDE", 13885 },
	{ "DAF", "", "", ResidueType::SACCHARIDE, false, "4,6-dideoxy-4-{[(1S,5R,6S)-3-formyl-5,6-dihydroxy-4-oxocyclohex-2-en-1-yl]amino}-alpha-D-xylo-hex-5-enopyranose", 13886 },
	{ "DAG", "", "", ResidueType::SACCHARIDE, false, "4,6-DIDEOXY-4-AMINO-BETA-D-GLUCOPYRANOSIDE", 13887 },
	{ "DAH", "TY3", "", ResidueType::PEPTIDE_LINKING, false, "3,4-DIHYDROXYPHENYLALANINE", 13888 },
	{ "DAI", "", "", ResidueType::NON_POLYMER, false, "(3AS,9AS)-2-PENTYL-4-HYDROXYMETHYL-3A,4,9,9A-TETRAHYDRO-4,9[1',2']-BENZENO-1H-BENZ[F]ISOINDOLE-1,3(2H)-DIONE", 13889 },
	{ "DAJ", "", "", ResidueType::NON_POLYMER, false, "DECARBAMOYL-2,7-DIAMINOMITOSENE", 13890 },
	{ "DAK", "", "", ResidueType::NON_POLYMER, false, "4-(N,N-DIMETHYLAMINO)CINNAMOYL-COA", 13891 },
	{ "DAL", "", "", ResidueType::PEPTIDE_LINKING, false, "D-ALANINE", 13892 },
	{ "DAM", "", "", ResidueType::PEPTIDE_LINKING, false, "N-METHYL-ALPHA-BETA-DEHYDROALANINE", 13893 },
	{ "DAN", "", "", ResidueType::NON_POLYMER, false, "2-DEOXY-2,3-DEHYDRO-N-ACETYL-NEURAMINIC ACID", 13894 },
	{ "DAO", "LAU", "", ResidueType::NON_POLYMER, false, "LAURIC ACID", 13895 },
	{ "DAP", "", "", ResidueType::NON_POLYMER, false, "6-AMIDINE-2-(4-AMIDINO-PHENYL)INDOLE", 13896 },
	{ "DAQ", "", "", ResidueType::NON_POLYMER, false, "O,P-DINITROPHENYL AMINOPROPYLDIPHOSPHATE BERYLLIUM TRIFLUORIDE", 13897 },
	{ "DAR", "", "", ResidueType::PEPTIDE_LINKING, false, "D-ARGININE", 13898 },
	{ "DAS", "DSP", "", ResidueType::PEPTIDE_LINKING, false, "D-ASPARTIC ACID", 13899 },
	{ "DAT", "", "", ResidueType::NON_POLYMER, false, "2'-DEOXYADENOSINE-5'-DIPHOSPHATE", 13900 },
	{ "DAU", "", "", ResidueType::NON_POLYMER, false, "2'DEOXY-THYMIDINE-5'-DIPHOSPHO-ALPHA-D-GLUCOSE", 13901 },
	{ "DAV", "", "", ResidueType::NON_POLYMER, false, "DELTA-AMINO VALERIC ACID", 13902 },
	{ "DAW", "", "", ResidueType::NON_POLYMER, false, "N-[(S)-(1-{2-oxo-2-[(3-sulfanylpropyl)amino]ethyl}-1H-1,2,3-triazol-5-yl)(phenyl)methyl]-4-sulfamoylbenzamide", 13903 },
	{ "DAX", "", "", ResidueType::NON_POLYMER, false, "5-BROMO-N[2-(DIMETHYLAMINO)ETHYL]-9-AMINOACRIDINE-4-CARBOXAMIDE", 13904 },
	{ "DAY", "", "", ResidueType::NON_POLYMER, false, "1-[(1R,2R,3aS,3bS,10aR,10bS,11S,12aS)-1,11-dihydroxy-2,5,10a,12a-tetramethyl-7-phenyl-1,2,3,3a,3b,7,10,10a,10b,11,12,12a-dodecahydrocyclopenta[5,6]naphtho[1,2-f]indazol-1-yl]-2-hydroxyethanone", 13905 },
	{ "DAZ", "", "", ResidueType::NON_POLYMER, false, "diaminozinc", 13906 },
	{ "DB0", "", "", ResidueType::NON_POLYMER, false, "N-(DIBENZO[B,F]OXEPIN-10-YLMETHYL)-N-METHYL-N-PROP-2-YNYLAMINE", 13907 },
	{ "DB1", "", "", ResidueType::NON_POLYMER, false, "2,3-DIHYDROXYBENZAMIDE", 13908 },
	{ "DB3", "", "", ResidueType::NON_POLYMER, false, "(11Z,14E)-N-[(2S,3S,4R)-1-(alpha-D-galactopyranosyloxy)-3,4-dihydroxyoctadecan-2-yl]icosa-11,14-dienamide", 13909 },
	{ "DB4", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-{[(R)-hydroxy{[(1R,2R,3R,4R,5S,6R)-2,3,5,6-tetrahydroxy-4-(phosphonooxy)cyclohexyl]oxy}phosphoryl]oxy}propane-1,2-diyl dibutanoate", 13910 },
	{ "DB6", "", "", ResidueType::NON_POLYMER, false, "(11E,14E)-N-[(2S,3S,4R)-1-(alpha-D-glucopyranosyloxy)-3,4-dihydroxyoctadecan-2-yl]icosa-11,14-dienamide", 13911 },
	{ "DB7", "", "", ResidueType::NON_POLYMER, false, "dibutyl benzene-1,2-dicarboxylate", 13912 },
	{ "DB8", "", "", ResidueType::NON_POLYMER, false, "4-[(2,4-dichloro-5-methoxyphenyl)amino]-6-methoxy-7-[3-(4-methylpiperazin-1-yl)propoxy]quinoline-3-carbonitrile", 13913 },
	{ "DB9", "", "", ResidueType::NON_POLYMER, false, "2-{4'-[AMINO(IMINO)METHYL]BIPHENYL-3-YL}-1H-BENZIMIDAZOLE-6-CARBOXIMIDAMIDE", 13914 },
	{ "DBA", "", "", ResidueType::NON_POLYMER, false, "(2,6-DIMETHYL-PHENOXY)-ACETIC ACID", 13915 },
	{ "DBB", "AA3", "", ResidueType::PEPTIDE_LINKING, false, "D-ALPHA-AMINOBUTYRIC ACID", 13916 },
	{ "DBC", "", "", ResidueType::NON_POLYMER, false, "(4S,5S)-4,5-BIS(MERCAPTOMETHYL)-1,3-DIOXOLAN-2-OL", 13917 },
	{ "DBD", "", "", ResidueType::NON_POLYMER, false, "7-(1,1-DIOXO-1H-BENZO[D]ISOTHIAZOL-3-YLOXYMETHYL)-2-(OXALYL-AMINO)-4,7-DIHYDRO-5H-THIENO[2,3-C]PYRAN-3-CARBOXYLIC ACID", 13918 },
	{ "DBE", "", "", ResidueType::NON_POLYMER, false, "bis(4-hydroxyphenyl)methanone", 13919 },
	{ "DBF", "", "", ResidueType::NON_POLYMER, false, "DIBENZOFURAN-4,6-DICARBOXYLIC ACID", 13920 },
	{ "DBG", "", "", ResidueType::NON_POLYMER, false, "3-AMINOBENZOPHENONE-4-YL-AMINOHYDROXYPHOSPHINYLAMINOPHOSPHONIC ACID-GUANYLATE ESTER", 13921 },
	{ "DBH", "", "", ResidueType::NON_POLYMER, false, "2,3-DIHYDROXY-BENZOIC ACID", 13922 },
	{ "DBI", "", "", ResidueType::NON_POLYMER, false, "PHOSPHORIC ACID MONO-[5-(5,6-DIMETHYL-BENZOIMIDAZOL-1-YL)-4-HYDROXY-2-HYDROXYMETHYL-TETRAHYDRO-FURAN-3-YL] ESTER", 13923 },
	{ "DBJ", "", "", ResidueType::NON_POLYMER, false, "2,3-dihydro-1,4-benzodioxin-5-ylmethanol", 13924 },
	{ "DBK", "", "", ResidueType::NON_POLYMER, false, "(3S,3aR,4S,6S,6aS,8R,9bS)-6-(acetyloxy)-3,3a-dihydroxy-3,6,9-trimethyl-8-{[(2Z)-2-methylbut-2-enoyl]oxy}-2-oxo-2,3,3a,4,5,6,6a,7,8,9b-decahydroazuleno[4,5-b]furan-4-yl dodecanoate", 13925 },
	{ "DBM", "", "", ResidueType::RNA_LINKING, false, "9-(6-DEOXY-BETA-D-ALLOFURANOSYL)-6-METHYLPURINE", 13926 },
	{ "DBN", "", "", ResidueType::NON_POLYMER, false, "6-(4,5-DIHYDRO-1H-IMIDAZOL-2-YL)-2-{5-[4-(4,5-DIHYDRO-1H-IMIDAZOL-2-YL)PHENYL]THIEN-2-YL}-1H-BENZIMIDAZOLE", 13927 },
	{ "DBO", "", "", ResidueType::NON_POLYMER, false, "N-{(1S,2R)-1-BENZYL-2-HYDROXY-3-[(3-METHYLBENZYL)AMINO]PROPYL}DIBENZO[B,F]OXEPINE-10-CARBOXAMIDE", 13928 },
	{ "DBP", "", "", ResidueType::NON_POLYMER, false, "1,3-DIAMINOBENZYL PHENYLALANINE", 13929 },
	{ "DBQ", "", "", ResidueType::NON_POLYMER, false, "DEBROMOHYMENIALDISINE", 13930 },
	{ "DBR", "", "", ResidueType::NON_POLYMER, false, "ADAMANTANE-1-CARBOXYLIC ACID-5-DIMETHYLAMINO-NAPHTHALENE-1-SULFONYLAMINO-BUTYL-AMIDE", 13931 },
	{ "DBS", "", "", ResidueType::PEPTIDE_LINKING, false, "2-(2,3-DIHYDROXY-BENZOYLAMINO)-3-HYDROXY-PROPIONIC ACID", 13932 },
	{ "DBT", "", "", ResidueType::NON_POLYMER, false, "5-HEPTYL-6-HYDROXY-1,3-BENZOTHIAZOLE-4,7-DIONE", 13933 },
	{ "DBU", "", "", ResidueType::PEPTIDE_LINKING, false, "(2Z)-2-AMINOBUT-2-ENOIC ACID", 13934 },
	{ "DBV", "", "", ResidueType::NON_POLYMER, false, "15,16-DIHYDROBILIVERDIN", 13935 },
	{ "DBW", "", "", ResidueType::NON_POLYMER, false, "4,14-dihydro-8H-[1,3]dioxolo[4,5-g]isoquino[3,2-a]isoquinoline-9,10-diol", 13936 },
	{ "DBX", "", "", ResidueType::NON_POLYMER, false, "2,5-dihydroxybenzenesulfonic acid", 13937 },
	{ "DBY", "", "", ResidueType::PEPTIDE_LINKING, false, "3,5 DIBROMOTYROSINE", 13938 },
	{ "DBZ", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(BENZOYLAMINO)-L-ALANINE", 13939 },
	{ "DC", "", "", ResidueType::DNA_LINKING, false, "2'-DEOXYCYTIDINE-5'-MONOPHOSPHATE", 13940 },
	{ "DC0", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S)-2-amino-4-methylpentyl]-L-phenylalanine", 13941 },
	{ "DC2", "", "", ResidueType::PEPTIDE_LINKING, false, "N-acetyl-S-[(1S)-1,2-dichloroethyl]-L-cysteine", 13942 },
	{ "DC3", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-[4-(3-methylphenyl)-1H-1,2,3-triazol-1-yl]-1-(2,4,5-trifluorophenyl)butan-2-amine", 13943 },
	{ "DC4", "", "", ResidueType::NON_POLYMER, false, "2-CHLORODIBENZOFURAN", 13944 },
	{ "DC5", "", "", ResidueType::NON_POLYMER, false, "2,6-DICHLOROBIPHENYL", 13945 },
	{ "DC8", "", "", ResidueType::NON_POLYMER, false, "(3AS,4R,9BR)-2,2-DIFLUORO-4-(4-HYDROXYPHENYL)-1,2,3,3A,4,9B-HEXAHYDROCYCLOPENTA[C]CHROMEN-8-OL", 13946 },
	{ "DCA", "", "", ResidueType::NON_POLYMER, false, "DESULFO-COENZYME A", 13947 },
	{ "DCB", "", "", ResidueType::NON_POLYMER, false, "2,4-DINITROPHENYL-2-DEOXY-2-FLUORO-BETA-D-CELLOBIOSIDE", 13948 },
	{ "DCC", "", "", ResidueType::NON_POLYMER, false, "DODECYL-COA", 13949 },
	{ "DCD", "", "", ResidueType::NON_POLYMER, false, "DIETHYLCARBAMODITHIOIC ACID", 13950 },
	{ "DCE", "", "", ResidueType::NON_POLYMER, false, "1,2-DICHLOROETHANE", 13951 },
	{ "DCF", "", "", ResidueType::NON_POLYMER, false, "2'-DEOXYCOFORMYCIN", 13952 },
	{ "DCG", "", "DGP", ResidueType::DNA_LINKING, true, "2'-DEOXY-GUANOSINE-5'-MONOPHOSPHATE", 13953 },
	{ "DCH", "", "", ResidueType::NON_POLYMER, false, "3-(7-DIAMINOMETHYL-NAPHTHALEN-2-YL)-PROPIONIC ACID ETHYL ESTER", 13954 },
	{ "DCI", "MBA", "", ResidueType::NON_POLYMER, false, "2-METHYL-BUTYLAMINE", 13955 },
	{ "DCJ", "", "", ResidueType::NON_POLYMER, false, "N-((1-(2,6-DICARBOXYPYRIDIN-4-YL)-1H-1,2,3-TRIAZOL-4-YL)METHYL)-2-HYDROXY-N,N-DIMETHYLETHANAMINIUM", 13956 },
	{ "DCK", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-carboxy-2-hydroxy-N,N,N-trimethylpropan-1-aminium", 13957 },
	{ "DCL", "2LU", "", ResidueType::PEPTIDE_LIKE, false, "2-AMINO-4-METHYL-PENTAN-1-OL", 13958 },
	{ "DCM", "", "", ResidueType::NON_POLYMER, false, "2'-DEOXYCYTIDINE-5'-MONOPHOSPHATE", 13959 },
	{ "DCN", "", "", ResidueType::NON_POLYMER, false, "DICLOSAN", 13960 },
	{ "DCO", "", "", ResidueType::NON_POLYMER, false, "3,3-DICHLORO-2-PHOSPHONOMETHYL-ACRYLIC ACID", 13961 },
	{ "DCP", "", "", ResidueType::NON_POLYMER, false, "2'-DEOXYCYTIDINE-5'-TRIPHOSPHATE", 13962 },
	{ "DCQ", "", "", ResidueType::NON_POLYMER, false, "2-decyl-5,6-dimethoxy-3-methylcyclohexa-2,5-diene-1,4-dione", 13963 },
	{ "DCR", "", "", ResidueType::NON_POLYMER, false, "icosanoic acid", 13964 },
	{ "DCS", "SCP", "", ResidueType::NON_POLYMER, false, "D-[3-HYDROXY-2-METHYL-5-PHOSPHONOOXYMETHYL-PYRIDIN-4-YLMETHYL]-N,O-CYCLOSERYLAMIDE", 13965 },
	{ "DCT", "", "", ResidueType::DNA_LINKING, false, "", 13966 },
	{ "DCU", "", "", ResidueType::NON_POLYMER, false, "", 13967 },
	{ "DCV", "", "", ResidueType::NON_POLYMER, false, "[(1R)-3-[acetyl(hydroxy)amino]-1-(3,4-dichlorophenyl)propyl]phosphonic acid", 13968 },
	{ "DCW", "", "", ResidueType::NON_POLYMER, false, "DICYCLOHEXYLUREA", 13969 },
	{ "DCX", "", "", ResidueType::NON_POLYMER, false, "DECYL(DIMETHYL)PHOSPHINE OXIDE", 13970 },
	{ "DCY", "", "", ResidueType::PEPTIDE_LINKING, false, "D-CYSTEINE", 13971 },
	{ "DCZ", "", "", ResidueType::OTHER, false, "2'-DEOXYCYTIDINE", 13972 },
	{ "DD1", "", "", ResidueType::NON_POLYMER, false, "5-{[1-(2-fluorobenzyl)piperidin-4-yl]methoxy}quinazoline-2,4-diamine", 13973 },
	{ "DD2", "", "", ResidueType::NON_POLYMER, false, "5-{[1-(2,3-dichlorobenzyl)piperidin-4-yl]methoxy}quinazoline-2,4-diamine", 13974 },
	{ "DD3", "", "", ResidueType::NON_POLYMER, false, "5-[(1S)-1-(3-chlorophenyl)ethoxy]quinazoline-2,4-diamine", 13975 },
	{ "DD5", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-1-[3-[4-[bis(fluoranyl)methoxy]-3-cyclopentyloxy-phenyl]pyrazol-1-yl]-3-morpholin-4-yl-propan-2-ol", 13976 },
	{ "DD9", "", "", ResidueType::NON_POLYMER, false, "nonane", 13977 },
	{ "DDA", "", "", ResidueType::SACCHARIDE, false, "2,6-DIDEOXY-BETA-D-GLUCOSE", 13978 },
	{ "DDB", "", "MDA", ResidueType::SACCHARIDE, true, "3-METHYL-2,6-DIDEOXY-BETA-D-ALLOPYRANOSE", 13979 },
	{ "DDC", "", "", ResidueType::NON_POLYMER, false, "7-HYDROXY-2-PHENYL-CHROMAN-4-ONE", 13980 },
	{ "DDD", "", "", ResidueType::NON_POLYMER, false, "(5R,10S)-5-{[(CARBOXYMETHYL)AMINO]CARBONYL}-7-OXO-3-THIA-1,6-DIAZABICYCLO[4.4.1]UNDECANE-10-CARBOXYLIC ACID", 13981 },
	{ "DDE", "", "", ResidueType::PEPTIDE_LINKING, false, "{3-[4-(2-AMINO-2-CARBOXY-ETHYL)-1H-IMIDAZOL-2-YL]-1-CARBAMOYL-PROPYL}-TRIMETHYL-AMMONIUM", 13982 },
	{ "DDF", "", "", ResidueType::NON_POLYMER, false, "5,10-DIDEAZATETRAHYDROFOLIC ACID", 13983 },
	{ "DDG", "", "", ResidueType::DNA_LINKING, false, "2',3'-DIDEOXY-GUANOSINE-5'-MONOPHOSPHATE", 13984 },
	{ "DDH", "", "", ResidueType::NON_POLYMER, false, "[7,12-DEACETYL-3,8,13,17-TETRAMETHYL-21H,23H-PORPHINE-2,18-DIPROPANOATO(2-)-N21,N22,N23,N24]-IRON", 13985 },
	{ "DDI", "", "", ResidueType::NON_POLYMER, false, "", 13986 },
	{ "DDJ", "", "", ResidueType::NON_POLYMER, false, "3,3'-dimethoxybiphenyl-4,4'-diamine", 13987 },
	{ "DDK", "", "", ResidueType::NON_POLYMER, false, "(2R)-7-amino-2-(selanylmethyl)heptanoic acid", 13988 },
	{ "DDL", "", "", ResidueType::SACCHARIDE, false, "2,6-DIDEOXY-BETA-D-GALACTOSE", 13989 },
	{ "DDM", "", "DMJ", ResidueType::NON_POLYMER, true, "2-HYDROXYMETHYL-PIPERIDINE-3,4,5-TRIOL", 13990 },
	{ "DDN", "", "", ResidueType::DNA_LINKING, false, "3,4-DIHYDRO-2'-DEOXYURIDINE-5'-MONOPHOSPHATE", 13991 },
	{ "DDO", "", "", ResidueType::NON_POLYMER, false, "6-HYDROXY-D-NORLEUCINE", 13992 },
	{ "DDP", "", "", ResidueType::NON_POLYMER, false, "2,4-DIAMINO-4,6-DIHYDROXYPYRIMIDINE", 13993 },
	{ "DDQ", "", "", ResidueType::NON_POLYMER, false, "DECYLAMINE-N,N-DIMETHYL-N-OXIDE", 13994 },
	{ "DDR", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-hydroxypropane-1,2-diyl didecanoate", 13995 },
	{ "DDS", "", "", ResidueType::NON_POLYMER, false, "", 13996 },
	{ "DDT", "", "", ResidueType::NON_POLYMER, false, "N,O-DIDANSYL-L-TYROSINE", 13997 },
	{ "DDU", "", "", ResidueType::NON_POLYMER, false, "2'-5'DIDEOXYURIDINE", 13998 },
	{ "DDW", "", "", ResidueType::NON_POLYMER, false, "(2R)-7-amino-2-(sulfanylmethyl)heptanoic acid", 13999 },
	{ "DDX", "", "", ResidueType::DNA_LINKING, false, "2',3'-DEHYDRO-2',3'-DIDEOXYRIBOFURANOSE-5'-PHOSPHATE", 14000 },
	{ "DDY", "", "", ResidueType::NON_POLYMER, false, "2',3'-DIDEOXYCYTOSINE-5'-DIPHOSPHATE", 14001 },
	{ "DDZ", "", "", ResidueType::PEPTIDE_LINKING, false, "3,3-DIHYDROXY L-ALANINE", 14002 },
	{ "DE1", "", "", ResidueType::NON_POLYMER, false, "DECAN-1-OL", 14003 },
	{ "DE2", "", "", ResidueType::NON_POLYMER, false, "1-deoxy-L-erythrulose", 14004 },
	{ "DE3", "", "", ResidueType::NON_POLYMER, false, "N,N-diethyl-3-methylbenzamide", 14005 },
	{ "DE5", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-~{N}-(1,3-thiazol-2-yl)ethanamide", 14006 },
	{ "DE9", "", "", ResidueType::NON_POLYMER, false, "", 14007 },
	{ "DEA", "", "", ResidueType::NON_POLYMER, false, "D-ERITADENINE", 14008 },
	{ "DEB", "", "", ResidueType::NON_POLYMER, false, "6-DEOXYERYTHRONOLIDE B", 14009 },
	{ "DEC", "", "", ResidueType::NON_POLYMER, false, "SEBACIC ACID", 14010 },
	{ "DED", "", "", ResidueType::NON_POLYMER, false, "2-DIMETHYLAMINO-ETHYL-DIPHOSPHATE", 14011 },
	{ "DEE", "", "", ResidueType::NON_POLYMER, false, "3,5-DIMETHYL-1H-PYRAZOLE-4-CARBOXYLIC ACID ETHYL ESTER", 14012 },
	{ "DEF", "", "", ResidueType::NON_POLYMER, false, "DEFEROXAMINE MESYLATE FE(III) COMPLEX", 14013 },
	{ "DEG", "", "", ResidueType::NON_POLYMER, false, "BUTYL ALPHA-D-MANNOPYRANOSIDE", 14014 },
	{ "DEH", "", "", ResidueType::NON_POLYMER, false, "2,9-dihydroxy-3,10-dimethoxy-5,6-dihydroisoquino[3,2-a]isoquinolinium", 14015 },
	{ "DEI", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-hydroxy-3-(methylsulfanyl)prop-2-enoic acid", 14016 },
	{ "DEJ", "", "", ResidueType::NON_POLYMER, false, "tert-butyl [(2S)-1-(1H-indol-3-yl)-3-{[(2R)-3-oxo-2-[(propan-2-yl)amino]-3-{[(pyridin-3-yl)methyl]amino}propyl]sulfanyl}propan-2-yl]carbamate", 14017 },
	{ "DEL", "", "", ResidueType::SACCHARIDE, false, "4-DEOXYLACTOSE", 14018 },
	{ "DEM", "", "", ResidueType::NON_POLYMER, false, "DECYLOXY-METHANOL", 14019 },
	{ "DEN", "", "", ResidueType::NON_POLYMER, false, "INDENE", 14020 },
	{ "DEO", "", "", ResidueType::NON_POLYMER, false, "", 14021 },
	{ "DEP", "", "", ResidueType::NON_POLYMER, false, "DIETHYL PHOSPHONATE", 14022 },
	{ "DEQ", "", "", ResidueType::NON_POLYMER, false, "DEQUALINIUM", 14023 },
	{ "DER", "", "", ResidueType::NON_POLYMER, false, "D-4-PHOSPHOERYTHRONIC ACID", 14024 },
	{ "DES", "", "", ResidueType::NON_POLYMER, false, "DIETHYLSTILBESTROL", 14025 },
	{ "DET", "", "", ResidueType::NON_POLYMER, false, "UNDECYLAMINE-N,N-DIMETHYL-N-OXIDE", 14026 },
	{ "DEU", "", "", ResidueType::NON_POLYMER, false, "CO(III)-(DEUTEROPORPHYRIN IX)", 14027 },
	{ "DEV", "", "", ResidueType::NON_POLYMER, false, "tert-butyl [(2S)-1-{[(2S)-3-oxo-2-(phenylamino)-3-{[(pyridin-3-yl)methyl]amino}propyl]sulfanyl}-3-phenylpropan-2-yl]carbamate", 14028 },
	{ "DEW", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-1-(6,7-dihydro-4~{H}-thieno[3,2-c]pyridin-5-yl)ethanone", 14029 },
	{ "DEX", "", "", ResidueType::NON_POLYMER, false, "DEXAMETHASONE", 14030 },
	{ "DEY", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-({3-[5-hydroxy-2-(3-methylbutyl)-3-oxo-6-thiophen-2-yl-2,3-dihydropyridazin-4-yl]-1,1-dioxido-2H-1,2,4-benzothiadiazin-7-yl}oxy)propanamide", 14031 },
	{ "DEZ", "", "", ResidueType::NON_POLYMER, false, "4-PHOSPHO-D-ERYTHRONATE", 14032 },
	{ "DF0", "", "", ResidueType::NON_POLYMER, false, "(2-fluorobiphenyl-4-yl)acetic acid", 14033 },
	{ "DF1", "", "", ResidueType::NON_POLYMER, false, "(2R)-1-[(5,6-DIPHENYL-7H-PYRROLO[2,3-D]PYRIMIDIN-4-YL)AMINO]PROPAN-2-OL", 14034 },
	{ "DF2", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-{[(4Z)-5,6-DIPHENYL-6,7-DIHYDRO-4H-PYRROLO[2,3-D]PYRIMIDIN-4-YLIDENE]AMINO}PROPANE-1,2-DIOL", 14035 },
	{ "DF3", "", "", ResidueType::NON_POLYMER, false, "N-[2-(3-{[2-(2,3-dihydro-1,4-benzodioxin-6-ylamino)-2-oxoethyl]sulfanyl}-1H-indol-1-yl)ethyl]-3-(trifluoromethyl)benzamide", 14036 },
	{ "DF4", "", "", ResidueType::NON_POLYMER, false, "(3R,4R,5R,6R)-5-(acetylamino)-3-fluoro-4-hydroxy-6-[(1R,2R)-1,2,3-trihydroxypropyl]-3,4,5,6-tetrahydropyranium-2-carboxylate", 14037 },
	{ "DF5", "", "", ResidueType::NON_POLYMER, false, "6-methoxy-1-(4-sulfamoylbenzoyl)quinolinium", 14038 },
	{ "DF6", "", "", ResidueType::NON_POLYMER, false, "N-({4-[(6,7-dimethoxyquinolin-4-yl)oxy]phenyl}carbamothioyl)-2-phenylacetamide", 14039 },
	{ "DF9", "", "", ResidueType::NON_POLYMER, false, "(3R,4S)-1-[(4-amino-5H-pyrrolo[3,2-d]pyrimidin-7-yl)methyl]-4-[(benzylsulfanyl)methyl]pyrrolidin-3-ol", 14040 },
	{ "DFA", "", "", ResidueType::NON_POLYMER, false, "DIPHENYLACETIC ACID", 14041 },
	{ "DFB", "", "", ResidueType::NON_POLYMER, false, "2,3-DIFLUOROBENZYL ALCOHOL", 14042 },
	{ "DFC", "", "", ResidueType::DNA_LINKING, true, "", 14043 },
	{ "DFD", "", "", ResidueType::NON_POLYMER, false, "DECYL FORMATE", 14044 },
	{ "DFE", "", "", ResidueType::NON_POLYMER, false, "2-(1,1-DIFLUOROETHOXY)-1,1,1-TRIFLUOROETHANE", 14045 },
	{ "DFF", "", "", ResidueType::PEPTIDE_LINKING, false, "4-benzoyl-D-phenylalanine", 14046 },
	{ "DFG", "", "", ResidueType::DNA_LINKING, true, "", 14047 },
	{ "DFH", "", "", ResidueType::NON_POLYMER, false, "1,1-diphenylethanol", 14048 },
	{ "DFI", "", "", ResidueType::PEPTIDE_LINKING, false, "2,2-DIFLUOROSTATINE", 14049 },
	{ "DFJ", "", "", ResidueType::NON_POLYMER, false, "N-({4-[DIFLUORO(PHOSPHONO)METHYL]PHENYL}ACETYL)-L-PHENYLALANYL-4-[DIFLUORO(PHOSPHONO)METHYL]-L-PHENYLALANINAMIDE", 14050 },
	{ "DFK", "", "", ResidueType::NON_POLYMER, false, "D-PHENYLALANYL-N-[(1S)-4-{[(Z)-AMINO(IMINO)METHYL]AMINO}-1-(CHLOROACETYL)BUTYL]-L-PROLINAMIDE", 14051 },
	{ "DFL", "", "", ResidueType::NON_POLYMER, false, "2-(4-HYDROXY-PHENYL)-CHROMAN-4-ONE", 14052 },
	{ "DFM", "", "", ResidueType::NON_POLYMER, false, "N-ACETYL-L-PHENYLALANYL-4-[DIFLUORO(PHOSPHONO)METHYL]-L-PHENYLALANINAMIDE", 14053 },
	{ "DFN", "", "", ResidueType::NON_POLYMER, false, "3-[3-(2,3-DIHYDROXY-PROPYLAMINO)-PHENYL]-4-(5-FLUORO-1-METHYL-1H-INDOL-3-YL)-PYRROLE-2,5-DIONE", 14054 },
	{ "DFO", "", "", ResidueType::PEPTIDE_LINKING, false, "2,2-DIFLUORO-3-HYDROSTATINE", 14055 },
	{ "DFP", "", "", ResidueType::NON_POLYMER, false, "DIISOPROPYL PHOSPHONATE", 14056 },
	{ "DFQ", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-{6-[(1R)-1-(2,6-dichloro-3-fluorophenyl)ethoxy]quinolin-3-yl}-N-methylprop-2-enamide", 14057 },
	{ "DFR", "", "", ResidueType::SACCHARIDE, false, "3-DEOXY-3-METHYL-D-FRUCTOSE", 14058 },
	{ "DFS", "", "", ResidueType::NON_POLYMER, false, "2,6-difluoro-N-(1H-imidazo[4,5-b]pyridin-6-yl)-3-[(propylsulfonyl)amino]benzamide", 14059 },
	{ "DFT", "", "", ResidueType::DNA_LINKING, false, "1-[2-DEOXYRIBOFURANOSYL]-2,4-DIFLUORO-5-METHYL-BENZENE-5'MONOPHOSPHATE", 14060 },
	{ "DFU", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4S,5R)-2-METHYLPIPERIDINE-3,4,5-TRIOL", 14061 },
	{ "DFV", "", "", ResidueType::NON_POLYMER, false, "7-HYDROXY-2-(4-HYDROXY-PHENYL)-CHROMAN-4-ONE", 14062 },
	{ "DFW", "", "", ResidueType::NON_POLYMER, false, "N-(5,6-DIPHENYLFURO[2,3-D]PYRIMIDIN-4-YL)GLYCINE", 14063 },
	{ "DFX", "", "", ResidueType::SACCHARIDE, false, "1,2-DEOXY-2-FLUORO-XYLOPYRANOSE", 14064 },
	{ "DFY", "", "", ResidueType::NON_POLYMER, false, "(5,6-DIPHENYL-FURO[2,3-D]PYRIMIDIN-4-YLAMINO)-ACETIC", 14065 },
	{ "DFZ", "", "", ResidueType::NON_POLYMER, false, "3-AMINO-3-BENZYL-[4.3.0]BICYCLO-1,6-DIAZANONAN-2-ONE", 14066 },
	{ "DG", "", "", ResidueType::DNA_LINKING, false, "2'-DEOXYGUANOSINE-5'-MONOPHOSPHATE", 14067 },
	{ "DG0", "", "AD0", ResidueType::SACCHARIDE, true, "4-O-alpha-D-galactopyranuronosyl-alpha-D-galactopyranuronic acid", 14068 },
	{ "DG1", "", "", ResidueType::NON_POLYMER, false, "(4S)-ISONICOTINIC-ACETYL-NICOTINAMIDE-ADENINE DINUCLEOTIDE", 14069 },
	{ "DG2", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,3-diphosphoglyceric acid", 14070 },
	{ "DG3", "", "", ResidueType::NON_POLYMER, false, "2'-3'-DIDEOXYGUANOSINE-5'-TRIPHOSPHATE", 14071 },
	{ "DG6", "", "", ResidueType::NON_POLYMER, false, "2-DEOXY-GLUCITOL-6-PHOSPHATE", 14072 },
	{ "DG7", "", "", ResidueType::NON_POLYMER, false, "1-[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]-3-{4-[2-(pyridin-3-ylmethoxy)ethyl]-1,3-thiazol-2-yl}urea", 14073 },
	{ "DG8", "", "", ResidueType::DNA_LINKING, false, "", 14074 },
	{ "DG9", "", "", ResidueType::NON_POLYMER, false, "5'-({[(2R,3R)-3-amino-2-{[2-({N-[(2R)-2-hydroxy-3,3-dimethyl-4-{[oxido(oxo)phosphonio]oxy}butanoyl]-beta-alanyl}amino)ethyl]sulfanyl}-4-methylpentyl]sulfonyl}amino)-5'-deoxyadenosine", 14075 },
	{ "DGA", "", "", ResidueType::NON_POLYMER, false, "DIACYL GLYCEROL", 14076 },
	{ "DGB", "", "", ResidueType::NON_POLYMER, false, "(2E)-N-{4-[1-(benzenecarbonyl)piperidin-4-yl]butyl}-3-(pyridin-3-yl)prop-2-enamide", 14077 },
	{ "DGC", "", "GCD", ResidueType::SACCHARIDE, true, "4-DEOXY-ALPHA-L-THREO-HEX-4-ENOPYRANURONIC ACID", 14078 },
	{ "DGD", "", "", ResidueType::SACCHARIDE, false, "DIGALACTOSYL DIACYL GLYCEROL (DGDG)", 14079 },
	{ "DGF", "", "", ResidueType::NON_POLYMER, false, "(2R,5R)-2-[(2S,3R)-3-hydroxy-1-oxobutan-2-yl]-5-[(2R)-tetrahydrofuran-2-yl]-2,5-dihydro-1,3-thiazole-4-carboxylic acid", 14080 },
	{ "DGG", "", "", ResidueType::NON_POLYMER, false, "1-[GLYCEROLYLPHOSPHONYL]-2-[8-(2-HEXYL-CYCLOPROPYL)-OCTANAL-1-YL]-3-[HEXADECANAL-1-YL]-GLYCEROL", 14081 },
	{ "DGH", "", "GHP", ResidueType::PEPTIDE_LINKING, true, "(2R)-AMINO(4-HYDROXYPHENYL)ACETIC ACID", 14082 },
	{ "DGI", "", "", ResidueType::DNA_LINKING, false, "2'-DEOXYGUANOSINE-5'-DIPHOSPHATE", 14083 },
	{ "DGJ", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,4R,5S)-2-(hydroxymethyl)piperidine-3,4,5-triol", 14084 },
	{ "DGL", "", "", ResidueType::PEPTIDE_LINKING, false, "D-GLUTAMIC ACID", 14085 },
	{ "DGM", "", "ASO", ResidueType::SACCHARIDE, true, "D-GLUCOPYRANOSYLIUM", 14086 },
	{ "DGN", "", "", ResidueType::PEPTIDE_LINKING, false, "D-GLUTAMINE", 14087 },
	{ "DGO", "", "", ResidueType::NON_POLYMER, false, "D-glucal", 14088 },
	{ "DGP", "DCG", "", ResidueType::DNA_LINKING, false, "2'-DEOXYGUANOSINE-5'-MONOPHOSPHATE", 14089 },
	{ "DGQ", "", "", ResidueType::NON_POLYMER, false, "(S)-2-(3-((S)-1-carboxy-5-(1,2-dicarba-closo-dodecarboranylamido) pentyl)ureido)pentanedioic acid", 14090 },
	{ "DGR", "", "", ResidueType::NON_POLYMER, false, "(E)-4-(2-Nicotinoylhydrazinyl)-4-oxobut-2-enoic acid", 14091 },
	{ "DGS", "", "", ResidueType::SACCHARIDE, false, "3,6-ANHYDRO-D-GALACTOSE-2-SULFATE", 14092 },
	{ "DGT", "", "", ResidueType::NON_POLYMER, false, "2'-DEOXYGUANOSINE-5'-TRIPHOSPHATE", 14093 },
	{ "DGU", "", "", ResidueType::NON_POLYMER, false, "D-galacturonic acid", 14094 },
	{ "DGV", "", "", ResidueType::NON_POLYMER, false, "1-benzyl-N-{3-[4-(2,6-dichlorophenyl)piperidin-1-yl]propyl}-D-prolinamide", 14095 },
	{ "DGW", "", "", ResidueType::NON_POLYMER, false, "(5S,7S)-7-{[4-(2,6-dichlorophenyl)piperidin-1-yl]methyl}-1-methyl-6,7,8,9-tetrahydro-5H-benzo[7]annulen-5-ol", 14096 },
	{ "DGX", "", "", ResidueType::NON_POLYMER, false, "DIGOXIN", 14097 },
	{ "DGY", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,3-DIHYDROXYPROPANOIC ACID", 14098 },
	{ "DGZ", "", "", ResidueType::NON_POLYMER, false, "N-((2R,3S,6S,18S,21S)-2-amino-18-(4-benzoylbenzyl)-21-carbamoyl-3-hydroxy-6-(naphthalen-2-ylmethyl)-4,7,16,19-tetraoxo-1-phenyl-11,14-dioxa-5,8,17,20-tetraazapentacosan-25-yl)hex-5-ynamide", 14099 },
	{ "DH1", "", "", ResidueType::NON_POLYMER, false, "2,4-DIAMINO-5-[2-METHOXY-5-(4-CARBOXYBUTYLOXY)BENZYL]PYRIMIDINE", 14100 },
	{ "DH2", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-2-(3,4-DIHYDROXYPHENYL)-3,5,7-TRIHYDROXY-2,3-DIHYDRO-4H-CHROMEN-4-ONE", 14101 },
	{ "DH3", "", "", ResidueType::NON_POLYMER, false, "", 14102 },
	{ "DH4", "", "", ResidueType::NON_POLYMER, false, "2-[(1R)-1-{[(E)-azepan-1-ylmethylidene]amino}-2-oxoethyl]-5,5-dimethyl-1,3-thiazolidine-4-carboxylic acid", 14103 },
	{ "DH5", "", "", ResidueType::NON_POLYMER, false, "N-(6-amino-1-(4-bromo-3-methylbenzyl)-2,4-dioxo-1,2,3,4-tetrahydropyrimidin-5-yl)-N-methylbenzenesulfonamide", 14104 },
	{ "DH6", "", "", ResidueType::NON_POLYMER, false, "CINNAMIDE", 14105 },
	{ "DH7", "", "", ResidueType::NON_POLYMER, false, "(6E,10R,13S,18E)-2,6,10,15,19,23-hexamethyltetracosa-2,6,10,11,13,14,18,22-octaene", 14106 },
	{ "DH8", "", "", ResidueType::NON_POLYMER, false, "(2beta,7beta,16S,17R,19E,21beta)-21-(beta-D-glucopyranosyloxy)-2,7-dihydro-7,17-cyclosarpagan-17-yl acetate", 14107 },
	{ "DH9", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,5S)-5-[(N-FORMYL-L-LEUCYL)OXY]-2-HEXYL-3-HYDROXYHEXADECANOIC ACID", 14108 },
	{ "DHA", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-ACRYLIC ACID", 14109 },
	{ "DHB", "", "", ResidueType::NON_POLYMER, false, "3,4-DIHYDROXYBENZOIC ACID", 14110 },
	{ "DHC", "", "", ResidueType::NON_POLYMER, false, "CAFFEIC ACID", 14111 },
	{ "DHD", "", "", ResidueType::NON_POLYMER, false, "2,4-DIOXO-PENTANEDIOIC ACID", 14112 },
	{ "DHE", "", "", ResidueType::NON_POLYMER, false, "HEME D", 14113 },
	{ "DHF", "", "", ResidueType::NON_POLYMER, false, "DIHYDROFOLIC ACID", 14114 },
	{ "DHG", "", "", ResidueType::NON_POLYMER, false, "PHOSPHONIC ACID 2-DODECANOYLAMINO-HEXYL ESTER PROPYL ESTER", 14115 },
	{ "DHH", "", "", ResidueType::NON_POLYMER, false, "(S)-2-AMINO-7,7-DIHYDROXYHEPTANOIC ACID", 14116 },
	{ "DHI", "", "", ResidueType::PEPTIDE_LINKING, false, "D-HISTIDINE", 14117 },
	{ "DHJ", "", "", ResidueType::NON_POLYMER, false, "4-(2-CARBOXYETHYL)(HYDROXY)PHOSPHORYL]-3-OXOBUTANOIC ACID", 14118 },
	{ "DHK", "", "", ResidueType::NON_POLYMER, false, "3-DEHYDROSHIKIMATE", 14119 },
	{ "DHL", "SEA", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-ETHANETHIOL", 14120 },
	{ "DHM", "", "", ResidueType::NON_POLYMER, false, "2,6-DIMETHYL-7-OCTEN-2-OL", 14121 },
	{ "DHN", "", "AA4", ResidueType::PEPTIDE_LINKING, true, "5-HYDROXY NORVALINE", 14122 },
	{ "DHO", "", "DXC", ResidueType::NON_POLYMER, true, "DEOXYCHOLIC ACID", 14123 },
	{ "DHP", "", "", ResidueType::PEPTIDE_LINKING, false, "3-DECYL-2,5-DIOXO-4-HYDROXY-3-PYRROLINE", 14124 },
	{ "DHQ", "", "", ResidueType::NON_POLYMER, false, "3,4-DIHYDRO-5-METHYL-ISOQUINOLINONE", 14125 },
	{ "DHR", "", "", ResidueType::NON_POLYMER, false, "(2S)-HYDROXY(4-HYDROXYPHENYL)ETHANENITRILE", 14126 },
	{ "DHS", "", "", ResidueType::NON_POLYMER, false, "3-AMINO-4,5-DIHYDROXY-CYCLOHEX-1-ENECARBOXYLATE", 14127 },
	{ "DHT", "", "", ResidueType::NON_POLYMER, false, "5-ALPHA-DIHYDROTESTOSTERONE", 14128 },
	{ "DHU", "", "H2U", ResidueType::RNA_LINKING, true, "5,6-DIHYDROURIDINE-5'-PHOSPHATE", 14129 },
	{ "DHV", "", "", ResidueType::PEPTIDE_LINKING, false, "3-hydroxy-D-valine", 14130 },
	{ "DHY", "HAA", "", ResidueType::NON_POLYMER, false, "2-(3,4-DIHYDROXYPHENYL)ACETIC ACID", 14131 },
	{ "DHZ", "", "", ResidueType::NON_POLYMER, false, "3,4-DIHYDRO-1H-PYRIMIDIN-2-ONE NUCLEOSIDE", 14132 },
	{ "DI", "OIP", "", ResidueType::DNA_LINKING, false, "2'-DEOXYINOSINE-5'-MONOPHOSPHATE", 14133 },
	{ "DI1", "", "", ResidueType::NON_POLYMER, false, "4-[(4-ethylpiperazin-1-yl)methyl]-n-{4-methyl-3-[(2-oxo-2,3-dihydro-1h-indol-5-yl)oxy]phenyl}-3-(trifluoromethyl)benzamide", 14134 },
	{ "DI2", "", "", ResidueType::NON_POLYMER, false, "AC-(D)PHE-PRO-BOROLYS-OH", 14135 },
	{ "DI3", "", "", ResidueType::NON_POLYMER, false, "AC-(D)PHE-PRO-BORO-N-BUTYL-AMIDINO-GLYCINE-OH", 14136 },
	{ "DI4", "", "", ResidueType::NON_POLYMER, false, "AC-(D)PHE-PRO-BOROHOMOLYS-OH", 14137 },
	{ "DI5", "", "", ResidueType::NON_POLYMER, false, "AC-(D)PHE-PRO-BOROHOMOORNITHINE-OH", 14138 },
	{ "DI6", "", "", ResidueType::NON_POLYMER, false, "3-[(4S)-2,5-DIOXOIMIDAZOLIDIN-4-YL]PROPANOIC ACID", 14139 },
	{ "DI7", "", "", ResidueType::PEPTIDE_LINKING, false, "2,6-dimethyl-L-tyrosine", 14140 },
	{ "DI8", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-1,2,3,4-tetrahydroisoquinoline-3-carboxylic acid", 14141 },
	{ "DI9", "", "", ResidueType::NON_POLYMER, false, "DICYCLOPENTYL PHOSPHORAMIDATE", 14142 },
	{ "DIA", "", "", ResidueType::NON_POLYMER, false, "OCTANE 1,8-DIAMINE", 14143 },
	{ "DIB", "", "", ResidueType::NON_POLYMER, false, "3-AMINO-(DIMETHYLPROPYLAMINE)", 14144 },
	{ "DIC", "", "", ResidueType::NON_POLYMER, false, "3,4-DICHLOROISOCOUMARIN", 14145 },
	{ "DID", "", "", ResidueType::NON_POLYMER, false, "4,4'[1,6-HEXANEDIYLBIS(OXY)]BISBENZENECARBOXIMIDAMIDE", 14146 },
	{ "DIE", "", "", ResidueType::NON_POLYMER, false, "2,6-diethylphenol", 14147 },
	{ "DIF", "", "", ResidueType::NON_POLYMER, false, "2-[2,6-DICHLOROPHENYL)AMINO]BENZENEACETIC ACID", 14148 },
	{ "DIG", "", "", ResidueType::SACCHARIDE, false, "2,5-DIDEOXY-2,5-IMINO-D-GLUCITOL", 14149 },
	{ "DIH", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXY-4-HYDROXYMETHYL-1-(4-OXO-4,4A,5,7A-TETRAHYDRO-3H-PYRROLO[3,2-D]PYRIMIDIN-7-YLMETHYL)-PYRROLIDINIUM", 14150 },
	{ "DII", "", "", ResidueType::NON_POLYMER, false, "METHYLPHOSPHONIC ACID DIISOPROPYL ESTER", 14151 },
	{ "DIK", "", "", ResidueType::NON_POLYMER, false, "5-{[4-(5-methyl-3-oxohex-4-en-1-yl)phenyl]amino}-5-oxopentanoic acid", 14152 },
	{ "DIL", "", "", ResidueType::PEPTIDE_LINKING, false, "D-ISOLEUCINE", 14153 },
	{ "DIM", "", "", ResidueType::NON_POLYMER, false, "DIIMIDAZOLE LEXITROPSIN", 14154 },
	{ "DIN", "", "", ResidueType::NON_POLYMER, false, "1,6-DIHYDROXY NAPHTHALENE", 14155 },
	{ "DIO", "DOX", "", ResidueType::NON_POLYMER, false, "1,4-DIETHYLENE DIOXIDE", 14156 },
	{ "DIP", "", "", ResidueType::NON_POLYMER, false, "DIPENTYLAMINE", 14157 },
	{ "DIQ", "", "", ResidueType::NON_POLYMER, false, "2-METHYL-DECAHYDRO-ISOQUINOLINE-3-CARBOXYLIC ACID", 14158 },
	{ "DIR", "", "", ResidueType::PEPTIDE_LINKING, false, "3-{[(E)-AMINO(HYDROXYIMINO)METHYL]AMINO}ALANINE", 14159 },
	{ "?", "", "HOH", ResidueType::NON_POLYMER, true, "DISORDERED SOLVENT", 14160 },
	{ "DIT", "", "", ResidueType::NON_POLYMER, false, "DITERCALINIUM", 14161 },
	{ "DIU", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXY-3,5-DIIODO-BENZOIC ACID", 14162 },
	{ "DIV", "", "", ResidueType::PEPTIDE_LINKING, false, "D-ISOVALINE", 14163 },
	{ "DIW", "", "", ResidueType::NON_POLYMER, false, "1-(3-sulfopropyl)-4-[(1E,3E)-3-(1,3,3-trimethyl-1,3-dihydro-2H-indol-2-ylidene)prop-1-en-1-yl]quinolinium", 14164 },
	{ "DIX", "", "", ResidueType::NON_POLYMER, false, "METHYL(CYCLOPENTYL-PROPYL)AMINE", 14165 },
	{ "DIY", "", "", ResidueType::NON_POLYMER, false, "5-BUTYLPIPERIDINE", 14166 },
	{ "DIZ", "", "", ResidueType::NON_POLYMER, false, "(4-CHLOROPHENYL)[3-(4-CHLOROPHENYL)-7-IODO-2,5-DIOXO-1,2,3,5-TETRAHYDRO-4H-1,4-BENZODIAZEPIN-4-YL]ACETIC ACID", 14167 },
	{ "DJ1", "", "", ResidueType::NON_POLYMER, false, "tert-butyl [(2S)-1-{[(2R)-2-(cyclopentylamino)-3-oxo-3-{[(pyridin-3-yl)methyl]amino}propyl]sulfanyl}-3-(1H-indol-3-yl)propan-2-yl]carbamate", 14168 },
	{ "DJ3", "", "", ResidueType::NON_POLYMER, false, "5S-5,6-oxido-7,9-trans-11,14-cis-eicosatetraenoic acid", 14169 },
	{ "DJ6", "", "", ResidueType::NON_POLYMER, false, "2,5-dichloro-N-(pyridin-3-yl)thiophene-3-carboxamide", 14170 },
	{ "DJB", "", "", ResidueType::NON_POLYMER, false, "alpha-D-2-N-acetyl-3-O-acetylgalactosaminuronic acid", 14171 },
	{ "DJE", "", "", ResidueType::NON_POLYMER, false, "alpha-D-2-N-acetylgalactosaminuronic acid", 14172 },
	{ "DJF", "", "", ResidueType::RNA_LINKING, false, "", 14173 },
	{ "DJK", "", "", ResidueType::NON_POLYMER, false, "N-[4-(3-BROMO-PHENYLAMINO)-QUINAZOLIN-6-YL]-ACRYLAMIDE", 14174 },
	{ "DJL", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-(4-chloro-2-fluoro-3-phenoxyphenyl)propan-1-aminium", 14175 },
	{ "DJN", "", "", ResidueType::NON_POLYMER, false, "N-[(3S,4R,5S,6R)-4,5-dihydroxy-6-(hydroxymethyl)piperidin-3-yl]acetamide", 14176 },
	{ "DJR", "", "", ResidueType::NON_POLYMER, false, "(3R,3AS,6AR)-HEXAHYDROFURO[2,3-B]FURAN-3-YL [(1S,2R)-1-BENZYL-2-HYDROXY-3-{ISOBUTYL[(4-METHOXYPHENYL)SULFONYL]AMINO}PROPYL]CARBAMATE", 14177 },
	{ "DJS", "", "", ResidueType::NON_POLYMER, false, "2-{[(2S)-butan-2-yl]amino}-N-{(1R,2S)-1-hydroxy-3-phenyl-1-[(2R)-pyrrolidin-2-yl]propan-2-yl}-6-(methylsulfonyl)pyridine-4-carboxamide", 14178 },
	{ "DJT", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-4-(2-chlorophenyl)sulfonyl-1-[1-(4-fluorophenyl)cyclopropyl]carbonyl-N-[1-(iminomethyl)cyclopropyl]pyrrolidine-2-carboxamide", 14179 },
	{ "DJV", "", "", ResidueType::NON_POLYMER, false, "N-[(1R,2S)-1-[(2R,4R)-4-(cyclohexylmethoxy)pyrrolidin-2-yl]-3-(3,5-difluorophenyl)-1-hydroxypropan-2-yl]acetamide", 14180 },
	{ "DJZ", "", "", ResidueType::NON_POLYMER, false, "3,5-dimethyl-4-{[2-({1-[4-(methylsulfonyl)benzyl]piperidin-4-yl}amino)pyrimidin-4-yl]oxy}benzonitrile", 14181 },
	{ "DK1", "", "", ResidueType::NON_POLYMER, false, "5,7-DICHLORO-4-HYDROXYQUINOLINE-2-CARBOXYLIC ACID", 14182 },
	{ "DK2", "", "", ResidueType::NON_POLYMER, false, "2-[(1R)-1-CARBOXY-2-(4-HYDROXYPHENYL)ETHYL]-1,3-DIOXOISOINDOLINE-5-CARBOXYLIC ACID", 14183 },
	{ "DK3", "", "", ResidueType::NON_POLYMER, false, "methyl (3S)-3-hydroxydodecanoate", 14184 },
	{ "DK4", "", "", ResidueType::NON_POLYMER, false, "1-(3-deoxy-3-fluoro-beta-D-glucopyranosyl)-5-fluoropyrimidine-2,4(1H,3H)-dione", 14185 },
	{ "DK5", "", "", ResidueType::NON_POLYMER, false, "1-(2,3-dideoxy-3-fluoro-beta-D-arabino-hexopyranosyl)-4-[(phenylcarbonyl)amino]pyrimidin-2(1H)-one", 14186 },
	{ "DK7", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2S)-1-[(3R,6R)-6-(cyclohexylmethoxy)morpholin-3-yl]-3-(3,5-difluorophenyl)-1-hydroxypropan-2-yl]acetamide", 14187 },
	{ "DKA", "CRC", "", ResidueType::NON_POLYMER, false, "DECANOIC ACID", 14188 },
	{ "DKD", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(4-phenethylphenoxy)-3-phenyl-propanoic acid", 14189 },
	{ "DKE", "", "", ResidueType::NON_POLYMER, false, "FcMaytansine", 14190 },
	{ "DKG", "", "", ResidueType::NON_POLYMER, false, "4-methylpyridazine", 14191 },
	{ "DKH", "", "", ResidueType::NON_POLYMER, false, "", 14192 },
	{ "DKI", "", "", ResidueType::NON_POLYMER, false, "5-AMINO-3-{[4-(AMINOSULFONYL)PHENYL]AMINO}-N-(2,6-DIFLUOROPHENYL)-1H-1,2,4-TRIAZOLE-1-CARBOTHIOAMIDE", 14193 },
	{ "DKJ", "", "", ResidueType::NON_POLYMER, false, "N-{(1S,2S)-3-(3,5-difluorophenyl)-1-[(3R,5S,6R)-6-(2,2-dimethylpropoxy)-5-methylmorpholin-3-yl]-1-hydroxypropan-2-yl}acetamide", 14194 },
	{ "DKK", "", "", ResidueType::NON_POLYMER, false, "N-[2-(carbamimidamidooxy)ethyl]-2-{6-cyano-3-[(2,2-difluoro-2-pyridin-2-ylethyl)amino]-2-fluorophenyl}acetamide", 14195 },
	{ "DKM", "", "", ResidueType::NON_POLYMER, false, "5-[(3S,4S)-3-(dimethylamino)-4-hydroxypyrrolidin-1-yl]-6-fluoro-4-methyl-8-oxo-3,4-dihydro-8H-1-thia-4,9b-diazacyclopenta[cd]phenalene-9-carboxylic acid", 14196 },
	{ "DKN", "", "", ResidueType::NON_POLYMER, false, "Disorazole Z", 14197 },
	{ "DKP", "", "", ResidueType::NON_POLYMER, false, "2-[(R)-(2-chlorophenyl)(propoxy)methyl]-1H-pyrrolo[3,2-b]pyridine-7-carboxylic acid", 14198 },
	{ "DKS", "", "", ResidueType::NON_POLYMER, false, "2-{(S)-(2-chlorophenyl)[2-(4,4-difluoropiperidin-1-yl)ethoxy]methyl}-1H-pyrrolo[3,2-b]pyridine-7-carboxylic acid", 14199 },
	{ "DKT", "", "", ResidueType::NON_POLYMER, false, "4-[2-(3-BENZYLOXYCARBONYLAMINO-4-CYCLOHEXYL-1-HYDROXY-2-OXO-BUTYLAMINO)-5-GUANIDINO-PENTANOYLAMINO]-4-(1-CARBOXY-2-CYCLOHEXYL-ETHYLCARBAMOYL)-BUTYRIC ACID", 14200 },
	{ "DKV", "", "", ResidueType::NON_POLYMER, false, "2-{(S)-(2-chlorophenyl)[(4,4-difluorocyclohexyl)methoxy]methyl}-1H-pyrrolo[3,2-b]pyridine-7-carboxylic acid", 14201 },
	{ "DKX", "", "", ResidueType::NON_POLYMER, false, "1-(3-deoxy-3-fluoro-beta-D-glucopyranosyl)pyrimidine-2,4(1H,3H)-dione", 14202 },
	{ "DKY", "", "", ResidueType::NON_POLYMER, false, "1-(3-deoxy-3-fluoro-beta-D-glucopyranosyl)-4-[(phenylcarbonyl)amino]pyrimidin-2(1H)-one", 14203 },
	{ "DKZ", "", "", ResidueType::NON_POLYMER, false, "4-amino-1-(3-deoxy-3-fluoro-beta-D-glucopyranosyl)pyrimidin-2(1H)-one", 14204 },
	{ "DL1", "", "", ResidueType::NON_POLYMER, false, "N-[2-methoxy-4-(morpholin-4-yl)phenyl]-6-(1H-pyrazol-5-yl)pyridine-2-carboxamide", 14205 },
	{ "DL2", "", "", ResidueType::NON_POLYMER, false, "5-chloranyl-2-(2-oxidanylidene-2-spiro[1,3-benzodioxole-2,4'-piperidine]-1'-yl-ethyl)-3~{H}-pyridin-6-one", 14206 },
	{ "DL3", "", "", ResidueType::NON_POLYMER, false, "~{N}1-[(4-chlorophenyl)methyl]-~{N}1-cyclopentyl-~{N}4-[[2-(methylamino)pyrimidin-4-yl]methyl]-~{N}4-(piperidin-4-ylmethyl)benzene-1,4-disulfonamide", 14207 },
	{ "DL4", "", "", ResidueType::NON_POLYMER, false, "(14beta,17alpha,25R)-3-oxocholest-4-en-26-oic acid", 14208 },
	{ "DL5", "", "", ResidueType::NON_POLYMER, false, "", 14209 },
	{ "DL6", "", "", ResidueType::NON_POLYMER, false, "2-AZIDO-N-((2R,3R,4S,5S,6R)-3,4,5-TRIHYDROXY-6-(HYDROXYMETHYL)-TETRAHYDRO-2H-PYRAN-2-YL)ACETAMIDE", 14210 },
	{ "DL7", "", "", ResidueType::NON_POLYMER, false, "(5beta,14beta,17alpha,25R)-3-oxocholest-7-en-26-oic acid", 14211 },
	{ "DL8", "", "", ResidueType::NON_POLYMER, false, "N-[(4-PHENYL-1H-1,2,3-TRIAZOL-1-YL)ACETYL]-BETA-D-GLUCOPYRANOSYLAMINE", 14212 },
	{ "DLA", "", "LAC", ResidueType::NON_POLYMER, true, "D-LACTIC ACID", 14213 },
	{ "DLB", "", "", ResidueType::NON_POLYMER, false, "", 14214 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "(3R,5S)-5-{(2R,3R)-3-[(1R,2S,3Z)-3-{(2E)-2-[(3S,5R)-3,5-dihydroxy-2-methylidenecyclohexylidene]ethylidene}-1,2-dimethylcyclohexyl]-2-methylbutyl}-3-hydroxy-3-methyl-1-(2-phenylethyl)pyrrolidin-2-one", 14215 },
	{ "DLD", "", "", ResidueType::NON_POLYMER, false, "2-azidoethyl 2-(acetylamino)-4-O-[2-(acetylamino)-2-deoxy-beta-D-galactopyranosyl]-2-deoxy-beta-D-glucopyranoside", 14216 },
	{ "DLE", "", "", ResidueType::PEPTIDE_LINKING, false, "D-LEUCINE", 14217 },
	{ "DLF", "", "", ResidueType::SACCHARIDE, false, "2-DEOXY-ALPHA-L-FUCOPYRANOSIDE", 14218 },
	{ "DLG", "", "", ResidueType::SACCHARIDE, false, "HEXYL 3-DEOXY-BETA-D-GALACTOPYRANOSE", 14219 },
	{ "DLH", "", "", ResidueType::NON_POLYMER, false, "2-(4-chlorophenyl)-1-spiro[1,3-benzodioxole-2,4'-piperidine]-1'-yl-ethanone", 14220 },
	{ "DLI", "", "", ResidueType::NON_POLYMER, false, "(3R,4S)-1-{6-[3-(METHYLSULFONYL)PHENYL]PYRIMIDIN-4-YL}-4-(2,4,5-TRIFLUOROPHENYL)PYRROLIDIN-3-AMINE", 14221 },
	{ "DLJ", "", "", ResidueType::NON_POLYMER, false, "2-[(S)-(2-chlorophenyl){2-[(2R)-1-methylpyrrolidin-2-yl]ethoxy}methyl]-1H-pyrrolo[3,2-b]pyridine-7-carboxylic acid", 14222 },
	{ "DLK", "", "", ResidueType::NON_POLYMER, false, "2-{1-[(2-Methoxyphenyl)amino]ethylidene}-5-phenyl-1,3-cyclohexanedione", 14223 },
	{ "DLL", "", "", ResidueType::NON_POLYMER, false, "5'-O-[HYDROXY(PHENYLACETYL)PHOSPHORYL]ADENOSINE", 14224 },
	{ "DLM", "", "", ResidueType::NON_POLYMER, false, "3,5,7-trihydroxy-2-(3,4,5-trihydroxyphenyl)chromenium", 14225 },
	{ "DLN", "", "", ResidueType::NON_POLYMER, false, "3-{[4-amino-1-(1-methylethyl)-1H-pyrazolo[3,4-d]pyrimidin-3-yl]ethynyl}phenol", 14226 },
	{ "DLP", "", "", ResidueType::NON_POLYMER, false, "1,2-DILINOLEOYL-SN-GLYCERO-3-PHOSPHOCHOLINE", 14227 },
	{ "DLR", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-benzyl-2-(1H-indazol-5-yl)-1,3-thiazolidin-4-one", 14228 },
	{ "DLS", "", "", ResidueType::PEPTIDE_LINKING, false, "DI-ACETYL-LYSINE", 14229 },
	{ "DLT", "", "", ResidueType::NON_POLYMER, false, "3-Carboxy-N-(2-fluoroethyl)-N,N-dimethylpropan-1-aminium", 14230 },
	{ "DLU", "", "", ResidueType::NON_POLYMER, false, "(4R,12aS)-N-(2,4-difluorobenzyl)-7-hydroxy-4-methyl-6,8-dioxo-3,4,6,8,12,12a-hexahydro-2H-pyrido[1',2':4,5]pyrazino[2,1-b][1,3]oxazine-9-carboxamide", 14231 },
	{ "DLW", "", "", ResidueType::NON_POLYMER, false, "(5~{S})-2-[(~{E})-~{N}-(2-ethoxyphenyl)-~{C}-methyl-carbonimidoyl]-3-oxidanyl-5-phenyl-cyclohex-2-en-1-one", 14232 },
	{ "DLY", "", "", ResidueType::PEPTIDE_LINKING, false, "D-LYSINE", 14233 },
	{ "DLZ", "", "", ResidueType::NON_POLYMER, false, "1-deoxy-1-(6,7-dimethyl-2,4-dioxo-3,4-dihydropteridin-8(2H)-yl)-D-ribitol", 14234 },
	{ "DM0", "", "", ResidueType::PEPTIDE_LINKING, false, "N~2~,N~2~,N~6~,N~6~-tetramethyl-L-lysine", 14235 },
	{ "DM1", "", "", ResidueType::NON_POLYMER, false, "DAUNOMYCIN", 14236 },
	{ "DM2", "", "", ResidueType::NON_POLYMER, false, "DOXORUBICIN", 14237 },
	{ "DM3", "", "", ResidueType::NON_POLYMER, false, "6-DEOXYDAUNOMYCIN", 14238 },
	{ "DM4", "", "", ResidueType::NON_POLYMER, false, "1-O-DEMETHYL-6-DEOXYDOXORUBICIN", 14239 },
	{ "DM5", "", "", ResidueType::NON_POLYMER, false, "IDARUBICIN", 14240 },
	{ "DM6", "", "", ResidueType::NON_POLYMER, false, "4'-EPIDOXORUBICIN", 14241 },
	{ "DM7", "", "", ResidueType::NON_POLYMER, false, "4'-DEOXY-4'-IODODOXORUBICIN", 14242 },
	{ "DM8", "", "", ResidueType::NON_POLYMER, false, "2'-BROMO-4'-EPIDAUNORUBICIN", 14243 },
	{ "DM9", "", "", ResidueType::NON_POLYMER, false, "N-HYDROXYMETHYL-N-(2-METHOXYETHYL)-DAUNOMYCIN", 14244 },
	{ "DMA", "", "", ResidueType::NON_POLYMER, false, "DIMETHYLALLYL DIPHOSPHATE", 14245 },
	{ "DMB", "", "", ResidueType::NON_POLYMER, false, "", 14246 },
	{ "DMC", "", "", ResidueType::NON_POLYMER, false, "3-(4-DIETHYLAMINO-2-HYDROXY-PHENYL)-2-METHYL-PROPIONIC ACID", 14247 },
	{ "DMD", "", "", ResidueType::NON_POLYMER, false, "5,6-DIMETHYLBENZIMIDAZOLE", 14248 },
	{ "DME", "", "", ResidueType::NON_POLYMER, false, "DECAMETHONIUM ION", 14249 },
	{ "DMF", "", "", ResidueType::NON_POLYMER, false, "DIMETHYLFORMAMIDE", 14250 },
	{ "DMG", "", "", ResidueType::NON_POLYMER, false, "N,N-DIMETHYLGLYCINE", 14251 },
	{ "DMH", "", "", ResidueType::PEPTIDE_LINKING, false, "N4,N4-DIMETHYL-ASPARAGINE", 14252 },
	{ "DMI", "", "", ResidueType::NON_POLYMER, false, "2,3-DIMETHYLIMIDAZOLIUM ION", 14253 },
	{ "DMJ", "DDM", "", ResidueType::NON_POLYMER, false, "1-DEOXYMANNOJIRIMYCIN", 14254 },
	{ "DMK", "", "", ResidueType::PEPTIDE_LINKING, false, "3,3-DIMETHYL ASPARTIC ACID", 14255 },
	{ "DML", "", "", ResidueType::NON_POLYMER, true, "TERMINAL DIMETHYL", 14256 },
	{ "DMM", "", "", ResidueType::NON_POLYMER, false, "3'-DESAMINO-3'-(2-METHOXY-4-MORPHOLINYL)-DOXORUBICIN", 14257 },
	{ "DMN", "", "", ResidueType::NON_POLYMER, false, "DIMETHYLAMINE", 14258 },
	{ "DMO", "", "", ResidueType::NON_POLYMER, false, "ALPHA-DIFLUOROMETHYLORNITHINE", 14259 },
	{ "DMP", "", "", ResidueType::NON_POLYMER, false, "[4-R-(-4-ALPHA,5-ALPHA,6-BETA,7-BETA)]-HEXAHYDRO-5,6-BIS(HYDROXY)-[1,3-BIS([4-HYDROXYMETHYL-PHENYL]METHYL)-4,7-BIS(PHENYLMETHYL)]-2H-1,3-DIAZEPINONE", 14260 },
	{ "DMQ", "450", "", ResidueType::NON_POLYMER, false, "[4-R-(-4-ALPHA,5-ALPHA,6-BETA,7-BETA)]-HEXAHYDRO-5,6-BIS(HYDROXY)-1,3-BIS([(3-AMINO)PHENYL]METHYL)-4,7-BIS(PHENYLMETHYL)-2H-1,3-DIAZEPINONE", 14261 },
	{ "DMR", "", "MLT", ResidueType::NON_POLYMER, true, "2-HYDROXY-SUCCINIC ACID", 14262 },
	{ "DMS", "", "", ResidueType::NON_POLYMER, false, "DIMETHYL SULFOXIDE", 14263 },
	{ "DMT", "", "", ResidueType::PEPTIDE_LINKING, false, "3-HYDROXY-4,4-DIMETHYL-2-(METHYLAMINO)-6-OCTENOIC ACID", 14264 },
	{ "DMU", "", "", ResidueType::SACCHARIDE, false, "DECYL-BETA-D-MALTOPYRANOSIDE", 14265 },
	{ "DMV", "", "", ResidueType::NON_POLYMER, false, "2,3-DIHYDROXY-VALERIANIC ACID", 14266 },
	{ "DMW", "", "", ResidueType::NON_POLYMER, false, "2,3-DIMETHYL-1,4-NAPHTHOQUINONE", 14267 },
	{ "DMX", "", "", ResidueType::NON_POLYMER, false, "3-[BENZYL(DIMETHYL)AMMONIO]PROPANE-1-SULFONATE", 14268 },
	{ "DMY", "", "", ResidueType::NON_POLYMER, false, "DISTAMYCIN A", 14269 },
	{ "DMZ", "", "", ResidueType::NON_POLYMER, false, "4-METHYL-N-METHYL-N-(2-PHENYL-2H-PYRAZOL-3-YL)BENZENESULFONAMIDE", 14270 },
	{ "DN", "ROB", "", ResidueType::DNA_LINKING, false, "", 14271 },
	{ "DN1", "", "", ResidueType::NON_POLYMER, false, "3-({(2S)-2-[({(1R)-1-[({(1R)-1-[(R)-CARBOXY(HYDROXY)METHYL]-3,3-DIFLUOROPROPYL}AMINO)CARBONYL]-3-METHYLBUTYL}AMINO)CARBONYL]-2,3-DIHYDRO-1H-INDOL-2-YL}METHYL)THIOPHENE-2-CARBOXYLIC ACID", 14272 },
	{ "DN2", "", "", ResidueType::NON_POLYMER, false, "3-({(2S)-2-[({(1S)-1-[({(1S)-1-[(R)-CARBOXY(HYDROXY)METHYL]-3,3-DIFLUOROPROPYL}AMINO)CARBONYL]-3-METHYLBUTYL}AMINO)CARBONYL]-2,3-DIHYDRO-1H-INDOL-2-YL}METHYL)THIOPHENE-2-CARBOXYLIC ACID", 14273 },
	{ "DN3", "", "", ResidueType::NON_POLYMER, false, "3-[(dimethylamino)methyl]-N-[3-(1H-tetrazol-5-yl)phenyl]benzamide", 14274 },
	{ "DN4", "", "", ResidueType::NON_POLYMER, false, "[[(2R,3R,4R,5R)-5-(6-aminopurin-9-yl)-3-oxidanyl-4-phosphonooxy-oxolan-2-yl]methoxy-oxidanyl-phosphoryl] [(2R,3S,4R,5R)-5-(3-carboxypyridin-1-ium-1-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methyl phosphate", 14275 },
	{ "DN5", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-(3,4-dichlorophenyl)-3-methyl-1-spiro[1,3-benzodioxole-2,4'-piperidine]-1'-yl-butan-1-one", 14276 },
	{ "DN6", "", "", ResidueType::NON_POLYMER, false, "N-[3-(1H-tetrazol-5-yl)phenyl]-3-(trifluoromethyl)benzamide", 14277 },
	{ "DN8", "", "", ResidueType::NON_POLYMER, false, "3-bromo-N-[3-(1H-tetrazol-5-yl)phenyl]benzamide", 14278 },
	{ "DNA", "", "", ResidueType::NON_POLYMER, false, "1,4-dihydroxy-2-naphthoic acid", 14279 },
	{ "DNB", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,4R,5R)-2-(3,4-diaminophenyl)-5-(hydroxymethyl)pyrrolidine-3,4-diol", 14280 },
	{ "DNC", "", "", ResidueType::NON_POLYMER, false, "3,5-DINITROCATECHOL", 14281 },
	{ "DND", "", "", ResidueType::NON_POLYMER, false, "NICOTINIC ACID ADENINE DINUCLEOTIDE", 14282 },
	{ "DNE", "", "", ResidueType::PEPTIDE_LINKING, false, "D-NORLEUCINE", 14283 },
	{ "DNF", "", "", ResidueType::NON_POLYMER, false, "2,4-DINITROPHENOL", 14284 },
	{ "DNG", "", "", ResidueType::PEPTIDE_LINKING, false, "N-FORMYL-D-NORLEUCINE", 14285 },
	{ "DNH", "", "", ResidueType::NON_POLYMER, false, "1R,2R-DIAMINOCYCLOHEXANE", 14286 },
	{ "DNJ", "", "NOJ", ResidueType::NON_POLYMER, true, "1-DEOXY-NOJIRIMYCIN", 14287 },
	{ "DNK", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-3-methyl-2-phenyl-1-spiro[1,3-benzodioxole-2,4'-piperidine]-1'-yl-butan-1-one", 14288 },
	{ "DNL", "", "", ResidueType::PEPTIDE_LINKING, false, "6-AMINO-HEXANAL", 14289 },
	{ "DNM", "", "", ResidueType::PEPTIDE_LINKING, false, "N-methyl-D-norleucine", 14290 },
	{ "DNN", "", "", ResidueType::NON_POLYMER, false, "7,8-DIAMINO-NONANOIC ACID", 14291 },
	{ "DNO", "", "", ResidueType::SACCHARIDE, false, "D-mannose", 14292 },
	{ "DNP", "", "", ResidueType::PEPTIDE_LINKING, false, "3-AMINO-ALANINE", 14293 },
	{ "DNQ", "", "", ResidueType::NON_POLYMER, false, "6,7-DINITROQUINOXALINE-2,3-DIONE", 14294 },
	{ "DNR", "", "", ResidueType::DNA_LINKING, false, "", 14295 },
	{ "DNS", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-{[5-(DIMETHYLAMINO)-1-NAPHTHYL]SULFONYL}-L-LYSINE", 14296 },
	{ "DNT", "", "", ResidueType::NON_POLYMER, false, "2-[1-METHYLHEXYL]-4,6-DINITROPHENOL", 14297 },
	{ "DNV", "", "", ResidueType::NON_POLYMER, false, "2-{(S)-(2-chlorophenyl)[2-(1-methyl-1H-imidazol-2-yl)ethoxy]methyl}-1H-pyrrolo[3,2-b]pyridine-7-carboxylic acid", 14298 },
	{ "DNW", "", "", ResidueType::PEPTIDE_LINKING, false, "3-[(2,4-dinitrophenyl)amino]-L-alanine", 14299 },
	{ "DNX", "", "", ResidueType::NON_POLYMER, false, "3,4-dinitrophenol", 14300 },
	{ "DNY", "", "", ResidueType::NON_POLYMER, false, "2-{(S)-(2-chlorophenyl)[3-(piperidin-1-yl)propoxy]methyl}-1H-pyrrolo[3,2-b]pyridine-7-carboxylic acid", 14301 },
	{ "DNZ", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S})-3-azanyl-2-(4-chlorophenyl)-1-spiro[1,3-benzodioxole-2,4'-piperidine]-1'-yl-butan-1-one", 14302 },
	{ "DO1", "", "", ResidueType::NON_POLYMER, false, "2-{(R)-(2-chlorophenyl)[2-(piperidin-1-yl)ethoxy]methyl}-1H-pyrrolo[3,2-b]pyridine-7-carboxylic acid", 14303 },
	{ "DO2", "", "", ResidueType::PEPTIDE_LINKING, false, "5,5-dihydroxy-6-oxo-L-norleucine", 14304 },
	{ "DO3", "", "", ResidueType::NON_POLYMER, false, "10-((2R)-2-HYDROXYPROPYL)-1,4,7,10-TETRAAZACYCLODODECANE 1,4,7-TRIACETIC ACID", 14305 },
	{ "DO4", "", "", ResidueType::NON_POLYMER, false, "2,5-DIOXOPENTANOIC ACID", 14306 },
	{ "DO5", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{R})-2-(4-chlorophenyl)-3-oxidanyl-1-spiro[1,3-benzodioxole-2,4'-piperidine]-1'-yl-butan-1-one", 14307 },
	{ "DO8", "", "", ResidueType::NON_POLYMER, false, "3-DEOXY-D-MANNO-2-OCTULOSONATE-8-PHOSPHATE", 14308 },
	{ "DOA", "", "", ResidueType::PEPTIDE_LINKING, false, "12-AMINO-DODECANOIC ACID", 14309 },
	{ "DOB", "", "", ResidueType::NON_POLYMER, false, "2,4-DIHYDROXYBENZOIC ACID", 14310 },
	{ "DOC", "", "", ResidueType::DNA_LINKING, false, "2',3'-DIDEOXYCYTIDINE-5'-MONOPHOSPHATE", 14311 },
	{ "DOD", "", "", ResidueType::NON_POLYMER, false, "DEUTERATED WATER", 14312 },
	{ "DOE", "", "", ResidueType::NON_POLYMER, false, "(S)-2-(4-(2-(2-HYDROXYETHYLTHIO)-ACETAMIDO)-BENZYL)-1,4,7,10-TETRAAZACYCLODODECANE-N,N',N'',N'''-TETRAACETATE", 14313 },
	{ "DOF", "", "", ResidueType::NON_POLYMER, false, "(S)-2-(4-NITROBENZYL)-1,4,7,10-TETRAAZACYCLODODECANE-N,N',N'',N'''-TETRAACETATE", 14314 },
	{ "DOG", "", "", ResidueType::NON_POLYMER, false, "DIGOXIGENIN", 14315 },
	{ "DOH", "", "BHD", ResidueType::PEPTIDE_LINKING, true, "BETA-HYDROXY ASPARTIC ACID", 14316 },
	{ "DOI", "", "", ResidueType::NON_POLYMER, false, "9-(2-DEOXY-5-O-PHOSPHONO-BETA-D-ERYTHRO-PENTOFURANOSYL)-6-(PHOSPHONOOXY)-9H-PURINE", 14317 },
	{ "DOK", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-(4-chlorophenyl)-3-methyl-1-spiro[1,3-benzodioxole-2,4'-piperidine]-1'-yl-butan-1-one", 14318 },
	{ "DOL", "", "", ResidueType::NON_POLYMER, false, "5-(2-DIETHYLAMINO-ETHANESULFONYL)-21-HYDROXY-10-ISOPROPYL-11,19-DIMETHYL-9,26-DIOXA-3,15,28-TRIAZA-TRICYCLO[23.2.1.00,255]OCTACOSA-1(27),12,17,19,25(28)-PENTAENE-2,8,14,23-TETRAONE", 14319 },
	{ "DOM", "", "", ResidueType::SACCHARIDE, false, "2'-DEOXYMALTOSE", 14320 },
	{ "DON", "", "", ResidueType::PEPTIDE_LINKING, false, "6-DIAZENYL-5-OXO-L-NORLEUCINE", 14321 },
	{ "DOO", "", "", ResidueType::NON_POLYMER, false, "6-fluoro-4-[(3aR,6aR)-hexahydropyrrolo[3,4-b]pyrrol-5(1H)-yl]-N-methyl-2-[(2-methylpyrimidin-5-yl)oxy]-9H-pyrimido[4,5-b]indol-8-amine", 14322 },
	{ "DOP", "", "", ResidueType::NON_POLYMER, false, "DIOCTYLPHOSPHATE", 14323 },
	{ "DOQ", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,4S)-2-CARBOXY-4-[(1Z,3E,5R)-5-CARBOXY-1-METHYL-1,3-HEXADIENYL]-3-PYRROLIDINEACETIC ACID", 14324 },
	{ "DOR", "", "", ResidueType::NON_POLYMER, false, "(4S)-2,6-DIOXOHEXAHYDROPYRIMIDINE-4-CARBOXYLIC ACID", 14325 },
	{ "DOS", "", "", ResidueType::NON_POLYMER, false, "", 14326 },
	{ "DOT", "", "", ResidueType::NON_POLYMER, false, "3'ANTHRANILOYL-2'-DEOXY-ADENOSINE-5'-TRIPHOSPHATE", 14327 },
	{ "DOV", "", "", ResidueType::NON_POLYMER, false, "1-amino-5-fluoro-3-(6-(4-methylpiperazin-1-yl)-1h-benzo[D]imidazol-2-yl)quinolin-2(1H)-one", 14328 },
	{ "DOW", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3S,4R,6S)-4,6-diamino-2,3-dihydroxycyclohexyl 2-amino-2,6-dideoxy-6-[({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methyl)amino]-alpha-D-glucopyranoside", 14329 },
	{ "DOX", "", "DIO", ResidueType::NON_POLYMER, true, "DIOXANE", 14330 },
	{ "DOY", "", "", ResidueType::NON_POLYMER, false, "[(2S)-4-oxo-2-phenyl-3,4-dihydro-1,5-benzothiazepin-5(2H)-yl]acetic acid", 14331 },
	{ "DOZ", "", "", ResidueType::NON_POLYMER, false, "(dimethylamino)(hydroxy)zinc'", 14332 },
	{ "DP0", "", "", ResidueType::NON_POLYMER, false, "Disopyramide", 14333 },
	{ "DP1", "", "", ResidueType::NON_POLYMER, false, "L-N(OMEGA)-NITROARGININE-2,4-L-DIAMINOBUTYRIC AMIDE", 14334 },
	{ "DP2", "", "", ResidueType::NON_POLYMER, false, "L-LYSYL-N~5~-[(Z)-(2,2-DIHYDROXYHYDRAZINO)(IMINO)METHYL]-L-ORNITHINAMIDE", 14335 },
	{ "DP3", "", "", ResidueType::NON_POLYMER, false, "N-{(4S)-4-AMINO-5-[(2-AMINOETHYL)AMINO]PENTYL}-N'-NITROGUANIDINE", 14336 },
	{ "DP4", "", "", ResidueType::NON_POLYMER, false, "(1s,4s)-4-[dimethyl(phenyl)silyl]-1-methylpiperidine 1-oxide", 14337 },
	{ "DP5", "", "", ResidueType::SACCHARIDE, false, "1,4-DIMERCAPTO-ALPHA-D-GLUCOPYRANOSYL-(1-4)-S-1,4-DIMERCAPTO-BETA-D-GLUCOPYRANOSYL-(1-4)-S-1,4-DIMERCAPTO-BETA-D-GLUCOPYRANOSE", 14338 },
	{ "DP6", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-HYDROXY-5-{[(R)-HYDROXY(PHOSPHONOOXY)PHOSPHORYL]OXY}-3-METHYLPENTANOIC ACID", 14339 },
	{ "DP7", "", "", ResidueType::NON_POLYMER, false, "AC-(D)PHE-PRO-BOROARG-OH", 14340 },
	{ "DP8", "", "", ResidueType::NON_POLYMER, false, "N,N-dimethyl-2-(4-phenoxyphenoxy)ethanamine", 14341 },
	{ "DP9", "", "", ResidueType::NON_POLYMER, false, "L-N(OMEGA)-NITROARGININE-(4R)-AMINO-L-PROLINE AMIDE", 14342 },
	{ "DPA", "", "", ResidueType::NON_POLYMER, false, "", 14343 },
	{ "DPB", "", "", ResidueType::DNA_LINKING, false, "(S)-1-[2'-DEOXY-3',5'-O-(1-PHOSPHONO)BENZYLIDENE-B-D-THREO-PENTOFURANOSYL]THYMINE", 14344 },
	{ "DPC", "", "", ResidueType::NON_POLYMER, false, "5-ACETYLAMINO-4-AMINO-6-(PHENETHYL-PROPYL-CARBAMOYL)-5,6-DIHYDRO-4H-PYRAN-2-CARBOXYLIC ACID", 14345 },
	{ "DPD", "", "", ResidueType::NON_POLYMER, false, "", 14346 },
	{ "DPE", "", "", ResidueType::NON_POLYMER, false, "N-UNDECANYLPHOSPHONATE METHYL ESTER GROUP", 14347 },
	{ "DPF", "", "", ResidueType::NON_POLYMER, false, "DIETHYL HYDROGEN PHOSPHATE", 14348 },
	{ "DPG", "", "", ResidueType::NON_POLYMER, false, "PHOSPHORIC ACID 2,3-BIS-(3,7,11,15-TETRAMETHYL-HEXADECYLOXY)-PROPYL ESTER 2-HYDROXO-3-PHOSPHONOOXY-PROPYL ESTER", 14349 },
	{ "DPH", "", "", ResidueType::NON_POLYMER, true, "DEAMINO-METHYL-PHENYLALANINE", 14350 },
	{ "DPJ", "", "", ResidueType::NON_POLYMER, false, "O,O-DIETHYL HYDROGEN THIOPHOSPHATE", 14351 },
	{ "DPK", "", "", ResidueType::NON_POLYMER, false, "DEPRENYL", 14352 },
	{ "DPL", "", "", ResidueType::PEPTIDE_LINKING, false, "4-OXOPROLINE", 14353 },
	{ "DPM", "", "", ResidueType::NON_POLYMER, false, "3-[5-{[3-(2-carboxyethyl)-4-(carboxymethyl)-5-methyl-1H-pyrrol-2-yl]methyl}-4-(carboxymethyl)-1H-pyrrol-3-yl]propanoic acid", 14354 },
	{ "DPN", "", "", ResidueType::PEPTIDE_LINKING, false, "D-PHENYLALANINE", 14355 },
	{ "DPO", "", "", ResidueType::NON_POLYMER, false, "DIPHOSPHATE", 14356 },
	{ "DPP", "", "", ResidueType::PEPTIDE_LINKING, false, "DIAMINOPROPANOIC ACID", 14357 },
	{ "DPQ", "", "", ResidueType::PEPTIDE_LINKING, false, "(S)-2-AMINO-3-(4-HYDROXY-3-OXOCYCLOHEXA-1,4-DIENYL)PROPANOIC ACID", 14358 },
	{ "DPR", "", "", ResidueType::PEPTIDE_LINKING, false, "D-PROLINE", 14359 },
	{ "DPS", "", "", ResidueType::NON_POLYMER, false, "3-(1H-INDOL-3-YL)-2-[4-(4-PHENYL-PIPERIDIN-1-YL)-BENZENESULFONYLAMINO]-PROPIONIC ACID", 14360 },
	{ "DPT", "", "", ResidueType::NON_POLYMER, false, "4,7-DIMETHYL-[1,10]PHENANTHROLINE", 14361 },
	{ "DPU", "", "", ResidueType::NON_POLYMER, false, "MIXED CARBAMIC PHOSPHORIC ACID ANHYDRIDE OF 7,8-DIAMINONONANIC ACID", 14362 },
	{ "DPV", "", "", ResidueType::NON_POLYMER, false, "dodecyl 2-(trimethylammonio)ethyl phosphate", 14363 },
	{ "DPW", "", "", ResidueType::NON_POLYMER, false, "decyl 2-trimethylazaniumylethyl phosphate", 14364 },
	{ "DPX", "", "", ResidueType::NON_POLYMER, false, "MONO-{4-[(4-AMINO-2-METHYL-PYRIMIDIN-5-YLMETHYL)-AMINO]-2-HYDROXY-3-MERCAPTO-PENT-3-ENYL-PHOSPHONO} ESTER", 14365 },
	{ "DPY", "", "", ResidueType::DNA_LINKING, false, "", 14366 },
	{ "DPZ", "", "", ResidueType::NON_POLYMER, false, "3,5-DIAMINOPHTHALHYDRAZIDE", 14367 },
	{ "DQ1", "", "", ResidueType::NON_POLYMER, false, "ethyl 4-(5-{[(2,4-diaminoquinazolin-6-yl)methyl]amino}-2-methoxyphenoxy)butanoate", 14368 },
	{ "DQ6", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-AMINO-5-(3-METHYLPHENYL)-5,5-DIPHENYLPROPANOIC ACID", 14369 },
	{ "DQ7", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-AMINO-5-(3-METHYLPHENYL)-5,5-DIPHENYLPROPANOIC ACID", 14370 },
	{ "DQ8", "", "", ResidueType::NON_POLYMER, false, "1-(3-{[(2-aminoethyl)sulfanyl](diphenyl)methyl}phenyl)ethanone", 14371 },
	{ "DQA", "", "", ResidueType::NON_POLYMER, false, "1,3,4-TRIHYDROXY-5-OXO-CYCLOHEXANECARBOXYLIC ACID", 14372 },
	{ "DQB", "", "", ResidueType::NON_POLYMER, false, "4-[(4-{[(2-AMINO-4-OXO-3,4-DIHYDROQUINAZOLIN-6-YL)METHYL]AMINO}BENZOYL)AMINO]BUTANOIC ACID", 14373 },
	{ "DQG", "", "", ResidueType::NON_POLYMER, false, "2-{(S)-(2-chlorophenyl)[2-(piperidin-1-yl)ethoxy]methyl}-1H-pyrrolo[3,2-b]pyridine-7-carboxylic acid", 14374 },
	{ "DQH", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-2-(3,4-DIHYDROXYPHENYL)-3,5,7-TRIHYDROXY-2,3-DIHYDRO-4H-CHROMEN-4-ONE", 14375 },
	{ "DQJ", "", "", ResidueType::NON_POLYMER, false, "N-{(3S)-1-[5-(propan-2-yl)-1H-pyrazole-3-carbonyl]pyrrolidin-3-yl}cyclopropanecarboxamide", 14376 },
	{ "DQK", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-4-[[(5~{S})-5-azanyl-6-oxidanylidene-hexyl]amino]-2-naphthalen-2-ylsulfanyl-4-oxidanylidene-butanoic acid", 14377 },
	{ "DQM", "", "", ResidueType::NON_POLYMER, false, "(2~{S},3~{R},4~{S})-2-[(2~{S},3~{R})-1,3-bis(oxidanyl)-1-oxidanylidene-butan-2-yl]-3-methyl-4-[(3~{S},5~{S})-5-[(sulfamoylamino)methyl]pyrrolidin-3-yl]sulfanyl-3,4-dihydro-2~{H}-pyrrole-5-carboxylic acid", 14378 },
	{ "DQN", "", "", ResidueType::NON_POLYMER, false, "DUROQUINONE", 14379 },
	{ "DQO", "", "", ResidueType::NON_POLYMER, false, "1-(2,6-DICHLOROPHENYL)-5-(2,4-DIFLUOROPHENYL)-7-PIPERAZIN-1-YL-3,4-DIHYDROQUINAZOLIN-2(1H)-ONE", 14380 },
	{ "DQP", "", "", ResidueType::NON_POLYMER, false, "{5-chloro-2-[(pentabromobenzyl)carbamoyl]phenoxy}acetic acid", 14381 },
	{ "DQQ", "", "", ResidueType::SACCHARIDE, false, "2,5-DIDEOXY-2,5-IMINO-D-MANNITOL", 14382 },
	{ "DQR", "", "", ResidueType::SACCHARIDE, false, "beta-D-fructofuranosyl-(2->1)-beta-D-fructofuranosyl alpha-D-glucopyranoside", 14383 },
	{ "DQS", "", "", ResidueType::NON_POLYMER, false, "5-(1-tert-butyl-1H-pyrazol-4-yl)-7-oxo-6-(propan-2-yl)-4,7-dihydropyrazolo[1,5-a]pyrimidine-3-carbonitrile", 14384 },
	{ "DQT", "", "", ResidueType::NON_POLYMER, false, "methyl 3-deoxy-2-O-(4-methylbenzoyl)-3-[(4-methylbenzoyl)amino]-beta-D-talopyranoside", 14385 },
	{ "DQU", "", "", ResidueType::NON_POLYMER, false, "2,6-DIAMINO-3H-QUINAZOLIN-4-ONE", 14386 },
	{ "DQV", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]methyl [(2R,3S,4R,5S)-5-(3-carbamoylphenyl)-3,4-dihydroxytetrahydrofuran-2-yl]methyl dihydrogen diphosphate (non-preferred name)", 14387 },
	{ "DQW", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-1-[(2~{S})-2-oxidanylpropoxy]propan-2-ol", 14388 },
	{ "DQX", "", "", ResidueType::NON_POLYMER, false, "8-[3,5-difluoro-4-(morpholin-4-ylmethyl)phenyl]-2-(1-piperidin-4-yl-1H-pyrazol-4-yl)quinoxaline", 14389 },
	{ "DQY", "", "", ResidueType::NON_POLYMER, false, "3-(dimethyl-lambda~4~-sulfanyl)propanoic acid", 14390 },
	{ "DQZ", "", "", ResidueType::NON_POLYMER, false, "3-(4-bromophenyl)propanoic acid", 14391 },
	{ "DR0", "", "", ResidueType::NON_POLYMER, false, "N-(HYDROXYMETHYL)-N,N-DIMETHYLHEXAN-1-AMINIUM", 14392 },
	{ "DR1", "", "", ResidueType::NON_POLYMER, false, "5-METHYL-5H-INDOLO[3,2-B]QUINOLINE", 14393 },
	{ "DR2", "", "", ResidueType::SACCHARIDE, false, "6-DEOXY-ALPHA-L-IDOPYRANOSYL-(1->2)-ALPHA-D-GLUCOPYRANOSYL-(1->4)-2-(ACETYLAMINO)-2-DEOXY-BETA-L-GULOPYRANOSE", 14394 },
	{ "DR3", "", "", ResidueType::SACCHARIDE, false, "6-deoxy-alpha-L-galactopyranosyl-(1->2)-beta-D-galactopyranosyl-(1->3)-2-(acetylamino)-2-deoxy-beta-D-glucopyranose", 14395 },
	{ "DR4", "", "", ResidueType::SACCHARIDE, false, "METHYL 9-(BETA-D-TALOPYRANOSYLOXY)NONANOATE", 14396 },
	{ "DR5", "", "", ResidueType::NON_POLYMER, false, "METHYL 4-O-L-GLUCOPYRANOSYL-ALPHA-L-RIBO-HEXOPYRANOSIDE", 14397 },
	{ "DR6", "", "", ResidueType::NON_POLYMER, false, "ALPHA-[4-(1,1,3,3 - TETRAMETHYLBUTYL)PHENYL]-OMEGA-HYDROXY-POLY(OXY-1,2-ETHANEDIYL)", 14398 },
	{ "DR7", "", "", ResidueType::NON_POLYMER, false, "(3S,8S,9S,12S)-3,12-BIS(1,1-DIMETHYLETHYL)-8-HYDROXY-4,11-DIOXO-9-(PHENYLMETHYL)-6-[[4-(2-PYRIDINYL)PHENYL]METHYL]-2,5,6,10,13-PENTAAZATETRADECANEDIOIC ACID DIMETHYL ESTER", 14399 },
	{ "DR8", "", "", ResidueType::NON_POLYMER, false, "N,N,N-TRIMETHYLHEPTA-1,3,5-TRIYN-1-AMINIUM", 14400 },
	{ "DR9", "", "", ResidueType::NON_POLYMER, false, "1-CIS-9-OCTADECANOYL-2-CIS-9-HEXADECANOYL PHOSPHATIDYL GLYCEROL", 14401 },
	{ "DRA", "", "", ResidueType::NON_POLYMER, false, "11-DEOXY-BETA-RHODOMYCIN", 14402 },
	{ "DRB", "", "", ResidueType::NON_POLYMER, false, "", 14403 },
	{ "DRC", "", "", ResidueType::NON_POLYMER, false, "9-AMINO-N-[2-(4-MORPHOLINYL)ETHYL]-4-ACRIDINECARBOXAMIDE", 14404 },
	{ "DRD", "", "", ResidueType::NON_POLYMER, false, "2-[(1-{3-[(6-BENZOYL-1-PROPYL-2-NAPHTHYL)OXY]PROPYL}-1H-INDOL-4-YL)OXY]-2-METHYLPROPANOIC ACID", 14405 },
	{ "DRE", "", "", ResidueType::NON_POLYMER, false, "N-(6-AMINOHEXYL)HEXANE-1,6-DIAMINE", 14406 },
	{ "DRF", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-ETHOXY-3-{4-[2-(10H-PHENOXAZIN-10-YL)ETHOXY]PHENYL}PROPANOIC ACID", 14407 },
	{ "DRG", "", "", ResidueType::NON_POLYMER, false, "5,6-DIHYDRO-BENZO[H]CINNOLIN-3-YLAMINE", 14408 },
	{ "DRH", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(4-{2-[1,3-BENZOXAZOL-2-YL(HEPTYL)AMINO]ETHYL}PHENOXY)-2-METHYLBUTANOIC ACID", 14409 },
	{ "DRI", "", "", ResidueType::SACCHARIDE, false, "4-O-METHYL-2,6-DIDEOXY-BETA-D-GLUCOSE", 14410 },
	{ "DRJ", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(4-{2-[1,3-BENZOXAZOL-2-YL(HEPTYL)AMINO]ETHYL}PHENOXY)-2-METHYLBUTANOIC ACID", 14411 },
	{ "DRK", "", "", ResidueType::NON_POLYMER, false, "3-({[(3S)-3,4-dihydroxybutyl]oxy}amino)-1H,2'H-2,3'-biindol-2'-one", 14412 },
	{ "DRL", "", "", ResidueType::NON_POLYMER, false, "2-methyl-3,5,7,8-tetrahydro-4H-thiopyrano[4,3-d]pyrimidin-4-one", 14413 },
	{ "DRM", "", "", ResidueType::DNA_LINKING, false, "{[(1R,2S)-2-(2,4-DIOXO-3,4-DIHYDROPYRIMIDIN-1(2H)-YL)CYCLOPENTYL]OXY}METHYLPHOSPHONIC ACID", 14414 },
	{ "DRN", "", "", ResidueType::NON_POLYMER, false, "BISINDOLYLMALEIMIDE IX", 14415 },
	{ "DRO", "", "", ResidueType::NON_POLYMER, false, "1-(2-{[(3S)-3-(aminomethyl)-3,4-dihydroisoquinolin-2(1H)-yl]carbonyl}phenyl)-4-chloro-5-methyl-N,N-diphenyl-1H-pyrazole-3-carboxamide", 14416 },
	{ "DRP", "", "", ResidueType::DNA_LINKING, false, "2-DEOXYRIBOFURANOSYL-PYRIDINE-5'-MONOPHOSPHATE", 14417 },
	{ "DRQ", "", "", ResidueType::NON_POLYMER, false, "(9ALPHA,13BETA,17BETA)-2-[(1Z)-BUT-1-EN-1-YL]ESTRA-1,3,5(10)-TRIENE-3,17-DIOL", 14418 },
	{ "DRR", "", "", ResidueType::NON_POLYMER, false, "", 14419 },
	{ "DRS", "", "", ResidueType::NON_POLYMER, false, "(9S,12S)-9-(1-methylethyl)-7,10-dioxo-2-oxa-8,11-diazabicyclo[12.2.2]octadeca-1(16),14,17-triene-12-carboxylic acid", 14420 },
	{ "DRT", "", "0DT", ResidueType::DNA_LINKING, true, "", 14421 },
	{ "DRU", "", "", ResidueType::NON_POLYMER, false, "", 14422 },
	{ "DRV", "", "", ResidueType::NON_POLYMER, false, "[(2S,3R,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]methyl (aminoacetyl)sulfamate", 14423 },
	{ "DRW", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4S)-2-[(2S,3R)-3-hydroxy-1-oxobutan-2-yl]-3-methyl-4-({(3S,5S)-5-[(sulfamoylamino)methyl]pyrrolidin-3-yl}sulfanyl)-3,4-dihydro-2H-pyrrole-5-carboxylic acid", 14424 },
	{ "DRX", "", "", ResidueType::NON_POLYMER, false, "[(1S)-1-(5-CHLORO-1-BENZOTHIEN-3-YL)-2-(2-NAPHTHYLAMINO)-2-OXOETHYL]PHOSPHONIC ACID", 14425 },
	{ "DRY", "", "", ResidueType::NON_POLYMER, false, "[(1-{3-[(6-BENZOYL-1-PROPYL-2-NAPHTHYL)OXY]PROPYL}-1H-INDOL-5-YL)OXY]ACETIC ACID", 14426 },
	{ "DRZ", "", "", ResidueType::DNA_LINKING, false, "3',4'-DIHYDROXY-PENTANAL-5'-PHOSPHATE", 14427 },
	{ "DS0", "", "", ResidueType::NON_POLYMER, false, "[(4R)-4-azanyl-4,5-dihydro-1,2-oxazol-3-yl] dihydrogen phosphate", 14428 },
	{ "DS2", "", "", ResidueType::NON_POLYMER, false, "{4-[3-(4-{[(2R)-2-hydroxy-3,3-dimethylbutyl]oxy}-3-methylphenyl)pentan-3-yl]-2-methylphenoxy}acetic acid", 14429 },
	{ "DS3", "", "", ResidueType::NON_POLYMER, false, "5-{4-[3-(4-{[(2R)-2-hydroxy-3,3-dimethylbutyl]oxy}-3-methylphenyl)pentan-3-yl]-2-methylphenoxy}pentanoic acid", 14430 },
	{ "DS4", "", "", ResidueType::NON_POLYMER, false, "", 14431 },
	{ "DS5", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-hydroxy-5-[2-methyl-4-(3-{3-methyl-4-[4,4,4-trifluoro-3-hydroxy-3-(trifluoromethyl)but-1-yn-1-yl]phenyl}pentan-3-yl)phenoxy]pentanoic acid", 14432 },
	{ "DS6", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-hydroxy-5-[4-(3-{4-[(3S)-3-hydroxy-4,4-dimethylpentyl]-3-methylphenyl}pentan-3-yl)-2-methylphenoxy]pentanoic acid", 14433 },
	{ "DSA", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-8-METHYL-6-(4,5,6-TRIMETHOXY-1H-INDOLE-2-CARBONYL)-3,6,7,8-TETRAHYDRO-3,6-DIAZA-AS-INDACENE-2-CARBOXYLIC ACID METHYL ESTER", 14434 },
	{ "DSB", "", "", ResidueType::NON_POLYMER, false, "4,7-DIOXOSEBACIC ACID", 14435 },
	{ "DSC", "", "", ResidueType::NON_POLYMER, false, "DODECANESULFONATE ION", 14436 },
	{ "DSD", "", "", ResidueType::NON_POLYMER, false, "7-(CARBOXYAMINO)-8-AMINO-NONANOIC ACID", 14437 },
	{ "DSE", "", "", ResidueType::PEPTIDE_LINKING, false, "N-METHYL-D-SERINE", 14438 },
	{ "DSF", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(difluoromethoxy)-1,1,1,2-tetrafluoroethane", 14439 },
	{ "DSG", "", "", ResidueType::PEPTIDE_LINKING, false, "D-ASPARAGINE", 14440 },
	{ "DSH", "", "", ResidueType::NON_POLYMER, false, "5'-S-(3-aminopropyl)-5'-thioadenosine", 14441 },
	{ "DSI", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-6-(1H-INDOLE-2-CARBONYL)-8-METHYL-3,6,7,8-TETRAHYDRO-3,6-DIAZA-AS-INDACENE-2-CARBOXYLIC ACID METHYL ESTER", 14442 },
	{ "DSK", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,4S)-1-[(2S,3S,4R,5R,6S)-2,3,4,5,6,7-hexahydroxyheptyl]-3,4-dihydroxy-2-(hydroxymethyl)tetrahydrothiophenium (non-preferred name)", 14443 },
	{ "DSL", "", "", ResidueType::NON_POLYMER, false, "MONO-TRANS, OCTA-CIS DECAPRENYL-PHOSPHATE", 14444 },
	{ "DSM", "", "", ResidueType::NON_POLYMER, false, "3-(10,11-DIHYDRO-5H-DIBENZO[B,F]AZEPIN-5-YL)-N-METHYLPROPAN-1-AMINE", 14445 },
	{ "DSN", "", "", ResidueType::PEPTIDE_LINKING, false, "D-SERINE", 14446 },
	{ "DSO", "", "", ResidueType::NON_POLYMER, false, "ADAMANTANE-1-CARBOXYLIC ACID-5-DIMETHYLAMINO-NAPHTHALENE-1-SULFONYLAMINO-OCTYL-AMIDE", 14447 },
	{ "DSP", "", "DAS", ResidueType::PEPTIDE_LINKING, true, "D-ASPARTIC ACID", 14448 },
	{ "DSR", "", "", ResidueType::SACCHARIDE, false, "2,6-DIDEOXY-4-THIO-BETA-D-ALLOSEPYRANOSIDE", 14449 },
	{ "DSS", "", "", ResidueType::NON_POLYMER, false, "METHYL METHYLSULFINYLMETHYL SULFIDE", 14450 },
	{ "DST", "", "", ResidueType::NON_POLYMER, false, "DIMETHYLALLYL S-THIOLODIPHOSPHATE", 14451 },
	{ "DSU", "", "", ResidueType::NON_POLYMER, false, "((2R,3S,4S,5S)-3,4-DIHYDROXY-5-(HYDROXYMETHYL)-5-((2R,3S,4S,5S,6R)-3,4,5-TRIHYDROXY-6-METHOXY-TETRAHYDRO-2H-PYRAN-2-YLOXY)-TETRAHYDROFURAN-2-YL)METHYL NONANOATE", 14452 },
	{ "DSV", "", "", ResidueType::NON_POLYMER, false, "N-(dibenzo[b,d]thiophen-3-ylsulfonyl)-L-valine", 14453 },
	{ "DSX", "", "BAT", ResidueType::NON_POLYMER, true, "BATIMASTAT", 14454 },
	{ "DSY", "", "", ResidueType::NON_POLYMER, false, "5-(DIMETHYLAMINO)-2-NAPHTHALENESULFONIC ACID", 14455 },
	{ "DSZ", "", "", ResidueType::NON_POLYMER, false, "5'-O-(L-alpha-aspartylsulfamoyl)adenosine", 14456 },
	{ "DT", "T", "", ResidueType::DNA_LINKING, false, "THYMIDINE-5'-MONOPHOSPHATE", 14457 },
	{ "DT1", "", "", ResidueType::NON_POLYMER, false, "4-{[5-(CYCLOHEXYLMETHOXY)[1,2,4]TRIAZOLO[1,5-A]PYRIMIDIN-7-YL]AMINO}BENZENESULFONAMIDE", 14458 },
	{ "DT2", "", "", ResidueType::NON_POLYMER, false, "4-{[5-(CYCLOHEXYLAMINO)[1,2,4]TRIAZOLO[1,5-A]PYRIMIDIN-7-YL]AMINO}BENZENESULFONAMIDE", 14459 },
	{ "DT3", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-2,3-DIHYDROXY-4-SULFANYLBUTANE-1-SULFONATE", 14460 },
	{ "DT4", "", "", ResidueType::NON_POLYMER, false, "4-({5-[(4-AMINOCYCLOHEXYL)AMINO][1,2,4]TRIAZOLO[1,5-A]PYRIMIDIN-7-YL}AMINO)BENZENESULFONAMIDE", 14461 },
	{ "DT5", "", "", ResidueType::NON_POLYMER, false, "4-{[5-(CYCLOHEXYLOXY)[1,2,4]TRIAZOLO[1,5-A]PYRIMIDIN-7-YL]AMINO}BENZENESULFONAMIDE", 14462 },
	{ "DT6", "", "", ResidueType::SACCHARIDE, false, "2,4-bis(acetylamino)-2,4-dideoxy-beta-D-glucopyranose", 14463 },
	{ "DT7", "", "", ResidueType::NON_POLYMER, false, "6,7-dimethoxy-3,4-dihydroisoquinoline-2(1H)-sulfonamide", 14464 },
	{ "DT8", "", "", ResidueType::NON_POLYMER, false, "N-((1R,2S,5S)-2-(5-CHLORO-1H-INDOLE-2-CARBOXAMIDO)-5-(DIMETHYLCARBAMOYL)CYCLOHEXYL)-5-METHYL-4,5,6,7-TETRAHYDROTHIAZOLO[5,4-C]PYRIDINE-2-CARBOXAMIDE", 14465 },
	{ "DT9", "", "", ResidueType::NON_POLYMER, false, "(1S)-6,7-dimethoxy-1-methyl-3,4-dihydroisoquinoline-2(1H)-sulfonamide", 14466 },
	{ "DTA", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,4R,5R,2'S,3'S,4'R,5'R)-2,2'-[DITHIOBIS(METHYLENE)]BIS[5-(6-AMINO-9H-PURIN-9-YL)TETRAHYDROFURAN-3,4-DIOL]", 14467 },
	{ "DTB", "", "", ResidueType::NON_POLYMER, false, "6-(5-METHYL-2-OXO-IMIDAZOLIDIN-4-YL)-HEXANOIC ACID", 14468 },
	{ "DTC", "", "", ResidueType::NON_POLYMER, false, "BISHYDROXY[2H-1-BENZOPYRAN-2-ONE,1,2-BENZOPYRONE]", 14469 },
	{ "DTD", "", "", ResidueType::NON_POLYMER, false, "DITHIANE DIOL", 14470 },
	{ "DTE", "", "", ResidueType::NON_POLYMER, false, "7-CL-D-TRYPTOPHAN", 14471 },
	{ "DTF", "", "", ResidueType::NON_POLYMER, false, "4-[(10S,14S,18S)-18-(2-AMINO-2-OXOETHYL)-14-(1-NAPHTHYLMETHYL)-8,17,20-TRIOXO-7,16,19-TRIAZASPIRO[5.14]ICOS-11-EN-10-YL]BENZYLPHOSPHONIC ACID", 14472 },
	{ "DTG", "", "", ResidueType::NON_POLYMER, false, "DES-AMINO T-BUTYL GLYCINE", 14473 },
	{ "DTH", "", "", ResidueType::PEPTIDE_LINKING, false, "D-THREONINE", 14474 },
	{ "DTI", "", "", ResidueType::NON_POLYMER, false, "3,4-DIMETHYLTHIAZOLIUM ION", 14475 },
	{ "DTL", "", "", ResidueType::NON_POLYMER, false, "L-TREITOL", 14476 },
	{ "DTM", "", "", ResidueType::NON_POLYMER, false, "2,4-DIAMINO-6-[N-(3',4',5'-TRIMETHOXYBENZYL)-N-METHYLAMINO]PYRIDO[2,3-D]PYRIMIDINE", 14477 },
	{ "DTN", "", "", ResidueType::NON_POLYMER, false, "DITHIONITE", 14478 },
	{ "DTO", "", "", ResidueType::NON_POLYMER, false, "1-HYDROXYSULFANYL-4-MERCAPTO-BUTANE-2,3-DIOL", 14479 },
	{ "DTP", "", "", ResidueType::NON_POLYMER, false, "", 14480 },
	{ "DTQ", "", "", ResidueType::NON_POLYMER, false, "4-[3-HYDROXYANILINO]-6,7-DIMETHOXYQUINAZOLINE", 14481 },
	{ "DTR", "", "", ResidueType::PEPTIDE_LINKING, false, "D-TRYPTOPHAN", 14482 },
	{ "DTT", "", "", ResidueType::NON_POLYMER, false, "2,3-DIHYDROXY-1,4-DITHIOBUTANE", 14483 },
	{ "DTU", "", "", ResidueType::NON_POLYMER, false, "(2R,3S)-1,4-DIMERCAPTOBUTANE-2,3-DIOL", 14484 },
	{ "DTV", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-1,4-DIMERCAPTOBUTANE-2,3-DIOL", 14485 },
	{ "DTX", "", "", ResidueType::NON_POLYMER, false, "DIGITOXIGENIN", 14486 },
	{ "DTY", "", "", ResidueType::PEPTIDE_LINKING, false, "D-TYROSINE", 14487 },
	{ "DTZ", "", "", ResidueType::NON_POLYMER, false, "zinc(II)hydrogensulfide", 14488 },
	{ "DU", "", "", ResidueType::DNA_LINKING, false, "2'-DEOXYURIDINE-5'-MONOPHOSPHATE", 14489 },
	{ "DU1", "", "", ResidueType::NON_POLYMER, false, "4-{[3-(8-cyclohexyl-2,6-dioxo-1-propyl-1,2,6,7-tetrahydro-3H-purin-3-yl)propyl]carbamoyl}benzene-1-sulfonyl fluoride", 14490 },
	{ "DU2", "", "", ResidueType::NON_POLYMER, false, "2',5'-dideoxy-5'-{[(R)-(1-methyl-1H-imidazol-2-yl)(phenyl)methyl]amino}uridine", 14491 },
	{ "DU3", "", "", ResidueType::NON_POLYMER, false, "2',5'-dideoxy-5'-[(diphenylmethyl)amino]uridine", 14492 },
	{ "DU4", "", "", ResidueType::NON_POLYMER, false, "2',5'-dideoxy-5'-[(diphenylmethyl)(methyl)amino]uridine", 14493 },
	{ "DUA", "", "", ResidueType::NON_POLYMER, false, "2',5'-dideoxy-5'-(tritylamino)uridine", 14494 },
	{ "DUB", "", "", ResidueType::NON_POLYMER, false, "2,6-dichlorophenol", 14495 },
	{ "DUC", "", "", ResidueType::NON_POLYMER, false, "DIHYDROPYRIMIDINE-2,4(1H,3H)-DIONE", 14496 },
	{ "DUD", "", "", ResidueType::NON_POLYMER, false, "DEOXYURIDINE-5'-DIPHOSPHATE", 14497 },
	{ "DUL", "", "", ResidueType::NON_POLYMER, false, "5-(3-ethylsulfanylphenyl)thiophene-2-carboxamide", 14498 },
	{ "DUM", "", "UNX", ResidueType::NON_POLYMER, true, "DUMMY ATOMS", 14499 },
	{ "DUN", "", "", ResidueType::NON_POLYMER, false, "", 14500 },
	{ "DUO", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-2,8-DIMETHYL-1-OXO-6-(4,5,6-TRIMETHOXY-1H-INDOLE-2-CARBONYL)-1,2,3,6,7,8-HEXAHYDRO-3,6-DIAZA-AS-INDACENE-2-CARBOXYLIC ACID METHYL ESTER", 14501 },
	{ "DUP", "", "", ResidueType::NON_POLYMER, false, "", 14502 },
	{ "DUQ", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[(2,4-dioxopyrimidin-1-yl)methyl]-N-(2-hydroxyethyl)-4-trityloxy-butanamide", 14503 },
	{ "DUR", "", "", ResidueType::NON_POLYMER, false, "2'-DEOXYURIDINE", 14504 },
	{ "DUS", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-sulfouridine", 14505 },
	{ "DUT", "", "", ResidueType::NON_POLYMER, false, "DEOXYURIDINE-5'-TRIPHOSPHATE", 14506 },
	{ "DUV", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-methanoylhept-6-ynoic acid", 14507 },
	{ "DUW", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-methanoyl-3-phenyl-propanoic acid", 14508 },
	{ "DUX", "", "", ResidueType::NON_POLYMER, false, "2,3-DEOXY-3-FLUORO-5-O-TRITYLURIDINE", 14509 },
	{ "DUY", "", "", ResidueType::NON_POLYMER, false, "(2S)-({4-(4-bromophenyl)-1-[1-(tert-butoxycarbonyl)-L-prolyl]piperidine-4-carbonyl}amino)(cyclopentyl)acetic acid", 14510 },
	{ "DUZ", "", "", ResidueType::DNA_LINKING, false, "", 14511 },
	{ "DV1", "", "", ResidueType::NON_POLYMER, false, "(3~{a}~{R},5~{R},6~{S},7~{R},7~{a}~{R})-5-(hydroxymethyl)-2-(prop-2-enylamino)-5,6,7,7~{a}-tetrahydro-3~{a}~{H}-pyrano[3,2-d][1,3]thiazole-6,7-diol", 14512 },
	{ "DV2", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{S})-1-[(2~{S},4~{R})-2-[[4-(4-methyl-1,3-thiazol-5-yl)phenyl]methylcarbamothioyl]-4-oxidanyl-pyrrolidin-1-yl]-1-oxidanylidene-propan-2-yl]ethanamide", 14513 },
	{ "DV4", "", "", ResidueType::NON_POLYMER, false, "4-{[4-(acetylamino)-1-methyl-1H-pyrrole-2-carbonyl]amino}-1-methyl-N-{4-[(1-methyl-1H-pyrrol-3-yl)amino]-4-oxobutyl}-1H-imidazole-2-carboxamide", 14514 },
	{ "DV5", "", "", ResidueType::NON_POLYMER, false, "(2~{S},4~{R})-1-[(2~{S})-2-acetamidopropanethioyl]-~{N}-[[4-(4-methyl-1,3-thiazol-5-yl)phenyl]methyl]-4-oxidanyl-pyrrolidine-2-carboxamide", 14515 },
	{ "DV8", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{S})-1-[(2~{S},4~{R})-2-[[4-(4-methyl-1,3-thiazol-5-yl)phenyl]methylcarbamothioyl]-4-oxidanyl-pyrrolidin-1-yl]-1-sulfanylidene-propan-2-yl]ethanamide", 14516 },
	{ "DVA", "", "", ResidueType::PEPTIDE_LINKING, false, "D-VALINE", 14517 },
	{ "DVC", "", "", ResidueType::SACCHARIDE, false, "(2R,4S,6S)-4-azanyl-4,6-dimethyl-oxane-2,5,5-triol", 14518 },
	{ "DVG", "", "", ResidueType::NON_POLYMER, false, "Divanadate Glycerol ester", 14519 },
	{ "DVH", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,4R)-4-ethenylcyclohexane-1,2-diol", 14520 },
	{ "DVK", "", "", ResidueType::NON_POLYMER, false, "2-[4-(4-azanylbutyl)piperazin-1-yl]ethanol", 14521 },
	{ "DVM", "", "", ResidueType::NON_POLYMER, false, "acetylsisomicin", 14522 },
	{ "DVN", "", "", ResidueType::NON_POLYMER, false, "[[(2R,3R,4R,5R)-5-(6-aminopurin-9-yl)-3-oxidanyl-4-phosphonooxy-oxolan-2-yl]methoxy-oxidanyl-phosphoryl] [(2R,3S,4R,5S)-3,4,5-tris(oxidanyl)oxolan-2-yl]methyl hydrogen phosphate", 14523 },
	{ "DVP", "", "", ResidueType::NON_POLYMER, false, "METHYL 1-(4-{[(2,4-DIAMINOPTERIDIN-6-YL)METHYL]AMINO}BENZOYL)PIPERIDINE-4-CARBOXYLATE", 14524 },
	{ "DVQ", "", "", ResidueType::NON_POLYMER, false, "2-[4-(2-hydroxyethyl)piperazin-1-yl]ethanol", 14525 },
	{ "DVR", "", "", ResidueType::NON_POLYMER, false, "3-(4-CARBAMOYL-1-CARBOXY-2-METHYLSULFONYL-BUTA-1,3-DIENYLAMINO)-INDOLIZINE-2-CARBOXYLIC ACID", 14526 },
	{ "DVT", "", "", ResidueType::NON_POLYMER, false, "DECAVANADATE", 14527 },
	{ "DVW", "", "", ResidueType::NON_POLYMER, false, "five-coordinate platinum(II) compound", 14528 },
	{ "DW0", "", "", ResidueType::NON_POLYMER, false, "1,1'-PROPANE-1,3-DIYLBIS(3,7-DIMETHYL-3,7-DIHYDRO-1H-PURINE-2,6-DIONE)", 14529 },
	{ "DW1", "", "", ResidueType::NON_POLYMER, false, "Ruthenium pyridocarbazole", 14530 },
	{ "DW2", "", "", ResidueType::NON_POLYMER, false, "RU-PYRIDOCARBAZOLE-2", 14531 },
	{ "DW5", "", "", ResidueType::NON_POLYMER, false, "five-coordinate platinum(II) compound", 14532 },
	{ "DWA", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-[3-(2-fluoropyridin-3-yl)phenyl]-4-(4-methoxyphenyl)-4,5-dihydro-1,3-oxazol-2-amine", 14533 },
	{ "DWB", "", "", ResidueType::NON_POLYMER, false, "(4S)-2'-(5-chloro-2-fluorophenyl)-7'-methoxyspiro[1,3-oxazole-4,9'-xanthen]-2-amine", 14534 },
	{ "DWC", "", "", ResidueType::NON_POLYMER, false, "PYRIDOCARBAZOLE CYCLOPENTADIENYL OS(CO) COMPLEX", 14535 },
	{ "DWD", "", "", ResidueType::NON_POLYMER, false, "(4S)-2'-(2-methylpropoxy)-7'-(pyrimidin-5-yl)spiro[1,3-oxazole-4,9'-xanthen]-2-amine", 14536 },
	{ "DWF", "", "", ResidueType::NON_POLYMER, false, "N-(3-fluoro-4-{[2-({3-[(methylsulfonyl)methyl]phenyl}amino)pyrimidin-4-yl]oxy}phenyl)-N'-(4-fluorophenyl)cyclopropane-1,1-dicarboxamide", 14537 },
	{ "DWH", "", "", ResidueType::NON_POLYMER, false, "methyl N-{4-chloro-6-[(4-sulfamoylphenyl)amino]-1,3,5-triazin-2-yl}glycinate", 14538 },
	{ "DWN", "", "", ResidueType::NON_POLYMER, false, "(2R,4S,6R)-4-amino-6-methyl-5-oxotetrahydro-2H-pyran-2-yl [(2R,3S,5R)-3-hydroxy-5-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)tetrahydrofuran-2-yl]methyl dihydrogen diphosphate", 14539 },
	{ "DWV", "", "", ResidueType::NON_POLYMER, false, "(5Z)-5-(3,4-dichlorobenzylidene)-2-(4-methylpiperazin-1-yl)-1,3-thiazol-4(5H)-one", 14540 },
	{ "DWW", "", "", ResidueType::NON_POLYMER, false, "[2-({4-[(5Z)-5-(3,4-dichlorobenzylidene)-4-oxo-4,5-dihydro-1,3-thiazol-2-yl]piperazin-1-yl}methyl)phenyl]boronic acid", 14541 },
	{ "DWX", "", "", ResidueType::NON_POLYMER, false, "[3-({4-[(5Z)-5-(3,4-dichlorobenzylidene)-4-oxo-4,5-dihydro-1,3-thiazol-2-yl]piperazin-1-yl}methyl)phenyl]boronic acid", 14542 },
	{ "DWY", "", "", ResidueType::NON_POLYMER, false, "[4-({4-[(5Z)-5-(3,4-dichlorobenzylidene)-4-oxo-4,5-dihydro-1,3-thiazol-2-yl]piperazin-1-yl}methyl)phenyl]boronic acid", 14543 },
	{ "DWZ", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4S)-4-{[(3S,5S)-5-(dimethylcarbamoyl)pyrrolidin-3-yl]sulfanyl}-2-[(1S,2R)-1-formyl-2-hydroxypropyl]-3-methyl-3,4-dihydro-2H-pyrrole-5-carboxylic acid", 14544 },
	{ "DX", "", "", ResidueType::DNA_LINKING, false, "[(2~{R},3~{S},5~{R})-5-[2,4-bis(oxidanylidene)imidazo[1,2-a][1,3,5]triazin-8-yl]-3-oxidanyl-oxolan-2-yl]methyl dihydrogen phosphate", 14545 },
	{ "DX1", "", "", ResidueType::NON_POLYMER, false, "6,7-bis(1-methylethyl)pteridine-2,4-diamine", 14546 },
	{ "DX2", "", "", ResidueType::NON_POLYMER, false, "6-phenylpteridine-2,4,7-triamine", 14547 },
	{ "DX3", "", "", ResidueType::NON_POLYMER, false, "6,7,7-trimethyl-7,8-dihydropteridine-2,4-diamine", 14548 },
	{ "DX4", "", "", ResidueType::NON_POLYMER, false, "2-amino-1,9-dihydro-6H-purine-6-thione", 14549 },
	{ "DX5", "", "", ResidueType::NON_POLYMER, false, "D-XYLITOL-5-PHOSPHATE", 14550 },
	{ "DX6", "", "", ResidueType::NON_POLYMER, false, "2-amino-5-(2-phenylethyl)-3,7-dihydro-4H-pyrrolo[2,3-d]pyrimidin-4-one", 14551 },
	{ "DX7", "", "", ResidueType::NON_POLYMER, false, "2-amino-4-oxo-6-phenyl-4,7-dihydro-3H-pyrrolo[2,3-d]pyrimidine-5-carbonitrile", 14552 },
	{ "DX8", "", "", ResidueType::NON_POLYMER, false, "2-amino-6-(4-methoxyphenyl)-4-oxo-4,7-dihydro-3H-pyrrolo[2,3-d]pyrimidine-5-carbonitrile", 14553 },
	{ "DX9", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(7-carbamimidoylnaphthalen-2-yl)-2-[4-({(3R)-1-[(1Z)-ethanimidoyl]pyrrolidin-3-yl}oxy)phenyl]propanoic acid", 14554 },
	{ "DXA", "", "", ResidueType::NON_POLYMER, false, "1,2-HYDRO-1-OXY-3,4-HYDRO-3-(1-METHOXY-2-OXY-3,4-DIHYDROXYPENTYL)-8,9-DIHYDROXY-7-(SEC-BUTYL)-ANTHRACENE", 14555 },
	{ "DXB", "", "", ResidueType::NON_POLYMER, false, "1,2-HYDRO-1-OXY-3,4-HYDRO-3-(1-METHOXY-2-OXY-3,4-DIHYDROXYPENTYL)-8,9-DIHYDROXY-7-METHYL-ANTHRACENE", 14556 },
	{ "DXC", "DHO", "", ResidueType::NON_POLYMER, false, "(3ALPHA,5BETA,12ALPHA)-3,12-DIHYDROXYCHOLAN-24-OIC ACID", 14557 },
	{ "DXD", "", "", ResidueType::DNA_LINKING, false, "(1S,3S,4R)-4-(PHOSPHOOXYMETHYL)-CYCLOPENTANE-1,3-DIOL", 14558 },
	{ "DXE", "", "", ResidueType::NON_POLYMER, false, "1,2-DIMETHOXYETHANE", 14559 },
	{ "DXF", "", "", ResidueType::NON_POLYMER, false, "(2R)-5-[(carbamoyloxy)methyl]-2-[(1R)-1-{[(2Z)-2-(furan-2-yl)-2-(methoxyimino)acetyl]amino}-2-oxoethyl]-3,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 14560 },
	{ "DXG", "", "", ResidueType::NON_POLYMER, false, "4-DEOXYGLUCARATE", 14561 },
	{ "DXI", "", "", ResidueType::NON_POLYMER, false, "beta-D-glucopyranosyl-(1->4)-beta-D-galactopyranosyl-(1->4)-alpha-D-glucopyranose", 14562 },
	{ "DXJ", "", "", ResidueType::NON_POLYMER, false, "(3E,5E)-6,10-dimethylundeca-3,5,9-trien-2-one", 14563 },
	{ "DXL", "", "", ResidueType::NON_POLYMER, false, "D-xylaric acid", 14564 },
	{ "DXN", "", "DXD", ResidueType::DNA_LINKING, true, "(1R,3S,4R)-4-(PHOSPHOOXYMETHYL)-CYCLOPENTANE-1,3-DIOL", 14565 },
	{ "DXO", "", "", ResidueType::NON_POLYMER, false, "2-(2,6-DIMETHYLPHENYL)-4-(METHYLSULFANYL)-6-(PIPERAZIN-1-YL)-1,3,5-TRIAZINE", 14566 },
	{ "DXP", "", "", ResidueType::NON_POLYMER, false, "1-DEOXY-D-XYLULOSE-5-PHOSPHATE", 14567 },
	{ "DXQ", "", "", ResidueType::NON_POLYMER, false, "7-[3-(dimethylamino)propoxy]-6-methoxy-2-(4-methyl-1,4-diazepan-1-yl)-N-(1-methylpiperidin-4-yl)quinazolin-4-amine", 14568 },
	{ "DXR", "", "", ResidueType::NON_POLYMER, false, "3-(3-bromobenzyl)-1-tert-butyl-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 14569 },
	{ "DXT", "", "", ResidueType::NON_POLYMER, false, "(4S,4AR,5S,5AR,6R,12AS)-4-(DIMETHYLAMINO)-3,5,10,12,12A-PENTAHYDROXY-6-METHYL-1,11-DIOXO-1,4,4A,5,5A,6,11,12A-OCTAHYDROTETRACENE-2-CARBOXAMIDE", 14570 },
	{ "DXU", "", "", ResidueType::NON_POLYMER, false, "(3R,4R,5R)-3-(2,6-dichlorophenyl)-N-{(1R)-1-[(2R,4S)-4-(dihydroxymethyl)-5,5-dimethyl-1,3-thiazolidin-2-yl]-2-oxoethyl}-5-methyl-1,2-oxazolidine-4-carboxamide", 14571 },
	{ "DXV", "", "", ResidueType::NON_POLYMER, false, "2-cyclopentyl-4-(5-phenyl-1H-pyrrolo[2,3-b]pyridin-3-yl)benzoic acid", 14572 },
	{ "DXW", "", "", ResidueType::NON_POLYMER, false, "6-{[(3S,4S)-4-{2-[(furan-2-ylmethyl)amino]ethoxy}pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 14573 },
	{ "DXX", "", "", ResidueType::NON_POLYMER, false, "METHYLMALONIC ACID", 14574 },
	{ "DXY", "", "", ResidueType::NON_POLYMER, false, "N-({4-[(1S)-4-(2,4-diamino-6-oxo-1,6-dihydropyrimidin-5-yl)-1-(methylsulfanyl)butyl]phenyl}carbonyl)-L-glutamic acid", 14575 },
	{ "DXZ", "", "", ResidueType::NON_POLYMER, false, "N-({4-[(1R)-4-(2,4-diamino-6-oxo-1,6-dihydropyrimidin-5-yl)-1-(methylsulfanyl)butyl]phenyl}carbonyl)-L-glutamic acid", 14576 },
	{ "DY", "", "", ResidueType::NON_POLYMER, false, "DYSPROSIUM ION", 14577 },
	{ "DY2", "", "", ResidueType::NON_POLYMER, false, "7-methoxy-3-methyl-2-[5-[4-(trifluoromethyloxy)phenyl]pyridin-3-yl]quinolin-4-ol", 14578 },
	{ "DY6", "", "", ResidueType::NON_POLYMER, false, "2-({[3-(3,4-dihydroisoquinolin-2(1H)-ylsulfonyl)phenyl]carbonyl}amino)benzoic acid", 14579 },
	{ "DY7", "", "", ResidueType::NON_POLYMER, false, "2-amino-4-[(3,5-dibromophenyl)amino]-6-methylpyrimidin-1-ium", 14580 },
	{ "DYA", "", "", ResidueType::PEPTIDE_LINKING, false, "DIDEHYDROASPARTATE", 14581 },
	{ "DYB", "", "", ResidueType::NON_POLYMER, false, "4-(1,3,2-DIOXABOROLAN-2-YLOXY)BUTAN-1-AMINIUM", 14582 },
	{ "DYD", "", "", ResidueType::NON_POLYMER, false, "(2S,5S)-hexane-2,5-diol", 14583 },
	{ "DYG", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3-amino-3-[(4Z)-1-(carboxymethyl)-4-[(4-hydroxyphenyl)methylidene]-5-oxo-imidazol-2-yl]propanoic acid", 14584 },
	{ "DYH", "", "", ResidueType::NON_POLYMER, false, "(2R,3aR,6S,7R,7aR)-2-[(2S)-2-amino-2-carboxyethyl]-6-hydroxy-7-(methylamino)hexahydro-2H-furo[3,2-b]pyran-2-carboxylic acid", 14585 },
	{ "DYJ", "", "", ResidueType::PEPTIDE_LINKING, false, "1-[(2E)-4-carboxy-4-oxobut-2-en-2-yl]-L-proline", 14586 },
	{ "DYK", "", "", ResidueType::NON_POLYMER, false, "N-{2-methoxy-4-[(1-methylpiperidin-4-yl)oxy]phenyl}-4-(1H-pyrrolo[2,3-c]pyridin-3-yl)pyrimidin-2-amine", 14587 },
	{ "DYL", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-2-aminopent-4-enoic acid", 14588 },
	{ "DYM", "", "", ResidueType::NON_POLYMER, false, "6-(2,3-DIHYDROXYPROPOXY)-5-ACETAMIDO-5,6-DIHYDRO-4-HYDROXY-4H-PYRAN-2-CARBOXYLIC ACID", 14589 },
	{ "DYN", "", "", ResidueType::NON_POLYMER, false, "", 14590 },
	{ "DYP", "", "", ResidueType::NON_POLYMER, false, "1-[1-(4-{[(2,4-DIAMINOPTERIDIN-6-YL)METHYL]AMINO}BENZYL)PIPERIDIN-4-YL]PROPAN-1-ONE", 14591 },
	{ "DYS", "", "", ResidueType::PEPTIDE_LINKING, false, "S-[5-(2-aminoethyl)-2,3-dihydroxyphenyl]-L-cysteine", 14592 },
	{ "DYV", "", "", ResidueType::NON_POLYMER, false, "1-(3-chloro-4-{[1-(2-hydroxy-3-methoxyphenyl)-5-oxo[1,2,4]triazolo[4,3-a]quinazolin-4(5H)-yl]methyl}benzene-1-carbonyl)-L-proline", 14593 },
	{ "DYY", "", "", ResidueType::NON_POLYMER, false, "1-[(2,6-difluorophenyl)sulfonyl]-4-(2,3-dihydro-1,4-benzodioxin-6-ylsulfonyl)piperazine", 14594 },
	{ "DZ0", "", "", ResidueType::NON_POLYMER, false, "(2~{E})-5-methoxy-2-[[1-(phenylmethyl)piperidin-4-yl]methylidene]-3~{H}-inden-1-one", 14595 },
	{ "DZ1", "", "", ResidueType::NON_POLYMER, false, "N-(3,5-dibromo-4-hydroxyphenyl)-2,6-dimethylbenzamide", 14596 },
	{ "DZ2", "", "", ResidueType::NON_POLYMER, false, "2,5-dichloro-N-(3,5-dibromo-4-hydroxyphenyl)benzamide", 14597 },
	{ "DZ3", "", "", ResidueType::NON_POLYMER, false, "N-(3,5-dibromo-4-hydroxyphenyl)-4-hydroxy-3,5-dimethylbenzamide", 14598 },
	{ "DZ4", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-[(R)-hydroxy{[(R)-hydroxy(phosphonooxy)phosphoryl]amino}phosphoryl]adenosine", 14599 },
	{ "DZ5", "", "", ResidueType::NON_POLYMER, false, "(2Z)-3-(4-fluorophenyl)-2-sulfanylprop-2-enoic acid", 14600 },
	{ "DZ7", "", "", ResidueType::NON_POLYMER, false, "(2~{E})-5,6-dimethoxy-2-[[1-(phenylmethyl)piperidin-4-yl]methylidene]-3~{H}-inden-1-one", 14601 },
	{ "DZ8", "", "", ResidueType::NON_POLYMER, false, "2-FLUORO-8-[(6-IODO-1,3-BENZODIOXOL-5-YL)METHYL]-9-[3-(ISOPROPYLAMINO)PROPYL]-9H-PURIN-6-AMINE", 14602 },
	{ "DZ9", "", "", ResidueType::NON_POLYMER, false, "3-amino-N-(3-fluorophenyl)-6-thiophen-2-ylthieno[2,3-b]pyridine-2-carboxamide", 14603 },
	{ "DZA", "", "", ResidueType::NON_POLYMER, false, "DAMINOZIDE", 14604 },
	{ "DZD", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-{[(R)-{[(3R,4R)-1-(3-carbamoylbenzyl)-4-hydroxypyrrolidin-3-yl]methoxy}(hydroxy)phosphoryl]methyl}(hydroxy)phosphoryl]adenosine", 14605 },
	{ "DZE", "", "", ResidueType::NON_POLYMER, false, "methyl (3S)-3-[(tert-butoxycarbonyl)amino]-4-oxopentanoate", 14606 },
	{ "DZF", "", "", ResidueType::NON_POLYMER, false, "5-DEAZAFOLIC ACID", 14607 },
	{ "DZG", "", "", ResidueType::NON_POLYMER, false, "1-(2,3-dihydro-1,4-benzodioxin-6-ylsulfonyl)-4-[(4-methoxyphenyl)sulfonyl]piperazine", 14608 },
	{ "DZJ", "", "", ResidueType::NON_POLYMER, false, "3-benzyl-8-chloro-2-hydroxy-4H-pyrimido[2,1-b][1,3]benzothiazol-4-one", 14609 },
	{ "DZK", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-(phenylmethylsulfanyl)butanedioic acid", 14610 },
	{ "DZL", "", "", ResidueType::NON_POLYMER, false, "2-ethyl-N-[(1S,3R)-5-oxidanyl-2-adamantyl]-4-[(2R)-oxolan-2-yl]-1,3-thiazole-5-carboxamide", 14611 },
	{ "DZM", "", "", ResidueType::DNA_LINKING, false, "3-deaza-3-methyladenine", 14612 },
	{ "DZN", "", "", ResidueType::NON_POLYMER, false, "DAIDZIN", 14613 },
	{ "DZO", "", "", ResidueType::NON_POLYMER, false, "3-(3-aminophenyl)-N-(3-chlorophenyl)pyrazolo[1,5-a]pyrimidin-5-amine", 14614 },
	{ "DZP", "", "", ResidueType::NON_POLYMER, false, "7-CHLORO-1-METHYL-5-PHENYL-1,3-DIHYDRO-2H-1,4-BENZODIAZEPIN-2-ONE", 14615 },
	{ "DZS", "", "", ResidueType::NON_POLYMER, false, "3-{4-[(2-chlorophenyl)methyl]-5-oxo-4,5-dihydro[1,2,4]triazolo[4,3-a]quinazolin-1-yl}-4-hydroxybenzoic acid", 14616 },
	{ "DZT", "", "", ResidueType::NON_POLYMER, false, "(1~{R},3~{S},5~{Z})-4-methylidene-5-[(~{E})-3-[3-(6-methyl-6-oxidanyl-heptyl)phenyl]non-2-enylidene]cyclohexane-1,3-diol", 14617 },
	{ "DZV", "", "", ResidueType::NON_POLYMER, false, "4-[(2-chlorophenyl)methyl]-1-(2-hydroxy-3-methoxyphenyl)[1,2,4]triazolo[4,3-a]quinazolin-5(4H)-one", 14618 },
	{ "DZW", "", "", ResidueType::NON_POLYMER, false, "(1~{R},3~{S},5~{Z})-4-methylidene-5-[(~{E})-3-[3-(6-methyl-6-oxidanyl-heptyl)phenyl]dec-2-enylidene]cyclohexane-1,3-diol", 14619 },
	{ "DZX", "", "", ResidueType::NON_POLYMER, false, "DEOXY-GALACTO-NOEUROSTEGINE", 14620 },
	{ "DZY", "", "", ResidueType::NON_POLYMER, false, "(2,5-dimethyl-1,3-thiazol-4-yl)acetic acid", 14621 },
	{ "DZZ", "", "", ResidueType::NON_POLYMER, false, "O,O-DIMETHYL HYDROGEN THIOPHOSPHATE", 14622 },
	{ "E", "", "", ResidueType::DNA_LINKING, false, "", 14623 },
	{ "E02", "", "", ResidueType::NON_POLYMER, false, "5-(1H-benzimidazol-1-ylacetyl)-2-chlorobenzenesulfonamide", 14624 },
	{ "E04", "", "", ResidueType::NON_POLYMER, false, "3-CARBOXAMIDO-1,3,5(10)-ESTRATRIEN-17(R)-SPIRO-2'(5',5'-DIMETHYL-6'OXO)TETRAHYDROPYRAN", 14625 },
	{ "E05", "", "", ResidueType::NON_POLYMER, false, "(1~{R},3~{S},5~{Z})-4-methylidene-5-[(~{E})-3-[3-(6-methyl-6-oxidanyl-heptyl)phenyl]pent-2-enylidene]cyclohexane-1,3-diol", 14626 },
	{ "E06", "", "", ResidueType::NON_POLYMER, false, "[(1R)-1-[(2,6-difluorophenyl)carbonylamino]ethyl]-trihydroxy-boron", 14627 },
	{ "E07", "", "", ResidueType::NON_POLYMER, false, "TRIHYDROXY-[(1S)-1-[[2-(PHENYLMETHYL)PHENYL]CARBONYLAMINO]ETHYL]BORON", 14628 },
	{ "E08", "", "", ResidueType::NON_POLYMER, false, "TRIHYDROXY-[(1S)-1-[(2-PROPAN-2-YLPHENYL)CARBONYLAMINO]ETHYL]BORON", 14629 },
	{ "E09", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXYMETHYL-5-AZIRIDINYL-1METHYL-2-[1H-INDOLE-4,7-DIONE]-PROPANOL", 14630 },
	{ "E0A", "", "", ResidueType::NON_POLYMER, false, "N-(1-ethyl-2-oxo-1,2-dihydrobenzo[cd]indol-6-yl)butane-1-sulfonamide", 14631 },
	{ "E0B", "", "", ResidueType::NON_POLYMER, false, "N-[(1-acetylpiperidin-4-yl)methyl]-1-ethyl-2-oxo-1,2-dihydrobenzo[cd]indole-6-sulfonamide", 14632 },
	{ "E0C", "", "", ResidueType::NON_POLYMER, false, "5-bromo-N-(1-ethyl-2-oxo-1,2-dihydrobenzo[cd]indol-6-yl)-2-methoxybenzenesulfonamide", 14633 },
	{ "E0E", "", "", ResidueType::NON_POLYMER, false, "(1~{R},3~{S},5~{Z})-4-methylidene-5-[(~{E})-3-[3-(6-methyl-6-oxidanyl-heptyl)phenyl]hex-2-enylidene]cyclohexane-1,3-diol", 14634 },
	{ "E0G", "", "", ResidueType::NON_POLYMER, false, "4-[6,6-dimethyl-4-oxidanylidene-3-(trifluoromethyl)-5,7-dihydroindazol-1-yl]-2-[(4-oxidanylcyclohexyl)amino]benzamide", 14635 },
	{ "E0Y", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S,5R)-5-[(2R,3R)-1,3-dihydroxybutan-2-yl]-3-({(3R)-1-[(1E)-ethanimidoyl]pyrrolidin-3-yl}sulfanyl)-L-proline", 14636 },
	{ "E0Z", "", "", ResidueType::NON_POLYMER, false, "2-[1-[2-[(3-chloranylacridin-9-yl)amino]ethyl]-1,2,3-triazol-4-yl]-~{N}-[(3-methoxy-4-oxidanyl-phenyl)methyl]ethanamide", 14637 },
	{ "E10", "", "", ResidueType::NON_POLYMER, false, "", 14638 },
	{ "E11", "", "", ResidueType::NON_POLYMER, false, "N~4~-(1-benzylpiperidin-4-yl)-N~2~-[3-(dimethylamino)propyl]-6,7-dimethoxyquinazoline-2,4-diamine", 14639 },
	{ "E12", "", "", ResidueType::NON_POLYMER, false, "", 14640 },
	{ "E13", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S,3S)-4-{(4R)-4-[(2,2-dimethylpropyl)carbamoyl]-5,5-dimethyl-1,3-thiazolidin-3-yl}-3-hydroxy-4-oxo-1-phenylbutan-2-yl]-N~2~-{(2S)-2-[(methoxycarbonyl)amino]-2-phenylacetyl}-3-methyl-L-valinamide", 14641 },
	{ "E14", "", "", ResidueType::PEPTIDE_LIKE, false, "(4R)-3-[(2S,3S)-3-[[(2S)-2-[[(2S)-2-azanyl-2-phenyl-ethanoyl]amino]-3,3-dimethyl-butanoyl]amino]-2-hydroxy-4-phenyl-butanoyl]-5,5-dimethyl-N-(2-methylpropyl)-1,3-thiazolidine-4-carboxamide", 14642 },
	{ "E15", "", "", ResidueType::PEPTIDE_LIKE, false, "(4R)-3-[(2S,3S)-3-[[(2S)-2-[[(2S)-2-azanyl-2-phenyl-ethanoyl]amino]-3,3-dimethyl-butanoyl]amino]-2-hydroxy-4-phenyl-butanoyl]-5,5-dimethyl-N-[(2R)-3-methylbutan-2-yl]-1,3-thiazolidine-4-carboxamide", 14643 },
	{ "E16", "", "", ResidueType::PEPTIDE_LIKE, false, "(4R)-3-[(2S,3S)-3-[[(2S)-2-[[(2S)-2-azanyl-2-phenyl-ethanoyl]amino]-3,3-dimethyl-butanoyl]amino]-2-hydroxy-4-phenyl-butanoyl]-N-[(2R)-3,3-dimethylbutan-2-yl]-5,5-dimethyl-1,3-thiazolidine-4-carboxamide", 14644 },
	{ "E17", "", "", ResidueType::PEPTIDE_LIKE, false, "", 14645 },
	{ "E18", "", "", ResidueType::NON_POLYMER, false, "2-(DIMETHYLAMINO)ETHYL (1Z)-2-PHENYL-N-(SULFOOXY)ETHANIMIDOTHIOATE", 14646 },
	{ "E1B", "", "", ResidueType::NON_POLYMER, false, "5-[(3-ethynylphenyl)amino]pyrimido[4,5-c]quinoline-8-carboxylic acid", 14647 },
	{ "E1D", "", "", ResidueType::NON_POLYMER, false, "(7R)-2-[(3,5-difluoro-4-hydroxyphenyl)amino]-5,7,8-trimethyl-7,8-dihydropteridin-6(5H)-one", 14648 },
	{ "E1E", "", "", ResidueType::NON_POLYMER, false, "2-chloro-4-{[(4,6-dimethylpyrimidin-2-yl)sulfanyl]acetyl}benzenesulfonamide", 14649 },
	{ "E1F", "", "", ResidueType::NON_POLYMER, false, "2-chloro-4-[(pyrimidin-2-ylsulfanyl)acetyl]benzenesulfonamide", 14650 },
	{ "E1G", "", "", ResidueType::NON_POLYMER, false, "3-[(pyrimidin-2-ylsulfanyl)acetyl]benzenesulfonamide", 14651 },
	{ "E1H", "", "", ResidueType::NON_POLYMER, false, "ETHANIMINE", 14652 },
	{ "E1K", "", "", ResidueType::NON_POLYMER, false, "6-chloranyl-10-methyl-1,2,3,4-tetrahydroacridin-10-ium-9-amine", 14653 },
	{ "E1M", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-{6-[(1S)-1-(3-amino-2,6-dichlorophenyl)ethoxy]-4-cyclopropylquinolin-3-yl}prop-2-enoic acid", 14654 },
	{ "E1N", "", "", ResidueType::NON_POLYMER, false, "12-Amino-3-chloro-6,7,10,11-tetrahydro-5,9-dimethyl-7,11-methanocycloocta[b]quinolin-5-ium", 14655 },
	{ "E1P", "", "", ResidueType::NON_POLYMER, false, "ETHYL OXO(PIPERIDIN-1-YL)ACETATE", 14656 },
	{ "E1S", "", "", ResidueType::NON_POLYMER, false, "N~2~-{3-[4-(5-methylthiophen-2-yl)phenyl]propanoyl}-L-alpha-glutamine", 14657 },
	{ "E1T", "", "", ResidueType::NON_POLYMER, false, "1,8-naphthyridine-2-carboxylic acid", 14658 },
	{ "E1X", "", "", ResidueType::DNA_LINKING, false, "PHOSPHORIC ACID MONO-[5-(1-ETHYL-2,6-DIOXO-1,2,3,6-TETRAHYDRO-PURIN-9-YL)-3-HYDROXY-TETRAHYDRO-FURAN-2-YLMETHYL]ESTER", 14659 },
	{ "E1Z", "", "", ResidueType::NON_POLYMER, false, "S-Trichostatin A", 14660 },
	{ "E20", "", "", ResidueType::NON_POLYMER, false, "1-BENZYL-4-[(5,6-DIMETHOXY-1-INDANON-2-YL)METHYL]PIPERIDINE", 14661 },
	{ "E21", "", "", ResidueType::NON_POLYMER, false, "21-hydroxy-oligomycin", 14662 },
	{ "E22", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-~{N}-[(1~{R},2~{S})-1-cyano-1-oxidanyl-3-[(3~{S})-2-oxidanylidenepiperidin-3-yl]propan-2-yl]-3-phenyl-2-[[(~{E})-3-phenylprop-2-enoyl]amino]propanamide", 14663 },
	{ "E23", "", "", ResidueType::NON_POLYMER, false, "N-(4-tert-butylbenzyl)-2-(trifluoromethyl)benzamide", 14664 },
	{ "E24", "", "", ResidueType::NON_POLYMER, false, "N-(2,4-dichlorobenzyl)-2-(trifluoromethyl)benzamide", 14665 },
	{ "E27", "", "", ResidueType::NON_POLYMER, false, "2-chloro-5-[(1H-imidazo[4,5-c]quinolin-2-ylsulfanyl)acetyl]benzenesulfonamide", 14666 },
	{ "E28", "", "", ResidueType::NON_POLYMER, false, "4-{4-[4-(aminomethyl)-3-(trifluoromethyl)phenyl]-1H-pyrazol-5-yl}-N-(2,3-dihydro-1-benzofuran-5-ylmethyl)-1H-pyrrole-2-carboxamide", 14667 },
	{ "E29", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-[5-chloro-2-(1H-tetrazol-1-yl)phenyl]prop-2-enoic acid", 14668 },
	{ "E2B", "", "", ResidueType::NON_POLYMER, false, "3-{[(9beta,14beta,16alpha,17alpha)-3,17-dihydroxyestra-1,3,5(10)-trien-16-yl]methyl}benzamide", 14669 },
	{ "E2G", "", "", ResidueType::PEPTIDE_LIKE, false, "(2R)-N-[(4-{2-[(acetylamino)methyl]phenyl}-5-methyl-4H-1,2,4-triazol-3-yl)methyl]-2-amino-2-hydroxyacetamide", 14670 },
	{ "E2I", "", "", ResidueType::NON_POLYMER, false, "4-{[(5-butylpyrimidin-2-yl)sulfanyl]acetyl}benzenesulfonamide", 14671 },
	{ "E2J", "", "", ResidueType::NON_POLYMER, false, "6-(2-{4-[bis(4-fluorophenyl)methylidene]piperidin-1-yl}ethyl)-7-methyl-5H-[1,3]thiazolo[3,2-a]pyrimidin-5-one", 14672 },
	{ "E2M", "", "", ResidueType::NON_POLYMER, false, "cis-4-{[2-({4-[(1E)-3-morpholin-4-yl-3-oxoprop-1-en-1-yl]-2,3-bis(trifluoromethyl)phenyl}sulfanyl)phenoxy]methyl}cyclohexanecarboxylic acid", 14673 },
	{ "E2P", "", "", ResidueType::NON_POLYMER, false, "PROSTAGLANDIN B2", 14674 },
	{ "E2Z", "", "", ResidueType::NON_POLYMER, false, "2-(3-fluorophenyl)-N-{2-[2-(1H-imidazol-1-yl)pyrimidin-4-yl]ethyl}ethanamine", 14675 },
	{ "E30", "", "", ResidueType::NON_POLYMER, false, "4-(1H-tetrazol-5-yl)aniline", 14676 },
	{ "E32", "", "", ResidueType::NON_POLYMER, false, "7-[(3~{S})-3-azanylpyrrolidin-1-yl]-5-cyclopropyl-8-fluoranyl-imidazo[1,2-a]quinoxalin-4-one", 14677 },
	{ "E34", "", "", ResidueType::NON_POLYMER, false, "ethyl 3,4-diaminobenzoate", 14678 },
	{ "E35", "", "", ResidueType::NON_POLYMER, false, "ethyl 3,5-dihydroxybenzoate", 14679 },
	{ "E36", "", "", ResidueType::NON_POLYMER, false, "2-chloro-5-[(6,7-dihydro-1H-[1,4]dioxino[2,3-f]benzimidazol-2-ylsulfanyl)acetyl]benzenesulfonamide", 14680 },
	{ "E37", "", "", ResidueType::NON_POLYMER, false, "N~2~-[4-(4-phenylthiophen-2-yl)benzoyl]-L-alpha-glutamine", 14681 },
	{ "E38", "", "", ResidueType::NON_POLYMER, false, "5-{[(5-bromo-1H-benzimidazol-2-yl)sulfanyl]acetyl}-2-chlorobenzenesulfonamide", 14682 },
	{ "E3A", "", "", ResidueType::NON_POLYMER, false, "1-({(1R,5S,6r)-6-[1-(4-fluorophenyl)-1H-pyrazol-3-yl]-3-azabicyclo[3.1.0]hexane-3-carbonyl}oxy)pyrrolidine-2,5-dione", 14683 },
	{ "E3C", "", "", ResidueType::RNA_LINKING, false, "", 14684 },
	{ "E3D", "", "", ResidueType::NON_POLYMER, false, "dichloro(1,3-dimethyl-1H-benzimidazol-3-ium-2-yl)ruthenium", 14685 },
	{ "E3E", "", "", ResidueType::NON_POLYMER, false, "5-cyclopropyl-8-fluoranyl-7-pyridin-4-yl-imidazo[1,2-a]quinoxalin-4-one", 14686 },
	{ "E3G", "", "", ResidueType::NON_POLYMER, false, "ESTRONE BETA-D-GLUCURONIDE", 14687 },
	{ "E3M", "", "", ResidueType::SACCHARIDE, false, "(1R)-4-(acetylamino)-3-amino-1,5-anhydro-2,3,4-trideoxy-1-sulfo-D-glycero-D-galacto-octitol", 14688 },
	{ "E3O", "", "", ResidueType::NON_POLYMER, false, "(16ALPHA,17ALPHA)-ESTRA-1,3,5(10)-TRIENE-3,16,17-TRIOL", 14689 },
	{ "E3P", "", "", ResidueType::NON_POLYMER, false, "N~2~-[3-(1,1':4',1''-terphenyl-4-yl)propanoyl]-L-alpha-glutamine", 14690 },
	{ "E3S", "", "", ResidueType::NON_POLYMER, false, "(1R)-N-(4-tert-butyl-3-fluorophenyl)-6-methoxy-2-[(3-oxo-2,3-dihydro-1,2-oxazol-5-yl)acetyl]-1,2,3,4-tetrahydroisoquinoline-1-carboxamide", 14691 },
	{ "E3V", "", "", ResidueType::NON_POLYMER, false, "{cis-3-[(5R)-5-[(7-fluoro-1,1-dimethyl-1H-inden-5-yl)carbamoyl]-2-methoxy-7,8-dihydro-1,6-naphthyridine-6(5H)-carbonyl]cyclobutyl}acetic acid", 14692 },
	{ "E40", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-(1,3-dioxo-1,3-dihydro-2H-isoindol-2-yl)-N-hydroxy-2-{[(4'-methoxybiphenyl-4-yl)sulfonyl](propan-2-yloxy)amino}butanamide", 14693 },
	{ "E41", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-N^2^-(3-methylbutyl)-N^2^-(naphthalen-2-ylsulfonyl)-D-valinamide", 14694 },
	{ "E42", "", "", ResidueType::NON_POLYMER, false, "", 14695 },
	{ "E43", "", "", ResidueType::NON_POLYMER, false, "12-POLYTUNGSTATE", 14696 },
	{ "E46", "", "", ResidueType::NON_POLYMER, false, "N-(piperidin-4-ylmethyl)-3-[3-(trifluoromethyloxy)phenyl]-[1,2,3]triazolo[4,5-b]pyridin-5-amine", 14697 },
	{ "E49", "", "", ResidueType::NON_POLYMER, false, "2-chloro-5-{[(4,6-dimethylpyrimidin-2-yl)sulfanyl]acetyl}benzenesulfonamide", 14698 },
	{ "E4B", "", "", ResidueType::NON_POLYMER, false, "ethyl 4-hydroxybenzoate", 14699 },
	{ "E4D", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-2-(4-(2-(PIPERIDIN-1-YL)ETHOXY)PHENYL)-2,3-DIHYDRO-3-(4-HYDROXYPHENYL)BENZO[B][1,4]OXATHIIN-6-OL", 14700 },
	{ "E4F", "", "", ResidueType::NON_POLYMER, false, "5-[[(1R,2S)-2-(5-azanylpentanoylamino)-2,3-dihydro-1H-inden-1-yl]methyl]-1,3-benzodioxole-4-carboxylic acid", 14701 },
	{ "E4H", "", "", ResidueType::NON_POLYMER, false, "(3R,4S,5S,7R,9E,11R,12R)-12-ETHYL-4-HYDROXY-3,5,7,11-TETRAMETHYLOXACYCLODODEC-9-ENE-2,8-DIONE", 14702 },
	{ "E4M", "", "", ResidueType::NON_POLYMER, false, "", 14703 },
	{ "E4N", "", "NET", ResidueType::NON_POLYMER, true, "TETRAETHYLAMMONIUM ION", 14704 },
	{ "E4P", "", "", ResidueType::SACCHARIDE, false, "ERYTHOSE-4-PHOSPHATE", 14705 },
	{ "E4S", "", "", ResidueType::NON_POLYMER, false, "5-{2-amino-1-[4-(morpholin-4-yl)phenyl]-1H-benzimidazol-6-yl}-N-(2-fluorophenyl)-2-methoxypyridine-3-sulfonamide", 14706 },
	{ "E50", "", "", ResidueType::NON_POLYMER, false, "2-chloro-5-{[(5-ethylpyrimidin-2-yl)sulfanyl]acetyl}benzenesulfonamide", 14707 },
	{ "E52", "", "", ResidueType::NON_POLYMER, false, "Methylated Ruthenium Pyridocarbazole", 14708 },
	{ "E55", "", "", ResidueType::NON_POLYMER, false, "3-O-DECYL-2-DEOXY-6-O-{2-DEOXY-3-O-[(3R)-3-METHOXYDECYL]-6-O-METHYL-2-[(11Z)-OCTADEC-11-ENOYLAMINO]-4-O-PHOSPHONO-BETA-D-GLUCOPYRANOSYL}-2-[(3-OXOTETRADECANOYL)AMINO]-1-O-PHOSPHONO-ALPHA-D-GLUCOPYRANOSE", 14709 },
	{ "E57", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-1-(3-chlorophenyl)-2-hydroxyethyl]-4-(2-{[(2S)-1-hydroxybutan-2-yl]amino}-5-methylpyrimidin-4-yl)-1H-pyrrole-2-carboxamide", 14710 },
	{ "E59", "", "", ResidueType::NON_POLYMER, false, "4-{[(4-methyl-6-oxo-1,6-dihydropyrimidin-2-yl)sulfanyl]acetyl}benzenesulfonamide", 14711 },
	{ "E5E", "", "", ResidueType::NON_POLYMER, false, "Noradrenaline", 14712 },
	{ "E5G", "", "", ResidueType::SACCHARIDE, false, "5-hydroxypentyl alpha-D-glucopyranoside", 14713 },
	{ "E5J", "", "", ResidueType::NON_POLYMER, false, "5-chloro-N~2~-{4-[4-(dimethylamino)piperidin-1-yl]-2-methoxyphenyl}-N~4~-[2-(dimethylphosphoryl)phenyl]pyrimidine-2,4-diamine", 14714 },
	{ "E5M", "", "", ResidueType::NON_POLYMER, false, "(7S)-2-[(3,5-difluoro-4-hydroxyphenyl)amino]-5,7,8-trimethyl-7,8-dihydropteridin-6(5H)-one", 14715 },
	{ "E5Q", "", "", ResidueType::NON_POLYMER, false, "3-(3,5-dimethyl-1,2-oxazol-4-yl)-5-[(~{R})-oxidanyl(pyridin-3-yl)methyl]phenol", 14716 },
	{ "E5S", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-({2-benzyl-6-[(3R,4S)-3-hydroxy-4-methoxypyrrolidin-1-yl]pyridin-3-yl}ethynyl)-1-azabicyclo[2.2.2]octan-3-ol", 14717 },
	{ "E5T", "", "", ResidueType::NON_POLYMER, false, "3-[(~{R})-cyclopropyl(oxidanyl)methyl]-5-(3,5-dimethyl-1,2-oxazol-4-yl)phenol", 14718 },
	{ "E5W", "", "", ResidueType::NON_POLYMER, false, "3-[[4,4-bis(fluoranyl)piperidin-1-yl]methyl]-5-(3,5-dimethyl-1,2-oxazol-4-yl)phenol", 14719 },
	{ "E62", "", "", ResidueType::NON_POLYMER, false, "(3S,4R,8S,9S,11E)-8,9,16-trihydroxy-3,4-dimethyl-14-(methylamino)-3,4,5,6,9,10-hexahydro-1H-2-benzoxacyclotetradecine-1,7(8H)-dione", 14720 },
	{ "E63", "", "", ResidueType::NON_POLYMER, false, "6-({4-[(3-cyclopropyl-1H-pyrazol-5-yl)amino]-5-(phenylamino)pyrimidin-2-yl}amino)-1,2-dihydro-3H-indazol-3-one", 14721 },
	{ "E64", "", "", ResidueType::NON_POLYMER, false, "N-[N-[1-HYDROXYCARBOXYETHYL-CARBONYL]LEUCYLAMINO-BUTYL]-GUANIDINE", 14722 },
	{ "E65", "", "", ResidueType::NON_POLYMER, false, "4-{[(4,6-dimethylpyrimidin-2-yl)sulfanyl]acetyl}benzenesulfonamide", 14723 },
	{ "E67", "", "", ResidueType::NON_POLYMER, false, "7-[(5-aminopentyl)oxy]-N~4~-(1-benzylpiperidin-4-yl)-N~2~-[3-(dimethylamino)propyl]-6-methoxyquinazoline-2,4-diamine", 14724 },
	{ "E69", "", "", ResidueType::PEPTIDE_LIKE, false, "N~2~-[(3S)-4-({(2R)-1-[(4-carbamimidamidobutyl)amino]-4-methyl-1-oxopentan-2-yl}amino)-3-hydroxy-4-oxobutanoyl]-L-arginyl-L-prolinamide", 14725 },
	{ "E6A", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{R})-2-[(2~{S},3~{S})-3-bromanyl-1,4-bis(oxidanylidene)-2,3-dihydronaphthalen-2-yl]-3-oxidanyl-2,3-dihydronaphthalene-1,4-dione", 14726 },
	{ "E6C", "", "", ResidueType::NON_POLYMER, false, "N-[1-HYDROXYCARBOXYETHYL-CARBONYL]LEUCYLAMINO-2-METHYL-BUTANE", 14727 },
	{ "E6D", "", "", ResidueType::NON_POLYMER, false, "ethyl (3S)-3-hydroxy-4-({(2S)-4-methyl-1-[(3-methylbutyl)amino]-1-oxopentan-2-yl}amino)-4-oxobutanoate", 14728 },
	{ "E6G", "", "", ResidueType::RNA_LINKING, false, "", 14729 },
	{ "E6Q", "", "", ResidueType::NON_POLYMER, false, "3-phenyl-1~{H}-pyrrolo[3,4-g]indol-8-one", 14730 },
	{ "E6T", "", "", ResidueType::NON_POLYMER, false, "3-(3-hydroxyphenyl)-1~{H}-pyrrolo[3,4-g]indol-8-one", 14731 },
	{ "E6U", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-1-benzyl-2-(3-guanidinopropylamino)-2-oxo-ethyl]-4-hydroxy-2-oxo-1H-quinoline-6-carboxamide", 14732 },
	{ "E6W", "", "", ResidueType::NON_POLYMER, false, "2-bromanyl-3-phenyl-1~{H}-pyrrolo[3,4-g]indol-8-one", 14733 },
	{ "E70", "", "", ResidueType::NON_POLYMER, false, "N-{2-[(4-hydroxyphenyl)amino]pyridin-3-yl}-4-methoxybenzenesulfonamide", 14734 },
	{ "E71", "", "", ResidueType::NON_POLYMER, false, "3-[4-(2,3-difluorophenyl)-1,2-oxazol-5-yl]-5-(pyridin-4-yl)-1H-pyrrolo[2,3-b]pyridine", 14735 },
	{ "E72", "", "", ResidueType::NON_POLYMER, false, "7-[(5-aminopentyl)oxy]-N~4~-[1-(5-aminopentyl)piperidin-4-yl]-N~2~-[3-(dimethylamino)propyl]-6-methoxyquinazoline-2,4-diamine", 14736 },
	{ "E75", "", "", ResidueType::NON_POLYMER, false, "trans-4-{[4-(5-methyl-3-phenyl-1,2-oxazol-4-yl)pyrimidin-2-yl]amino}cyclohexanol", 14737 },
	{ "E7B", "", "", ResidueType::NON_POLYMER, false, "", 14738 },
	{ "E7E", "", "", ResidueType::NON_POLYMER, false, "~{N}4-[3-(aminomethyl)phenyl]-1~{H}-indole-2,4-dicarboxamide", 14739 },
	{ "E7G", "", "", ResidueType::RNA_LINKING, false, "", 14740 },
	{ "E7H", "", "", ResidueType::NON_POLYMER, false, "4-[[(5~{S},7~{R})-3-azanyl-1-adamantyl]carbonylamino]-1~{H}-indole-2-carboxamide", 14741 },
	{ "E7N", "", "", ResidueType::NON_POLYMER, false, "~{N}-[5-[2-azanyl-5-(4-piperazin-1-ylphenyl)pyridin-3-yl]-2-methoxy-phenyl]propane-1-sulfonamide", 14742 },
	{ "E7P", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-4-phosphonobutanoic acid", 14743 },
	{ "E7S", "", "", ResidueType::NON_POLYMER, false, "(5,6-dimethyl-1H-benzimidazol-2-yl)methanol", 14744 },
	{ "E7T", "", "", ResidueType::NON_POLYMER, false, "5-[[(1S,2R,4R)-4-ethyl-6,7-bis(fluoranyl)-2,5-bis(oxidanyl)-2-(trifluoromethyl)-3,4-dihydro-1H-naphthalen-1-yl]amino]-1H-quinolin-2-one", 14745 },
	{ "E7V", "", "", ResidueType::NON_POLYMER, false, "4-bromo-6-[(3,4-dichlorophenyl)sulfanyl]-1-{[4-(dimethylcarbamoyl)phenyl]methyl}-1H-indole-2-carboxylic acid", 14746 },
	{ "E7W", "", "", ResidueType::NON_POLYMER, false, "(1~{R},2~{S})-2-[[4-[[3-(aminomethyl)phenyl]amino]quinazolin-2-yl]amino]cyclohexane-1-carboxylic acid", 14747 },
	{ "E82", "", "", ResidueType::NON_POLYMER, false, "3-[3-(aminomethyl)phenyl]-~{N}-[(1~{S})-1,2,3,4-tetrahydronaphthalen-1-yl]benzamide", 14748 },
	{ "E85", "", "", ResidueType::NON_POLYMER, false, "3-[[3-[[3-(aminomethyl)phenyl]amino]-1~{H}-pyrazolo[3,4-d]pyrimidin-4-yl]amino]phenol", 14749 },
	{ "E86", "", "", ResidueType::NON_POLYMER, false, "4-{2-[(2-chlorophenyl)amino]-5-methylpyrimidin-4-yl}-N-[(1S)-2-hydroxy-1-phenylethyl]-1H-pyrrole-2-carboxamide", 14750 },
	{ "E87", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-{[(2R)-2-(decanoylamino)-3-hydroxypropyl]sulfanyl}propane-1,2-diyl ditetradecanoate", 14751 },
	{ "E88", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-[[4-[[3-(aminomethyl)phenyl]amino]quinazolin-2-yl]amino]-3-methyl-butanoic acid", 14752 },
	{ "E89", "", "", ResidueType::NON_POLYMER, false, "6-AMINO-4-[2-(4-METHOXYPHENYL)ETHYL]-1,7-DIHYDRO-8H-IMIDAZO[4,5-G]QUINAZOLIN-8-ONE", 14753 },
	{ "E8B", "", "", ResidueType::NON_POLYMER, false, "~{N}-[3-[3-(aminomethyl)phenyl]phenyl]-3-methyl-butanamide", 14754 },
	{ "E8D", "", "", ResidueType::NON_POLYMER, false, "2-[(3,5-difluoro-4-hydroxyphenyl)amino]-8-phenyl-7,8-dihydropteridin-6(5H)-one", 14755 },
	{ "E8U", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-oxidanyl-2-oxidanylidene-heptanedioic acid", 14756 },
	{ "E8V", "", "", ResidueType::NON_POLYMER, false, "4,4'-(2-aminopyridine-3,5-diyl)bis(2,6-difluorophenol)", 14757 },
	{ "E8Z", "", "", ResidueType::NON_POLYMER, false, "~{N}-(3,4-dimethylphenyl)-4-oxidanylidene-chromene-3-carboxamide", 14758 },
	{ "E90", "", "", ResidueType::NON_POLYMER, false, "4-[(pyrimidin-2-ylsulfanyl)acetyl]benzenesulfonamide", 14759 },
	{ "E91", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-(9H-fluoren-9-ylidenehydrazinylidene)methyl]benzoic acid", 14760 },
	{ "E92", "", "", ResidueType::NON_POLYMER, false, "~{N}-(3-chlorophenyl)-4-oxidanylidene-chromene-3-carboxamide", 14761 },
	{ "E94", "", "", ResidueType::NON_POLYMER, false, "4-(3-chlorophenyl)-5-{2-[(3-hydroxyphenyl)amino]pyrimidin-4-yl}-2-{[2-(piperidin-1-yl)ethyl]amino}thiophene-3-carbonitrile", 14762 },
	{ "E96", "", "", ResidueType::NON_POLYMER, false, "4-{[4-HYDROXY-PHENYL]-1H-BENZIMIDAZOLE-5-YL}-BENZIMIDAZOLE-2-YL-[4-HYDROXY-BENZENE]", 14763 },
	{ "E97", "", "", ResidueType::NON_POLYMER, false, "[3-(4-{2'-[4-(3-DIMETHYLAMINO-PROPOXY)-PHENYL]-3H,3'H-[5,5']BIBENZOIMIDAZOLYL-2-YL}-PHENOXY)-PROPYL]-DIMETHYL-AMINE", 14764 },
	{ "E98", "", "", ResidueType::NON_POLYMER, false, "~{N}-(3-fluorophenyl)-4-oxidanylidene-chromene-3-carboxamide", 14765 },
	{ "E9D", "", "", ResidueType::NON_POLYMER, false, "Heteroaryldihydropyrimidine tetramethylrodamine", 14766 },
	{ "E9L", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-methyl-7-(4-methylphenyl)-5-oxo-1,5-dihydro-1,6-naphthyridin-1-ium", 14767 },
	{ "E9N", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-(phenylmethylsulfanyl)butanedioic acid", 14768 },
	{ "E9P", "", "", ResidueType::NON_POLYMER, false, "5-ETHYL-2-PHENOXYPHENOL", 14769 },
	{ "E9Q", "", "", ResidueType::NON_POLYMER, false, "5-azanyl-3-pyrrolidin-1-yl-1~{H}-pyrazole-4-carbonitrile", 14770 },
	{ "E9T", "", "", ResidueType::NON_POLYMER, false, "6-[3-(1-adamantyl)-4-oxidanyl-phenyl]naphthalene-2-carboxylic acid", 14771 },
	{ "E9V", "", "", ResidueType::PEPTIDE_LINKING, false, "N-methyl-L-histidine", 14772 },
	{ "E9Z", "", "", ResidueType::NON_POLYMER, false, "5-chloro-N~4~-cyclopropyl-N~2~-[4-(2-methoxyethoxy)phenyl]pyrimidine-2,4-diamine", 14773 },
	{ "EA1", "", "", ResidueType::NON_POLYMER, false, "3H-IMIDAZO[2,1-I]PURINE", 14774 },
	{ "EA2", "", "", ResidueType::NON_POLYMER, false, "AMINOETHANOLPYROPHOSPHATE", 14775 },
	{ "EA4", "", "", ResidueType::NON_POLYMER, false, "ethyl N-[(4-aminobenzyl)carbamoyl]glycinate", 14776 },
	{ "EA5", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-AMINO-5-[({3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}METHYL)AMINO]PENTANOIC ACID", 14777 },
	{ "EA7", "", "", ResidueType::NON_POLYMER, false, "(7R)-2-[(3,5-difluoro-4-hydroxyphenyl)amino]-7,8-dimethyl-5-(prop-2-yn-1-yl)-7,8-dihydropteridin-6(5H)-one", 14778 },
	{ "EAA", "", "", ResidueType::NON_POLYMER, false, "ETHACRYNIC ACID", 14779 },
	{ "EAB", "", "", ResidueType::NON_POLYMER, false, "(3-{(E)-[3-(AMINOMETHYL)PHENYL]DIAZENYL}PHENYL)ACETIC ACID", 14780 },
	{ "EAC", "", "", ResidueType::NON_POLYMER, false, "ethyl 3-oxobutanoate", 14781 },
	{ "EAD", "", "", ResidueType::NON_POLYMER, false, "", 14782 },
	{ "EAG", "", "", ResidueType::SACCHARIDE, false, "2-aminoethyl 2-(acetylamino)-2-deoxy-beta-D-glucopyranoside", 14783 },
	{ "EAH", "", "", ResidueType::NON_POLYMER, false, "(5S,7E,9E,11Z,14Z)-5-hydroxyicosa-7,9,11,14-tetraenoic acid", 14784 },
	{ "EAJ", "", "", ResidueType::NON_POLYMER, false, "3-(2-methoxyphenyl)benzoic acid", 14785 },
	{ "EAL", "", "", ResidueType::NON_POLYMER, false, "1-((2S)-2-{[(1S)-1-CARBOXY-3-PHENYLPROPYL]AMINO}PROPANOYL)-L-PROLINE", 14786 },
	{ "EAM", "", "", ResidueType::NON_POLYMER, false, "2-[(4S)-6-(4-chlorophenyl)-8-methoxy-1-methyl-4H-[1,2,4]triazolo[4,3-a][1,4]benzodiazepin-4-yl]-N-ethylacetamide", 14787 },
	{ "EAN", "", "", ResidueType::DNA_LINKING, false, "[(1~{S},2~{R},4~{R},6~{S},8~{R})-8-[5-methyl-2,4-bis(oxidanylidene)pyrimidin-1-yl]-6-oxidanyl-9-oxatricyclo[4.3.0.0^{2,4}]nonan-2-yl] dihydrogen phosphate", 14788 },
	{ "EAP", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-VINYL-PHOSPHATE", 14789 },
	{ "EAT", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,4R,5S)-2-(1H-benzimidazol-2-yl)-5-methylpyrrolidine-3,4-diol", 14790 },
	{ "EAX", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-2,3,4-trihydroxybutanoic acid", 14791 },
	{ "EB0", "", "", ResidueType::NON_POLYMER, false, "1-ethyl-N-(4-fluorophenyl)-2-oxo-1,2-dihydrobenzo[cd]indole-6-sulfonamide", 14792 },
	{ "EB1", "", "", ResidueType::NON_POLYMER, false, "SEOCALCITOL", 14793 },
	{ "EB2", "", "", ResidueType::NON_POLYMER, false, "N-cycloheptyl-1-ethyl-2-oxo-1,2-dihydrobenzo[cd]indole-6-sulfonamide", 14794 },
	{ "EB3", "", "", ResidueType::NON_POLYMER, false, "N-cyclohexyl-1-ethyl-2-oxo-1,2-dihydrobenzo[cd]indole-6-sulfonamide", 14795 },
	{ "EB4", "", "", ResidueType::NON_POLYMER, false, "N,N',N''-[(3S,7S,11S)-2,6,10-trioxo-1,5,9-trioxacyclododecane-3,7,11-triyl]tris(2,3-dihydroxybenzamide)", 14796 },
	{ "EB5", "", "", ResidueType::NON_POLYMER, false, "N,1-diethyl-2-oxo-1,2-dihydrobenzo[cd]indole-6-sulfonamide", 14797 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "2-chloro-N-(1-ethyl-2-oxo-1,2-dihydrobenzo[cd]indol-6-yl)-4-fluorobenzenesulfonamide", 14798 },
	{ "EB8", "", "", ResidueType::NON_POLYMER, false, "methyl 2-[(1-ethyl-2-oxo-1,2-dihydrobenzo[cd]indol-6-yl)sulfamoyl]benzoate", 14799 },
	{ "EB9", "", "", ResidueType::NON_POLYMER, false, "N-(1-ethyl-2-oxo-1,2-dihydrobenzo[cd]indol-6-yl)benzenesulfonamide", 14800 },
	{ "EBC", "", "", ResidueType::NON_POLYMER, false, "N,N'-ethane-1,2-diylbis(2-iodoacetamide)", 14801 },
	{ "EBD", "", "", ResidueType::NON_POLYMER, false, "[4-({4-[(5-cyclopropyl-1H-pyrazol-3-yl)amino]-5-methylpyrimidin-2-yl}amino)phenyl]acetonitrile", 14802 },
	{ "EBG", "", "", ResidueType::SACCHARIDE, false, "2-HYDROXYMETHYL-6-(2-OXIRANYL-ETHOXY)-TETRAHYDRO-PYRAN-3,4,5-TRIOL", 14803 },
	{ "EBH", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-bromopropan-2-ol", 14804 },
	{ "EBI", "", "", ResidueType::NON_POLYMER, false, "1-{4-[(3-cyclopropyl-1H-pyrazol-5-yl)amino]pyrrolo[2,1-f][1,2,4]triazin-2-yl}-N-(6-fluoropyridin-3-yl)-2-methyl-L-prolinamide", 14805 },
	{ "EBJ", "", "", ResidueType::NON_POLYMER, false, "1H-1,2,3-triazole-5-thiol", 14806 },
	{ "EBM", "", "", ResidueType::NON_POLYMER, false, "2-iodo-N-(1-methylethyl)benzamide", 14807 },
	{ "EBN", "", "", ResidueType::NON_POLYMER, false, "(S)-6-amino-N-((S)-6-amino-1-(((1r,4S)-4-guanidinocyclohexyl)methylamino)-1-oxohexan-2-yl)-2-(2-(3,4-dichlorophenyl)acetamido)hexanamide", 14808 },
	{ "EBP", "", "", ResidueType::NON_POLYMER, false, "DIETHYL 4-METHYLBENZYLPHOSPHONATE", 14809 },
	{ "EBQ", "", "", ResidueType::SACCHARIDE, false, "2-[(2R)-OXIRAN-2-YL]ETHYL ALPHA-D-GLUCOPYRANOSIDE", 14810 },
	{ "EBS", "", "", ResidueType::NON_POLYMER, false, "3-ETHYL-2-[(2Z)-2-(3-ETHYL-6-SULFO-1,3-BENZOTHIAZOL-2(3H)-YLIDENE)HYDRAZINO]-6-SULFO-3H-1,3-BENZOTHIAZOL-1-IUM", 14811 },
	{ "EBT", "", "", ResidueType::NON_POLYMER, false, "N-[(2R,3R)-3-amino-2-hydroxy-4-phenylbutanoyl]-L-leucine", 14812 },
	{ "EBU", "", "", ResidueType::NON_POLYMER, false, "pepide inhibtor", 14813 },
	{ "EBW", "", "", ResidueType::NON_POLYMER, false, "4-(5-{4-[DIMETHYL(PROP-2-ENYL)AMMONIO]PHENYL}-3-OXOPENTYL)-N,N-DIMETHYL-N-PROP-2-ENYLBENZENAMINIUM", 14814 },
	{ "EC2", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-8-CYCLOPROPYL-7-(NAPHTHALEN-1-YLMETHYL)-5-OXO-2-PHENYL-2,3-DIHYDRO-5H-[1,3]THIAZOLO[3,2-A]PYRIDINE-3-CARBOXYLIC ACID", 14815 },
	{ "EC5", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[5-CYCLOPROPYL-6-(HYDROXYSULFANYL)-4-(NAPHTHALEN-1-YLMETHYL)-2-OXOPYRIDIN-1(2H)-YL]-3-PHENYLPROPANOIC ACID", 14816 },
	{ "EC6", "", "", ResidueType::PEPTIDE_LIKE, false, "N-hexanoyl-L-valyl-N~1~-[(4S,5S,6R)-5-hydroxy-2,6-dimethyloctan-4-yl]-N~5~,N~5~-dimethyl-L-glutamamide", 14817 },
	{ "EC7", "", "", ResidueType::NON_POLYMER, false, "(S)-N-(cyclopropylmethyl)-N~2~-methyl-N-[2-methyl-2-(1-methylpiperidin-4-yl)propyl]alaninamide", 14818 },
	{ "ECA", "", "", ResidueType::NON_POLYMER, false, "N,N',N''-[BENZENE-1,3,5-TRIYLTRIS(METHYLENE)]TRIS(2,3-DIHYDROXYBENZAMIDE)", 14819 },
	{ "ECC", "", "", ResidueType::PEPTIDE_LINKING, false, "(4S)-4-amino-5-hydroxypentanamide", 14820 },
	{ "ECD", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-(2-carboxyethyl)imidazolidin-2-iminium", 14821 },
	{ "ECE", "", "", ResidueType::NON_POLYMER, false, "Caprolactone", 14822 },
	{ "ECG", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXY-8-METHYL-8-AZA-BICYCLO[3.2.1]OCTANE-2-CARBOXYLIC ACID METHYL ESTER", 14823 },
	{ "ECH", "RAW", "", ResidueType::NON_POLYMER, false, "beta,beta-caroten-4-one", 14824 },
	{ "ECJ", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-(6-amino-9H-purin-9-yl)-2-({[(S)-hydroxy(phosphonooxy)phosphoryl]oxy}methyl)-4-oxo-4,5-dihydrofuran-3-yl trihydrogen diphosphate", 14825 },
	{ "ECL", "", "", ResidueType::NON_POLYMER, false, "1-[(2R)-2-[(4-chlorobenzyl)oxy]-2-(2,4-dichlorophenyl)ethyl]-1H-imidazole", 14826 },
	{ "ECM", "", "", ResidueType::NON_POLYMER, false, "7-{8-chloro-11-[3-(4-chloro-3,5-dimethylphenoxy)propyl]-1-oxo-7-(1,3,5-trimethyl-1H-pyrazol-4-yl)-4,5-dihydro-1H-[1,4]diazepino[1,2-a]indol-2(3H)-yl}-1-methyl-1H-indole-3-carboxylic acid", 14827 },
	{ "ECN", "", "", ResidueType::NON_POLYMER, false, "1-[(2S)-2-[(4-CHLOROBENZYL)OXY]-2-(2,4-DICHLOROPHENYL)ETHYL]-1H-IMIDAZOLE", 14828 },
	{ "ECO", "", "", ResidueType::NON_POLYMER, false, "ESTRADIOL-6 CARBOXYL-METHYL-OXIME", 14829 },
	{ "ECP", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-methyl-5-[(1R,4aR,8aR)-5,5,8a-trimethyl-2-methylidenedecahydronaphthalen-1-yl]pent-2-en-1-yl trihydrogen diphosphate", 14830 },
	{ "ECQ", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-[(2S)-2-AMINO-3-HYDROXYBUTYL]PYRROLIDIN-2-ONE", 14831 },
	{ "ECS", "", "", ResidueType::NON_POLYMER, false, "2,3,17BETA-TRIHYDROXY-1,3,5(10)-ESTRATRIENE", 14832 },
	{ "ECT", "", "", ResidueType::NON_POLYMER, false, "ECTEINASCIDIN 743", 14833 },
	{ "ECV", "", "", ResidueType::NON_POLYMER, false, "2-[(3~{S})-7-fluoranyl-4-[(3-oxidanylidene-4~{H}-1,4-benzoxazin-6-yl)carbonyl]-2,3-dihydro-1,4-benzoxazin-3-yl]-~{N}-methyl-ethanamide", 14834 },
	{ "ECX", "", "", ResidueType::PEPTIDE_LINKING, false, "S-ethyl-L-cysteine", 14835 },
	{ "ECY", "", "", ResidueType::NON_POLYMER, false, "3-({11-[3-(4-chloro-3,5-dimethylphenoxy)propyl]-1-oxo-7-(1,3,5-trimethyl-1H-pyrazol-4-yl)-4,5-dihydro-1H-[1,4]diazepino[1,2-a]indol-2(3H)-yl}methyl)benzoic acid", 14836 },
	{ "ECZ", "", "", ResidueType::NON_POLYMER, false, "8-METHOXY-2-[4-(TRIFLUOROMETHYL)PHENYL]-3,4-DIHYDROQUINAZOLIN-4-ONE", 14837 },
	{ "ED1", "", "", ResidueType::NON_POLYMER, false, "", 14838 },
	{ "ED2", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-N-(2-{(4-cyanophenyl)[(1-methyl-1H-imidazol-5-yl)methyl]amino}ethyl)-1-methyl-1H-imidazole-4-sulfonamide", 14839 },
	{ "ED4", "", "", ResidueType::NON_POLYMER, false, "tert-butyl 4-({(2-{(4-cyanophenyl)[(1-methyl-1H-imidazol-5-yl)methyl]amino}ethyl)[(1-methyl-1H-imidazol-4-yl)sulfonyl]amino}methyl)piperidine-1-carboxylate", 14840 },
	{ "ED5", "", "", ResidueType::NON_POLYMER, false, "tert-butyl 4-({(2-{(4-cyanophenyl)[(1-methyl-1H-imidazol-5-yl)methyl]amino}ethyl)[(2-methylphenyl)sulfonyl]amino}methyl)piperidine-1-carboxylate", 14841 },
	{ "ED7", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-N-(2-{(4-cyanophenyl)[(1-methyl-1H-imidazol-5-yl)methyl]amino}ethyl)-2-methylbenzenesulfonamide", 14842 },
	{ "ED8", "", "", ResidueType::NON_POLYMER, false, "5-{6-[(1-methylpiperidin-4-yl)oxy]-1H-benzimidazol-1-yl}-3-{[2-(trifluoromethyl)benzyl]oxy}thiophene-2-carboxamide", 14843 },
	{ "ED9", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3R,5Z,7E,14beta,17alpha)-2-(3-hydroxypropoxy)-9,10-secocholesta-5,7,10-triene-1,3,25-triol", 14844 },
	{ "EDA", "", "", ResidueType::DNA_LINKING, false, "3-[2-DEOXY-RIBOFURANOSYL]-3H-1,3,4,5A,8-PENTAAZA-AS-INDACENE-5'-MONOPHOSPHATE", 14845 },
	{ "EDB", "", "", ResidueType::NON_POLYMER, false, "2-{3-[(5E)-5-{[(2,3-dichlorophenyl)carbamoyl]imino}-3-thiophen-2-yl-2,5-dihydro-1H-pyrazol-1-yl]phenyl}acetamide", 14846 },
	{ "EDC", "", "", ResidueType::DNA_LINKING, false, "N3,N4-ETHENO-2'-DEOXYCYTIDINE-5'-MONOPHOSPHATE", 14847 },
	{ "EDD", "", "", ResidueType::NON_POLYMER, false, "2-[3-(3-tert-butyl-5-{[(2,3-dichlorophenyl)carbamoyl]imino}-2,5-dihydro-1H-pyrazol-1-yl)phenyl]acetamide", 14848 },
	{ "EDE", "", "", ResidueType::NON_POLYMER, false, "EDEINE B", 14849 },
	{ "EDG", "", "", ResidueType::NON_POLYMER, false, "1,4-DIDEOXY-1,4-IMINO-L-ARABINITOL", 14850 },
	{ "EDH", "", "", ResidueType::NON_POLYMER, false, "N~1~-(1-propyl-1,3-dihydro-2H-benzimidazol-2-ylidene)benzene-1,3-dicarboxamide", 14851 },
	{ "EDI", "", "", ResidueType::DNA_LINKING, false, "2'-deoxy-1-(2-iodoethyl)inosine", 14852 },
	{ "EDJ", "", "", ResidueType::NON_POLYMER, false, "2-({5-bromo-2-[(3,4,5-trimethoxyphenyl)amino]pyrimidin-4-yl}oxy)-N-methylbenzene-1-carboximidic acid", 14853 },
	{ "EDM", "", "", ResidueType::NON_POLYMER, false, "6-ethenyl-N,N-dimethyl-2-(methylsulfonyl)pyrimidin-4-amine", 14854 },
	{ "EDN", "", "", ResidueType::NON_POLYMER, false, "ETHANE-1,2-DIAMINE", 14855 },
	{ "EDO", "EGL", "", ResidueType::NON_POLYMER, false, "1,2-ETHANEDIOL", 14856 },
	{ "EDP", "", "", ResidueType::NON_POLYMER, false, "5-ethyl-5-[(2R)-pentan-2-yl]-2-thioxodihydropyrimidine-4,6(1H,5H)-dione", 14857 },
	{ "EDR", "", "", ResidueType::NON_POLYMER, false, "EDROPHONIUM ION", 14858 },
	{ "EDS", "", "", ResidueType::NON_POLYMER, false, "", 14859 },
	{ "EDT", "", "", ResidueType::NON_POLYMER, false, "{[-(BIS-CARBOXYMETHYL-AMINO)-ETHYL]-CARBOXYMETHYL-AMINO}-ACETIC ACID", 14860 },
	{ "EDU", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5-ethynyluridine", 14861 },
	{ "EDV", "", "", ResidueType::NON_POLYMER, false, "1-(2-deoxy-2-methyl-beta-D-arabinofuranosyl)-5-ethynylpyrimidine-2,4(1H,3H)-dione", 14862 },
	{ "EDZ", "", "", ResidueType::NON_POLYMER, false, "1-[2-(2-hydroxyethyl)phenyl]-3-(1,2,3-thiadiazol-5-yl)urea", 14863 },
	{ "EE1", "", "", ResidueType::NON_POLYMER, false, "", 14864 },
	{ "EE2", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(3-hydroxy-3-oxopropyl)-6-[(E)-[(2S)-2-oxidanyl-2,3-dihydroinden-1-ylidene]methyl]-2,3-dihydro-1,4-benzodioxine-5-carboxylic acid", 14865 },
	{ "EE4", "", "", ResidueType::NON_POLYMER, false, "N-[(3R,4R)-4-{[4-(2-fluoro-3-methoxy-6-propoxybenzene-1-carbonyl)benzene-1-carbonyl]amino}pyrrolidin-3-yl]-1H-indazole-5-carboxamide", 14866 },
	{ "EEA", "", "", ResidueType::NON_POLYMER, false, "N-{3-[3-(3'-chlorobiphenyl-4-yl)isoxazol-5-yl]propanoyl}-L-alpha-glutamyl-L-alpha-glutamyl-amide", 14867 },
	{ "EEB", "", "", ResidueType::NON_POLYMER, false, "URIDINE-DIPHOSPHATE-3(N-ACETYLGLUCOSAMINYL)BUTYRIC ACID", 14868 },
	{ "EEC", "", "", ResidueType::NON_POLYMER, false, "N-[3-(3-phenylisoxazol-5-yl)propanoyl]-L-alpha-glutamyl-L-alpha-glutamyl-amide", 14869 },
	{ "EED", "", "", ResidueType::NON_POLYMER, false, "(9BETA,11ALPHA,13ALPHA,14BETA,17ALPHA)-11-(METHOXYMETHYL)ESTRA-1(10),2,4-TRIENE-3,17-DIOL", 14870 },
	{ "EEE", "", "", ResidueType::NON_POLYMER, false, "ETHYL ACETATE", 14871 },
	{ "EEF", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(3-biphenyl-4-ylpropanoyl)-L-alpha-glutamyl-L-alpha-glutamyl-amide", 14872 },
	{ "EEG", "", "", ResidueType::NON_POLYMER, false, "N-{3-[4-(4-phenylthiophen-2-yl)phenyl]propanoyl}-L-alpha-glutamyl-L-alpha-glutamyl-amide", 14873 },
	{ "EEH", "", "", ResidueType::NON_POLYMER, false, "N-[4-[2-[(2S)-4-[2-(methylamino)-2-oxidanylidene-ethyl]-3-oxidanylidene-2-(phenylmethyl)piperazin-1-yl]-2-oxidanylidene-ethyl]cyclohexyl]-2-(3-methyl-1-benzothiophen-2-yl)ethanamide", 14874 },
	{ "EEJ", "", "", ResidueType::NON_POLYMER, false, "methyl (4-{6-[(1S)-2-[(3R)-1-acetylpiperidin-3-yl]-1-({(2E)-3-[5-chloro-2-(1H-tetrazol-1-yl)phenyl]prop-2-enoyl}amino)ethyl]-3-chloropyridazin-4-yl}phenyl)carbamate", 14875 },
	{ "EEM", "", "", ResidueType::NON_POLYMER, false, "[(3S)-3-amino-4-hydroxy-4-oxo-butyl]-[[(2S,3S,4R,5R)-5-(6-aminopurin-9-yl)-3,4-dihydroxy-oxolan-2-yl]methyl]-methyl-selanium", 14876 },
	{ "EEP", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,4R)-2-amino-4,5-dihydroxy-4-methylpentanoic acid", 14877 },
	{ "EES", "", "", ResidueType::NON_POLYMER, false, "3-CHLORO-2-(4-HYDROXYPHENYL)-2H-INDAZOL-5-OL", 14878 },
	{ "EET", "", "", ResidueType::NON_POLYMER, false, "(5~{Z},11~{Z},14~{R},15~{R})-14,15-bis(oxidanyl)icosa-5,8,11-trienoic acid", 14879 },
	{ "EEU", "", "", ResidueType::NON_POLYMER, false, "ESTRADIOL-PYRIDINIUM TETRAACETIC ACID", 14880 },
	{ "EF1", "", "", ResidueType::NON_POLYMER, false, "(2S)-7-amino-2-{[(R)-hydroxy{(1R)-2-methyl-1-[(3-phenylpropanoyl)amino]propyl}phosphoryl]methyl}heptanoic acid", 14881 },
	{ "EF2", "", "", ResidueType::NON_POLYMER, false, "S-Thalidomide", 14882 },
	{ "EF3", "", "", ResidueType::NON_POLYMER, false, "(E)-1-(1-methyl-6-{4-[3-(4-methylpiperazin-1-yl)propoxy]-3-(trifluoromethyl)phenyl}-1H-imidazo[4,5-c]pyridin-4-yl)methanimine", 14883 },
	{ "EF4", "", "", ResidueType::NON_POLYMER, false, "oligomycin C", 14884 },
	{ "EFA", "", "", ResidueType::NON_POLYMER, false, "5'-deoxy-2-ethynyl-5'-fluoroadenosine", 14885 },
	{ "EFB", "", "", ResidueType::NON_POLYMER, false, "oligomycin B", 14886 },
	{ "EFC", "", "", ResidueType::PEPTIDE_LINKING, false, "S,S-(2-FLUOROETHYL)THIOCYSTEINE", 14887 },
	{ "EFD", "", "", ResidueType::NON_POLYMER, false, "avacopan", 14888 },
	{ "EFE", "", "", ResidueType::NON_POLYMER, false, "ENANTIO-PYOCHELIN FE(III)", 14889 },
	{ "EFG", "", "", ResidueType::NON_POLYMER, false, "1-(2-deoxy-2-fluoro-5-O-phosphono-beta-D-arabinofuranosyl)-1H-imidazo[2,1-b]purin-4(5H)-one", 14890 },
	{ "EFO", "", "", ResidueType::NON_POLYMER, false, "Oligomycin A", 14891 },
	{ "EFP", "", "", ResidueType::NON_POLYMER, false, "N-{1-[cis-3-(acetylamino)cyclobutyl]-1H-imidazol-4-yl}-2-(4-methoxyphenyl)acetamide", 14892 },
	{ "EFQ", "", "", ResidueType::NON_POLYMER, false, "N-[1-(cis-3-hydroxycyclobutyl)-1H-imidazol-4-yl]-2-(4-methoxyphenyl)acetamide", 14893 },
	{ "EFS", "", "", ResidueType::NON_POLYMER, false, "ETHYL DIHYDROGEN PHOSPHATE", 14894 },
	{ "EFT", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-cyclohexyl-2-(6-hydroxy-1H-indazol-3-yl)propanenitrile", 14895 },
	{ "EFU", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-6-hydroxy-N-methyl-3-(3-methylbenzyl)-1H-indazole-5-carboxamide", 14896 },
	{ "EFW", "", "", ResidueType::NON_POLYMER, false, "6-{[(1R,3R)-3-hydroxycyclopentyl]amino}pyridine-3-carboxamide", 14897 },
	{ "EFX", "", "", ResidueType::NON_POLYMER, false, "3-(3-methoxycarbonylphenyl)benzoic acid", 14898 },
	{ "EFY", "", "", ResidueType::NON_POLYMER, false, "N-(1-{[(3-tert-butylbenzoyl)amino]methyl}cyclopentyl)-2,1-benzoxazole-4-carboxamide", 14899 },
	{ "EFZ", "", "", ResidueType::NON_POLYMER, false, "(-)-6-CHLORO-4-CYCLOPROPYLETHYNYL-4-TRIFLUOROMETHYL-1,4-DIHYDRO-2H-3,1-BENZOXAZIN-2-ONE", 14900 },
	{ "EG1", "", "", ResidueType::NON_POLYMER, false, "AMINOMETHYLENECARBONYLAMINODI(ETHYLOXY)ETHYLAMINOCARBONYLBENZENESULFONAMIDE", 14901 },
	{ "EG2", "", "", ResidueType::NON_POLYMER, false, "AMINODI(ETHYLOXY)ETHYLAMINOCARBONYLBENZENESULFONAMIDE", 14902 },
	{ "EG3", "", "", ResidueType::NON_POLYMER, false, "PHENYLALANYLAMINODI(ETHYLOXY)ETHYL BENZENESULFONAMIDEAMINOCARBONYLBENZENESULFONAMIDE", 14903 },
	{ "EG5", "", "", ResidueType::NON_POLYMER, false, "", 14904 },
	{ "EG6", "", "", ResidueType::NON_POLYMER, false, "N-({4-methyl-2-[4-(trifluoromethyl)phenyl]-1,3-thiazol-5-yl}carbonyl)-L-serine", 14905 },
	{ "EG8", "", "", ResidueType::NON_POLYMER, false, "N-{2-[2-(1H-imidazol-1-yl)pyrimidin-4-yl]ethyl}-3-(pyridin-3-yl)propan-1-amine", 14906 },
	{ "EGA", "", "", ResidueType::SACCHARIDE, false, "ethyl beta-D-galactopyranoside", 14907 },
	{ "EGB", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-(3-HYDROXYPHENYL)-7,7-DIMETHYL-2-THIOXO-2,3,4,6,7,8-HEXAHYDROQUINAZOLIN-5(1H)-ONE", 14908 },
	{ "EGC", "", "", ResidueType::NON_POLYMER, false, "2-(2-{2-[2-(2-{2-[2-(2-{2-[4-(1,1,3,3-TETRAMETHYL-BUTYL)-PHENOXY]-ETHOXY}-ETHOXY)-ETHOXY]-ETHOXY}-ETHOXY)-ETHOXY]-ETHOXY}-ETHOXY)-ETHANOL", 14909 },
	{ "EGD", "", "", ResidueType::NON_POLYMER, false, "N-ETHYLGUANIDINE", 14910 },
	{ "EGG", "", "", ResidueType::NON_POLYMER, true, "(2R,3R)-5,7-dihydroxy-2-(3,4,5-trihydroxyphenyl)-3,4-dihydro-2H-chromen-3-yl 3,4,5-trihydroxybenzoate", 14911 },
	{ "EGL", "", "EDO", ResidueType::NON_POLYMER, true, "ETHYLENE GLYCOL", 14912 },
	{ "EGM", "", "", ResidueType::NON_POLYMER, false, "4-ethylbenzoic acid", 14913 },
	{ "EGR", "", "", ResidueType::NON_POLYMER, false, "ethyl 3,4,5-trihydroxybenzoate", 14914 },
	{ "EGT", "", "", ResidueType::NON_POLYMER, false, "2-(3,4,5-TRIHYDROXY-PHENYL)-CHROMAN-3,5,7-TRIOL", 14915 },
	{ "EGV", "", "", ResidueType::NON_POLYMER, false, "(4S)-5-carbamimidamido-4-hydroxy-2-oxopentanoic acid", 14916 },
	{ "EGW", "", "", ResidueType::NON_POLYMER, false, "4-[3-[4-(4-fluorophenyl)piperidin-1-yl]carbonylphenoxy]benzamide", 14917 },
	{ "EGY", "", "", ResidueType::NON_POLYMER, false, "(4R,7R)-4-hydroxy-N,N,N-trimethyl-4,9-dioxo-7-[(undecanoyloxy)methyl]-3,5,8-trioxa-4lambda~5~-phosphadocosan-1-aminium", 14918 },
	{ "EH5", "", "", ResidueType::NON_POLYMER, false, "N-(1-BENZYL-3-{[3-(1,3-DIOXO-1,3-DIHYDRO-ISOINDOL-2-YL)-PROPIONYL]-[2-(HEXAHYDRO-BENZO[1,3]DIOXOL-5-YL)-ETHYL]-AMINO}-2-HYDROXY-PROPYL)-4-BENZYLOXY-3,5-DIMETHOXY-BENZAMIDE", 14919 },
	{ "EH9", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-3-(6-amino-9H-purin-9-yl)nonan-2-ol", 14920 },
	{ "EHA", "", "", ResidueType::NON_POLYMER, false, "(5-{3-[(6-BENZOYL-1-PROPYL-2-NAPHTHYL)OXY]PROPOXY}-1H-INDOL-1-YL)ACETIC ACID", 14921 },
	{ "EHB", "", "", ResidueType::NON_POLYMER, false, "(1Z)-1-(3-ethyl-5-hydroxy-1,3-benzothiazol-2(3H)-ylidene)propan-2-one", 14922 },
	{ "EHD", "", "", ResidueType::NON_POLYMER, false, "4-ETHYL-4-HYDROXY-1,12-DIHYDRO-4H-2-OXA-6,12A-DIAZA-DIBENZO[B,H]FLUORENE-3,13-DIONE", 14923 },
	{ "EHF", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-hydroxy-2-[8-(hydroxymethyl)-9-oxo-9,11-dihydroindolizino[1,2-b]quinolin-7-yl]butanoic acid", 14924 },
	{ "EHG", "", "", ResidueType::DNA_LINKING, false, "9-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-6-(2-hydroxyethoxy)-9H-purin-2-amine", 14925 },
	{ "EHM", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-N,2,3,4-TETRAHYDROXYBUTANAMIDE", 14926 },
	{ "EHN", "", "", ResidueType::NON_POLYMER, true, "ETHANE", 14927 },
	{ "EHP", "", "MTY", ResidueType::PEPTIDE_LINKING, true, "3-HYDROXYPHENYLALANINE", 14928 },
	{ "EHS", "", "", ResidueType::NON_POLYMER, false, "2S-2-[(2,3-DIHYDROXYPHENYL)CARBONYLAMINO]-3-[(2S)-2-[(2,3-DIHYDROXYPHENYL)CARBONYLAMINO]-3-HYDROXY-PROPANOYL]OXY-PROPANOIC ACID", 14929 },
	{ "EHZ", "", "", ResidueType::NON_POLYMER, false, "~{S}-[2-[3-[[(2~{R})-3,3-dimethyl-2-oxidanyl-4-phosphonooxy-butanoyl]amino]propanoylamino]ethyl] (3~{S})-3-oxidanyltetradecanethioate", 14930 },
	{ "EI1", "", "", ResidueType::NON_POLYMER, false, "3-ETHYL-2-(4-HYDROXYPHENYL)-2H-INDAZOL-5-OL", 14931 },
	{ "EI3", "", "", ResidueType::NON_POLYMER, false, "5-methyl-2-(5-methylpyridin-2-yl)pyridine", 14932 },
	{ "EIC", "", "", ResidueType::NON_POLYMER, false, "LINOLEIC ACID", 14933 },
	{ "EIM", "", "", ResidueType::NON_POLYMER, false, "(1R,3S,5Z)-5-[(2E)-2-[(1R,3S,3aS,7aR)-1-[(2R)-6-hydroxy-6-methyl-heptan-2-yl]-3-methoxy-7a-methyl-2,3,3a,5,6,7-hexahydro-1H-inden-4-ylidene]ethylidene]-4-methylidene-cyclohexane-1,3-diol", 14934 },
	{ "EIN", "", "", ResidueType::NON_POLYMER, false, "", 14935 },
	{ "EIP", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-3-METHYL BUTYL DIPHOSPHATE", 14936 },
	{ "EIS", "", "", ResidueType::NON_POLYMER, false, "N-{(2S,3R,4E)-3-hydroxy-1-[(3-O-sulfo-beta-D-galactopyranosyl)oxy]octadec-4-en-2-yl}dodecanamide", 14937 },
	{ "EIT", "", "", ResidueType::RNA_LINKING, false, "((3R,4R,5R)-4-(2-(1H-IMIDAZOL-1-YL)ETHOXY)-3-HYDROXY-5-(5-METHYL-2,4-DIOXO-3,4-DIHYDROPYRIMIDIN-1(2H)-YL)-TETRAHYDROFURAN-2-YL)METHYL DIHYDROGEN PHOSPHATE", 14938 },
	{ "EJ1", "", "", ResidueType::NON_POLYMER, false, "(2E)-5-carbamimidamido-2-{[(Z)-{3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4(1H)-ylidene}methyl]imino}pentanoic acid", 14939 },
	{ "EJ4", "", "", ResidueType::NON_POLYMER, false, "(4bS,8R,8aS,14bR)-7-(cyclopropylmethyl)-5,6,7,8,14,14b-hexahydro-4,8-methano[1]benzofuro[2,3-a]pyrido[4,3-b]carbazole-1,8a(9H)-diol", 14940 },
	{ "EJ5", "", "", ResidueType::NON_POLYMER, false, "4-[3-(2-amino-4-hydroxy-6-oxo-1,6-dihydropyrimidin-5-yl)propyl]benzoic acid", 14941 },
	{ "EJ7", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(1R,5S,6R)-3-amino-5-methyl-2-oxa-4-azabicyclo[4.1.0]hept-3-en-5-yl]-4-fluorophenyl}-5-methoxypyrazine-2-carboxamide", 14942 },
	{ "EJA", "", "", ResidueType::PEPTIDE_LINKING, false, "S-[(1Z)-2-carboxy-N-hydroxyethanimidoyl]-L-cysteine", 14943 },
	{ "EJP", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-(2-benzyl-3-chloro-7-oxo-2,4,5,7-tetrahydro-6H-pyrazolo[3,4-c]pyridin-6-yl)-5-methyl-4-oxo-2,3,4,5-tetrahydro-1,5-benzoxazepine-8-carbonitrile", 14944 },
	{ "EJS", "", "", ResidueType::NON_POLYMER, false, "(4R,5R,6S)-4-[4-fluoro-3-({[3-(methoxymethyl)-1,2,4-oxadiazol-5-yl]methyl}carbamoyl)phenyl]-N-(2H-indazol-5-yl)-6-methyl-2-oxohexahydropyrimidine-5-carboxamide", 14945 },
	{ "EJT", "", "", ResidueType::SACCHARIDE, false, "1,3-DI(N-PROPYLOXY-A-MANNOPYRANOSYL)-CARBOMYL 5-METHYAZIDO-BENZENE", 14946 },
	{ "EJY", "", "", ResidueType::NON_POLYMER, false, "2-benzyl-5-nitro-1H-benzimidazole", 14947 },
	{ "EJZ", "", "", ResidueType::NON_POLYMER, false, "5-nitro-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 14948 },
	{ "EK0", "", "", ResidueType::NON_POLYMER, false, "3-(4-chlorophenyl)-4,5,6,7-tetrahydro-1H-indazole", 14949 },
	{ "EK1", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-benzyl-3-[4-propoxy-3-({[4-(pyrimidin-2-yl)benzoyl]amino}methyl)phenyl]propanoic acid", 14950 },
	{ "EK2", "", "", ResidueType::NON_POLYMER, false, "{4-[4-(3,5-dichlorophenyl)-1H-pyrazol-5-yl]-1H-pyrrol-2-yl}(morpholin-4-yl)methanone", 14951 },
	{ "EK3", "", "", ResidueType::NON_POLYMER, false, "N-cyclohexyl-4-[3-(4-fluorophenyl)-1H-pyrazol-4-yl]pyridin-2-amine", 14952 },
	{ "EK4", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-2-hydroxy-1-phenylethyl]-4-{4-[3-(trifluoromethyl)phenyl]-1H-pyrazol-5-yl}-1H-pyrrole-2-carboxamide", 14953 },
	{ "EK5", "", "", ResidueType::NON_POLYMER, false, "4-[4-(3-chlorophenyl)-1H-pyrazol-5-yl]-N-(2,3-dihydro-1-benzofuran-5-ylmethyl)-1H-pyrrole-2-carboxamide", 14954 },
	{ "EK6", "", "", ResidueType::NON_POLYMER, false, "ethyl N-{2-chloro-4-[5-(5-{[(1S)-1-(3-chloro-4-fluorophenyl)-2-hydroxyethyl]carbamoyl}-1H-pyrrol-3-yl)-1H-pyrazol-4-yl]benzyl}glycinate", 14955 },
	{ "EK7", "", "", ResidueType::NON_POLYMER, false, "9-(dimethylamino)-2-[(3-hydroxyphenyl)amino]-5,6-dihydrothieno[3,4-h]quinazoline-7-carbonitrile", 14956 },
	{ "EK8", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-benzyl-3-[3-({[4-(piperidin-1-yl)benzoyl]amino}methyl)-4-propoxyphenyl]propanoic acid", 14957 },
	{ "EK9", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-2-hydroxy-1-phenylethyl]-4-(5-methyl-2-phenylpyrimidin-4-yl)-1H-pyrrole-2-carboxamide", 14958 },
	{ "EKB", "", "", ResidueType::NON_POLYMER, false, "6-ethyl-5-[3-(3,4,5-trimethoxyphenyl)prop-1-yn-1-yl]pyrimidine-2,4-diamine", 14959 },
	{ "EKE", "", "", ResidueType::NON_POLYMER, true, "(4S,5R)-4-AMINO-5-HYDROXYHEXANOIC ACID", 14960 },
	{ "EKG", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,3-dihydroxypropyl hexadecanoate", 14961 },
	{ "EKH", "", "", ResidueType::NON_POLYMER, false, " 5-chlorotubercidin", 14962 },
	{ "EKK", "", "", ResidueType::NON_POLYMER, false, "5-bromotubercidin", 14963 },
	{ "EKN", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-(2-azanylethylamino)butanedioic acid", 14964 },
	{ "EKO", "", "", ResidueType::NON_POLYMER, false, "4-[(2R)-2-[(4-chlorobenzyl)oxy]-2-(2,4-dichlorophenyl)ethyl]-1H-imidazole", 14965 },
	{ "EKQ", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-[2-[[(2~{S})-1,4-bis(oxidanyl)-1,4-bis(oxidanylidene)butan-2-yl]amino]ethylamino]butanedioic acid", 14966 },
	{ "EKZ", "", "", ResidueType::NON_POLYMER, false, "4-tert-butylbenzene-1,2-diol", 14967 },
	{ "EL", "", "", ResidueType::NON_POLYMER, false, "ELLIPTICINE", 14968 },
	{ "EL1", "", "", ResidueType::NON_POLYMER, false, "3-({(3R)-1-[(5-bromothiophen-2-yl)carbonyl]pyrrolidin-3-yl}oxy)-N-methyl-2'-[(methylsulfonyl)amino]biphenyl-4-carboxamide", 14969 },
	{ "EL2", "", "", ResidueType::NON_POLYMER, false, "1-[(1R,3S)-3-{[(5-bromothiophen-2-yl)carbonyl]amino}cyclohexyl]-N-methyl-2-(pyridin-2-yl)-1H-benzimidazole-5-carboxamide", 14970 },
	{ "EL3", "", "", ResidueType::NON_POLYMER, false, "(3S,3aR,6S)-3,7,7,8-tetramethyl-2,3,4,5,6,7-hexahydro-1H-3a,6-methanoazulene", 14971 },
	{ "ELA", "", "", ResidueType::NON_POLYMER, false, "9-OCTADECENOIC ACID", 14972 },
	{ "ELD", "", "", ResidueType::NON_POLYMER, false, "(9E)-OCTADEC-9-ENAMIDE", 14973 },
	{ "ELI", "", "", ResidueType::NON_POLYMER, false, "6-(3-METHYL-1,4-DIOXO-1,4-DIHYDRONAPHTHALEN-2-YL)HEXANOIC ACID", 14974 },
	{ "ELJ", "", "", ResidueType::NON_POLYMER, false, "chlorido(eta-6-p-cymene)(N-phenyl-2-pyridinecarbothioamide)osmium(II)", 14975 },
	{ "ELP", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-[((1E)-{3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}METHYLENE)AMINO]-1-PHENYLETHYLPHOSPHONIC ACID", 14976 },
	{ "ELV", "", "", ResidueType::NON_POLYMER, false, "6-(3-chloro-2-fluorobenzyl)-1-[(1S)-1-(hydroxymethyl)-2-methylpropyl]-7-methoxy-4-oxo-1,4-dihydroquinoline-3-carboxylic acid", 14977 },
	{ "ELY", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~,N~6~-diethyl-L-lysine", 14978 },
	{ "EM1", "", "", ResidueType::NON_POLYMER, false, "", 14979 },
	{ "EM2", "", "", ResidueType::NON_POLYMER, false, "(6-ethynyl-4-methanoyl-5-oxidanyl-pyridin-3-yl)methyl dihydrogen phosphate", 14980 },
	{ "EM6", "", "", ResidueType::NON_POLYMER, false, "6-ethyl-5-methyl-7-oxidanylidene-1H-pyrazolo[1,5-a]pyrimidine-3-carbonitrile", 14981 },
	{ "EM7", "", "", ResidueType::NON_POLYMER, false, "3-AMINO-N-METHYL-6-[3-(1H-TETRAZOL-5-YL)PHENYL]PYRAZINE-2-CARBOXAMIDE", 14982 },
	{ "EMA", "", "", ResidueType::NON_POLYMER, false, "(ADENIN-9-YL-ETHOXYMETHYL)-HYDROXYPHOSPHINYL-DIPHOSPHATE", 14983 },
	{ "EMB", "", "", ResidueType::NON_POLYMER, false, "METHYL-CARBAMIC ACID ETHYL ESTER", 14984 },
	{ "EMC", "", "", ResidueType::NON_POLYMER, false, "ETHYL MERCURY ION", 14985 },
	{ "EMD", "", "", ResidueType::NON_POLYMER, false, "5-[1-(3,4-DIMETHOXY-BENZOYL)-1,2,3,4-TETRAHYDRO-QUINOLIN-6-YL]-6-METHYL-3,6-DIHYDRO-[1,3,4]THIADIAZIN-2-ONE", 14986 },
	{ "EME", "", "", ResidueType::PEPTIDE_LINKING, false, "N-methyl-L-glutamic acid", 14987 },
	{ "EMF", "", "", ResidueType::NON_POLYMER, false, "ethyl (1S,2S)-2-(4-hydroxy-3-methoxyphenyl)cyclopropanecarboxylate", 14988 },
	{ "EMH", "", "", ResidueType::NON_POLYMER, false, "9-ethyl-6,6-dimethyl-8-[4-(morpholin-4-yl)piperidin-1-yl]-11-oxo-6,11-dihydro-5H-benzo[b]carbazole-3-carbonitrile", 14989 },
	{ "EMJ", "", "", ResidueType::NON_POLYMER, false, "2,5-dihydroxy-3-undecylcyclohexa-2,5-diene-1,4-dione", 14990 },
	{ "EMK", "", "", ResidueType::NON_POLYMER, false, "", 14991 },
	{ "EML", "", "", ResidueType::NON_POLYMER, false, "2-{ethyl[(5-{[6-methyl-3-(1H-pyrazol-4-yl)imidazo[1,2-a]pyrazin-8-yl]amino}isothiazol-3-yl)methyl]amino}-2-methylpropan-1-ol", 14992 },
	{ "EMM", "", "", ResidueType::NON_POLYMER, false, "[METHYL(VINYL)AMINO]METHANOL", 14993 },
	{ "EMN", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-{[(2S)-3-(2-methoxyethoxy)-2-methylpropyl]oxy}propan-2-amine", 14994 },
	{ "EMO", "", "", ResidueType::NON_POLYMER, false, "3-METHYL-1,6,8-TRIHYDROXYANTHRAQUINONE", 14995 },
	{ "EMP", "", "", ResidueType::NON_POLYMER, false, "2,4-DIDEOXY-4-(ETHYLAMINO)-3-O-METHYL ALPHA-L-THREO-PENTOPYRANOSIDE", 14996 },
	{ "EMQ", "", "", ResidueType::NON_POLYMER, false, "1-[2-(dimethylamino)ethyl]-3-{[(2R,4aS,5R,10bS)-5-phenyl-9-(trifluoromethyl)-3,4,4a,5,6,10b-hexahydro-2H-pyrano[3,2-c]quinolin-2-yl]methyl}urea", 14997 },
	{ "EMR", "", "", ResidueType::NON_POLYMER, false, "N-AMINOETHYLMORPHOLINE", 14998 },
	{ "EMS", "", "", ResidueType::NON_POLYMER, false, "(2E,3E)-5-carbamimidamido-2-{[(Z)-{3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4(1H)-ylidene}methyl]imino}pent-3-enoic acid", 14999 },
	{ "EMT", "T0M", "", ResidueType::NON_POLYMER, false, "2-(ETHYLMERCURI-THIO)-BENZOIC ACID", 15000 },
	{ "EMU", "", "", ResidueType::NON_POLYMER, false, "N-BENZYL-9H-PURIN-6-AMINE", 15001 },
	{ "EN0", "", "", ResidueType::NON_POLYMER, false, "3-[(4-amino-2-methylpyrimidin-5-yl)methyl]-2-[(Z)-2-fluoro-1-hydroxy-2-phosphonoethenyl]-5-(2-{[(S)-hydroxy(phosphonooxy)phosphoryl]oxy}ethyl)-4-methyl-1,3-thiazol-3-ium", 15002 },
	{ "EN1", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-hydroxy-3-(4-hydroxyphenyl)prop-2-enoic acid", 15003 },
	{ "EN2", "", "", ResidueType::NON_POLYMER, false, "~{N}-[3-[(4-fluorophenyl)carbonylamino]propyl]-1-methyl-6-oxidanylidene-pyridine-3-carboxamide", 15004 },
	{ "EN5", "", "", ResidueType::NON_POLYMER, false, "N-(10-aminodecanoyl)-L-seryl-N-(2-cyclohexylethyl)-L-lysinamide", 15005 },
	{ "EN8", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{R})-2,3-dimethoxy-2,3-dimethyl-1,4-benzodioxin-6-amine", 15006 },
	{ "ENA", "", "", ResidueType::RNA_LINKING, false, "ETHENO-NAD", 15007 },
	{ "ENB", "", "", ResidueType::NON_POLYMER, false, "ETHYL (2E,4S)-4-[((2R)-2-{[N-(TERT-BUTOXYCARBONYL)-L-VALYL]AMINO}-2-PHENYLETHANOYL)AMINO]-5-[(3S)-2-OXOPYRROLIDIN-3-YL]PENT-2-ENOATE", 15008 },
	{ "ENC", "", "", ResidueType::NON_POLYMER, false, "ETHYL ISOCYANIDE", 15009 },
	{ "END", "", "", ResidueType::NON_POLYMER, false, "1,6:5,9:8,12:11,16-TETRAANHYDRO-2,3,4,10,13,14-HEXADEOXY-D-GLYCERO-D-ALLO-D-GULO-HEPTADECA-2,13-DIENITOL", 15010 },
	{ "ENE", "", "", ResidueType::NON_POLYMER, false, "(4Z)-2,8:7,12:11,15:14,18:17,22-PENTAANHYDRO-4,5,6,9,10,13,19,20,21-NONADEOXY-D-ARABINO-D-ALLO-D-ALLO-DOCOSA-4,9,20-TRIENITOL", 15011 },
	{ "ENF", "", "", ResidueType::NON_POLYMER, false, "N-{(5E)-10-[(9E)-tetradec-9-enoylamino]dec-5-enoyl}-L-seryl-N-(2-cyclohexylethyl)-L-lysinamide", 15012 },
	{ "ENH", "", "", ResidueType::NON_POLYMER, false, "1,7,8,9,10,10-HEXACHLORO-4-METHYL-4-AZA-TRICYCLO[5.2.1.0(2,6)]DEC-8-ENE-3,5-DIONE", 15013 },
	{ "ENJ", "", "", ResidueType::NON_POLYMER, false, "(4S)-5-methanethioyl-1-(5-O-phosphono-beta-D-ribofuranosyl)-4-sulfo-1,4-dihydropyridine-3-carbothioic S-acid", 15014 },
	{ "ENK", "", "", ResidueType::NON_POLYMER, false, "(3-phenyl-1,2,4-oxadiazol-5-yl)methanamine", 15015 },
	{ "ENL", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3R,4S)-7-oxabicyclo[2.2.1]heptane-2,3-dicarboxylic acid", 15016 },
	{ "ENM", "", "", ResidueType::NON_POLYMER, false, "(5S,8R,9S,10S,13R,14S,17S)-13-{2-[(3,5-DIFLUOROBENZYL)OXY]ETHYL}-17-HYDROXY-10-METHYLHEXADECAHYDRO-3H-CYCLOPENTA[A]PHENANTHREN-3-ONE", 15017 },
	{ "ENO", "", "", ResidueType::NON_POLYMER, false, "3-(4-HYDROXY-PHENYL)PYRUVIC ACID", 15018 },
	{ "ENP", "", "", ResidueType::RNA_LINKING, false, "ETHENO-NADP", 15019 },
	{ "ENQ", "", "", ResidueType::RNA_LINKING, false, "[[(2R,3S,4R,5R)-3,4-dihydroxy-5-(9H-imidazo[2,1-f]purin-6-ium-3-yl)oxolan-2-yl]methoxy-oxidanidyl-phosphoryl] [(2R,3S,4R,5R)-3,4-dihydroxy-5-oxidanidyl-oxolan-2-yl]methyl phosphate", 15020 },
	{ "ENS", "", "", ResidueType::NON_POLYMER, false, "methyl (2Z)-3-[(3-chloro-1H-indol-7-yl)amino]-2-cyano-3-{[(3S)-2-oxo-1-(2-oxo-2-pyrrolidin-1-ylethyl)azepan-3-yl]amino}acrylate", 15021 },
	{ "ENT", "", "", ResidueType::NON_POLYMER, false, "3(R)-METHYLCARBAMOYL-7-SULFOAMINO-3,4-DIHYDRO-1H-ISOQUINOLINE-2-CARBOXYLIC ACID TERT-BUTYL ESTER", 15022 },
	{ "ENV", "", "", ResidueType::NON_POLYMER, false, "(2R)-N-{3-[(5-fluoro-4-oxopentyl)amino]-3-oxopropyl}-2,4-dihydroxy-3,3-dimethylbutanamide", 15023 },
	{ "ENW", "", "", ResidueType::NON_POLYMER, false, "2-({N-[(2S)-2,4-dihydroxy-3,3-dimethylbutanoyl]-beta-alanyl}amino)ethyl fluoroacetate", 15024 },
	{ "ENX", "", "", ResidueType::NON_POLYMER, false, "ENACYLOXIN IIA", 15025 },
	{ "EO7", "", "", ResidueType::NON_POLYMER, false, "2-chloro-5'-O-sulfamoyladenosine", 15026 },
	{ "EO9", "", "", ResidueType::NON_POLYMER, false, "[(1S)-1-[(2,6-difluorophenyl)carbonylamino]ethyl]-trihydroxy-boron", 15027 },
	{ "EOA", "", "", ResidueType::NON_POLYMER, false, "N-PHENETHYL-FORMAMIDE", 15028 },
	{ "EOB", "", "", ResidueType::NON_POLYMER, false, "{1,3-PHENYLENEBIS[IMINO(2-OXOETHANE-2,1-DIYL)]}BIS(PHOSPHONIC ACID)", 15029 },
	{ "EOD", "", "", ResidueType::NON_POLYMER, false, "11-[(2R,3S)-3-PENTYLOXIRAN-2-YL]UNDECANOIC ACID", 15030 },
	{ "EOH", "EOX", "", ResidueType::NON_POLYMER, false, "ETHANOL", 15031 },
	{ "EOI", "", "", ResidueType::NON_POLYMER, false, "[[(2R)-1-(6-aminopurin-9-yl)propan-2-yl]oxymethyl-sulfanyl-phosphoryl] phosphono hydrogen phosphate", 15032 },
	{ "EOL", "", "", ResidueType::NON_POLYMER, false, "2-methoxy-4-(prop-2-en-1-yl)phenol", 15033 },
	{ "EOM", "", "", ResidueType::NON_POLYMER, true, "ETHYLOXYMETHOXYL", 15034 },
	{ "EOP", "", "", ResidueType::NON_POLYMER, false, "{ETHANE-1,2-DIYLBIS[IMINO(2-OXOETHANE-2,1-DIYL)]}BIS(PHOSPHONIC ACID)", 15035 },
	{ "EOT", "", "", ResidueType::NON_POLYMER, false, "[(1-[(BIS-CARBOXYMETHYL-AMINO)-METHYL]-2-{4-[3-(2-HYDROXY-ETHYL)-THIOUREIDO]-PHENY}-ETHYL)-CARBOXYMETHYL-AMINO]-ACETIC ACID", 15036 },
	{ "EOW", "", "", ResidueType::NON_POLYMER, false, "(6-but-3-ynyl-4-methyl-5-oxidanyl-pyridin-3-yl)methyl dihydrogen phosphate", 15037 },
	{ "EOX", "", "EOH", ResidueType::NON_POLYMER, true, "ETHYLOXY GROUP", 15038 },
	{ "EOZ", "", "", ResidueType::NON_POLYMER, false, "3,5-BIS[(PHOSPHONOACETYL)AMINO]BENZOIC ACID", 15039 },
	{ "EP", "", "", ResidueType::NON_POLYMER, false, "EPOTHILONE A", 15040 },
	{ "EP0", "", "", ResidueType::NON_POLYMER, false, "N-[(3R)-4-ethoxy-3-hydroxy-4-oxobutanoyl]-L-isoleucyl-L-proline", 15041 },
	{ "EP1", "", "", ResidueType::NON_POLYMER, false, "3-[4-(2-HYDROXYETHYL)PIPERAZIN-1-YL]PROPANE-1-SULFONIC ACID", 15042 },
	{ "EP2", "", "", ResidueType::PEPTIDE_LIKE, false, "methyl N-[(2S)-4-{[(1S)-1-{[(2S)-2-carboxypyrrolidin-1-yl]carbonyl}-3-methylbutyl]amino}-2-hydroxy-4-oxobutanoyl]-L-leucylglycylglycinate", 15043 },
	{ "EP4", "", "", ResidueType::NON_POLYMER, false, "5'-deoxy-5'-(dimethylamino)adenosine", 15044 },
	{ "EP6", "", "", ResidueType::NON_POLYMER, false, "5'-[{cis-3-[2-(5-tert-butyl-1H-benzimidazol-2-yl)ethyl]cyclobutyl}(propan-2-yl)amino]-5'-deoxyadenosine", 15045 },
	{ "EP9", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(benzyloxy)carbonyl]-L-leucyl-N-[(2S,3S)-3-hydroxy-1-(4-hydroxyphenyl)-4-oxobutan-2-yl]-L-leucinamide", 15046 },
	{ "EPA", "", "", ResidueType::NON_POLYMER, false, "5,8,11,14,17-EICOSAPENTAENOIC ACID", 15047 },
	{ "EPB", "", "", ResidueType::NON_POLYMER, false, "7,11-DIHYDROXY-8,8,10,12,16-PENTAMETHYL-3-[1-METHYL-2-(2-METHYL-THIAZOL-4-YL)VINYL]-4,17-DIOXABICYCLO[14.1.0]HEPTADECANE-5,9-DIONE", 15048 },
	{ "EPC", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-[((1E)-{3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}METHYLENE)AMINO]ETHYLPHOSPHONIC ACID", 15049 },
	{ "EPD", "", "", ResidueType::NON_POLYMER, false, "EPOTHILONE D", 15050 },
	{ "EPE", "", "", ResidueType::NON_POLYMER, false, "4-(2-HYDROXYETHYL)-1-PIPERAZINE ETHANESULFONIC ACID", 15051 },
	{ "EPG", "", "", ResidueType::SACCHARIDE, false, "2-HYDROXYMETHYL-6-OXIRANYLMETHOXY-TETRAHYDRO-PYRAN-3,4,5-TRIOL", 15052 },
	{ "EPH", "", "", ResidueType::NON_POLYMER, false, "L-ALPHA-PHOSPHATIDYL-BETA-OLEOYL-GAMMA-PALMITOYL-PHOSPHATIDYLETHANOLAMINE", 15053 },
	{ "EPI", "", "", ResidueType::NON_POLYMER, false, "4-ETHYLPIPERIDINE", 15054 },
	{ "EPJ", "", "", ResidueType::NON_POLYMER, false, "EPIBATIDINE", 15055 },
	{ "EPK", "", "", ResidueType::NON_POLYMER, false, "3-ethyl-2-(propan-2-ylamino)-7-(pyridin-3-yl)thieno[3,2-d]pyrimidin-4(3H)-one", 15056 },
	{ "EPL", "", "", ResidueType::NON_POLYMER, false, "DIETHYL 4-METHOXYPHENYL PHOSPHATE", 15057 },
	{ "EPM", "", "", ResidueType::NON_POLYMER, false, "N-PALMITOYL-L-METHIONINE", 15058 },
	{ "EPN", "", "", ResidueType::NON_POLYMER, false, "3-(4-NITRO-PHENOXY)-PROPAN-1-OL", 15059 },
	{ "EPO", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-oxirane-2,3-dicarboxylic acid", 15060 },
	{ "EPQ", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-amino-6-fluoro-N,N-dimethyl-5-oxohexanamide", 15061 },
	{ "EPR", "", "", ResidueType::NON_POLYMER, false, "{5-[(2E)-2-methyl-3-phenylprop-2-en-1-ylidene]-4-oxo-2-thioxo-1,3-thiazolidin-3-yl}acetic acid", 15062 },
	{ "EPS", "", "", ResidueType::NON_POLYMER, false, "5-[(1-CARBOXYVINYL)OXY]-4-HYDROXY-3-(PHOSPHONOOXY)CYCLOHEX-1-ENE-1-CARBOXYLIC ACID", 15063 },
	{ "EPT", "", "", ResidueType::NON_POLYMER, false, "HEPTANYL-P-PHENOL", 15064 },
	{ "EPU", "", "", ResidueType::NON_POLYMER, false, "URIDINE-DIPHOSPHATE-2(N-ACETYLGLUCOSAMINYL) BUTYRIC ACID", 15065 },
	{ "EPY", "", "", ResidueType::NON_POLYMER, false, "1-HYDROXY-2-S-GLUTATHIONYL-3-PARA-NITROPHENOXY-PROPANE", 15066 },
	{ "EPZ", "", "", ResidueType::NON_POLYMER, false, "", 15067 },
	{ "EQ1", "", "", ResidueType::NON_POLYMER, false, "", 15068 },
	{ "EQ3", "HEQ", "", ResidueType::NON_POLYMER, false, "(3'R)-3'-hydroxy-beta,beta-caroten-4-one", 15069 },
	{ "EQ4", "", "", ResidueType::RNA_LINKING, false, "5'-O-[(R)-(2-amino-1H-imidazol-1-yl)(hydroxy)phosphoryl]guanosine", 15070 },
	{ "EQD", "", "", ResidueType::NON_POLYMER, false, "5-[2-(1-benzyl-1H-imidazol-2-yl)ethyl]-4,6-dichlorobenzene-1,3-diol", 15071 },
	{ "EQH", "", "", ResidueType::NON_POLYMER, false, "cis-4-[3-amino-6-(3-cyclopropylthiophen-2-yl)pyrazin-2-yl]cyclohexanecarboxylic acid", 15072 },
	{ "EQI", "", "", ResidueType::NON_POLYMER, false, "EQUILIN", 15073 },
	{ "EQM", "", "", ResidueType::NON_POLYMER, false, "", 15074 },
	{ "EQN", "", "", ResidueType::NON_POLYMER, false, "4-{[(5,5,8,8-tetramethyl-5,6,7,8-tetrahydronaphthalen-2-yl)carbonyl]amino}benzoic acid", 15075 },
	{ "EQO", "", "", ResidueType::NON_POLYMER, false, "4-{(E)-2-[5,5-dimethyl-8-(phenylethynyl)-5,6-dihydronaphthalen-2-yl]ethenyl}benzoic acid", 15076 },
	{ "EQP", "", "", ResidueType::NON_POLYMER, false, "(4-ACETAMIDO-2,4-DIDEOXY-D-GLYCERO-ALPHA-D-GALACTO-1-OCTOPYRANOSYL)PHOSPHONIC ACID", 15077 },
	{ "EQT", "", "", ResidueType::NON_POLYMER, false, "4-chloranyl-1~{H}-indazol-3-amine", 15078 },
	{ "EQU", "", "", ResidueType::NON_POLYMER, false, "EQUILENIN", 15079 },
	{ "EQV", "", "", ResidueType::NON_POLYMER, false, "Loganic acid", 15080 },
	{ "EQW", "", "", ResidueType::NON_POLYMER, false, "5-chloranyl-~{N}-(oxan-4-yl)pyrimidin-2-amine", 15081 },
	{ "EQY", "", "", ResidueType::NON_POLYMER, false, "methyl 7-(3,5-difluorophenyl)-5-(pyridin-3-yl)[1,2,4]triazolo[1,5-a]pyrimidine-6-carboxylate", 15082 },
	{ "EQZ", "", "", ResidueType::NON_POLYMER, false, "6-[5-chloranyl-2-(oxan-4-ylamino)pyrimidin-4-yl]-2-(2-methoxyethyl)-3~{H}-isoindol-1-one", 15083 },
	{ "ER3", "", "", ResidueType::NON_POLYMER, false, "ERBIUM (III) ION", 15084 },
	{ "ER4", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-{[2-benzyl-6-(3-methoxypropoxy)pyridin-3-yl]ethynyl}-1-azabicyclo[2.2.2]octan-3-ol", 15085 },
	{ "ER7", "", "", ResidueType::NON_POLYMER, false, "1-[7-(3-fluorophenyl)-5-methyl[1,2,4]triazolo[1,5-a]pyrimidin-6-yl]ethan-1-one", 15086 },
	{ "ER8", "", "", ResidueType::NON_POLYMER, false, "~{N}-~{tert}-butyl-2-[5-[5-chloranyl-2-(oxan-4-ylamino)pyrimidin-4-yl]-3-oxidanylidene-1~{H}-isoindol-2-yl]ethanamide", 15087 },
	{ "ERA", "", "", ResidueType::NON_POLYMER, false, "(7Z,15E,17E)-N-[(2S,3S,4E)-1,3-dihydroxyoctadec-4-en-2-yl]tricosa-7,15,17-trienamide", 15088 },
	{ "ERB", "", "", ResidueType::NON_POLYMER, false, "Erythromycin B", 15089 },
	{ "ERC", "", "", ResidueType::NON_POLYMER, false, "8-hydroxy-5-[(1R)-1-hydroxy-2-({2-[3-methoxy-4-(3-sulfanylpropoxy)phenyl]ethyl}amino)ethyl]quinolin-2(1H)-one", 15090 },
	{ "ERD", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(3,4-DIHYDROXYPHENYL)-5,7-DIHYDROXY-2,3-DIHYDRO-4H-CHROMEN-4-ONE", 15091 },
	{ "ERE", "", "", ResidueType::SACCHARIDE, false, "(1R,3S,4R,5S)-3-amino-2,3,6-trideoxy-3-methyl-alpha-L-arabino-hexopyranose", 15092 },
	{ "ERG", "", "", ResidueType::NON_POLYMER, false, "ERGOSTEROL", 15093 },
	{ "ERH", "", "", ResidueType::NON_POLYMER, false, "3,4-DIMETHYLPHENOL", 15094 },
	{ "ERI", "", "", ResidueType::SACCHARIDE, false, "4-O-ACETYL-2,6-DIDEOXY-3-C-METHYL-BETA-L-ARABINO-HEXOPYRANOSE", 15095 },
	{ "ERK", "", "", ResidueType::NON_POLYMER, false, "2-[5-[5-chloranyl-2-(oxan-4-ylamino)pyrimidin-4-yl]-3-oxidanylidene-1~{H}-isoindol-2-yl]-~{N}-[(1~{R})-1-phenylethyl]ethanamide", 15096 },
	{ "ERM", "", "", ResidueType::NON_POLYMER, false, "Ergotamine", 15097 },
	{ "ERN", "", "", ResidueType::NON_POLYMER, false, "", 15098 },
	{ "ERO", "", "", ResidueType::NON_POLYMER, false, "5-ethenyl-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 15099 },
	{ "ERT", "", "", ResidueType::NON_POLYMER, false, "METHYL (4R)-2-ETHYL-2,5,12-TRIHYDROXY-7-METHOXY-6,11-DIOXO-4-{[2,3,6-TRIDEOXY-3-(DIMETHYLAMINO)-BETA-D-RIBO-HEXOPYRANOSYL]OXY}-1H,2H,3H,4H,6H,11H-TETRACENE-1-CARBOXYLATE", 15100 },
	{ "ERU", "", "", ResidueType::NON_POLYMER, false, "(13Z)-docos-13-enamide", 15101 },
	{ "ERW", "", "", ResidueType::NON_POLYMER, false, "~{N}-~{tert}-butyl-2-[5-[5-chloranyl-2-(oxan-4-ylamino)pyrimidin-4-yl]-3-oxidanylidene-1~{H}-isoindol-2-yl]-~{N}-methyl-ethanamide", 15102 },
	{ "ERY", "", "", ResidueType::NON_POLYMER, false, "ERYTHROMYCIN A", 15103 },
	{ "ERZ", "", "", ResidueType::NON_POLYMER, false, "~{N}-(1,5-dimethylpyrazol-4-yl)-5-methyl-pyrimidin-2-amine", 15104 },
	{ "ES0", "", "", ResidueType::NON_POLYMER, false, "2-amino-1H-benzimidazol-7-ol", 15105 },
	{ "ES1", "", "", ResidueType::NON_POLYMER, false, "quinolin-4-ol", 15106 },
	{ "ES2", "", "", ResidueType::NON_POLYMER, false, "6-chloro-1,3-dihydro-2H-indol-2-one", 15107 },
	{ "ES3", "", "", ResidueType::NON_POLYMER, false, "4-bromo-1H-imidazole", 15108 },
	{ "ES4", "", "", ResidueType::NON_POLYMER, false, "6-chloro-9H-purine", 15109 },
	{ "ES5", "", "", ResidueType::NON_POLYMER, false, "quinolin-6-amine", 15110 },
	{ "ES6", "", "", ResidueType::NON_POLYMER, false, "2-oxo-1,2-dihydropyridine-3-carboxylic acid", 15111 },
	{ "ES7", "", "", ResidueType::NON_POLYMER, false, "1-methyl-1H-benzimidazol-2-amine", 15112 },
	{ "ES8", "", "", ResidueType::NON_POLYMER, false, "[(9H-fluoren-9-ylideneamino)oxy]acetic acid", 15113 },
	{ "ES9", "", "", ResidueType::NON_POLYMER, false, "5-chloro-1H-benzimidazole", 15114 },
	{ "ESA", "", "", ResidueType::NON_POLYMER, false, "ETHANESULFONIC ACID", 15115 },
	{ "ESB", "", "", ResidueType::PEPTIDE_LINKING, false, "3-[(3E)-3-(ETHYLIMINO)-4-HYDROXY-6-OXOCYCLOHEXA-1,4-DIEN-1-YL]-L-ALANINE", 15116 },
	{ "ESC", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-4-ETHYL SULFANYL BUTYRIC ACID", 15117 },
	{ "ESD", "", "", ResidueType::NON_POLYMER, false, "(2-AMINO-ETHYLSULFANYL)-ACETIC ACID", 15118 },
	{ "ESE", "", "", ResidueType::NON_POLYMER, false, "(1S,3aR,5R,7aS)-5-(4-hydroxyphenyl)-7a-methyloctahydro-1H-inden-1-ol", 15119 },
	{ "ESG", "", "", ResidueType::NON_POLYMER, false, "L-gamma-glutamyl-S-[(3S)-1-ethyl-2,5-dioxopyrrolidin-3-yl]-L-cysteinylglycine", 15120 },
	{ "ESH", "", "", ResidueType::NON_POLYMER, false, "4- [(1R,3AS,4R,8AS,8BR)- 2- (4-CHLOROBENZYL)- 1- ISOPROPYL- 3- OXODECAHYDROPYRROLO[3,4- A]PYRROLIZIN- 4- YL]BENZENECARBOXIMIDAMIDE", 15121 },
	{ "ESI", "", "", ResidueType::NON_POLYMER, false, "4-IODOBENZO[B]THIOPHENE-2-CARBOXAMIDINE", 15122 },
	{ "ESJ", "", "", ResidueType::NON_POLYMER, false, "(4S)-2-(6-hydroxy-1,3-benzothiazol-2-yl)-4,5-dihydro-1,3-thiazole-4-carboxylic acid", 15123 },
	{ "ESK", "", "", ResidueType::NON_POLYMER, false, "2-[5-[5-chloranyl-2-(oxan-4-ylamino)pyrimidin-4-yl]-3-oxidanylidene-1~{H}-isoindol-2-yl]-~{N}-[(1~{S})-2-oxidanyl-1-phenyl-ethyl]ethanamide", 15124 },
	{ "ESL", "", "", ResidueType::NON_POLYMER, false, "ESTRIOL", 15125 },
	{ "ESM", "", "", ResidueType::NON_POLYMER, false, "1,3,5(10)-ESTRATRIEN-2,3,17-BETA-TRIOL 2-METHYL ETHER", 15126 },
	{ "ESN", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-2-[5-[5-chloranyl-2-(oxan-4-ylamino)pyrimidin-4-yl]-3-oxidanylidene-1~{H}-isoindol-2-yl]-~{N}-[(1~{S})-1-(3-methylphenyl)-2-oxidanyl-ethyl]propanamide", 15127 },
	{ "ESO", "", "", ResidueType::NON_POLYMER, false, "O3-PHOSPHONOESTRONE", 15128 },
	{ "ESP", "", "", ResidueType::NON_POLYMER, false, "THIENO[2,3-B]PYRIDINE-2-CARBOXAMIDINE", 15129 },
	{ "ESQ", "", "", ResidueType::NON_POLYMER, false, "6-[5-chloranyl-2-(oxan-4-ylamino)pyrimidin-4-yl]-2-(2-morpholin-4-ylethyl)-3~{H}-isoindol-1-one", 15130 },
	{ "ESR", "", "", ResidueType::NON_POLYMER, false, "5-ALPHA-ESTRAN-3,17-DIONE", 15131 },
	{ "EST", "", "", ResidueType::NON_POLYMER, false, "ESTRADIOL", 15132 },
	{ "ESW", "", "", ResidueType::NON_POLYMER, false, "2-[5-[5-chloranyl-2-(oxan-4-ylamino)pyrimidin-4-yl]-3-oxidanylidene-1~{H}-isoindol-2-yl]-~{N}-(2-phenylpropan-2-yl)ethanamide", 15133 },
	{ "ESX", "", "", ResidueType::NON_POLYMER, false, "BENZO[B]THIOPHENE-2-CARBOXAMIDINE", 15134 },
	{ "ESY", "", "", ResidueType::NON_POLYMER, false, "benzyl N-[(benzyloxy)carbonyl]-L-alanyl-N~6~-[(2R,3S,4S)-3-formyl-2-hydroxy-4-methylhexanoyl]-L-lysinate", 15135 },
	{ "ESZ", "", "", ResidueType::NON_POLYMER, false, "(14beta,16alpha,17alpha)-16-bromoestra-1,3,5(10)-triene-3,17-diol", 15136 },
	{ "ET", "", "", ResidueType::NON_POLYMER, false, "ETHIDIUM", 15137 },
	{ "ET0", "", "", ResidueType::NON_POLYMER, false, "3-(5-methoxy-1H-indol-3-yl)propanoic acid", 15138 },
	{ "ET1", "", "", ResidueType::NON_POLYMER, false, "3-{5-methoxy-1-[(4-methoxyphenyl)sulfonyl]-1H-indol-3-yl}propanoic acid", 15139 },
	{ "ET2", "", "", ResidueType::NON_POLYMER, false, "6-fluoro-1H-benzimidazol-2-amine", 15140 },
	{ "ET8", "", "", ResidueType::NON_POLYMER, false, "3-phenyl-5-(pyridin-4-yl)-1H-indazole", 15141 },
	{ "ET9", "", "", ResidueType::NON_POLYMER, false, "[[(1R,3S,5S)-3-(2-azanyl-6-oxidanylidene-3H-purin-9-yl)-2-methylidene-5-oxidanyl-cyclopentyl]methoxy-oxidanyl-phosphoryl] phosphono hydrogen phosphate", 15142 },
	{ "ETA", "", "", ResidueType::PEPTIDE_CARBOXY_TERMINUS, false, "ETHANOLAMINE", 15143 },
	{ "ETB", "", "", ResidueType::NON_POLYMER, false, "Ethyl Coenzyme A", 15144 },
	{ "ETC", "", "", ResidueType::NON_POLYMER, false, "(R,R)-5,11-CIS-DIETHYL-5,6,11,12-TETRAHYDROCHRYSENE-2,8-DIOL", 15145 },
	{ "ETD", "", "", ResidueType::NON_POLYMER, true, "ETHENYLENE GROUP", 15146 },
	{ "ETE", "", "", ResidueType::NON_POLYMER, false, "2-{2-[2-2-(METHOXY-ETHOXY)-ETHOXY]-ETHOXY}-ETHANOL", 15147 },
	{ "ETF", "", "", ResidueType::NON_POLYMER, false, "TRIFLUOROETHANOL", 15148 },
	{ "ETG", "", "", ResidueType::NON_POLYMER, false, "(3S,5S,7S)-N-(2-{2-[2-({[5-(dimethylamino)naphthalen-1-yl]sulfonyl}amino)ethoxy]ethoxy}ethyl)tricyclo[3.3.1.1~3,7~]decane-1-carboxamide", 15149 },
	{ "ETH", "", "", ResidueType::NON_POLYMER, true, "ETHYL GROUP", 15150 },
	{ "ETI", "", "", ResidueType::NON_POLYMER, false, "IODOETHANE", 15151 },
	{ "ETM", "", "", ResidueType::NON_POLYMER, false, "2-(TRIMETHYLAMMONIUM)ETHYL THIOL", 15152 },
	{ "ETN", "", "", ResidueType::NON_POLYMER, false, "METHYLETHYLAMINE", 15153 },
	{ "ETO", "", "", ResidueType::NON_POLYMER, true, "ETHOXYCARBONYL GROUP", 15154 },
	{ "ETP", "", "", ResidueType::NON_POLYMER, false, "3-(4-BENZENESULFONYL-THIOPHENE-2-SULFONYLAMINO)-PHENYLBORONIC ACID", 15155 },
	{ "ETQ", "", "", ResidueType::NON_POLYMER, false, "3-chloro-5-ethyl-N-{[(2S)-1-ethylpyrrolidin-2-yl]methyl}-6-hydroxy-2-methoxybenzamide", 15156 },
	{ "ETR", "", "", ResidueType::NON_POLYMER, false, "N-ETHYL RETINAMIDE", 15157 },
	{ "ETS", "", "", ResidueType::NON_POLYMER, false, "(4S-TRANS)-4-(ETHYLAMINO)-5,6-DIHYDRO-6-METHYL-4H-THIENO(2,3-B)THIOPYRAN-2-SULFONAMIDE-7,7-DIOXIDE", 15158 },
	{ "ETT", "", "", ResidueType::NON_POLYMER, false, "5-(acetylamino)-2,6-anhydro-3,5-dideoxy-3-[(2E)-3-(4-methylphenyl)prop-2-en-1-yl]-D-glycero-D-galacto-non-2-enonic acid", 15159 },
	{ "ETU", "", "", ResidueType::NON_POLYMER, false, "(3R)-4-(2-{4-[1-(3-chloro[1,2,4]triazolo[4,3-b]pyridazin-6-yl)-4-piperidinyl]phenoxy}ethyl)-1,3-dimethyl-2-piperazinone", 15160 },
	{ "ETV", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-5-FLUORO-1-[(2R,5S)-2-(HYDROXYMETHYL)-1,3-OXATHIOLAN-5-YL]PYRIMIDIN-2(1H)-ONE", 15161 },
	{ "ETW", "", "", ResidueType::NON_POLYMER, false, "5-[(4-methylphenyl)methylcarbamoyl]-2-(6-oxidanyl-3-oxidanylidene-4~{H}-xanthen-9-yl)benzoic acid", 15162 },
	{ "ETX", "", "", ResidueType::NON_POLYMER, false, "2-ETHOXYETHANOL", 15163 },
	{ "ETY", "", "", ResidueType::NON_POLYMER, false, "4-ethylphenol", 15164 },
	{ "ETZ", "", "", ResidueType::NON_POLYMER, false, "diethyl ether", 15165 },
	{ "EU", "", "", ResidueType::NON_POLYMER, false, "EUROPIUM ION", 15166 },
	{ "EU2", "", "", ResidueType::NON_POLYMER, false, "6-[5-chloranyl-2-(oxan-4-ylamino)pyrimidin-4-yl]-2,3-dihydroisoindol-1-one", 15167 },
	{ "EU3", "", "", ResidueType::NON_POLYMER, false, "EUROPIUM (III) ION", 15168 },
	{ "EU4", "", "", ResidueType::NON_POLYMER, false, "1-(propan-2-yl)-3-({3-[3-(trifluoromethyl)phenyl]isoquinolin-8-yl}ethynyl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 15169 },
	{ "EUD", "", "", ResidueType::NON_POLYMER, false, "EUDESMANE CATION", 15170 },
	{ "EUG", "", "", ResidueType::NON_POLYMER, false, "2-methoxy-4-[(1E)-prop-1-en-1-yl]phenol", 15171 },
	{ "EUI", "", "", ResidueType::NON_POLYMER, false, "[3,4-BIS(FLUORANYL)-2-[(2-FLUORANYL-4-IODANYL-PHENYL)AMINO]PHENYL]-[3-OXIDANYL-3-[(2S)-PIPERIDIN-2-YL]AZETIDIN-1-YL]METHANONE", 15172 },
	{ "EUJ", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-{[(S)-hydroxy{[(1S,2R,3R,4S,5S,6R)-2,4,6-trihydroxy-3,5-bis(phosphonooxy)cyclohexyl]oxy}phosphoryl]oxy}propane-1,2-diyl dioctanoate", 15173 },
	{ "EUN", "", "", ResidueType::NON_POLYMER, false, "2,5-dimethyl-6-quinolin-4-yl-3~{H}-quinazolin-4-one", 15174 },
	{ "EUP", "", "", ResidueType::PEPTIDE_LINKING, false, "4-amino-L-allothreonine", 15175 },
	{ "EUR", "", "", ResidueType::NON_POLYMER, false, "4-chloranyl-N-[[4-chloranyl-3-(3-chloranyl-5-cyano-phenoxy)-2-fluoranyl-phenyl]methyl]-2-(hydroxymethyl)-1H-imidazole-5-carboxamide", 15176 },
	{ "EUT", "", "", ResidueType::NON_POLYMER, false, "(8S)-9-[3,5-bis(fluoranyl)phenyl]-2-morpholin-4-yl-8-(trifluoromethyl)-7,8-dihydro-6H-pyrimido[1,2-a]pyrimidin-4-one", 15177 },
	{ "EV0", "", "", ResidueType::NON_POLYMER, false, "2-amino-6-propylpyrimidin-4(3H)-one", 15178 },
	{ "EV1", "", "", ResidueType::NON_POLYMER, false, "1-(3,4-DIMETHOXYBENZYL)-6,7-DIMETHOXYISOQUINOLINE", 15179 },
	{ "EV2", "", "", ResidueType::NON_POLYMER, false, "3-pyrrolidin-1-ylquinoxalin-2-amine", 15180 },
	{ "EV3", "", "", ResidueType::NON_POLYMER, false, "3-(2-amino-5-chloro-1H-benzimidazol-1-yl)propan-1-ol", 15181 },
	{ "EV4", "", "", ResidueType::NON_POLYMER, false, "4-(2-amino-5-chloro-1H-benzimidazol-1-yl)-N-cyclohexyl-N-methylbutanamide", 15182 },
	{ "EV5", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-(2-amino-5-chloro-1H-benzimidazol-1-yl)-N-(cyclohexylmethyl)pentanamide", 15183 },
	{ "EV6", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-(2-amino-5-chloro-1H-benzimidazol-1-yl)-N-[(1R,3S,5R,7R)-tricyclo[3.3.1.1~3,7~]dec-2-yl]pentanamide", 15184 },
	{ "EV7", "", "", ResidueType::NON_POLYMER, false, "2-[(naphthalen-2-yl)oxy]-5-(1H-pyrazol-4-yl)benzoic acid", 15185 },
	{ "EVA", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4S,5R)-3,4,5-trihydroxy-6-oxopiperidine-2-carboxylic acid", 15186 },
	{ "EVD", "", "", ResidueType::NON_POLYMER, false, "1-benzofuran-2-sulfonamide", 15187 },
	{ "EVE", "", "", ResidueType::NON_POLYMER, false, "1H-benzimidazole-2-sulfonamide", 15188 },
	{ "EVF", "", "", ResidueType::NON_POLYMER, false, "1,3-benzothiazole-2-sulfonamide", 15189 },
	{ "EVG", "", "", ResidueType::NON_POLYMER, false, "furan-2-sulfonamide", 15190 },
	{ "EVH", "", "", ResidueType::NON_POLYMER, false, "1H-imidazole-2-sulfonamide", 15191 },
	{ "EVI", "", "", ResidueType::NON_POLYMER, false, "1,3-thiazole-2-sulfonamide", 15192 },
	{ "EVJ", "", "", ResidueType::NON_POLYMER, false, "thiophene-2-sulfonamide", 15193 },
	{ "EVK", "", "", ResidueType::NON_POLYMER, false, "4-[5-chloranyl-2-(propan-2-ylamino)pyridin-4-yl]-~{N}-[(1~{S})-1-(3-chlorophenyl)-2-oxidanyl-ethyl]-1~{H}-pyrrole-2-carboxamide", 15194 },
	{ "EVM", "", "", ResidueType::NON_POLYMER, false, "L-Serine, N-[[3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]-4-pyridinyl]methylene]", 15195 },
	{ "EVN", "", "", ResidueType::NON_POLYMER, false, "", 15196 },
	{ "EVO", "", "", ResidueType::NON_POLYMER, false, "(3E)-3-(pyridin-3-ylmethylidene)-1,3-dihydro-2H-indol-2-one", 15197 },
	{ "EVP", "", "", ResidueType::NON_POLYMER, false, "", 15198 },
	{ "EVQ", "", "", ResidueType::NON_POLYMER, false, "2-[5-[5-chloranyl-2-(oxan-4-ylamino)pyrimidin-4-yl]-3-oxidanylidene-1~{H}-isoindol-2-yl]-~{N}-[(1~{R})-1-(3-methoxyphenyl)ethyl]ethanamide", 15199 },
	{ "EVS", "", "", ResidueType::NON_POLYMER, false, "16-epi-Vellosimine", 15200 },
	{ "EVY", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-hexyl-N-[(3S)-2-oxooxolan-3-yl]decanamide", 15201 },
	{ "EW1", "", "", ResidueType::NON_POLYMER, false, "[3-(4-amino-6-methyl-1H-imidazo[4,5-c]pyridin-1-yl)azetidin-1-yl][1-({1-[(1R)-cyclohept-2-en-1-yl]piperidin-4-yl}methyl)-1H-pyrrol-3-yl]methanone", 15202 },
	{ "EW4", "", "", ResidueType::NON_POLYMER, false, "[3-(4-amino-6-methyl-1H-imidazo[4,5-c]pyridin-1-yl)-3-methylazetidin-1-yl][1-({1-[(1R)-cyclohept-2-en-1-yl]piperidin-4-yl}methyl)-1H-pyrrol-3-yl]methanone", 15203 },
	{ "EWA", "", "", ResidueType::NON_POLYMER, false, "[(1S)-1-{[(2,6-DIMETHOXYPHENYL)CARBONYL]AMINO}ETHYL]BORONIC ACID", 15204 },
	{ "EWB", "", "", ResidueType::NON_POLYMER, false, "[(1S)-1-{[(2-benzylphenyl)carbonyl]amino}ethyl](trihydroxy)borate(1-)", 15205 },
	{ "EWD", "", "", ResidueType::NON_POLYMER, false, "2-phenoxy-5-(1H-pyrazol-4-yl)benzoic acid", 15206 },
	{ "EWG", "", "", ResidueType::NON_POLYMER, false, "3-(1H-pyrazol-4-yl)benzoic acid", 15207 },
	{ "EWJ", "", "", ResidueType::NON_POLYMER, false, "5-(3-fluoro-1H-pyrazol-4-yl)-2-[(naphthalen-2-yl)oxy]benzoic acid", 15208 },
	{ "EWM", "", "", ResidueType::NON_POLYMER, false, "N-[(3S)-2-oxooxolan-3-yl]dodecanamide", 15209 },
	{ "EWQ", "", "", ResidueType::NON_POLYMER, false, "6,8-dimethoxy-1,4-dimethylquinolin-2(1H)-one", 15210 },
	{ "EWW", "", "", ResidueType::NON_POLYMER, false, "2-chloro-4-{[(4-methyl-6-oxo-1,6-dihydropyrimidin-2-yl)sulfanyl]acetyl}benzenesulfonamide", 15211 },
	{ "EWY", "", "", ResidueType::NON_POLYMER, false, "3-{[(4-methyl-6-oxo-1,6-dihydropyrimidin-2-yl)sulfanyl]acetyl}benzenesulfonamide", 15212 },
	{ "EWZ", "", "", ResidueType::NON_POLYMER, false, "5-{[(4-tert-butyl-6-oxo-1,6-dihydropyrimidin-2-yl)sulfanyl]acetyl}-2-chlorobenzenesulfonamide", 15213 },
	{ "EX4", "", "", ResidueType::NON_POLYMER, false, "(5R)-4-(4-{4-[4-fluoro-3-(trifluoromethyl)phenyl]-1-[2-(pyrrolidin-1-yl)ethyl]-1H-imidazol-2-yl}piperidin-1-yl)-5-methyl-5,8-dihydropyrido[2,3-d]pyrimidin-7(6H)-one", 15214 },
	{ "EX7", "", "", ResidueType::NON_POLYMER, false, "2-[2-(3-chlorophenyl)ethyl]-1H-benzimidazol-7-ol", 15215 },
	{ "EXA", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-[(R)-[(1-carboxyethenyl)amino]{3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methyl]-L-lysine", 15216 },
	{ "EXB", "", "", ResidueType::NON_POLYMER, false, "3-(1H-benzimidazol-1-yl)propanoic acid", 15217 },
	{ "EXC", "", "", ResidueType::DNA_LINKING, false, "", 15218 },
	{ "EXD", "", "", ResidueType::NON_POLYMER, false, "2-(trifluoromethyl)-1H-benzimidazol-7-ol", 15219 },
	{ "EXG", "", "", ResidueType::NON_POLYMER, false, "1-benzyl-1H-imidazo[4,5-b]pyridine", 15220 },
	{ "EXI", "", "", ResidueType::NON_POLYMER, false, "N1-(5-(2-(6-Amino-4-methylpyridin-2-yl)ethyl)pyridin-3-yl)-N1,N2-dimethylethane-1,2-diamine", 15221 },
	{ "EXJ", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-(3-chlorophenyl)-3-[(5-methyl-7-oxo-6,7-dihydro[1,2,4]triazolo[1,5-a]pyrimidin-2-yl)amino]propanenitrile", 15222 },
	{ "EXM", "", "", ResidueType::NON_POLYMER, false, "(8alpha,10alpha,13alpha)-6-methylideneandrosta-1,4-diene-3,17-dione", 15223 },
	{ "EXO", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3S,4R)-5-METHYLENECYCLOHEXANE-1,2,3,4-TETRAOL", 15224 },
	{ "EXP", "", "", ResidueType::NON_POLYMER, false, "2-{[(3-bromophenyl)methyl]amino}-5-methyl[1,2,4]triazolo[1,5-a]pyrimidin-7(6H)-one", 15225 },
	{ "EXS", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,4-dihydroxy-N-[2-(7-hydroxy-1H-benzimidazol-2-yl)ethyl]-3,3-dimethylbutanamide", 15226 },
	{ "EXT", "", "", ResidueType::NON_POLYMER, false, "{5-hydroxy-6-methyl-4-[(E)-{[2-(phosphonooxy)ethyl]imino}methyl]pyridin-3-yl}methyl dihydrogen phosphate", 15227 },
	{ "EXV", "", "", ResidueType::NON_POLYMER, false, "3-[(1S,2S)-2-(7-hydroxy-1H-benzimidazol-2-yl)cyclopentyl]benzoic acid", 15228 },
	{ "EXX", "", "", ResidueType::NON_POLYMER, false, "4,5,6,7-tetrabromo-1-(2-deoxy-beta-D-erythro-pentofuranosyl)-1H-benzimidazole", 15229 },
	{ "EXY", "", "", ResidueType::PEPTIDE_LINKING, false, "6-[(2R)-oxiran-2-yl]-L-norleucine", 15230 },
	{ "EY5", "", "", ResidueType::NON_POLYMER, false, "Erythromycin D", 15231 },
	{ "EY7", "", "", ResidueType::NON_POLYMER, false, "3-(3-methoxyquinoxalin-2-yl)propanoic acid", 15232 },
	{ "EYA", "", "", ResidueType::NON_POLYMER, false, "3-(3-methyl-4-oxo-3,4-dihydroquinazolin-2-yl)propanoic acid", 15233 },
	{ "EYC", "", "", ResidueType::NON_POLYMER, false, "", 15234 },
	{ "EYG", "", "", ResidueType::PEPTIDE_LINKING, false, "{(2R,4Z)-2-[(1R)-1-amino-3-(methylsulfanyl)propyl]-2-hydroxy-4-[(4-hydroxyphenyl)methylidene]-5-oxoimidazolidin-1-yl}acetic acid", 15235 },
	{ "EYJ", "", "", ResidueType::NON_POLYMER, false, "3-(1,3-benzothiazol-2-yl)propanoic acid", 15236 },
	{ "EYK", "", "", ResidueType::NON_POLYMER, false, "2-tert-butylbenzene-1,4-diol", 15237 },
	{ "EYM", "", "", ResidueType::NON_POLYMER, false, "3-(4-methyl-3-oxo-3,4-dihydroquinoxalin-2-yl)propanoic acid", 15238 },
	{ "EYP", "", "", ResidueType::NON_POLYMER, false, "", 15239 },
	{ "EYS", "", "", ResidueType::PEPTIDE_LINKING, false, "S-SELANYLCYSTEINAL", 15240 },
	{ "EYV", "", "", ResidueType::NON_POLYMER, false, "(1,3-benzothiazol-2-yl)acetic acid", 15241 },
	{ "EYY", "", "", ResidueType::NON_POLYMER, false, "3-(quinolin-2-yl)propanoic acid", 15242 },
	{ "EYZ", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-azanyl-6-[[(3~{R})-4-oxidanyl-4-oxidanylidene-3-phenylsulfanyl-butanoyl]amino]hexanoic acid", 15243 },
	{ "EZ1", "", "", ResidueType::NON_POLYMER, false, "4-[(prop-2-en-1-yl)selanyl]benzene-1-sulfonamide", 15244 },
	{ "EZ4", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4R)-2,3,4,5-tetrahydroxy-N-oxo-pentanamide", 15245 },
	{ "EZA", "", "", ResidueType::NON_POLYMER, false, "", 15246 },
	{ "EZB", "", "", ResidueType::NON_POLYMER, false, "5-methyl-6-quinolin-5-yl-3~{H}-quinazolin-4-one", 15247 },
	{ "EZG", "", "", ResidueType::NON_POLYMER, false, "N-[(1R,2R)-1,3-dihydroxy-1-(4-nitrophenyl)propan-2-yl]-L-histidinamide", 15248 },
	{ "EZL", "", "", ResidueType::NON_POLYMER, false, "6-ethoxy-1,3-benzothiazole-2-sulfonamide", 15249 },
	{ "EZM", "", "", ResidueType::NON_POLYMER, false, "N-[(1R,2R)-1,3-dihydroxy-1-(4-nitrophenyl)propan-2-yl]-L-lysinamide", 15250 },
	{ "EZN", "", "", ResidueType::NON_POLYMER, false, "[3-chloranyl-5-(1~{H}-indol-4-yl)phenyl]methanamine", 15251 },
	{ "EZP", "", "", ResidueType::NON_POLYMER, false, "N-[(1R,2R)-1,3-dihydroxy-1-(4-nitrophenyl)propan-2-yl]-D-histidinamide", 15252 },
	{ "EZR", "", "", ResidueType::NON_POLYMER, false, "3-methoxy-4-{3-[4-(4-methylpiperazin-1-yl)-1H-benzimidazol-2-yl]-1H-indazol-6-yl}aniline", 15253 },
	{ "EZS", "", "", ResidueType::NON_POLYMER, false, "1-{1-[(4-fluorophenyl)methyl]-2-methyl-1H-imidazol-4-yl}ethan-1-one", 15254 },
	{ "EZT", "", "", ResidueType::NON_POLYMER, false, "(17BETA)-17-{(E)-2-[2-(TRIFLUOROMETHYL)PHENYL]VINYL}ESTRA-1(10),2,4-TRIENE-3,17-DIOL", 15255 },
	{ "EZV", "", "", ResidueType::NON_POLYMER, false, "4-{3-[7-(4-methylpiperazin-1-yl)-1H-benzimidazol-2-yl]-1H-indazol-6-yl}aniline", 15256 },
	{ "EZY", "", "", ResidueType::NON_POLYMER, false, "N-[(2-nitrophenyl)methyl]glycine", 15257 },
	{ "F", "FLO", "", ResidueType::NON_POLYMER, false, "FLUORIDE ION", 15258 },
	{ "F01", "", "", ResidueType::NON_POLYMER, false, "4-amino-1-[(2R,3R,4S,5R)-3,4-dihydroxy-5-(hydroxymethyl)oxolan-2-yl]-5-fluoro-pyrimidin-2-one", 15259 },
	{ "F02", "", "", ResidueType::NON_POLYMER, false, "4-(diethylamino)benzohydrazide", 15260 },
	{ "F03", "", "", ResidueType::NON_POLYMER, false, "N-(4-OXO-3H-QUINAZOLIN-2-YL)ACETAMIDE", 15261 },
	{ "F04", "", "", ResidueType::NON_POLYMER, false, "2-ETHYL-4-METHYL-PHTHALAZIN-1-ONE", 15262 },
	{ "F05", "", "", ResidueType::NON_POLYMER, false, "2H-isoindol-1-amine", 15263 },
	{ "F06", "", "", ResidueType::NON_POLYMER, false, "2-chlorobenzyl carbamimidothioate", 15264 },
	{ "F07", "", "", ResidueType::NON_POLYMER, false, "THIENO[3,2-C][1,6]NAPHTHYRIDINE", 15265 },
	{ "F08", "", "", ResidueType::NON_POLYMER, false, "methyl 4-(4-oxo-4H-chromen-2-yl)benzoate", 15266 },
	{ "F09", "", "", ResidueType::NON_POLYMER, false, "NONAN-1-OL", 15267 },
	{ "F0G", "", "", ResidueType::PEPTIDE_LINKING, false, "(E)-N-({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methylidene)-L-alanine", 15268 },
	{ "F0S", "", "", ResidueType::NON_POLYMER, false, "(4~{S})-4-[3-[(2,6-dimethoxyphenyl)methylcarbamoyl]-4-fluoranyl-phenyl]-~{N}-(1~{H}-indazol-5-yl)-6-methyl-2-oxidanylidene-3,4-dihydro-1~{H}-pyrimidine-5-carboxamide", 15269 },
	{ "F0V", "", "", ResidueType::NON_POLYMER, false, "2-benzyl-7-[(3-chloro-4-methylphenyl)amino]-5-methyl-3H-[1,2,4]triazolo[1,5-a]pyrimidin-8-ium", 15270 },
	{ "F0Y", "", "", ResidueType::NON_POLYMER, false, "methyl 4-[(3-{(1R)-2-cyano-1-[(5-methyl-3H-imidazo[4,5-b]pyridin-2-yl)amino]ethyl}phenyl)methyl]piperidine-1-carboxylate", 15271 },
	{ "F10", "", "", ResidueType::NON_POLYMER, false, "2-[2-(2-FLUOROPHENYL)PYRIDIN-4-YL]-1,5,6,7-TETRAHYDRO-4H-PYRROLO[3,2-C]PYRIDIN-4-ONE", 15272 },
	{ "F11", "", "", ResidueType::NON_POLYMER, false, "N,N'-DI-1,2,3,4-TETRAHYDROACRIDIN-9-YLPENTANE-1,5-DIAMINE", 15273 },
	{ "F12", "", "", ResidueType::NON_POLYMER, false, "2-(ACETYLAMINO)THIOPHENE-3-CARBOXYLIC ACID", 15274 },
	{ "F13", "", "", ResidueType::NON_POLYMER, false, "3-fluoro-N-[3-(1H-tetrazol-5-yl)phenyl]benzamide", 15275 },
	{ "F14", "", "", ResidueType::NON_POLYMER, false, "2-({(1R)-1-[3-(4-methoxyphenoxy)phenyl]ethyl}amino)-5-methyl[1,2,4]triazolo[1,5-a]pyrimidin-7(6H)-one", 15276 },
	{ "F15", "", "", ResidueType::NON_POLYMER, false, "PENTADECANOIC ACID", 15277 },
	{ "F16", "", "", ResidueType::NON_POLYMER, false, "5-(3-HYDROXYPHENYL)ISOTHIAZOL-3(2H)-ONE 1,1-DIOXIDE", 15278 },
	{ "F17", "", "", ResidueType::NON_POLYMER, false, "N-{[4-(1,1-DIOXIDO-3-OXO-2,3-DIHYDROISOTHIAZOL-5-YL)PHENYL]ACETYL}-L-PHENYLALANYL-4-(1,1-DIOXIDO-3-OXO-2,3-DIHYDROISOTHIAZOL-5-YL)-L-PHENYLALANINAMIDE", 15279 },
	{ "F18", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-(3,5-DIAMINO-1H-PYRAZOL-4-YL)DIAZENYL]PHENOL", 15280 },
	{ "F19", "", "", ResidueType::NON_POLYMER, false, "2-[(2-NAPHTHYLSULFONYL)AMINO]ETHYL DIHYDROGEN PHOSPHATE", 15281 },
	{ "F1A", "", "", ResidueType::NON_POLYMER, false, "2,4,6-trimethylbenzenesulfonamide", 15282 },
	{ "F1C", "", "", ResidueType::NON_POLYMER, false, "3,5-bis(3-acetamidophenyl)benzoic acid", 15283 },
	{ "F1D", "", "", ResidueType::NON_POLYMER, false, "methyl 4-(3-{(1R)-2-cyano-1-[(5-methyl-7-oxo-6,7-dihydro[1,2,4]triazolo[1,5-a]pyrimidin-2-yl)amino]ethyl}phenoxy)piperidine-1-carboxylate", 15284 },
	{ "F1G", "", "", ResidueType::NON_POLYMER, false, "1-METHYL-3-TRIFLUOROMETHYL-1H-THIENO[2,3-C]PYRAZOLE-5-CARBOXYLIC ACID (2-MERCAPTO-ETHYL)-AMIDE", 15285 },
	{ "F1H", "", "", ResidueType::NON_POLYMER, false, "N-(1-benzylpiperidin-4-yl)-4-sulfanylbutanamide", 15286 },
	{ "F1I", "", "", ResidueType::NON_POLYMER, false, "N-[1-(2,6-dimethoxybenzyl)piperidin-4-yl]-4-sulfanylbutanamide", 15287 },
	{ "F1J", "", "", ResidueType::NON_POLYMER, false, "(2S)-4-(4-fluorobenzyl)-N-(2-sulfanylethyl)piperazine-2-carboxamide", 15288 },
	{ "F1K", "", "", ResidueType::NON_POLYMER, false, "(2S)-4-(4-fluorobenzyl)-N-(3-sulfanylpropyl)piperazine-2-carboxamide", 15289 },
	{ "F1L", "", "", ResidueType::NON_POLYMER, false, "N-[1-(5-bromo-2,3-dimethoxybenzyl)piperidin-4-yl]-4-sulfanylbutanamide", 15290 },
	{ "F1M", "", "", ResidueType::NON_POLYMER, false, "N-{1-[5-chloro-3-methoxy-2-(1-methylethoxy)benzyl]piperidin-4-yl}-2-(4-sulfamoylphenoxy)acetamide", 15291 },
	{ "F1N", "", "", ResidueType::NON_POLYMER, false, "N-{1-[5-chloro-3-methoxy-2-(1-methylethoxy)benzyl]piperidin-4-yl}-2-(2-methyl-4-sulfamoylphenoxy)acetamide", 15292 },
	{ "F1P", "", "", ResidueType::SACCHARIDE, false, "1-O-PHOSPHONO-BETA-D-FRUCTOPYRANOSE", 15293 },
	{ "F1S", "", "", ResidueType::NON_POLYMER, false, "N-(5-{[3-(4-amino-6-methyl-1,3,5-triazin-2-yl)-5-(tetrahydro-2H-pyran-4-yl)pyridin-2-yl]amino}-2-chloropyridin-3-yl)methanesulfonamide", 15294 },
	{ "F1V", "", "", ResidueType::NON_POLYMER, false, "N-[2-(5-methoxy-1H-indol-3-yl)ethyl]-2,2-dimethylpropanamide", 15295 },
	{ "F1X", "", "", ResidueType::SACCHARIDE, false, "1-O-phosphono-beta-D-fructofuranose", 15296 },
	{ "F20", "", "", ResidueType::NON_POLYMER, false, "N-BENZOYL-L-PHENYLALANYL-4-[(5S)-1,1-DIOXIDO-3-OXOISOTHIAZOLIDIN-5-YL]-L-PHENYLALANINAMIDE", 15297 },
	{ "F21", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-(FLUOROMETHYL)-7-(THIOMORPHOLIN-4-YLSULFONYL)-1,2,3,4-TETRAHYDROISOQUINOLINE", 15298 },
	{ "F22", "", "HXA", ResidueType::NON_POLYMER, true, "(4Z,7Z,10Z,13Z,16Z,19Z)-docosa-4,7,10,13,16,19-hexaenoic acid", 15299 },
	{ "F23", "", "", ResidueType::NON_POLYMER, false, "TRICOSANOIC ACID", 15300 },
	{ "F24", "", "", ResidueType::NON_POLYMER, false, "(7R,12R,13R)-13-formyl-12,14-dihydroxy-3,5,7-trimethyltetradeca-2,4-dienoic acid", 15301 },
	{ "F25", "", "", ResidueType::NON_POLYMER, false, "4-(1R,3AS,4R,8AS,8BR)-[1-DIFLUOROMETHYL-2-(4-FLUOROBENZYL)-3-OXODECAHYDROPYRROLO[3,4-A]PYRROLIZIN-4-YL]BENZAMIDINE", 15302 },
	{ "F27", "", "", ResidueType::NON_POLYMER, false, "6-[2-(3-biphenyl-4-ylpropanoyl)-1,3-oxazol-5-yl]pyridine-2-carboxylic acid", 15303 },
	{ "F29", "", "", ResidueType::NON_POLYMER, false, "1-ALLYL-5-(2-PHENYLPYRAZOLO[1,5-A]PYRIDIN-3-YL)-1H-PYRAZOLO[3,4-C]PYRIDAZIN-3-AMINE", 15304 },
	{ "F2A", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-[(S)-hydroxy{[(S)-hydroxy(phosphonooxy)phosphoryl]methyl}phosphoryl]adenosine", 15305 },
	{ "F2B", "", "", ResidueType::NON_POLYMER, false, "N-(2,3-DIFLUORO-BENZYL)-4-SULFAMOYL-BENZAMIDE", 15306 },
	{ "F2C", "", "", ResidueType::NON_POLYMER, false, "6-[2-(7-phenylheptanoyl)-1,3-oxazol-5-yl]pyridine-2-carboxylic acid", 15307 },
	{ "F2F", "", "", ResidueType::PEPTIDE_LINKING, false, "3,4-difluoro-L-phenylalanine", 15308 },
	{ "F2G", "", "", ResidueType::NON_POLYMER, false, "3-(2-{2-[(CYCLOHEXYLMETHOXY-HYDRO-METHYL)-AMINO]-1-HYDROXY-3-METHYL-BUTYLAMINO}-1-HYDROXY-PROPYLAMINO)-PENTANE-1,1,4-TRIOL", 15309 },
	{ "F2I", "", "", ResidueType::NON_POLYMER, false, "N'-{(1S,2R)-1-(3,5-DIFLUOROBENZYL)-2-HYDROXY-3-[(3-IODOBENZYL)AMINO]PROPYL}-5-METHYL-N,N-DIPROPYLISOPHTHALAMIDE", 15310 },
	{ "F2M", "", "", ResidueType::NON_POLYMER, false, "(~{E})-~{N}-(furan-2-ylmethyl)-~{N}-methyl-prop-1-en-1-amine", 15311 },
	{ "F2N", "", "", ResidueType::NON_POLYMER, false, "", 15312 },
	{ "F2O", "", "FEO", ResidueType::NON_POLYMER, true, "MU-OXO-DIIRON(III)", 15313 },
	{ "F2P", "", "", ResidueType::NON_POLYMER, false, "1,6-DI-O-PHOSPHONO-D-ALLITOL", 15314 },
	{ "F2T", "", "", ResidueType::RNA_LINKING, false, "2'-deoxy-2'-fluoro-5'-O-thiophosphonouridine", 15315 },
	{ "F2U", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5-ethynyl-2',2'-difluorouridine", 15316 },
	{ "F2W", "", "", ResidueType::NON_POLYMER, false, "6,7-dimethoxy-2-methyl-1,2,3,4-tetrahydroisoquinolin-2-ium", 15317 },
	{ "F2Y", "", "", ResidueType::PEPTIDE_LINKING, false, "3,5-difluoro-L-tyrosine", 15318 },
	{ "F2Z", "", "", ResidueType::NON_POLYMER, false, "6,7-dimethoxy-2,4-dihydro-1~{H}-isoquinolin-3-one", 15319 },
	{ "F31", "", "", ResidueType::NON_POLYMER, false, "1-(4-azanyl-3-methoxy-phenyl)ethanone", 15320 },
	{ "F32", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-{4-[(2S)-2-(1H-BENZIMIDAZOL-2-YL)-2-(1,3-BENZOTHIAZOL-2-YLAMINO)ETHYL]PHENYL}ISOTHIAZOLIDIN-3-ONE 1,1-DIOXIDE", 15321 },
	{ "F33", "", "", ResidueType::NON_POLYMER, false, "2-[4-(2-OXO-1,3-OXAZOLIDIN-3-YL)PHENYL]-3,4-DIHYDROQUINAZOLIN-4-ONE", 15322 },
	{ "F34", "", "", ResidueType::NON_POLYMER, false, "N-[(3S,4R,5R,6R)-4,5,6-trihydroxyazepan-3-yl]acetamide", 15323 },
	{ "F35", "", "", ResidueType::NON_POLYMER, false, "3-[[4-(4-oxidanylidene-3H-quinazolin-2-yl)phenyl]methyl]imidazolidine-2,4-dione", 15324 },
	{ "F36", "", "", ResidueType::NON_POLYMER, false, "2-(4-acetylphenyl)-3,4-dihydroquinazolin-4-one", 15325 },
	{ "F37", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-methyl-5-[4-(4-oxidanylidene-3H-quinazolin-2-yl)phenyl]imidazolidine-2,4-dione", 15326 },
	{ "F38", "", "", ResidueType::NON_POLYMER, false, "[4-(4-oxo-3,4-dihydroquinazolin-2- yl)phenyl]methanesulfonamide", 15327 },
	{ "F3A", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-[(S)-{difluoro[(S)-hydroxy(phosphonooxy)phosphoryl]methyl}(hydroxy)phosphoryl]adenosine", 15328 },
	{ "F3B", "", "", ResidueType::NON_POLYMER, false, "1,3,5-trichloro-2,4,6-trifluorobenzene", 15329 },
	{ "F3D", "", "", ResidueType::NON_POLYMER, false, "4-[(2-{4-[(1E)-1-(1H-indazol-5-yl)-2-phenylbut-1-en-1-yl]phenoxy}ethyl)amino]-N,N-dimethylbutanamide", 15330 },
	{ "F3F", "", "", ResidueType::NON_POLYMER, false, "S-[5-(TRIFLUOROMETHYL)-4H-1,2,4-TRIAZOL-3-YL] 5-(PHENYLETHYNYL)FURAN-2-CARBOTHIOATE", 15331 },
	{ "F3H", "", "", ResidueType::DNA_LINKING, false, "1,5-anhydro-2,3-dideoxy-3-fluoro-2-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)-6-O-phosphono-D-altritol", 15332 },
	{ "F3M", "", "", ResidueType::PEPTIDE_LINKING, false, "methyl 4-amino-2,4,5-trideoxy-5,5,5-trifluoro-L-threo-pentonate", 15333 },
	{ "F3N", "", "", ResidueType::RNA_LINKING, false, "", 15334 },
	{ "F3O", "", "", ResidueType::RNA_LINKING, false, "", 15335 },
	{ "F3P", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-[(1S)-1-FLUOROETHYL]-1,5-DIMETHYLHEXYL TRIHYDROGEN DIPHOSPHATE", 15336 },
	{ "F3S", "FS3", "", ResidueType::NON_POLYMER, false, "FE3-S4 CLUSTER", 15337 },
	{ "F3T", "", "", ResidueType::PEPTIDE_LINKING, false, "4-amino-2,4,5-trideoxy-5,5,5-trifluoro-L-threo-pentonic acid", 15338 },
	{ "F3V", "", "", ResidueType::NON_POLYMER, false, "1-aminopropan-2-one", 15339 },
	{ "F3Z", "", "", ResidueType::NON_POLYMER, false, "(3~{R})-1-[2-oxidanylidene-2-[4-(4-pyrimidin-2-ylphenyl)piperazin-1-yl]ethyl]-~{N}-(3-pyridin-4-yl-1~{H}-indazol-5-yl)pyrrolidine-3-carboxamide", 15340 },
	{ "F40", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-3H-quinazolin-4-one", 15341 },
	{ "F41", "", "", ResidueType::NON_POLYMER, false, "N-(1,3-benzodioxol-5-yl)-2-(piperidin-1-yl)acetamide", 15342 },
	{ "F42", "", "", ResidueType::NON_POLYMER, false, "COENZYME F420", 15343 },
	{ "F43", "", "", ResidueType::NON_POLYMER, false, "FACTOR 430", 15344 },
	{ "F45", "", "", ResidueType::NON_POLYMER, false, "[6-(3,4-dihydroxyphenyl)pyridin-2-yl](4-fluoro-3-hydroxyphenyl)methanone", 15345 },
	{ "F46", "", "", ResidueType::NON_POLYMER, false, "N-[2-fluoro-5-({9-[2-(morpholin-4-yl)ethoxy]-11-oxo-6,11-dihydrodibenzo[b,e]oxepin-3-yl}amino)phenyl]benzamide", 15346 },
	{ "F47", "", "", ResidueType::NON_POLYMER, false, "4-[[6-(4-fluorophenyl)-[1,2,4]triazolo[4,3-b][1,2,4]triazin-3-yl]methyl]phenol", 15347 },
	{ "F49", "", "", ResidueType::NON_POLYMER, false, "[2,4-dioxo-3-(2,3,4,5-tetrabromo-6-methoxybenzyl)-3,4-dihydropyrimidin-1(2H)-yl]acetic acid", 15348 },
	{ "F4A", "", "", ResidueType::NON_POLYMER, false, "4-[(9H-purin-6-yl)amino]benzamide", 15349 },
	{ "F4C", "", "", ResidueType::NON_POLYMER, false, "2-(4-fluorophenyl)-3-oxo-6-pyridin-4-yl-N-[2-(trifluoromethyl)benzyl]-2,3-dihydropyridazine-4-carboxamide", 15350 },
	{ "F4D", "", "", ResidueType::NON_POLYMER, false, "4,4'-[(3-{[(4-fluorophenyl)sulfonyl]amino}pyridine-2,6-diyl)bis(oxy)]dibenzenecarboximidamide", 15351 },
	{ "F4G", "", "", ResidueType::NON_POLYMER, false, "3-(pyridin-3-yl)imidazo[1,2-a]pyridine-8-carboxamide", 15352 },
	{ "F4H", "", "", ResidueType::DNA_LINKING, false, "1,5-anhydro-2,3-dideoxy-3-fluoro-2-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)-6-O-phosphono-D-mannitol", 15353 },
	{ "F4J", "", "", ResidueType::NON_POLYMER, false, "5-[(7H-purin-6-yl)amino]-1H-isoindol-1-one", 15354 },
	{ "F4M", "", "", ResidueType::NON_POLYMER, false, "", 15355 },
	{ "F4P", "", "", ResidueType::NON_POLYMER, false, "1-[bis(4-fluorophenyl)methyl]-4-(1H-1,2,4-triazol-1-ylcarbonyl)piperazine", 15356 },
	{ "F4Q", "", "", ResidueType::DNA_LINKING, false, "[(1~{S},2~{R},4~{R},6~{S},8~{R})-8-(2-azanyl-6-oxidanylidene-1~{H}-purin-9-yl)-6-oxidanyl-9-oxatricyclo[4.3.0.0^{2,4}]nonan-2-yl] dihydrogen phosphate", 15357 },
	{ "F4S", "", "", ResidueType::NON_POLYMER, false, "FE4-S3 CLUSTER", 15358 },
	{ "F50", "", "", ResidueType::NON_POLYMER, false, "ETHANEPEROXOIC ACID", 15359 },
	{ "F51", "", "", ResidueType::NON_POLYMER, false, "", 15360 },
	{ "F53", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-yl {(1S,2R)-1-benzyl-3-[(2-ethylbutyl){[4-(hydroxymethyl)phenyl]sulfonyl}amino]-2-hydroxypropyl}carbamate", 15361 },
	{ "F54", "", "", ResidueType::NON_POLYMER, false, "2-[4-(2-chloro-6-methylpyridin-3-yl)phenyl]-6-fluoro-3-methylquinoline-4-carboxylic acid", 15362 },
	{ "F55", "", "", ResidueType::NON_POLYMER, false, "N-{[(4-chlorophenyl)carbonyl]carbamoyl}-beta-D-glucopyranosylamine", 15363 },
	{ "F57", "", "", ResidueType::NON_POLYMER, false, "(2R)-1-(decanoyloxy)-3-(phosphonooxy)propan-2-yl octadecanoate", 15364 },
	{ "F58", "", "", ResidueType::NON_POLYMER, false, "N-[(cyclohexylcarbonyl)carbamoyl]-beta-D-glucopyranosylamine", 15365 },
	{ "F59", "", "", ResidueType::NON_POLYMER, false, "N-[(biphenyl-4-ylcarbonyl)carbamoyl]-beta-D-glucopyranosylamine", 15366 },
	{ "F5B", "", "", ResidueType::NON_POLYMER, false, "1,2,3,4,5-pentafluorobenzene", 15367 },
	{ "F5C", "", "", ResidueType::NON_POLYMER, false, "penta-fluorocinnamic acid", 15368 },
	{ "F5D", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-({5-[(2R,3aS,4S,6aR)-2-hydroxyhexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoyl}oxy){[(S)-hydroxy(phosphonooxy)phosphoryl]oxy}phosphoryl]adenosine", 15369 },
	{ "F5H", "", "", ResidueType::DNA_LINKING, false, "3,7-anhydro-1,5,6-trideoxy-5-fluoro-6-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)-2-O-phosphono-D-glycero-L-altro-heptitol", 15370 },
	{ "F5J", "", "", ResidueType::NON_POLYMER, false, "7-[(5R)-5-C-phenyl-beta-D-ribofuranosyl]-7H-pyrrolo[2,3-d]pyrimidin-4-amine", 15371 },
	{ "F5M", "", "", ResidueType::NON_POLYMER, false, "5-(2,5-dioxo-2,5-dihydro-1H-pyrrol-1-yl)-2-(6-hydroxy-3-oxo-3H-xanthen-9-yl)benzoic acid", 15372 },
	{ "F5N", "", "", ResidueType::NON_POLYMER, false, "2-(imidazo[1,2-a]pyridin-2-yl)-N-phenylacetamide", 15373 },
	{ "F5V", "", "", ResidueType::NON_POLYMER, false, "N-{3-[2-methyl-6-(1-methyl-1H-pyrazol-4-yl)-1-oxo-1,2-dihydroisoquinolin-4-yl]phenyl}methanesulfonamide", 15374 },
	{ "F5Y", "", "", ResidueType::NON_POLYMER, false, "4-[5-(ethylsulfonyl)-2-methoxyphenyl]-2-methyl-6-(1-methyl-1H-pyrazol-4-yl)isoquinolin-1(2H)-one", 15375 },
	{ "F60", "", "", ResidueType::NON_POLYMER, false, "1H-indol-6-ol", 15376 },
	{ "F61", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3S,4R)-1-(alpha-D-galactopyranosyloxy)-3,4-dihydroxyoctadecan-2-yl]undecanamide", 15377 },
	{ "F62", "", "", ResidueType::NON_POLYMER, false, "N-[3-[2-[[2-methoxy-4-(4-methylpiperazin-1-yl)phenyl]amino]-5-methyl-7-oxidanylidene-pyrido[2,3-d]pyrimidin-8-yl]phenyl]prop-2-enamide", 15378 },
	{ "F63", "", "", ResidueType::NON_POLYMER, false, "N-methyl-1-[5-(pyridin-3-yloxy)furan-2-yl]methanamine", 15379 },
	{ "F67", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-methyl-5-[(pyrimidin-4-yl)amino]-2,3-dihydro-1H-isoindol-1-one", 15380 },
	{ "F68", "", "", ResidueType::NON_POLYMER, false, "N-{[(4-methylphenyl)carbonyl]carbamoyl}-beta-D-glucopyranosylamine", 15381 },
	{ "F69", "", "", ResidueType::NON_POLYMER, false, "(2-thiophen-2-ylphenyl)methanol", 15382 },
	{ "F6A", "", "", ResidueType::NON_POLYMER, false, "N-biphenyl-3-yl-2-(trifluoromethyl)benzamide", 15383 },
	{ "F6B", "", "", ResidueType::NON_POLYMER, false, "N-(2,6-DIFLUORO-BENZYL)-4-SULFAMOYL-BENZAMIDE", 15384 },
	{ "F6D", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-[(7-{[(2S)-2-amino-2-(2-methoxyphenyl)ethyl]amino}-5-methyl[1,2,4]triazolo[1,5-a]pyrimidin-2-yl)amino]-3-(3-chlorophenyl)propanenitrile", 15385 },
	{ "F6F", "", "", ResidueType::NON_POLYMER, false, "2-{[4-(TRIFLUOROMETHOXY)BENZOYL]AMINO}ETHYL DIHYDROGEN PHOSPHATE", 15386 },
	{ "F6H", "", "", ResidueType::DNA_LINKING, false, "3,7-anhydro-1,5,6-trideoxy-5-fluoro-6-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)-2-O-phosphono-D-glycero-L-allo-heptitol", 15387 },
	{ "F6J", "", "", ResidueType::NON_POLYMER, false, "2-(2-methylpropyl)-4-(5-phenyl-1H-pyrrolo[2,3-b]pyridin-3-yl)benzoic acid", 15388 },
	{ "F6M", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-1-[5-[2-[(4-cyanophenyl)amino]-4-(propylamino)pyrimidin-5-yl]pent-4-ynylamino]-1-oxidanylidene-propan-2-yl]-4-(dimethylamino)-N-methyl-but-2-enamide", 15389 },
	{ "F6P", "", "", ResidueType::SACCHARIDE, false, "FRUCTOSE-6-PHOSPHATE", 15390 },
	{ "F6R", "", "", ResidueType::NON_POLYMER, false, "FRUCTOSE -6-PHOSPHATE", 15391 },
	{ "F6Y", "", "", ResidueType::NON_POLYMER, false, "", 15392 },
	{ "F6Z", "", "", ResidueType::NON_POLYMER, false, "", 15393 },
	{ "F70", "", "", ResidueType::NON_POLYMER, false, "cyanomethyl 4-(4-oxo-4H-chromen-2-yl)benzoate", 15394 },
	{ "F71", "", "", ResidueType::NON_POLYMER, false, "3-hydroxy-N-[(2S,3R)-3-hydroxy-4-([(2S)-2-methylbutyl]{[5-(1,2-oxazol-5-yl)thiophen-2-yl]sulfonyl}amino)-1-phenylbutan-2-yl]benzamide", 15395 },
	{ "F72", "", "", ResidueType::NON_POLYMER, false, "N-{(2S,3R)-4-[(1,3-benzothiazol-6-ylsulfonyl)(cyclohexylmethyl)amino]-3-hydroxy-1-phenylbutan-2-yl}-3-hydroxybenzamide", 15396 },
	{ "F76", "", "", ResidueType::NON_POLYMER, false, "2-oxo-2-[(4-sulfamoylphenyl)amino]ethyl 7,8,9,10-tetrahydro-6H-cyclohepta[b]quinoline-11-carboxylate", 15397 },
	{ "F77", "", "", ResidueType::NON_POLYMER, false, "3-ETHYL-6-{[(4-FLUOROPHENYL)SULFONYL]AMINO}-2-METHYLBENZOIC ACID", 15398 },
	{ "F78", "", "", ResidueType::NON_POLYMER, false, "3-hydroxy-N-[(2S,3R)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl](3-phenylpropyl)amino}-1-phenylbutan-2-yl]benzamide", 15399 },
	{ "F79", "", "", ResidueType::NON_POLYMER, false, "2-(2-AMINOETHOXY)-3-ETHYL-6-{[(4-FLUOROPHENYL)SULFONYL]AMINO}BENZOIC ACID", 15400 },
	{ "F7A", "", "", ResidueType::NON_POLYMER, false, "N-(3-phenoxyphenyl)-2-(trifluoromethyl)benzamide", 15401 },
	{ "F7D", "", "", ResidueType::NON_POLYMER, false, "(7R)-2-[(3,5-difluoro-4-hydroxyphenyl)amino]-7-methyl-5,8-di(prop-2-yn-1-yl)-7,8-dihydropteridin-6(5H)-one", 15402 },
	{ "F7L", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-[(2-fluorobenzyl)oxy]-3-(pyrrolidin-1-yl)propan-2-ol", 15403 },
	{ "F7W", "", "", ResidueType::PEPTIDE_LINKING, false, "7-Fluorotryptophan", 15404 },
	{ "F83", "", "", ResidueType::NON_POLYMER, false, "(3R)-N-(4-CHLOROPHENYL)-3-(HYDROXYMETHYL)-1,2,3,4-TETRAHYDROISOQUINOLINE-7-SULFONAMIDE", 15405 },
	{ "F85", "", "", ResidueType::NON_POLYMER, false, "N-[(4-tert-butylbenzoyl)carbamoyl]-beta-D-glucopyranosylamine", 15406 },
	{ "F87", "", "", ResidueType::NON_POLYMER, false, "(7R)-2-[(3,5-difluoro-4-hydroxyphenyl)amino]-7-methyl-8-(3-methylbutyl)-5-(prop-2-yn-1-yl)-7,8-dihydropteridin-6(5H)-one", 15407 },
	{ "F89", "U18", "", ResidueType::NON_POLYMER, false, "S)-2-(5(((1,2-DIHYDRO-3-METHYL-1-OXOBENZO(F)QUINAZOLIN-9-YL)METHYL)AMINO)1-OXO-2-ISOINDOLINYL)GLUTARIC ACID", 15408 },
	{ "F8A", "", "", ResidueType::NON_POLYMER, false, "9-[2-(trifluoromethyl)benzyl]-2,3,4,9-tetrahydro-1H-carbazole-8-carboxylic acid", 15409 },
	{ "F8E", "", "", ResidueType::NON_POLYMER, false, "methyl 2-bromo-5-(7H-pyrrolo[2,3-d]pyrimidin-4-ylamino)benzoate", 15410 },
	{ "F8G", "", "", ResidueType::NON_POLYMER, false, "", 15411 },
	{ "F8V", "", "", ResidueType::NON_POLYMER, false, "(3S)-N-[3-(4-fluorophenyl)-1H-indazol-5-yl]-3-(methylsulfanyl)-1-(2-oxo-2-{4-[4-(pyrimidin-2-yl)phenyl]piperazin-1-yl}ethyl)pyrrolidine-3-carboxamide", 15412 },
	{ "F8Y", "", "", ResidueType::NON_POLYMER, false, "(7R)-2-[(3,5-difluoro-4-hydroxyphenyl)amino]-8-ethyl-7-methyl-5-(prop-2-yn-1-yl)-7,8-dihydropteridin-6(5H)-one", 15413 },
	{ "F90", "", "", ResidueType::NON_POLYMER, false, "4-chlorobenzyl carbamimidothioate", 15414 },
	{ "F91", "", "", ResidueType::NON_POLYMER, false, "N-(pyridin-4-ylmethyl)-2,3-dihydro-1,4-benzodioxin-6-amine", 15415 },
	{ "F94", "", "", ResidueType::NON_POLYMER, false, "7-hydroxy-2-(3-hydroxyphenyl)-4H-chromen-4-one", 15416 },
	{ "F95", "", "", ResidueType::NON_POLYMER, false, "(7,8-dihydroxy-2-oxo-2H-chromen-4-yl)acetic acid", 15417 },
	{ "F98", "", "", ResidueType::NON_POLYMER, false, "3-[ethanoyl(hydroxy)amino]propylphosphonic acid", 15418 },
	{ "F9A", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(dimethylamino)methyl]phenyl}-2-(trifluoromethyl)benzamide", 15419 },
	{ "F9F", "", "", ResidueType::NON_POLYMER, false, "2-({[4-(TRIFLUOROMETHOXY)PHENYL]SULFONYL}AMINO)ETHYL DIHYDROGEN PHOSPHATE", 15420 },
	{ "F9J", "", "", ResidueType::NON_POLYMER, false, "5-FLUORO-4-[(1S)-1-(5-FLUOROPYRIMIDIN-2-YL)ETHOXY]-N-(5-METHYL-1H-PYRAZOL-3-YL)-6-MORPHOLINO-PYRIMIDIN-2-AMINE", 15421 },
	{ "F9K", "", "", ResidueType::NON_POLYMER, false, "", 15422 },
	{ "F9P", "", "", ResidueType::NON_POLYMER, false, "N-hydroxycyclohexanecarboxamide", 15423 },
	{ "F9V", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-phenylbutanedioic acid", 15424 },
	{ "FA", "", "FOL", ResidueType::NON_POLYMER, true, "FOLIC ACID", 15425 },
	{ "FA0", "", "", ResidueType::NON_POLYMER, false, "2-amino-4-fluorobenzoic acid", 15426 },
	{ "FA1", "", "", ResidueType::NON_POLYMER, false, "2,3 -ANHYDRO-QUINIC ACID", 15427 },
	{ "FA2", "", "", ResidueType::RNA_LINKING, false, "5-(6-AMINO-9H-PURIN-9-YL)-4-HYDROXYTETRAHYDROFURAN-3-YL DIHYDROGEN PHOSPHATE", 15428 },
	{ "FA3", "", "", ResidueType::NON_POLYMER, false, "2-ANHYDRO-3-FLUORO-QUINIC ACID", 15429 },
	{ "FA4", "", "", ResidueType::NON_POLYMER, false, "SM-25453", 15430 },
	{ "FA5", "", "", ResidueType::RNA_LINKING, false, "ADENOSINE-5'-[PHENYLALANINYL-PHOSPHATE]", 15431 },
	{ "FA6", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXYIMINO QUINIC ACID", 15432 },
	{ "FA7", "", "", ResidueType::NON_POLYMER, false, "(2Z,4E)-7-methylocta-2,4-dienoic acid", 15433 },
	{ "FA8", "", "", ResidueType::NON_POLYMER, false, "", 15434 },
	{ "FA9", "", "", ResidueType::NON_POLYMER, false, "", 15435 },
	{ "FAA", "", "", ResidueType::NON_POLYMER, false, "N5-(4-HYDROXYBENZYL)FLAVIN-ADENINE DINUCLEOTIDE", 15436 },
	{ "FAB", "", "", ResidueType::NON_POLYMER, false, "FLAVIN-ADENINE DINUCLEOTIDE-N5-ISOBUTYL KETONE", 15437 },
	{ "FAC", "", "", ResidueType::NON_POLYMER, false, "1,1,1,3,3,3-HEXAFLUOROPROPANEDIOL", 15438 },
	{ "FAD", "", "", ResidueType::NON_POLYMER, false, "FLAVIN-ADENINE DINUCLEOTIDE", 15439 },
	{ "FAE", "", "", ResidueType::NON_POLYMER, false, "FLAVIN-N7 PROTONATED-ADENINE DINUCLEOTIDE", 15440 },
	{ "FAF", "", "", ResidueType::NON_POLYMER, false, "2-ACETYLAMINO-4-METHYL-PENTANOIC ACID (1-FORMYL-2-PHENYL-ETHYL)-AMIDE", 15441 },
	{ "FAG", "", "", ResidueType::DNA_LINKING, false, "", 15442 },
	{ "FAH", "", "", ResidueType::NON_POLYMER, false, "fluoroacetic acid", 15443 },
	{ "FAI", "", "", ResidueType::RNA_LINKING, false, "5-(formylamino)-1-(5-O-phosphono-beta-D-ribofuranosyl)-1H-imidazole-4-carboxamide", 15444 },
	{ "FAJ", "", "", ResidueType::NON_POLYMER, false, "FAD-trans-2-Phenylcyclopropylamine Adduct", 15445 },
	{ "FAK", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-(trifluoroacetyl)-L-lysine", 15446 },
	{ "FAL", "", "", ResidueType::NON_POLYMER, false, "(2R)-1-[4-({4-[(2,5-DICHLOROPHENYL)AMINO]PYRIMIDIN-2-YL}AMINO)PHENOXY]-3-(DIMETHYLAMINO)PROPAN-2-OL", 15447 },
	{ "FAM", "", "", ResidueType::NON_POLYMER, false, "ALPHA-FLUORO-AMIDOCARBOXYMETHYLDETHIA COENZYME A COMPLEX", 15448 },
	{ "FAN", "", "", ResidueType::NON_POLYMER, false, "FORMANILIDE", 15449 },
	{ "FAO", "", "", ResidueType::NON_POLYMER, false, "", 15450 },
	{ "FAP", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-[4-({6-[(2,6-DIFLUOROPHENYL)AMINO]PYRIMIDIN-4-YL}AMINO)PHENOXY]-3-(DIMETHYLAMINO)PROPAN-2-OL", 15451 },
	{ "FAQ", "", "", ResidueType::NON_POLYMER, false, "Phenylacetyl coenzyme A", 15452 },
	{ "FAR", "", "", ResidueType::NON_POLYMER, false, "FARNESYL", 15453 },
	{ "FAS", "", "", ResidueType::NON_POLYMER, false, "ARABINO-FLAVIN-ADENINE DINUCLEOTIDE", 15454 },
	{ "FAT", "", "PLM", ResidueType::NON_POLYMER, true, "1-HEXYLDECANOIC ACID", 15455 },
	{ "FAV", "", "", ResidueType::NON_POLYMER, false, "N-(2-chlorophenyl)-N-methyl-4H-thieno[3,2-c]chromene-2-carboxamide", 15456 },
	{ "FAW", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-hydroxypropane-1,2-diyl ditetradecanoate", 15457 },
	{ "FAX", "", "", ResidueType::DNA_LINKING, false, "[(1R,2S,4R)-4-{[6-amino-5-(formylamino)pyrimidin-4-yl]amino}-2-hydroxycyclopentyl]methyl dihydrogen phosphate", 15458 },
	{ "FAY", "", "", ResidueType::NON_POLYMER, false, "", 15459 },
	{ "FAZ", "", "", ResidueType::NON_POLYMER, false, "8-(acetylamino)-N-(2-chlorophenyl)-N-methyl-4,5-dihydrothieno[3,2-d][1]benzoxepine-2-carboxamide", 15460 },
	{ "FB", "", "", ResidueType::NON_POLYMER, false, "5A-FORMYLBICYCLOMYCIN", 15461 },
	{ "FB0", "", "", ResidueType::NON_POLYMER, false, "", 15462 },
	{ "FB1", "", "", ResidueType::NON_POLYMER, false, "2-CHLOROBENZENESULFONAMIDE", 15463 },
	{ "FB2", "", "", ResidueType::NON_POLYMER, false, "benzenesulfonamide", 15464 },
	{ "FB4", "", "", ResidueType::NON_POLYMER, false, "2-(2-amino-4-chlorophenoxy)-5-chlorophenol", 15465 },
	{ "FB5", "", "", ResidueType::PEPTIDE_LINKING, false, "2-(difluoromethyl)-6-(dihydroxyboranyl)-L-norleucine", 15466 },
	{ "FB6", "", "", ResidueType::PEPTIDE_LINKING, false, "6-(dihydroxyboranyl)-2-methyl-L-norleucine", 15467 },
	{ "FB7", "", "", ResidueType::NON_POLYMER, false, "5-(2,6-dimorpholin-4-ylpyridin-4-yl)-4-(trifluoromethyl)pyridin-2-amine", 15468 },
	{ "FBA", "", "", ResidueType::NON_POLYMER, false, "4-FLUOROBENZYLAMINE", 15469 },
	{ "FBB", "", "", ResidueType::NON_POLYMER, false, "6-fluoro-1,3-benzothiazol-2-amine", 15470 },
	{ "FBC", "", "", ResidueType::NON_POLYMER, false, "", 15471 },
	{ "FBD", "", "", ResidueType::NON_POLYMER, false, "N-({(1R)-1-carboxy-2-[(4-fluorobenzyl)sulfanyl]ethyl}carbamoyl)-L-glutamic acid", 15472 },
	{ "FBE", "", "", ResidueType::PEPTIDE_LIKE, false, "(3E)-5-aminopent-3-enoic acid", 15473 },
	{ "FBF", "", "", ResidueType::NON_POLYMER, false, "4-(trifluoromethyl)benzenecarboximidamide", 15474 },
	{ "FBG", "", "", ResidueType::NON_POLYMER, false, "6-fluoro-4H-1,3-benzodioxine-8-carboxylic acid", 15475 },
	{ "FBI", "", "", ResidueType::NON_POLYMER, false, "7-[4-(4-FLUORO-PHENYL)-6-ISOPROPYL-2-(METHANESULFONYL-METHYL-AMINO)-PYRIMIDIN-5-YL] -3,5-DIHYDROXY-HEPTANOIC ACID", 15476 },
	{ "FBJ", "", "", ResidueType::NON_POLYMER, false, "N-hydroxycyclopent-1-ene-1-carboxamide", 15477 },
	{ "FBL", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-[4-({4-[(2,5-DICHLOROPHENYL)AMINO]PYRIMIDIN-2-YL}AMINO)PHENOXY]-3-(DIMETHYLAMINO)PROPAN-2-OL", 15478 },
	{ "FBM", "", "", ResidueType::NON_POLYMER, false, "N-hydroxycyclohex-1-ene-1-carboxamide", 15479 },
	{ "FBN", "", "", ResidueType::NON_POLYMER, false, "5'-deoxy-5'-[4-({[(2,3-dihydroxy-5-nitrophenyl)carbonyl]amino}methyl)-1H-1,2,3-triazol-1-yl]adenosine", 15480 },
	{ "FBO", "", "", ResidueType::NON_POLYMER, false, "L-phenylalanyl-N6-[(benzyloxy)carbonyl]-N1-hydroxy-L-lysinamide", 15481 },
	{ "FBP", "BFP", "", ResidueType::SACCHARIDE, false, "BETA-FRUCTOSE-1,6-DIPHOSPHATE", 15482 },
	{ "FBQ", "", "", ResidueType::NON_POLYMER, false, "1-[3-({[(4-AMINO-5-FLUORO-2-METHYLQUINOLIN-3-YL)METHYL]THIO}METHYL)PHENYL]-2,2,2-TRIFLUOROETHANE-1,1-DIOL", 15483 },
	{ "FBR", "", "", ResidueType::NON_POLYMER, false, "(9aS)-4-bromo-9a-butyl-7-hydroxy-1,2,9,9a-tetrahydro-3H-fluoren-3-one", 15484 },
	{ "FBS", "", "", ResidueType::NON_POLYMER, false, "4-FLUOROBENZENESULFONAMIDE", 15485 },
	{ "FBT", "", "", ResidueType::NON_POLYMER, false, "2,6-DIFLUOROBENZENESULFONAMIDE", 15486 },
	{ "FBU", "", "", ResidueType::NON_POLYMER, false, "3,5-DIFLUOROBENZENESULFONAMIDE", 15487 },
	{ "FBV", "", "", ResidueType::NON_POLYMER, false, "2-fluorobenzenesulfonamide", 15488 },
	{ "FBW", "", "", ResidueType::NON_POLYMER, false, "3-fluorobenzenesulfonamide", 15489 },
	{ "FBY", "", "", ResidueType::NON_POLYMER, false, "(7R)-5-butyl-2-[(3,5-difluoro-4-hydroxyphenyl)amino]-7,8-dimethyl-7,8-dihydropteridin-6(5H)-one", 15490 },
	{ "FBZ", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-phenylbutanoic acid", 15491 },
	{ "FC0", "", "", ResidueType::PEPTIDE_CARBOXY_TERMINUS, false, "N-CARBOXY-L-PHENYLALANINE", 15492 },
	{ "FC1", "", "", ResidueType::NON_POLYMER, false, "THIOCOUMARIN", 15493 },
	{ "FC2", "", "", ResidueType::NON_POLYMER, false, "5-(2,5-DICHLOROPHENYL)-2-FUROIC ACID", 15494 },
	{ "FC3", "", "", ResidueType::NON_POLYMER, false, "5-[2-(TRIFLUOROMETHYL)PHENYL]-2-FUROIC ACID", 15495 },
	{ "FC4", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-{[4-(4-chlorophenyl)-5-cyano-6-oxo-1,6-dihydropyrimidin-2-yl]sulfanyl}-N-(4-sulfamoylphenyl)propanamide", 15496 },
	{ "FC5", "", "", ResidueType::NON_POLYMER, false, "6-hydroxy-2H-chromene-2-thione", 15497 },
	{ "FC6", "", "", ResidueType::NON_POLYMER, false, "HEXACYANOFERRATE(3-)", 15498 },
	{ "FC7", "", "", ResidueType::NON_POLYMER, false, "Fusicoccin A-THF", 15499 },
	{ "FC9", "", "", ResidueType::NON_POLYMER, false, "2-(6-hydroxy-3-oxo-3H-xanthen-9-yl)-5-[({[1-(4-sulfamoylphenyl)-1H-1,2,3-triazol-4-yl]methyl}carbamothioyl)amino]benzoic acid", 15500 },
	{ "FCA", "", "", ResidueType::SACCHARIDE, false, "ALPHA-D-FUCOSE", 15501 },
	{ "FCB", "", "", ResidueType::SACCHARIDE, false, "BETA-D-FUCOSE", 15502 },
	{ "FCD", "", "", ResidueType::NON_POLYMER, false, "5-(2-CHLOROPHENYL)FURAN-2-CARBOXYLIC ACID", 15503 },
	{ "FCE", "", "", ResidueType::NON_POLYMER, false, "FERRICHROME", 15504 },
	{ "FCF", "", "", ResidueType::NON_POLYMER, false, "3-[(1E,7E)-8-(2,6-dioxo-1,2,3,6-tetrahydropyrimidin-4-yl)-3,6-dioxa-2,7-diazaocta-1,7-dien-1-yl]benzoic acid", 15505 },
	{ "FCG", "", "", ResidueType::NON_POLYMER, false, "(N5,C4A)-(ALPHA-HYDROXY-PROPANO)-3,4,4A,5-TETRAHYDRO-FLAVIN-ADENINE DINUCLEOTIDE", 15506 },
	{ "FCH", "", "", ResidueType::NON_POLYMER, false, "(2R,3S)-3-amino-1-[(cyclohexylmethyl)amino]-4-phenylbutan-2-ol", 15507 },
	{ "FCI", "", "", ResidueType::NON_POLYMER, false, "FERRICROCIN-IRON", 15508 },
	{ "FCK", "", "", ResidueType::NON_POLYMER, false, "3-({[3-({[(1E)-(2,6-dioxo-1,2,3,6-tetrahydropyrimidin-4-yl)methylidene]amino}oxy)propyl]amino}methyl)benzoic acid", 15509 },
	{ "FCL", "", "", ResidueType::PEPTIDE_LINKING, false, "3-CHLORO-L-PHENYLALANINE", 15510 },
	{ "FCM", "", "", ResidueType::NON_POLYMER, false, "(9aS)-8-acetyl-N-[(2-ethyl-4-fluoronaphthalen-1-yl)methyl]-1,7-dihydroxy-3-methoxy-9a-methyl-9-oxo-9,9a-dihydrodibenzo[b,d]furan-4-carboxamide", 15511 },
	{ "FCN", "", "", ResidueType::NON_POLYMER, false, "FOSFOMYCIN", 15512 },
	{ "FCO", "", "", ResidueType::NON_POLYMER, false, "CARBONMONOXIDE-(DICYANO) IRON", 15513 },
	{ "FCP", "", "", ResidueType::NON_POLYMER, false, "(2R)-1-[4-({6-[(2,6-DIFLUOROPHENYL)AMINO]PYRIMIDIN-4-YL}AMINO)PHENOXY]-3-(DIMETHYLAMINO)PROPAN-2-OL", 15514 },
	{ "FCR", "", "", ResidueType::NON_POLYMER, false, "ALPHA,ALPHA,ALPHA-TRIFLUORO-P-CRESOL", 15515 },
	{ "FCS", "", "", ResidueType::NON_POLYMER, false, "(7S)-2-[(3,5-difluoro-4-hydroxyphenyl)amino]-7-methyl-8-(3-methylbutyl)-5-(prop-2-yn-1-yl)-7,8-dihydropteridin-6(5H)-one", 15516 },
	{ "FCT", "", "", ResidueType::SACCHARIDE, false, "DEOXY-2-FLUORO-B-D-CELLOTRIOSIDE", 15517 },
	{ "FCW", "", "", ResidueType::NON_POLYMER, false, "5-cyclohexyl-1,3-dihydroindol-2-one", 15518 },
	{ "FCX", "", "", ResidueType::NON_POLYMER, false, "ALPHA-FLUORO-CARBOXYMETHYLDETHIA COENZYME A COMPLEX", 15519 },
	{ "FCY", "", "CYS", ResidueType::NON_POLYMER, true, "FREE CYSTEINE", 15520 },
	{ "FD1", "", "", ResidueType::NON_POLYMER, false, "N-ALPHA-(2-NAPHTHYLSULFONYL)-N-(3-AMIDINO-L-PHENYLALANINYL)-D-PIPECOLINIC ACID", 15521 },
	{ "FD2", "", "", ResidueType::NON_POLYMER, false, "N-ALPHA-(2-NAPHTHYLSULFONYL)-N(3-AMIDINO-L-PHENYLALANINYL)ISOPIPECOLINIC ACID METHYL ESTER", 15522 },
	{ "FD3", "", "", ResidueType::NON_POLYMER, false, "N-ALPHA-(2-NAPHTHYLSULFONYL)-3-AMIDINO-L-PHENYLALANINE PIPERAZIDE", 15523 },
	{ "FD4", "", "", ResidueType::NON_POLYMER, false, "N-ALPHA-(2-NAPHTHYLSULFONYL)-N(3-AMIDINO-L-PHENYLALANINYL)-4-ACETYL-PIPERAZINE", 15524 },
	{ "FD5", "", "", ResidueType::NON_POLYMER, false, "", 15525 },
	{ "FD6", "", "", ResidueType::NON_POLYMER, false, "N-[2-(2-chloranylphenothiazin-10-yl)ethyl]-4-methyl-piperazin-1-amine", 15526 },
	{ "FD8", "", "", ResidueType::NON_POLYMER, false, "N-[3-(pentafluorophenoxy)phenyl]-2-(trifluoromethyl)benzamide", 15527 },
	{ "FD9", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-[4-[3-cyano-1-[(3,5-dimethyl-1,2-oxazol-4-yl)methyl]indol-5-yl]oxyphenyl]pyrrolidine-2-carboxamide", 15528 },
	{ "FDA", "", "", ResidueType::NON_POLYMER, false, "DIHYDROFLAVINE-ADENINE DINUCLEOTIDE", 15529 },
	{ "FDB", "", "", ResidueType::NON_POLYMER, false, "2-amino-5-methyl-3H-pyrrolo[2,3-d]pyrimidin-4(7H)-one", 15530 },
	{ "FDC", "", "", ResidueType::NON_POLYMER, true, "IRON(III) DICITRATE", 15531 },
	{ "FDD", "", "", ResidueType::NON_POLYMER, false, "FE(III) 2,4-DIMETHYL DEUTEROPORPHYRIN IX", 15532 },
	{ "FDE", "", "", ResidueType::NON_POLYMER, false, "FE(III) DEUTEROPORPHYRIN IX", 15533 },
	{ "FDF", "", "", ResidueType::NON_POLYMER, false, "(2E,6E)-12-fluoro-11-(fluoromethyl)-3,7-dimethyldodeca-2,6,10-trien-1-yl trihydrogen diphosphate", 15534 },
	{ "FDG", "", "", ResidueType::DNA_LINKING, false, "2-amino-9-(2-deoxy-2-fluoro-5-O-phosphono-beta-D-arabinofuranosyl)-7,9-dihydro-1H-purine-6,8-dione", 15535 },
	{ "FDI", "", "", ResidueType::NON_POLYMER, false, "4-(N-ACETYLAMINO)-3-[N-(2-ETHYLBUTANOYLAMINO)]BENZOIC ACID", 15536 },
	{ "FDL", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-acetyl-N-(4-methyl-2-oxo-2H-chromen-7-yl)-L-lysinamide", 15537 },
	{ "FDM", "", "", ResidueType::NON_POLYMER, false, "", 15538 },
	{ "FDN", "", "", ResidueType::NON_POLYMER, false, "(5S)-3-ANILINO-5-(2,4-DIFLUOROPHENYL)-5-METHYL-1,3-OXAZOLIDINE-2,4-DIONE", 15539 },
	{ "FDP", "", "", ResidueType::SACCHARIDE, false, "FRUCTOSE-2,6-DIPHOSPHATE", 15540 },
	{ "FDQ", "", "", ResidueType::SACCHARIDE, false, "D-GLUCO-2,5-ANHYDRO-1-DEOXY-1-PHOSPHONOHEXITOL-6-PHOSPHATE", 15541 },
	{ "FDR", "", "", ResidueType::NON_POLYMER, false, "2-methyl-3,5,6,7-tetrahydro-4H-cyclopenta[4,5]thieno[2,3-d]pyrimidin-4-one", 15542 },
	{ "FDS", "", "", ResidueType::NON_POLYMER, false, "FLUORESCIN", 15543 },
	{ "FDT", "", "", ResidueType::NON_POLYMER, false, "(7R)-6-FORMYL-7-(1-METHYL-1H-1,2,3-TRIAZOL-4-YL)-4,7-DIHYDRO-1,4-THIAZEPINE-3-CARBOXYLIC ACID", 15544 },
	{ "FDU", "", "", ResidueType::NON_POLYMER, false, "1-(2-deoxy-2-fluoro-beta-D-arabinofuranosyl)-5-ethynylpyrimidine-2,4(1H,3H)-dione", 15545 },
	{ "FDZ", "", "", ResidueType::NON_POLYMER, false, "1-(1,2,3-thiadiazol-5-yl)-3-[3-(trifluoromethoxy)phenyl]urea", 15546 },
	{ "FE", "", "", ResidueType::NON_POLYMER, false, "FE (III) ION", 15547 },
	{ "FE1", "", "", ResidueType::NON_POLYMER, false, "METHYL 1-(4-{[(2,4-DIAMINOPTERIDIN-6-YL)METHYL](METHYL)AMINO}BENZOYL)PIPERIDINE-4-CARBOXYLATE", 15548 },
	{ "FE2", "", "", ResidueType::NON_POLYMER, false, "FE (II) ION", 15549 },
	{ "FE3", "", "", ResidueType::NON_POLYMER, false, "4-(2-aminoethyl)-3-chlorobenzoic acid", 15550 },
	{ "FE7", "", "", ResidueType::NON_POLYMER, false, "N-{(3Z)-2-oxo-3-[phenyl({4-[(piperidin-1-yl)methyl]phenyl}amino)methylidene]-2,3-dihydro-1H-indol-5-yl}ethanesulfonamide", 15551 },
	{ "FE9", "", "", ResidueType::NON_POLYMER, false, "iron-guanylyl pyridinol cofactor", 15552 },
	{ "FEA", "", "", ResidueType::NON_POLYMER, false, "MONOAZIDO-MU-OXO-DIIRON", 15553 },
	{ "FEB", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(3R)-3-hydroxydodecanoyl]-L-asparaginyl-N~1~-[(1S)-1-(hydroxymethyl)-3-methylbutyl]-L-glutamamide", 15554 },
	{ "FEC", "", "", ResidueType::NON_POLYMER, false, "1,3,5,8-TETRAMETHYL-PORPHINE-2,4,6,7-TETRAPROPIONIC ACID FERROUS COMPLEX", 15555 },
	{ "FED", "", "", ResidueType::NON_POLYMER, false, "", 15556 },
	{ "FEE", "", "", ResidueType::NON_POLYMER, false, "N-{(1S,2S,3R)-1-[(alpha-D-galactopyranosyloxy)methyl]-2,3-dihydroxyoctyl}tetracosanamide", 15557 },
	{ "FEF", "", "", ResidueType::NON_POLYMER, false, "", 15558 },
	{ "FEG", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-{[2-(carboxymethyl)-6-hydroxy-3,5-dimethylpyridin-4-yl]oxy}(hydroxy)phosphoryl]guanosine", 15559 },
	{ "FEH", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-phenylethane-1,2-diol", 15560 },
	{ "FEL", "", "", ResidueType::NON_POLYMER, false, "HYDRATED FE", 15561 },
	{ "FEM", "", "", ResidueType::NON_POLYMER, false, "N-(2-FERROCENYLETHYL)MALEIMIDE", 15562 },
	{ "FEN", "", "", ResidueType::NON_POLYMER, false, "N-(4-HYDROXYPHENYL)ALL-TRANS RETINAMIDE", 15563 },
	{ "FEO", "F2O", "", ResidueType::NON_POLYMER, false, "MU-OXO-DIIRON", 15564 },
	{ "FEP", "", "", ResidueType::NON_POLYMER, false, "[(4-{4-[4-(DIFLUORO-PHOSPHONO-METHYL)-PHENYL]-BUTYL}-PHENYL)-DIFLUORO-METHYL]-PHOSPHONIC ACID", 15565 },
	{ "FER", "", "", ResidueType::NON_POLYMER, false, "3-(4-HYDROXY-3-METHOXYPHENYL)-2-PROPENOIC ACID", 15566 },
	{ "FES", "", "", ResidueType::NON_POLYMER, false, "FE2/S2 (INORGANIC) CLUSTER", 15567 },
	{ "FEX", "", "", ResidueType::NON_POLYMER, false, "", 15568 },
	{ "FEZ", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,3Z,5S,8Z)-5-hydroxy-5,9-dimethyl-2-(propan-2-yl)cyclodeca-3,8-dien-1-yl 4-hydroxybenzoate", 15569 },
	{ "FF0", "", "", ResidueType::NON_POLYMER, false, "(2R,3S)-3-amino-4-phenyl-1-[(3-phenylpropyl)amino]butan-2-ol", 15570 },
	{ "FF1", "", "", ResidueType::NON_POLYMER, false, "(4~{S})-4-[3-[2-(2,6-dimethylphenyl)ethylcarbamoyl]-4-fluoranyl-phenyl]-~{N}-(1~{H}-indazol-5-yl)-6-methyl-2-oxidanylidene-3,4-dihydro-1~{H}-pyrimidine-5-carboxamide", 15571 },
	{ "FF3", "", "", ResidueType::NON_POLYMER, false, "1-(5-AMINO-1,3,4-THIADIAZOL-2-YL)-1,1-DIFLUOROMETHANESULFONAMIDE", 15572 },
	{ "FF8", "", "", ResidueType::NON_POLYMER, false, "", 15573 },
	{ "FFA", "", "", ResidueType::NON_POLYMER, false, "(10ALPHA,13ALPHA,14BETA,17ALPHA)-17-HYDROXYANDROST-4-EN-3-ONE", 15574 },
	{ "FFB", "", "", ResidueType::NON_POLYMER, false, "N-(2,3,4,5,6-PENTAFLUORO-BENZYL)-4-SULFAMOYL-BENZAMIDE", 15575 },
	{ "FFC", "", "", ResidueType::SACCHARIDE, false, "2-DEOXY-2-FLUORO-B-D-CELLOBIOSIDE", 15576 },
	{ "FFD", "", "", ResidueType::DNA_LINKING, false, "(1R)-1,4-anhydro-2-deoxy-1-(3-fluorophenyl)-5-O-phosphono-D-erythro-pentitol", 15577 },
	{ "FFE", "", "", ResidueType::NON_POLYMER, false, "[bis(oxidanyl)-[tetrakis(oxidanyl)ferriooxy]ferrio]oxy-pentakis(oxidanyl)iron", 15578 },
	{ "FFF", "", "", ResidueType::NON_POLYMER, false, "TRIFLUOROFURNESYL DIPHOSPHATE", 15579 },
	{ "FFG", "", "", ResidueType::NON_POLYMER, false, "(R)-6-(2'-((3-hydroxypyrrolidin-1-yl)methyl)biphenyl-4-yl)-1-(3-(5-oxo-4,5-dihydro-1h-1,2,4-triazol-3-yl)phenyl)-3-(trifluoromethyl)-5,6-dihydro-1h-pyrazolo[3,4-c]pyridin-7(4h)-one", 15580 },
	{ "FFM", "", "", ResidueType::PEPTIDE_LINKING, false, "S-[(1R,2R)-2-hydroxy-1-methyl-2-phosphonoethyl]-L-cysteine", 15581 },
	{ "FFO", "", "", ResidueType::NON_POLYMER, false, "N-[4-({[(6S)-2-amino-5-formyl-4-oxo-3,4,5,6,7,8-hexahydropteridin-6-yl]methyl}amino)benzoyl]-L-glutamic acid", 15582 },
	{ "FFP", "", "", ResidueType::NON_POLYMER, false, "2,6-DIFLUOROPHENOL", 15583 },
	{ "FFQ", "", "", ResidueType::NON_POLYMER, false, "[(1R)-1-hydroxypropyl]phosphonic acid", 15584 },
	{ "FFT", "", "", ResidueType::NON_POLYMER, false, "(2Z,6Z)-3,7,11-trimethyldodeca-2,6,10-trien-1-yl dihydrogen phosphate", 15585 },
	{ "FFX", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,5R,6S)-2,6-DIFLUOROOXANE-3,4,5-TRIOL", 15586 },
	{ "FG1", "", "", ResidueType::NON_POLYMER, false, "N-[4-(2-{2-[3-(2-BROMO-ACETYLAMINO)-PROPIONYLAMINO]-3-HYDROXY-PROPIONYLAMINO}-ETHYL)-PHENYL]-OXALAMIC ACID", 15587 },
	{ "FG2", "", "", ResidueType::NON_POLYMER, false, "5-methoxy-N-[(5-methylpyridin-2-yl)sulfonyl]-1H-indole-2-carboxamide", 15588 },
	{ "FG3", "", "", ResidueType::NON_POLYMER, false, "(5-methoxy-2-{[(5-methylpyridin-2-yl)sulfonyl]carbamoyl}-1H-indol-1-yl)acetic acid", 15589 },
	{ "FG4", "", "", ResidueType::NON_POLYMER, false, "{2-[(1-benzofuran-2-ylmethoxy)carbonyl]-5-methoxy-1H-indol-1-yl}acetic acid", 15590 },
	{ "FG5", "", "", ResidueType::NON_POLYMER, false, "(2-{[(1-benzofuran-2-ylsulfonyl)amino]methyl}-5-methoxy-1H-indol-1-yl)acetic acid", 15591 },
	{ "FG6", "", "", ResidueType::NON_POLYMER, false, "{2-[(1-benzofuran-2-ylsulfonyl)carbamoyl]-5-methoxy-1H-indol-1-yl}acetic acid", 15592 },
	{ "FG7", "", "", ResidueType::NON_POLYMER, false, "ethyl 3-aminobenzoate", 15593 },
	{ "FGA", "", "", ResidueType::GAMMA_PEPTIDE_LINKING, false, "GAMMA-D-GLUTAMIC ACID", 15594 },
	{ "FGG", "", "", ResidueType::NON_POLYMER, false, "(2Z,6E,10E)-2-fluoro-3,7,11,15-tetramethylhexadeca-2,6,10,14-tetraen-1-yl trihydrogen diphosphate", 15595 },
	{ "FGH", "", "", ResidueType::NON_POLYMER, false, "2,7,7-trimethyl-9-[8-(2-methylpropyl)-1-oxo-1,2,3,4-tetrahydroisoquinolin-6-yl]-1,2,3,4,6,7,8,9-octahydro-5H-beta-carbolin-5-one", 15596 },
	{ "FGJ", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-hydroxypropane-1,2-diyl dihexanoate", 15597 },
	{ "FGL", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINOPROPANEDIOIC ACID", 15598 },
	{ "FGM", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-2-hexyl-3-hydroxytridecanoic acid", 15599 },
	{ "FGP", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-3-HYDROXY-3-PHOSPHONOOXY-PROPIONIC ACID", 15600 },
	{ "FGR", "", "", ResidueType::NON_POLYMER, false, "N-(N-FORMYLGLYCYL)-5-O-PHOSPHONO-BETA-D-RIBOFURANOSYLAMINE", 15601 },
	{ "FGS", "", "", ResidueType::NON_POLYMER, false, "5-(ACETYLAMINO)-5-DEOXY-1-O-PHOSPHONO-L-IDITOL", 15602 },
	{ "FGZ", "", "", ResidueType::NON_POLYMER, false, "3,5-dichloro-4-hydroxybenzoic acid", 15603 },
	{ "FH3", "", "", ResidueType::NON_POLYMER, false, "(S)-N-((1-(6-chloro-2-(1,3-dimethyl-1H-pyrazol-4-yl)-3H-imidazo[4,5-b]pyridin-7-yl)pyrrolidin-3-yl)methyl)acetamide", 15604 },
	{ "FH5", "", "", ResidueType::NON_POLYMER, false, "(S)-N-(1-(6-chloro-2-(1,3-dimethyl-1H-pyrazol-4-yl)-3H-imidazo[4,5-b]pyridin-7-yl)pyrrolidin-3-yl)acetamide", 15605 },
	{ "FH7", "", "", ResidueType::PEPTIDE_LINKING, false, "N^5^-formyl-N^5^-hydroxy-D-ornithine", 15606 },
	{ "FH9", "", "", ResidueType::NON_POLYMER, false, "(2S)-6-azanyl-2-[[(2R)-3-cyclohexyl-1-(3-methylbutylamino)-1-oxidanylidene-propan-2-yl]carbamoylamino]hexanoic acid", 15607 },
	{ "FHA", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-[(S)-{(S)-fluoro[(S)-hydroxy(phosphonooxy)phosphoryl]methyl}(hydroxy)phosphoryl]adenosine", 15608 },
	{ "FHB", "", "", ResidueType::NON_POLYMER, false, "3-FLUORO-4-HYDROXYBENZOIC ACID", 15609 },
	{ "FHC", "", "", ResidueType::NON_POLYMER, false, "2-FLUORO-3-(4-HYDROXYPHENYL)-2E-PROPENEOATE", 15610 },
	{ "FHF", "", "", ResidueType::NON_POLYMER, false, "N-((2R,4S)-2-butyl-4-(3-(2-fluorophenyl)ureido)-5-methyl-3-oxohexyl)-N-hydroxyformamide", 15611 },
	{ "FHG", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-[(R)-{[(R)-[(S)-fluoro(phosphono)methyl](hydroxy)phosphoryl]oxy}(hydroxy)phosphoryl]guanosine", 15612 },
	{ "FHI", "", "", ResidueType::NON_POLYMER, false, "", 15613 },
	{ "FHL", "", "", ResidueType::PEPTIDE_LINKING, false, "(E)-N~6~-[3-CARBOXY-1-(HYDROXYMETHYL)PROPYLIDENE]-L-LYSINE", 15614 },
	{ "FHM", "", "", ResidueType::NON_POLYMER, false, "S-3-(4-FLUOROPHENOXY)-2-HYDROXY-2-METHYL-N-[4-NITRO-3-(TRIFLUOROMETHYL)PHENYL]PROPANAMIDE", 15615 },
	{ "FHN", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,5R,6S)-3,4,5-TRIHYDROXY-2,6-BIS(HYDROXYMETHYL)PIPERIDINIUM", 15616 },
	{ "FHO", "", "", ResidueType::PEPTIDE_LINKING, false, "N^5^-FORMYL-N^5^-HYDROXY-L-ORNITHINE", 15617 },
	{ "FHP", "", "", ResidueType::NON_POLYMER, false, "1-HYDROXY-3,7,11-TRIMETHYLDODECA-2,6,10-TRIENE PHOSPHONIC ACID", 15618 },
	{ "FHU", "", "", ResidueType::RNA_LINKING, false, "(5S,6R)-5-FLUORO-6-HYDROXY-PSEUDOURIDINE-5'-MONOPHOSPHATE", 15619 },
	{ "FHV", "", "", ResidueType::NON_POLYMER, false, "N-(3-METHYLPHENYL)PYRROLIDINE-1-CARBOXAMIDE", 15620 },
	{ "FI0", "", "", ResidueType::NON_POLYMER, false, "(2R,3S)-3-amino-1-{[(2S)-2-methylbutyl]amino}-4-phenylbutan-2-ol", 15621 },
	{ "FI1", "", "", ResidueType::NON_POLYMER, false, "6-chloro-N-((3S)-2-oxo-1-(2-oxo-2-((5S)-8-oxo-5,6-dihydro-1H-1,5-methanopyrido[1,2-a][1,5]diazocin-3(2H,4H,8H)-yl)ethyl)piperidin-3-yl)naphthalene-2-sulfonamide", 15622 },
	{ "FI3", "", "", ResidueType::NON_POLYMER, false, "N-[4-({[(2,6-dichloro-3,5-dimethoxyphenyl)carbamoyl](6-{[4-(4-methylpiperazin-1-yl)phenyl]amino}pyrimidin-4-yl)amino}methyl)phenyl]propanamide", 15623 },
	{ "FI4", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-{[3-(2-chlorophenyl)-6-(2,4-difluorophenoxy)-1H-pyrazolo[3,4-d]pyrimidin-4-yl]amino}propan-2-ol", 15624 },
	{ "FI8", "", "", ResidueType::NON_POLYMER, false, "Fidaxomicin", 15625 },
	{ "FIB", "", "IBF", ResidueType::NON_POLYMER, true, "1,2,3,4,5-pentafluoro-6-iodobenzene", 15626 },
	{ "FIC", "", "", ResidueType::NON_POLYMER, false, "5-fluoroindole-2-carboxylic acid", 15627 },
	{ "FID", "", "", ResidueType::NON_POLYMER, false, "(2S,4S)-2-AMINOFORMYL-6-FLUORO-SPIRO[CHROMAN-4,4'-IMIDAZOLIDINE]-2',5'-DIONE", 15628 },
	{ "FIF", "", "", ResidueType::NON_POLYMER, false, "2-deoxy-2-fluoro-alpha-L-idopyranuronosyl fluoride, bound form", 15629 },
	{ "FIG", "", "", ResidueType::NON_POLYMER, false, "6-oxo-2-[(2-oxo-2-phenylethyl)sulfanyl]-1,6-dihydropyrimidine-5-carboxylic acid", 15630 },
	{ "FIH", "", "", ResidueType::NON_POLYMER, false, "5-(4-FLUOROPHENYL)-3-{[(4-METHYLPHENYL)SULFONYL]AMINO}THIOPHENE-2-CARBOXYLIC ACID", 15631 },
	{ "FII", "", "", ResidueType::NON_POLYMER, false, "[(3,7,11-TRIMETHYL-DODECA-2,6,10-TRIENYLOXYCARBAMOYL)-METHYL]-PHOSPHONIC ACID", 15632 },
	{ "FIJ", "", "", ResidueType::NON_POLYMER, false, "4-chloranyl-6-[(2~{S})-6-chloranyl-2,4,4-trimethyl-7-oxidanyl-3~{H}-chromen-2-yl]benzene-1,3-diol", 15633 },
	{ "FIL", "", "", ResidueType::NON_POLYMER, false, "(1E)-1-[3-(CYCLOPENTYLOXY)-4-METHOXYPHENYL]ETHANONE O-(AMINOCARBONYL)OXIME", 15634 },
	{ "FIN", "", "", ResidueType::NON_POLYMER, false, "", 15635 },
	{ "FIO", "", "", ResidueType::PEPTIDE_LINKING, false, "N~5~-[(1E)-2-fluoroethanimidoyl]-L-ornithine", 15636 },
	{ "FIP", "", "", ResidueType::NON_POLYMER, false, "5-FLUOROINDOLE PROPANOL PHOSPHATE", 15637 },
	{ "FIR", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-2-AMINOFORMYL-6-FLUORO-SPIRO[CHROMAN-4,4'-IMIDAZOLIDINE]-2',5'-DIONE", 15638 },
	{ "FIS", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-2-AMINOFORMYL-6-FLUORO-SPIRO[CHROMAN-4,4'-IMIDAZOLIDINE]-2',5'-DIONE", 15639 },
	{ "FIT", "", "", ResidueType::NON_POLYMER, false, "(4aR,4bS,6aS,7S,9aS,9bS,11aR)-N-tert-butyl-4a,6a-dimethyl-2-oxo-2,4a,4b,5,6,6a,7,8,9,9a,9b,10,11,11a-tetradecahydro-1H-indeno[5,4-f]quinoline-7-carboxamide", 15640 },
	{ "FIV", "", "", ResidueType::NON_POLYMER, false, "naphthalene-2-carboxylic acid", 15641 },
	{ "FIX", "", "", ResidueType::SACCHARIDE, false, "D-fructuronic acid", 15642 },
	{ "FJ1", "", "", ResidueType::NON_POLYMER, false, "6,6-dimethyl-3-(trifluoromethyl)-1,5,6,7-tetrahydro-4H-indazol-4-one", 15643 },
	{ "FJ2", "", "", ResidueType::NON_POLYMER, false, "N-[3-(5-chloro-2,4-dihydroxyphenyl)-4-(4-methoxyphenyl)-1,2-oxazol-5-yl]acetamide", 15644 },
	{ "FJ3", "", "", ResidueType::NON_POLYMER, false, "4-(5-amino-1,2-oxazol-3-yl)-6-(propan-2-yl)benzene-1,3-diol", 15645 },
	{ "FJ4", "", "", ResidueType::NON_POLYMER, false, "1-(5-chloro-2,4-dihydroxyphenyl)-2-(4-methoxyphenyl)ethanone", 15646 },
	{ "FJ5", "", "", ResidueType::NON_POLYMER, false, "N-{3-[2,4-dihydroxy-5-(propan-2-yl)phenyl]-4-[4-(morpholin-4-ylmethyl)phenyl]-1,2-oxazol-5-yl}cyclopropanecarboxamide", 15647 },
	{ "FJ6", "", "", ResidueType::NON_POLYMER, false, "N-{3-[2,4-dihydroxy-5-(propan-2-yl)phenyl]-4-(4-methoxyphenyl)-1,2-oxazol-5-yl}cyclopropanecarboxamide", 15648 },
	{ "FJA", "", "", ResidueType::NON_POLYMER, false, "Fusicoccin J aglycone", 15649 },
	{ "FJD", "", "", ResidueType::NON_POLYMER, false, "3-[(3AS,4R,5S,8AS,8BR)-4-[5-(5-CHLOROTHIOPHEN-2-YL)-1,3-OXAZOL-2-YL]-1,3-DIOXO-4,6,7,8,8A,8B-HEXAHYDRO-3AH-PYRROLO[3,4-A]PYRROLIZIN-2-YL]PROPYL-TRIMETHYL-AZANIUM", 15650 },
	{ "FJG", "", "", ResidueType::NON_POLYMER, false, "trans-3-({4-(cyclohexylmethyl)-5-[3-(1-methylcyclopropyl)-5-{[(2R)-1,1,1-trifluoropropan-2-yl]carbamoyl}phenyl]-1,3-thiazole-2-carbonyl}amino)cyclobutane-1-carboxylic acid", 15651 },
	{ "FJI", "", "", ResidueType::NON_POLYMER, false, "3-[(3-benzamido-4-fluoranyl-phenyl)amino]-~{N}-(2-morpholin-4-ylethyl)-11-oxidanylidene-6~{H}-benzo[c][1]benzoxepine-9-carboxamide", 15652 },
	{ "FJP", "", "", ResidueType::NON_POLYMER, false, "(2E,6Z)-3,7,11-trimethyldodeca-2,6,10-trien-1-yl dihydrogen phosphate", 15653 },
	{ "FJS", "", "", ResidueType::NON_POLYMER, false, "N-{3-[2,4-dihydroxy-5-(isoquinolin-4-yl)phenyl]-4-(4-methoxyphenyl)-1,2-oxazol-5-yl}cyclopropanecarboxamide", 15654 },
	{ "FJY", "", "", ResidueType::NON_POLYMER, false, "4-[3,3-dimethyl-6-(morpholin-4-yl)-2,3-dihydro-1H-indol-1-yl]-7-fluoro-3-methyl-2-(pyridin-3-yl)quinoline", 15655 },
	{ "FJZ", "", "", ResidueType::NON_POLYMER, false, "N-cyclohexyl-4-(1H-imidazol-5-yl)piperidine-1-carbothioamide", 15656 },
	{ "FK1", "", "", ResidueType::NON_POLYMER, false, "6-bromo-1H-indole", 15657 },
	{ "FK5", "", "", ResidueType::NON_POLYMER, false, "8-DEETHYL-8-[BUT-3-ENYL]-ASCOMYCIN", 15658 },
	{ "FK9", "", "", ResidueType::NON_POLYMER, false, "PROPYL THIOPROPYL ALPHA-D-MANNOPYRANOSIDE", 15659 },
	{ "FKA", "", "", ResidueType::NON_POLYMER, false, "BENZYL-CARBAMIC ACID [8-DEETHYL-ASCOMYCIN-8-YL]ETHYL ESTER", 15660 },
	{ "FKD", "", "", ResidueType::NON_POLYMER, false, "3-deoxy-3-fluoro-D-erythro-alpha-L-manno-non-2-ulopyranosonic acid", 15661 },
	{ "FKH", "", "", ResidueType::NON_POLYMER, false, "N-(6-AMINO-1-(3-METHYLBENZYL)-2,4-DIOXO-1,2,3,4-TETRAHYDROPYRIMIDIN-5-YL)-N-METHYLBENZENESULFONAMIDE", 15662 },
	{ "FKI", "ABK", "", ResidueType::NON_POLYMER, false, "5,5-DI-FLUORO-2-KETO-3-AMINOPENTANOIC ACID", 15663 },
	{ "FKL", "", "", ResidueType::NON_POLYMER, false, "N-cyclopropyl-4-methyl-3-[8-methyl-7-oxo-2-(tetrahydro-2H-pyran-4-ylamino)-7,8-dihydropyrido[2,3-d]pyrimidin-6-yl]benzamide", 15664 },
	{ "FKM", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-1-[3-(Cyclopentyloxy)-phenyl]-ethyl]-3-[(3,4-dihydro-2,4-dioxo-1(2H)-pyrimidinyl)methoxy]-1-propanesulfonamide", 15665 },
	{ "FKN", "", "", ResidueType::NON_POLYMER, false, "3-[2-chloro-5-(methylsulfonyl)phenyl]-6-(2,4-difluorophenoxy)-1H-pyrazolo[3,4-d]pyrimidine", 15666 },
	{ "FKO", "", "", ResidueType::NON_POLYMER, false, "3-(2-chlorophenyl)-6-(2-fluorophenoxy)-2H-indazole", 15667 },
	{ "FKP", "", "", ResidueType::NON_POLYMER, false, "METHYLPIPERAZINOFORSKOLIN", 15668 },
	{ "FKS", "", "", ResidueType::NON_POLYMER, false, "7-[(3-aminopropyl)amino]-1,1,1-trifluoroheptane-2,2-diol", 15669 },
	{ "FL1", "", "", ResidueType::NON_POLYMER, false, "5-{[({2-[4-(AMINOSULFONYL)PHENYL]ETHYL}AMINO)CARBONOTHIOYL]AMINO}-2-(6-HYDROXY-3-OXO-3H-XANTHEN-9-YL)BENZOIC ACID", 15670 },
	{ "FL2", "", "", ResidueType::NON_POLYMER, false, "FLURBIPROFEN METHYL ESTER", 15671 },
	{ "FL4", "", "", ResidueType::NON_POLYMER, false, "6-(2,4-difluorophenoxy)-3-(2-methylphenyl)-1H-pyrazolo[3,4-d]pyrimidine", 15672 },
	{ "FL7", "", "", ResidueType::NON_POLYMER, false, "Flurazepam", 15673 },
	{ "FL8", "", "", ResidueType::NON_POLYMER, false, "6,4'-DIHYDROXY-3-METHYL-3',5'-DIBROMOFLAVONE", 15674 },
	{ "FL9", "", "", ResidueType::NON_POLYMER, false, "", 15675 },
	{ "FLA", "", "", ResidueType::PEPTIDE_LINKING, false, "TRIFLUOROALANINE", 15676 },
	{ "FLB", "", "", ResidueType::NON_POLYMER, false, "1-(2-ethoxyethoxy)-3,5-bis(trifluoromethyl)benzene", 15677 },
	{ "FLC", "", "", ResidueType::NON_POLYMER, false, "CITRATE ANION", 15678 },
	{ "FLD", "", "", ResidueType::NON_POLYMER, false, "BIS-(N-ETHYLPYRIDINIUM-(3-METHOXYCARBAZOLE))HEXANE-1,6-DIAMINE", 15679 },
	{ "FLE", "", "", ResidueType::PEPTIDE_LINKING, false, "FUROYL-LEUCINE", 15680 },
	{ "FLF", "", "", ResidueType::NON_POLYMER, false, "2-[[3-(TRIFLUOROMETHYL)PHENYL]AMINO] BENZOIC ACID", 15681 },
	{ "FLG", "", "", ResidueType::NON_POLYMER, false, "FLUORESCEINYLTHIOUREIDO", 15682 },
	{ "FLH", "", "FOR", ResidueType::NON_POLYMER, true, "FORMALDEHYDE", 15683 },
	{ "FLI", "", "", ResidueType::NON_POLYMER, false, "(3R,4S,6S,8S,10R,12R,14R,16S,17E,19E,21E,23E,25E,28R)-3-hexyl-4,6,8,10,12,14,16-heptahydroxy-17,28-dimethyloxacyclooctacosa-17,19,21,23,25-pentaen-2-one", 15684 },
	{ "FLL", "", "", ResidueType::NON_POLYMER, false, "OCTAHEDRAL RU-PYRIDOCARBAZOLE", 15685 },
	{ "FLM", "", "", ResidueType::NON_POLYMER, false, "3-FLUORO-2-METHYL-ANILINE", 15686 },
	{ "FLN", "", "", ResidueType::NON_POLYMER, false, "2-PHENYL-4H-CHROMEN-4-ONE", 15687 },
	{ "FLO", "", "F", ResidueType::NON_POLYMER, true, "FLUORO GROUP", 15688 },
	{ "FLP", "", "", ResidueType::NON_POLYMER, false, "FLURBIPROFEN", 15689 },
	{ "FLQ", "", "", ResidueType::NON_POLYMER, false, "N-[6-(ACETYLAMINO)HEXYL]-3',6'-DIHYDROXY-3-OXO-3H-SPIRO[2-BENZOFURAN-1,9'-XANTHENE]-6-CARBOXAMIDE", 15690 },
	{ "FLR", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(3-fluoro-4-phenyl-phenyl)propanoic acid", 15691 },
	{ "FLS", "", "", ResidueType::NON_POLYMER, false, "6-(2,4-difluorophenoxy)-8-methyl-2-{[(1R)-1-methyl-2-(methylsulfonyl)ethyl]amino}pyrido[2,3-d]pyrimidin-7(8H)-one", 15692 },
	{ "FLT", "", "", ResidueType::PEPTIDE_LINKING, false, "FLUOROMALONYL TYROSINE", 15693 },
	{ "FLU", "", "", ResidueType::NON_POLYMER, false, "2-(6-HYDROXY-3-OXO-3H-XANTHEN-9-YL)-BENZOIC ACID", 15694 },
	{ "FLV", "", "", ResidueType::NON_POLYMER, false, "FLAVIOLIN", 15695 },
	{ "FLW", "", "", ResidueType::NON_POLYMER, false, "6-(2,4-difluorophenoxy)-2-{[3-hydroxy-1-(2-hydroxyethyl)propyl]amino}-8-methylpyrido[2,3-d]pyrimidin-7(8H)-one", 15696 },
	{ "FLX", "", "", ResidueType::NON_POLYMER, false, "N-[(FURAN-2-YL)CARBONYL]-(S)-LEUCYL-(R)-[1-AMINO-2(1H-INDOL-3-YL)ETHYL]-PHOSPHONIC ACID", 15697 },
	{ "FLY", "", "", ResidueType::NON_POLYMER, false, "6-(2,4-difluorophenoxy)-8-methyl-2-[(1-methylethyl)amino]pyrido[2,3-d]pyrimidin-7(8H)-one", 15698 },
	{ "FLZ", "", "", ResidueType::NON_POLYMER, false, "8-methyl-6-phenoxy-2-(tetrahydro-2H-pyran-4-ylamino)pyrido[2,3-d]pyrimidin-7(8H)-one", 15699 },
	{ "FM0", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-(fluoromethyl)-3-hydroxy-5-{[(S)-hydroxy(phosphonooxy)phosphoryl]oxy}pentanoic acid", 15700 },
	{ "FM1", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXYMETHYL-5-(7-METHYLAMINO-3H-PYRAZOLO[4,3-D]PYRIMIDIN-3-YL)-TETRAHYDRO-FURAN-3,4-DIOL", 15701 },
	{ "FM2", "", "", ResidueType::NON_POLYMER, false, "2-(7-AMINO-6-METHYL-3H-PYRAZOLO[4,3-D]PYRIMIDIN-3-YL)-5-HYDROXYMETHYL-TETRAHYDRO-FURAN-3,4-DIOL", 15702 },
	{ "FM4", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S)-3-methyloxiran-2-yl]-phosphonooxy-phosphinic acid", 15703 },
	{ "FM5", "", "", ResidueType::NON_POLYMER, false, "3-(N-HYDROXYACETAMIDO)-1-(3,4-DICHLOROPHENYL)PROPYLPHOSPHONIC ACID", 15704 },
	{ "FM6", "", "", ResidueType::NON_POLYMER, false, "[(1S)-1-(3,4-dichlorophenyl)-3-[oxidanyl(phenylcarbonyl)amino]propyl]phosphonic acid", 15705 },
	{ "FM7", "", "", ResidueType::NON_POLYMER, false, "[(1S)-1-(3,4-dichlorophenyl)-3-[oxidanyl-[2-[[3-(trifluoromethyl)phenyl]amino]phenyl]carbonyl-amino]propyl]phosphonic acid", 15706 },
	{ "FM8", "", "", ResidueType::NON_POLYMER, false, "[(1S)-1-(3,4-dichlorophenyl)-3-{hydroxy[2-(1H-1,2,4-triazol-1-ylmethyl)benzoyl]amino}propyl]phosphonic acid", 15707 },
	{ "FM9", "", "", ResidueType::NON_POLYMER, false, "4-fluoro-N-methyl-N-{4-[6-(propan-2-ylamino)pyrimidin-4-yl]-1,3-thiazol-2-yl}benzamide", 15708 },
	{ "FMA", "", "", ResidueType::NON_POLYMER, false, "6-(3-TETRADECANOIC ACID) FLAVINE MONONUCLEOTIDE", 15709 },
	{ "FMB", "", "", ResidueType::NON_POLYMER, false, "FORMYCIN B", 15710 },
	{ "FMC", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-(7-amino-1H-pyrazolo[4,3-d]pyrimidin-3-yl)-1,4-anhydro-D-ribitol", 15711 },
	{ "FMD", "", "", ResidueType::NON_POLYMER, false, "4-((3R,4S,5R)-4-AMINO-3,5-DIHYDROXY-HEX-1-YNYL)-5-FLUORO-3-[1-(3-METHOXY-1H-PYRROL-2-YL)-METH-(Z)-YLIDENE]-1,3-DIHYDRO-INDOL-2-ONE", 15712 },
	{ "FME", "", "", ResidueType::PEPTIDE_LINKING, false, "N-FORMYLMETHIONINE", 15713 },
	{ "FMF", "", "", ResidueType::NON_POLYMER, false, "2-DEOXY-2-FLUOROHEXOPYRANOSYL FLUORIDE", 15714 },
	{ "FMG", "", "", ResidueType::DNA_LINKING, false, "2-amino-9-(2-deoxy-2-fluoro-5-O-phosphono-beta-D-arabinofuranosyl)-7-methyl-6-oxo-6,9-dihydro-1H-purin-7-ium", 15715 },
	{ "FMI", "", "", ResidueType::NON_POLYMER, false, "FE-(4-MESOPORPHYRINONE)-R-ISOMER", 15716 },
	{ "FMJ", "", "", ResidueType::NON_POLYMER, false, "4-(5-methyl-3-phenylisoxazol-4-yl)pyrimidin-2-amine", 15717 },
	{ "FMK", "", "", ResidueType::NON_POLYMER, false, "6-(2,4-difluorophenoxy)-8-methyl-2-{[(1S)-1-methyl-2-(2H-tetrazol-2-yl)ethyl]amino}pyrido[2,3-d]pyrimidin-7(8H)-one", 15718 },
	{ "FML", "", "", ResidueType::NON_POLYMER, false, "6-(2,4-difluorophenoxy)-N-[(1S)-1-methyl-2-(methylsulfonyl)ethyl]-1H-pyrazolo[3,4-d]pyrimidin-3-amine", 15719 },
	{ "FMM", "", "", ResidueType::NON_POLYMER, false, "N-{3-CHLORO-4-[(3-FLUOROBENZYL)OXY]PHENYL}-6-[5-({[2-(METHYLSULFONYL)ETHYL]AMINO}METHYL)-2-FURYL]-4-QUINAZOLINAMINE", 15720 },
	{ "FMN", "", "", ResidueType::NON_POLYMER, false, "FLAVIN MONONUCLEOTIDE", 15721 },
	{ "FMO", "", "", ResidueType::SACCHARIDE, false, "2-deoxy-2,2-difluoro-4-O-alpha-D-glucopyranosyl-alpha-D-arabino-hexopyranosyl fluoride", 15722 },
	{ "FMP", "", "", ResidueType::NON_POLYMER, false, "FORMYCIN-5'-MONOPHOSPHATE", 15723 },
	{ "FMQ", "", "", ResidueType::NON_POLYMER, false, "[1-(4-fluorophenyl)-5-methyl-1H-pyrazol-4-yl]methanol", 15724 },
	{ "FMR", "", "FUM", ResidueType::NON_POLYMER, true, "FUMARATE", 15725 },
	{ "FMS", "", "", ResidueType::NON_POLYMER, false, "TRIFLUOROMETHANE SULFONAMIDE", 15726 },
	{ "FMT", "CBX", "", ResidueType::NON_POLYMER, false, "FORMIC ACID", 15727 },
	{ "FMU", "", "", ResidueType::RNA_LINKING, false, "5-FLUORO-5-METHYLURIDINE-5'-MONOPHOSPHATE", 15728 },
	{ "FMV", "", "", ResidueType::NON_POLYMER, false, "(1S,3R,5Z,7E,14beta,17alpha,20S)-20-[5-(1-hydroxy-1-methylethyl)furan-2-yl]-9,10-secopregna-5,7,10-triene-1,3-diol", 15729 },
	{ "FMX", "", "", ResidueType::NON_POLYMER, false, "FAMOXADONE", 15730 },
	{ "FMY", "", "", ResidueType::NON_POLYMER, false, "N-[(2Z)-4-(3-fluoro-5-morpholin-4-ylphenyl)pyrimidin-2(1H)-ylidene]-4-(3-morpholin-4-yl-1H-1,2,4-triazol-1-yl)aniline", 15731 },
	{ "FMZ", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-5,5-dimethyl-2-[(1R)-2-oxo-1-({(2R)-2-[(2-oxoimidazolidin-1-yl)amino]-2-phenylacetyl}amino)ethyl]-1,3-thiazolidine-4-carboxylic acid", 15732 },
	{ "FN1", "", "", ResidueType::NON_POLYMER, false, "5-fluoronicotine", 15733 },
	{ "FN5", "", "", ResidueType::NON_POLYMER, false, "CMP-3F(a)-Neu5Ac", 15734 },
	{ "FNA", "", "", ResidueType::NON_POLYMER, false, "N-phenylnaphthalen-1-amine", 15735 },
	{ "FNE", "", "", ResidueType::NON_POLYMER, false, "(MU-SULPHIDO)-BIS(MU-CYS,S)-[TRICARBONYLIRON-DI-(CYS,S)NICKEL(II)](FE-NI)", 15736 },
	{ "FNF", "", "", ResidueType::NON_POLYMER, false, "", 15737 },
	{ "FNG", "", "", ResidueType::NON_POLYMER, false, "5-AMINOCARBONYL-3-NITROPHENYL-ALPHA-D-GALACTOPYRANOSE", 15738 },
	{ "FNH", "", "", ResidueType::NON_POLYMER, false, "(2R)-({N-[(3S)-3-({[(3S,6S)-6-CYCLOHEXYL-5,8-DIOXO-4,7-DIAZABICYCLO[14.3.1]ICOSA-1(20),16,18-TRIEN-3-YL]CARBONYL}AMINO)-2-OXOHEXANOYL]GLYCYL}AMINO)(PHENYL)ACETIC ACID", 15739 },
	{ "FNI", "", "", ResidueType::NON_POLYMER, false, "3-[(5-hydroxynaphthalen-2-yl)amino]-N-(pyrimidin-4-yl)furo[2,3-c]pyridine-2-carboxamide", 15740 },
	{ "FNK", "", "", ResidueType::NON_POLYMER, false, "", 15741 },
	{ "FNM", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-methyl-2-(methylsulfanyl)-5-phenyl-3-(phenylamino)-3,5-dihydro-4H-imidazol-4-one", 15742 },
	{ "FNN", "", "", ResidueType::NON_POLYMER, false, "3-fluoro-4-nitrophenol", 15743 },
	{ "FNP", "", "", ResidueType::NON_POLYMER, false, "{[7-(DIFLUORO-PHOSPHONO-METHYL)-NAPHTHALEN-2-YL]-DIFLUORO-METHYL}-PHOSPHONIC ACID", 15744 },
	{ "FNR", "", "", ResidueType::NON_POLYMER, false, "1-DEOXY-1-(7,8-DIMETHYL-2,4-DIOXO-3,4-DIHYDRO-2H-BENZO[G]PTERIDIN-1-ID-10(5H)-YL)-5-O-PHOSPHONATO-D-RIBITOL", 15745 },
	{ "FNS", "", "", ResidueType::NON_POLYMER, false, "N-SULFO-FLAVIN MONONUCLEOTIDE", 15746 },
	{ "FNT", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{[(1-chloro-4-hydroxyisoquinolin-3-yl)carbonyl]amino}propanoic acid", 15747 },
	{ "FNU", "", "", ResidueType::DNA_LINKING, false, "", 15748 },
	{ "FNX", "", "", ResidueType::NON_POLYMER, false, "(4aS,6S)-2-amino-6-{(E)-[(4-methylphenyl)imino]methyl}-4-oxo-4,6,7,8-tetrahydropteridine-5(4aH)-carbaldehyde", 15749 },
	{ "FNY", "", "", ResidueType::NON_POLYMER, false, "1-FRUCTOFURANOSYL-D-NYSTOSE", 15750 },
	{ "FNZ", "", "", ResidueType::NON_POLYMER, false, "4-[(1S,2R)-3-(4-FLUOROPHENYL)-2-HYDROXY-1-(1H-1,2,4-TRIAZOL-1-YL)PROPYL]BENZONITRILE", 15751 },
	{ "FO1", "", "", ResidueType::NON_POLYMER, false, "1-deoxy-1-(8-hydroxy-2,4-dioxo-3,4-dihydropyrimido[4,5-b]quinolin-10(2H)-yl)-D-ribitol", 15752 },
	{ "FO5", "", "", ResidueType::NON_POLYMER, false, "3-oxo-3-{4-[3-(thiophen-2-yl)-1,2,4-oxadiazol-5-yl]piperidin-1-yl}propanenitrile", 15753 },
	{ "FOA", "", "", ResidueType::NON_POLYMER, false, "2-FUROIC ACID", 15754 },
	{ "FOB", "", "", ResidueType::NON_POLYMER, false, "[(1R)-3-[acetyl(hydroxy)amino]-1-(pyridin-4-yl)propyl]phosphonic acid", 15755 },
	{ "FOC", "", "", ResidueType::NON_POLYMER, false, "FUCITOL", 15756 },
	{ "FOE", "", "", ResidueType::PEPTIDE_LINKING, false, "2-(2-AMINO-3-OXO-PROPYLSULFANYL)-N-(4-FLUORO-PHENYL)-N-ISOPROPYL-ACETAMIDE", 15757 },
	{ "FOG", "0AC", "", ResidueType::PEPTIDE_LIKE, false, "(4S,5S)-5-amino-4-hydroxy-6-phenylhexanoic acid", 15758 },
	{ "FOH", "", "", ResidueType::NON_POLYMER, false, "FARNESOL", 15759 },
	{ "FOI", "", "", ResidueType::NON_POLYMER, false, "methyl 3-{[(5S)-1-(hydroxyamino)-5H-inden-5-yl]amino}furo[2,3-c]pyridine-2-carboxylate", 15760 },
	{ "FOK", "", "", ResidueType::NON_POLYMER, false, "FORSKOLIN", 15761 },
	{ "FOL", "FA", "", ResidueType::NON_POLYMER, false, "FOLIC ACID", 15762 },
	{ "FOM", "", "", ResidueType::NON_POLYMER, false, "3-[FORMYL(HYDROXY)AMINO]PROPYLPHOSPHONIC ACID", 15763 },
	{ "FON", "", "", ResidueType::NON_POLYMER, false, "N-{[4-({[(6R)-2-amino-5-formyl-4-oxo-1,4,5,6,7,8-hexahydropteridin-6-yl]methyl}amino)phenyl]carbonyl}-L-glutamic acid", 15764 },
	{ "FOO", "", "", ResidueType::NON_POLYMER, false, "(3E)-4-{3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}-2-IMINOBUT-3-ENOIC ACID", 15765 },
	{ "FOP", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXY-PROPYL-AMMONIUM", 15766 },
	{ "FOQ", "", "", ResidueType::NON_POLYMER, false, "[(1S)-3-[acetyl(hydroxy)amino]-1-(pyridin-4-yl)propyl]phosphonic acid", 15767 },
	{ "FOR", "", "", ResidueType::NON_POLYMER, false, "FORMYL GROUP", 15768 },
	{ "FOS", "", "", ResidueType::NON_POLYMER, false, "[[N-(BENZYLOXYCARBONYL)AMINO]METHYL]PHOSPHATE", 15769 },
	{ "FOT", "", "", ResidueType::NON_POLYMER, false, "5-FLUORO-2,6-DIOXO-1,2,3,6-TETRAHYDROPYRIMIDINE-4-CARBOXYLIC ACID", 15770 },
	{ "FOU", "", "", ResidueType::NON_POLYMER, false, "(5S,6R)-5-FLUORO-6-HYDROXYDIHYDROPYRIMIDINE-2,4(1H,3H)-DIONE", 15771 },
	{ "FOX", "", "", ResidueType::DNA_LINKING, false, "", 15772 },
	{ "FOZ", "", "", ResidueType::NON_POLYMER, false, "N-[4-({[(6S)-2-amino-5-formyl-4-oxo-1,4,5,6,7,8-hexahydropteridin-6-yl]methyl}amino)benzoyl]-L-glutamic acid", 15773 },
	{ "FP0", "", "", ResidueType::NON_POLYMER, false, "(3alpha)-15-hydroxy-12,13-epoxytrichothec-9-en-3-yl acetate", 15774 },
	{ "FP1", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-1-(1-methylpyridin-2(1H)-ylidene)methanamine", 15775 },
	{ "FP2", "", "", ResidueType::NON_POLYMER, false, "2-fluorophenol", 15776 },
	{ "FP3", "", "", ResidueType::NON_POLYMER, false, "2-chloro-5-{[2-(pyrimidin-2-yl)furo[2,3-c]pyridin-3-yl]amino}phenol", 15777 },
	{ "FP4", "", "", ResidueType::NON_POLYMER, false, "3-(4-{[2-(pyrimidin-2-yl)furo[2,3-c]pyridin-3-yl]amino}-1H-indazol-3-yl)propan-1-ol", 15778 },
	{ "FP5", "", "", ResidueType::NON_POLYMER, false, "PHENYLACETAMIDOMETHYL BORONIC ACID", 15779 },
	{ "FP6", "", "", ResidueType::NON_POLYMER, false, "pyrrolidine-1-carbaldehyde", 15780 },
	{ "FP9", "", "", ResidueType::PEPTIDE_LINKING, false, "(4R)-4-fluoro-L-proline", 15781 },
	{ "FPA", "", "", ResidueType::NON_POLYMER, false, "bromo(difluoro)acetic acid", 15782 },
	{ "FPB", "", "", ResidueType::NON_POLYMER, false, "N-({(2S)-1-[(3R)-3-AMINO-4-(2-FLUOROPHENYL)BUTANOYL]PYRROLIDIN-2-YL}METHYL)BENZAMIDE", 15783 },
	{ "FPC", "", "", ResidueType::NON_POLYMER, true, "D-FRUCTOSE-6-PHOSPHATE (OPEN FORM)", 15784 },
	{ "FPD", "", "", ResidueType::NON_POLYMER, false, "5A-(3-FORMYLPHENYLSULFANYL)-DIHYDROBICYCLOMYCIN", 15785 },
	{ "FPE", "", "", ResidueType::NON_POLYMER, false, "3-FLUORO-2-(PHOSPHONOOXY)PROPANOIC ACID", 15786 },
	{ "FPF", "", "", ResidueType::NON_POLYMER, false, "(2Z,6E)-2-fluoro-3,7,11-trimethyldodeca-2,6,10-trien-1-yl trihydrogen diphosphate", 15787 },
	{ "FPG", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-[(1R)-1-FLUOROETHYL]-1,5-DIMETHYLHEXYL TRIHYDROGEN DIPHOSPHATE", 15788 },
	{ "FPH", "", "", ResidueType::NON_POLYMER, false, "3-(4-FLUOROPHENYL)-2-PYRIDIN-4-YL-1H-PYRROLO[3,2-B]PYRIDIN-1-OL", 15789 },
	{ "FPI", "", "", ResidueType::NON_POLYMER, false, "N-FORMYLPIPERIDINE", 15790 },
	{ "FPK", "", "", ResidueType::PEPTIDE_LINKING, false, "1-formyl-L-proline", 15791 },
	{ "FPL", "", "", ResidueType::NON_POLYMER, false, "5-fluoro-2-phenoxyphenol", 15792 },
	{ "FPM", "", "", ResidueType::NON_POLYMER, false, "(5R,6S)-6-(1-hydroxyethyl)-7-oxo-3-[(2R)-oxolan-2-yl]-4-thia-1-azabicyclo[3.2.0]hept-2-ene-2-carboxylic acid", 15793 },
	{ "FPN", "", "", ResidueType::NON_POLYMER, false, "4-FLUOROPHENOL", 15794 },
	{ "FPO", "", "", ResidueType::NON_POLYMER, false, "FLUORO-PHOSPHITE ION", 15795 },
	{ "FPP", "", "", ResidueType::NON_POLYMER, false, "FARNESYL DIPHOSPHATE", 15796 },
	{ "FPQ", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-(phosphonooxy)-2-{[(2Z,6E)-3,7,11-trimethyldodeca-2,6,10-trien-1-yl]oxy}propanoic acid", 15797 },
	{ "FPR", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3-amino-4-oxo-7-phenylheptanoic acid", 15798 },
	{ "FPS", "", "", ResidueType::NON_POLYMER, false, "S-[(2E,6E)-3,7,11-TRIMETHYLDODECA-2,6,10-TRIENYL] TRIHYDROGEN THIODIPHOSPHATE", 15799 },
	{ "FPT", "", "", ResidueType::NON_POLYMER, false, "N-[[3-FLUORO-4-ETHOXY-PYRID-2-YL]ETHYL]-N'-[5-NITRILOMETHYL-PYRIDYL]-THIOUREA", 15800 },
	{ "FPU", "", "", ResidueType::NON_POLYMER, false, "1-{5-[(6,7-dimethoxyquinolin-4-yl)oxy]pyridin-2-yl}-3-[(1R,2S)-2-phenylcyclopropyl]urea", 15801 },
	{ "FPW", "", "", ResidueType::NON_POLYMER, false, "1-benzyl-N-{5-[(6,7-dimethoxyquinolin-4-yl)oxy]pyridin-2-yl}-2-oxo-1,2-dihydropyridine-3-carboxamide", 15802 },
	{ "FPX", "", "", ResidueType::NON_POLYMER, false, "N-{4-methyl-3-[8-methyl-7-oxo-2-(phenylamino)-7,8-dihydropyrido[2,3-d]pyrimidin-6-yl]phenyl}-3-(trifluoromethyl)benzamide", 15803 },
	{ "FPY", "", "", ResidueType::NON_POLYMER, false, "(4S)-5-FLUORO-4-HYDROXY-3,4-DIHYDROPYRIMIDIN-2(1H)-ONE", 15804 },
	{ "FQC", "", "", ResidueType::NON_POLYMER, false, "3-(2,4-dichlorophenyl)-6-fluoranyl-2-(1,2,4-triazol-1-yl)quinazolin-4-one", 15805 },
	{ "FQD", "", "", ResidueType::NON_POLYMER, false, "5-(4-fluorophenyl)thieno[2,3-d]pyrimidin-4(3H)-one", 15806 },
	{ "FQG", "", "", ResidueType::NON_POLYMER, false, "5-{[2,4-dichloro-5-(pyridin-2-yl)benzene-1-carbonyl]amino}-N-(2-hydroxy-2-methylpropyl)-1-phenyl-1H-pyrazole-3-carboxamide", 15807 },
	{ "FQI", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-2-THIOPHENECARBOXAMIDE", 15808 },
	{ "FQJ", "", "", ResidueType::NON_POLYMER, false, "2,4-dichloro-N-(3-methyl-1-phenyl-1H-pyrazol-5-yl)benzamide", 15809 },
	{ "FQM", "", "", ResidueType::NON_POLYMER, false, "5-{[5-(6-aminopyridin-2-yl)-2-chlorobenzene-1-carbonyl]amino}-1-phenyl-1H-pyrazole-3-carboxamide", 15810 },
	{ "FQP", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-2-TRIFLUOROMETHYL-5-HYDROXYMETHYLPYRIMIDINE PYROPHOSPHATE", 15811 },
	{ "FQW", "", "", ResidueType::NON_POLYMER, false, "2-amino-5-phenethyl-6-phenyl-3H-pyrrolo[2,3-d]pyrimidin-4(7H)-one", 15812 },
	{ "FQX", "", "", ResidueType::NON_POLYMER, false, "[1,2,5]oxadiazolo[3,4-g]quinoxaline-6,7(5H,8H)-dione 1-oxide", 15813 },
	{ "FR0", "", "", ResidueType::NON_POLYMER, false, "N''-(4-(5-((1H-BENZIMIDAZOL-2-YLAMINO)METHYL)-2-THIENYL)-1,3-THIAZOL-2-YL)GUANIDINE", 15814 },
	{ "FR1", "", "", ResidueType::NON_POLYMER, false, "2-[4-[[(S)-1-[[(S)-2-[[(RS)-3,3,3-TRIFLUORO-1-ISOPROPYL-2-OXOPROPYL]AMINOCARBONYL]PYRROLIDIN-1-YL-]CARBONYL]-2-METHYLPROPYL]AMINOCARBONYL]BENZOYLAMINO]ACETIC ACID", 15815 },
	{ "FR2", "", "", ResidueType::NON_POLYMER, false, "1-((1R)-1-(HYDROXYMETHYL)-3-PHENYLPROPYL)-1H-IMIDAZOLE-4-CARBOXAMIDE", 15816 },
	{ "FR3", "", "", ResidueType::NON_POLYMER, false, "1-((1R)-1-(HYDROXYMETHYL)-3-(1-NAPHTHYL)PROPYL)-1H-IMIDAZOLE-4-CARBOXAMIDE", 15817 },
	{ "FR4", "", "", ResidueType::NON_POLYMER, false, "1-((1R)-1-(HYDROXYMETHYL)-3-{6-[(3-PHENYLPROPANOYL)AMINO]-1H-INDOL-1-YL}PROPYL)-1H-IMIDAZOLE-4-CARBOXAMIDE", 15818 },
	{ "FR5", "", "", ResidueType::NON_POLYMER, false, "1-((1R)-1-(HYDROXYMETHYL)-3-(6-((3-(1-METHYL-1H-BENZIMIDAZOL-2-YL)PROPANOYL)AMINO)-1H-INDOL-1-YL)PROPYL)-1H-IMIDAZOLE-4-CARBOXAMIDE", 15819 },
	{ "FR6", "", "", ResidueType::NON_POLYMER, false, "1-{(1R,2S)-2-HYDROXY-1-[2-(1-NAPHTHYL)ETHYL]PROPYL}-1H-IMIDAZOLE-4-CARBOXAMIDE", 15820 },
	{ "FR7", "", "", ResidueType::NON_POLYMER, false, "1-{(1R,2S)-1-[2-(2,3,-DICHLOROPHENYL)ETHYL]-2-HYDROXYPROPYL}-1H-IMIDAZOLE-4-CARBOXAMIDE", 15821 },
	{ "FR8", "", "", ResidueType::NON_POLYMER, false, "1-((1R)-1-(HYDROXYMETHYL)-3-{6-[(5-PHENYLPENTANOYL)AMINO]-1H-INDOL-1-YL}PROPYL)-1H-IMIDAZOLE-4-CARBOXAMIDE", 15822 },
	{ "FR9", "", "", ResidueType::NON_POLYMER, false, "1-[(1R)-3-(6-{[(BENZYLAMINO)CARBONYL]AMINO}-1H-INDOL-1-YL)-1-(HYDROXYMETHYL)PROPYL]-1H-IMIDAZOLE-4-CARBOXAMIDE", 15823 },
	{ "FRA", "", "", ResidueType::NON_POLYMER, false, "[4-(4-ACETYLAMINO-PHENYL)-3,5-DIOXO-4-AZA-TRICYCLO[5.2.2.0 2,6]UNDEC-1-YLCARBAMOYLOXY]-ACETIC ACID", 15824 },
	{ "FRB", "", "", ResidueType::NON_POLYMER, false, "2-CYCLOHEXYL-N-(2-{4-[5-(2,3-DICHLORO-PHENYL)-2H-PYRAZOL-3-YL]-PIPERIDIN-1-YL}-2-OXO-ETHYL)-2-GUANIDINO-ACETAMIDE", 15825 },
	{ "FRC", "", "", ResidueType::NON_POLYMER, false, "1-{(1R,2S)-2-HYDROXY-1-[2-(2-NAPHTHYLOXY)ETHYL]PROPYL}-1H-IMIDAZONE-4-CARBOXAMIDE", 15826 },
	{ "FRD", "", "", ResidueType::PEPTIDE_LINKING, false, "1-PHENYL-2-AMINOPROPANE", 15827 },
	{ "FRE", "", "", ResidueType::NON_POLYMER, false, "FERULOYL COENZYME A", 15828 },
	{ "FRF", "", "", ResidueType::NON_POLYMER, true, "PHE-REDUCED-PHE", 15829 },
	{ "FRG", "", "", ResidueType::NON_POLYMER, false, "2-[3-METHYL-4-(N-METHYL-GUANIDINO)-BUTYRYLAMINO]-3-(4-PHENYLETHYNYL-PHENYL)-PROPIONIC ACID METHYL ESTER", 15830 },
	{ "FRH", "", "", ResidueType::NON_POLYMER, false, "5-[2,3-DICHLORO-4-(5-{1-[2-(2-GUANIDINO-4-METHYL-PENTANOYLAMINO)-ACETYL]-PIPERIDIN-4-YL}-1-METHYL-1H-PYRAZOL-3-YL)-PHENOXYMETHYL]-FURAN-2-CARBOXYLIC ACID", 15831 },
	{ "FRI", "", "", ResidueType::NON_POLYMER, false, "2-GUANIDINO-4-METHYL-PENTANOIC ACID [2-(4-{5-[4-(4-ACETYLAMINO-BENZYLOXY)-2,3-DICHLORO-PHENYL]-2-METHYL-2H-PYRAZOL-3-YL}-PIPERIDIN-1-YL)-2-OXO-ETHYL]-AMIDE", 15832 },
	{ "FRJ", "", "", ResidueType::NON_POLYMER, false, "3-(3,5-DIBROMO-4-HYDROXY-BENZOYL)-2-ETHYL-BENZOFURAN-6-SULFONIC ACID [4-(THIAZOL-2-YLSULFAMOYL)-PHENYL]-AMIDE", 15833 },
	{ "FRK", "", "", ResidueType::NON_POLYMER, false, "N-[4,5-BIS(4-HYDROXYPHENYL)-1,3-THIAZOL-2-YL]HEXANAMIDE", 15834 },
	{ "FRL", "", "", ResidueType::NON_POLYMER, false, "1-((1R,2S)-1-{2-[2-(4-CHLOROPHENYL)-1,3-BENZOXAZOL-7-YL]ETHYL}-2-HYDROXYPROPYL)-1H-IMIDAZOLE-4-CARBOXAMIDE", 15835 },
	{ "FRM", "", "", ResidueType::NON_POLYMER, false, "2-{3-[4-(4-FLUOROPHENYL)-3,6-DIHYDRO-1(2H)-PYRIDINYL]PROPYL}-8-METHYL-4(3H)-QUINAZOLINONE", 15836 },
	{ "FRO", "", "FPM", ResidueType::NON_POLYMER, true, "(5R,6S)-6-[(1R)-1-HYDROXYETHYL]-7-OXO-3-[(2R)-TETRAHYDROFURAN-2-YL]-4-THIA-1-AZABICYCLO[3.2.0]HEPT-2-ENE-2-CARBOXYLATE", 15837 },
	{ "FRP", "", "", ResidueType::NON_POLYMER, false, "N1-((2S,3S,5R)-3-AMINO-6-(4-FLUOROPHENYLAMINO)-5-METHYL-6-OXO-1-PHENYLHEXAN-2-YL)-N3,N3-DIPROPYLISOPHTHALAMIDE", 15838 },
	{ "FRQ", "", "", ResidueType::NON_POLYMER, false, "5-FLUORO-1-[4-(4-PHENYL-3,6-DIHYDROPYRIDIN-1(2H)-YL)BUTYL]QUINAZOLINE-2,4(1H,3H)-DIONE", 15839 },
	{ "FRR", "", "", ResidueType::NON_POLYMER, false, "(3R,5Z,8S,9S,11E)-8,9,16-TRIHYDROXY-14-METHOXY-3-METHYL-3,4,9,10-TETRAHYDRO-1H-2-BENZOXACYCLOTETRADECINE-1,7(8H)-DIONE", 15840 },
	{ "FRS", "", "", ResidueType::NON_POLYMER, false, "1-[5-methyl-2-(trifluoromethyl)furan-3-yl]-3-[(2Z)-5-(2-{[6-(1H-1,2,4-triazol-3-ylamino)pyrimidin-4-yl]amino}ethyl)-1,3-thiazol-2(3H)-ylidene]urea", 15841 },
	{ "FRT", "", "", ResidueType::NON_POLYMER, false, "N-(2-METHOXYETHYL)-4-({4-[2-METHYL-1-(1-METHYLETHYL)-1H-IMIDAZOL-5-YL]PYRIMIDIN-2-YL}AMINO)BENZENESULFONAMIDE", 15842 },
	{ "FRU", "", "", ResidueType::SACCHARIDE, false, "FRUCTOSE", 15843 },
	{ "FRV", "", "", ResidueType::NON_POLYMER, false, "4-{[4-(1-CYCLOPROPYL-2-METHYL-1H-IMIDAZOL-5-YL)PYRIMIDIN-2-YL]AMINO}-N-METHYLBENZENESULFONAMIDE", 15844 },
	{ "FRW", "", "", ResidueType::NON_POLYMER, false, "4-[[(2S)-3-methyl-1-oxo-1-[(2S)-2-[[(3S)-1,1,1-trifluoro-4-methyl-2-oxo-pentan-3-yl]carbamoyl]pyrrolidin-1-yl]butan-2-yl]carbamoyl]benzoic acid", 15845 },
	{ "FRX", "", "", ResidueType::NON_POLYMER, false, "(S)-2-CHLORO-N-(1-(2-(2-HYDROXYETHYLAMINO)-2-OXOETHYL)-2-OXO-1,2,3,4-TETRAHYDROQUINOLIN-3-YL)-6H-THIENO[2,3-B]PYRROLE-5-CARBOXAMIDE", 15846 },
	{ "FRY", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-[(3S)-1-(2-AMINO-2-OXOETHYL)-2-OXO-1,2,3,4-TETRAHYDROQUINOLIN-3-YL]-2-CHLORO-2H-THIENO[2,3-B]PYRROLE-5-CARBOXAMIDE", 15847 },
	{ "FRZ", "", "", ResidueType::NON_POLYMER, false, "5-(2-PHENYLPYRAZOLO[1,5-A]PYRIDIN-3-YL)-1H-PYRAZOLO[3,4-C]PYRIDAZIN-3-AMINE", 15848 },
	{ "FS1", "", "", ResidueType::NON_POLYMER, false, "IRON/SULFUR CLUSTER", 15849 },
	{ "FS2", "", "", ResidueType::NON_POLYMER, false, "FE-S-O HYBRID CLUSTER", 15850 },
	{ "FS3", "", "F3S", ResidueType::NON_POLYMER, true, "FE3-S4 CLUSTER", 15851 },
	{ "FS4", "", "SF4", ResidueType::NON_POLYMER, true, "IRON/SULFUR CLUSTER", 15852 },
	{ "FS5", "", "", ResidueType::NON_POLYMER, false, "IRON/SULFUR PENTA-SULFIDE CONNECTED CLUSTERS", 15853 },
	{ "FS7", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-oxo-1-[(4-sulfamoylphenyl)amino]propan-2-yl (2S)-2-methyl-1,2,3,4-tetrahydroacridine-9-carboxylate", 15854 },
	{ "FS8", "", "", ResidueType::NON_POLYMER, false, "N-{5-[(7-{[(2R)-2,3-dihydroxypropyl]oxy}-5-oxo-10,11-dihydro-5H-dibenzo[a,d][7]annulen-2-yl)amino]-2-fluorophenyl}benzamide", 15855 },
	{ "FS9", "", "", ResidueType::NON_POLYMER, false, "1-(9H-purin-6-yl)-N-[3-(trifluoromethyl)phenyl]piperidine-4-carboxamide", 15856 },
	{ "FSA", "", "", ResidueType::NON_POLYMER, false, "1-S-(carboxymethyl)-1-thio-beta-D-fructopyranose", 15857 },
	{ "FSB", "", "", ResidueType::NON_POLYMER, false, "N-(2-FLUORO-BENZYL)-4-SULFAMOYL-BENZAMIDE", 15858 },
	{ "FSC", "", "", ResidueType::NON_POLYMER, false, "FUSICOCCIN", 15859 },
	{ "FSE", "", "", ResidueType::NON_POLYMER, false, "3,7,3',4'-TETRAHYDROXYFLAVONE", 15860 },
	{ "FSF", "", "", ResidueType::NON_POLYMER, false, "4FE-2S-O HYBRID CLUSTER", 15861 },
	{ "FSG", "", "", ResidueType::NON_POLYMER, false, "[(1S)-1-FLUORO-2-(HYDROXYAMINO)-2-OXOETHYL]PHOSPHONIC ACID", 15862 },
	{ "FSH", "", "", ResidueType::NON_POLYMER, false, "", 15863 },
	{ "FSI", "", "", ResidueType::SACCHARIDE, false, "5-(acetylamino)-3,5-dideoxy-3-fluoro-D-erythro-alpha-L-manno-non-2-ulopyranosonic acid", 15864 },
	{ "FSJ", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,3R,4S,6R)-4,6-diamino-3-{[(2S,3R)-3-amino-6-(fluoromethyl)-3,4-dihydro-2H-pyran-2-yl]oxy}-2-hydroxycyclohexyl 3-deoxy-4-C-methyl-3-(methylamino)-beta-L-arabinopyranoside", 15865 },
	{ "FSK", "", "", ResidueType::NON_POLYMER, false, "6-[(1Z)-3-fluoro-2-(hydroxymethyl)prop-1-en-1-yl]-1,5-dimethylpyrimidine-2,4(1H,3H)-dione", 15866 },
	{ "FSL", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-phenylbutanedioic acid", 15867 },
	{ "FSM", "", "", ResidueType::NON_POLYMER, false, "FORSMANN ANTIGEN", 15868 },
	{ "FSN", "", "", ResidueType::NON_POLYMER, false, "(3ASR,4RS,8ASR,8BRS)-4-(2-(4-FLUOROBENZYL)-1,3-DIOXODEACAHYDROPYRROLO[3,4-A] PYRROLIZIN-4-YL)BENZAMIDINE", 15869 },
	{ "FSO", "", "", ResidueType::NON_POLYMER, false, "IRON/SULFUR/OXYGEN HYBRID CLUSTER", 15870 },
	{ "FSP", "", "", ResidueType::NON_POLYMER, false, "[1-(4-FLUOROBENZYL)CYCLOBUTYL]METHYL (1S)-1-[OXO(1H-PYRAZOL-5-YLAMINO)ACETYL]PENTYLCARBAMATE", 15871 },
	{ "FSR", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,4R,5R,6R)-5-acetamido-2,3-bis(fluoranyl)-4-oxidanyl-6-[(1S,2S)-1,2,3-tris(oxidanyl)propyl]oxane-2-carboxylic acid", 15872 },
	{ "FSS", "", "", ResidueType::NON_POLYMER, false, "3-(2,6-dichlorophenyl)-7-({4-[(diethylamino)methoxy]phenyl}amino)-1-methyl-3,4-dihydropyrimido[4,5-d]pyrimidin-2(1H)-one", 15873 },
	{ "FST", "", "", ResidueType::NON_POLYMER, false, "O,O-diethyl O-{4-[(R)-methylsulfinyl]phenyl} phosphorothioate", 15874 },
	{ "FSU", "", "", ResidueType::NON_POLYMER, false, "2-(3-methoxypropyl)-3-oxo-2,3-dihydro-1H-isoindole-4-carboxamide", 15875 },
	{ "FSV", "", "", ResidueType::NON_POLYMER, false, "5-[(E)-2-(3-fluoro-4-hydroxyphenyl)ethenyl]benzene-1,3-diol", 15876 },
	{ "FSW", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,4R,5S,6R)-6-methoxy-2-methyl-5-methylselanyl-oxane-3,4-diol", 15877 },
	{ "FSX", "", "", ResidueType::NON_POLYMER, false, "BIS-(MU-2-OXO),[(MU-3--SULFIDO)-BIS(MU-2--SULFIDO)-TRIS(CYS-S)-TRI-IRON] (AQUA)(GLU-O)IRON(II)", 15878 },
	{ "FT0", "", "", ResidueType::NON_POLYMER, false, "3-hydroxy-4-phenoxybenzaldehyde", 15879 },
	{ "FT1", "", "", ResidueType::NON_POLYMER, false, "4-(2,4-dichlorophenoxy)-3-hydroxybenzaldehyde", 15880 },
	{ "FT2", "", "", ResidueType::NON_POLYMER, false, "5-(chloromethyl)-2-(2,4-dichlorophenoxy)phenol", 15881 },
	{ "FT3", "", "", ResidueType::NON_POLYMER, false, "2-(2,4-dichlorophenoxy)-5-(hydroxymethyl)phenol", 15882 },
	{ "FT6", "", "", ResidueType::PEPTIDE_LINKING, false, "6-FLUORO-L-TRYPTOPHAN", 15883 },
	{ "FTA", "", "", ResidueType::NON_POLYMER, false, "3-(4-PHENYLAMINO-PHENYLAMINO)-2-(1H-TETRAZOL-5-YL)-ACRYLONITRILE", 15884 },
	{ "FTB", "", "", ResidueType::NON_POLYMER, false, "N-{4-[1-(2-FLUOROBENZYL)-3-BUTYL-2,6-DIOXO-2,3,6,7-TETRAHYDRO-1H-PURIN-8-YLMETHYL]-PHENYL}-ACETAMIDE", 15885 },
	{ "FTC", "", "", ResidueType::NON_POLYMER, false, "N-[[3-FLUORO-4-ETHOXY-PYRID-2-YL]ETHYL]-N'-[5-CHLORO-PYRIDYL]-THIOUREA", 15886 },
	{ "FTD", "", "", ResidueType::NON_POLYMER, false, "[(2R,5S)-5-(4-amino-5-fluoro-2-oxo-3,6-dihydropyrimidin-1(2H)-yl)-1,3-oxathiolan-2-yl]methyl trihydrogen diphosphate", 15887 },
	{ "FTE", "", "", ResidueType::NON_POLYMER, false, "phenylisothiocyanate", 15888 },
	{ "FTG", "", "", ResidueType::NON_POLYMER, false, "(2S,5S)-2-amino-6-[(2R,3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]-5-[(benzylamino)methyl]-N-[2-(4-hydroxyphenyl)ethyl]hexanamide", 15889 },
	{ "FTH", "", "", ResidueType::NON_POLYMER, false, "1-[2-(4-CYANO-BENZYLAMINO)-3-(3-METHYL-3H-IMIDAZOL-4-YL)-PROPIONYL]-5-NAPHTHALEN-1-YL-1,2,3,6-TETRAHYDRO-PYRIDINE-4-CARBONITRILE", 15890 },
	{ "FTI", "", "", ResidueType::NON_POLYMER, false, "1-{2-[3-(4-CYANO-BENZYL)-3H-IMIDAZOL-4-YL]-ACETYL}-5-NAPHTHALEN-1-YL-1,2,3,6-TETRAHYDRO-PYRIDINE-4-CARBONITRILE", 15891 },
	{ "FTK", "", "", ResidueType::NON_POLYMER, false, "6,6,6-trifluoro-1-phenylhexane-1,3,5-trione", 15892 },
	{ "FTL", "", "", ResidueType::NON_POLYMER, false, "4-[(3-CYANO-BENZYL)-(3-METHYL-3H-IMIDAZOL-4-YLMETHYL)-AMINO]-2-NAPHTHALEN-1-YL-BENZONITRILE", 15893 },
	{ "FTM", "", "", ResidueType::NON_POLYMER, false, "2-fluoroacetamide", 15894 },
	{ "FTN", "", "", ResidueType::NON_POLYMER, false, "N-[3-(1-methylethoxy)phenyl]-2-(trifluoromethyl)benzamide", 15895 },
	{ "FTP", "", "", ResidueType::NON_POLYMER, false, "3-(4-AMINO-2-TRIFLUOROMETHYL-PYRIMIDIN-5-YLMETHYL)-4-METHYL-5-(2-PHOSPHONATOOXY-ETHYL)-THIAZOL-3-IUM", 15896 },
	{ "FTR", "", "", ResidueType::PEPTIDE_LINKING, false, "FLUOROTRYPTOPHANE", 15897 },
	{ "FTS", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-(FLUOROMETHYL)-N-(3,3,3-TRIFLUOROPROPYL)-1,2,3,4-TETRAHYDROISOQUINOLINE-7-SULFONAMIDE", 15898 },
	{ "FTT", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXY-TETRADECANOIC ACID", 15899 },
	{ "FTU", "", "", ResidueType::NON_POLYMER, false, "5-fluorotubercidin", 15900 },
	{ "FTY", "", "", ResidueType::PEPTIDE_LINKING, false, "DEOXY-DIFLUOROMETHELENE-PHOSPHOTYROSINE", 15901 },
	{ "FTZ", "", "", ResidueType::NON_POLYMER, false, "N-(2-chloro-6-fluorobenzyl)-5-(furan-2-yl)-2H-1,2,4-triazol-3-amine", 15902 },
	{ "FU0", "", "", ResidueType::NON_POLYMER, false, "2-(furan-2-yl)ethyl hydrogen carbonate", 15903 },
	{ "FU1", "", "", ResidueType::NON_POLYMER, false, "tetrahydrofuran", 15904 },
	{ "FU2", "", "", ResidueType::NON_POLYMER, false, "FURFURAL", 15905 },
	{ "FU3", "", "", ResidueType::NON_POLYMER, false, "2-amino-N-cyclobutyl-4-[2,4-dichloro-6-(4,4,4-trifluorobutoxy)phenyl]-5,7-dihydro-6H-pyrrolo[3,4-d]pyrimidine-6-carboxamide", 15906 },
	{ "FU4", "", "", ResidueType::SACCHARIDE, true, "2,6-ANHYDRO-1-DEOXY-D-GALACTITOL", 15907 },
	{ "FU5", "", "", ResidueType::NON_POLYMER, false, "4-[2-chloro-6-(4,4,4-trifluorobutoxy)phenyl]-6-methylpyrimidin-2-amine", 15908 },
	{ "FU7", "", "", ResidueType::NON_POLYMER, false, "2-amino-4-{2,4-dichloro-6-[2-(1H-pyrazol-1-yl)ethoxy]phenyl}-N-(2,2-difluoropropyl)-5,7-dihydro-6H-pyrrolo[3,4-d]pyrimidine-6-carboxamide", 15909 },
	{ "FU9", "", "", ResidueType::NON_POLYMER, false, "3-(cyclopropylamino)-5-{[3-(trifluoromethyl)phenyl]amino}pyrimido[4,5-c]quinoline-8-carboxylic acid", 15910 },
	{ "FUA", "", "", ResidueType::NON_POLYMER, false, "FUSIDIC ACID", 15911 },
	{ "FUB", "", "", ResidueType::SACCHARIDE, false, "beta-L-arabinofuranose", 15912 },
	{ "FUC", "", "", ResidueType::SACCHARIDE, false, "ALPHA-L-FUCOSE", 15913 },
	{ "FUD", "", "", ResidueType::SACCHARIDE, false, "D-fructose", 15914 },
	{ "FUF", "", "", ResidueType::NON_POLYMER, false, "2-DEOXY-2-FLUORO-BETA-L-FUCOPYRANOSE", 15915 },
	{ "FUG", "", "", ResidueType::NON_POLYMER, false, "FUMAGILLIN", 15916 },
	{ "FUH", "", "", ResidueType::NON_POLYMER, false, "", 15917 },
	{ "FUL", "AFL", "", ResidueType::SACCHARIDE, false, "BETA-L-FUCOSE", 15918 },
	{ "FUM", "FMR", "", ResidueType::NON_POLYMER, false, "FUMARIC ACID", 15919 },
	{ "FUN", "", "", ResidueType::NON_POLYMER, false, "5-(AMINOSULFONYL)-4-CHLORO-2-[(2-FURYLMETHYL)AMINO]BENZOIC ACID", 15920 },
	{ "FUP", "", "", ResidueType::NON_POLYMER, false, "2',3'-DIDEOXY-3'-FLUORO-URIDIDINE-5'-DIPHOSPHATE", 15921 },
	{ "FUR", "", "", ResidueType::NON_POLYMER, false, "Furazolidone", 15922 },
	{ "FUU", "", "", ResidueType::NON_POLYMER, false, "2-(3-((3-(5-(furan-2-yl)-1,3,4-oxadiazol-2-yl)ureido)methyl)phenoxy)acetic acid", 15923 },
	{ "FUX", "", "", ResidueType::NON_POLYMER, false, "5-HYDROXYMETHYL-FURFURAL", 15924 },
	{ "FUY", "", "", ResidueType::NON_POLYMER, false, "BETA-L-FUCOSYL-AZIDE", 15925 },
	{ "FUZ", "", "", ResidueType::NON_POLYMER, false, "2-[(furan-2-ylmethyl)amino]benzoic acid", 15926 },
	{ "FV0", "", "", ResidueType::NON_POLYMER, false, "(2R,3S)-3-amino-1-[(2-methylpropyl)amino]-4-phenylbutan-2-ol", 15927 },
	{ "FV1", "", "", ResidueType::NON_POLYMER, false, "dihydroxy{[(2R,3S)-3-methyloxiran-2-yl]phosphonato-kappaO}oxovanadium", 15928 },
	{ "FVA", "", "", ResidueType::PEPTIDE_LINKING, false, "N-formyl-L-valine", 15929 },
	{ "FVF", "", "", ResidueType::NON_POLYMER, false, "O-((((N-PHENYL-METHOXY-CARBONYL)-PHENYL ALANYL-CARBONYL)AMINO)-ISOBUTYL)HYDROXY PHOSPHINYL)-3-PHENYLACETIC ACID", 15930 },
	{ "FVQ", "", "", ResidueType::NON_POLYMER, false, "3-pyridin-3-ylprop-2-yn-1-yl alpha-D-mannopyranoside", 15931 },
	{ "FVS", "", "", ResidueType::NON_POLYMER, false, "(7beta,9beta,13alpha,17beta)-7-{9-[(R)-(4,4,5,5,5-pentafluoropentyl)sulfinyl]nonyl}estra-1(10),2,4-triene-3,17-diol", 15932 },
	{ "FVX", "", "", ResidueType::NON_POLYMER, false, "Fluvoxamine", 15933 },
	{ "FW1", "", "", ResidueType::NON_POLYMER, false, "Fusicoccin A aglycone", 15934 },
	{ "FWD", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-3-(5-FLUORO-2,4-DIOXO-3,4-DIHYDRO-2H-PYRIMIDIN-1-YL)-PROPIONIC ACID", 15935 },
	{ "FWF", "", "", ResidueType::NON_POLYMER, false, "N,N'-[biphenyl-4,4'-diyldi(2R)propane-2,1-diyl]dipropane-2-sulfonamide", 15936 },
	{ "FX1", "", "", ResidueType::NON_POLYMER, false, "beta-D-threo-hexo-2,4-diulo-2,5-furanose", 15937 },
	{ "FX3", "", "", ResidueType::NON_POLYMER, false, "5-O-[(2E)-3-(4-hydroxy-3-methoxyphenyl)prop-2-enoyl]-alpha-L-ribofuranose", 15938 },
	{ "FX4", "", "", ResidueType::NON_POLYMER, false, "[(5Z)-5-{[3-(carboxymethoxy)-4-methoxyphenyl]methylidene}-2,4-dioxo-1,3-thiazolidin-3-yl]acetic acid", 15939 },
	{ "FXA", "", "", ResidueType::NON_POLYMER, false, "N-(2-(((5-CHLORO-2-PYRIDINYL)AMINO)SULFONYL)PHENYL)-4-(2-OXO-1(2H)-PYRIDINYL)BENZAMIDE", 15940 },
	{ "FXE", "", "", ResidueType::NON_POLYMER, false, "1-(4-methoxy-1-methyl-indazol-3-yl)-3-(2-methoxyphenyl)urea", 15941 },
	{ "FXG", "", "", ResidueType::NON_POLYMER, false, "N-butyl-3-{[6-(9H-purin-6-ylamino)hexanoyl]amino}benzamide", 15942 },
	{ "FXI", "", "", ResidueType::NON_POLYMER, false, "1-(butyl{[(4-chlorophenyl)amino]carbonyl}amino)-N-[3-fluoro-2'-(methylsulfonyl)biphenyl-4-yl]cyclopropanecarboxamide", 15943 },
	{ "FXM", "", "", ResidueType::NON_POLYMER, false, "2,2-dimethylpropanoyloxymethyl (2R)-5-(aminocarbonyloxymethyl)-2-[(1R)-1-[[(Z)-2-(2-azanyl-1,3-thiazol-4-yl)pent-2-enoyl]amino]-2-oxidanylidene-ethyl]-3,6-dihydro-2H-1,3-thiazine-4-carboxylate", 15944 },
	{ "FXN", "", "", ResidueType::NON_POLYMER, false, "5-FLUORO-1H-INDOLE-2-CARBOXYLIC ACID-(2-MERCAPTO-ETHYL)-AMIDE", 15945 },
	{ "FXP", "", "", ResidueType::SACCHARIDE, false, "2-deoxy-2-fluoro-4-O-beta-D-xylopyranosyl-alpha-D-xylopyranose", 15946 },
	{ "FXV", "", "", ResidueType::NON_POLYMER, false, "METHYL-3-(4'-N-OXOPYRIDYLPHENOYL)-3-METHYL-2-(M-AMIDINOBENZYL)-PROPIONATE", 15947 },
	{ "FXY", "", "", ResidueType::NON_POLYMER, false, "1-METHYLHEPTYLFORMAMIDE", 15948 },
	{ "FY0", "", "", ResidueType::NON_POLYMER, false, "(2S)-4-(methylamino)-4-oxo-2-[4-(phosphonooxy)benzyl]butanoic acid", 15949 },
	{ "FY2", "", "", ResidueType::PEPTIDE_LINKING, false, "2,3-difluoro-L-tyrosine", 15950 },
	{ "FY3", "", "", ResidueType::PEPTIDE_LINKING, false, "2,3,5-trifluoro-L-tyrosine", 15951 },
	{ "FY8", "", "", ResidueType::NON_POLYMER, false, "N-(5-chloranyl-2-oxidanyl-phenyl)piperidine-4-carboxamide", 15952 },
	{ "FYA", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE-5'-[PHENYLALANINOL-PHOSPHATE]", 15953 },
	{ "FYC", "", "", ResidueType::NON_POLYMER, false, "3-(2-fluorophenyl)-2-methyl-N-((2-oxo-2,3-dihydro-1H-benzo[d]imidazol-5-yl)methyl)acrylamide", 15954 },
	{ "FYI", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{(2S)-4-(methylamino)-4-oxo-2-[4-(phosphonooxy)benzyl]butanoyl}-L-isoleucyl-L-aspartamide", 15955 },
	{ "FYK", "", "", ResidueType::NON_POLYMER, false, "3-(5-chloro-6-cyclopropoxy-2-oxo-2,3-dihydro-1,3-benzoxazol-3-yl)propanoic acid", 15956 },
	{ "FYM", "", "", ResidueType::NON_POLYMER, false, "2-methoxy-6-[[[6-[(4-methoxyphenyl)methylcarbamoyl]-1,3-benzodioxol-5-yl]methyl-methyl-amino]methyl]benzoic acid", 15957 },
	{ "FYN", "", "", ResidueType::NON_POLYMER, false, "", 15958 },
	{ "FYO", "", "", ResidueType::NON_POLYMER, false, "4-[5-(2,6-dioxo-1,2,3,6-tetrahydropyridin-4-yl)-1H-1,2,4-triazol-3-yl]-6-oxo-1,6-dihydropyridine-2-carbonitrile", 15959 },
	{ "FYQ", "", "", ResidueType::PEPTIDE_LIKE, false, "N~2~-{(2R)-4-(methylamino)-4-oxo-2-[4-(phosphonooxy)benzyl]butanoyl}-L-glutaminyl-L-aspartamide", 15960 },
	{ "FYU", "", "", ResidueType::NON_POLYMER, false, "2,4-dioxo-1,2,3,4-tetrahydropyrimidine-5-carbaldehyde", 15961 },
	{ "FYV", "", "", ResidueType::NON_POLYMER, false, "3-(pyridin-4-yl)imidazo[1,2-b]pyridazine", 15962 },
	{ "FYX", "", "", ResidueType::NON_POLYMER, false, "4-(5-PYRIDIN-4-YL-1H-1,2,4-TRIAZOL-3-YL)PYRIDINE-2-CARBONITRILE", 15963 },
	{ "FYZ", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,4S,5S,6S)-2-(hydroxymethyl)-6-[3-(4-phenylphenyl)prop-2-ynoxy]oxane-3,4,5-triol", 15964 },
	{ "FZ1", "", "", ResidueType::NON_POLYMER, false, "4-[4-(4-methoxyphenyl)piperazin-1-yl]-2-(pyridin-2-yl)quinazoline", 15965 },
	{ "FZ8", "", "", ResidueType::NON_POLYMER, false, "4-[4-(1H-benzimidazol-2-yl)piperidin-1-yl]-1H-pyrazolo[3,4-d]pyrimidine", 15966 },
	{ "FZ9", "", "", ResidueType::NON_POLYMER, false, "4-[4-(1H-indol-3-yl)-3,6-dihydropyridin-1(2H)-yl]-1H-pyrazolo[3,4-d]pyrimidine", 15967 },
	{ "FZJ", "", "", ResidueType::NON_POLYMER, false, "3,3-dimethyl-6-[(pyrimidin-4-yl)amino]-2,3-dihydroimidazo[1,5-a]pyridine-1,5-dione", 15968 },
	{ "FZN", "", "", ResidueType::PEPTIDE_LINKING, false, "", 15969 },
	{ "FZZ", "", "", ResidueType::NON_POLYMER, false, "1-deoxy-5-O-phosphono-1-[(10aR)-2,2,3,4-tetramethyl-8,10-dioxo-1,2,8,9,10,10a-hexahydro-6H-indeno[1,7-ef]pyrimido[4,5-b][1,4]diazepin-6-yl]-D-ribitol", 15970 },
	{ "G", "", "", ResidueType::RNA_LINKING, false, "GUANOSINE-5'-MONOPHOSPHATE", 15971 },
	{ "G00", "", "", ResidueType::NON_POLYMER, false, "4-butoxy-3-chlorobenzyl imidothiocarbamate", 15972 },
	{ "G01", "", "", ResidueType::PEPTIDE_AMINO_TERMINUS, false, "N-[(R)-hydroxy(methyl)phosphoryl]-D-glutamic acid", 15973 },
	{ "G04", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,4R,6aR)-4-methoxyhexahydrofuro[2,3-b]furan-3-yl [(2S,3R)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino}-1-phenylbutan-2-yl]carbamate", 15974 },
	{ "G05", "", "", ResidueType::NON_POLYMER, false, "(4aR,6r,7aS)-hexahydro-4aH-cyclopenta[b][1,4]dioxin-6-yl [(1S,2R)-1-benzyl-2-hydroxy-3-{[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino}propyl]carbamate", 15975 },
	{ "G07", "", "", ResidueType::NON_POLYMER, false, "4-{[(2R,3S)-3-({[(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-yloxy]carbonyl}amino)-2-hydroxy-4-phenylbutyl](2-methylpropyl)sulfamoyl}benzoic acid", 15976 },
	{ "G08", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-yl [(2S,3R)-4-{[(4-carbamoylphenyl)sulfonyl](2-methylpropyl)amino}-3-hydroxy-1-phenylbutan-2-yl]carbamate", 15977 },
	{ "G0B", "", "", ResidueType::NON_POLYMER, false, "", 15978 },
	{ "G0G", "", "", ResidueType::NON_POLYMER, false, "N,N'-(3S,4S)-PYRROLIDINE-3,4-DIYLBIS(N-BENZYLBENZENESULFONAMIDE)", 15979 },
	{ "G0P", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-6-amino-1-oxo-1-(pyrrolidin-1-yl)hexan-2-yl]-4-(beta-D-galactopyranosyloxy)benzamide", 15980 },
	{ "G0S", "", "", ResidueType::NON_POLYMER, false, "3-(beta-D-galactopyranosylthio)propanoic acid", 15981 },
	{ "G0T", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(3-hydroxy-3-oxopropyl)-6-[[[2-[(4-methoxyphenyl)methylcarbamoyl]phenyl]methyl-methyl-amino]methyl]-2,3-dihydro-1,4-benzodioxine-5-carboxylic acid", 15982 },
	{ "G0W", "", "", ResidueType::NON_POLYMER, false, "1,3-BIS[5(DIETHYL-O-NITROBENZYLAMMONIUM)PENTYL]-6-METHYLURACIL", 15983 },
	{ "G10", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,6aS)-4,4-difluorohexahydrofuro[2,3-b]furan-3-yl [(2S,3R)-4-{[(4-aminophenyl)sulfonyl](2-methylpropyl)amino}-3-hydroxy-1-phenylbutan-2-yl]carbamate", 15984 },
	{ "G11", "", "", ResidueType::NON_POLYMER, false, "6-[5-(cyclopropylcarbamoyl)-2-methylphenyl]-N-(cyclopropylmethyl)pyridine-3-carboxamide", 15985 },
	{ "G12", "", "", ResidueType::NON_POLYMER, false, "3,8-DIBROMO-7-HYDROXY-4-METHYL-2H-CHROMEN-2-ONE", 15986 },
	{ "G13", "", "", ResidueType::NON_POLYMER, false, "N-[(3aR,6S,6aS)-1-(N-methyl-L-alanyl-3-methyl-L-valyl)octahydrocyclopenta[b]pyrrol-6-yl]naphthalene-1-carboxamide", 15987 },
	{ "G14", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-1H-imidazole-4-carboxylic acid", 15988 },
	{ "G15", "", "", ResidueType::NON_POLYMER, false, "5-(5-CHLORO-2-THIENYL)-N-{(3S)-1-[(1S)-1-METHYL-2-MORPHOLIN-4-YL-2-OXOETHYL]-2-OXOPYRROLIDIN-3-YL}-1H-1,2,4-TRIAZOLE-3-SULFONAMIDE", 15989 },
	{ "G16", "", "", ResidueType::SACCHARIDE, false, "ALPHA-D-GLUCOSE 1,6-BISPHOSPHATE", 15990 },
	{ "G17", "", "", ResidueType::NON_POLYMER, false, "N-{3-[2-(cyclopropylamino)quinazolin-6-yl]-4-methylphenyl}-3-(trifluoromethyl)benzamide", 15991 },
	{ "G18", "", "", ResidueType::NON_POLYMER, false, "4H-thieno[2,3-c]isoquinolin-5-one", 15992 },
	{ "G19", "", "", ResidueType::NON_POLYMER, false, "(2S,3AR,4R,5S,6S,8R,9R,9AR,10R)-2,5-DIHYDROXY-4,6,9,10-TETRAMETHYL-1-OXO-6-VINYLDECAHYDRO-3A,9-PROP[1]ENOCYCLOPENTA[8]ANNULEN-8-YL [(6-AMINOPYRIDAZIN-3-YL)CARBONYL]CARBAMATE", 15993 },
	{ "G1C", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-{[(S)-[(S)-chloro(phosphono)methyl](hydroxy)phosphoryl]oxy}(hydroxy)phosphoryl]-2'-deoxyguanosine", 15994 },
	{ "G1G", "", "", ResidueType::NON_POLYMER, false, "7-METHYL-GUANOSINE-5'-TRIPHOSPHATE-5'-(2'-O-METHYL)-GUANOSINE", 15995 },
	{ "G1K", "", "", ResidueType::NON_POLYMER, false, "5-hydroxy-6-oxo-2-[(2S)-1-(phenoxyacetyl)pyrrolidin-2-yl]-1,6-dihydropyrimidine-4-carboxylic acid", 15996 },
	{ "G1L", "", "", ResidueType::NON_POLYMER, false, "3-CHLORO-2,2-DIMETHYL-N-[4-(TRIFLUOROMETHYL)PHENYL]PROPANAMIDE", 15997 },
	{ "G1M", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-[(R)-hydroxy({(S)-hydroxy[(1R)-1-phosphonoethyl]phosphoryl}oxy)phosphoryl]guanosine", 15998 },
	{ "G1O", "", "", ResidueType::NON_POLYMER, false, "5-amino-4-methylisoquinolin-1(2H)-one", 15999 },
	{ "G1P", "", "", ResidueType::SACCHARIDE, false, "ALPHA-D-GLUCOSE-1-PHOSPHATE", 16000 },
	{ "G1R", "", "", ResidueType::NON_POLYMER, false, "[(2R,3R,4R,5R)-5-(2-AMINO-6-OXO-1,6-DIHYDRO-9H-PURIN-9-YL)-3,4-DIHYDROXYTETRAHYDROFURAN-2-YL]METHYL [(2R,3S,4R,5S)-3,4,5-TRIHYDROXYTETRAHYDROFURAN-2-YL]METHYL DIHYDROGEN DIPHOSPHATE", 16001 },
	{ "G1W", "", "", ResidueType::NON_POLYMER, false, "methyl 7-fluoro-3-{4-[(2-hydroxyethyl)sulfonyl]benzyl}-4-oxo-1-phenyl-1,4-dihydroquinoline-2-carboxylate", 16002 },
	{ "G20", "", "", ResidueType::NON_POLYMER, false, "4-ACETYL-4-GUANIDINO-6-METHYL(PROPYL)CARBOXAMIDE-4,5-DIHYDRO-2H-PYRAN-2-CARBOXYLIC ACID", 16003 },
	{ "G21", "", "", ResidueType::NON_POLYMER, false, "5-ACETYLAMINO-4-AMINO-6-(PHENETHYLPROPYLCARBAMOYL)5,6-DIHYDRO-4H-PYRAN-2-CARBOXYLIC ACID", 16004 },
	{ "G23", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-2-[(R)-BENZYLCARBAMOYL-PHENYLACETYL-METHYL]-5,5-DIMETHYL-THIAZOLIDINE-4-CARBOXYLIC ACID", 16005 },
	{ "G24", "", "", ResidueType::NON_POLYMER, false, "[4-(3-BENZYL-4-HYDROXYBENZYL)-3,5-DIMETHYLPHENOXY]ACETIC ACID", 16006 },
	{ "G25", "", "", ResidueType::RNA_LINKING, true, "GUANOSINE-5'-MONOPHOSPHATE", 16007 },
	{ "G26", "", "", ResidueType::NON_POLYMER, false, "2-(BENZYLCARBAMOYL-PHENYLACETYLAMINO-METHYL)-5,5-DIMETHYL-THIAZOLIDINE-4-CARBOXYLIC ACID (HYDROXYMETHYL-2-PHENYLETHYL)AMIDE", 16008 },
	{ "G27", "", "", ResidueType::NON_POLYMER, false, "(3R,4R,5R)-5-(HYDROXYMETHYL)-1-(3-PHENYLPROPYL)PIPERIDINE-3,4-DIOL", 16009 },
	{ "G28", "", "", ResidueType::NON_POLYMER, false, "5-N-ACETYL-4-AMINO-6-DIETHYLCARBOXAMIDE-4,5-DIHYDRO-2H-PYRAN-2-CARBOXYLIC ACID", 16010 },
	{ "G29", "", "", ResidueType::NON_POLYMER, false, "(6alpha,8alpha)-6-(but-2-yn-1-yloxy)androsta-1,4-diene-3,17-dione", 16011 },
	{ "G2A", "", "", ResidueType::NON_POLYMER, false, "2-hydroxy-1-(hydroxymethyl)ethyl icosanoate", 16012 },
	{ "G2C", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-[(S)-{[(R)-[dichloro(phosphono)methyl](hydroxy)phosphoryl]oxy}(hydroxy)phosphoryl]guanosine", 16013 },
	{ "G2F", "", "", ResidueType::SACCHARIDE, false, "2-deoxy-2-fluoro-alpha-D-glucopyranose", 16014 },
	{ "G2G", "", "", ResidueType::NON_POLYMER, false, "5-TERT-BUTYL-2-(4-METHYLPHENYL)-3-{[({4-[6-(MORPHOLIN-4-YLMETHYL)PYRIDIN-3-YL]-1-NAPHTHYL}AMINO)CARBONYL]AMINO}-1H-PYRAZOL-2-IUM", 16015 },
	{ "G2H", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXY-1-(HYDROXYMETHYL)ETHYL DIHYDROGEN PHOSPHATE", 16016 },
	{ "G2I", "", "", ResidueType::NON_POLYMER, false, "(3R,4R,5R)-3-hydroxy-5-(hydroxymethyl)piperidin-4-yl 4-O-beta-D-glucopyranosyl-beta-D-glucopyranoside", 16017 },
	{ "G2K", "", "", ResidueType::NON_POLYMER, false, "2-{(2S)-1-[(2-chlorophenoxy)acetyl]pyrrolidin-2-yl}-5-hydroxy-6-oxo-N-(2-phenylethyl)-1,6-dihydropyrimidine-4-carboxamide", 16018 },
	{ "G2L", "", "", ResidueType::RNA_LINKING, false, "3'-O-METHYOXYETHYL-GUANOSINE-5'-MONOPHOSPHATE", 16019 },
	{ "G2M", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-[(S)-hydroxy{[(S)-hydroxy(1-methyl-1-phosphonoethyl)phosphoryl]oxy}phosphoryl]guanosine", 16020 },
	{ "G2N", "", "", ResidueType::NON_POLYMER, false, "ethyl [(2R)-5-amino-2-methyl-3-phenyl-1,2-dihydropyrido[3,4-b]pyrazin-7-yl]carbamate", 16021 },
	{ "G2P", "", "", ResidueType::NON_POLYMER, false, "PHOSPHOMETHYLPHOSPHONIC ACID GUANYLATE ESTER", 16022 },
	{ "G2Q", "", "", ResidueType::NON_POLYMER, false, "GUANOSINE DIPHOSPHATE RIBOSE", 16023 },
	{ "G2R", "", "", ResidueType::NON_POLYMER, false, "[(2R,3R,4R,5R)-5-(2-AMINO-6-OXO-1,6-DIHYDRO-9H-PURIN-9-YL)-3,4-DIHYDROXYTETRAHYDROFURAN-2-YL]METHYL [(2R,3S,4S)-3,4-DIHYDROXYTETRAHYDROFURAN-2-YL]METHYL DIHYDROGEN DIPHOSPHATE", 16024 },
	{ "G2S", "", "", ResidueType::DNA_LINKING, false, "GUANOSINE-5'-DITHIOPHOSPHORATE", 16025 },
	{ "G30", "", "", ResidueType::NON_POLYMER, false, "(1S,2R)-2-[(2,5-difluorophenyl)carbamoyl]cyclopropanecarboxylic acid", 16026 },
	{ "G31", "", "", ResidueType::DNA_LINKING, false, "3'-METHYL-2',3'-DEOXY-GUANOSINE-5'-MONOPHOSPHATE", 16027 },
	{ "G32", "", "6OG", ResidueType::DNA_LINKING, true, "O6-METHYL-2'-DEOXY-GUANOSINE-5'-MONOPHOSPHATE", 16028 },
	{ "G33", "", "8MG", ResidueType::DNA_LINKING, true, "", 16029 },
	{ "G34", "", "", ResidueType::NON_POLYMER, false, "(3AS,4R,5S,6S,8R,9R,9AR,10R)-5-HYDROXY-4,6,9,10-TETRAMETHYL-1-OXO-6-VINYLDECAHYDRO-3A,9-PROPANOCYCLOPENTA[8]ANNULEN-8-YL {[(3-EXO)-8-METHYL-8-AZABICYCLO[3.2.1]OCT-3-YL]THIO}ACETATE", 16030 },
	{ "G35", "", "", ResidueType::DNA_LINKING, false, "(5R)-5-carbamimidamido-1-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)imidazolidine-2,4-dione", 16031 },
	{ "G36", "", "", ResidueType::DNA_LINKING, false, "O6-ETHYL-2'-DEOXYGUANOSINE-5'-MONOPHOSPHATE", 16032 },
	{ "G37", "", "", ResidueType::NON_POLYMER, false, "2-(BENZYLCARBAMOYL-PHENYLACETYLAMINO-METHYL)-5,5-DIMETHYL-THIAZOLIDINE-4-CARBOXYLIC ACID 3-[(1H-BENZIMIDAZOL-2-YLMETHYLCARBAMOYL)-1-BENZYL-2-HYDROXYPROPYL]-AMIDE", 16033 },
	{ "G38", "", "", ResidueType::DNA_LINKING, false, "3'-AMINO-2'-DEOXY-GUANOSINE-5'-MONOPHOSPHATE", 16034 },
	{ "G39", "", "", ResidueType::NON_POLYMER, false, "(3R,4R,5S)-4-(acetylamino)-5-amino-3-(pentan-3-yloxy)cyclohex-1-ene-1-carboxylic acid", 16035 },
	{ "G3A", "", "", ResidueType::NON_POLYMER, false, "GUANOSINE-P3-ADENOSINE-5',5'-TRIPHOSPHATE", 16036 },
	{ "G3B", "", "", ResidueType::NON_POLYMER, false, "2-methyl-5-(3-{4-[(S)-methylsulfinyl]phenyl}-1-benzofuran-5-yl)-1,3,4-oxadiazole", 16037 },
	{ "G3D", "", "", ResidueType::NON_POLYMER, false, "GUANOSINE-3'-MONOPHOSPHATE-5'-DIPHOSPHATE", 16038 },
	{ "G3E", "", "", ResidueType::NON_POLYMER, false, "3-hydroxyquinolin-2(1H)-one", 16039 },
	{ "G3F", "", "", ResidueType::NON_POLYMER, false, "3-deoxy-3-fluoro-beta-D-glucopyranose", 16040 },
	{ "G3G", "", "", ResidueType::NON_POLYMER, false, "N,N'-(3S,4S)-PYRROLIDINE-3,4-DIYLBIS(4-AMINO-N-BENZYLBENZENESULFONAMIDE)", 16041 },
	{ "G3H", "", "", ResidueType::NON_POLYMER, false, "GLYCERALDEHYDE-3-PHOSPHATE", 16042 },
	{ "G3I", "", "", ResidueType::SACCHARIDE, false, "(3R,4R,5R)-3-hydroxy-5-(hydroxymethyl)piperidin-4-yl beta-D-glucopyranosyl-(1->4)-beta-D-glucopyranosyl-(1->4)-beta-D-glucopyranoside", 16043 },
	{ "G3K", "", "", ResidueType::NON_POLYMER, false, "2-{(2R)-1-[2-(4-chlorophenoxy)-2-methylpropanoyl]pyrrolidin-2-yl}-5-hydroxy-6-oxo-1,6-dihydropyrimidine-4-carboxylic acid", 16044 },
	{ "G3M", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-N~6~-carbamimidoyl-3-hydroxy-L-lysine", 16045 },
	{ "G3N", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S,5S)-5-amino-3,4-dihydroxytetrahydro-2H-pyran-2-yl [(2R,3S,4R,5R)-5-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)-3,4-dihydroxytetrahydrofuran-2-yl]methyl dihydrogen diphosphate", 16046 },
	{ "G3P", "", "", ResidueType::NON_POLYMER, false, "SN-GLYCEROL-3-PHOSPHATE", 16047 },
	{ "G3R", "", "", ResidueType::NON_POLYMER, false, "2-{[2-amino-5-(1,3-benzodioxol-5-ylmethyl)[1,2,4]triazolo[1,5-c]quinazolin-8-yl]amino}ethanol", 16048 },
	{ "G3V", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[(2,4-diaminopteridin-6-yl)methyl](hydroxymethyl)amino}benzene-1-carbonyl)-L-glutamic acid", 16049 },
	{ "G3X", "", "", ResidueType::NON_POLYMER, false, "(4aS,6R,8aS)-3-methoxy-11-(3-piperidin-1-ylpropyl)-5,6,9,10,11,12-hexahydro-4aH-[1]benzofuro[3a,3,2-ef][2]benzazepin-6-ol", 16050 },
	{ "G3Z", "", "", ResidueType::NON_POLYMER, false, "1-ethyl-3-[5-pyridin-4-yl-8-(pyridin-3-ylamino)isoquinolin-3-yl]urea", 16051 },
	{ "G40", "", "", ResidueType::NON_POLYMER, false, "", 16052 },
	{ "G42", "", "8OG", ResidueType::DNA_LINKING, true, "8-OXO-2'-DEOXY-GUANOSINE-5'-MONOPHOSPHATE", 16053 },
	{ "G43", "", "", ResidueType::NON_POLYMER, false, "", 16054 },
	{ "G44", "", "", ResidueType::NON_POLYMER, false, "4-({[4-(3-METHYLBENZOYL)PYRIDIN-2-YL]AMINO}METHYL)BENZENECARBOXIMIDAMIDE", 16055 },
	{ "G45", "", "", ResidueType::NON_POLYMER, false, "5-[3-[(4~{S})-6-azanyl-5-cyano-3-methyl-4-propan-2-yl-2~{H}-pyrano[2,3-c]pyrazol-4-yl]-5-cyano-phenyl]-~{N},~{N}-dimethyl-thiophene-2-sulfonamide", 16056 },
	{ "G46", "", "", ResidueType::RNA_LINKING, false, "GUANOSINE-5'-MONOTHIOPHOSPHATE", 16057 },
	{ "G47", "", "", ResidueType::DNA_LINKING, false, "N2-ETHANETHIOL-2'-DEOXY-GUANOSINE-5'-MONOPHOSPHATE", 16058 },
	{ "G48", "", "", ResidueType::RNA_LINKING, false, "2'-O-METHYOXYETHYL-GUANOSINE-5'-MONOPHOSPHATE", 16059 },
	{ "G49", "", "", ResidueType::DNA_LINKING, false, "N2-METHYL-2'-DEOXY-GUANOSINE-5'-MONOPHOSPHATE", 16060 },
	{ "G4D", "", "", ResidueType::SACCHARIDE, false, "4-DEOXY-ALPHA-D-GLUCOSE", 16061 },
	{ "G4G", "", "", ResidueType::NON_POLYMER, false, "4,4'-{(3S,4S)-PYRROLIDINE-3,4-DIYLBIS[(BENZYLIMINO)SULFONYL]}DIBENZAMIDE", 16062 },
	{ "G4M", "", "", ResidueType::NON_POLYMER, false, "", 16063 },
	{ "G4P", "", "", ResidueType::RNA_LINKING, false, "GUANOSINE-5',3'-TETRAPHOSPHATE", 16064 },
	{ "G4S", "GSA", "", ResidueType::SACCHARIDE, false, "4-O-sulfo-beta-D-galactopyranose", 16065 },
	{ "G50", "", "", ResidueType::NON_POLYMER, false, "3-(4-HYDROXYPHENYL)-1-(2,4,6-TRIHYDROXYPHENYL)PROPAN-1-ONE", 16066 },
	{ "G51", "", "", ResidueType::NON_POLYMER, false, "(5R,7S)-N-(1,3-benzodioxol-5-ylmethyl)-5-(4-ethylphenyl)-7-(trifluoromethyl)-4,5,6,7-tetrahydropyrazolo[1,5-a]pyrimidine-3-carboxamide", 16067 },
	{ "G52", "", "", ResidueType::NON_POLYMER, false, "", 16068 },
	{ "G53", "", "", ResidueType::NON_POLYMER, false, "methyl 2-{4-[{(2R,3S)-3-[({[(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-yl]oxy}carbonyl)amino]-2-hydroxy-4-phenylbutyl}(2-methylpropyl)sulfamoyl]phenyl}-1,3-oxazole-4-carboxylate", 16069 },
	{ "G55", "", "", ResidueType::NON_POLYMER, false, "(5R)-1,3-dioxepan-5-yl [(1S,2R)-1-benzyl-2-hydroxy-3-{[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino}propyl]carbamate", 16070 },
	{ "G57", "", "", ResidueType::NON_POLYMER, false, "2-[3-[3-[(4~{S})-6-azanyl-5-cyano-3-methyl-4-propan-2-yl-2~{H}-pyrano[2,3-c]pyrazol-4-yl]-5-(trifluoromethyl)phenyl]phenyl]ethanoic acid", 16071 },
	{ "G58", "", "", ResidueType::NON_POLYMER, false, "N-(2-chloro-6-fluorobenzyl)-1-methyl-N-{[3'-(methylsulfonyl)biphenyl-4-yl]methyl}-1H-imidazole-4-sulfonamide", 16072 },
	{ "G59", "", "", ResidueType::NON_POLYMER, false, "(5R,7R)-5-(4-ethylphenyl)-N-(4-fluorobenzyl)-7-methyl-4,5,6,7-tetrahydropyrazolo[1,5-a]pyrimidine-3-carboxamide", 16073 },
	{ "G5A", "", "", ResidueType::NON_POLYMER, false, "5'-O-(glycylsulfamoyl)adenosine", 16074 },
	{ "G5K", "", "", ResidueType::NON_POLYMER, false, "1-[(3S)-3-{[4-(morpholin-4-ylmethyl)-6-([1,3]thiazolo[5,4-b]pyridin-2-ylamino)pyrimidin-2-yl]amino}pyrrolidin-1-yl]prop-2-en-1-one", 16075 },
	{ "G5P", "", "", ResidueType::NON_POLYMER, false, "", 16076 },
	{ "G61", "", "", ResidueType::NON_POLYMER, false, "", 16077 },
	{ "G63", "", "", ResidueType::NON_POLYMER, false, " mannose-alpha-1,3-2-aminodeoxymannojirimycin", 16078 },
	{ "G64", "", "", ResidueType::NON_POLYMER, false, "N-[(2,5-dimethyl-1,3-oxazol-4-yl)methyl]-N'-[(2S,3R)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino}-1-phenylbutan-2-yl]-N,5-dimethylbenzene-1,3-dicarboxamide", 16079 },
	{ "G65", "", "", ResidueType::NON_POLYMER, false, "Masitinib", 16080 },
	{ "G69", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-5-{[4-(hydroxymethyl)-3-(trifluoromethyl)-1H-pyrazol-1-yl]methyl}-2,3-dihydro-1H-inden-2-yl]propane-2-sulfonamide", 16081 },
	{ "G6A", "", "", ResidueType::NON_POLYMER, false, "N-cyclopropyl-2',6-dimethyl-4'-(5-methyl-1,3,4-oxadiazol-2-yl)biphenyl-3-carboxamide", 16082 },
	{ "G6D", "GLW", "", ResidueType::SACCHARIDE, false, "6-DEOXY-ALPHA-D-GLUCOSE", 16083 },
	{ "G6F", "", "", ResidueType::NON_POLYMER, false, "3-[3-[3-[(4~{S})-6-azanyl-5-cyano-3-methyl-4-propan-2-yl-2~{H}-pyrano[2,3-c]pyrazol-4-yl]-5-fluoranyl-phenyl]phenyl]propanoic acid", 16084 },
	{ "G6G", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(3-{4-[(4-methoxyphenyl)amino]-1,3,5-triazin-2-yl}pyridin-2-yl)amino]-4-methylphenyl}-4-[(4-methylpiperazin-1-yl)methyl]benzamide", 16085 },
	{ "G6H", "", "", ResidueType::NON_POLYMER, false, "N-{4-methyl-3-[(3-{4-[(3,4,5-trimethoxyphenyl)amino]-1,3,5-triazin-2-yl}pyridin-2-yl)amino]phenyl}-3-(trifluoromethyl)benzamide", 16086 },
	{ "G6I", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(3-{4-[(4-methoxyphenyl)amino]-1,3,5-triazin-2-yl}pyridin-2-yl)amino]-4-methylphenyl}-3-(trifluoromethyl)benzamide", 16087 },
	{ "G6J", "", "", ResidueType::NON_POLYMER, false, "(7R)-2-[(3,5-difluoro-4-hydroxyphenyl)amino]-7-methyl-5,8-dipropyl-7,8-dihydropteridin-6(5H)-one", 16088 },
	{ "G6K", "", "", ResidueType::NON_POLYMER, false, "1-[(3S)-3-{[4-(morpholin-4-ylmethyl)-6-([1,3]thiazolo[5,4-b]pyridin-2-ylamino)pyrimidin-2-yl]amino}pyrrolidin-1-yl]propan-1-one", 16089 },
	{ "G6P", "", "", ResidueType::SACCHARIDE, false, "ALPHA-D-GLUCOSE-6-PHOSPHATE", 16090 },
	{ "G6Q", "", "", ResidueType::NON_POLYMER, false, "GLUCOSE-6-PHOSPHATE", 16091 },
	{ "G6S", "", "", ResidueType::SACCHARIDE, false, "D-GALACTOSE-6-SULFATE", 16092 },
	{ "G6T", "", "", ResidueType::NON_POLYMER, false, "3-[2-amino-6-(cyclohexylmethoxy)-7H-purin-8-yl]benzenesulfonamide", 16093 },
	{ "G6X", "", "", ResidueType::NON_POLYMER, false, "2-{6-[(4aS,6R,8aS)-6-hydroxy-3-methoxy-5,6,9,10-tetrahydro-4aH-[1]benzofuro[3a,3,2-ef][2]benzazepin-11(12H)-yl]hexyl}-1,2-benzisothiazol-3(2H)-one 1,1-dioxide", 16094 },
	{ "G6Y", "", "", ResidueType::NON_POLYMER, false, "", 16095 },
	{ "G71", "", "", ResidueType::NON_POLYMER, false, "N-({5-[4-(2-amino-4-oxo-4,7-dihydro-1H-pyrrolo[2,3-d]pyrimidin-6-yl)butyl]thiophen-2-yl}carbonyl)-L-glutamic acid", 16096 },
	{ "G72", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,7E,17beta)-17-[(1S)-6,6,6-trifluoro-5-hydroxy-1-(4-hydroxy-4-methylpentyl)-5-(trifluoromethyl)hex-3-yn-1-yl]-9,10-secoestra-5,7-diene-1,3-diol", 16097 },
	{ "G73", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-[4-({6-[(4-methoxyphenyl)amino]-7H-purin-2-yl}amino)-3,5-dimethylphenyl]prop-2-enenitrile", 16098 },
	{ "G74", "", "", ResidueType::NON_POLYMER, false, "ETHYL (4R)-4-[(TERT-BUTOXYCARBONYL)AMINO]-5-[(3S)-2-OXOPYRROLIDIN-3-YL]PENTANOATE", 16099 },
	{ "G75", "", "", ResidueType::NON_POLYMER, false, "ETHYL (4R)-4-({N-[(BENZYLOXY)CARBONYL]-L-PHENYLALANYL}AMINO)-5-[(3S)-2-OXOPYRROLIDIN-3-YL]PENTANOATE", 16100 },
	{ "G76", "", "", ResidueType::NON_POLYMER, false, "[2-(1-heptyl-1H-imidazol-3-ium-3-yl)ethane-1,1-diyl]bis(phosphonate)", 16101 },
	{ "G79", "", "", ResidueType::NON_POLYMER, false, "(3aR,3bR,4S,7aR,8aS)-decahydrofuro[2,3-b][1]benzofuran-4-yl [(2S,3R)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino}-1-phenylbutan-2-yl]carbamate", 16102 },
	{ "G7A", "", "", ResidueType::NON_POLYMER, false, "(5R,7S)-5-(4-ethylphenyl)-7-(trifluoromethyl)-4,5,6,7-tetrahydropyrazolo[1,5-a]pyrimidine-3-carboxylic acid", 16103 },
	{ "G7D", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[(2-amino-4-oxo-3,4-dihydropteridin-6-yl)methyl]amino}-2-hydroxybenzene-1-carbonyl)-L-glutamic acid", 16104 },
	{ "G7G", "", "", ResidueType::NON_POLYMER, false, "Genistein-7-O-glucuronide", 16105 },
	{ "G7K", "", "", ResidueType::NON_POLYMER, false, "trans-4-({4-[difluoro(4-fluorophenyl)methyl]-6-[(5-methoxy[1,3]thiazolo[5,4-b]pyridin-2-yl)amino]pyrimidin-2-yl}amino)cyclohexanol", 16106 },
	{ "G7M", "", "", ResidueType::RNA_LINKING, false, "N7-METHYL-GUANOSINE-5'-MONOPHOSPHATE", 16107 },
	{ "G7P", "", "", ResidueType::NON_POLYMER, false, "6,7-DIDEOXY-7-PHOSPHONO-BETA-D-GLUCO-HEPTOPYRANOSE", 16108 },
	{ "G7X", "", "", ResidueType::NON_POLYMER, false, "ISPINESIB MESILATE", 16109 },
	{ "G80", "", "", ResidueType::NON_POLYMER, false, "(3AS,4R,5S,6S,8R,9R,9AR,10R)-5-HYDROXY-4,6,9,10-TETRAMETHYL-1-OXO-6-VINYLDECAHYDRO-3A,9-PROPANOCYCLOPENTA[8]ANNULEN-8-YL (PIPERIDIN-4-YLTHIO)ACETATE", 16110 },
	{ "G81", "", "", ResidueType::NON_POLYMER, false, "ETHYL (4R)-4-{[N-(TERT-BUTOXYCARBONYL)-L-PHENYLALANYL]AMINO}-5-[(3S)-2-OXOPYRROLIDIN-3-YL]PENTANOATE", 16111 },
	{ "G82", "", "", ResidueType::NON_POLYMER, false, "ETHYL (5S,8S,11R)-8-BENZYL-5-(3-TERT-BUTOXY-3-OXOPROPYL)-3,6,9-TRIOXO-11-{[(3S)-2-OXOPYRROLIDIN-3-YL]METHYL}-1-PHENYL-2-OXA-4,7,10-TRIAZATETRADECAN-14-OATE", 16112 },
	{ "G83", "", "", ResidueType::NON_POLYMER, false, "ETHYL (5S,8S,11R)-8-BENZYL-5-(2-TERT-BUTOXY-2-OXOETHYL)-3,6,9-TRIOXO-11-{[(3S)-2-OXOPYRROLIDIN-3-YL]METHYL}-1-PHENYL-2-OXA-4,7,10-TRIAZATETRADECAN-14-OATE", 16113 },
	{ "G84", "", "", ResidueType::NON_POLYMER, false, "O-tert-butyl-N-[(9H-fluoren-9-ylmethoxy)carbonyl]-L-threonyl-N-{(2R)-5-ethoxy-5-oxo-1-[(3S)-2-oxopyrrolidin-3-yl]pentan-2-yl}-L-phenylalaninamide", 16114 },
	{ "G85", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(benzyloxy)carbonyl]-O-tert-butyl-L-seryl-N-{(2R)-5-ethoxy-5-oxo-1-[(3S)-2-oxopyrrolidin-3-yl]pentan-2-yl}-L-phenylalaninamide", 16115 },
	{ "G86", "", "", ResidueType::NON_POLYMER, false, "N-(tert-butoxycarbonyl)-O-tert-butyl-L-threonyl-N-{(2R)-5-ethoxy-5-oxo-1-[(3S)-2-oxopyrrolidin-3-yl]pentan-2-yl}-L-phenylalaninamide", 16116 },
	{ "G88", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(PHOSPHONOMETHYL)PENTANEDIOIC ACID", 16117 },
	{ "G89", "", "", ResidueType::PEPTIDE_LIKE, false, "(3R,3aR,5R,6aR)-3-hydroxyhexahydro-2H-cyclopenta[b]furan-5-yl [(2S,3R)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino}-1-phenylbutan-2-yl]carbamate", 16118 },
	{ "G8D", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-5-[2-azanyl-6,8-bis(oxidanylidene)-1,7-dihydropurin-9-yl]-3,4-bis(oxidanyl)oxolan-2-yl]methyl phosphono hydrogen phosphate", 16119 },
	{ "G8J", "", "", ResidueType::NON_POLYMER, false, "6-ethyl-5-{(3S)-3-[2-methoxy-5-(pyridin-4-yl)phenyl]but-1-yn-1-yl}pyrimidine-2,4-diamine", 16120 },
	{ "G8M", "", "", ResidueType::PEPTIDE_LINKING, false, "(1S,2R)-2-[(S)-amino(carboxy)methyl]cyclobutanecarboxylic acid", 16121 },
	{ "G8S", "", "", ResidueType::NON_POLYMER, false, "4-[(4-chlorophenyl)(methyl)amino]-1-{4-[4-(4-{[4-(dimethylamino)pyridinium-1-yl]methyl}phenyl)butyl]benzyl}pyridinium", 16122 },
	{ "G8U", "", "", ResidueType::NON_POLYMER, false, "3-chloro-6-(hydroxymethyl)-2-methyl-5-{4-[3-(trifluoromethoxy)phenoxy]phenyl}pyridin-4-ol", 16123 },
	{ "G8V", "", "", ResidueType::NON_POLYMER, false, "1-benzyl-4-(dimethylamino)pyridinium", 16124 },
	{ "G8Z", "", "", ResidueType::SACCHARIDE, false, "Allyl-Alpha-4-Methyl-Mannoside", 16125 },
	{ "G90", "", "", ResidueType::NON_POLYMER, false, "2-[(2S)-3-[[1-(1H-indol-3-yl)-2-methyl-propan-2-yl]amino]-2-oxidanyl-propoxy]benzenecarbonitrile", 16126 },
	{ "G93", "", "", ResidueType::NON_POLYMER, false, "4-{2-(4-amino-1,2,5-oxadiazol-3-yl)-1-ethyl-7-[(3S)-piperidin-3-ylmethoxy]-1H-imidazo[4,5-c]pyridin-4-yl}-2-methylbut-3-yn-2-ol", 16127 },
	{ "G94", "", "", ResidueType::NON_POLYMER, false, "N-({5-[3-(2-amino-4-oxo-4,7-dihydro-1H-pyrrolo[2,3-d]pyrimidin-6-yl)propyl]thiophen-2-yl}carbonyl)-L-glutamic acid", 16128 },
	{ "G95", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-2-amino-1-phenylethyl]-5-(1H-pyrrolo[2,3-b]pyridin-4-yl)thiophene-2-carboxamide", 16129 },
	{ "G96", "", "", ResidueType::NON_POLYMER, false, "4-[2-(4-amino-1,2,5-oxadiazol-3-yl)-6-{[(2R)-2-amino-3-phenylpropyl]oxy}-1-ethyl-1H-imidazo[4,5-c]pyridin-4-yl]-2-methylbut-3-yn-2-ol", 16130 },
	{ "G97", "", "", ResidueType::NON_POLYMER, false, "N-[2-phenyl-4-(1H-pyrazol-3-ylamino)quinazolin-7-yl]prop-2-enamide", 16131 },
	{ "G98", "", "", ResidueType::NON_POLYMER, false, "4-[2-(4-amino-2,5-dihydro-1,2,5-oxadiazol-3-yl)-6-{[(1S)-3-amino-1-phenylpropyl]oxy}-1-ethyl-1H-imidazo[4,5-c]pyridin-4-yl]-2-methylbut-3-yn-2-ol", 16132 },
	{ "G9A", "", "", ResidueType::NON_POLYMER, false, "(2E)-pent-2-enedioic acid", 16133 },
	{ "G9B", "", "", ResidueType::NON_POLYMER, false, "N-[3-(2-{3-amino-6-[1-(1-methylpiperidin-4-yl)-1H-pyrazol-4-yl]pyrazin-2-yl}-1H-benzimidazol-1-yl)phenyl]propanamide", 16134 },
	{ "G9D", "", "", ResidueType::NON_POLYMER, false, "3-(morpholin-4-ylmethyl)-1,5-dihydro-6H-[1,2]diazepino[4,5,6-cd]indol-6-one", 16135 },
	{ "G9F", "", "", ResidueType::NON_POLYMER, false, "2-{4-[3-(dimethylamino)propoxy]phenyl}-5,6-dihydroimidazo[4,5,1-jk][1,4]benzodiazepin-7(4H)-one", 16136 },
	{ "G9G", "", "", ResidueType::NON_POLYMER, false, "2-(4-methylpiperazin-1-yl)benzo[c][1,5]naphthyridin-6(5H)-one", 16137 },
	{ "G9H", "", "", ResidueType::NON_POLYMER, false, "2-[(dimethylamino)methyl]-5,6-dihydroimidazo[4,5,1-jk][1,4]benzodiazepin-7(4H)-one", 16138 },
	{ "G9I", "", "", ResidueType::NON_POLYMER, false, "2-{2-[4-(pyrrolidin-1-ylmethyl)phenyl]ethyl}-5,6-dihydroimidazo[4,5,1-jk][1,4]benzodiazepin-7(4H)-one", 16139 },
	{ "G9L", "", "", ResidueType::NON_POLYMER, false, "8-fluoro-2-(3-piperidin-1-ylpropanoyl)-1,3,4,5-tetrahydrobenzo[c][1,6]naphthyridin-6(2H)-one", 16140 },
	{ "G9M", "", "", ResidueType::NON_POLYMER, false, "N-(6-oxo-5,6-dihydrobenzo[c][1,5]naphthyridin-2-yl)-2-(4-pyrrolidin-1-ylpiperidin-1-yl)acetamide", 16141 },
	{ "G9P", "", "", ResidueType::NON_POLYMER, false, "(11bR)-3-oxo-1,2,3,11b-tetrahydrochromeno[4,3,2-de]isoquinoline-10-sulfonic acid", 16142 },
	{ "G9W", "", "", ResidueType::NON_POLYMER, false, "(3R)-10-methyl-3-(propan-2-yl)-1,3,4,5-tetrahydro-6H-pyrano[4,3-c]isoquinolin-6-one", 16143 },
	{ "GA", "", "", ResidueType::NON_POLYMER, false, "GALLIUM (III) ION", 16144 },
	{ "GA0", "", "", ResidueType::NON_POLYMER, false, "GLYCYLALANYL-N-2-NAPHTHYL-L-PROLINEAMIDE", 16145 },
	{ "GA2", "", "", ResidueType::NON_POLYMER, false, "9-(1,3-DIHYDROXY-PROPOXYMETHANE)GUANINE", 16146 },
	{ "GA3", "", "", ResidueType::NON_POLYMER, false, "GIBBERELLIN A3", 16147 },
	{ "GA4", "", "", ResidueType::NON_POLYMER, false, "GIBBERELLIN A4", 16148 },
	{ "GA6", "", "", ResidueType::NON_POLYMER, false, "3-[4-(methylsulfonylamino)phenyl]benzoic acid", 16149 },
	{ "GA9", "", "", ResidueType::NON_POLYMER, false, "3,3-BIS(3-BROMO-4-HYDROXYPHENYL)-7-CHLORO-1H,3H-BENZO[DE]ISOCHROMEN-1-ONE", 16150 },
	{ "GAA", "", "", ResidueType::NON_POLYMER, false, "METANITROPHENYL-ALPHA-D-GALACTOSIDE", 16151 },
	{ "GAB", "", "", ResidueType::NON_POLYMER, false, "3-AMINOBENZOIC ACID", 16152 },
	{ "GAC", "", "", ResidueType::SACCHARIDE, false, "DIHYDRO-ACARBOSE", 16153 },
	{ "GAD", "", "", ResidueType::SACCHARIDE, false, "2,6-ANHYDRO-3-DEOXY-D-ERYTHRO-HEX-2-ENONIC ACID", 16154 },
	{ "GAE", "", "", ResidueType::NON_POLYMER, false, "D-galactaric acid", 16155 },
	{ "GAF", "", "", ResidueType::NON_POLYMER, false, "2-DEOXY-2-FLUORO-ALPHA-D-GALACTOPYRANOSE", 16156 },
	{ "GAG", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXYISOXAZOLE-4-CARBOXYLIC ACID", 16157 },
	{ "GAH", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{[(2S)-1-(N-{[4-({[AMINO(IMINO)METHYL]AMINO}METHYL)CYCLOHEXYL]CARBONYL}-3-CYCLOHEXYL-L-ALANYL)AZETIDIN-2-YL]CARBONYL}-L-TYROSYL-N~6~-[AMINO(IMINO)METHYL]-L-LYSINAMIDE", 16158 },
	{ "GAI", "", "", ResidueType::NON_POLYMER, false, "GUANIDINE", 16159 },
	{ "GAJ", "", "", ResidueType::NON_POLYMER, false, "N-TETRAZOL-5-YL 9-OXO-9H-XANTHENE-2 SULPHONAMIDE", 16160 },
	{ "GAK", "", "", ResidueType::NON_POLYMER, false, "[2Ga-2S] cluster", 16161 },
	{ "GAL", "GLB", "", ResidueType::SACCHARIDE, false, "BETA-D-GALACTOSE", 16162 },
	{ "GAM", "", "", ResidueType::NON_POLYMER, false, "ALPHA-METHYL-L-GLUTAMIC ACID", 16163 },
	{ "GAN", "", "", ResidueType::NON_POLYMER, false, "2-[3-BENZYL-5-(1-ALANYL-AMINOETHYL)-2,3,6,7-TETRAHYDRO-1H-AZEPIN-1-YL]-1-OXOPROPYL-VALINYL-VALINE-METHYLESTER", 16164 },
	{ "GAO", "", "", ResidueType::RNA_LINKING, false, "", 16165 },
	{ "GAP", "", "", ResidueType::NON_POLYMER, false, "GLYCYL-ADENOSINE-5'-PHOSPHATE", 16166 },
	{ "GAQ", "", "", ResidueType::NON_POLYMER, false, "5-HYDROXYPENTANAL", 16167 },
	{ "GAR", "", "", ResidueType::NON_POLYMER, false, "GLYCINAMIDE RIBONUCLEOTIDE", 16168 },
	{ "GAS", "", "", ResidueType::NON_POLYMER, false, "", 16169 },
	{ "GAT", "", "", ResidueType::NON_POLYMER, false, "4'-AMINOPHENYL-ALPHA-D-GALACTOPYRANOSIDE", 16170 },
	{ "GAU", "", "", ResidueType::PEPTIDE_LINKING, false, "(4S)-4-AMINO-5-HYDROXYPENTANOIC ACID", 16171 },
	{ "GAV", "", "", ResidueType::NON_POLYMER, false, "GUANOSINE-5'-RP-ALPHA-THIO-TRIPHOSPHATE", 16172 },
	{ "GAX", "", "", ResidueType::NON_POLYMER, false, "1-{3-[(4-pyridin-2-ylpiperazin-1-yl)sulfonyl]phenyl}-3-(1,3-thiazol-2-yl)urea", 16173 },
	{ "GAZ", "", "", ResidueType::NON_POLYMER, false, "L-gamma-glutamyl-3-{(E)-[2-(3,4-dimethoxyphenyl)-2-oxoethylidene]-lambda~4~-sulfanyl}-L-alanylglycine", 16174 },
	{ "GB", "", "", ResidueType::NON_POLYMER, false, "METHYLPHOSPHONIC ACID ESTER GROUP", 16175 },
	{ "GB0", "", "", ResidueType::NON_POLYMER, false, "", 16176 },
	{ "GB1", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S)-2-({[(1R)-2-HYDROXY-1-PHENYLETHYL]AMINO}METHYL)PYRROLIDINE-3,4-DIOL", 16177 },
	{ "GB2", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S)-2-({[(1S)-2-HYDROXY-1-PHENYLETHYL]AMINO}METHYL)PYRROLIDINE-3,4-DIOL", 16178 },
	{ "GB3", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S,5R)-2-({[(1R)-2-HYDROXY-1-PHENYLETHYL]AMINO}METHYL)-5-METHYLPYRROLIDINE-3,4-DIOL", 16179 },
	{ "GB4", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(2,4-DICHLOROPHENYL)-N-HYDROXYACRYLAMIDE", 16180 },
	{ "GB5", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(4-CHLOROPHENYL)-N-HYDROXYACRYLAMIDE", 16181 },
	{ "GB6", "", "", ResidueType::NON_POLYMER, false, "(3R,4R,5R)-3,4-dihydroxy-5-({[(1R)-2-hydroxy-1-phenylethyl]amino}methyl)pyrrolidin-2-one", 16182 },
	{ "GB7", "", "", ResidueType::NON_POLYMER, false, "(3R,4R,5R)-3,4-dihydroxy-5-({[(1R)-2-hydroxy-1-phenylethyl]amino}methyl)-1-methylpyrrolidin-2-one", 16183 },
	{ "GB8", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S,5R)-2-(6-amino-8-((quinolin-7-ylmethyl)amino)-9H-purin-9-yl)-5-(hydroxymethyl)tetrahydrofuran-3,4-diol", 16184 },
	{ "GBC", "", "", ResidueType::NON_POLYMER, false, "GABACULINE", 16185 },
	{ "GBD", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-1,2,5-THIADIAZOLE-3-CARBOXYLIC ACID", 16186 },
	{ "GBE", "", "", ResidueType::NON_POLYMER, false, "3-{4-[2-(beta-D-glucopyranosyloxy)ethyl]piperazin-1-yl}propane-1-sulfonic acid", 16187 },
	{ "GBF", "", "", ResidueType::NON_POLYMER, false, "Bacteriochlorophyll g", 16188 },
	{ "GBH", "", "", ResidueType::NON_POLYMER, false, "2-{4-[2-(beta-D-glucopyranosyloxy)ethyl]piperazin-1-yl}ethanesulfonic acid", 16189 },
	{ "GBI", "", "", ResidueType::NON_POLYMER, false, "S-(3-IODOBENZYL)GLUTATHIONE", 16190 },
	{ "GBJ", "", "", ResidueType::NON_POLYMER, false, "4-[(3R)-8,8-dimethyl-3,4-dihydro-2H,8H-pyrano[2,3-f]chromen-3-yl]benzene-1,3-diol", 16191 },
	{ "GBL", "", "", ResidueType::NON_POLYMER, false, "GAMMA-BUTYROLACTONE", 16192 },
	{ "GBM", "", "", ResidueType::NON_POLYMER, false, "5-chloro-N-(2-{4-[(cyclohexylcarbamoyl)sulfamoyl]phenyl}ethyl)-2-methoxybenzamide", 16193 },
	{ "GBN", "", "", ResidueType::NON_POLYMER, false, "[1-(AMINOMETHYL)CYCLOHEXYL]ACETIC ACID", 16194 },
	{ "GBO", "", "", ResidueType::NON_POLYMER, false, "(2E,6E)-3,7-dimethyl-8-({5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoyl}amino)octa-2,6-dien-1-yl trihydrogen diphosphate", 16195 },
	{ "GBP", "", "", ResidueType::NON_POLYMER, false, "S-(N-HYDROXY-N-BROMOPHENYLCARBAMOYL)GLUTATHIONE", 16196 },
	{ "GBR", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-{[(S)-[(R)-bromo(phosphono)methyl](hydroxy)phosphoryl]oxy}(hydroxy)phosphoryl]-2'-deoxyguanosine", 16197 },
	{ "GBS", "", "", ResidueType::NON_POLYMER, false, "4-GUANIDINOBENZOIC ACID", 16198 },
	{ "GBT", "", "", ResidueType::NON_POLYMER, false, "(8E)-3-amino-1-methyl-15-[(1H-pyrazol-1-yl)methyl]-7,10,11,12,24,25-hexahydro-6H,18H,23H-19,22-(metheno)pyrido[4,3-j][1,9,13,17,18]benzodioxatriazacyclohenicosin-23-one", 16199 },
	{ "GBX", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-4-[1-(CARBOXYMETHYL-CARBAMOYL)-2-(9-HYDROXY-7,8-DIOXO-7,8,9,10-TETRAHYDRO-BENZO[DEF]CHRYSEN-10-YLSULFANYL)-ETHYLCARBAMOYL]-BUTYRIC ACID", 16200 },
	{ "GC1", "", "", ResidueType::SACCHARIDE, false, "2,6-ANHYDRO-L-GULONIC ACID", 16201 },
	{ "GC2", "", "", ResidueType::NON_POLYMER, false, "6-ACETAMIDO-6-DEOXY-CASTANOSPERMINE", 16202 },
	{ "GC3", "", "", ResidueType::NON_POLYMER, false, "(3AR,5R,6S,7R,7AR)-2,5-BIS(HYDROXYMETHYL)-5,6,7,7A-TETRAHYDRO-3AH-PYRANO[3,2-D][1,3]OXAZOLE-6,7-DIOL", 16203 },
	{ "GC4", "", "", ResidueType::SACCHARIDE, false, "4-DEOXY-D-GLUCURONIC ACID", 16204 },
	{ "GC7", "", "", ResidueType::NON_POLYMER, false, "1-GUANIDINIUM-7-AMINOHEPTANE", 16205 },
	{ "GC8", "", "", ResidueType::NON_POLYMER, false, "2-(2,4-dichlorophenoxy)-N-[4-(1-piperidinylmethyl)phenyl]acetamide", 16206 },
	{ "GCA", "", "", ResidueType::NON_POLYMER, false, "6-(3',5'-DIMETHYLBENZYL)-1-ETHOXYMETHYL-5-ISOPROPYLURACIL", 16207 },
	{ "GCB", "", "", ResidueType::NON_POLYMER, false, "D-SACCHARIC ACID 1,5-LACTONE", 16208 },
	{ "GCD", "DGC", "", ResidueType::SACCHARIDE, false, "4,5-DEHYDRO-D-GLUCURONIC ACID", 16209 },
	{ "GCF", "", "", ResidueType::NON_POLYMER, false, "3-[3-[3-[(4~{S})-6-azanyl-5-cyano-3-methyl-4-propan-2-yl-2~{H}-pyrano[2,3-c]pyrazol-4-yl]-5-(trifluoromethyl)phenyl]phenyl]propanoic acid", 16210 },
	{ "GCG", "TS3", "", ResidueType::NON_POLYMER, false, "BIS(GAMMA-GLUTAMYL-CYSTEINYL-GLYCINYL)SPERMIDINE", 16211 },
	{ "GCH", "", "", ResidueType::NON_POLYMER, false, "GLYCOCHOLIC ACID", 16212 },
	{ "GCK", "", "", ResidueType::DNA_LINKING, false, "", 16213 },
	{ "GCL", "", "XAO", ResidueType::NON_POLYMER, true, "1-CYCLOHEXYL-2-AMINO-3,4-DIHYDROXY-6-METHYLHEPTANE", 16214 },
	{ "GCM", "", "GLM", ResidueType::PEPTIDE_LINKING, true, "GLYCYLMETHYLENE GROUP", 16215 },
	{ "GCN", "", "", ResidueType::SACCHARIDE, false, "3-DEOXY-D-GLUCOSAMINE", 16216 },
	{ "GCO", "", "", ResidueType::SACCHARIDE, false, "GLUCONIC ACID", 16217 },
	{ "GCP", "GTO", "", ResidueType::NON_POLYMER, false, "PHOSPHOMETHYLPHOSPHONIC ACID GUANYLATE ESTER", 16218 },
	{ "GCQ", "", "", ResidueType::NON_POLYMER, false, "GEMCITABINE DIPHOSPHATE", 16219 },
	{ "GCR", "", "", ResidueType::NON_POLYMER, false, "GALLICHROME", 16220 },
	{ "GCS", "", "", ResidueType::SACCHARIDE, false, "D-GLUCOSAMINE", 16221 },
	{ "GCT", "", "", ResidueType::SACCHARIDE, false, "4,5-DIHYDROXY-TETRAHYDRO-PYRAN-2-CARBOXYLIC ACID", 16222 },
	{ "GCU", "", "", ResidueType::SACCHARIDE, false, "D-GLUCURONIC ACID", 16223 },
	{ "GCV", "", "", ResidueType::SACCHARIDE, false, "4-O-METHYL-ALPHA-D-GLUCURONIC ACID", 16224 },
	{ "GCW", "", "", ResidueType::SACCHARIDE, false, "4-O-METHYL-BETA-D-GLUCURONIC ACID", 16225 },
	{ "?", "", "", ResidueType::SACCHARIDE, false, "3-O-alpha-D-xylopyranosyl-beta-D-glucopyranose", 16226 },
	{ "GCY", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3R)-1-(beta-D-galactopyranosyloxy)-3-hydroxyoctadec-4-en-2-yl]tetracosanamide", 16227 },
	{ "GCZ", "", "", ResidueType::NON_POLYMER, false, "N-[(3aR,6aS)-hexahydrocyclopenta[c]pyrrol-2(1H)-ylcarbamoyl]-4-methylbenzenesulfonamide", 16228 },
	{ "GD", "", "", ResidueType::NON_POLYMER, false, "GADOLINIUM ATOM", 16229 },
	{ "GD1", "", "", ResidueType::NON_POLYMER, false, "2-amino-5-[(Z)-iminomethyl]-3,7-dihydro-4H-pyrrolo[2,3-d]pyrimidin-4-one", 16230 },
	{ "GD3", "", "", ResidueType::NON_POLYMER, false, "GADOLINIUM ION", 16231 },
	{ "GD5", "", "", ResidueType::NON_POLYMER, false, "5-chloranyl-4-imidazo[1,2-a]pyridin-3-yl-N-(5-methyl-1-piperidin-4-yl-pyrazol-4-yl)pyrimidin-2-amine", 16232 },
	{ "GD7", "", "", ResidueType::NON_POLYMER, false, "(1R)-1,2,2-TRIMETHYLPROPYL (R)-METHYLPHOSPHINATE", 16233 },
	{ "GD8", "", "", ResidueType::NON_POLYMER, false, "(1R)-1,2,2-TRIMETHYLPROPYL (S)-METHYLPHOSPHINATE", 16234 },
	{ "GD9", "", "", ResidueType::NON_POLYMER, false, "2-(1H-indazol-4-yl)-6-{[4-(methylsulfonyl)piperazin-1-yl]methyl}-4-morpholin-4-yl-thieno[3,2-d]pyrimidine", 16235 },
	{ "GDA", "", "", ResidueType::NON_POLYMER, false, "4-DEOXY-4-AMINO-BETA-D-GLUCOSE", 16236 },
	{ "GDB", "", "GDN", ResidueType::NON_POLYMER, true, "1-(S-GLUTATHIONYL)-2,4-DINITROBENZENE", 16237 },
	{ "GDC", "", "", ResidueType::NON_POLYMER, false, "GUANOSINE-5'-DIPHOSPHATE-BETA-L-GALACTOSE", 16238 },
	{ "GDD", "", "", ResidueType::NON_POLYMER, false, "GUANOSINE-5'-DIPHOSPHATE-ALPHA-D-MANNOSE", 16239 },
	{ "GDE", "", "", ResidueType::NON_POLYMER, false, "3,4,5-trihydroxybenzoic acid", 16240 },
	{ "GDG", "", "", ResidueType::NON_POLYMER, false, "GDP-ALPHA-D-GLUCOSE", 16241 },
	{ "GDI", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-[(2S)-1-AZANYLIDENE-3-[4-(4-CYANOPHENYL)PHENYL]PROPAN-2-YL]PIPERIDINE-2-CARBOXAMIDE", 16242 },
	{ "GDL", "", "", ResidueType::NON_POLYMER, false, "2-ACETAMIDO-2-DEOXY-D-GLUCONO-1,5-LACTONE", 16243 },
	{ "GDM", "", "", ResidueType::NON_POLYMER, false, "GELDANAMYCIN", 16244 },
	{ "GDN", "GDB", "", ResidueType::NON_POLYMER, false, "GLUTATHIONE S-(2,4 DINITROBENZENE)", 16245 },
	{ "GDO", "", "", ResidueType::RNA_LINKING, false, "", 16246 },
	{ "GDP", "", "", ResidueType::RNA_LINKING, false, "GUANOSINE-5'-DIPHOSPHATE", 16247 },
	{ "GDR", "", "", ResidueType::RNA_LINKING, false, "GUANOSINE-5'-DIPHOSPHATE-RHAMNOSE", 16248 },
	{ "GDS", "", "", ResidueType::NON_POLYMER, false, "OXIDIZED GLUTATHIONE DISULFIDE", 16249 },
	{ "GDT", "", "", ResidueType::NON_POLYMER, false, "(2E,4E)-N-[(2S,3R)-3-hydroxy-1-[[(3Z,5S,8S,10S)-10-hydroxy-5-methyl-2,7-dioxo-1,6-diazacyclododec-3-en-8-yl]amino]-1-oxobutan-2-yl]dodeca-2,4-dienamide", 16250 },
	{ "GDU", "", "", ResidueType::NON_POLYMER, false, "GALACTOSE-URIDINE-5'-DIPHOSPHATE", 16251 },
	{ "GDV", "", "", ResidueType::NON_POLYMER, false, "(5R,6R,7R,8S)-8-(ACETYLAMINO)-6,7-DIHYDROXY-5-(HYDROXYMETHYL)-N-PHENYL-1,5,6,7,8,8A-HEXAHYDROIMIDAZO[1,2-A]PYRIDINE-2-CARBOXAMIDE", 16252 },
	{ "GDX", "", "", ResidueType::NON_POLYMER, false, "", 16253 },
	{ "GE1", "", "", ResidueType::SACCHARIDE, false, "3,4-DIDEOXY-2,6-AMINO-ALPHA-D GALACTOPYRANOSE", 16254 },
	{ "GE2", "", "", ResidueType::NON_POLYMER, false, "3,5-DIAMINO-CYCLOHEXANOL", 16255 },
	{ "GE3", "", "", ResidueType::NON_POLYMER, false, "5-METHYL-4-METHYLAMINO-TETRAHYDRO-PYRAN-2,3,5-TRIOL", 16256 },
	{ "GEE", "", "", ResidueType::PEPTIDE_LINKING, false, "ethyl glycinate", 16257 },
	{ "GEG", "", "", ResidueType::NON_POLYMER, false, "(4E)-4-AMINOHEX-4-ENOIC ACID", 16258 },
	{ "GEK", "", "", ResidueType::NON_POLYMER, false, "(2S)-4-[{[(2S,3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]methyl}(carboxylatomethyl)sulfonio]-2-ammoniobutanoate", 16259 },
	{ "GEL", "", "", ResidueType::NON_POLYMER, false, "1-O-OCTYL-2-HEPTYLPHOSPHONYL-SN-GLYCERO-3-PHOSPHOETHANOLAMINE", 16260 },
	{ "GEM", "", "", ResidueType::NON_POLYMER, false, "(2-GUANIDINOETHYLMERCAPTO)SUCCINIC ACID", 16261 },
	{ "GEN", "", "", ResidueType::NON_POLYMER, false, "GENISTEIN", 16262 },
	{ "GEO", "", "", ResidueType::NON_POLYMER, false, "GEMCITABINE", 16263 },
	{ "GEP", "", "", ResidueType::NON_POLYMER, false, "N-METHYL-N-(PARA-GLUTARAMIDOPHENYL-ETHYL)-PIPERIDINIUM ION", 16264 },
	{ "GEQ", "", "", ResidueType::NON_POLYMER, false, "5-{[4-(9H-FLUOREN-9-YL)PIPERAZIN-1-YL]CARBONYL}-1H-INDOLE", 16265 },
	{ "GER", "", "", ResidueType::NON_POLYMER, false, "GERAN-8-YL GERAN", 16266 },
	{ "GET", "", "", ResidueType::NON_POLYMER, false, "GENETICIN", 16267 },
	{ "GF0", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-2'-fluoroguanosine", 16268 },
	{ "GF1", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[(3aR,4R,7S,7aS)-1,3-dioxooctahydro-2H-4,7-methanoisoindol-2-yl]propanoic acid", 16269 },
	{ "GF2", "", "", ResidueType::DNA_LINKING, false, "", 16270 },
	{ "GF4", "", "", ResidueType::NON_POLYMER, false, "4-ethyl-5-methyl-2-(1H-tetrazol-5-yl)-1,2-dihydro-3H-pyrazol-3-one", 16271 },
	{ "GF5", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-azanyl-5-[[(2R)-3-(2-fluorosulfonylethylsulfanyl)-1-(2-hydroxy-2-oxoethylamino)-1-oxidanylidene-propan-2-yl]amino]-5-oxidanylidene-pentanoic acid", 16272 },
	{ "GF7", "", "", ResidueType::NON_POLYMER, false, "(3S)-1-(4-acetylphenyl)-5-oxopyrrolidine-3-carboxylic acid", 16273 },
	{ "GFA", "", "", ResidueType::NON_POLYMER, false, "2-[4-chloro-2-(phenylcarbonyl)phenoxy]-N-phenylacetamide", 16274 },
	{ "GFB", "", "", ResidueType::NON_POLYMER, false, "GUANOSINE-5'-DIPHOSPHATE-BETA-L-FUCOPYRANOSE", 16275 },
	{ "GFC", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-{[(S)-[(S)-chloro(fluoro)phosphonomethyl](hydroxy)phosphoryl]oxy}(hydroxy)phosphoryl]-2'-deoxyguanosine", 16276 },
	{ "GFF", "", "", ResidueType::NON_POLYMER, false, "2'-DEOXY-5'-O-[({[DIFLUORO(PHOSPHONO)METHYL](HYDROXY)PHOSPHORYL}OXY)(HYDROXY)PHOSPHORYL]GUANOSINE", 16277 },
	{ "GFG", "", "", ResidueType::SACCHARIDE, false, "ALPHA-D-GLUCOPYRANOSYL-(1->3)-ALPHA-D-FRUCTOFURANOSYL ALPHA-D-GALACTOPYRANOSIDE", 16278 },
	{ "GFH", "", "", ResidueType::NON_POLYMER, false, "2'-DEOXY-5'-O-[(R)-{[(R)-[(R)-FLUORO(PHOSPHONO)METHYL](HYDROXY)PHOSPHORYL]OXY}(HYDROXY)PHOSPHORYL]GUANOSINE", 16279 },
	{ "GFL", "", "", ResidueType::DNA_LINKING, false, "2-AMINO-9-(2-DEOXY-2-FLUORO-5-O-PHOSPHONO-BETA-D-ARABINOFURANOSYL)-1,9-DIHYDRO-6H-PURIN-6-ONE", 16280 },
	{ "GFM", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-[(S)-{[(S)-[(1R)-1-fluoro-1-phosphonoethyl](hydroxy)phosphoryl]oxy}(hydroxy)phosphoryl]guanosine", 16281 },
	{ "GFN", "", "", ResidueType::NON_POLYMER, false, "1-cyclopropyl-6-fluoro-8-methoxy-7-[(3S)-3-methylpiperazin-1-yl]-4-oxo-1,4-dihydroquinoline-3-carboxylic acid", 16282 },
	{ "GFP", "", "", ResidueType::SACCHARIDE, false, "2-DEOXY-2-FLUORO-ALPHA-D-GLUCOSE-1-PHOSPHATE", 16283 },
	{ "GFT", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-azanyl-3-[cyclohexyloxy(methyl)phosphoryl]oxy-propanoic acid", 16284 },
	{ "GG1", "", "", ResidueType::NON_POLYMER, false, "4-{[1-METHYL-2,4-DIOXO-6-(3-PHENYLPROP-1-YN-1-YL)-1,4-DIHYDROQUINAZOLIN-3(2H)-YL]METHYL}BENZOIC ACID", 16285 },
	{ "GG2", "", "", ResidueType::NON_POLYMER, false, "1-(4-METHOXYPHENYL)-7-OXO-6-[4-(2-OXOPIPERIDIN-1-YL)PHENYL]-4,5,6,7-TETRAHYDRO-1H-PYRAZOLO[3,4-C]PYRIDINE-3-CARBOXAMIDE", 16286 },
	{ "GG3", "", "", ResidueType::NON_POLYMER, false, "{1-HYDROXY-3-[METHYL(4-PHENYLBUTYL)AMINO]PROPANE-1,1-DIYL}BIS(PHOSPHONIC ACID)", 16287 },
	{ "GG4", "", "", ResidueType::NON_POLYMER, false, "", 16288 },
	{ "GG5", "", "", ResidueType::NON_POLYMER, false, "4-[3-(4-FLUOROPHENYL)-1H-PYRAZOL-4-YL]PYRIDINE", 16289 },
	{ "GG6", "", "", ResidueType::NON_POLYMER, false, "[(1S,2S)-1,2-DIHYDROXYPROPYL]PHOSPHONIC ACID", 16290 },
	{ "GG7", "", "", ResidueType::NON_POLYMER, false, "[(1R)-1-AMINOETHYL]PHOSPHONIC ACID", 16291 },
	{ "GG9", "", "", ResidueType::NON_POLYMER, false, "(3R,4S,5R)-5-[(1R)-1-CARBOXY-2,2-DIFLUORO-1-(PHOSPHONOOXY)ETHOXY]-4-HYDROXY-3-(PHOSPHONOOXY)CYCLOHEX-1-ENE-1-CARBOXYLIC ACID", 16292 },
	{ "GGA", "", "", ResidueType::NON_POLYMER, false, "D-GAMMA-GLUTAMYL-N-{[(R)-{4-[(4-AMINOBUTYL)AMINO]BUTYL}(PHOSPHONOOXY)PHOSPHORYL]METHYL}-D-ALANINAMIDE", 16293 },
	{ "GGB", "", "", ResidueType::NON_POLYMER, false, "L-CANAVANINE", 16294 },
	{ "GGC", "", "", ResidueType::NON_POLYMER, false, "1-MENAPHTHYL GLUTATHIONE CONJUGATE", 16295 },
	{ "GGD", "", "", ResidueType::NON_POLYMER, false, "NONADEC-10-ENOIC ACID 2-[3,4-DIHYDROXY-6-HYDROXYMETHYL-5-(3,4,5-TRIHYDROXY-6-HYDROXYMETHYL-TETRAHYDRO-PYRAN-2-YLOXY)-TETRAHYDRO-PYRAN-2-YLOXY]-1-OCTADEC-9-ENOYLOXYMETHYL-ETHYL ESTER", 16296 },
	{ "GGE", "", "", ResidueType::NON_POLYMER, false, "(1S,2R)-1-(4-hydroxy-3-methoxyphenyl)-2-(2-methoxyphenoxy)propane-1,3-diol", 16297 },
	{ "GGG", "", "", ResidueType::NON_POLYMER, false, "glycylglycylglycine", 16298 },
	{ "GGH", "", "", ResidueType::NON_POLYMER, false, "2'-DEOXY-5'-O-(HYDROXY{[HYDROXY(PHOSPHONOMETHYL)PHOSPHORYL]OXY}PHOSPHORYL)GUANOSINE", 16299 },
	{ "GGJ", "", "", ResidueType::NON_POLYMER, false, "4-(3'-amino[1,1'-biphenyl]-3-yl)-3-(4-methoxyphenyl)-1H-pyrazol-5-amine", 16300 },
	{ "GGL", "", "", ResidueType::GAMMA_PEPTIDE_LINKING, false, "GAMMA-L-GLUTAMIC ACID", 16301 },
	{ "GGM", "", "", ResidueType::NON_POLYMER, false, "3'-O-(N-methylanthraniloyl)-beta:gamma-imidoguanosine-5'-triphosphate", 16302 },
	{ "GGO", "", "", ResidueType::NON_POLYMER, false, "(4R,5R)-5-AMINO-1-[2-(1,3-BENZODIOXOL-5-YL)ETHYL]-4-(2,4,5-TRIFLUOROPHENYL)PIPERIDIN-2-ONE", 16303 },
	{ "GGP", "", "", ResidueType::NON_POLYMER, false, "BETA-1,2,3,4,6-PENTA-O-GALLOYL-D-GLUCOPYRANOSE", 16304 },
	{ "GGS", "", "", ResidueType::NON_POLYMER, false, "phosphonooxy-[(10E)-3,7,11,15-tetramethylhexadeca-2,6,10,14-tetraenyl]sulfanyl-phosphinic acid", 16305 },
	{ "GGT", "", "", ResidueType::NON_POLYMER, false, "Trioxacarcin A", 16306 },
	{ "GGV", "", "", ResidueType::NON_POLYMER, false, "", 16307 },
	{ "GGW", "", "", ResidueType::NON_POLYMER, false, "methyl [(1S,4S,5S,7S,10S)-4-benzyl-1,10-di-tert-butyl-5-hydroxy-2,9,12-trioxo-7-(4-pyridin-2-ylbenzyl)-13-oxa-3,8,11-triazatetradec-1-yl]carbamate", 16308 },
	{ "GGX", "", "", ResidueType::NON_POLYMER, false, "", 16309 },
	{ "GGY", "", "", ResidueType::NON_POLYMER, false, "4-(2-AMINO-5-{4-[(DIMETHYLAMINO)METHYL]THIOPHEN-2-YL}PYRIDIN-3-YL)-2-{[(1R,2Z)-4,4,4-TRIFLUORO-1-METHYLBUT-2-EN-1-YL]OXY}BENZAMIDE", 16310 },
	{ "GGZ", "", "", ResidueType::NON_POLYMER, false, "(2S,3AR,4R,6R,6AR)-4-(6-AMINO-9H-PURIN-9-YL)-6-({[(R)-HYDROXY(SULFOOXY)PHOSPHORYL]OXY}METHYL)TETRAHYDROFURO[3,4-D][1,3,2]DIOXAPHOSPHOL-2-OL 2-OXIDE", 16311 },
	{ "GH3", "", "", ResidueType::RNA_LINKING, false, "3'-DEOXY-GUANOSINE-5'-TRIPHOSPHATE", 16312 },
	{ "GH4", "", "", ResidueType::NON_POLYMER, false, "4-[1,3-benzodioxol-5-ylmethyl(2-phenoxyethyl)amino]-5-fluoropyrimidine-2-carbonitrile", 16313 },
	{ "GHA", "", "", ResidueType::NON_POLYMER, false, "", 16314 },
	{ "GHC", "", "", ResidueType::PEPTIDE_LINKING, false, "N-({4-[(2-amino-6-ethyl-4-oxo-3,4-dihydrothieno[2,3-d]pyrimidin-5-yl)sulfanyl]phenyl}carbonyl)-L-glutamic acid", 16315 },
	{ "GHE", "", "", ResidueType::NON_POLYMER, false, "(2R)-1-[6-[(2R)-2-carboxypyrrolidin-1-yl]-6-oxidanylidene-hexanoyl]pyrrolidine-2-carboxylic acid", 16316 },
	{ "GHG", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,4S)-2,5-diamino-4-hydroxy-5-oxopentanoic acid (non-preferred name)", 16317 },
	{ "GHP", "NTY,DGH", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-amino(4-hydroxyphenyl)ethanoic acid", 16318 },
	{ "GHR", "", "", ResidueType::NON_POLYMER, false, "[[(3S,4S,5R,6R)-3,4,5-trihydroxy-6-(hydroxymethyl)piperidin-2-ylidene]amino] N-(4-chlorophenyl)carbamate", 16319 },
	{ "GHS", "", "", ResidueType::NON_POLYMER, false, "6-carbamimidamidohexanoic acid", 16320 },
	{ "GHV", "", "", ResidueType::NON_POLYMER, false, "Nalpha-{(2E)-3-[4-(dimethylamino)phenyl]prop-2-enoyl}-N-{(2S)-1-oxo-3-[(3S)-2-oxopyrrolidin-3-yl]propan-2-yl}-L-phenylalaninamide", 16321 },
	{ "GHW", "", "", ResidueType::PEPTIDE_LINKING, false, "N-({4-[(2-amino-6-methyl-4-oxo-3,4-dihydrothieno[2,3-d]pyrimidin-5-yl)sulfanyl]phenyl}carbonyl)-L-glutamic acid", 16322 },
	{ "GHX", "", "", ResidueType::NON_POLYMER, false, "Nalpha-[(benzyloxy)carbonyl]-N-{(2S)-1-oxo-3-[(3S)-2-oxopyrrolidin-3-yl]propan-2-yl}-L-phenylalaninamide", 16323 },
	{ "GHY", "", "", ResidueType::NON_POLYMER, false, "N-{(2S)-1-oxo-3-[(3S)-2-oxopyrrolidin-3-yl]propan-2-yl}-Nalpha-[(propan-2-yloxy)carbonyl]-L-phenylalaninamide", 16324 },
	{ "GHZ", "", "", ResidueType::NON_POLYMER, false, "Nalpha-[(2-methylpropoxy)carbonyl]-N-{(2S)-1-oxo-3-[(3S)-2-oxopyrrolidin-3-yl]propan-2-yl}-L-phenylalaninamide", 16325 },
	{ "GI1", "", "", ResidueType::NON_POLYMER, false, "METHOXYCARBONYL-SUBSTITUTED GLUCOIMIDAZOLE", 16326 },
	{ "GI2", "", "", ResidueType::NON_POLYMER, false, "METHYL ACETATE-SUBSTITUTED GLUCOIMIDAZOLE", 16327 },
	{ "GI3", "", "", ResidueType::NON_POLYMER, false, "CARBOXYLATE-SUBSTITUTED GLUCOIMIDAZOLE", 16328 },
	{ "GI4", "", "", ResidueType::NON_POLYMER, false, "METHYL ACETIC ACID-SUBSTITUTED GLUCOIMIDAZOLE", 16329 },
	{ "GI8", "", "", ResidueType::NON_POLYMER, false, "(4~{S})-6-azanyl-4-[3-cyano-5-[5-(methoxymethyl)thiophen-2-yl]phenyl]-3-methyl-4-propan-2-yl-2~{H}-pyrano[2,3-c]pyrazole-5-carbonitrile", 16330 },
	{ "GIA", "", "", ResidueType::NON_POLYMER, false, "3-fluoro-N-(naphthalen-2-ylcarbonyl)-D-phenylalanine", 16331 },
	{ "GIC", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(2-aminoethyl)-N-(1H-indol-3-ylacetyl)glycine", 16332 },
	{ "GIF", "", "", ResidueType::NON_POLYMER, false, "D-galacto-isofagomine", 16333 },
	{ "GIG", "", "", ResidueType::NON_POLYMER, false, "METHYL (5-{4-[({[2-FLUORO-5-(TRIFLUOROMETHYL)PHENYL]AMINO}CARBONYL)AMINO]PHENOXY}-1H-BENZIMIDAZOL-2-YL)CARBAMATE", 16334 },
	{ "GIL", "", "", ResidueType::NON_POLYMER, false, "2-{[6-{3-[AMINO(IMINO)METHYL]PHENOXY}-4-(DIISOPROPYLAMINO)-3,5-DIFLUOROPYRIDIN-2-YL]OXY}-5-[(ISOBUTYLAMINO)CARBONYL]BENZOIC ACID", 16335 },
	{ "GIM", "", "", ResidueType::NON_POLYMER, false, "GLUCOIMIDAZOLE", 16336 },
	{ "GIN", "", "", ResidueType::NON_POLYMER, false, "2-{[(6-OXO-1,6-DIHYDROPYRIDIN-3-YL)METHYL]AMINO}-N-[4-PROPYL-3-(TRIFLUOROMETHYL)PHENYL]BENZAMIDE", 16337 },
	{ "GIO", "", "", ResidueType::NON_POLYMER, false, "CYCLO-(GLYCINE-L-PROLINE) INHIBITOR", 16338 },
	{ "GIP", "", "", ResidueType::NON_POLYMER, false, "S-(N-HYDROXY-N-IODOPHENYLCARBAMOYL)GLUTATHIONE", 16339 },
	{ "GIQ", "", "", ResidueType::NON_POLYMER, false, "3-METHYL-3H-IMIDAZO[4,5-F]QUINOLIN-2-AMINE", 16340 },
	{ "GIR", "", "", ResidueType::NON_POLYMER, false, "GIRODAZOLE", 16341 },
	{ "GIS", "", "", ResidueType::NON_POLYMER, false, "ETHYL-(2-CARBOXY-4-GUANIDINIUM-PHENYL)-CHLOROACETATE", 16342 },
	{ "GIV", "", "", ResidueType::SACCHARIDE, false, "BETA-L-GALACTOPYRANOSE", 16343 },
	{ "GIX", "", "", ResidueType::NON_POLYMER, false, "PROTOPORPHYRIN IX CONTAINING GA", 16344 },
	{ "GJB", "", "", ResidueType::NON_POLYMER, false, "1-(2-phenylethyl)pyrimidine-2,4,6(1H,3H,5H)-trione", 16345 },
	{ "GJV", "", "", ResidueType::NON_POLYMER, false, "9-(7-{[amino(iminio)methyl]amino}-5,6,7-trideoxy-beta-D-ribo-heptofuranosyl)-9H-purin-6-amine", 16346 },
	{ "GJW", "", "", ResidueType::NON_POLYMER, false, "7-(pyrrolidin-1-ylmethyl)pyrrolo[1,2-a]quinoxalin-4(5H)-one", 16347 },
	{ "GJZ", "", "", ResidueType::NON_POLYMER, false, "(1R,2S)-2-phenylcyclopropanamine", 16348 },
	{ "GK0", "", "", ResidueType::NON_POLYMER, false, "3,4,5-tris(oxidanyl)-~{N}-[(~{E})-[3,4,5-tris(oxidanyl)phenyl]methylideneamino]benzamide", 16349 },
	{ "GK1", "", "", ResidueType::NON_POLYMER, false, "4-{4-[(5-hydroxy-2-methylphenyl)amino]quinolin-7-yl}-1,3-thiazole-2-carbaldehyde", 16350 },
	{ "GK3", "", "", ResidueType::NON_POLYMER, false, "N-(3-cyanophenyl)-2'-methyl-5'-(5-methyl-1,3,4-oxadiazol-2-yl)-4-biphenylcarboxamide", 16351 },
	{ "GK4", "", "", ResidueType::NON_POLYMER, false, "N-(cyclopropylmethyl)-2'-methyl-5'-(5-methyl-1,3,4-oxadiazol-2-yl)biphenyl-4-carboxamide", 16352 },
	{ "GK5", "", "", ResidueType::NON_POLYMER, false, "N~3~-cyclopropyl-N~4~'-(cyclopropylmethyl)-6-methylbiphenyl-3,4'-dicarboxamide", 16353 },
	{ "GK6", "", "", ResidueType::NON_POLYMER, false, "N-{4'-[(cyclopropylmethyl)carbamoyl]-6-methylbiphenyl-3-yl}-2-morpholin-4-ylpyridine-4-carboxamide", 16354 },
	{ "GK8", "", "", ResidueType::NON_POLYMER, false, "{[(2S)-2-amino-3-(1H-imidazol-5-yl)propyl]oxy}(trihydroxy)-lambda~5~-arsanyl", 16355 },
	{ "GKD", "", "", ResidueType::NON_POLYMER, false, "", 16356 },
	{ "GKE", "", "", ResidueType::NON_POLYMER, false, "", 16357 },
	{ "GKK", "", "", ResidueType::NON_POLYMER, false, "2-chloro-4-{[(3S)-1-methylpyrrolidin-3-yl][2-(trifluoromethyl)benzyl]amino}benzonitrile", 16358 },
	{ "GKL", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S,3S)-3-amino-2-hydroxy-5-methylhexyl]-L-valine", 16359 },
	{ "GKR", "", "", ResidueType::NON_POLYMER, false, "D-GLUCARATE", 16360 },
	{ "GL0", "", "", ResidueType::SACCHARIDE, false, "beta-D-gulopyranose", 16361 },
	{ "GL1", "", "", ResidueType::NON_POLYMER, false, "1-O-phosphono-alpha-D-galactopyranose", 16362 },
	{ "GL2", "", "", ResidueType::SACCHARIDE, false, "3-AMINO-8,9,10-TRIHYDROXY-7-HYDROXYMETHYL-6-OXA-1,3-DIAZA-SPIRO[4.5]DECANE-2,4-DIONE", 16363 },
	{ "GL3", "", "", ResidueType::PEPTIDE_LINKING, false, "THIOGLYCIN", 16364 },
	{ "GL4", "", "", ResidueType::NON_POLYMER, false, "8,9,10-TRIHYDROXY-7-HYDROXYMETHYL-2-THIOXO-6-OXA-1,3-DIAZA-SPIRO[4.5]DECAN-4-ONE", 16365 },
	{ "GL5", "", "", ResidueType::SACCHARIDE, false, "3,8,9,10-TETRAHYDROXY-7-HYDROXYMETHYL-6-OXA-1,3-DIAZA-SPIRO[4.5]DECANE-2,4-DIONE", 16366 },
	{ "GL6", "", "", ResidueType::SACCHARIDE, false, "(3,4,5-TRIHYDROXY-6-HYDROXYMETHYL-TETRAHYDRO-PYRAN-2-YL)-PHOSPHORAMIDIC ACID DIMETHYL ESTER", 16367 },
	{ "GL7", "", "", ResidueType::SACCHARIDE, false, "8,9,10-TRIHYDROXY-7-HYDROXYMETHYL-3-METHYL-6-OXA-1,3-DIAZA-SPIRO[4.5]DECANE-2,4-DIONE", 16368 },
	{ "GL8", "", "", ResidueType::NON_POLYMER, false, "GALANTHAMINE DERIVATIVE", 16369 },
	{ "GL9", "", "", ResidueType::SACCHARIDE, false, "N-(8,9,10-TRIHYDROXY-7-HYDROXYMETHYL-2,4-DIOXO-6-OXA-1,3-DIAZA-SPIRO[4.5]DEC-3-YL-ACETAMIDE", 16370 },
	{ "GLA", "", "", ResidueType::SACCHARIDE, false, "ALPHA D-GALACTOSE", 16371 },
	{ "GLB", "", "GAL", ResidueType::SACCHARIDE, true, "BETA-D-GALACTOSE", 16372 },
	{ "GLC", "AGC", "", ResidueType::SACCHARIDE, false, "ALPHA-D-GLUCOSE", 16373 },
	{ "GLD", "", "", ResidueType::SACCHARIDE, false, "4,6-DIDEOXYGLUCOSE", 16374 },
	{ "GLE", "", "", ResidueType::NON_POLYMER, false, "1-DECYL-3-TRIFLUORO ETHYL-SN-GLYCERO-2-PHOSPHOMETHANOL", 16375 },
	{ "GLF", "", "", ResidueType::SACCHARIDE, false, "1-FLUORO-ALPHA-1-DEOXY-D-GLUCOSE", 16376 },
	{ "GLG", "", "", ResidueType::SACCHARIDE, false, "ALPHA-D-GLUCOPYRANOSYL-2-CARBOXYLIC ACID AMIDE", 16377 },
	{ "GLH", "", "", ResidueType::PEPTIDE_LINKING, true, "N-5-CYCLOHEXYL-N-5-[(CYCLOHEXYLAMINO)CARBONYL]GLUTAMINE", 16378 },
	{ "GLI", "", "PSI", ResidueType::NON_POLYMER, true, "ALA-ALA-PHE-PSI((S)-CHOH-CH2)-GLY-VAL-VAL-OME", 16379 },
	{ "GLJ", "", "", ResidueType::PEPTIDE_LINKING, false, "5,5-dihydroxy-L-norvaline", 16380 },
	{ "GLK", "", "", ResidueType::PEPTIDE_LIKE, false, "(4S)-4-amino-5,5-dihydroxypentanoic acid", 16381 },
	{ "GLL", "GUR", "", ResidueType::NON_POLYMER, false, "GLYCOLURIL", 16382 },
	{ "GLM", "GCM", "", ResidueType::PEPTIDE_LINKING, true, "1-AMINO-PROPAN-2-ONE", 16383 },
	{ "GLN", "", "", ResidueType::PEPTIDE_LINKING, false, "GLUTAMINE", 16384 },
	{ "GLO", "", "", ResidueType::SACCHARIDE, false, "D-GLUCOSE IN LINEAR FORM", 16385 },
	{ "GLP", "", "", ResidueType::SACCHARIDE, false, "GLUCOSAMINE 6-PHOSPHATE", 16386 },
	{ "GLQ", "", "", ResidueType::PEPTIDE_LINKING, true, "4-AMINO-5-OXO-PENTANOIC ACID", 16387 },
	{ "GLR", "KGR", "", ResidueType::NON_POLYMER, false, "2,3-DIHYDROXY-5-OXO-HEXANEDIOATE", 16388 },
	{ "GLS", "", "", ResidueType::SACCHARIDE, false, "BETA-D-GLUCOPYRANOSE SPIROHYDANTOIN", 16389 },
	{ "GLT", "", "", ResidueType::SACCHARIDE, false, "5-DEOXY-5-THIO-ALPHA-D-GLUCOSE", 16390 },
	{ "GLU", "", "", ResidueType::PEPTIDE_LINKING, false, "GLUTAMIC ACID", 16391 },
	{ "GLV", "", "", ResidueType::NON_POLYMER, false, "GLYOXYLIC ACID", 16392 },
	{ "GLW", "", "G6D", ResidueType::SACCHARIDE, true, "6-DEOXYGLUCOSE", 16393 },
	{ "GLX", "", "", ResidueType::PEPTIDE_LINKING, false, "GLU/GLN AMBIGUOUS", 16394 },
	{ "GLY", "", "", ResidueType::PEPTIDE_LINKING, false, "GLYCINE", 16395 },
	{ "GLZ", "", "", ResidueType::PEPTIDE_LINKING, false, "AMINO-ACETALDEHYDE", 16396 },
	{ "GM0", "", "", ResidueType::NON_POLYMER, false, "4-O-phosphono-L-glycero-alpha-D-manno-heptopyranose", 16397 },
	{ "GM1", "", "", ResidueType::NON_POLYMER, false, "AMINOMETHYLAMIDE", 16398 },
	{ "GM2", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2S)-2-HYDROXY-1-({[(2R,3R,4S,5S,6R)-3,4,5-TRIHYDROXY-6-(HYDROXYMETHYL)TETRAHYDRO-2H-PYRAN-2-YL]OXY}METHYL)OCTADECYL]OCTADECANAMIDE", 16399 },
	{ "GM3", "", "", ResidueType::NON_POLYMER, false, "N-{1-[(HEXOPYRANOSYLOXY)METHYL]-2-HYDROXYNONADECYL}TETRACOSANAMIDE", 16400 },
	{ "GM6", "", "", ResidueType::NON_POLYMER, false, "3-(N-HYDROXYCARBOXAMIDO)-2-ISOBUTYLPROPANOYL-TRP-METHYLAMIDE", 16401 },
	{ "GM8", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[(1S,2S)-2-aminocyclohexyl]butanoic acid", 16402 },
	{ "GMA", "", "", ResidueType::PEPTIDE_LINKING, false, "4-AMIDO-4-CARBAMOYL-BUTYRIC ACID", 16403 },
	{ "GMB", "", "", ResidueType::NON_POLYMER, false, "1,7-di-O-phosphono-L-glycero-beta-D-manno-heptopyranose", 16404 },
	{ "GMC", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S,5S)-4-AMINO-2-[6-(DIMETHYLAMINO)-9H-PURIN-9-YL]-5-(HYDROXYMETHYL)TETRAHYDRO-3-FURANOL", 16405 },
	{ "GMD", "", "", ResidueType::NON_POLYMER, false, "(3R,4S)-1-[(4-amino-5H-pyrrolo[3,2-d]pyrimidin-7-yl)methyl]-4-{[(4-hydroxybutyl)sulfanyl]methyl}pyrrolidin-3-ol", 16406 },
	{ "GME", "", "", ResidueType::PEPTIDE_LINKING, false, "5-O-methyl-glutamic acid", 16407 },
	{ "GMF", "", "", ResidueType::NON_POLYMER, false, "2-[[3-(3-methoxyphenyl)phenyl]-(4-pyridyl)methyl]guanidine", 16408 },
	{ "GMG", "", "", ResidueType::NON_POLYMER, false, "[4-(5-naphthalen-2-yl-1H-pyrrolo[2,3-b]pyridin-3-yl)phenyl]acetic acid", 16409 },
	{ "GMH", "", "", ResidueType::SACCHARIDE, false, "L-GLYCERO-D-MANNO-HEPTOPYRANOSE", 16410 },
	{ "GMK", "", "", ResidueType::NON_POLYMER, false, "(3-Deoxy-3-(3-methoxy-benzamido)-b-D-galactopyranosyl)-(3-deoxy-3-(3-methoxy-benzamido)-2-O-sulfo-b-D-galactopyranosyl)-sulfide", 16411 },
	{ "GMM", "", "", ResidueType::NON_POLYMER, false, "GLUCOSE MONOMYCOLATE", 16412 },
	{ "GMN", "", "", ResidueType::NON_POLYMER, false, "2,2',2\"-[1,2,3-BENZENE-TRIYLTRIS(OXY)]TRIS[N,N,N-TRIETHYLETHANAMINIUM]", 16413 },
	{ "GMP", "", "", ResidueType::NON_POLYMER, false, "GUANOSINE", 16414 },
	{ "GMR", "", "", ResidueType::NON_POLYMER, false, "3-ethyl-4-methyl-N-[2-(4-{[(cis-4-methylcyclohexyl)carbamoyl]sulfamoyl}phenyl)ethyl]-2-oxo-2,5-dihydro-1H-pyrrole-1-carboxamide", 16415 },
	{ "GMS", "", "", ResidueType::DNA_LINKING, false, "2'-DEOXYGUANOSINE-5'-MONOSELENOPHOSPHATE", 16416 },
	{ "GMT", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{[2-(acetylamino)-2-deoxy-alpha-D-glucopyranosyl]oxy}butanedioic acid", 16417 },
	{ "GMU", "", "", ResidueType::RNA_LINKING, false, "", 16418 },
	{ "GMV", "", "", ResidueType::NON_POLYMER, false, "GUANOSINE-5'-PHOSPHOVANADATE", 16419 },
	{ "GMY", "", "", ResidueType::NON_POLYMER, true, "GELDANAMYCIN", 16420 },
	{ "GMZ", "", "", ResidueType::NON_POLYMER, false, "1,7-di-O-phosphono-D-glycero-beta-D-manno-heptopyranose", 16421 },
	{ "GN0", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-5-(2-chlorophenyl)sulfanyl-2-(4-morpholin-4-ylphenyl)-4-oxidanyl-2-thiophen-3-yl-1,3-dihydropyridin-6-one", 16422 },
	{ "GN1", "", "", ResidueType::SACCHARIDE, false, "2-(ACETYLAMINO)-2-DEOXY-1-O-PHOSPHONO-ALPHA-D-GLUCOPYRANOSE", 16423 },
	{ "GN2", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-5-(2-chlorophenyl)sulfanyl-2-(4-morpholin-4-ylphenyl)-4-oxidanyl-2-thiophen-3-yl-1,3-dihydropyridin-6-one", 16424 },
	{ "GN5", "", "", ResidueType::NON_POLYMER, false, "2-(4-TERT-BUTYLPHENYL)-1H,2H,3H,4H-PYRIDO(2,3-D)PYRIMIDIN-4-ONE", 16425 },
	{ "GN7", "", "", ResidueType::DNA_LINKING, false, "N7-2'-DEOXY-GUANOSINE-5'-MONOPHOSPHATE", 16426 },
	{ "GN8", "", "", ResidueType::NON_POLYMER, false, "(Z)-3-BENZYL-5-(2-HYDROXY-3-NITROBENZYLIDENE)-2-THIOXOTHIAZOLIDIN-4-ONE", 16427 },
	{ "GNA", "", "", ResidueType::NON_POLYMER, false, "2,4-DEOXY-4-GUANIDINO-5-N-ACETYL-NEURAMINIC ACID", 16428 },
	{ "GNB", "", "", ResidueType::NON_POLYMER, false, "S-P-NITROBENZYLOXYCARBONYLGLUTATHIONE", 16429 },
	{ "GNC", "", "", ResidueType::PEPTIDE_LINKING, false, "N~2~-methyl-L-glutamine", 16430 },
	{ "GND", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-5-GUANIDINO-PENTANOIC ACID", 16431 },
	{ "GNE", "", "", ResidueType::DNA_LINKING, false, "1,N2-ETHENOGUANINE", 16432 },
	{ "GNF", "", "", ResidueType::NON_POLYMER, false, "N~2~-1,3-BENZOXAZOL-2-YL-3-CYCLOHEXYL-N-{2-[(4-METHOXYPHENYL)AMINO]ETHYL}-L-ALANINAMIDE", 16433 },
	{ "GNG", "", "", ResidueType::NON_POLYMER, false, "2'-DEOXY-GUANOSINE", 16434 },
	{ "GNH", "", "", ResidueType::NON_POLYMER, false, "AMINOPHOSPHONIC ACID-GUANYLATE ESTER", 16435 },
	{ "GNI", "", "", ResidueType::NON_POLYMER, false, "(3-{4-[2-(2,4-DICHLORO-PHENOXY)-ETHYLCARBAMOYL]-5-PHENYL-ISOXAZOL-3-YL}-PHENYL)-ACETIC ACID", 16436 },
	{ "GNL", "", "", ResidueType::NON_POLYMER, false, "(3aR,5R,6R,7R,7aR)-5-(hydroxymethyl)-2-methyl-5,6,7,7a-tetrahydro-3aH-pyrano[3,2-d][1,3]thiazole-6,7-diol", 16437 },
	{ "GNP", "GTN", "", ResidueType::NON_POLYMER, false, "PHOSPHOAMINOPHOSPHONIC ACID-GUANYLATE ESTER", 16438 },
	{ "GNQ", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-1-[(BENZYLSULFONYL)METHYL]-2-{[(1S)-1-METHYL-2-{[4-(TRIFLUOROMETHOXY)PHENYL]AMINO}ETHYL]AMINO}-2-OXOETHYL]MORPHOLINE-4-CARBOXAMIDE", 16439 },
	{ "GNR", "", "", ResidueType::NON_POLYMER, false, "2-(3,4-DIHYDRO-3-OXO-2H-BENZO[B][1,4]THIAZIN-2-YL)-N-HYDROXYACETAMIDE", 16440 },
	{ "GNS", "", "", ResidueType::NON_POLYMER, false, "N-SULFO-ALPHA-D-GLUCOSAMINE", 16441 },
	{ "GNT", "", "", ResidueType::NON_POLYMER, false, "(-)-GALANTHAMINE", 16442 },
	{ "GNX", "", "", ResidueType::SACCHARIDE, false, "2-deoxy-3-O-sulfo-2-(sulfoamino)-alpha-D-glucopyranose", 16443 },
	{ "GO0", "", "", ResidueType::NON_POLYMER, false, "3-(carboxymethyl)-4,7-dichloro-1H-indole-2-carboxylic acid", 16444 },
	{ "GO1", "", "", ResidueType::NON_POLYMER, false, "3-(carboxymethyl)-5,7-dichloro-1H-indole-2-carboxylic acid", 16445 },
	{ "GOA", "", "", ResidueType::NON_POLYMER, false, "GLYCOLIC ACID", 16446 },
	{ "GOB", "", "", ResidueType::NON_POLYMER, false, "4-({5-[(4-aminophenyl)(phenyl)sulfamoyl]-2,4-dimethoxyphenyl}amino)-4-oxobutanoic acid", 16447 },
	{ "GOH", "", "", ResidueType::NON_POLYMER, false, "5-[2-cyclopropyl-5-(1H-pyrrol-1-yl)-1,3-oxazol-4-yl]-1H-1,2,3,4-tetrazole", 16448 },
	{ "GOI", "", "", ResidueType::NON_POLYMER, false, "2-{4-[3-(5H-dibenzo[b,f]azepin-5-yl)propyl]piperazin-1-yl}ethyl beta-D-glucopyranoside", 16449 },
	{ "GOL", "CRY", "", ResidueType::NON_POLYMER, false, "GLYCEROL", 16450 },
	{ "GOM", "", "", ResidueType::RNA_LINKING, false, "GLUTAMOL-AMP", 16451 },
	{ "GOO", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3R,4S,5R)-4-amino-5-methoxycyclopentane-1,2,3-triol", 16452 },
	{ "GOP", "", "", ResidueType::NON_POLYMER, false, "Glucopine", 16453 },
	{ "GOS", "", "", ResidueType::NON_POLYMER, false, "D-Glucitol-1,6-bisphosphate", 16454 },
	{ "GOX", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,4R,5R)-6-(HYDROXYAMINO)-2-(HYDROXYMETHYL)-2,3,4,5-TETRAHYDROPYRIDINE-3,4,5-TRIOL", 16455 },
	{ "GP0", "", "", ResidueType::NON_POLYMER, false, "5-fluoro-1-[3-C-(hydroxymethyl)-beta-D-glucopyranosyl]pyrimidine-2,4(1H,3H)-dione", 16456 },
	{ "GP1", "", "", ResidueType::SACCHARIDE, false, "GLUCOSAMINE 1-PHOSPHATE", 16457 },
	{ "GP2", "", "", ResidueType::NON_POLYMER, false, "PHOSPHOMETHYLPHOSPHONIC ACID GUANOSYL ESTER", 16458 },
	{ "GP3", "", "", ResidueType::NON_POLYMER, false, "DIGUANOSINE-5'-TRIPHOSPHATE", 16459 },
	{ "GP4", "", "", ResidueType::SACCHARIDE, false, "GLUCOSAMINE 4-PHOSPHATE", 16460 },
	{ "GP5", "", "", ResidueType::NON_POLYMER, false, "DIGUANOSINE-PENTAPHOSPHATE", 16461 },
	{ "GP6", "", "", ResidueType::NON_POLYMER, false, "1-(4-AMIDINOPHENYL)-3-(4-CHLOROPHENYL)UREA", 16462 },
	{ "GP7", "", "", ResidueType::NON_POLYMER, false, "(1R)-2-{[(S)-(2-aminoethoxy)(hydroxy)phosphoryl]oxy}-1-[(pentadecanoyloxy)methyl]ethyl (12E)-hexadeca-9,12-dienoate", 16463 },
	{ "GP8", "", "", ResidueType::NON_POLYMER, false, "1-(2-AMIDINOPHENYL)-3-(PHENOXYPHENYL)UREA", 16464 },
	{ "GP9", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,3-dihydroxypropyl phosphate", 16465 },
	{ "GPA", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-3-GUANIDINO-PROPIONIC ACID", 16466 },
	{ "GPB", "", "", ResidueType::NON_POLYMER, false, "N-[4-[2-(2-AMINO-4-METHYL-7H-PYRROLO[2,3-D]PYRIMIDIN-5-YL)-ETHYL]-BENZOYL]GLUTAMIC ACID", 16467 },
	{ "GPC", "", "", ResidueType::NON_POLYMER, false, "2'-FLUOROGUANYLYL-(3'-5')-PHOSPHOCYTIDINE", 16468 },
	{ "GPD", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,5S,6R)-5-amino-3-hydroxy-6-methyl-oxan-2-yl", 16469 },
	{ "GPE", "", "", ResidueType::NON_POLYMER, false, "L-ALPHA-GLYCEROPHOSPHORYLETHANOLAMINE", 16470 },
	{ "GPF", "", "", ResidueType::NON_POLYMER, false, "N-(phosphonomethyl)glycine", 16471 },
	{ "GPG", "", "", ResidueType::NON_POLYMER, false, "GUANYLYL-2',5'-PHOSPHOGUANOSINE", 16472 },
	{ "GPH", "", "", ResidueType::SACCHARIDE, false, "4-O-phosphono-D-glycero-beta-D-manno-heptopyranose", 16473 },
	{ "GPI", "", "", ResidueType::NON_POLYMER, false, "(2S)-[3-PYRIDYL-1-PROPYL]-1-[3,3-DIMETHYL-1,2-DIOXOPENTYL]-2-PYRROLIDINECARBOXYLATE", 16474 },
	{ "GPJ", "", "", ResidueType::NON_POLYMER, false, "GLYPHOSATE", 16475 },
	{ "GPK", "", "", ResidueType::NON_POLYMER, false, "5-fluoro-1-(beta-D-glucopyranosyl)pyrimidine-2,4(1H,3H)-dione", 16476 },
	{ "GPL", "", "", ResidueType::PEPTIDE_LINKING, false, "", 16477 },
	{ "GPM", "", "", ResidueType::SACCHARIDE, false, "GLUCOPYRANOSYL-1-METHYL-PHOSPHONIC ACID", 16478 },
	{ "GPN", "", "", ResidueType::PEPTIDE_LIKE, false, "2-AMINOETHYLGLYCINE-CARBONYLMETHYLENE-GUANINE", 16479 },
	{ "GPO", "", "", ResidueType::NON_POLYMER, false, "4-O-phosphono-D-glycero-beta-D-manno-heptopyranose", 16480 },
	{ "GPP", "", "", ResidueType::NON_POLYMER, false, "GERANYL DIPHOSPHATE", 16481 },
	{ "GPQ", "", "", ResidueType::NON_POLYMER, false, "5-chloro-1-(beta-D-glucopyranosyl)pyrimidine-2,4(1H,3H)-dione", 16482 },
	{ "GPR", "CYP", "", ResidueType::NON_POLYMER, false, "(9R,10R)-9-(S-GLUTATHIONYL)-10-HYDROXY-9,10-DIHYDROPHENANTHRENE", 16483 },
	{ "GPS", "", "", ResidueType::NON_POLYMER, false, "L-gamma-glutamyl-S-[(9S,10S)-10-hydroxy-9,10-dihydrophenanthren-9-yl]-L-cysteinylglycine", 16484 },
	{ "GPT", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,4R)-2-[(S)-(1S)-cyclohex-2-en-1-yl(hydroxy)methyl]-4-(2-fluoroethyl)-3-hydroxy-3-methyl-5-oxopyrrolidine-2-carbaldehyde", 16485 },
	{ "GPU", "", "", ResidueType::NON_POLYMER, false, "5-bromo-1-(beta-D-glucopyranosyl)pyrimidine-2,4(1H,3H)-dione", 16486 },
	{ "GPV", "", "", ResidueType::NON_POLYMER, false, "1-(beta-D-glucopyranosyl)-5-iodopyrimidine-2,4(1H,3H)-dione", 16487 },
	{ "GPW", "", "", ResidueType::NON_POLYMER, false, "1-(beta-D-glucopyranosyl)-5-(trifluoromethyl)pyrimidine-2,4(1H,3H)-dione", 16488 },
	{ "GPX", "", "", ResidueType::NON_POLYMER, false, "", 16489 },
	{ "GQ1", "", "", ResidueType::SACCHARIDE, false, "4-O-sulfo-alpha-D-glucopyranose", 16490 },
	{ "GQ2", "", "", ResidueType::SACCHARIDE, false, "6-O-alpha-D-glucopyranosyl-4-O-sulfo-alpha-D-glucopyranose ", 16491 },
	{ "GQ4", "", "", ResidueType::SACCHARIDE, false, "alpha-D-glucopyranosyl-(1->6)-alpha-D-glucopyranosyl-(1->6)-alpha-D-glucopyranosyl-(1->6)-4-O-sulfo-alpha-D-glucopyranose", 16492 },
	{ "GQD", "", "", ResidueType::NON_POLYMER, false, "(E)-3-[4-[(1R,3R)-6-hydroxy-2-isobutyl-3-methyl-3,4-dihydro-1H-isoquinolin-1-yl]phenyl]prop-2-enoic acid", 16493 },
	{ "GQG", "", "", ResidueType::NON_POLYMER, false, "N,N-dimethyl-1-[(4-phenylphenyl)methyl]pyridin-1-ium-4-amine", 16494 },
	{ "GQL", "", "", ResidueType::NON_POLYMER, false, "(E)-[4-(3,5-difluorophenyl)-3H-pyrrolo[2,3-b]pyridin-3-ylidene](3-methoxyphenyl)methanol", 16495 },
	{ "GR0", "", "", ResidueType::NON_POLYMER, false, "GERANYLGERANYL MONOPHOSPHATE", 16496 },
	{ "GR1", "", "", ResidueType::NON_POLYMER, false, "6-CARBAMIMIDOYL-2-[5-(3-DIETHYLCARBAMOYL-PHENYL)-2-HYDROXY-INDAN-1-YL]-HEXANOIC ACID", 16497 },
	{ "GR2", "", "", ResidueType::NON_POLYMER, false, "(3E,3aR,8bS)-3-({[(2R)-4-methyl-5-oxo-2,5-dihydrofuran-2-yl]oxy}methylidene)-3,3a,4,8b-tetrahydro-2H-indeno[1,2-b]furan-2-one", 16498 },
	{ "GR3", "", "", ResidueType::NON_POLYMER, false, "3-ACETOXY-17-(1-FORMYL-5-METHYL-3-OXO-HEX-4-ENYL)-16-HYDROXY-4,10,13,14-TETRAMETHYL-2,3,4,5,6,9,10,11,12,13,14,15,16,17-TETRADECAHYDRO-1H-CYCLOPENTA[A]PHENANTHRENE-4-CARBOXYLIC ACID", 16499 },
	{ "GR4", "", "", ResidueType::NON_POLYMER, false, "", 16500 },
	{ "GR5", "", "", ResidueType::NON_POLYMER, false, "", 16501 },
	{ "GR6", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-yl {(1S,2R)-1-benzyl-2-hydroxy-3-[(7E)-13-methoxy-1,1-dioxido-3,4,5,6,9,10-hexahydro-2H-11,1,2-benzoxathiazacyclotridecin-2-yl]propyl}carbamate", 16502 },
	{ "GR7", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-yl {(2S,3R)-3-hydroxy-4-[(7E)-13-methoxy-1,1-dioxo-1,4,5,6,9,11-hexahydro-10,1lambda~6~,2-benzoxathiazacyclotridecin-2(3H)-yl]-1-phenylbutan-2-yl}carbamate", 16503 },
	{ "GR8", "", "", ResidueType::NON_POLYMER, false, "", 16504 },
	{ "GR9", "", "", ResidueType::NON_POLYMER, false, "3-AMINO-6-{4-[(4-METHYLPIPERAZIN-1-YL)SULFONYL]PHENYL}-N-PYRIDIN-3-YLPYRAZINE-2-CARBOXAMIDE", 16505 },
	{ "GRA", "", "", ResidueType::NON_POLYMER, false, "glutaryl-coenzyme A", 16506 },
	{ "GRB", "", "", ResidueType::RNA_LINKING, false, "", 16507 },
	{ "GRC", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-{[(R)-[(R)-chloro(phosphono)methyl](hydroxy)phosphoryl]oxy}(hydroxy)phosphoryl]-2'-deoxyguanosine", 16508 },
	{ "GRD", "", "", ResidueType::NON_POLYMER, false, "benzyl (S)-1-((2S,3S)-1-(3-(6-amino-9H-purin-9-yl)propylamino)-2-hydroxy-1-oxopentan-3-ylamino)-4-methyl-1-oxopentan-2-ylcarbamate", 16509 },
	{ "GRE", "", "", ResidueType::NON_POLYMER, false, "2,6-DIHYDROXYBENZOIC ACID", 16510 },
	{ "GRF", "", "", ResidueType::NON_POLYMER, false, "5-O-PHOSPHONO-BETA-D-RIBOFURANOSYLAMINE", 16511 },
	{ "GRG", "", "", ResidueType::NON_POLYMER, false, "GERANYLGERANYL DIPHOSPHATE", 16512 },
	{ "GRI", "", "", ResidueType::NON_POLYMER, false, "6-formyl-9-methoxyphenazine-1-carboxylic acid", 16513 },
	{ "GRL", "UIC", "", ResidueType::NON_POLYMER, false, "(3AS,5R,6AR)-HEXAHYDRO-2H-CYCLOPENTA[B]FURAN-5-YL (2S,3S)-3-HYDROXY-4-(4-(HYDROXYMETHYL)-N-ISOBUTYLPHENYLSULFONAMIDO)-1-PHENYLBUTAN-2-YLCARBAMATE", 16514 },
	{ "GRM", "", "", ResidueType::NON_POLYMER, false, "N-(1,3-benzodioxol-5-ylmethyl)-1-[(1R)-1-naphthalen-1-ylethyl]piperidine-4-carboxamide", 16515 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-L-alanine", 16516 },
	{ "GRO", "", "", ResidueType::NON_POLYMER, false, "R-2-PHENYL-PROPRIONIC ACID", 16517 },
	{ "GRP", "", "", ResidueType::NON_POLYMER, true, "", 16518 },
	{ "GRR", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(4-ethylphenoxy)-3-phenylpropanoic acid", 16519 },
	{ "GRX", "", "", ResidueType::NON_POLYMER, false, "(S)-1-beta-phosphonofluoromethylene-1-deoxy-D-glucopyranose", 16520 },
	{ "GS", "", "", ResidueType::DNA_LINKING, false, "GUANOSINE-5'-THIO-MONOPHOSPHATE", 16521 },
	{ "GS1", "", "", ResidueType::SACCHARIDE, false, "1-THIO-BETA-D-GLUCOPYRANOSE", 16522 },
	{ "GS2", "", "", ResidueType::NON_POLYMER, false, "2-[(2-{[1-(N,N-dimethylglycyl)-5-methoxy-1H-indol-6-yl]amino}-7H-pyrrolo[2,3-d]pyrimidin-4-yl)amino]-6-fluoro-N-methylbenzamide", 16523 },
	{ "GS3", "", "", ResidueType::NON_POLYMER, false, "2-fluoro-6-{[2-({2-methoxy-4-[4-(1-methylethyl)piperazin-1-yl]phenyl}amino)-7H-pyrrolo[2,3-d]pyrimidin-4-yl]amino}benzamide", 16524 },
	{ "GS4", "", "SGC", ResidueType::SACCHARIDE, true, "4-THIO-BETA-D-GLUCOPYRANOSE", 16525 },
	{ "GS5", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-N-{(3S)-1-[(1S)-1-METHYL-2-MORPHOLIN-4-YL-2-OXOETHYL]-2-OXOPYRROLIDIN-3-YL}-1-BENZOTHIOPHENE-2-SULFONAMIDE", 16526 },
	{ "GS6", "", "", ResidueType::NON_POLYMER, false, "6-CHLORO-N-{(3S)-1-[(1S)-1-METHYL-2-MORPHOLIN-4-YL-2-OXOETHYL]-2-OXOPYRROLIDIN-3-YL}-1-BENZOTHIOPHENE-2-SULFONAMIDE", 16527 },
	{ "GS7", "", "", ResidueType::NON_POLYMER, false, "2-fluoro-6-{[2-({2-methoxy-4-[(methylsulfonyl)methyl]phenyl}amino)-7H-pyrrolo[2,3-d]pyrimidin-4-yl]amino}benzamide", 16528 },
	{ "GS8", "", "", ResidueType::NON_POLYMER, false, "S-Hydroxy-Glutathione", 16529 },
	{ "GS9", "", "", ResidueType::NON_POLYMER, false, "NAPHTHALEN-2-YL 1-THIO-BETA-D-GALACTOPYRANOSIDE", 16530 },
	{ "GSA", "", "G4S", ResidueType::SACCHARIDE, true, "O4-SULFONYLGALACTOSE", 16531 },
	{ "GSB", "", "", ResidueType::NON_POLYMER, false, "S-BENZYL-GLUTATHIONE", 16532 },
	{ "GSC", "", "", ResidueType::PEPTIDE_LINKING, false, "2-ETHYLTHIO GLYCINE", 16533 },
	{ "GSD", "", "SGC", ResidueType::SACCHARIDE, true, "4-THIO-D-GLUCOSE", 16534 },
	{ "GSE", "", "", ResidueType::NON_POLYMER, false, "L-ALPHA-GLYCEROPHOSPHORYLSERINE", 16535 },
	{ "GSF", "", "", ResidueType::NON_POLYMER, false, "L-GAMMA-GLUTAMYL-3-SULFINO-L-ALANYLGLYCINE", 16536 },
	{ "GSG", "", "", ResidueType::NON_POLYMER, false, "1S,3AS,8AS-TRIMETHYL-1-OXIDO-1,2,3,3A,8,8A-HEXAHYDROPYRROLO[2,3-B]INDOL-5-YL 2-ETHYLPHENYLCARBAMATE", 16537 },
	{ "GSH", "GTT", "", ResidueType::NON_POLYMER, false, "GLUTATHIONE", 16538 },
	{ "GSI", "", "", ResidueType::NON_POLYMER, false, "2-(5-chlorothiophen-2-yl)-N-[(3S)-1-(4-{2-[(dimethylamino)methyl]-1H-imidazol-1-yl}-2-fluorophenyl)-2-oxopyrrolidin-3-yl]ethanesulfonamide", 16539 },
	{ "GSJ", "", "", ResidueType::NON_POLYMER, false, "1-PYRROLIDINEACETAMIDE, 3-[[(6-CHLORO-2-NAPHTHALENYL)SULFONYL]AMINO]-ALPHA-METHYL-N-(1-METHYLETHYL)-N-[2-[(METHYLSULFONYL)AMINO]ETHYL]-2-OXO-, (ALPHAS,3S)-", 16540 },
	{ "GSK", "", "", ResidueType::NON_POLYMER, false, "6-CHLORO-N-{(3S)-1-[(1S)-1-METHYL-2-(4-MORPHOLINYL)-2-OXO ETHYL]-2-OXO-3-PYRROLIDINYL}-2-NAPHTHALENESULFONAMIDE", 16541 },
	{ "GSL", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-3-HYDROXY-2-(TETRADECANOYLAMINO)OCTADECYL ALPHA-D-GALACTOPYRANOSIDURONIC ACID", 16542 },
	{ "GSM", "", "", ResidueType::NON_POLYMER, false, "L-GAMMA-GLUTAMYL-S-METHYLCYSTEINYLGLYCINE", 16543 },
	{ "GSN", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-5-[1-(CARBOXYLATOMETHYLCARBAMOYL)-2-NITROSOSULFANYL-ETHYL]AMINO-5-OXO-PENTANOATE", 16544 },
	{ "GSO", "", "", ResidueType::NON_POLYMER, false, "L-GAMMA-GLUTAMYL-S-[(2S)-2-HYDROXY-2-PHENYLETHYL]-L-CYSTEINYLGLYCINE", 16545 },
	{ "GSP", "", "", ResidueType::NON_POLYMER, false, "5'-GUANOSINE-DIPHOSPHATE-MONOTHIOPHOSPHATE", 16546 },
	{ "GSQ", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-N-{(3S)-1-[(1S)-1-METHYL-2-MORPHOLIN-4-YL-2-5-CHLORO-N-{(3S)-1-[(1S)-1-METHYL-2-MORPHOLIN-4-YL-2-SULFONAMIDE", 16547 },
	{ "GSR", "", "", ResidueType::DNA_LINKING, false, "", 16548 },
	{ "GSS", "", "", ResidueType::DNA_LINKING, false, "", 16549 },
	{ "GST", "", "", ResidueType::NON_POLYMER, false, "GERANYL S-THIOLODIPHOSPHATE", 16550 },
	{ "GSU", "", "", ResidueType::PEPTIDE_LINKING, false, "O5'-(L-GLUTAMYL-SULFAMOYL)-ADENOSINE", 16551 },
	{ "GSV", "", "", ResidueType::NON_POLYMER, false, "2-(5-chlorothiophen-2-yl)-N-{(3S)-1-[3-fluoro-2'-(methylsulfonyl)biphenyl-4-yl]-2-oxopyrrolidin-3-yl}ethanesulfonamide", 16552 },
	{ "GSW", "", "", ResidueType::NON_POLYMER, true, "D-GAMMA-GLUTAMYL-L-CYSTEINYLGLYCINE", 16553 },
	{ "GSX", "", "", ResidueType::NON_POLYMER, false, "5'-CHLORO-N-{(3S)-1-[(1S)-1-METHYL-2-MORPHOLIN-4-YL-2-OXOETHYL]-2-OXOPYRROLIDIN-3-YL}-2,2'-BITHIOPHENE-5-SULFONAMIDE", 16554 },
	{ "GSY", "", "", ResidueType::NON_POLYMER, false, "7-(2-HYDROXYETHYL)-8-MERCAPTOGUANINE", 16555 },
	{ "GSZ", "", "", ResidueType::NON_POLYMER, false, "N-[(5R,6R,7R,8S)-6,7-DIHYDROXY-5-(HYDROXYMETHYL)-2-(2-PHENYLETHYL)-1,5,6,7,8,8A-HEXAHYDROIMIDAZO[1,2-A]PYRIDIN-8-YL]-2-METHYLPROPANAMIDE", 16556 },
	{ "GT0", "", "", ResidueType::NON_POLYMER, false, "5-(hydroxymethyl)-4-(methoxymethyl)-2-methylpyridin-3-ol", 16557 },
	{ "GT1", "", "", ResidueType::NON_POLYMER, false, "[5-hydroxy-4-(methoxymethyl)-6-methylpyridin-3-yl]methyl dihydrogen phosphate", 16558 },
	{ "GT6", "", "", ResidueType::NON_POLYMER, false, "(2S,2'S)-N,N'-[(6,6'-difluoro-1H,1'H-2,2'-biindole-3,3'-diyl)bis{methanediyl[(2R,4S)-4-hydroxypyrrolidine-2,1-diyl][(2S)-1-oxobutane-1,2-diyl]}]bis[2-(methylamino)propanamide]", 16559 },
	{ "GT9", "", "", ResidueType::PEPTIDE_LINKING, false, "S-NONYL-CYSTEINE", 16560 },
	{ "GTA", "", "", ResidueType::NON_POLYMER, false, "P1-7-METHYLGUANOSINE-P3-ADENOSINE-5',5'-TRIPHOSPHATE", 16561 },
	{ "GTB", "", "", ResidueType::NON_POLYMER, false, "S-(P-NITROBENZYL)GLUTATHIONE", 16562 },
	{ "GTC", "", "", ResidueType::NON_POLYMER, false, "(1R,2S)-2-(5-thioxo-4,5-dihydro-1H-1,2,4-triazol-3-yl)cyclohexanecarboxylic acid", 16563 },
	{ "GTD", "", "", ResidueType::NON_POLYMER, false, "1-(S-GLUTATHIONYL)-2,4,6-TRINITROCYCLOHEXA-2,5-DIENE", 16564 },
	{ "GTE", "", "", ResidueType::SACCHARIDE, true, "GLUCOSE 4-O4 GROUP", 16565 },
	{ "GTF", "", "", ResidueType::NON_POLYMER, false, "", 16566 },
	{ "GTG", "", "", ResidueType::NON_POLYMER, false, "7-METHYL-GUANOSINE-5'-TRIPHOSPHATE-5'-GUANOSINE", 16567 },
	{ "GTH", "", "", ResidueType::SACCHARIDE, false, "3-O-GLUCOPYRANOSYL-THREONINE-[2-DEOXY-2-ACETAMIDO-GLUCOPYRANOSIDE]", 16568 },
	{ "GTI", "", "", ResidueType::NON_POLYMER, false, "1-(3-phenyl-1,2,4-thiadiazol-5-yl)piperazine", 16569 },
	{ "GTK", "", "", ResidueType::SACCHARIDE, false, "beta-D-galactofuranuronic acid", 16570 },
	{ "GTL", "", "", ResidueType::NON_POLYMER, false, "(2E,3R,4R,5R,6S)-3,4,5-TRIHYDROXY-6-(HYDROXYMETHYL)-2-PIPERIDINONE", 16571 },
	{ "GTM", "", "", ResidueType::NON_POLYMER, false, "O1-METHYL-4-DEOXY-4-THIO-BETA-D-GLUCOSE", 16572 },
	{ "GTN", "", "GNP", ResidueType::NON_POLYMER, true, "PHOSPHOAMINOPHOSPHONIC ACID GUANYLATE ESTER", 16573 },
	{ "GTO", "", "GCP", ResidueType::NON_POLYMER, true, "PHOSPHOMETHYLPHOSPHONIC ACID-GUANYLATE ESTER", 16574 },
	{ "GTP", "", "", ResidueType::NON_POLYMER, false, "GUANOSINE-5'-TRIPHOSPHATE", 16575 },
	{ "GTQ", "", "", ResidueType::NON_POLYMER, false, "2,5-dihydroxybenzoic acid", 16576 },
	{ "GTR", "", "", ResidueType::SACCHARIDE, false, "Beta-D-Galactopyranuronic acid", 16577 },
	{ "GTS", "", "", ResidueType::NON_POLYMER, false, "GLUTATHIONE SULFONIC ACID", 16578 },
	{ "GTT", "", "GSH", ResidueType::NON_POLYMER, true, "GLUTATHIONE", 16579 },
	{ "GTX", "", "", ResidueType::NON_POLYMER, false, "S-HEXYLGLUTATHIONE", 16580 },
	{ "GTY", "", "", ResidueType::NON_POLYMER, false, "L-GAMMA-GLUTAMYL-S-OCTYL-D-CYSTEINYLGLYCINE", 16581 },
	{ "GTZ", "", "", ResidueType::NON_POLYMER, false, "(5R, 6S, 7S, 8S)-5-HYDROXYMETHYL-6,7,8-TRIHYDROXY-TETRAZOLO[1,5-A]PIPERIDINE", 16582 },
	{ "GU0", "", "", ResidueType::SACCHARIDE_LINKING, false, "2,3,6-TRI-O-SULFONATO-ALPHA-L-GALACTOPYRANOSE", 16583 },
	{ "GU1", "", "", ResidueType::SACCHARIDE_LINKING, false, "2,3-DI-O-METHYL-BETA-D-GLUCOPYRANURONIC ACID", 16584 },
	{ "GU2", "", "", ResidueType::SACCHARIDE_LINKING, false, "2,3-DI-O-METHYL-ALPHA-L-IDOPYRANURONIC ACID", 16585 },
	{ "GU3", "", "", ResidueType::SACCHARIDE, false, "methyl 3-O-methyl-2,6-di-O-sulfo-alpha-D-glucopyranoside", 16586 },
	{ "GU4", "", "", ResidueType::SACCHARIDE_LINKING, false, "2,3,4,6-TETRA-O-SULFONATO-ALPHA-D-GLUCOPYRANOSE", 16587 },
	{ "GU5", "", "", ResidueType::SACCHARIDE_LINKING, false, "2,3-DI-O-METHYL-6-O-SULFONATO-ALPHA-D-GLUCOPYRANOSE", 16588 },
	{ "GU6", "", "", ResidueType::SACCHARIDE, false, "2,3,6-TRI-O-SULFONATO-ALPHA-D-GLUCOPYRANOSE", 16589 },
	{ "GU7", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-7-[2-(2-HYDROXY-1-HYDROXYMETHYL-ETHYLAMINO)-ETHYL]-1,7-DIHYDRO-PURIN-6-ONE", 16590 },
	{ "GU8", "", "", ResidueType::SACCHARIDE_LINKING, false, "2,3,6-TRI-O-METHYL-BETA-D-GLUCOPYRANOSE", 16591 },
	{ "GU9", "", "", ResidueType::SACCHARIDE_LINKING, false, "2,3,6-TRI-O-METHYL-ALPHA-D-GLUCOPYRANOSE", 16592 },
	{ "GUA", "", "", ResidueType::NON_POLYMER, false, "GLUTARIC ACID", 16593 },
	{ "GUB", "", "", ResidueType::NON_POLYMER, false, "9-alpha-L-lyxofuranosyl-N-(2-phenylethyl)-9H-purin-6-amine", 16594 },
	{ "GUD", "", "UPG", ResidueType::NON_POLYMER, true, "GLUCOSE-URIDINE-C1,5'-DIPHOSPHATE", 16595 },
	{ "GUF", "", "", ResidueType::SACCHARIDE, false, "2-deoxy-2-fluoro-beta-D-glucopyranuronic acid", 16596 },
	{ "GUI", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-N-[2-METHOXY-4-[4-(4-METHYLPIPERAZIN-1-YL)PIPERIDIN-1-YL]PHENYL]-N'-(2-PROPAN-2-YLSULFONYLPHENYL)PYRIMIDINE-2,4-DIAMINE", 16597 },
	{ "GUL", "", "", ResidueType::NON_POLYMER, false, "5-FLUORO-BETA-L-GULOSYL FLUORIDE", 16598 },
	{ "GUM", "", "", ResidueType::NON_POLYMER, false, "4-METHYL-UMBELLIFERYL-N-ACETYL-CHITOBIOSE", 16599 },
	{ "GUN", "", "", ResidueType::NON_POLYMER, false, "GUANINE", 16600 },
	{ "GUO", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-5-[4-aminocarbonyl-5-[(E)-[[(2R,3R,4S,5R)-3,4-bis(oxidanyl)-5-(phosphonooxymethyl)oxolan-2-yl]amino]methylideneamino]imidazol-1-yl]-3,4-bis(oxidanyl)oxolan-2-yl]methyl dihydrogen phosphate", 16601 },
	{ "GUP", "", "", ResidueType::SACCHARIDE, false, "ALPHA-L-GULOPYRANOSIDE", 16602 },
	{ "GUR", "", "GLL", ResidueType::NON_POLYMER, true, "GLYCOLURIL", 16603 },
	{ "GUS", "", "", ResidueType::NON_POLYMER, false, "(E)-N-[(5-carbamimidamido-2-hydroxyphenyl)methylidene]-L-alanine", 16604 },
	{ "GUX", "", "", ResidueType::NON_POLYMER, false, "(1~{R},2~{S},3~{R},4~{S},5~{S},6~{R})-7-[8-[(azanylidene-{4}-azanylidene)amino]octyl]-3,4,5-tris(oxidanyl)-7-azabicyclo[4.1.0]heptane-2-carboxylic acid", 16605 },
	{ "GUZ", "", "", ResidueType::SACCHARIDE, false, "2-deoxy-2-fluoro-alpha-D-glucopyranuronic acid", 16606 },
	{ "GV0", "", "", ResidueType::NON_POLYMER, false, "golvatinib ", 16607 },
	{ "GV9", "", "", ResidueType::NON_POLYMER, false, "3-(acetylamino)thiophene-2-carboxylic acid", 16608 },
	{ "GVA", "", "", ResidueType::NON_POLYMER, false, "5-{[AMINO(IMINO)METHYL]AMINO}PENTANOIC ACID", 16609 },
	{ "GVB", "", "", ResidueType::NON_POLYMER, false, "(3R,4S)-1-(3,4-DIMETHOXYPHENYL)-3-(3-METHYLPHENYL)PIPERIDIN-4-AMINE", 16610 },
	{ "GVC", "", "", ResidueType::NON_POLYMER, false, "1-(3,5-DICHLOROPHENYL)-5-METHYL-1H-1,2,4-TRIAZOLE-3-CARBOXYLIC ACID", 16611 },
	{ "GVD", "", "", ResidueType::NON_POLYMER, false, "[4-({4-[(5-CYCLOPROPYL-1H-PYRAZOL-3-YL)AMINO]QUINAZOLIN-2-YL}IMINO)CYCLOHEXA-2,5-DIEN-1-YL]ACETONITRILE", 16612 },
	{ "GVE", "", "", ResidueType::PEPTIDE_LIKE, false, "METHYL 4-AMINOBUTANOATE", 16613 },
	{ "GVF", "", "", ResidueType::NON_POLYMER, false, "BENZENE-1,2,3,4-TETRAYL TETRAKIS[DIHYDROGEN (PHOSPHATE)]", 16614 },
	{ "GVG", "", "", ResidueType::NON_POLYMER, false, "3-METHYL-4-PHENYL-1H-PYRAZOLE", 16615 },
	{ "GVH", "", "", ResidueType::NON_POLYMER, false, "1H-PYRROLO[2,3-B]PYRIDINE", 16616 },
	{ "GVI", "", "", ResidueType::NON_POLYMER, false, "N-METHYL-1-[4-(9H-PURIN-6-YL)PHENYL]METHANAMINE", 16617 },
	{ "GVJ", "", "", ResidueType::NON_POLYMER, false, "(S)-1-PHENYL-1-[4-(9H-PURIN-6-YL)PHENYL]METHANAMINE", 16618 },
	{ "GVK", "", "", ResidueType::NON_POLYMER, false, "6-{4-[4-(4-CHLOROPHENYL)PIPERIDIN-4-YL]PHENYL}-9H-PURINE", 16619 },
	{ "GVL", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[(R)-{[(3R)-4-AMINO-3-HYDROXY-2,2-DIMETHYL-4-OXOBUTYL]OXY}(HYDROXY)PHOSPHORYL]-L-SERINE", 16620 },
	{ "GVM", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-HYDROXY-5,5-DIMETHYLHEXANOIC ACID", 16621 },
	{ "GVN", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(4-CHLOROPHENYL)-2-[4-(1H-PYRAZOL-4-YL)PHENYL]ETHANAMINE", 16622 },
	{ "GVO", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(4-CHLOROPHENYL)-2-[4-(1H-PYRAZOL-4-YL)PHENYL]ETHANAMINE", 16623 },
	{ "GVP", "", "", ResidueType::NON_POLYMER, false, "4-(4-CHLOROPHENYL)-4-[4-(1H-PYRAZOL-4-YL)PHENYL]PIPERIDINE", 16624 },
	{ "GVQ", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(4-CHLOROPHENYL)-2-PHENYLETHANAMINE", 16625 },
	{ "GVR", "", "", ResidueType::NON_POLYMER, false, "(2R)-N-hydroxy-3-naphthalen-2-yl-2-[(naphthalen-2-ylsulfonyl)amino]propanamide", 16626 },
	{ "GVS", "", "", ResidueType::NON_POLYMER, false, "ethyl {3-[4-amino-5-{3-[(cyclopropylsulfonyl)amino]prop-1-yn-1-yl}-2-oxopyrimidin-1(2H)-yl]oxetan-3-yl}acetate", 16627 },
	{ "GVT", "", "", ResidueType::NON_POLYMER, false, "3,6,9,12,15,18,21,24,27-nonaoxaheptatriacontan-1-ol", 16628 },
	{ "GVX", "", "", ResidueType::PEPTIDE_LIKE, false, "L-gamma-glutamyl-S-[(2-phenylethyl)carbamothioyl]-L-cysteinylglycine", 16629 },
	{ "GW0", "", "", ResidueType::NON_POLYMER, false, "{4-[({2-[3-fluoro-4-(trifluoromethyl)phenyl]-4-methyl-1,3-thiazol-5-yl}methyl)sulfanyl]-2-methylphenoxy}acetic acid", 16630 },
	{ "GW3", "", "", ResidueType::NON_POLYMER, false, "7-(1-ETHYL-PROPYL)-7H-PYRROLO-[3,2-F]QUINAZOLINE-1,3-DIAMINE", 16631 },
	{ "GW4", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-2-[(2-BENZOYLPHENYL)AMINO]-3-{4-[2-(5-METHYL-2-PHENYL-1,3-OXAZOL-4-YL)ETHOXY]PHENYL}PROPYL]ACETAMIDE", 16632 },
	{ "GW5", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-{4-[(1E)-1,2-DIPHENYLBUT-1-ENYL]PHENYL}ACRYLIC ACID", 16633 },
	{ "GW6", "", "", ResidueType::NON_POLYMER, false, "(6alpha,11alpha,14beta,16alpha,17alpha)-6,9-difluoro-17-{[(fluoromethyl)sulfanyl]carbonyl}-11-hydroxy-16-methyl-3-oxoandrosta-1,4-dien-17-yl furan-2-carboxylate", 16634 },
	{ "GW7", "", "", ResidueType::NON_POLYMER, false, "N-{3-chloro-4-[(3-fluorobenzyl)oxy]phenyl}-6-ethylthieno[3,2-d]pyrimidin-4-amine", 16635 },
	{ "GW8", "", "", ResidueType::NON_POLYMER, false, "1-(4-{methyl[2-({4-[(methylsulfonyl)methyl]phenyl}amino)pyrimidin-4-yl]amino}phenyl)-3-{3-[(4-methylpiperazin-1-yl)carbonyl]phenyl}urea", 16636 },
	{ "GW9", "", "", ResidueType::NON_POLYMER, false, "2-chloro-5-nitro-N-phenylbenzamide", 16637 },
	{ "GWB", "", "", ResidueType::NON_POLYMER, false, "4-[(CYCLOPROPYLETHYNYL)OXY]-6-FLUORO-3-ISOPROPYLQUINOLIN-2(1H)-ONE", 16638 },
	{ "GWD", "", "", ResidueType::NON_POLYMER, false, "(3E)-3-[(3,5-dibromo-4-hydroxyphenyl)methylidene]-5-iodo-1,3-dihydro-2H-indol-2-one", 16639 },
	{ "GWE", "", "", ResidueType::NON_POLYMER, false, "N-{4-[amino(dihydroxy)-lambda~4~-sulfanyl]-2-methylphenyl}-2-(4-chloro-2-{[3-fluoro-5-(trifluoromethyl)phenyl]carbonyl}phenoxy)acetamide", 16640 },
	{ "GWH", "", "", ResidueType::NON_POLYMER, false, "3-{(1R)-1-[2-(1,3-dihydro-2H-1,2,3-triazol-2-yl)-5-fluorophenyl]ethoxy}-5-[3-(methylsulfonyl)phenyl]pyridin-2-amine", 16641 },
	{ "GWI", "", "", ResidueType::NON_POLYMER, false, "N-({4-[({4-chloro-2-[(3-chloro-5-cyanophenyl)carbonyl]phenoxy}acetyl)amino]-3-methylphenyl}sulfonyl)propanamide", 16642 },
	{ "GWJ", "", "", ResidueType::NON_POLYMER, false, "2-{4-chloro-2-[(3-chloro-5-cyanophenyl)carbonyl]phenoxy}-N-(2-methyl-4-sulfamoylphenyl)acetamide", 16643 },
	{ "GWM", "", "", ResidueType::NON_POLYMER, false, "(4-methylphenyl) dihydrogen phosphate", 16644 },
	{ "GWX", "", "", ResidueType::NON_POLYMER, false, "(2S)-6-AMINO-2-[[(1R)-1-(CYCLOHEXYLMETHYL)-2-OXO-2-[[(2S)-1,7,7-TRIMETHYLNORBORNAN-2-YL]AMINO]ETHYL]ARBAMOYLAMINO]HEXANOIC ACID", 16645 },
	{ "GX1", "", "", ResidueType::DNA_LINKING, false, "2'-deoxy-5'-O-{(S)-hydroxy[(2-sulfanylethyl)amino]phosphoryl}guanosine", 16646 },
	{ "GXL", "", "", ResidueType::NON_POLYMER, false, "ALPHA-L-GALACTOPYRANOSE", 16647 },
	{ "GXP", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-hydroxy-2,5-dioxopentanoic acid", 16648 },
	{ "GXS", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-hydroxy-2,5-dioxopentanoic acid", 16649 },
	{ "GXT", "", "", ResidueType::NON_POLYMER, false, "ethanedial", 16650 },
	{ "GXV", "", "", ResidueType::NON_POLYMER, false, "L-glyceraldehyde", 16651 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "alpha-D-xylopyranosyl-(1->3)-alpha-D-xylopyranosyl-(1->3)-beta-D-glucopyranose", 16652 },
	{ "GY3", "", "", ResidueType::NON_POLYMER, false, "8-(2-ethenyl-6-ethyl-4-methylphenyl)tetrahydro-7H-pyrazolo[1,2-d][1,4,5]oxadiazepine-7,9(8H)-dione", 16653 },
	{ "GY4", "", "", ResidueType::NON_POLYMER, false, "2-{(2S)-1-[(4-chlorophenyl)acetyl]pyrrolidin-2-yl}-5-hydroxy-6-oxo-1,6-dihydropyrimidine-4-carboxylic acid", 16654 },
	{ "GY5", "", "", ResidueType::NON_POLYMER, false, "5-hydroxy-N-(2-methoxyethyl)-6-oxo-2-[(2S)-1-(phenoxyacetyl)pyrrolidin-2-yl]-1,6-dihydropyrimidine-4-carboxamide", 16655 },
	{ "GY6", "", "", ResidueType::NON_POLYMER, false, "2-[(2S)-1-(2,6-dichlorobenzene-1-carbonyl)pyrrolidin-2-yl]-5-hydroxy-6-oxo-N-(2-phenylethyl)-1,6-dihydropyrimidine-4-carboxamide", 16656 },
	{ "GY7", "", "", ResidueType::NON_POLYMER, false, "2-[(2S)-1-(2,6-difluorobenzene-1-carbonyl)pyrrolidin-2-yl]-5-hydroxy-6-oxo-N-(2-phenylethyl)-1,6-dihydropyrimidine-4-carboxamide", 16657 },
	{ "GY8", "", "", ResidueType::NON_POLYMER, false, "2-[(2S)-1-(3,5-dichloropyridine-4-carbonyl)pyrrolidin-2-yl]-N-(2,3-dihydro-1H-inden-2-yl)-5-hydroxy-6-oxo-1,6-dihydropyrimidine-4-carboxamide", 16658 },
	{ "GY9", "", "", ResidueType::NON_POLYMER, false, "2-{(2S)-1-[(2-chlorophenoxy)acetyl]pyrrolidin-2-yl}-5-hydroxy-6-oxo-N-(2-phenoxyethyl)-1,6-dihydropyrimidine-4-carboxamide", 16659 },
	{ "GYA", "", "", ResidueType::NON_POLYMER, false, "2-[(2S)-1-{[(2-chlorophenyl)sulfanyl]acetyl}pyrrolidin-2-yl]-N-(5,6-dimethoxy-2,3-dihydro-1H-inden-2-yl)-5-hydroxy-6-oxo-1,6-dihydropyrimidine-4-carboxamide", 16660 },
	{ "GYB", "", "", ResidueType::NON_POLYMER, false, "(8R)-5-(4-amino-3-bromophenyl)-N,8-dimethyl-8,9-dihydro-2H,7H-[1,3]dioxolo[4,5-h][2,3]benzodiazepine-7-carboxamide", 16661 },
	{ "GYC", "", "", ResidueType::PEPTIDE_LINKING, false, "[(4Z)-2-[(1R)-1-AMINO-2-MERCAPTOETHYL]-4-(4-HYDROXYBENZYLIDENE)-5-OXO-4,5-DIHYDRO-1H-IMIDAZOL-1-YL]ACETIC ACID", 16662 },
	{ "GYG", "", "", ResidueType::SACCHARIDE, false, "(1R)-4-(acetylamino)-1,5-anhydro-3-carbamimidamido-2,3,4-trideoxy-1-sulfo-D-glycero-D-galacto-octitol", 16663 },
	{ "GYK", "", "", ResidueType::NON_POLYMER, false, "(8R)-5-(4-aminophenyl)-N,8-dimethyl-8,9-dihydro-2H,7H-[1,3]dioxolo[4,5-h][2,3]benzodiazepine-7-carboxamide", 16664 },
	{ "GYL", "", "", ResidueType::NON_POLYMER, false, "N-[3-(5-{[(2-chloro-6-fluorophenyl)methyl]amino}-1H-1,2,4-triazol-3-yl)phenyl]propanamide", 16665 },
	{ "GYM", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,3-dihydroxypropyl tetradecanoate", 16666 },
	{ "GYN", "", "", ResidueType::NON_POLYMER, false, "GYMNODIMINE A", 16667 },
	{ "GYP", "", "", ResidueType::SACCHARIDE, false, "METHYL-ALPHA-D-GLUCOPYRANOSIDE", 16668 },
	{ "GYR", "", "", ResidueType::NON_POLYMER, false, "{(2R)-1-[4-({3-METHYL-5-[(PHENYLSULFONYL)METHYL]PHENOXY}METHYL)BENZYL]PYRROLIDIN-2-YL}METHANOL", 16669 },
	{ "GYS", "CSY", "", ResidueType::PEPTIDE_LINKING, false, "[(4Z)-2-(1-AMINO-2-HYDROXYETHYL)-4-(4-HYDROXYBENZYLIDENE)-5-OXO-4,5-DIHYDRO-1H-IMIDAZOL-1-YL]ACETIC ACID", 16670 },
	{ "GYT", "", "", ResidueType::NON_POLYMER, false, "BIS-(2-ACETAMIDO-2-DEOXY-ALPHA-D-GLUCOPYRANOSYLOXYCARBONYL)-4,7,10-TRIOXA-1,13-TRIDECANEDIAMINE", 16671 },
	{ "GYU", "", "", ResidueType::NON_POLYMER, false, "2-(ACETYLAMINO)-2-DEOXY-1-O-(PROPYLCARBAMOYL)-ALPHA-D-GLUCOPYRANOSE", 16672 },
	{ "GYV", "", "", ResidueType::SACCHARIDE, false, "2-(ACETYLAMINO)-1-O-CARBAMOYL-2-DEOXY-ALPHA-D-GLUCOPYRANOSE", 16673 },
	{ "GZ2", "", "", ResidueType::NON_POLYMER, false, "3-(1H-tetrazol-5-ylamino)cyclohex-2-en-1-one", 16674 },
	{ "GZ3", "", "", ResidueType::NON_POLYMER, false, "(E)-2-METHYL-3-PHOSPHONOACRYLATE", 16675 },
	{ "GZA", "", "", ResidueType::NON_POLYMER, false, "2-[(1-benzyl-1H-pyrazol-4-yl)oxy]pyrido[3,4-d]pyrimidin-4(3H)-one", 16676 },
	{ "GZB", "", "", ResidueType::PEPTIDE_AMINO_TERMINUS, false, "2-benzamidoethanoic acid", 16677 },
	{ "GZC", "", "", ResidueType::NON_POLYMER, false, "N,N'''-{ethane-1,2-diylbis[nitrilo(E)methylylidene(4-hydroxybenzene-3,1-diyl)]}diguanidine", 16678 },
	{ "GZL", "", "", ResidueType::NON_POLYMER, false, "BETA-D-GALACTOFURANOSE", 16679 },
	{ "GZP", "", "", ResidueType::NON_POLYMER, false, "1-(3-PHENYL-1H-PYRAZOL-5-YL)CYCLOPENTANOL", 16680 },
	{ "GZZ", "", "", ResidueType::NON_POLYMER, false, "N-{8-[(8-{[(E)-AMINO(IMINO)METHYL]AMINO}OCTYL)AMINO]OCTYL}GUANIDINE", 16681 },
	{ "H", "", "", ResidueType::NON_POLYMER, true, "ETNAM H HYDROGEN ATOM", 16682 },
	{ "H00", "", "", ResidueType::NON_POLYMER, false, "4-sulfanylbutanoic acid", 16683 },
	{ "H01", "", "", ResidueType::NON_POLYMER, false, "PROTOPORPHYRIN IX 2,4-DISULFONIC ACID", 16684 },
	{ "H02", "", "", ResidueType::NON_POLYMER, false, "N-METHYL PROTOPORPHYRIN IX 2,4-DISULFONIC ACID", 16685 },
	{ "H05", "", "", ResidueType::NON_POLYMER, false, "5-propyl[1,2,4]triazolo[1,5-c]quinazolin-2-amine", 16686 },
	{ "H06", "", "", ResidueType::NON_POLYMER, false, "(E)-4-((2-nicotinoylhydrazono)methyl)benzimidamide", 16687 },
	{ "H07", "", "", ResidueType::NON_POLYMER, false, "(2S,4aR,6R,7R,7aR)-6-{6-amino-8-[(4-chlorophenyl)sulfanyl]-9H-purin-9-yl}-7-methoxytetrahydro-4H-furo[3,2-d][1,3,2]dioxaphosphinin-2-ol 2-oxide", 16688 },
	{ "H0E", "", "", ResidueType::NON_POLYMER, false, "(10S)-3,3-dimethyl-8-{[(2S)-2-(phenoxymethyl)pyrrolidin-1-yl]sulfonyl}-2,3,4,10-tetrahydropyrimido[1,2-a]indol-10-ol", 16689 },
	{ "H0K", "", "", ResidueType::NON_POLYMER, false, "4'-[7-(hydroxymethyl)-2,4-dihydroindeno[1,2-c]pyrazol-3-yl]biphenyl-4-ol", 16690 },
	{ "H0V", "", "", ResidueType::NON_POLYMER, false, "5-phenethyl-7H-pyrrolo[2,3-d]pyrimidine-2,4-diamine", 16691 },
	{ "H0X", "", "", ResidueType::NON_POLYMER, false, "[(6-oxo-4-phenyl-1,6-dihydropyrimidin-2-yl)sulfanyl]acetonitrile", 16692 },
	{ "H0Y", "", "", ResidueType::NON_POLYMER, false, "6-[(8E)-8-(1,3-benzothiazol-2-ylhydrazinylidene)-6,7-dihydro-5H-naphthalen-2-yl]pyridine-2-carboxylic acid", 16693 },
	{ "H10", "", "", ResidueType::NON_POLYMER, false, "1-hydroxy-1-[(2R)-4-{3-[(3S,5S,7S)-tricyclo[3.3.1.1~3,7~]dec-1-yloxy]phenyl}but-3-yn-2-yl]urea", 16694 },
	{ "H11", "", "", ResidueType::NON_POLYMER, false, "(5S)-2-(cyclooctylamino)-5-methyl-5-propyl-1,3-thiazol-4(5H)-one", 16695 },
	{ "H12", "", "", ResidueType::NON_POLYMER, false, "6-CHLORO-4-(CYCLOHEXYLOXY)-3-PROPYLQUINOLIN-2(1H)-ONE", 16696 },
	{ "H13", "", "", ResidueType::NON_POLYMER, false, "N-[(1R,3R)-3-hydroxy-1-(hydroxymethyl)-3-phenylpropyl]tridecanamide", 16697 },
	{ "H14", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,3R)-BETA-HYDROXY-PHENYLALANINE", 16698 },
	{ "H15", "", "", ResidueType::NON_POLYMER, false, "N-[(1R,3R)-3-hydroxy-1-(hydroxymethyl)-3-phenylpropyl]pentadecanamide", 16699 },
	{ "H16", "", "", ResidueType::NON_POLYMER, false, "6-CHLORO-4-(CYCLOHEXYLSULFANYL)-3-PROPYLQUINOLIN-2(1H)-ONE", 16700 },
	{ "H18", "", "", ResidueType::NON_POLYMER, false, "6-CHLORO-4-(CYCLOHEXYLSULFINYL)-3-PROPYLQUINOLIN-2(1H)-ONE", 16701 },
	{ "H19", "", "", ResidueType::NON_POLYMER, false, "huprine 19", 16702 },
	{ "H1B", "", "", ResidueType::NON_POLYMER, false, "N'-[1,1-bis(oxidanylidene)thian-4-yl]-5-ethyl-4-oxidanylidene-7-[3-(trifluoromethyl)phenyl]thieno[3,2-c]pyridine-2-carboximidamide", 16703 },
	{ "H1D", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-AMINO-4-[(2R,3S)-2,3-DIHYDROXY-3-N-HYDROXYCARBAMOYL-PROPYLMERCAPTO]BUTYRIC ACID", 16704 },
	{ "H1I", "", "", ResidueType::NON_POLYMER, false, "N-(3-(5-(1-(2-(benzo[d]thiazol-2-yl)hydrazono)ethyl)furan-2-yl)phenylsulfonyl)-6-phenylhexanamide", 16705 },
	{ "H1K", "", "", ResidueType::NON_POLYMER, false, "1-(5-chloro-2,4-dimethoxyphenyl)-3-pyrazin-2-ylurea", 16706 },
	{ "H1L", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(4-{[3-chloro-5-(trifluoromethyl)pyridin-2-yl]oxy}phenoxy)propanoic acid", 16707 },
	{ "H1M", "", "", ResidueType::NON_POLYMER, false, "methyl 2-deoxy-2-(2-hydroxyethyl)-alpha-D-mannopyranoside", 16708 },
	{ "H1N", "", "", ResidueType::NON_POLYMER, false, "N-[2-OXO-3-((E)-PHENYL{[4-(PIPERIDIN-1-YLMETHYL)PHENYL]IMINO}METHYL)-2,6-DIHYDRO-1H-INDOL-5-YL]ETHANESULFONAMIDE", 16709 },
	{ "H1S", "", "", ResidueType::NON_POLYMER, false, "HEPARIN DISACCHARIDE I-S", 16710 },
	{ "H20", "", "", ResidueType::NON_POLYMER, false, "6-CHLORO-4-(CYCLOHEXYLOXY)-3-ISOPROPYLQUINOLIN-2(1H)-ONE", 16711 },
	{ "H21", "", "", ResidueType::NON_POLYMER, false, "5-chloro-N-[1-(2-{[2-fluoro-4-(2-oxopyridin-1(2H)-yl)phenyl]amino}-2-oxoethyl)-1H-1,2,4-triazol-3-yl]thiophene-2-carboxamide", 16712 },
	{ "H22", "", "", ResidueType::NON_POLYMER, false, "5-chloro-N-[(3R)-1-(2-{[2-fluoro-4-(2-oxopyridin-1(2H)-yl)phenyl]amino}-2-oxoethyl)pyrrolidin-3-yl]thiophene-2-carboxamide", 16713 },
	{ "H23", "", "", ResidueType::NON_POLYMER, false, "(1-HYDROXYDODECANE-1,1-DIYL)BIS(PHOSPHONIC ACID)", 16714 },
	{ "H24", "", "", ResidueType::NON_POLYMER, false, "(6S)-2-amino-6-(3'-methoxybiphenyl-3-yl)-3,6-dimethyl-5,6-dihydropyrimidin-4(3H)-one", 16715 },
	{ "H25", "", "", ResidueType::NON_POLYMER, false, "5-Chloro-thiophene-2-carboxylic acid ((3S,4S)-1-{[2-fluoro-4-(2-oxo-2H-pyridin-1-yl)-phenylcarbamoyl]-methyl}-4-hydroxy-pyrrolidin-3-yl)-amide", 16716 },
	{ "H26", "", "", ResidueType::NON_POLYMER, false, "{2-[2-(6-oxo-1,6-dihydro-9H-purin-9-yl)ethoxy]ethyl}phosphonic acid", 16717 },
	{ "H27", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[{(E)-2-[({(2R,3R,4R,5S,6R)-3-(acetylamino)-4,5-bis(acetyloxy)-6-[(acetyloxy)methyl]tetrahydro-2H-pyran-2-yl}carbamothioyl)amino]ethenyl}(biphenyl-4-ylsulfonyl)amino]-3-methylbutanoic acid", 16718 },
	{ "H2A", "", "", ResidueType::NON_POLYMER, false, "(6R,7R)-3-[(ACETYLOXY)METHYL]-7-{[(6S)-6-(GLYCYLAMINO)-7-OXIDO-7-OXOHEPTANOYL]AMINO}-8-OXO-5-THIA-1-AZABICYCLO[4.2.0]OCTANE-2-CARBOXYLATE", 16719 },
	{ "H2B", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-6-(1,2-DIHYDROXY-PROPYL)-7,8-DIHYDRO-6H-PTERIDIN-4-ONE", 16720 },
	{ "H2K", "", "", ResidueType::NON_POLYMER, false, "1-{5-chloro-2-[(3R)-pyrrolidin-3-yloxy]phenyl}-3-(5-cyanopyrazin-2-yl)urea", 16721 },
	{ "H2P", "", "", ResidueType::SACCHARIDE, false, "HEPTULOSE-2-PHOSPHATE", 16722 },
	{ "H2S", "", "", ResidueType::NON_POLYMER, false, "HYDROSULFURIC ACID", 16723 },
	{ "H2U", "DHU", "", ResidueType::RNA_LINKING, false, "5,6-DIHYDROURIDINE-5'-MONOPHOSPHATE", 16724 },
	{ "H2V", "", "", ResidueType::NON_POLYMER, false, "S-[2-({N-[(2S)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alanyl}amino)ethyl] aminoethanethioate", 16725 },
	{ "H2W", "", "", ResidueType::NON_POLYMER, false, "3-(4-chlorophenyl)-5-fluoroisoquinolin-1(2H)-one", 16726 },
	{ "H32", "", "", ResidueType::NON_POLYMER, false, "2-(3-fluoranyl-4-oxidanyl-phenyl)-3-oxidanylidene-1~{H}-isoindole-4-carboxylic acid", 16727 },
	{ "H33", "", "", ResidueType::NON_POLYMER, false, "8-CHLORO-1,3-DIMETHYL-3,7-DIHYDRO-1H-PURINE-2,6-DIONE", 16728 },
	{ "H34", "", "", ResidueType::NON_POLYMER, false, "(1-{4-[(7S,11S)-12-AMINO-3-CHLORO-6,7,10,11-TETRAHYDRO-7,11-METHANOCYCLOOCTA[B]QUINOLIN-9-YL]BUTYL}-1H-1,2,3-TRIAZOL-4-YL)METHANOL", 16729 },
	{ "H35", "", "", ResidueType::NON_POLYMER, false, "N-(FURAN-2-YLMETHYL)-7H-PURIN-6-AMINE", 16730 },
	{ "H36", "", "", ResidueType::NON_POLYMER, false, "N,N'-[ethane-1,2-diylbis(oxybenzene-3,1-diyl)]dithiophene-2-carboximidamide", 16731 },
	{ "H37", "", "", ResidueType::PEPTIDE_LIKE, false, "D-phenylalanyl-N-[(3S)-6-carbamimidamido-1-chloro-2-oxohexan-3-yl]-L-phenylalaninamide", 16732 },
	{ "H38", "", "", ResidueType::NON_POLYMER, false, "N,N'-biphenyl-3,3'-diyldithiophene-2-carboximidamide", 16733 },
	{ "H39", "", "", ResidueType::NON_POLYMER, false, "5-[(2S)-4-methyl-2-{[(1H-pyrrol-3-ylacetyl)amino]methyl}pentyl]-1,3-benzodioxole-4-carboxylic acid", 16734 },
	{ "H3K", "", "", ResidueType::NON_POLYMER, false, "1-{5-bromo-2-[(3R)-3-hydroxypiperidin-1-yl]phenyl}-3-(5-cyanopyrazin-2-yl)urea", 16735 },
	{ "H3M", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-hydroxy-3-methylfuran-2(5H)-one", 16736 },
	{ "H3P", "", "", ResidueType::NON_POLYMER, false, "2,2'-methanediylbis(3,4,6-trichlorophenol)", 16737 },
	{ "H3R", "", "", ResidueType::NON_POLYMER, false, "5-METHYL-3-PHENYL-1H-PYRAZOLE", 16738 },
	{ "H3S", "", "", ResidueType::NON_POLYMER, false, "HEPARIN DISACCHARIDE III-S", 16739 },
	{ "H41", "", "", ResidueType::NON_POLYMER, false, "N-[1-(N'-CYANO-N-[3-(DIFLUOROMETHOXY)PHENYL]CARBAMIMIDOYL)-3-(3,4-DICHLOROPHENYL)-4,5-DIHYDRO-1H-PYRAZOL-4-YL]-N-ETHYL-2-HYDROXYACETAMIDE", 16740 },
	{ "H44", "", "", ResidueType::NON_POLYMER, false, "N-(4-{2-[(3-{[(E)-imino(thiophen-2-yl)methyl]amino}benzyl)amino]ethyl}phenyl)thiophene-2-carboximidamide", 16741 },
	{ "H45", "", "", ResidueType::NON_POLYMER, false, "N-(3-{2-[(3-{[(Z)-imino(thiophen-2-yl)methyl]amino}benzyl)amino]ethyl}phenyl)thiophene-2-carboximidamide", 16742 },
	{ "H49", "", "", ResidueType::NON_POLYMER, false, "(S)-N-(3-(((Pyrrolidin-2-ylmethyl)amino)methyl)phenyl)thiophene-2-carboximidamide", 16743 },
	{ "H4B", "BH4", "", ResidueType::NON_POLYMER, false, "5,6,7,8-TETRAHYDROBIOPTERIN", 16744 },
	{ "H4C", "", "", ResidueType::NON_POLYMER, false, "4-(2-chlorophenyl)-2-ethyl-9-methyl-6,8-dihydrothieno[3,2-f][1,2,4]triazolo[4,3-a][1,4]diazepin-10-ium", 16745 },
	{ "H4K", "", "", ResidueType::NON_POLYMER, false, "1-(5-cyanopyrazin-2-yl)-3-isoquinolin-3-ylurea", 16746 },
	{ "H4M", "", "", ResidueType::NON_POLYMER, false, "5,10-DIMETHYLENE TETRAHYDROMETHANOPTERIN", 16747 },
	{ "H4P", "", "", ResidueType::NON_POLYMER, false, "1-DEOXY-6-O-PHOSPHONO-1-[(PHOSPHONOMETHYL)AMINO]-L-THREO-HEXITOL", 16748 },
	{ "H4S", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3S,4R)-3,4-dihydroxy-1-{[(1S,2S,3R,4R,5S)-2,3,4,5-tetrahydroxycyclohexyl]amino}octadecan-2-yl]hexacosanamide", 16749 },
	{ "H4W", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,4R)-4-{[5-(3-fluorophenyl)pentyl]oxy}pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 16750 },
	{ "H4Z", "", "", ResidueType::NON_POLYMER, false, "5-(4-{[1-(2-AMINO-5-FORMYL-7-METHYL-4-OXO-3,4,5,6,7,8-HEXAHYDROPTERIDIN-6-YL)ETHYL]AMINO}PHENYL)-5-DEOXY-1-O-{5-O-[(1,3-DICARBOXYPROPOXY)(HYDROXY)PHOSPHORYL]PENTOFURANOSYL}PENTITOL", 16751 },
	{ "H50", "", "", ResidueType::NON_POLYMER, false, "", 16752 },
	{ "H52", "", "", ResidueType::NON_POLYMER, false, "(S)-2-METHYL-1-[(4-METHYL-5-ISOQUINOLINE)SULFONYL]-HOMOPIPERAZINE", 16753 },
	{ "H53", "", "", ResidueType::NON_POLYMER, false, "2-(2,5-DIHYDROXYPHENYL)-6-(HYDROXYMETHYL)OXANE-3,4,5-TRIOL", 16754 },
	{ "H57", "", "", ResidueType::NON_POLYMER, false, "(3alpha)-[({2-[(2S,3S,4R,5S)-3,4-dihydroxy-5-methylpyrrolidin-2-yl]ethyl}amino)methyl]ferrocene", 16755 },
	{ "H58", "", "", ResidueType::NON_POLYMER, false, "(3alpha)-[3-({2-[(2S,3S,4R,5S)-3,4-dihydroxy-5-methylpyrrolidin-2-yl]ethyl}amino)propyl]ferrocene", 16756 },
	{ "H59", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(5S)-5-(1,1-dimethylpropyl)-1-(4-fluoro-3-methylbenzyl)-4-hydroxy-2-oxo-2,5-dihydro-1H-pyrrol-3-yl]-1,1-dioxido-4H-1,4-benzothiazin-7-yl}methanesulfonamide", 16757 },
	{ "H5K", "", "", ResidueType::NON_POLYMER, false, "6-{[(5-cyanopyrazin-2-yl)carbamoyl]amino}naphthalene-2-carboxylic acid", 16758 },
	{ "H5M", "", "", ResidueType::PEPTIDE_LINKING, false, "TRANS-3-HYDROXY-5-METHYLPROLINE", 16759 },
	{ "H5P", "HNP", "", ResidueType::NON_POLYMER, false, "HYDANTOCIDIN-5'-PHOSPHATE", 16760 },
	{ "H5S", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-tert-butyl-1-(4-fluoro-3-methylbenzyl)-4-hydroxy-3-[8-(methylsulfonyl)-1,1-dioxido-6,7,8,9-tetrahydroisothiazolo[4,5-h]isoquinolin-3-yl]-1,5-dihydro-2H-pyrrol-2-one", 16761 },
	{ "H5U", "", "", ResidueType::NON_POLYMER, false, "N-({3-[(5S)-5-tert-butyl-1-(4-fluorobenzyl)-4-hydroxy-2-oxo-2,5-dihydro-1H-pyrrol-3-yl]-1,1-dioxido-1,2-benzisothiazol-7-yl}methyl)methanesulfonamide", 16762 },
	{ "H5W", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,4R)-4-{[(3E)-4-(3-fluorophenyl)but-3-en-1-yl]oxy}pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 16763 },
	{ "H64", "", "", ResidueType::NON_POLYMER, false, "8-(6-BROMO-BENZO[1,3]DIOXOL-5-YLSULFANYL)-9-(3-ISOPROPYLAMINO-PROPYL)-ADENINE", 16764 },
	{ "H65", "", "", ResidueType::NON_POLYMER, false, "4-methyl-6-(2-(5-(1-methylpiperidin-4-yl)pyridin-3-yl)ethyl)pyridin-2-amine", 16765 },
	{ "H6D", "", "", ResidueType::NON_POLYMER, false, "4-[(R)-methylsulfinyl]-2-oxo-6-[3-(trifluoromethoxy)phenyl]-1,2-dihydropyridine-3-carbonitrile", 16766 },
	{ "H6K", "", "", ResidueType::NON_POLYMER, false, "1-(5-cyanopyrazin-2-yl)-3-(5-phenyl-1H-pyrazol-3-yl)urea", 16767 },
	{ "H6P", "", "", ResidueType::NON_POLYMER, false, "(2E)-4-hydroxy-3-methylbut-2-en-1-yl trihydrogen diphosphate", 16768 },
	{ "H6Y", "", "", ResidueType::NON_POLYMER, false, "8-OXO-ADENOSINE-5'-TRIPHOSPHATE", 16769 },
	{ "H70", "", "", ResidueType::NON_POLYMER, false, "2,4-DICHLORO-6-(3,4,5-TRIBROMO-1H-PYRROL-2-YL)PHENOL", 16770 },
	{ "H71", "", "", ResidueType::NON_POLYMER, false, "8-[(6-IODO-1,3-BENZODIOXOL-5-YL)THIO]-9-[3-(ISOPROPYLAMINO)PROPYL]-9H-PURIN-6-AMINE", 16771 },
	{ "H75", "", "", ResidueType::NON_POLYMER, false, "2-(4-bromophenyl)-5,6,7,8-tetrahydroimidazo[1,5-a]pyridin-3(2H)-one", 16772 },
	{ "H76", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,4R,5S)-2-ethynyl-5-methylpyrrolidine-3,4-diol", 16773 },
	{ "H78", "", "", ResidueType::NON_POLYMER, false, "[1-oxidanyl-2-[3-[3-[[3-[[3-[3-(2-oxidanyl-2,2-diphosphono-ethyl)phenyl]phenyl]sulfamoyl]phenyl]sulfonylamino]phenyl]phenyl]-1-phosphono-ethyl]phosphonic acid", 16774 },
	{ "H79", "", "", ResidueType::NON_POLYMER, false, "[(1,2,3,4,5-eta)-cyclopentadienyl][(1,2,3,4,5-eta)-1-{3-[4-(3,4-dihydroxy-5-methylpyrrolidin-2-yl)-1H-1,2,3-triazol-1-yl]prop-1-en-1-yl}cyclopentadienyl]iron", 16775 },
	{ "H7J", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-1-{1-[(1R,3E)-1-ACETYLPENT-3-EN-1-YL]-1H-1,2,3-TRIAZOL-4-YL}-1,2-DIMETHYLPROPYL]BENZAMIDE", 16776 },
	{ "H7K", "", "", ResidueType::NON_POLYMER, false, "methyl 5-(6-{[(cis-4-hydroxycyclohexyl)amino]methyl}-2,4-dihydroindeno[1,2-c]pyrazol-3-yl)furan-2-carboxylate", 16777 },
	{ "H7Y", "", "", ResidueType::NON_POLYMER, false, "ISOEUGENOL", 16778 },
	{ "H83", "", "", ResidueType::NON_POLYMER, false, "~{N}'-[(3-chloranyl-4-phenyl-phenyl)methyl]butane-1,4-diamine", 16779 },
	{ "H86", "", "", ResidueType::NON_POLYMER, false, "3-(decyloxy)-5-(3,5-difluorophenyl)-1-(2,2-diphosphonoethyl)pyridinium", 16780 },
	{ "H89", "", "", ResidueType::NON_POLYMER, false, "6-[4-(benzyloxy)phenyl]-1-(pyridin-4-ylmethyl)-1H-pyrazolo[3,4-b]pyridine-4-carboxylic acid", 16781 },
	{ "H8H", "", "", ResidueType::NON_POLYMER, false, "N-(5-CHLORO-1,3-BENZODIOXOL-4-YL)-7-[2-(4-METHYLPIPERAZIN-1-YL)ETHOXY]-5-(TETRAHYDRO-2H-PYRAN-4-YLOXY)QUINAZOLIN-4-AMINE", 16782 },
	{ "H8K", "", "", ResidueType::NON_POLYMER, false, "trans-4-({[3-(furan-3-yl)-2,4-dihydroindeno[1,2-c]pyrazol-6-yl]methyl}amino)cyclohexanol", 16783 },
	{ "H8N", "", "", ResidueType::NON_POLYMER, false, "4-hydroxybenzonitrile", 16784 },
	{ "H90", "", "", ResidueType::NON_POLYMER, false, "6-(4-benzoylphenyl)-1-(pyridin-4-ylmethyl)-1H-pyrazolo[3,4-b]pyridine-4-carboxylic acid", 16785 },
	{ "H91", "", "", ResidueType::NON_POLYMER, false, "9-(3,5-dichloro-4-hydroxyphenyl)-1-{trans-4-[(dimethylamino)methyl]cyclohexyl}-3,4-dihydropyrimido[5,4-c]quinolin-2(1H)-one", 16786 },
	{ "H97", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,7E,17beta)-17-[(1R)-6,6,6-trifluoro-5-hydroxy-1-(4-hydroxy-4-methylpentyl)-5-(trifluoromethyl)hex-3-yn-1-yl]-9,10-secoestra-5,7-diene-1,3-diol", 16787 },
	{ "H9K", "", "", ResidueType::NON_POLYMER, false, "3-(4'-hydroxybiphenyl-4-yl)-2,4-dihydroindeno[1,2-c]pyrazol-6-ol", 16788 },
	{ "HA0", "", "", ResidueType::NON_POLYMER, false, "HETEROARYLALANINE 5-PHENYL OXAZOLE", 16789 },
	{ "HA1", "", "", ResidueType::NON_POLYMER, false, "9-(5,5-DIFLUORO-5-PHOSPHONOPENTYL)GUANINE", 16790 },
	{ "HA2", "", "", ResidueType::NON_POLYMER, false, "6-[{(2S)-2-AMINO-3-[4-(BENZYLOXY)PHENYL]PROPYL}(HYDROXY)AMINO]-6-OXOHEXANOIC ACID)", 16791 },
	{ "HA3", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-5-[(3-phenyl-5,6-dihydroimidazo[1,2-a]pyrazin-7(8H)-yl)carbonyl]thiophene-2-carboxamide", 16792 },
	{ "HA5", "", "", ResidueType::NON_POLYMER, false, "(5R)-3-hydroxy-4,5,6,7-tetrahydroisoxazolo[5,4-c]pyridine-5-carboxylic acid", 16793 },
	{ "HA6", "", "", ResidueType::NON_POLYMER, false, "2-(1H-pyrazol-4-yloxy)-3H-pyrido[3,4-d]pyrimidin-4-one", 16794 },
	{ "HA7", "", "", ResidueType::NON_POLYMER, false, "(7S)-3-hydroxy-4,5,6,7-tetrahydroisoxazolo[5,4-c]pyridine-7-carboxylic acid", 16795 },
	{ "HA8", "", "", ResidueType::NON_POLYMER, false, "N6-(buta-2,3-dienyl)adenine", 16796 },
	{ "HAA", "", "DHY", ResidueType::NON_POLYMER, true, "2-(3,4-DIHYDROXYPHENYL)ACETIC ACID", 16797 },
	{ "HAB", "", "", ResidueType::NON_POLYMER, false, "", 16798 },
	{ "HAC", "", "ALC", ResidueType::PEPTIDE_LINKING, true, "BETA-CYCLOHEXYL-ALANINE", 16799 },
	{ "HAD", "", "HDA", ResidueType::NON_POLYMER, true, "(CARBOXYHYDROXYAMINO)ETHANOIC ACID", 16800 },
	{ "HAE", "", "", ResidueType::NON_POLYMER, false, "ACETOHYDROXAMIC ACID", 16801 },
	{ "HAG", "", "", ResidueType::NON_POLYMER, false, "4-S-GLUTATHIONYL-5-PENTYL-TETRAHYDRO-FURAN-2-OL", 16802 },
	{ "HAH", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,3R,6R)-6-[(2-hydroxybenzyl)amino]cyclohex-4-ene-1,2,3-triol", 16803 },
	{ "HAI", "", "", ResidueType::NON_POLYMER, false, "CYCLOHEXYLAMMONIUM ION", 16804 },
	{ "HAJ", "", "", ResidueType::NON_POLYMER, false, "5-(1,3-benzodioxol-5-ylmethyl)-10-fluoro[1,2,4]triazolo[1,5-c]quinazolin-2-amine", 16805 },
	{ "HAL", "", "", ResidueType::NON_POLYMER, false, "N-{[2-({[1-(4-CARBOXYBUTANOYL)AMINO]-2-PHENYLETHYL}-HYDROXYPHOSPHINYL)OXY]ACETYL}-2-PHENYLETHYLAMINE", 16806 },
	{ "HAM", "", "", ResidueType::NON_POLYMER, false, "HISTIDYL-ADENOSINE MONOPHOSPHATE", 16807 },
	{ "HAN", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-5,6-DIMETHYL-BENZIMIDAZOLE-1-PENTANOIC ACID", 16808 },
	{ "HAO", "", "", ResidueType::PEPTIDE_LIKE, false, "{[3-(hydrazinocarbonyl)-4-methoxyphenyl]amino}(oxo)acetic acid", 16809 },
	{ "HAP", "", "PLH", ResidueType::NON_POLYMER, true, "(N-(2-HYDROXAMATEMETHYLENE-4-METHYL-PENTOYL)PHENYLALANYL)METHYL AMINE", 16810 },
	{ "HAQ", "", "", ResidueType::PEPTIDE_LIKE, false, "5-AMINO-4-OXO-1,2,4,5,6,7-HEXAHYDRO-AZEPINO[3,2,1-HI]INDOLE-2-CARBOXYLIC ACID", 16811 },
	{ "HAR", "", "", ResidueType::PEPTIDE_LINKING, false, "N-OMEGA-HYDROXY-L-ARGININE", 16812 },
	{ "HAS", "", "", ResidueType::NON_POLYMER, false, "HEME-AS", 16813 },
	{ "HAU", "", "", ResidueType::NON_POLYMER, false, "1-acetyl-N-(5-methylpyridin-2-yl)piperidine-4-carboxamide", 16814 },
	{ "HAV", "", "", ResidueType::NON_POLYMER, false, "HYDROXYAMINOVALINE", 16815 },
	{ "HAX", "", "", ResidueType::NON_POLYMER, false, "N-HYDROXYAMIDOCARBOXYMETHYLDETHIA COENZYME *A", 16816 },
	{ "HAZ", "", "", ResidueType::NON_POLYMER, false, "4-{4-[2-(1A,7A-DIMETHYL-4-OXY-OCTAHYDRO-1-OXA-4-AZA-CYCLOPROPA[A]NAPHTHALEN-4-YL) -ACETYLAMINO]-PHENYLCARBAMOYL}-BUTYRIC ACID", 16817 },
	{ "HB0", "", "", ResidueType::NON_POLYMER, false, "trans-4-(hydroxymethyl)cyclohexanol", 16818 },
	{ "HB1", "", "", ResidueType::NON_POLYMER, false, "RUTHENIUM-PYRIDOCARBAZOLE-1", 16819 },
	{ "HB2", "", "", ResidueType::NON_POLYMER, false, "1-(4-amino-2-butyl-1H-imidazo[4,5-c]quinolin-1-yl)-2-methylpropan-2-ol", 16820 },
	{ "HB9", "", "", ResidueType::NON_POLYMER, false, "~{N}-[2,4-bis(fluoranyl)-5-[[14-(2-hydroxyethylcarbamoyl)-2-oxidanylidene-6-tricyclo[9.4.0.0^{3,8}]pentadeca-1(15),3(8),4,6,11,13-hexaenyl]amino]phenyl]thiophene-2-carboxamide", 16821 },
	{ "HBA", "", "", ResidueType::NON_POLYMER, false, "P-HYDROXYBENZALDEHYDE", 16822 },
	{ "HBB", "", "", ResidueType::NON_POLYMER, false, "N-{(2R)-2-HYDROXY-2-[(8S,11S)-8-ISOPROPYL-6,9-DIOXO-2-OXA-7,10-DIAZABICYCLO[11.2.2]HEPTADECA-1(15),13,16-TRIEN-11-YL]ETHYL}-N-ISOPENTYLBENZENESULFONAMIDE", 16823 },
	{ "HBC", "", "", ResidueType::NON_POLYMER, false, "(2-AMINO-3-PHENYL-BICYCLO[2.2.1]HEPT-2-YL)-PHENYL-METHANONE", 16824 },
	{ "HBD", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXYBENZAMIDE", 16825 },
	{ "HBF", "", "", ResidueType::NON_POLYMER, false, "ferrocene homobiotin derivative", 16826 },
	{ "HBH", "", "", ResidueType::NON_POLYMER, false, "2-[(8S,11S)-11-{(1R)-1-HYDROXY-2-[ISOPENTYL(PHENYLSULFONYL)AMINO]ETHYL}-6,9-DIOXO-2-OXA-7,10-DIAZABICYCLO[11.2.2]HEPTADECA-1(15),13,16-TRIEN-8-YL]ACETAMIDE", 16827 },
	{ "HBI", "HBL", "", ResidueType::NON_POLYMER, false, "7,8-DIHYDROBIOPTERIN", 16828 },
	{ "HBK", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,4-dihydroxy-7-methoxy-2H-1,4-benzoxazin-3(4H)-one", 16829 },
	{ "HBL", "", "HBI", ResidueType::NON_POLYMER, true, "7,8-DIHYDRO-L-BIOPTERIN", 16830 },
	{ "HBM", "", "", ResidueType::NON_POLYMER, false, "2-(2,4-DICHLORO-PHENYL)-7-HYDROXY-1H-BENZOIMIDAZOLE-4-CARBOXYLIC ACID [2-(4-METHANESULFONYLAMINO-PHENYL)-ETHYL]-AMIDE", 16831 },
	{ "HBN", "", "", ResidueType::PEPTIDE_LINKING, false, "N-(2-NAPHTHYL)HISTIDINAMIDE", 16832 },
	{ "HBO", "", "", ResidueType::NON_POLYMER, false, "2,4-DIHYDROXY-7-(METHYLOXY)-2H-1,4-BENZOXAZIN-3(4H)-ONE", 16833 },
	{ "HBP", "", "", ResidueType::NON_POLYMER, false, "1,7-HEPTYLENE-BIS-N,N'-SYN-2-PYRIDINIUMALDOXIME", 16834 },
	{ "HBQ", "", "", ResidueType::NON_POLYMER, false, "ISOPROPYL (2S)-2-ETHYL-7-FLUORO-3-OXO-3,4-DIHYDROQUINOXALINE-1(2H)-CARBOXYLATE", 16835 },
	{ "HBR", "", "", ResidueType::NON_POLYMER, false, "R,3-HYDROXYBUTAN-2-ONE", 16836 },
	{ "HBS", "", "", ResidueType::NON_POLYMER, false, "S,3-HYDROXYBUTAN-2-ONE", 16837 },
	{ "HBT", "", "", ResidueType::NON_POLYMER, false, "(6S)-6-methyl-2-{[(2-nitrophenyl)carbonyl]amino}-4,5,6,7-tetrahydro-1-benzothiophene-3-carboxamide", 16838 },
	{ "HBU", "", "", ResidueType::NON_POLYMER, false, "4-[HYDROXY-[METHYL-PHOSPHINOYL]]-3-OXO-BUTANOIC ACID", 16839 },
	{ "HBX", "", "", ResidueType::NON_POLYMER, false, "benzaldehyde", 16840 },
	{ "HBY", "", "", ResidueType::NON_POLYMER, false, "(S)-4-ISOPROPOXYCARBONYL-6-METHOXY-3-METHYLTHIOMETHYL-3,4-DIHYDROQUINOXALIN-2(1H)-THIONE", 16841 },
	{ "HBZ", "", "", ResidueType::NON_POLYMER, false, "N-{[(4-hydroxyphenyl)carbonyl]carbamoyl}-beta-D-glucopyranosylamine", 16842 },
	{ "HC0", "", "", ResidueType::NON_POLYMER, false, "2 IRON/2 SULFUR/6 CARBONYL/1 WATER INORGANIC CLUSTER", 16843 },
	{ "HC1", "", "", ResidueType::NON_POLYMER, false, "2 IRON/2 SULFUR/5 CARBONYL/2 WATER INORGANIC CLUSTER", 16844 },
	{ "HC2", "", "", ResidueType::NON_POLYMER, false, "20-HYDROXYCHOLESTEROL", 16845 },
	{ "HC3", "", "", ResidueType::NON_POLYMER, false, "25-HYDROXYCHOLESTEROL", 16846 },
	{ "HC4", "", "", ResidueType::NON_POLYMER, false, "", 16847 },
	{ "HC5", "", "", ResidueType::NON_POLYMER, false, "(R)-3-CARBOXY-2-(HEXANOYLOXY)-N,N,N-TRIMETHYLPROPAN-1-AMINIUM", 16848 },
	{ "HC6", "", "", ResidueType::NON_POLYMER, false, "(2S,2'S)-2,2'-biphenyl-4,4'-diylbis(2-hydroxy-4,4-dimethylmorpholin-4-ium)", 16849 },
	{ "HC7", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[4'-({dimethyl[2-(phosphonooxy)ethyl]ammonio}acetyl)biphenyl-4-yl]-2-hydroxy-4,4-dimethylmorpholin-4-ium", 16850 },
	{ "HC8", "", "", ResidueType::NON_POLYMER, false, "1-(3-acetyl-4,5-dihydroxy-7-methoxynaphthalen-2-yl)propan-2-one", 16851 },
	{ "HC9", "", "", ResidueType::NON_POLYMER, false, "(3alpha,8alpha,22R)-cholest-5-ene-3,22-diol", 16852 },
	{ "HCA", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXY-3-CARBOXY-ADIPIC ACID", 16853 },
	{ "HCB", "", "", ResidueType::NON_POLYMER, false, "5-HYDROXYBENZIMIDAZOLYLCOBAMIDE", 16854 },
	{ "HCC", "", "", ResidueType::NON_POLYMER, false, "2',4,4'-TRIHYDROXYCHALCONE", 16855 },
	{ "HCD", "", "", ResidueType::NON_POLYMER, false, "(3alpha,8alpha)-cholest-5-ene-3,20-diol", 16856 },
	{ "HCE", "", "", ResidueType::NON_POLYMER, false, "{(3R,4S)-1-[(4-amino-5H-pyrrolo[3,2-d]pyrimidin-7-yl)methyl]-4-hydroxypyrrolidin-3-yl}-L-methionine", 16857 },
	{ "HCG", "", "", ResidueType::NON_POLYMER, false, "DELTA-(L-ALPHA-AMINOADIPOYL)-L-CYSTEINYL-GLYCINE", 16858 },
	{ "HCI", "", "", ResidueType::NON_POLYMER, false, "HYDROCINNAMIC ACID", 16859 },
	{ "HCK", "", "", ResidueType::NON_POLYMER, false, "4-[2-[(4-methoxyphenyl)carbonylamino]-1,3-thiazol-5-yl]benzoic acid", 16860 },
	{ "HCL", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-azanyl-2-[2-chloranyl-3,5-bis(oxidanyl)phenyl]ethanoic acid", 16861 },
	{ "HCM", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-4-(methyldisulfanyl)butanoic acid", 16862 },
	{ "HCN", "", "", ResidueType::NON_POLYMER, false, "2 IRON/2 SULFUR/3 CARBONYL/2 CYANIDE/WATER/METHYLETHER CLUSTER", 16863 },
	{ "HCO", "", "", ResidueType::NON_POLYMER, false, "2-ACETYL-PROTOPORPHYRIN IX", 16864 },
	{ "HCP", "", "", ResidueType::NON_POLYMER, false, "1-[((1E)-{3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}METHYLENE)AMINO]CYCLOPENTYLPHOSPHONIC ACID", 16865 },
	{ "HCR", "", "", ResidueType::NON_POLYMER, false, "7-HYDROXYCHOLESTEROL", 16866 },
	{ "HCS", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-4-MERCAPTO-BUTYRIC ACID", 16867 },
	{ "HCT", "", "", ResidueType::NON_POLYMER, false, "(2R)-butane-1,2,4-tricarboxylic acid", 16868 },
	{ "HCV", "", "", ResidueType::NON_POLYMER, false, "N-[(5S)-5-amino-5-carboxypentanoyl]-L-homocysteyl-D-valine", 16869 },
	{ "HCW", "", "", ResidueType::NON_POLYMER, false, "1,3-BIS{4-[(1E)-N-(4,5-DIHYDRO-1H-IMIDAZOL-2-YL)ETHANEHYDRAZONOYL]PHENYL}UREA", 16870 },
	{ "HCX", "", "", ResidueType::NON_POLYMER, false, "(SOUTH) BICYCLO[3.1.0]HEXANE", 16871 },
	{ "HCY", "", "", ResidueType::NON_POLYMER, false, "(11alpha,14beta)-11,17,21-trihydroxypregn-4-ene-3,20-dione", 16872 },
	{ "HCZ", "", "", ResidueType::NON_POLYMER, false, "6-chloro-3,4-dihydro-2H-1,2,4-benzothiadiazine-7-sulfonamide 1,1-dioxide", 16873 },
	{ "HD1", "", "", ResidueType::NON_POLYMER, false, "6-(4-methylpiperazin-1-yl)-N-[(1R,3S)-5-oxidanyl-2-adamantyl]-2-propylsulfanyl-pyridine-3-carboxamide", 16874 },
	{ "HD2", "", "", ResidueType::NON_POLYMER, false, "4-cyclopentyl-N-[(1S,3R)-5-oxidanyl-2-adamantyl]-2-[[(3S)-oxolan-3-yl]amino]pyrimidine-5-carboxamide", 16875 },
	{ "HD6", "", "", ResidueType::NON_POLYMER, false, "", 16876 },
	{ "HDA", "HAD", "", ResidueType::NON_POLYMER, false, "HADACIDIN", 16877 },
	{ "HDB", "", "", ResidueType::NON_POLYMER, false, "(R)-1-(4-(4-(HYDROXYMETHYL)-1,3,2-DIOXABOROLAN-2-YL)BENZYL)GUANIDINE", 16878 },
	{ "HDC", "", "", ResidueType::NON_POLYMER, false, "3R-HYDROXYDECANOYL-COENZYME A", 16879 },
	{ "HDD", "", "", ResidueType::NON_POLYMER, false, "CIS-HEME D HYDROXYCHLORIN GAMMA-SPIROLACTONE", 16880 },
	{ "HDE", "", "", ResidueType::NON_POLYMER, false, "CIS-HEME D HYDROXYCHLORIN GAMMA-SPIROLACTONE 17R, 18S", 16881 },
	{ "HDF", "", "", ResidueType::NON_POLYMER, false, "8-HYDROXY-10-(D-RIBO-2,3,4,5-TETRAHYDROXYPENTYL)-5-DEAZAISOALLOXAZINE", 16882 },
	{ "HDH", "", "", ResidueType::NON_POLYMER, false, "4-oxidanylbenzohydrazide", 16883 },
	{ "HDI", "", "", ResidueType::NON_POLYMER, false, "3-(4-HYDROXYPHENYL)-4,5-DIHYDRO-5-ISOXAZOLE-ACETIC ACID METHYL ESTER", 16884 },
	{ "HDL", "", "", ResidueType::SACCHARIDE, false, "D-arabinohydroxamic acid", 16885 },
	{ "HDM", "", "", ResidueType::NON_POLYMER, false, "DIMETHYL PROPIONATE ESTER HEME", 16886 },
	{ "HDN", "", "", ResidueType::NON_POLYMER, false, "METHYLHYDRAZINE", 16887 },
	{ "HDP", "", "XTR", ResidueType::DNA_LINKING, true, "[(1S,6S)-6-HYDROXY-4-(5-METHYL-2,4-DIOXO-3,4-DIHYDROPYRIMIDIN-1(2H)-YL)CYCLOHEX-2-EN-1-YL]METHYL DIHYDROGEN PHOSPHATE", 16888 },
	{ "HDS", "", "", ResidueType::NON_POLYMER, false, "1-HEXADECANOSULFONIC ACID", 16889 },
	{ "HDT", "", "", ResidueType::NON_POLYMER, false, "4-[(4-IMIDAZO[1,2-A]PYRIDIN-3-YLPYRIMIDIN-2-YL)AMINO]BENZENESULFONAMIDE", 16890 },
	{ "HDU", "", "", ResidueType::NON_POLYMER, false, "N-[4-(2-METHYLIMIDAZO[1,2-A]PYRIDIN-3-YL)-2-PYRIMIDINYL]ACETAMIDE", 16891 },
	{ "HDX", "", "", ResidueType::NON_POLYMER, false, "({3-hydroxy-2-oxo-4-[2-(phosphonooxy)ethyl]pyridin-1(2H)-yl}methyl)phosphonic acid", 16892 },
	{ "HDY", "", "", ResidueType::NON_POLYMER, false, "1-(DIMETHYLAMINO)-3-(4-{{4-(2-METHYLIMIDAZO[1,2-A]PYRIDIN-3-YL)PYRIMIDIN-2-YL]AMINO}PHENOXY)PROPAN-2-OL", 16893 },
	{ "HDZ", "TFH", "", ResidueType::NON_POLYMER, false, "NITROGEN MOLECULE", 16894 },
	{ "HE0", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-2-[(1R)-1-{[(6S)-6-carboxy-6-(glycylamino)hexanoyl]amino}-2-oxoethyl]-5,5-dimethyl-1,3-thiazolidine-4-carboxylic acid", 16895 },
	{ "HE1", "", "", ResidueType::NON_POLYMER, false, "4-(2-HYDROXYPHENYLTHIO)-1-BUTENYLPHOSPHONIC ACID", 16896 },
	{ "HE2", "", "", ResidueType::NON_POLYMER, false, "HEXAN-1-OL", 16897 },
	{ "HE3", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXYETHYL DIHYDROTHIACHROME DIPHOSPHATE", 16898 },
	{ "HE4", "", "", ResidueType::NON_POLYMER, false, "HEPTAN-1-OL", 16899 },
	{ "HE5", "", "", ResidueType::NON_POLYMER, false, "ZINC(II)-DEUTEROPORPHYRIN DIMETHYLESTER", 16900 },
	{ "HE6", "", "", ResidueType::NON_POLYMER, false, "6,7-DICARBOXYL-1,2,3,4,5,8-HEXAMETHYLHEMIN", 16901 },
	{ "HE7", "", "", ResidueType::NON_POLYMER, false, "4-{[(14beta,17alpha)-3-hydroxyestra-1,3,5(10)-trien-17-yl]oxy}-4-oxobutanoic acid", 16902 },
	{ "HEA", "", "", ResidueType::NON_POLYMER, false, "HEME-A", 16903 },
	{ "HEB", "", "", ResidueType::NON_POLYMER, false, "HEME B/C", 16904 },
	{ "HEC", "", "", ResidueType::NON_POLYMER, false, "HEME C", 16905 },
	{ "HED", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXYETHYL DISULFIDE", 16906 },
	{ "HEE", "", "", ResidueType::NON_POLYMER, false, "N-HEXYLPHOSPHONATE ETHYL ESTER", 16907 },
	{ "HEF", "", "", ResidueType::NON_POLYMER, false, "1-(2-HYDROXYETHYLOXYMETHYL)-6-PHENYL THIOTHYMINE", 16908 },
	{ "HEG", "", "", ResidueType::NON_POLYMER, false, "PROTOPORPHYRIN IX CONTAINING MG", 16909 },
	{ "HEH", "", "", ResidueType::NON_POLYMER, false, "HEDAMYCIN", 16910 },
	{ "HEL", "", "", ResidueType::NON_POLYMER, false, "(2S,5R,6R)-6-{[(6R)-6-(GLYCYLAMINO)-7-OXIDO-7-OXOHEPTANOYL]AMINO}-3,3-DIMETHYL-7-OXO-4-THIA-1-AZABICYCLO[3.2.0]HEPTANE-2-CARBOXYLATE", 16911 },
	{ "HEM", "MHM", "", ResidueType::NON_POLYMER, false, "PROTOPORPHYRIN IX CONTAINING FE", 16912 },
	{ "HEN", "", "", ResidueType::NON_POLYMER, false, "2-[(3-HYDROXY-2-METHYL-5-PHOSPHONOOXYMETHYL-PYRIDIN-4-YLMETHYL)-IMINO]-5-PHOSPHONO-PENT-3-ENOIC ACID", 16913 },
	{ "HEO", "", "", ResidueType::NON_POLYMER, false, "HEME O", 16914 },
	{ "HEP", "", "", ResidueType::NON_POLYMER, false, "PHENYL[1-(N-SUCCINYLAMINO)PENTYL]PHOSPHONATE", 16915 },
	{ "HEQ", "", "EQ3", ResidueType::NON_POLYMER, true, "3-[18-(4-HYDROXY-2,6,6-TRIMETHYL-CYCLOHEX-1-ENYL)-3,7,12,16-TETRAMETHYL-OCTADECA-1,3,5,7,9,11,13,15, 17-NONAENYL]-2,4,4-TRIMETHYL-CYCLOHEX-2-ENONE", 16916 },
	{ "HES", "", "", ResidueType::NON_POLYMER, false, "ZINC SUBSTITUTED HEME C", 16917 },
	{ "HET", "", "", ResidueType::NON_POLYMER, false, "3-[2-(2-CYCLOPENTYL-6-{[4-(DIMETHYLPHOSPHORYL)PHENYL]AMINO}-9H-PURIN-9-YL)ETHYL]PHENOL", 16918 },
	{ "HEU", "", "", ResidueType::DNA_LINKING, false, "3-(2-HYDROXYETHYL)-2'-DEOXYURIDINE-5'-MONOPHOSPHATE", 16919 },
	{ "HEV", "", "", ResidueType::NON_POLYMER, false, "5,8-DIMETHYL-1,2,3,4-TETRAVINYLPORPHINE-6,7-DIPROPIONIC ACID FERROUS COMPLEX", 16920 },
	{ "HEX", "", "", ResidueType::NON_POLYMER, false, "HEXANE", 16921 },
	{ "HEY", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-[({3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}METHYL)AMINO]-5-PHOSPHONOPENT-2-ENOIC ACID", 16922 },
	{ "HEZ", "", "", ResidueType::NON_POLYMER, false, "HEXANE-1,6-DIOL", 16923 },
	{ "HF1", "", "", ResidueType::NON_POLYMER, false, "4-(2-HYDROXY-4-FLUOROPHENYLTHIO)-BUTYLPHOSPHONIC ACID", 16924 },
	{ "HF2", "", "", ResidueType::PEPTIDE_LIKE, false, "(2R)-2-hydroxy-3-phenylpropanoic acid", 16925 },
	{ "HF3", "", "", ResidueType::NON_POLYMER, false, "SMALLEST HF-OXO-PHOSPHATE CLUSTER HF3", 16926 },
	{ "HF5", "", "", ResidueType::NON_POLYMER, false, "HF OXO CLUSTER HF5", 16927 },
	{ "HFA", "LLA", "", ResidueType::PEPTIDE_LINKING, false, "ALPHA-HYDROXY-BETA-PHENYL-PROPIONIC ACID", 16928 },
	{ "HFB", "", "", ResidueType::NON_POLYMER, false, "hexafluorobenzene", 16929 },
	{ "HFG", "", "", ResidueType::NON_POLYMER, false, "7-bromo-6-chloro-3-{3-[(2R,3S)-3-hydroxypiperidin-2-yl]-2-oxopropyl}quinazolin-4(3H)-one", 16930 },
	{ "HFL", "", "", ResidueType::NON_POLYMER, false, "5-(3,3-DIHYDROXYPROPENY)-3-METHOXY-BENZENE-1,2-DIOL", 16931 },
	{ "HFM", "", "", ResidueType::NON_POLYMER, false, "2-FORMYL-PROTOPORPHRYN IX", 16932 },
	{ "HFN", "", "", ResidueType::NON_POLYMER, false, "6-[1-(2,2-difluoro-3-hydroxypropyl)-5-(4-fluorophenyl)-3-methyl-1H-pyrazol-4-yl]-2H-1,4-benzoxazin-3(4H)-one", 16933 },
	{ "HFP", "", "", ResidueType::NON_POLYMER, false, "ALPHA-HYDROXYFARNESYLPHOSPHONIC ACID", 16934 },
	{ "HFQ", "", "", ResidueType::NON_POLYMER, false, "2,4-dihydroxyphenacyl coenzyme A", 16935 },
	{ "HFS", "", "", ResidueType::NON_POLYMER, false, "1-(1-HYDROXY-5-ISOQUINOLINESULFONYL)HOMOPIPERAZINE", 16936 },
	{ "HFT", "", "", ResidueType::NON_POLYMER, false, "HYDROXYFLUTAMIDE", 16937 },
	{ "HFV", "", "", ResidueType::NON_POLYMER, false, "DELTA-(L-ALPHA-AMINOADIPOYL)-L-CYSTEINYL-L-3,3,3,3',3',3'-HEXAFLUOROVALINE", 16938 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "Dawson-type polyoxometalate", 16939 },
	{ "HFZ", "", "", ResidueType::NON_POLYMER, false, "6-(trifluoromethyl)-3,4-dihydro-2H-1,2,4-benzothiadiazine-7-sulfonamide 1,1-dioxide", 16940 },
	{ "HG", "", "", ResidueType::NON_POLYMER, false, "MERCURY (II) ION", 16941 },
	{ "HG1", "", "", ResidueType::NON_POLYMER, false, "1-[(4-cyclohexylbutanoyl)(2-hydroxyethyl)amino]-1-deoxy-D-glucitol", 16942 },
	{ "HG2", "", "", ResidueType::NON_POLYMER, false, "DIBROMOMERCURY", 16943 },
	{ "HG3", "", "", ResidueType::NON_POLYMER, false, "[(2~{R})-2,3,3-tris(oxidanyl)propyl] dihydrogen phosphate", 16944 },
	{ "HG7", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-azanyl-N-[3-(dimethylamino)propyl]-2-(3-hydroxyphenyl)ethanamide", 16945 },
	{ "HG9", "", "", ResidueType::NON_POLYMER, false, "1-DEOXY-1-[(2-HYDROXYETHYL)(NONANOYL)AMINO]HEXITOL", 16946 },
	{ "HGA", "", "", ResidueType::NON_POLYMER, false, "GLUTAMINE HYDROXAMATE", 16947 },
	{ "HGB", "", "", ResidueType::NON_POLYMER, false, "4-(HYDROXYMERCURY)BENZOIC ACID", 16948 },
	{ "HGC", "", "MMC", ResidueType::NON_POLYMER, true, "METHYL MERCURY ION", 16949 },
	{ "HGD", "", "", ResidueType::NON_POLYMER, false, "mercury bis(L-gamma-glutamyl-3-sulfido-L-alanylglycine)", 16950 },
	{ "HGF", "", "", ResidueType::NON_POLYMER, false, "2-[5-(2-methoxyethoxy)pyridin-3-yl]-8,9,10,11-tetrahydro-7H-pyrido[3',4':4,5]pyrrolo[2,3-f]isoquinolin-7-one", 16951 },
	{ "HGG", "", "", ResidueType::NON_POLYMER, false, "", 16952 },
	{ "HGI", "", "", ResidueType::NON_POLYMER, false, "MERCURY (II) IODIDE", 16953 },
	{ "HGL", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-4-(2-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)butanoic acid", 16954 },
	{ "HGM", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-2-(4-hydroxyphenyl)-2-(methylamino)ethanoic acid", 16955 },
	{ "HGN", "", "", ResidueType::NON_POLYMER, false, "mercuriomercury", 16956 },
	{ "HGP", "", "", ResidueType::NON_POLYMER, false, "(1-HEXADECANOYL-2-TETRADECANOYL-GLYCEROL-3-YL) PHOSPHONYL CHOLINE", 16957 },
	{ "HGR", "", "", ResidueType::NON_POLYMER, false, "Hygromycin A", 16958 },
	{ "HGS", "", "", ResidueType::NON_POLYMER, false, "D-gamma-glutamyl-L-cysteinyl-beta-alanine", 16959 },
	{ "HGT", "", "", ResidueType::NON_POLYMER, false, "(2-((2R,3S,4R,5S,6S)-3-AMINO-4,5-DIHYDROXY-6-(HYDROXYMETHYL)TETRAHYDRO-2H-PYRAN-2-YLAMINO)ETHOXY)STANNANETRIOL", 16960 },
	{ "HGU", "", "", ResidueType::NON_POLYMER, false, "N-HYDROXYGUANIDINE", 16961 },
	{ "HGX", "", "", ResidueType::NON_POLYMER, false, "1-HEPTADECANOYL-2-TRIDECANOYL-3-GLYCEROL-PHOSPHONYL CHOLINE", 16962 },
	{ "HGY", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-amino(hydroxy)ethanoic acid", 16963 },
	{ "HGZ", "", "", ResidueType::NON_POLYMER, false, "6,7,8-trimethoxy-4-methylquinolin-2(1H)-one", 16964 },
	{ "HH0", "", "", ResidueType::PEPTIDE_LIKE, false, "methyl N-[(2S)-2-({(S)-hydroxy[(1R)-3-methyl-1-{[N-(3-methylbutanoyl)-L-valyl-L-valyl]amino}butyl]phosphoryl}oxy)-3-phenylpropanoyl]-L-alanyl-L-alaninate", 16965 },
	{ "HH1", "", "", ResidueType::NON_POLYMER, false, "(3S)-TETRAHYDROFURAN-3-YL (1R)-3-{(2R)-4-[(1S,3S)-3-(2-AMINO-2-OXOETHYL)-2,3-DIHYDRO-1H-INDEN-1-YL]-2-BENZYL-3-OXO-2,3-DIHYDRO-1H-PYRROL-2-YL}-1-BENZYL-2-HYDROXYPROPYLCARBAMATE", 16966 },
	{ "HH2", "", "", ResidueType::NON_POLYMER, false, "6-HYDROXYMETHYLPTERIN-DIPHOSPHATE", 16967 },
	{ "HH3", "", "", ResidueType::NON_POLYMER, false, "(2S)-hydroxy[(phenylcarbonyl)amino]ethanoic acid", 16968 },
	{ "HH6", "", "", ResidueType::NON_POLYMER, false, "3-(4-hydroxyphenyl)-1H-indazol-6-ol", 16969 },
	{ "HHA", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-TRANS-2,3-DIHYDRO-3-HYDROXYANTHRANILIC ACID", 16970 },
	{ "HHD", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-HYDROXYHEPTANEDIOIC ACID", 16971 },
	{ "HHE", "", "", ResidueType::NON_POLYMER, false, "(2R,4S,5S)-5-amino-6-[4-(2-chlorophenyl)-2,2-dimethyl-5-oxopiperazin-1-yl]-2-ethyl-4-hydroxy-N-[(1R,2S,3S,5S,7S)-5-hydroxytricyclo[3.3.1.1~3,7~]dec-2-yl]hexanamide", 16972 },
	{ "HHF", "", "", ResidueType::NON_POLYMER, false, "3,7-dihydroxy-2-phenyl-4H-chromen-4-one", 16973 },
	{ "HHG", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-HYDROXY-3-(PHOSPHONOOXY)PROPYL HEXANOATE", 16974 },
	{ "HHH", "", "", ResidueType::NON_POLYMER, false, "(2S)-hydroxy(4-hydroxyphenyl)ethanoic acid", 16975 },
	{ "HHI", "", "", ResidueType::PEPTIDE_LINKING, false, "(2Z)-3-(1H-imidazol-5-yl)-2-iminopropanoic acid", 16976 },
	{ "HHK", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2,8-DIAMINOOCTANOIC ACID", 16977 },
	{ "HHO", "", "", ResidueType::NON_POLYMER, false, "1-(HYDROXYMETHYLENEAMINO)-8-HYDROXY-OCTANE", 16978 },
	{ "HHP", "", "PH2", ResidueType::NON_POLYMER, true, "6-HYDROXYMETHYL-7,8-DIHYDROPTERIN", 16979 },
	{ "HHR", "", "", ResidueType::NON_POLYMER, false, "6-HYDROXYMETHYLPTERIN", 16980 },
	{ "HHS", "", "", ResidueType::NON_POLYMER, false, "6-CARBOXYPTERIN", 16981 },
	{ "HHV", "", "", ResidueType::NON_POLYMER, false, "5-[(pyridin-3-ylmethyl)amino]-1H-pyrazole-4-carboxamide", 16982 },
	{ "HI0", "", "", ResidueType::NON_POLYMER, false, "(R)-N-(7-(4-((4'-chlorobiphenyl-2-yl)methyl)piperazin-1-yl)quinazolin-4-yl)-4-(4-(dimethylamino)-1-(phenylthio)butan-2-ylamino)-3-nitrobenzenesulfonamide", 16983 },
	{ "HI1", "", "", ResidueType::NON_POLYMER, false, "METHYL [(1S)-1-({2-[(4R)-4-BENZYL-4-HYDROXY-5-{[(1S,2R)-2-HYDROXY-2,3-DIHYDRO-1H-INDEN-1-YL]AMINO}-5-OXOPENTYL]-2-(4-BROMOBENZYL)HYDRAZINO}CARBONYL)-2,2-DIMETHYLPROPYL]CARBAMATE ", 16984 },
	{ "HI3", "", "", ResidueType::NON_POLYMER, false, "N-(cyclopropylsulfonyl)-1-(2,5-difluorobenzyl)-6-fluoro-5-methyl-3-(2-oxo-1,2-dihydropyridin-3-yl)-1H-indole-2-carboxamide", 16985 },
	{ "HI4", "", "", ResidueType::NON_POLYMER, false, "5-ethyl-1-(2-fluoro-5-nitrobenzyl)-3-(2-oxo-1,2-dihydropyridin-3-yl)-1H-indole-2-carboxylic acid", 16986 },
	{ "HI5", "", "", ResidueType::NON_POLYMER, false, "2-(BUTYRYLOXY)-1-{[(TETRAHYDROXYPHOSPHORANYL)OXY]METHYL}ETHYL BUTYRATE", 16987 },
	{ "HI6", "", "", ResidueType::NON_POLYMER, false, "4-(AMINOCARBONYL)-1-[({2-[(E)-(HYDROXYIMINO)METHYL]PYRIDINIUM-1-YL}METHOXY)METHYL]PYRIDINIUM", 16988 },
	{ "HIA", "", "", ResidueType::PEPTIDE_LINKING, false, "L-HISTIDINE AMIDE", 16989 },
	{ "HIB", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-5-IODO-2,3-DIMETHOXY-6-METHYLBENZOIC ACID", 16990 },
	{ "HIC", "NEM", "", ResidueType::PEPTIDE_LINKING, false, "4-METHYL-HISTIDINE", 16991 },
	{ "HID", "", "", ResidueType::NON_POLYMER, false, "(5-hydroxy-1H-indol-3-yl)acetic acid", 16992 },
	{ "HIE", "", "", ResidueType::NON_POLYMER, false, "4-[6,6-dimethyl-4-oxo-3-(trifluoromethyl)-4,5,6,7-tetrahydro-1H-indazol-1-yl]-2-[(cis-4-hydroxycyclohexyl)amino]benzamide", 16993 },
	{ "HIF", "", "", ResidueType::NON_POLYMER, false, "FE(III)-(4-MESOPORPHYRINONE)", 16994 },
	{ "HIG", "", "", ResidueType::NON_POLYMER, false, "2-ethyl-5,7-dimethyl-3-{(1S)-5-[2-(1H-tetrazol-5-yl)phenyl]-2,3-dihydro-1H-inden-1-yl}-3H-imidazo[4,5-b]pyridine", 16995 },
	{ "HII", "", "", ResidueType::NON_POLYMER, true, "2-METHYL-3-(2-AMINOTHIAZOLO)PROPANAL", 16996 },
	{ "HIN", "", "", ResidueType::NON_POLYMER, false, "(2S) N-ACETYL-L-ALANYL-ALPHAL-PHENYLALANYL-CHLOROETHYLKETONE", 16997 },
	{ "HIO", "", "", ResidueType::NON_POLYMER, false, "N-HYDROXY-N-ISOPROPYLOXAMIC ACID", 16998 },
	{ "HIP", "", "", ResidueType::PEPTIDE_LINKING, false, "ND1-PHOSPHONOHISTIDINE", 16999 },
	{ "HIQ", "", "", ResidueType::PEPTIDE_LINKING, false, "1-[1,2-DIHYDROXY-1-(HYDROXYMETHYL)ETHYL]-L-HISTIDINE", 17000 },
	{ "HIS", "", "", ResidueType::PEPTIDE_LINKING, false, "HISTIDINE", 17001 },
	{ "HIT", "", "", ResidueType::NON_POLYMER, false, "2-(ALPHA-HYDROXYISOVALERYL) PROPIONIC ACID", 17002 },
	{ "HIU", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-HYDROXY-2-METHYLPROPANOIC ACID", 17003 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-2-[(1S,2R)-1-carboxy-2-hydroxypropyl]-4-[(2-{[(Z)-iminomethyl]amino}ethyl)sulfanyl]-3,4-dihydro-2H-pyrrole-5-carboxylic acid", 17004 },
	{ "HIX", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(1H-1,2,3-triazol-5-yl)-L-alanine", 17005 },
	{ "HIZ", "", "", ResidueType::NON_POLYMER, false, "1-{4-[(1S)-1-amino-2-(benzyloxy)ethyl]-1,3-thiazol-2-yl}-3-(3-chloro-4-fluorophenyl)urea", 17006 },
	{ "HJ2", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(R)-{[(6S)-6-amino-6-carboxyhexanoyl]amino}(carboxy)methyl]-5-methyl-3,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 17007 },
	{ "HJ3", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-2-[(1R)-1-{[(6S)-6-amino-6-carboxyhexanoyl]amino}-2-oxoethyl]-5,5-dimethyl-1,3-thiazolidine-4-carboxylic acid", 17008 },
	{ "HJZ", "", "", ResidueType::NON_POLYMER, false, "3-[2-(trans-4-methylcyclohexyl)phenyl]-5-phenylthiophene-2-carboxylic acid", 17009 },
	{ "HK0", "", "", ResidueType::NON_POLYMER, false, "3-(3-methoxy-4-nitrophenyl)-6-[2-(morpholin-4-yl)ethoxy]-5,10-dihydro-11H-dibenzo[b,e][1,4]diazepin-11-one", 17010 },
	{ "HK1", "", "", ResidueType::NON_POLYMER, false, "4-(6,7-dimethoxy-2,4-dihydroindeno[1,2-c]pyrazol-3-yl)phenol", 17011 },
	{ "HK3", "", "", ResidueType::NON_POLYMER, false, "4'-(6,7-dimethoxyindeno[1,2-c]pyrazol-3-yl)biphenyl-4-ol", 17012 },
	{ "HK4", "", "", ResidueType::NON_POLYMER, false, "4-[(6,7-dimethoxy-2,4-dihydroindeno[1,2-c]pyrazol-3-yl)ethynyl]-2-methoxyphenol", 17013 },
	{ "HK5", "", "", ResidueType::NON_POLYMER, false, "4-[6-(1H-imidazol-1-ylmethyl)-7-methoxy-2,4-dihydroindeno[1,2-c]pyrazol-3-yl]benzonitrile", 17014 },
	{ "HK6", "", "", ResidueType::NON_POLYMER, false, "8-chloro-5,10-dihydro-11H-dibenzo[b,e][1,4]diazepin-11-one", 17015 },
	{ "HK7", "", "", ResidueType::NON_POLYMER, false, "2-(11-oxo-10,11-dihydro-5H-dibenzo[b,e][1,4]diazepin-3-yl)benzamide", 17016 },
	{ "HK8", "", "", ResidueType::NON_POLYMER, false, "(3-chloro-11-oxo-10,11-dihydro-5H-dibenzo[b,e][1,4]diazepin-8-yl)acetic acid", 17017 },
	{ "HK9", "", "", ResidueType::NON_POLYMER, false, "2-methoxy-4-(11-oxo-10,11-dihydro-5H-dibenzo[b,e][1,4]diazepin-3-yl)benzoic acid", 17018 },
	{ "HKA", "", "", ResidueType::NON_POLYMER, false, "3-METHOXY-4-PHENOXYBENZOIC ACID", 17019 },
	{ "HKC", "", "", ResidueType::NON_POLYMER, false, "6,7-dimethoxy-3-[4-(1H-tetrazol-5-yl)phenyl]-1,4-dihydroindeno[1,2-c]pyrazole", 17020 },
	{ "HKI", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[3-chloro-4-(pyridin-2-ylmethoxy)phenyl]amino}-3-cyano-7-ethoxyquinolin-6-yl)-4-(dimethylamino)butanamide", 17021 },
	{ "HKL", "", "", ResidueType::NON_POLYMER, false, "Fe(III) pyropheophorbide-a methyl ester", 17022 },
	{ "HKT", "", "", ResidueType::NON_POLYMER, false, "1-[5-(2-fluorophenyl)-1-pyridin-3-ylsulfonyl-pyrrol-3-yl]-~{N}-methyl-methanamine", 17023 },
	{ "HKV", "", "", ResidueType::NON_POLYMER, false, "4,5-DIOXOPENTANOIC ACID", 17024 },
	{ "HKX", "", "", ResidueType::NON_POLYMER, false, "N-[6-amino-1-(3-bromobenzyl)-2,4-dioxo-1,2,3,4-tetrahydropyrimidin-5-yl]-N-methylbenzenesulfonamide", 17025 },
	{ "HKY", "", "", ResidueType::NON_POLYMER, false, "1,2,3,4-tetrahydroisoquinoline-6-carboxylic acid", 17026 },
	{ "HL0", "", "", ResidueType::NON_POLYMER, false, "N-[(3S)-2-oxotetrahydrofuran-3-yl]decanamide", 17027 },
	{ "HL1", "", "", ResidueType::NON_POLYMER, false, "(2~{S},3~{R})-8,9-dimethoxy-3-[2,4,5-tris(fluoranyl)phenyl]-2,3-dihydro-1~{H}-benzo[f]chromen-2-amine", 17028 },
	{ "HL2", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,3R)-2-amino-3-hydroxy-4-methylpentanoic acid", 17029 },
	{ "HL4", "", "", ResidueType::NON_POLYMER, false, "N-[(3S)-2-oxotetrahydrofuran-3-yl]butanamide", 17030 },
	{ "HL5", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,4R)-5-hydroxyleucine", 17031 },
	{ "HL6", "", "", ResidueType::NON_POLYMER, false, "N-[(3S)-2-oxotetrahydrofuran-3-yl]hexanamide", 17032 },
	{ "HLC", "", "", ResidueType::NON_POLYMER, false, "4-(4-chlorophenoxy)-N-[(3S)-2-oxotetrahydrofuran-3-yl]butanamide", 17033 },
	{ "HLD", "", "", ResidueType::NON_POLYMER, false, "4-oxo-4H-pyran-2,6-dicarboxylic acid", 17034 },
	{ "HLE", "", "", ResidueType::NON_POLYMER, false, "3-FORMYL-2-HYDROXY-5-METHYL-HEXANOIC ACID HYDROXYAMIDE", 17035 },
	{ "HLI", "", "", ResidueType::NON_POLYMER, false, "(4-{7-[2-(4-chlorophenoxy)ethyl]-2-(methylamino)-6-oxo-6,7-dihydro-1H-purin-8-yl}phenyl)phosphonic acid", 17036 },
	{ "HLN", "", "", ResidueType::NON_POLYMER, false, "hexyl(naphthalen-2-yloxy)phosphinic acid", 17037 },
	{ "HLO", "", "", ResidueType::NON_POLYMER, false, "1-[({2,4-BIS[(E)-(HYDROXYIMINO)METHYL]PYRIDINIUM-1-YL}METHOXY)METHYL]-4-CARBAMOYLPYRIDINIUM", 17038 },
	{ "HLR", "", "", ResidueType::NON_POLYMER, false, "1,2-benzoxazol-3-amine", 17039 },
	{ "HLT", "", "", ResidueType::NON_POLYMER, false, "2-BROMO-2-CHLORO-1,1,1-TRIFLUOROETHANE", 17040 },
	{ "HLU", "", "", ResidueType::PEPTIDE_LINKING, false, "BETA-HYDROXYLEUCINE", 17041 },
	{ "HLW", "", "", ResidueType::NON_POLYMER, false, "3-(3-chlorophenyl)-N-{2-[2-(1H-imidazol-1-yl)pyrimidin-4-yl]ethyl}propan-1-amine", 17042 },
	{ "HLX", "", "", ResidueType::PEPTIDE_LINKING, false, "5-methyl-L-norleucine", 17043 },
	{ "HLY", "", "", ResidueType::PEPTIDE_LINKING, false, "(3~{R})-5-[[(5~{S})-5-azanyl-6-oxidanyl-6-oxidanylidene-hexyl]amino]-3-methyl-3-oxidanyl-5-oxidanylidene-pentanoic acid", 17044 },
	{ "HLZ", "", "", ResidueType::NON_POLYMER, false, "1-hydrazinophthalazine", 17045 },
	{ "HM2", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-6-METHYL-N-(2-PHENYLETHYL)-2-PYRIDIN-2-YLPYRIMIDIN-4-AMINE", 17046 },
	{ "HM3", "", "", ResidueType::NON_POLYMER, false, "(4-chloropyridin-2-yl)methanol", 17047 },
	{ "HM4", "", "", ResidueType::NON_POLYMER, false, "TERT-BUTYL {2-[(1,3-THIAZOL-2-YLAMINO)CARBONYL]PYRIDIN-3-YL}CARBAMATE", 17048 },
	{ "HM5", "", "", ResidueType::NON_POLYMER, false, "3-[(2,2-DIMETHYLPROPANOYL)AMINO]-N-1,3-THIAZOL-2-YLPYRIDINE-2-CARBOXAMIDE", 17049 },
	{ "HM6", "", "", ResidueType::NON_POLYMER, false, "4-(4-(hydroxymethyl)-1h-1,2,3-triazol-1-yl)pyridine-2,6-dicarboxylic acid", 17050 },
	{ "HM7", "", "", ResidueType::NON_POLYMER, false, "3-methylthioethane-pyrazinedione", 17051 },
	{ "HM8", "", "", ResidueType::PEPTIDE_LINKING, false, "2-[(1S,2R)-1-amino-2-(sulfooxy)propyl]-5-hydroxy-1,3-oxazole-4-carbothioic O-acid", 17052 },
	{ "HM9", "", "", ResidueType::PEPTIDE_LINKING, false, "6-(3-CARBAMIMIDAMIDOPROPYL)-3,5-DIHYDROXYPYRAZINE-2-CARBOTHIOIC S-ACID", 17053 },
	{ "HMA", "", "", ResidueType::NON_POLYMER, false, "HYDROXYAMINOALANINE", 17054 },
	{ "HMB", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-hydroxy-4-methoxybutanoic acid", 17055 },
	{ "HMC", "", "", ResidueType::NON_POLYMER, false, "5-HYDROXYMETHYL-CHONDURITOL", 17056 },
	{ "HMD", "", "", ResidueType::NON_POLYMER, false, "4-(5-AMINO-4-OXO-4H-PYRAZOL-3-YL)-2-BROMO-4,5,6,7-TETRAHYDRO-3AH-PYRROLO[2,3-C]AZEPIN-8-ONE", 17057 },
	{ "HME", "", "", ResidueType::NON_POLYMER, false, "PORPHYCENE CONTAINING FE", 17058 },
	{ "HMF", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-4-PHENYL-BUTYRIC ACID", 17059 },
	{ "HMG", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXY-3-METHYLGLUTARYL-COENZYME A", 17060 },
	{ "HMH", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-5-HYDROXYMETHYL-2-METHYLPYRIMIDINE", 17061 },
	{ "HMI", "HMP", "", ResidueType::NON_POLYMER, false, "2-HYDROXYCARBAMOYL-4-METHYL-PENTANOIC ACID", 17062 },
	{ "HMK", "", "", ResidueType::NON_POLYMER, false, "(6AR,12AR)-6H-[1,3]DIOXOLO[5,6][1]BENZOFURO[3,2-C]CHROMENE-3,6A(12AH)-DIOL", 17063 },
	{ "HMM", "", "", ResidueType::NON_POLYMER, false, "5-HYDROXYMETHYL-2-METHYL-5,8-DIHYDRO-[1,2,4]TRIAZOLO[1,2-A]PYRIDAZINE-1,3-DIONE", 17064 },
	{ "HMN", "", "", ResidueType::NON_POLYMER, false, "2,4,6,7,8,9-HEXAHYDROXY-5-METHYLCARBOXAMIDO NONANOIC ACID", 17065 },
	{ "HMO", "", "", ResidueType::NON_POLYMER, false, "4'-HYDROXY-7-METHOXYISOFLAVONE", 17066 },
	{ "HMP", "", "HMI", ResidueType::NON_POLYMER, true, "1-HYDROXYAMINE-2-ISOBUTYLMALONIC ACID", 17067 },
	{ "HMQ", "", "", ResidueType::NON_POLYMER, false, "2-[(6R)-6-(dioxidanyl)-6-oxidanyl-3-oxidanylidene-cyclohexa-1,4-dien-1-yl]ethanoic acid", 17068 },
	{ "HMR", "", "", ResidueType::PEPTIDE_LINKING, false, "BETA-HOMOARGININE", 17069 },
	{ "HMS", "", "", ResidueType::SACCHARIDE, false, "5-O-phosphono-L-ribulose", 17070 },
	{ "HMT", "", "", ResidueType::NON_POLYMER, false, "(3beta)-O~3~-[(2R)-2,6-dihydroxy-2-(2-methoxy-2-oxoethyl)-6-methylheptanoyl]cephalotaxine", 17071 },
	{ "HMU", "", "", ResidueType::NON_POLYMER, false, "5-HYDROXYMETHYL URACIL", 17072 },
	{ "HMY", "", "", ResidueType::NON_POLYMER, false, "(1aR,8S,13S,14S,15aR)-5,13,14-trihydroxy-3-methoxy-8-methyl-8,9,13,14,15,15a-hexahydro-6H-oxireno[k][2]benzoxacyclotetradecine-6,12(1aH)-dione", 17073 },
	{ "HMZ", "", "", ResidueType::NON_POLYMER, false, "4-(2-hydroxy-4-methoxyphenyl)-4-oxobutanoic acid", 17074 },
	{ "HN0", "", "", ResidueType::DNA_LINKING, false, "", 17075 },
	{ "HN1", "", "", ResidueType::DNA_LINKING, false, "(6S,8R)-3-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-8-hydroxy-6-[(1S)-1-hydroxyhexyl]-4,6,7,8-tetrahydropyrimido[1,2-a]purin-10(3H)-one", 17076 },
	{ "HN2", "", "", ResidueType::NON_POLYMER, false, "1-phenyl-2-[(1S,2R,5R,8R,8aR)-1,2,8-trihydroxyoctahydroindolizin-5-yl]ethanone", 17077 },
	{ "HN3", "", "", ResidueType::NON_POLYMER, false, "1-(4-methylphenyl)-2-[(1S,2R,5R,8R,8aR)-1,2,8-trihydroxyoctahydroindolizin-5-yl]ethanone", 17078 },
	{ "HN4", "", "", ResidueType::NON_POLYMER, false, "1-(4-tert-butylphenyl)-2-[(1S,2R,5R,8R,8aR)-1,2,8-trihydroxyoctahydroindolizin-5-yl]ethanone", 17079 },
	{ "HN5", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,5S,8R,8aR)-5-[2-(4-tert-butylphenyl)ethyl]octahydroindolizine-1,2,8-triol", 17080 },
	{ "HN6", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,5R,8R,8aR)-5-[2-(4-tert-butylphenyl)ethyl]octahydroindolizine-1,2,8-triol", 17081 },
	{ "HN7", "", "", ResidueType::NON_POLYMER, false, "1-(4-tert-butylphenyl)-2-[(1S,2R,5S,8R,8aR)-1,2,8-trihydroxyoctahydroindolizin-5-yl]ethanone", 17082 },
	{ "HN8", "", "", ResidueType::NON_POLYMER, false, "Haemanthamine", 17083 },
	{ "HNA", "", "", ResidueType::NON_POLYMER, false, "1,8-DI-HYDROXY-4-NITRO-ANTHRAQUINONE", 17084 },
	{ "HNB", "", "", ResidueType::NON_POLYMER, false, "(2S,5R)-5-pentyltetrahydrofuran-2-ol", 17085 },
	{ "HNC", "", "", ResidueType::PEPTIDE_LINKING, false, "S-[(1S,2R)-2-hydroxy-1-(2-oxoethyl)heptyl]-L-cysteine", 17086 },
	{ "HND", "", "", ResidueType::NON_POLYMER, false, "(4S)-nonane-1,4-diol", 17087 },
	{ "HNE", "", "", ResidueType::NON_POLYMER, false, "(2E,4R)-4-HYDROXYNON-2-ENAL", 17088 },
	{ "HNF", "", "", ResidueType::NON_POLYMER, false, "7-nitro-9H-fluoren-2-ol", 17089 },
	{ "HNH", "", "", ResidueType::NON_POLYMER, false, "5-(1-methyl-4,5-dihydro-1H-pyrrol-2-yl)pyridin-2-ol", 17090 },
	{ "HNI", "", "", ResidueType::NON_POLYMER, false, "PROTOPORPHYRIN IX CONTAINING NI(II)", 17091 },
	{ "HNK", "", "", ResidueType::NON_POLYMER, false, "5-[(2R)-1-methylpyrrolidin-2-yl]pyridin-2-ol", 17092 },
	{ "HNL", "", "", ResidueType::NON_POLYMER, false, "5-[(2S)-1-methylpyrrolidin-2-yl]pyridin-2-ol", 17093 },
	{ "HNM", "", "", ResidueType::NON_POLYMER, false, "1-(6-hydroxypyridin-3-yl)-4-(methylamino)butan-1-one", 17094 },
	{ "HNN", "", "", ResidueType::NON_POLYMER, false, "PORPHYCENE CONTAINING MN", 17095 },
	{ "HNP", "", "H5P", ResidueType::NON_POLYMER, true, "HYDANTOCIDIN-5'-MONOPHOSPHATE", 17096 },
	{ "HNQ", "", "", ResidueType::NON_POLYMER, false, "5-nitroquinolin-8-ol", 17097 },
	{ "HNR", "", "", ResidueType::NON_POLYMER, false, "N-(6-AMINO-1-BUTYL-2,4-DIOXO-1,2,3,4-TETRAHYDROPYRIMIDIN-5-YL)-N-METHYL-BENZENESULFONAMIDE", 17098 },
	{ "HNT", "", "", ResidueType::NON_POLYMER, false, "[(3R)-7-NITRO-1,2,3,4-TETRAHYDROISOQUINOLIN-3-YL]METHANOL", 17099 },
	{ "HNV", "", "", ResidueType::NON_POLYMER, false, "3-(4-methoxyphenyl)prop-2-yn-1-yl alpha-D-mannopyranoside", 17100 },
	{ "HNW", "", "", ResidueType::NON_POLYMER, false, "D-MANNOSE ALPHA1O P-HYDROXYPROPYNYL-PHENYL", 17101 },
	{ "HO", "", "", ResidueType::NON_POLYMER, false, "HOLMIUM ATOM", 17102 },
	{ "HO2", "", "", ResidueType::NON_POLYMER, false, "(9E,11E,13S)-13-hydroxyoctadeca-9,11-dienoic acid", 17103 },
	{ "HO3", "", "", ResidueType::NON_POLYMER, false, "HOLMIUM (III) ATOM", 17104 },
	{ "HO4", "", "", ResidueType::NON_POLYMER, false, "5-ethynyl-7-(beta-D-ribofuranosyl)-7H-pyrrolo[2,3-d]pyrimidin-4-amine", 17105 },
	{ "HO6", "", "", ResidueType::NON_POLYMER, false, "5-[(4-methylphenyl)sulfanyl]-1,2,3-thiadiazole-4-carboxylic acid", 17106 },
	{ "HOA", "", "", ResidueType::NON_POLYMER, false, "HYDROXYAMINE", 17107 },
	{ "HOB", "", "", ResidueType::NON_POLYMER, false, "(3alpha,8alpha,14beta,17alpha)-cholest-5-en-3-yl {3-[(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)oxy]propyl}carbamate", 17108 },
	{ "HOC", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-HYDROXYOCTANOIC ACID", 17109 },
	{ "HOE", "", "", ResidueType::NON_POLYMER, false, "2'-(4-HYDROXYPHENYL)-5-(4-METHYL-1-PIPERAZINYL)-2,5'-BI-BENZIMIDAZOLE", 17110 },
	{ "HOH", "MTO", "", ResidueType::NON_POLYMER, false, "WATER", 17111 },
	{ "HOL", "", "", ResidueType::DNA_LINKING, false, "ALPHA-CHOLEST-5-EN-3-YL 3-[(2-DEOXY-5-O-PHOSPHONO-ALPHA-D-GLYCERO-PENTOFURANOSYL)OXY]PROPYLCARBAMATE", 17112 },
	{ "HOM", "", "", ResidueType::NON_POLYMER, false, "7-HYDROXY-4-METHYL-3-(2-HYDROXY-ETHYL)COUMARIN", 17113 },
	{ "HOP", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,5S)2-(4-GLUTARIDYLBENZYL)-5-PHENYL-1-CYCLOHEXANOL", 17114 },
	{ "HOQ", "", "", ResidueType::NON_POLYMER, false, "(1R)-2-(1-CARBOXY-2-HYDROXY-2-METHYL-PROPYL)-5,5-DIMETHYL-THIAZOLIDINE-4-CARBOXYLIC ACID", 17115 },
	{ "HOS", "", "", ResidueType::NON_POLYMER, false, "Phomopsin A", 17116 },
	{ "HOV", "", "", ResidueType::NON_POLYMER, false, "ethyl (4R)-4-[[(2S,3R)-1-[(2S)-3-methyl-2-[(5-methyl-1,2-oxazol-3-yl)carbonylamino]butanoyl]-3-phenyl-pyrrolidin-2-yl]carbonylamino]-5-[(3S)-2-oxidanylidenepyrrolidin-3-yl]pentanoate", 17117 },
	{ "HOX", "", "", ResidueType::PEPTIDE_LINKING, false, "4-amino-L-phenylalanine", 17118 },
	{ "HOZ", "", "", ResidueType::NON_POLYMER, false, "(4S)-4,5-DIAMINOPENTANOIC ACID", 17119 },
	{ "HP0", "", "", ResidueType::PEPTIDE_LIKE, false, "(3S,4aS,8aS)-2-[(2R,3S)-3-amino-2-hydroxy-4-phenylbutyl]decahydroisoquinoline-3-carboxylic acid", 17120 },
	{ "HP1", "", "", ResidueType::NON_POLYMER, false, "IMIDAZOLE-PYRROLE-HYDROXYPYRROLE POLYAMIDE", 17121 },
	{ "HP2", "XPP", "", ResidueType::NON_POLYMER, false, "HYDROXYPYRROLE-IMIDAZOLE-PYRROLE POLYAMIDE", 17122 },
	{ "HP3", "", "PGR", ResidueType::NON_POLYMER, true, "2,3-PROPANDIOL", 17123 },
	{ "HP4", "", "", ResidueType::NON_POLYMER, false, "phosphinate", 17124 },
	{ "HP5", "", "", ResidueType::NON_POLYMER, false, "Peroxidized Heme Form 2", 17125 },
	{ "HP6", "", "", ResidueType::NON_POLYMER, false, "HEPTANE", 17126 },
	{ "HP7", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,4R,5R,6R)-5-acetamido-6-[[[(2R,3S,4R,5R)-5-(2,4-dioxopyrimidin-1-yl)-3,4-dihydroxy-oxolan-2-yl]methoxy-hydroxy-phosphoryl]oxy-hydroxy-phosphoryl]oxy-3,4-dihydroxy-oxane-2-carboxylic acid", 17127 },
	{ "HP8", "", "", ResidueType::NON_POLYMER, false, "5'-O-{[(2,3-dihydroxyphenyl)carbonyl]sulfamoyl}adenosine", 17128 },
	{ "HPA", "", "", ResidueType::NON_POLYMER, false, "HYPOXANTHINE", 17129 },
	{ "HPB", "", "PR0", ResidueType::NON_POLYMER, true, "2-HYDROXY-3-AMINO-4-PHENYL BUTANE", 17130 },
	{ "HPC", "", "PHM", ResidueType::PEPTIDE_LINKING, true, "3-AMINO-4-PHENYL-BUTAN-2-ONE", 17131 },
	{ "HPD", "", "", ResidueType::NON_POLYMER, false, "1-HYDROXY-PENTANE-3,4-DIOL-5-PHOSPHATE", 17132 },
	{ "HPE", "", "", ResidueType::PEPTIDE_LINKING, false, "HOMOPHENYLALANINE", 17133 },
	{ "HPF", "", "", ResidueType::NON_POLYMER, false, "1-[(2-HYDROXYLPHENYL)AMINO]3-GLYCEROLPHOSPHATE", 17134 },
	{ "HPG", "", "PDO", ResidueType::NON_POLYMER, true, "HYDROXYPROPYLOXY GROUP", 17135 },
	{ "HPH", "TPH", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-2-amino-3-phenylpropane-1,1-diol", 17136 },
	{ "HPI", "", "", ResidueType::NON_POLYMER, false, "N-(1-CARBOXY-3-PHENYLPROPYL)PHENYLALANYL-ALPHA-ASPARAGINE", 17137 },
	{ "HPJ", "", "", ResidueType::NON_POLYMER, false, "1-hydroxy-6-[1-(3-methoxypropyl)-1H-pyrrolo[2,3-b]pyridin-5-yl]-4-phenylpyridin-2(1H)-one", 17138 },
	{ "HPK", "", "", ResidueType::NON_POLYMER, false, "(3E)-2,6-DIOXO-6-PHENYLHEX-3-ENOATE", 17139 },
	{ "HPL", "", "", ResidueType::NON_POLYMER, false, "HEPTYLFORMAMIDE", 17140 },
	{ "HPM", "", "", ResidueType::NON_POLYMER, false, "N-{5-[(7-{[(2S)-2-HYDROXY-3-PIPERIDIN-1-YLPROPYL]OXY}-6-METHOXYQUINAZOLIN-4-YL)AMINO]PYRIMIDIN-2-YL}BENZAMIDE", 17141 },
	{ "HPN", "", "", ResidueType::NON_POLYMER, false, "HEPTANAMIDE", 17142 },
	{ "HPO", "", "", ResidueType::NON_POLYMER, false, "2-OXOHEPTYLPHOSPHONIC ACID", 17143 },
	{ "HPP", "", "", ResidueType::NON_POLYMER, false, "HYDROXYPHENYL PROPIONIC ACID", 17144 },
	{ "HPQ", "", "", ResidueType::PEPTIDE_LINKING, false, "HOMOPHENYLALANINYLMETHANE", 17145 },
	{ "HPR", "", "", ResidueType::NON_POLYMER, false, "6-HYDROXY-7,8-DIHYDRO PURINE NUCLEOSIDE", 17146 },
	{ "HPS", "", "", ResidueType::NON_POLYMER, false, "PHENYL DIHYDROGEN PHOSPHATE", 17147 },
	{ "HPT", "", "", ResidueType::NON_POLYMER, false, "6-HYDROXYPROPYLTHYMINE", 17148 },
	{ "HPU", "", "", ResidueType::NON_POLYMER, false, "N-[3-(1-hydroxy-6-oxo-4-phenyl-1,6-dihydropyridin-2-yl)phenyl]methanesulfonamide", 17149 },
	{ "HPV", "", "", ResidueType::NON_POLYMER, false, "2-oxo-3-(phosphonooxy)propanoic acid", 17150 },
	{ "HPW", "", "", ResidueType::NON_POLYMER, false, "N-[3-(1-Hydroxy-6-oxo-4-phenyl-1,6-dihydro-pyridin-2-yl)-5-methanesulfonylamino-phenyl]-methanesulfonamide", 17151 },
	{ "HPX", "", "", ResidueType::NON_POLYMER, false, "(2Z,4E)-2-HYDROXY-6-OXO-6-PHENYLHEXA-2,4-DIENOIC ACID", 17152 },
	{ "HPY", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-3,4-DIHYDRO-1H-PYRIMIDIN-2-ONE", 17153 },
	{ "HPZ", "", "", ResidueType::NON_POLYMER, false, "(2E,4E)-2-HYDROXY-6-OXO-6-PHENYLHEXA-2,4-DIENOIC ACID", 17154 },
	{ "HQ", "", "HQO", ResidueType::NON_POLYMER, true, "2-HEPTYL-1,4-DIHYDROXY-QUINOLINIUM", 17155 },
	{ "HQ2", "", "", ResidueType::NON_POLYMER, false, "8-hydroxy-3-(piperazin-1-yl)quinoline-5-carboxylic acid", 17156 },
	{ "HQ6", "", "", ResidueType::NON_POLYMER, false, "N-[(3R,4S,5R,6R,7R)-3,5,6-trihydroxy-7-(hydroxymethyl)azepan-4-yl]acetamide", 17157 },
	{ "HQ9", "", "", ResidueType::NON_POLYMER, false, "2-(6-oxidanyl-3-oxidanylidene-cyclohexa-1,4-dien-1-yl)ethanoic acid", 17158 },
	{ "HQA", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(8-hydroxyquinolin-3-yl)-L-alanine", 17159 },
	{ "HQC", "", "", ResidueType::NON_POLYMER, false, "3-{6-[(8-HYDROXY-QUINOLINE-2-CARBONYL)-AMINO]-2-THIOPHEN-2-YL-HEXANOYLAMINO}-4-OXO-BUTYRI ACID", 17160 },
	{ "HQD", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXY-2-METHYLQUINOLIN-4(1H)-ONE", 17161 },
	{ "HQE", "", "", ResidueType::NON_POLYMER, false, "benzene-1,4-diol", 17162 },
	{ "HQI", "", "", ResidueType::NON_POLYMER, false, "N-(8-hydroxyquinolin-5-yl)acetamide", 17163 },
	{ "HQL", "", "", ResidueType::NON_POLYMER, false, "4-(BENZHYDRYLOXY)-1-[3-(1H-TETRAAZOL-5-YL)PROPYL]PIPERIDINE", 17164 },
	{ "HQN", "", "", ResidueType::NON_POLYMER, false, "benzene-1,2,4-triol", 17165 },
	{ "HQO", "HQ", "", ResidueType::NON_POLYMER, false, "2-HEPTYL-4-HYDROXY QUINOLINE N-OXIDE", 17166 },
	{ "HQP", "", "", ResidueType::NON_POLYMER, false, "4-({4-[(5-CYCLOPROPYL-1H-PYRAZOL-3-YL)AMINO]QUINAZOLIN-2-YL}IMINO)CYCLOHEXA-2,5-DIENE-1-CARBONITRILE", 17167 },
	{ "HQQ", "", "", ResidueType::NON_POLYMER, false, "5-METHYL-5-(4-PHENOXY-PHENYL)-PYRIMIDINE-2,4,6-TRIONE", 17168 },
	{ "HQT", "", "", ResidueType::NON_POLYMER, false, "2-hydroxyisoquinoline-1(2H)-thione", 17169 },
	{ "HQU", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXYQUINALDIC ACID", 17170 },
	{ "HQY", "", "", ResidueType::NON_POLYMER, false, "quinolin-8-ol", 17171 },
	{ "HQZ", "", "", ResidueType::NON_POLYMER, false, "trihydroxy{(1S)-1-[(methylsulfonyl)amino]ethyl}borate(1-)", 17172 },
	{ "HR1", "", "", ResidueType::NON_POLYMER, false, "(3R,5R)-7-[1-(4-FLUOROPHENYL)-3-ISOPROPYL-4-OXO-5-PHENYL-4,5-DIHYDRO-3H-PYRROLO[2,3-C]QUINOLIN-2-YL]-3,5-DIHYDROXYHEPTANOIC ACID", 17173 },
	{ "HR2", "", "", ResidueType::NON_POLYMER, false, "(3R,5R)-7-[3-(4-FLUOROPHENYL)-1-ISOPROPYL-8-OXO-7-PHENYL-1,4,5,6,7,8-HEXAHYDROPYRROLO[2,3-C]AZEPIN-2-YL]-3,5-DIHYDROXYHEPTANOIC ACID", 17174 },
	{ "HR4", "", "", ResidueType::NON_POLYMER, false, "(2S,4aR,6R,7R,7aS)-6-{6-amino-8-[(4-fluorobenzyl)sulfanyl]-9H-purin-9-yl}-2-sulfanyltetrahydro-4H-furo[3,2-d][1,3,2]dioxaphosphinin-7-ol 2-oxide", 17175 },
	{ "HR6", "", "", ResidueType::NON_POLYMER, false, "(2S,4aR,6R,7R,7aS)-6-[6-amino-8-(benzylsulfanyl)-9H-purin-9-yl]-2-sulfanyltetrahydro-4H-furo[3,2-d][1,3,2]dioxaphosphinin-7-ol 2-oxide", 17176 },
	{ "HR7", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3-amino-6-[(diaminomethylidene)amino]hexanoic acid", 17177 },
	{ "HRB", "", "", ResidueType::NON_POLYMER, false, "N-ACETYL-1-[(2R,3S,5R)-5-HYDROXY-2-PENTYLTETRAHYDROFURAN-3-YL]-L-HISTIDINE", 17178 },
	{ "HRC", "", "", ResidueType::NON_POLYMER, false, "N-(4-hydroxy-2,6-dimethylphenyl)benzenesulfonamide", 17179 },
	{ "HRD", "", "", ResidueType::NON_POLYMER, false, "2,6-bis(methylamino)-1,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 17180 },
	{ "HRG", "", "", ResidueType::PEPTIDE_LINKING, false, "L-HOMOARGININE", 17181 },
	{ "HRI", "", "", ResidueType::NON_POLYMER, false, "ALPHA-CHLOROISOCAPROIC ACID", 17182 },
	{ "HRM", "", "", ResidueType::NON_POLYMER, false, "7-METHOXY-1-METHYL-9H-BETA-CARBOLINE", 17183 },
	{ "HRO", "", "", ResidueType::NON_POLYMER, false, "5-chloro-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 17184 },
	{ "HRP", "", "", ResidueType::PEPTIDE_LINKING, false, "5-HYDROXY-L-TRYPTOPHAN", 17185 },
	{ "HRU", "", "", ResidueType::NON_POLYMER, false, "(ethane-1,2-diamine-kappa~2~N,N')[(1,2,3,4,5,6-eta)-1-methyl-4-(propan-2-yl)cyclohexane-1,2,3,4,5,6-hexayl]ruthenium", 17186 },
	{ "HRW", "", "", ResidueType::NON_POLYMER, false, "2-[(4,6-dimethylpyrimidin-2-yl)sulfanyl]-N-[(2Z)-5-[3-(trifluoromethyl)benzyl]-1,3-thiazol-2(3H)-ylidene]acetamide", 17187 },
	{ "HRX", "", "", ResidueType::NON_POLYMER, false, "[1-hydroxy-3-(pyridin-3-yl)propane-1,1-diyl]bis(phosphonic acid)", 17188 },
	{ "HS1", "", "", ResidueType::NON_POLYMER, false, "2-[[(2S)-2,3-dihydroxypropyl]-(4-methoxyphenyl)sulfonyl-amino]-N-oxo-ethanamide", 17189 },
	{ "HS2", "", "", ResidueType::SACCHARIDE, false, "2-(acetylamino)-2-deoxy-4-O-(4-deoxy-alpha-L-threo-hex-4-enopyranuronosyl)-alpha-D-glucopyranose", 17190 },
	{ "HS3", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-hydroxy-2-[(4-methoxyphenyl)sulfonylamino]-N-oxo-propanamide", 17191 },
	{ "HS4", "", "", ResidueType::NON_POLYMER, false, "N-oxo-2-[(4-phenylphenyl)sulfonylamino]ethanamide", 17192 },
	{ "HS5", "", "", ResidueType::NON_POLYMER, false, "2-[(4-fluorophenyl)sulfonyl-(2-hydroxyethyl)amino]-N-oxo-ethanamide", 17193 },
	{ "HS6", "", "", ResidueType::NON_POLYMER, false, "2-[(4-fluorophenyl)sulfonylamino]-N-oxo-ethanamide", 17194 },
	{ "HS7", "", "", ResidueType::NON_POLYMER, false, "N-oxo-2-(phenylsulfonylamino)ethanamide", 17195 },
	{ "HS8", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(1-sulfo-1H-imidazol-3-ium-4-yl)-L-alanine", 17196 },
	{ "HS9", "", "", ResidueType::PEPTIDE_LINKING, false, "N-ALPHA-METHYL-L-HISTIDINAMIDE", 17197 },
	{ "HSA", "", "", ResidueType::NON_POLYMER, false, "PHOSPHORIC ACID MONO-[2-AMINO-3-(3H-IMIDAZOL-4-YL)-PROPYL]ESTER", 17198 },
	{ "HSC", "", "", ResidueType::NON_POLYMER, false, "(S)-3-HYDROXYDECANOYL-COA", 17199 },
	{ "HSD", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,3R,6R)-6-amino-4-(hydroxymethyl)cyclohex-4-ene-1,2,3-triol", 17200 },
	{ "HSE", "", "", ResidueType::PEPTIDE_LINKING, false, "L-HOMOSERINE", 17201 },
	{ "HSF", "", "", ResidueType::NON_POLYMER, false, "1-HEXADECYLSULFONYL FLUORIDE", 17202 },
	{ "HSG", "", "", ResidueType::SACCHARIDE, false, "octyl alpha-L-altropyranoside", 17203 },
	{ "HSH", "", "", ResidueType::SACCHARIDE, false, "octyl beta-D-galactopyranoside", 17204 },
	{ "HSI", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-{4-[(4-CHLOROPHENYL)ETHYNYL]BENZOYL}NONANOIC ACID", 17205 },
	{ "HSJ", "", "", ResidueType::SACCHARIDE, false, "octyl beta-L-talopyranoside", 17206 },
	{ "HSK", "", "", ResidueType::PEPTIDE_LINKING, false, "3-hydroxy-L-histidine", 17207 },
	{ "HSL", "", "", ResidueType::PEPTIDE_LINKING, false, "HOMOSERINE LACTONE", 17208 },
	{ "HSM", "", "", ResidueType::NON_POLYMER, false, "HISTAMINE", 17209 },
	{ "HSO", "", "", ResidueType::PEPTIDE_LINKING, false, "L-histidinol", 17210 },
	{ "HSP", "", "", ResidueType::NON_POLYMER, false, "4-(2-HYDROXYPHENYLSULFINYL)-BUTYLPHOSPHONIC ACID", 17211 },
	{ "HSQ", "", "", ResidueType::SACCHARIDE, false, "2-(acetylamino)-2-deoxy-alpha-L-idopyranose", 17212 },
	{ "HSR", "", "NAG", ResidueType::SACCHARIDE, true, "2-(acetylamino)-2-deoxy-beta-D-glucopyranose", 17213 },
	{ "HSS", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(L-HISTIDYLAMINO)SULFONYL]ADENOSINE", 17214 },
	{ "HST", "", "", ResidueType::NON_POLYMER, false, "4-CARBOXY-5-(1-PENTYL)HEXYLSULFANYL-1,2,3-TRIAZOLE", 17215 },
	{ "HSU", "", "BDR", ResidueType::SACCHARIDE, true, "beta-D-ribofuranose", 17216 },
	{ "HSV", "", "", ResidueType::PEPTIDE_LINKING, false, "L-histidinal", 17217 },
	{ "HSW", "", "", ResidueType::NON_POLYMER, false, "N-hydroxysulfamide", 17218 },
	{ "HSX", "", "", ResidueType::SACCHARIDE, false, "5-O-phosphono-alpha-D-ribofuranose", 17219 },
	{ "HSY", "", "", ResidueType::SACCHARIDE, false, "alpha-L-xylopyranose", 17220 },
	{ "HSZ", "", "XYP", ResidueType::SACCHARIDE, true, "beta-D-xylopyranose", 17221 },
	{ "HT", "", "", ResidueType::NON_POLYMER, false, "2'-(4-HYDROXYPHENYL)-5-(4-METHYL-1-PIPERAZINYL)-2,5'-BI-BENZIMIDAZOLE", 17222 },
	{ "HT1", "", "", ResidueType::NON_POLYMER, false, "2'-(4-ETHOXYPHENYL)-5-(4-METHYL-1-PIPERAZINYL)-2,5'-BI-BENZIMIDAZOLE", 17223 },
	{ "HT2", "", "", ResidueType::NON_POLYMER, false, "5-AMIDINO-2-[2-(4-AMIDINOPHENYL)-5-BENZIMIDAZOLYL]BENZIMIDAZOLE", 17224 },
	{ "HT3", "", "", ResidueType::NON_POLYMER, false, "(2R,3S)-heptane-1,2,3-triol", 17225 },
	{ "HT4", "", "", ResidueType::NON_POLYMER, false, "4-methyl-2-sulfanylphenol", 17226 },
	{ "HT5", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-(decanoylamino)-5-hydroxy-3,4-dihydro-2H-thiophenium", 17227 },
	{ "HT7", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3-AMINO-4-(1H-INDOL-3-YL)BUTANOIC ACID", 17228 },
	{ "HTA", "", "", ResidueType::NON_POLYMER, false, "N-[3-(N'-HYDROXYCARBOXAMIDO)-2-(2-METHYLPROPYL)-PROPANOYL]-O-TYROSINE-N-METHYLAMIDE", 17229 },
	{ "HTB", "", "", ResidueType::NON_POLYMER, false, "N-(1-benzofuran-2-ylmethyl)-N'-(1,2,3,4-tetrahydroacridin-9-yl)heptane-1,7-diamine", 17230 },
	{ "HTC", "", "", ResidueType::NON_POLYMER, false, "3-{[(4-CARBOXY-2-HYDROXYANILINE]SULFONYL}THIOPHENE-2-CARBOXYLIC ACID", 17231 },
	{ "HTD", "", "", ResidueType::NON_POLYMER, false, "2-[(9aR)-2,7-dimethyl-9a,10-dihydro-5H-pyrimido[4,5-d][1,3]thiazolo[3,2-a]pyrimidin-8-yl]ethyl trihydrogen diphosphate", 17232 },
	{ "HTF", "", "", ResidueType::NON_POLYMER, false, "N-(2-OXOTETRAHYDROFURAN-3-YL)OCTANAMIDE", 17233 },
	{ "HTG", "", "", ResidueType::NON_POLYMER, false, "HEPTYL 1-THIOHEXOPYRANOSIDE", 17234 },
	{ "HTH", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-heptane-1,2,3-triol", 17235 },
	{ "HTI", "", "", ResidueType::PEPTIDE_LINKING, false, "(4S)-4-{[(2S)-2-AMINO-3-OXOPROPYL]SULFANYL}-L-HOMOSERINE", 17236 },
	{ "HTJ", "", "", ResidueType::NON_POLYMER, false, "6-phenyl-1-(pyridin-4-ylmethyl)-1H-pyrazolo[3,4-b]pyridine-4-carboxylic acid", 17237 },
	{ "HTK", "", "", ResidueType::NON_POLYMER, false, "(7S)-7-hydroxy-1-phenyloctane-1,3,5-trione", 17238 },
	{ "HTL", "", "", ResidueType::NON_POLYMER, false, "2-ACETYL-THIAMINE DIPHOSPHATE", 17239 },
	{ "HTM", "", "", ResidueType::NON_POLYMER, false, "6-(3-HYDROXYPROPOXY)-5-ACETAMIDO-5,6-DIHYDRO-4-HYDROXY-4H-PYRAN-2-CARBOXYLIC ACID", 17240 },
	{ "HTN", "", "", ResidueType::PEPTIDE_LINKING, false, "(3R)-3-hydroxy-N-methyl-D-asparagine", 17241 },
	{ "HTO", "", "", ResidueType::NON_POLYMER, false, "HEPTANE-1,2,3-TRIOL", 17242 },
	{ "HTP", "", "", ResidueType::NON_POLYMER, false, "4,5,6-TRIHYDROXY-7-HYDROXYMETHYL-4,5,6,7-TETRAHYDRO-1H-[1,2,3]TRIAZOLO[1,5-A]PYRIDIN-8-YLIUM", 17243 },
	{ "HTQ", "", "", ResidueType::NON_POLYMER, false, "HOMOTROPINE", 17244 },
	{ "HTR", "", "", ResidueType::PEPTIDE_LINKING, false, "BETA-HYDROXYTRYPTOPHANE", 17245 },
	{ "HTS", "", "", ResidueType::NON_POLYMER, false, "2-MERCAPTOPHENOL", 17246 },
	{ "HTT", "", "", ResidueType::NON_POLYMER, false, "7-({4-[(3R)-3-aminopyrrolidin-1-yl]-5-chloro-6-ethyl-7H-pyrrolo[2,3-d]pyrimidin-2-yl}sulfanyl)-1,5-naphthyridin-1(4H)-ol", 17247 },
	{ "HTX", "", "", ResidueType::NON_POLYMER, false, "heptan-2-one", 17248 },
	{ "HTY", "", "", ResidueType::PEPTIDE_LINKING, false, "(betaR)-beta-hydroxy-D-tyrosine", 17249 },
	{ "HU1", "", "", ResidueType::NON_POLYMER, false, "TERT-BUTYL {(1S)-2-[(1R,2S,5S)-2-({[(1S)-3-AMINO-1-(CYCLOBUTYLMETHYL)-2,3-DIOXOPROPYL]AMINO}CARBONYL)-6,6-DIMETHYL-3-AZABICYCLO[3.1.0]HEX-3-YL]-1-CYCLOHEXYL-2-OXOETHYL}CARBAMATE", 17250 },
	{ "HU2", "", "", ResidueType::NON_POLYMER, false, "(2S)-({N-[(3S)-3-({N-[(2S,4E)-2-ISOPROPYL-7-METHYLOCT-4-ENOYL]-L-LEUCYL}AMINO)-2-OXOHEXANOYL]GLYCYL}AMINO)(PHENYL)ACETIC ACID", 17251 },
	{ "HU4", "", "", ResidueType::NON_POLYMER, false, "TERT-BUTYL {(1S)-2-[(1R,2S,5R)-2-({[(1S)-3-AMINO-1-(CYCLOBUTYLMETHYL)-2,3-DIOXOPROPYL]AMINO}CARBONYL)-7,7-DIMETHYL-6-OXA-3-AZABICYCLO[3.2.0]HEPT-3-YL]-1-CYCLOHEXYL-2-OXOETHYL}CARBAMATE", 17252 },
	{ "HU5", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,5S)-N-[(1S)-3-AMINO-1-(CYCLOBUTYLMETHYL)-2,3-DIOXOPROPYL]-3-[(2S)-2-{[(TERT-BUTYLAMINO)CARBONYL]AMINO}-3,3-DIMETHYLBUTANOYL]-6,6-DIMETHYL-3-AZABICYCLO[3.1.0]HEXANE-2-CARBOXAMIDE", 17253 },
	{ "HUB", "", "", ResidueType::NON_POLYMER, false, "HUPERZINE B", 17254 },
	{ "HUD", "", "", ResidueType::PEPTIDE_LIKE, false, "tert-butyl {(2S)-1-[(1R,2S,5S)-2-{[(2S,3R)-4-amino-1-cyclopropyl-3-hydroxy-4-oxobutan-2-yl]carbamoyl}-6,6-dimethyl-3-azabicyclo[3.1.0]hex-3-yl]-3,3-dimethyl-1-oxobutan-2-yl}carbamate", 17255 },
	{ "HUL", "", "", ResidueType::NON_POLYMER, false, "5,7-dihydroxy-2-(4-hydroxyphenyl)-6-methoxy-4H-chromen-4-one", 17256 },
	{ "HUP", "", "", ResidueType::NON_POLYMER, false, "Huperzine A", 17257 },
	{ "HUW", "", "", ResidueType::NON_POLYMER, false, "HUPRINE W", 17258 },
	{ "HUX", "", "", ResidueType::NON_POLYMER, false, "3-CHLORO-9-ETHYL-6,7,8,9,10,11-HEXAHYDRO-7,11-METHANOCYCLOOCTA[B]QUINOLIN-12-AMINE", 17259 },
	{ "HV1", "", "", ResidueType::NON_POLYMER, false, "METHYL [(1S)-1-({2-[(4R)-4-BENZYL-4-HYDROXY-5-{[(1S,2R)-2-HYDROXY-2,3-DIHYDRO-1H-INDEN-1-YL]AMINO}-5-OXOPENTANOYL]-2-(4-BROMOBENZYL)HYDRAZINO}CARBONYL)-2,2-DIMETHYLPROPYL]CARBAMATE ", 17260 },
	{ "HV5", "", "TBG", ResidueType::PEPTIDE_LINKING, true, "TERT-BUTYLALANINE", 17261 },
	{ "HV7", "", "", ResidueType::NON_POLYMER, false, "1-METHYLAMINE-2-HYDROXY-4-METHOXY-BENZENE", 17262 },
	{ "HV8", "", "", ResidueType::PEPTIDE_LIKE, false, "BENZYL-2-AMINO-PARAMETHOXY-BENZYLSTATINE", 17263 },
	{ "HV9", "", "", ResidueType::NON_POLYMER, false, "4-methyl-N-({1-[4-(trifluoromethyl)pyrimidin-2-yl]piperidin-4-yl}carbamoyl)benzene-1-sulfonamide", 17264 },
	{ "HVA", "", "", ResidueType::PEPTIDE_LINKING, false, "3-hydroxy-L-valine", 17265 },
	{ "HW0", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,4R)-4-{[5-(6-aminopyridin-2-yl)pentyl]oxy}pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 17266 },
	{ "HW1", "", "", ResidueType::NON_POLYMER, false, "6-[5-({(3R,4R)-4-[(6-amino-4-methylpyridin-2-yl)methyl]pyrrolidin-3-yl}oxy)pentyl]-4-methylpyridin-2-amine", 17267 },
	{ "HW4", "", "", ResidueType::NON_POLYMER, false, "6-{[(3S,4S)-4-{[5-(3-fluorophenyl)pentyl]oxy}pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 17268 },
	{ "HW5", "", "", ResidueType::NON_POLYMER, false, "6-{[(3S,4S)-4-{[(4E)-5-(3-fluorophenyl)pent-4-en-1-yl]oxy}pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 17269 },
	{ "HW6", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,4R)-4-{[5-(3-chloro-5-fluorophenyl)pentyl]oxy}pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 17270 },
	{ "HW7", "", "", ResidueType::NON_POLYMER, false, "6-({(3R,4R)-4-[4-(3-chloro-5-fluorophenoxy)butoxy]pyrrolidin-3-yl}methyl)-4-methylpyridin-2-amine", 17271 },
	{ "HW8", "", "", ResidueType::NON_POLYMER, false, "4-methyl-6-{[(3R,4R)-4-{[5-(pyridin-2-yl)pentyl]oxy}pyrrolidin-3-yl]methyl}pyridin-2-amine", 17272 },
	{ "HW9", "", "", ResidueType::NON_POLYMER, false, "4-methyl-6-{[(3R,4R)-4-{[5-(4-methylpyridin-2-yl)pentyl]oxy}pyrrolidin-3-yl]methyl}pyridin-2-amine", 17273 },
	{ "HWD", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-3-(2,4-DIOXO-3,4-DIHYDRO-2H-PYRIMIDIN-1-YL)-PROPIONIC ACID", 17274 },
	{ "HWG", "", "", ResidueType::NON_POLYMER, false, "N-(TERT-BUTYL)-3,5-DIMETHYL-N'-[(5-METHYL-2,3-DIHYDRO-1,4-BENZODIOXIN-6-YL)CARBONYL]BENZOHYDRAZIDE", 17275 },
	{ "HWU", "", "", ResidueType::NON_POLYMER, false, "", 17276 },
	{ "HX0", "", "", ResidueType::NON_POLYMER, false, "N,N,N-trioctyloctan-1-aminium", 17277 },
	{ "HX2", "", "", ResidueType::NON_POLYMER, false, "(2R,5R)-hexane-2,5-diol", 17278 },
	{ "HXA", "F22", "", ResidueType::NON_POLYMER, false, "DOCOSA-4,7,10,13,16,19-HEXAENOIC ACID", 17279 },
	{ "HXB", "", "", ResidueType::NON_POLYMER, false, "", 17280 },
	{ "HXC", "", "", ResidueType::NON_POLYMER, false, "HEXANOYL-COENZYME A", 17281 },
	{ "HXD", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-HYDROXYDODECANOIC ACID", 17282 },
	{ "HXG", "", "", ResidueType::NON_POLYMER, false, "1,2-dihexanoyl-sn-glycero-3-phosphocholine", 17283 },
	{ "HXH", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,3R,6R)-6-[(4-phenoxybenzyl)amino]cyclohex-4-ene-1,2,3-triol", 17284 },
	{ "HXJ", "", "", ResidueType::NON_POLYMER, false, "2-[[(E,2S,3R)-2-(hexanoylamino)-3-oxidanyl-dec-4-enoxy]-oxidanyl-phosphoryl]oxyethyl-trimethyl-azanium", 17285 },
	{ "HXK", "", "", ResidueType::NON_POLYMER, false, "2-{[3-hydroxy-5-(octyloxy)benzyl]sulfanyl}benzoic acid", 17286 },
	{ "HXL", "", "", ResidueType::NON_POLYMER, false, "2-(4-(4-CARBAMIMIDOYLPHENOXY)PHENYL)-1H-BENZO[D]IMIDAZOLE-6-CARBOXIMIDAMIDE", 17287 },
	{ "HXP", "", "", ResidueType::NON_POLYMER, false, "3,6-DIHYDROXY-XANTHENE-9-PROPIONIC ACID", 17288 },
	{ "HXS", "", "", ResidueType::NON_POLYMER, false, "4-[(1R,2S)-1-ethyl-2-(4-hydroxyphenyl)butyl]phenol", 17289 },
	{ "HXT", "", "", ResidueType::NON_POLYMER, false, "2-hydroxy-1-phenylethanone", 17290 },
	{ "HXX", "", "", ResidueType::NON_POLYMER, false, "3,6-dichloro-2-hydroxybenzoic acid", 17291 },
	{ "HXY", "", "", ResidueType::NON_POLYMER, false, "1-(4-bromobenzyl)pyrrolidine", 17292 },
	{ "HXZ", "", "", ResidueType::NON_POLYMER, false, "", 17293 },
	{ "HY0", "", "", ResidueType::NON_POLYMER, false, "HYGROMYCIN B VARIANT", 17294 },
	{ "HY1", "", "", ResidueType::NON_POLYMER, false, "PHENYLACETALDEHYDE", 17295 },
	{ "HY2", "", "", ResidueType::NON_POLYMER, false, "2-{2-[4-(3-{[(11aS)-7-methoxy-5-oxo-2,3,5,10,11,11a-hexahydro-1H-pyrrolo[2,1-c][1,4]benzodiazepin-8-yl]oxy}propyl)piperazin-1-yl]ethyl}-1H-benzo[de]isoquinoline-1,3(2H)-dione", 17296 },
	{ "HY3", "", "", ResidueType::PEPTIDE_LINKING, false, "3-HYDROXYPROLINE", 17297 },
	{ "HY4", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,3-dibutoxypropyl hydrogen (S)-propylphosphonate", 17298 },
	{ "HY7", "", "", ResidueType::NON_POLYMER, false, "8-BROMANYL-2-[(4-METHYLPIPERAZIN-1-YL)METHYL]-3H-[1]BENZOFURO[3,2-D]PYRIMIDIN-4-ONE", 17299 },
	{ "HYA", "", "", ResidueType::NON_POLYMER, false, "2,3,4,N-TETRAHYDROXY-BUTYRIMIDIC ACID", 17300 },
	{ "HYB", "", "", ResidueType::NON_POLYMER, false, "[2-(2-METHYL-PROPANE-2-SULFONYLMETHYL)-3-NAPHTHALEN-1-YL-PROPIONYL-VALINYL]-PHENYLALANINOL", 17301 },
	{ "HYC", "", "", ResidueType::NON_POLYMER, false, "O5'-[9-(3,17B-DIHYDROXY-1,3,5(10)-ESTRATRIEN-16B-YL)-NONANOYL]ADENOSINE", 17302 },
	{ "HYD", "", "OH", ResidueType::NON_POLYMER, true, "HYDROXY GROUP", 17303 },
	{ "HYE", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,4R)-2-[(S)-(1S)-cyclohex-2-en-1-yl(hydroxy)methyl]-3-hydroxy-4-(2-hydroxyethyl)-3-methyl-5-oxopyrrolidine-2-carbaldehyde", 17304 },
	{ "HYF", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-5-ISOBUTYRYL-6-METHYL-1,3,7-TRIS-(3-METHYL-BUT-2-ENYL)-6-(4-METHYL-PENT-3-ENYL)-BICYCLO[3.3.1]NON-3-ENE-2,9-DIONE", 17305 },
	{ "HYG", "", "", ResidueType::NON_POLYMER, false, "HYGROMYCIN B", 17306 },
	{ "HYH", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-hydroxyhexanamide", 17307 },
	{ "HYI", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-AMINO-4-[(2R,3R)-2,3-DIHYDROXY-3-N-HYDROXYCARBAMOYL-PROPYLMERCAPTO]BUTYRIC ACID", 17308 },
	{ "HYM", "", "", ResidueType::NON_POLYMER, false, "(4Z)-4-(2-AMINO-5-OXO-3,5-DIHYDRO-4H-IMIDAZOL-4-YLIDENE)-2,3-DICHLORO-4,5,6,7-TETRAHYDROPYRROLO[2,3-C]AZEPIN-8(1H)-ONE", 17309 },
	{ "HYN", "", "", ResidueType::NON_POLYMER, false, "imidazolidine-2,4-dione", 17310 },
	{ "HYP", "", "", ResidueType::PEPTIDE_LINKING, false, "4-HYDROXYPROLINE", 17311 },
	{ "HYQ", "", "", ResidueType::NON_POLYMER, false, "REL-(3AR,4S,7R,7AS)-3A,4,7,7A-TETRAHYDRO-2-(4-NITRO-1-NAPHTHALENYL)-4,7-ETHANO-1H-ISOINDOLE-1,3(2H)-DIONE", 17312 },
	{ "HYT", "", "", ResidueType::NON_POLYMER, false, "2-methyl-5-oxidanyl-~{N}-[2,3,5,6-tetrakis(fluoranyl)-4-phenyl-phenyl]-1,2,3-triazole-4-carboxamide", 17313 },
	{ "HYV", "", "", ResidueType::NON_POLYMER, false, "[4-(phenylmethyl)piperidin-1-yl]-[1-(5-pyrrol-1-yl-1,3,4-thiadiazol-2-yl)piperidin-4-yl]methanone", 17314 },
	{ "HYZ", "", "", ResidueType::NON_POLYMER, false, "N-[1-(3-fluorobenzyl)-1H-indazol-5-yl]-5-[(piperidin-1-ylamino)methyl]pyrimidine-4,6-diamine", 17315 },
	{ "HZ1", "", "", ResidueType::NON_POLYMER, false, "", 17316 },
	{ "HZ3", "", "", ResidueType::NON_POLYMER, false, "dimethyl (1R,4S)-5,6-bis(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hepta-2,5-diene-2,3-dicarboxylate", 17317 },
	{ "HZH", "", "", ResidueType::NON_POLYMER, false, "1,1,1-trifluoro-3-[(2-phenylethyl)sulfanyl]propan-2-one", 17318 },
	{ "HZN", "", "", ResidueType::NON_POLYMER, false, "hydrazine", 17319 },
	{ "HZP", "", "", ResidueType::PEPTIDE_LINKING, false, "(4S)-4-hydroxy-L-proline", 17320 },
	{ "I", "", "", ResidueType::RNA_LINKING, false, "INOSINIC ACID", 17321 },
	{ "I01", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-(2-FLUORO-6-HYDROXY-3-METHOXY-BENZOYL)-BENZOIC ACID (3R)-3-[(PYRIDINE-4-CARBONYL)AMINO]-AZEPAN-4-YL ESTER", 17322 },
	{ "I02", "", "", ResidueType::NON_POLYMER, false, "3-{5-[(1R)-1-AMINO-1-METHYL-2-PHENYLETHYL]-1,3,4-OXADIAZOL-2-YL}-N-[(1R)-1-(4-FLUOROPHENYL)ETHYL]-5-[METHYL(METHYLSULFONYL)AMINO]BENZAMIDE", 17323 },
	{ "I03", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-AMINO-2-BENZYL-3-HYDROXYPROPYL 3-({[(1R)-1-(4-FLUOROPHENYL)ETHYL]AMINO}CARBONYL)-5-[METHYL(METHYLSULFONYL)AMINO]BENZOATE", 17324 },
	{ "I04", "", "", ResidueType::NON_POLYMER, false, "N-{(3R,4R)-4-[4-(2-FLUORO-6-HYDROXY-3-METHOXY-BENZOYL)-BENZOYLAMINO]-AZEPAN-3-YL}ISONICOTINAMIDE", 17325 },
	{ "I05", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-N-{4-[4-(2-FLUORO-6-HYDROXY-3-METHOXY-BENZOYL)-BENZYLOXY]-AZEPAN-3-YL}-ISONICOTINAMIDE", 17326 },
	{ "I06", "", "", ResidueType::NON_POLYMER, false, "2-PHENETHYL-2,3-DIHYDRO-PHTHALAZINE-1,4-DIONE", 17327 },
	{ "I08", "", "", ResidueType::NON_POLYMER, false, "(3R,4S)-N-(4-{TRANS-2-[4-(2-FLUORO-6-HYDROXY-3-METHOXY-BENZOYL)-PHENYL]-VINYL}-AZEPAN-3-YL)-ISONICOTINAMIDE", 17328 },
	{ "I09", "", "", ResidueType::NON_POLYMER, false, "(3R,4R,5S)-3-(3-chlorophenyl)-4-(4-chlorophenyl)-4-cyano-N-[(3S)-3,4-dihydroxybutyl]-5-(2,2-dimethylpropyl)-D-prolinamide", 17329 },
	{ "I0D", "", "", ResidueType::NON_POLYMER, false, "4-chloranyl-2-methyl-5-[(2-methyl-3,4-dihydro-1~{H}-isoquinolin-5-yl)amino]pyridazin-3-one", 17330 },
	{ "I0G", "", "", ResidueType::NON_POLYMER, false, "(3AS,4R,9BR)-4-(4-HYDROXYPHENYL)-1,2,3,3A,4,9B-HEXAHYDROCYCLOPENTA[C]CHROMEN-8-OL", 17331 },
	{ "I0P", "", "", ResidueType::NON_POLYMER, false, "D-MYO INOSITOL 1,4,5,6 TETRAKISPHOSPHATE", 17332 },
	{ "I0X", "", "", ResidueType::PEPTIDE_LIKE, false, "Nalpha-[(benzyloxy)carbonyl]-N-[(1S)-1-(4-tert-butoxybenzyl)-3-diazo-2-oxopropyl]-L-phenylalaninamide", 17333 },
	{ "I0Y", "", "", ResidueType::PEPTIDE_LIKE, false, "Nalpha-[(benzyloxy)carbonyl]-N-[(2S)-1-(4-tert-butoxyphenyl)-4-hydroxy-3-oxobutan-2-yl]-L-phenylalaninamide", 17334 },
	{ "I10", "", "", ResidueType::NON_POLYMER, false, "1-[2-(3-BIPHENYL)-4-METHYLVALERYL)]AMINO-3-(2-PYRIDYLSULFONYL)AMINO-2-PROPANONE", 17335 },
	{ "I11", "", "", ResidueType::NON_POLYMER, false, "[[CYCLOHEXANESULFONYL-GLYCYL]-3[PYRIDIN-4-YL-AMINOMETHYL]ALANYL]PIPERIDINE", 17336 },
	{ "I12", "", "", ResidueType::NON_POLYMER, false, "N-[(5-METHYLISOXAZOL-3-YL)CARBONYL]-L-ALANYL-L-VALYL-N~1~-((1S)-4-ETHOXY-4-OXO-1-{[(3S)-2-OXOPYRROLIDIN-3-YL]METHYL}BUT-2-ENYL)-L-LEUCINAMIDE", 17337 },
	{ "I13", "", "", ResidueType::NON_POLYMER, false, "1-(2-{3-[(1E)-N-(2-aminoethoxy)ethanimidoyl]phenyl}propan-2-yl)-3-(4-chloro-3-nitrophenyl)urea", 17338 },
	{ "I15", "", "", ResidueType::NON_POLYMER, false, "5-[(5-fluoro-3-methyl-1H-indazol-4-yl)oxy]benzene-1,3-dicarbonitrile", 17339 },
	{ "I17", "", "", ResidueType::NON_POLYMER, false, "2-[TRANS-(4-AMINOCYCLOHEXYL)AMINO]-6-(BENZYL-AMINO)-9-CYCLOPENTYLPURINE", 17340 },
	{ "I18", "", "", ResidueType::NON_POLYMER, false, "(4S,5R)-4,5-bis(4-chlorophenyl)-2-methyl-4,5-dihydro-1H-imidazole", 17341 },
	{ "I19", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[(3S)-3-(dimethylamino)pyrrolidin-1-yl]carbonyl}phenyl)-5-fluoro-4-[2-methyl-1-(1-methylethyl)-1H-imidazol-5-yl]pyrimidin-2-amine", 17342 },
	{ "I1E", "", "", ResidueType::NON_POLYMER, false, "1-phenylpropan-1-one", 17343 },
	{ "I1H", "", "", ResidueType::NON_POLYMER, false, "3-[2-(2,4-DICHLOROPHENYL)ETHOXY]-4-METHOXY-N-[(1-PYRIDIN-4-YLPIPERIDIN-4-YL)METHYL]BENZAMIDE", 17344 },
	{ "I1N", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4R,5S,6S)-2,3,4,5,6-PENTAHYDROXYCYCLOHEXANONE", 17345 },
	{ "I1P", "", "", ResidueType::NON_POLYMER, false, "2-[4-(N-(3-DIMETHYLAMINOPROPYL)SULPHAMOYL)ANILINO]-", 17346 },
	{ "I1S", "", "", ResidueType::NON_POLYMER, false, "[(1S)-1-{[(benzyloxy)carbonyl]amino}-2-phenylethyl]phosphonic acid", 17347 },
	{ "I20", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-({(2S)-3-[(R)-[(1R)-1-({(4S)-4-amino-5-[(2S)-2-cyanopyrrolidin-1-yl]-5-oxopentanoyl}amino)ethyl](hydroxy)phosphoryl]-2-benzylpropanoyl}amino)propanoic acid", 17348 },
	{ "I21", "", "", ResidueType::NON_POLYMER, false, "2-[(5R)-5-amino-5-methyl-4,16-dioxo-14-phenyl-3-oxa-15-azatricyclo[15.3.1.1~7,11~]docosa-1(21),7(22),8,10,12,14,17,19-octaen-19-yl]benzonitrile", 17349 },
	{ "I22", "", "", ResidueType::NON_POLYMER, false, "D-ALTRO-HEPT-2-ULOSE 7-PHOSPHATE", 17350 },
	{ "I23", "", "", ResidueType::NON_POLYMER, false, "N-cycloheptyl-1-[(2,4,6-trimethylphenyl)sulfonyl]piperidine-4-carboxamide", 17351 },
	{ "I24", "", "", ResidueType::NON_POLYMER, false, "2-butoxy-9-(2,6-difluorobenzyl)-N-(2-morpholin-4-ylethyl)-9H-purin-6-amine", 17352 },
	{ "I25", "", "", ResidueType::NON_POLYMER, false, "(2R)-({4-[AMINO(IMINO)METHYL]PHENYL}AMINO){3-[3-(DIMETHYLAMINO)-2,2-DIMETHYLPROPOXY]-5-ETHYLPHENYL}ACETIC ACID", 17353 },
	{ "I26", "", "", ResidueType::NON_POLYMER, false, "(2R)-[(4-CARBAMIMIDOYLPHENYL)AMINO]{3-[3-(DIMETHYLAMINO)-2,2-DIMETHYLPROPOXY]-5-ETHYL-2-FLUOROPHENYL}ETHANOIC ACID", 17354 },
	{ "I28", "", "", ResidueType::NON_POLYMER, false, "ethyl 5-hydroxy-4-[(4-methylpiperidin-1-yl)methyl]-2-phenyl-1-benzofuran-3-carboxylate", 17355 },
	{ "I29", "", "", ResidueType::NON_POLYMER, false, "[(4S,5R)-4,5-bis(4-chlorophenyl)-2,4,5-trimethyl-4,5-dihydro-1H-imidazol-1-yl]{4-[3-(methylsulfonyl)propyl]piperazin-1-yl}methanone", 17356 },
	{ "I2A", "", "", ResidueType::NON_POLYMER, false, "Hydroxocobalamin", 17357 },
	{ "I2C", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-hydroxy{[2-hydroxy-3,5-dimethyl-6-(2-oxoethyl)pyridin-4-yl]oxy}phosphoryl]guanosine", 17358 },
	{ "I2E", "", "", ResidueType::NON_POLYMER, false, "3-(1,3-benzodioxol-5-yl)propanoic acid", 17359 },
	{ "I2H", "", "", ResidueType::NON_POLYMER, false, "5-{[(2S)-2-cyclopropyl-7,8-dimethoxy-2H-chromen-5-yl]methyl}pyrimidine-2,4-diamine", 17360 },
	{ "I2I", "", "", ResidueType::NON_POLYMER, false, "molecular iodine", 17361 },
	{ "I2M", "", "", ResidueType::PEPTIDE_LINKING, false, "3-methyl-L-alloisoleucine", 17362 },
	{ "I2O", "", "", ResidueType::NON_POLYMER, false, "N-cyclopropyl-4-methyl-3-(2'-oxo-1',2'-dihydrospiro[cyclopentane-1,3'-indol]-6'-yl)benzamide", 17363 },
	{ "I2P", "", "", ResidueType::NON_POLYMER, false, "D-MYO-INOSITOL-2,4,5-TRIPHOSPHATE", 17364 },
	{ "I30", "", "", ResidueType::NON_POLYMER, false, "N'-[(1E)-1-(1H-benzimidazol-2-yl)ethylidene]-5-bromo-2-hydroxybenzohydrazide", 17365 },
	{ "I31", "", "", ResidueType::NON_POLYMER, false, "(4S,5R)-2-(4-tert-butyl-2-ethoxyphenyl)-4,5-bis(4-chlorophenyl)-4,5-dimethyl-4,5-dihydro-1H-imidazole", 17366 },
	{ "I32", "", "", ResidueType::NON_POLYMER, false, "4-{[(2S)-3-(tert-butylamino)-2-hydroxypropyl]oxy}-3-iodo-1H-indole-2-carbonitrile", 17367 },
	{ "I37", "", "", ResidueType::NON_POLYMER, false, "4-amino-N-{1-[(cyanomethyl)carbamoyl]cyclohexyl}-3-fluorobenzamide", 17368 },
	{ "I38", "", "", ResidueType::NON_POLYMER, false, "N-(3-MERCAPTOPROPANOYL)-D-ALANINE", 17369 },
	{ "I39", "", "", ResidueType::NON_POLYMER, false, "[3-amino-2-(2-methylphenyl)-1-oxidopyridin-4-yl](2,4-difluorophenyl)methanone", 17370 },
	{ "I3A", "", "", ResidueType::NON_POLYMER, false, "1H-INDOLE-3-CARBALDEHYDE", 17371 },
	{ "I3C", "", "", ResidueType::NON_POLYMER, false, "5-amino-2,4,6-triiodobenzene-1,3-dicarboxylic acid", 17372 },
	{ "I3E", "", "", ResidueType::NON_POLYMER, false, "1-(4-ethylphenyl)propan-1-one", 17373 },
	{ "I3K", "", "", ResidueType::NON_POLYMER, false, "N-(4-chlorophenyl)-5-[(6,7-dimethoxyquinolin-4-yl)oxy]-1,3-benzoxazol-2-amine", 17374 },
	{ "I3M", "", "", ResidueType::NON_POLYMER, false, "Tri-iodode Anion", 17375 },
	{ "I3N", "", "", ResidueType::NON_POLYMER, false, "1-BENZYL-5-METHOXY-2-METHYL-1H-INDOL-3-YL)-ACETIC ACID", 17376 },
	{ "I3P", "", "", ResidueType::NON_POLYMER, false, "D-MYO-INOSITOL-1,4,5-TRIPHOSPHATE", 17377 },
	{ "I3S", "", "", ResidueType::NON_POLYMER, false, "(1S,3S,4S)-1,3,4-TRIPHOSPHO-MYO-INOSITOL", 17378 },
	{ "I40", "", "", ResidueType::NON_POLYMER, false, "9-(3-IODOBENZYLAMINO)-1,2,3,4-TETRAHYDROACRIDINE", 17379 },
	{ "I41", "", "", ResidueType::NON_POLYMER, false, "2-[[2-[[(2S)-3-(3H-IMIDAZOL-4-YL)-1-METHOXY-1-OXO-PROPAN-2-YL]AMINO]-2-OXO-ETHYL]-(PHENYLMETHYL)AMINO]ETHANOIC ACID", 17380 },
	{ "I42", "", "VO4", ResidueType::NON_POLYMER, true, "HYDROXY(DIOXIDO)OXOVANADIUM", 17381 },
	{ "I43", "", "", ResidueType::NON_POLYMER, false, "6-[3-hydroxy-2-(hydroxymethyl)prop-1-en-1-yl]-4-methoxy-1,5-dimethylpyrimidin-2(1H)-one", 17382 },
	{ "I45", "", "", ResidueType::NON_POLYMER, false, "3-{3-bromo-4-[(2,4-difluorobenzyl)oxy]-6-methyl-2-oxopyridin-1(2H)-yl}-N,4-dimethylbenzamide", 17383 },
	{ "I46", "", "", ResidueType::NON_POLYMER, false, "2-fluoro-4-[4-(4-fluorophenyl)-1H-pyrazol-3-yl]pyridine", 17384 },
	{ "I47", "", "", ResidueType::NON_POLYMER, false, "2-{4-[5-(4-chlorophenyl)-4-pyrimidin-4-yl-1H-pyrazol-3-yl]piperidin-1-yl}-2-oxoethanol", 17385 },
	{ "I48", "", "", ResidueType::NON_POLYMER, false, "N-{3-METHYL-5-[2-(PYRIDIN-4-YLAMINO)-ETHOXY]-PHENYL}-BENZENESULFONAMIDE", 17386 },
	{ "I4A", "", "", ResidueType::NON_POLYMER, false, "5-(3-carbamoylbenzyl)-5,6,7,8,9,10-hexahydrocyclohepta[b]indole-4-carboxylic acid", 17387 },
	{ "I4B", "", "", ResidueType::NON_POLYMER, false, "ISOBUTYLBENZENE", 17388 },
	{ "I4D", "", "", ResidueType::NON_POLYMER, false, "D-MYO-INOSITOL-4-PHOSPHATE", 17389 },
	{ "I4G", "", "", ResidueType::PEPTIDE_LINKING, false, "N-(2-methylpropyl)glycine", 17390 },
	{ "I4I", "", "", ResidueType::NON_POLYMER, false, "3-hydroxy-N-[(2R,5R,6S,9S,10S,11R)-10-hydroxy-5,11-dimethyl-3,7,12-trioxo-2-(propan-2-yl)-9-(pyridin-3-ylmethyl)-1,4-dioxa-8-azacyclododecan-6-yl]pyridine-2-carboxamide", 17391 },
	{ "I4P", "", "", ResidueType::NON_POLYMER, false, "(1S,3R,4R,6S)-1,3,4,6-TETRAPKISPHOSPHATE", 17392 },
	{ "I4U", "", "", ResidueType::RNA_LINKING, false, "", 17393 },
	{ "I50", "", "", ResidueType::NON_POLYMER, false, "N-[2-({[amino(imino)methyl]amino}oxy)ethyl]-2-{6-chloro-3-[(2,2-difluoro-2-phenylethyl)amino]-2-fluorophenyl}acetamide", 17394 },
	{ "I51", "", "", ResidueType::NON_POLYMER, false, "6-[3-hydroxy-2-(hydroxymethyl)prop-1-en-1-yl]-5-methylpyrimidine-2,4(1H,3H)-dione", 17395 },
	{ "I52", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(1-HYDROXYCARBAMOYL-2-METHYL-PROPYL)-(2-MORPHOLIN-4-YL-ETHYL)-SULFAMOYL]-4-PENTYL-BENZAMIDE", 17396 },
	{ "I53", "", "", ResidueType::NON_POLYMER, false, "2-[2-[[3-(1~{H}-benzimidazol-2-ylamino)propylamino]methyl]-4,6-bis(chloranyl)indol-1-yl]ethanol", 17397 },
	{ "I57", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{R},4~{S})-3-(2-methylpropanoylamino)-4-(4-phenyl-1,2,3-triazol-1-yl)-2-[(1~{R},2~{R})-1,2,3-tris(oxidanyl)propyl]-3,4-dihydro-2~{H}-pyran-6-carboxylic acid", 17398 },
	{ "I58", "", "", ResidueType::PEPTIDE_LINKING, false, "4R-FLUORO-N6-ETHANIMIDOYL-L-LYSINE", 17399 },
	{ "I59", "", "", ResidueType::NON_POLYMER, false, "HYDROXY(1-NAPHTHYL)METHYLPHOSPHONIC ACID", 17400 },
	{ "I5A", "", "", ResidueType::NON_POLYMER, false, "5'-deoxy-5'-iodocytidine", 17401 },
	{ "I5C", "", "C38", ResidueType::DNA_LINKING, true, "5-IODO-2'-DEOXY-CYTIDINE-5'-MONOPHOSPHATE", 17402 },
	{ "I5H", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-(1H-indol-3-ylmethyl)imidazolidine-2,4-dione", 17403 },
	{ "I5I", "", "", ResidueType::NON_POLYMER, false, "2-(5-isothiocyanato-1-benzofuran-2-yl)-4,5-dihydro-1H-imidazole", 17404 },
	{ "I5P", "", "", ResidueType::NON_POLYMER, false, "INOSITOL-(1,3,4,5,6)-PENTAKISPHOSPHATE", 17405 },
	{ "I5R", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(1H-indol-3-ylmethyl)-1,4-dihydropyrido[2,3-b]pyrazin-3(2H)-one", 17406 },
	{ "I5S", "", "", ResidueType::NON_POLYMER, false, "ISOQUINOLINE-5-SULFONIC ACID (2-(2-(4-CHLOROBENZYLOXY)ETHYLAMINO)ETHYL)AMIDE", 17407 },
	{ "I5T", "", "", ResidueType::NON_POLYMER, false, "4-oxidanylidene-N-[(1S,2R)-2-phenylcyclopropyl]spiro[3H-chromene-2,4'-piperidine]-1'-carboxamide", 17408 },
	{ "I5U", "", "", ResidueType::NON_POLYMER, false, "N',N'-{[(2R)-3-aminopropane-1,2-diyl]bis(oxymethanediylbenzene-3,1-diyl)}dithiophene-2-carboximidamide", 17409 },
	{ "I5W", "", "", ResidueType::NON_POLYMER, false, "(~{E})-3-[3-(2-methyl-5-phenyl-phenyl)-4-oxidanyl-phenyl]prop-2-enoic acid", 17410 },
	{ "I63", "", "", ResidueType::NON_POLYMER, false, "{3-[(1R)-3-(3,4-dimethoxyphenyl)-1-({[(2S)-1-(3,3-dimethyl-2-oxopentanoyl)piperidin-2-yl]carbonyl}oxy)propyl]phenoxy}acetic acid", 17411 },
	{ "I66", "", "", ResidueType::NON_POLYMER, false, "ethyl 5-hydroxy-2-phenyl-4-(pyrrolidin-1-ylmethyl)-1-benzofuran-3-carboxylate", 17412 },
	{ "I6G", "", "", ResidueType::NON_POLYMER, false, "8-methoxy-2,3-dimethylquinoxalin-5-ol", 17413 },
	{ "I6P", "", "", ResidueType::NON_POLYMER, false, "INOSITOL 1,2,3,4,5,6-HEXAKISPHOSPHATE", 17414 },
	{ "I6X", "", "", ResidueType::NON_POLYMER, false, "5-{(1R)-3-amino-4-fluoro-1-[3-(5-prop-1-yn-1-ylpyridin-3-yl)phenyl]-1H-isoindol-1-yl}-1-ethyl-3-methylpyridin-2(1H)-one", 17415 },
	{ "I73", "", "", ResidueType::NON_POLYMER, false, "(3S,4S)-4-[[[7-[(phenylmethyl)amino]-3-propan-2-yl-pyrazolo[1,5-a]pyrimidin-5-yl]amino]methyl]piperidin-3-ol", 17416 },
	{ "I74", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-4-[[[7-[(phenylmethyl)amino]-3-propan-2-yl-pyrazolo[1,5-a]pyrimidin-5-yl]amino]methyl]piperidin-3-ol", 17417 },
	{ "I75", "", "", ResidueType::NON_POLYMER, false, "1-(4-hydroxy-3-methoxyphenyl)ethanone", 17418 },
	{ "I76", "", "", ResidueType::NON_POLYMER, false, "3-{6-[(3-chlorobenzyl)oxy]naphthalen-2-yl}-1-(propan-2-yl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 17419 },
	{ "I79", "", "", ResidueType::NON_POLYMER, false, "{1-[(5-chloro-2-methyl-1-benzothiophen-3-yl)methyl]-6-(3,5-diaminophenyl)-1H-indol-3-yl}acetic acid", 17420 },
	{ "I7A", "", "", ResidueType::NON_POLYMER, false, "4,5-DICHLOROBENZENE-1,3-DISULFONAMIDE", 17421 },
	{ "I7B", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-6-CHLOROBENZENE-1,3-DISULFONAMIDE", 17422 },
	{ "I7C", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-6-(TRIFLUOROMETHYL)BENZENE-1,3-DISULFONAMIDE", 17423 },
	{ "I7P", "", "", ResidueType::NON_POLYMER, false, "(1r,2R,3S,4s,5R,6S)-2,3,4,5,6-pentakis(phosphonooxy)cyclohexyl trihydrogen diphosphate", 17424 },
	{ "I7T", "", "", ResidueType::NON_POLYMER, false, "7-IODOTETRACYCLINE", 17425 },
	{ "I83", "", "", ResidueType::NON_POLYMER, false, "bis(chloranyl)-(dimethylamino)-(methylamino)platinum", 17426 },
	{ "I84", "", "", ResidueType::NON_POLYMER, false, "[2,6-DIMETHYL-4-(2-O-TOLYL-ACETYLAMINO)-BENZENESULFONYL]-GLYCINE", 17427 },
	{ "I85", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(3S)-4'-oxo-1',4',5',6'-tetrahydrospiro[piperidine-3,7'-pyrrolo[3,2-c]pyridin]-2'-yl]pyridin-2-yl}-3-(trifluoromethyl)benzamide", 17428 },
	{ "I8P", "", "", ResidueType::NON_POLYMER, false, "(1R,3S,4R,5S,6R)-2,4,5,6-tetrakis(phosphonooxy)cyclohexane-1,3-diyl bis[trihydrogen (diphosphate)]", 17429 },
	{ "I92", "", "", ResidueType::NON_POLYMER, false, "4-(2-bromophenyl)-2,4-dioxobutanoic acid", 17430 },
	{ "I93", "", "", ResidueType::NON_POLYMER, false, "4-(2-chloro-6-fluoro-3-methylphenyl)-2,4-dioxobutanoic acid", 17431 },
	{ "I96", "", "", ResidueType::NON_POLYMER, false, "N-(2-ISOPROPYLPHENYL)-3-[(2-THIENYLMETHYL)THIO]-1H-1,2,4-TRIAZOL-5-AMINE", 17432 },
	{ "I98", "", "", ResidueType::NON_POLYMER, false, "{2-[(4-amino-2-fluorobenzyl)carbamoyl]-5-chlorophenoxy}acetic acid", 17433 },
	{ "I9H", "", "", ResidueType::NON_POLYMER, false, "", 17434 },
	{ "IA", "", "", ResidueType::NON_POLYMER, false, "2'-(3-IODOPHENYL)-5-(4-METHYL-1-PIPERAZINYL)-2,5'-BI-BENZIMIDAZOLE", 17435 },
	{ "IA2", "", "", ResidueType::NON_POLYMER, false, "2,4-DICHLORO-6-(3,4,5-TRICHLORO-1H-PYRROL-2YL)PHENOL", 17436 },
	{ "IA7", "", "", ResidueType::NON_POLYMER, false, "5,7-bis(azanyl)-2-tert-butyl-4-(1,3-thiazol-2-yl)pyrido[2,3-d]pyrimidine-6-carbonitrile", 17437 },
	{ "IA9", "", "", ResidueType::NON_POLYMER, false, "2-chloro-4-fluoro-3-methyl-N-[2-(4-methylpiperazin-1-yl)-5-nitrophenyl]benzamide", 17438 },
	{ "IAA", "", "", ResidueType::NON_POLYMER, false, "", 17439 },
	{ "IAB", "", "", ResidueType::SACCHARIDE, false, "ISO-ACARBOSE", 17440 },
	{ "IAC", "", "", ResidueType::NON_POLYMER, false, "1H-INDOL-3-YLACETIC ACID", 17441 },
	{ "IAD", "", "", ResidueType::NON_POLYMER, false, "N-[1H-INDOL-3-YL-ACETYL]ASPARTIC ACID", 17442 },
	{ "IAG", "", "", ResidueType::NON_POLYMER, false, "N-[1H-INDOL-3-YL-ACETYL]GLYCINE ACID", 17443 },
	{ "IAM", "", "", ResidueType::PEPTIDE_LINKING, false, "4-[(ISOPROPYLAMINO)METHYL]PHENYLALANINE", 17444 },
	{ "IAN", "", "", ResidueType::NON_POLYMER, false, "methyl hydrogen (R)-[(R)-methoxy(phenyl)methyl]phosphonate", 17445 },
	{ "IAP", "", "", ResidueType::NON_POLYMER, false, "4-IODO-ACETAMIDO PHENYLBORONIC ACID", 17446 },
	{ "IAQ", "", "", ResidueType::NON_POLYMER, false, "(2Z)-4-(dimethylamino)-N-{7-fluoro-4-[(2-methylphenyl)amino]imidazo[1,5-a]quinoxalin-8-yl}-N-methylbut-2-enamide", 17447 },
	{ "IAR", "", "", ResidueType::PEPTIDE_LINKING, false, "(2E)-5-[(diaminomethylidene)amino]-2-iminopentanoic acid", 17448 },
	{ "IAS", "", "", ResidueType::BETA_PEPTIDE_LINKING, false, "BETA-L-ASPARTIC ACID", 17449 },
	{ "IAV", "", "", ResidueType::NON_POLYMER, false, "N-[1H-INDOL-3-YL-ACETYL]VALINE ACID", 17450 },
	{ "IB", "", "", ResidueType::NON_POLYMER, false, "2'-(3-IODO-4-METHOXYPHENYL)-5-(4-METHYL-1-PIPERAZINYL)-2,5'-BI-BENZIMIDAZOLE", 17451 },
	{ "IB1", "", "", ResidueType::NON_POLYMER, false, "4-{[4-(2,6-difluoro-4-methoxybenzene-1-carbonyl)pyrimidin-2-yl]amino}benzonitrile", 17452 },
	{ "IB2", "", "", ResidueType::NON_POLYMER, false, "P1-P2-METHYLENE-P3-THIO-DIADENOSINE TRIPHOSPHATE", 17453 },
	{ "IB3", "", "", ResidueType::NON_POLYMER, false, "[(1S)-4-[hydroxy(methyl)amino]-1-(4-methylphenyl)-4-oxobutyl]phosphonic acid", 17454 },
	{ "IB8", "", "", ResidueType::NON_POLYMER, false, "(7R)-14-cyclohexyl-7-{[2-(dimethylamino)ethyl](methyl)amino}-7,8-dihydro-6H-indolo[1,2-e][1,5]benzoxazocine-11-carboxylic acid", 17455 },
	{ "IBA", "", "", ResidueType::NON_POLYMER, false, "4-[(2R)-2-(AMINOMETHYL)-2-(HYDROXYMETHYL)-5-OXOPYRROLIDIN-1-YL]-3-[(1-ETHYLPROPYL)AMINO]BENZOIC ACID", 17456 },
	{ "IBB", "", "", ResidueType::NON_POLYMER, false, "5-(2-IMIDAZOLINYL)-2-[2-(4-HYDROXYPHENYL)-5-BENZIMIDAZOLYL]BENZIMIDAZOLE", 17457 },
	{ "IBC", "", "", ResidueType::NON_POLYMER, false, "3-(3-HYDROXY-7,8-DIHYDRO-6H-CYCLOHEPTA[D]ISOXAZOL-4-YL)-L-ALANINE", 17458 },
	{ "IBD", "", "", ResidueType::NON_POLYMER, false, "2-amino-4-{2,4-dichloro-5-[2-(diethylamino)ethoxy]phenyl}-N-ethylthieno[2,3-d]pyrimidine-6-carboxamide", 17459 },
	{ "IBF", "", "", ResidueType::NON_POLYMER, false, "1,2,3,4,5-pentafluoro-6-iodobenzene", 17460 },
	{ "IBG", "", "", ResidueType::NON_POLYMER, false, "GAMMA-GLUTAMYL[S-(2-IODOBENZYL)CYSTEINYL]GLYCINE", 17461 },
	{ "IBH", "", "", ResidueType::NON_POLYMER, false, "(NZ)-2-[2,6-bis(fluoranyl)phenyl]-N-[5-[(1S)-1-(4-methyl-1,3-thiazol-2-yl)-1-oxidanyl-ethyl]-3H-1,3,4-thiadiazol-2-ylidene]ethanamide", 17462 },
	{ "IBI", "", "", ResidueType::NON_POLYMER, false, "N-{trans-4-[4-(cyclopropylmethyl)piperazin-1-yl]cyclohexyl}-4-{[(7R)-7-ethyl-5-methyl-8-(1-methylethyl)-6-oxo-5,6,7,8-tetrahydropteridin-2-yl]amino}-3-methoxybenzamide", 17463 },
	{ "IBK", "", "", ResidueType::NON_POLYMER, false, "N-isobutyl-2-{[5-(thiophen-2-yl)-1,2-oxazol-3-yl]methoxy}acetamide", 17464 },
	{ "IBM", "", "", ResidueType::NON_POLYMER, false, "3-ISOBUTYL-1-METHYLXANTHINE", 17465 },
	{ "IBN", "", "", ResidueType::NON_POLYMER, false, "2-METHYLPROPAN-1-AMINE", 17466 },
	{ "IBO", "", "", ResidueType::NON_POLYMER, false, "2-METHYLPROPANAMIDE", 17467 },
	{ "IBP", "", "", ResidueType::NON_POLYMER, false, "IBUPROFEN", 17468 },
	{ "IBQ", "", "", ResidueType::NON_POLYMER, false, "IODO-BEDAQUILINE", 17469 },
	{ "IBR", "", "", ResidueType::NON_POLYMER, false, "", 17470 },
	{ "IBS", "", "", ResidueType::NON_POLYMER, false, "L-ALPHA-GLYCEROPHOSPHO-D-MYO-INOSITOL-4,5-BIS-PHOSPHATE", 17471 },
	{ "IBU", "", "", ResidueType::NON_POLYMER, false, "2-methylpropyl hydrogen carbonate", 17472 },
	{ "IBZ", "", "", ResidueType::NON_POLYMER, false, "2-IODOBENZYLTHIO GROUP", 17473 },
	{ "IC", "", "", ResidueType::RNA_LINKING, false, "ISOCYTIDINE-5'-MONOPHOSPHATE", 17474 },
	{ "IC1", "", "", ResidueType::NON_POLYMER, false, "3-[(2,4,6-TRIMETHOXY-PHENYL)-METHYLENE]-INDOLIN-2-ONE", 17475 },
	{ "IC3", "", "", ResidueType::NON_POLYMER, false, "[2-(5-amino-4-cyano-1H-pyrazol-1-yl)-5-(trifluoromethyl)phenyl](hydroxy)oxoammonium", 17476 },
	{ "IC8", "", "", ResidueType::NON_POLYMER, false, "2-[(6-AMINO-9H-PURIN-9-YL)METHYL]-5-METHYL-3-(2-METHYLPHENYL)QUINAZOLIN-4(3H)-ONE", 17477 },
	{ "IC9", "", "", ResidueType::NON_POLYMER, false, "N-methyl-1-[(4-methylbenzyl)sulfonyl]methanamine", 17478 },
	{ "ICA", "", "", ResidueType::NON_POLYMER, false, "ISOCITRATE CALCIUM COMPLEX", 17479 },
	{ "ICB", "", "", ResidueType::NON_POLYMER, false, "1H-indole-2-carboxylic acid", 17480 },
	{ "ICC", "", "", ResidueType::NON_POLYMER, false, "azepan-2-one", 17481 },
	{ "ICD", "", "", ResidueType::NON_POLYMER, false, "4-hydroxy-2-methyl-N-(5-methyl-1,2-oxazol-3-yl)-2H-1,2-benzothiazine-3-carboxamide 1,1-dioxide", 17482 },
	{ "ICE", "", "", ResidueType::NON_POLYMER, false, "iron-sulfur-molybdenum cluster with interstitial carbon", 17483 },
	{ "ICF", "", "", ResidueType::NON_POLYMER, false, "1-CHLORO-2,2,2-TRIFLUOROETHYL DIFLUOROMETHYL ETHER", 17484 },
	{ "ICG", "", "", ResidueType::NON_POLYMER, false, "iron-sulfur-molybdenum cluster with interstitial carbon with selenium incorporated", 17485 },
	{ "ICH", "", "", ResidueType::NON_POLYMER, false, "iron-sulfur-molybdenum cluster with interstitial carbon with selenium incorporated", 17486 },
	{ "ICI", "", "ICT", ResidueType::NON_POLYMER, true, "ISOCITRIC ACID", 17487 },
	{ "ICJ", "", "", ResidueType::NON_POLYMER, false, "(1R,3S,5Z)-5-[(2E)-2-{(1R,3aS,7aR)-1-[(1R,2S,4R)-2-butyl-4-hydroxy-1,5-dimethylhexyl]-7a-methyloctahydro-4H-inden-4-ylidene}ethylidene]-4-methylidenecyclohexane-1,3-diol", 17488 },
	{ "ICL", "", "", ResidueType::NON_POLYMER, false, "[1-(3-CHLORO-2-FORMYL-PHENYLCARBAMOYL)-2-METHYL-PROPYL]-CARBAMIC ACID TERT-BUTYL ESTER", 17489 },
	{ "ICN", "", "", ResidueType::NON_POLYMER, false, "(S)-2-HYDROXY-2,3-DIMETHYLBUTANENITRILE", 17490 },
	{ "ICO", "", "", ResidueType::NON_POLYMER, false, "1H-INDOLE-3-CARBOXYLIC ACID", 17491 },
	{ "ICP", "", "", ResidueType::NON_POLYMER, false, "2-METHYL-5-METHYLENE-5H-PYRIMIDIN-4-YLIDENEAMINE", 17492 },
	{ "ICR", "", "", ResidueType::NON_POLYMER, false, "(4R)-5-IMINO-1-(5-O-PHOSPHONO-BETA-D-RIBOFURANOSYL)-4,5-DIHYDRO-1H-IMIDAZOLE-4-CARBOXYLIC ACID", 17493 },
	{ "ICS", "", "", ResidueType::NON_POLYMER, false, "iron-sulfur-molybdenum cluster with interstitial carbon", 17494 },
	{ "ICT", "ICI", "", ResidueType::NON_POLYMER, false, "ISOCITRIC ACID", 17495 },
	{ "ICU", "", "", ResidueType::NON_POLYMER, false, "METHYL(2-ACETOXY-2-(2-CARBOXY-4-AMINO-PHENYL))ACETATE", 17496 },
	{ "ICX", "", "", ResidueType::NON_POLYMER, false, "methyl N-[(5Z)-6-({[4-(4-iodobenzyl)phenyl]carbonyl}amino)hex-5-enoyl]glycinate", 17497 },
	{ "ICY", "", "", ResidueType::PEPTIDE_LINKING, false, "S-(2-iodobenzyl)-L-cysteine", 17498 },
	{ "ID1", "", "", ResidueType::NON_POLYMER, false, " Imipenem", 17499 },
	{ "ID2", "", "", ResidueType::NON_POLYMER, false, "5-IODODEOXYURIDINE", 17500 },
	{ "ID3", "", "", ResidueType::NON_POLYMER, false, "(3E)-4-(2,6,6-trimethylcyclohex-1-en-1-yl)but-3-en-2-one", 17501 },
	{ "ID4", "", "", ResidueType::NON_POLYMER, false, "4-[4-(cyclohexylmethyl)-1H-1,2,3-triazol-1-yl]-2,3,5,6-tetrafluorobenzenesulfonamide", 17502 },
	{ "ID5", "", "", ResidueType::NON_POLYMER, false, "[5-FLUORO-2-({[(4,5,7-TRIFLUORO-1,3-BENZOTHIAZOL-2-YL)METHYL]AMINO}CARBONYL)PHENOXY]ACETIC ACID", 17503 },
	{ "ID6", "", "", ResidueType::NON_POLYMER, false, "2-(4-chlorobenzyl)-8-ethoxy-1,3-dimethylcyclohepta[c]pyrrol-4(2H)-one", 17504 },
	{ "ID8", "", "", ResidueType::NON_POLYMER, false, "2-[(2,3-DIMETHYLPHENYL)AMINO]BENZOIC ACID", 17505 },
	{ "IDA", "", "", ResidueType::NON_POLYMER, false, "(2-CARBAMOYLMETHYL-5-PROPYL-OCTAHYDRO-INDOL-7-YL)ACETIC ACID", 17506 },
	{ "IDB", "", "", ResidueType::NON_POLYMER, false, "3-[5-[(3-CARBOXY-2,4,6-TRIIODO-PHENYL)CARBAMOYL]PENTANOYLAMINO]-2,4,6-TRIIODO-BENZOIC ACID", 17507 },
	{ "IDC", "", "", ResidueType::NON_POLYMER, false, "5-HYDROXYMETHYL-5,6,7,8-TETRAHYDRO-IMIDAZO[1,2-A]PYRIDIN-6YL-7,8-DIOL-GLUCOPYRANOSIDE", 17508 },
	{ "IDD", "", "", ResidueType::NON_POLYMER, false, "(5R,6R,7S,8S)-5-(HYDROXYMETHYL)-2-PHENYL-5,6,7,8-TETRAHYDROIMIDAZO[1,2-A]PYRIDINE-6,7,8-TRIOL", 17509 },
	{ "IDE", "", "", ResidueType::NON_POLYMER, false, "(5R,6R,7S,8S)-3-(ANILINOMETHYL)-5,6,7,8-TETRAHYDRO-5-(HYDROXYMETHYL)-IMIDAZO[1,2-A]PYRIDINE-6,7,8-TRIOL", 17510 },
	{ "IDF", "", "", ResidueType::NON_POLYMER, false, "5-fluoro-alpha-L-idopyranosyluronic acid fluoride", 17511 },
	{ "IDG", "PA4", "", ResidueType::SACCHARIDE, false, "O-2,6-DIAMINO-2,6-DIDEOXY-BETA-L-IDOPYRANOSE", 17512 },
	{ "IDH", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-IODODIHYDRO-2,4(1H,3H)-PYRIMIDINEDIONE", 17513 },
	{ "IDI", "", "", ResidueType::NON_POLYMER, false, "7-IODO-1,2,3,4-TETRAHYDRO-ISOQUINOLINE", 17514 },
	{ "IDJ", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4R,5S)-3,4,5-trihydroxypiperidine-2-carboxylic acid", 17515 },
	{ "IDK", "", "", ResidueType::NON_POLYMER, false, "N-[6-(3-{[(cyclopropylmethyl)sulfonyl]amino}phenyl)-1H-indazol-3-yl]cyclopropanecarboxamide", 17516 },
	{ "IDL", "", "", ResidueType::NON_POLYMER, false, "imidazo[1,2-a]pyridin-3-ylacetic acid", 17517 },
	{ "IDM", "", "", ResidueType::NON_POLYMER, false, "INDOLINE", 17518 },
	{ "IDN", "", "", ResidueType::NON_POLYMER, false, "(E)-N-METHYL-N-(1-METHYL-1H-INDOL-3-YLMETHYL)-3-(7-OXO-5,6,7,8-TETRAHYDRO-[1,8]NAPHTHYRIDIN-3-YL)-ACRYLAMIDE", 17519 },
	{ "IDO", "", "IOD", ResidueType::NON_POLYMER, true, "IODO GROUP", 17520 },
	{ "IDP", "", "", ResidueType::NON_POLYMER, false, "INOSINE-5'-DIPHOSPHATE", 17521 },
	{ "IDQ", "", "", ResidueType::NON_POLYMER, false, "1-[[4-(aminomethyl)phenyl]methyl]-2-butyl-imidazo[4,5-c]quinolin-4-amine", 17522 },
	{ "IDR", "", "", ResidueType::SACCHARIDE, false, "L-IDURONIC ACID", 17523 },
	{ "IDS", "2SI", "", ResidueType::SACCHARIDE, false, "2-O-sulfo-alpha-L-idopyranuronic acid", 17524 },
	{ "IDT", "", "GCD", ResidueType::SACCHARIDE, true, "4,5-DEHYDRO-L-IDURONIC ACID", 17525 },
	{ "IDU", "", "", ResidueType::SACCHARIDE, false, "2-O-sulfo-beta-L-altropyranuronic acid", 17526 },
	{ "IDV", "", "", ResidueType::NON_POLYMER, false, "N-(6-{3-[(dimethylsulfamoyl)amino]phenyl}-1H-indazol-3-yl)cyclopropanecarboxamide", 17527 },
	{ "IDX", "", "", ResidueType::SACCHARIDE, false, "2-O-sulfo-alpha-L-gulopyranuronic acid", 17528 },
	{ "IDY", "", "", ResidueType::SACCHARIDE, false, "methyl 2-O-sulfo-alpha-L-idopyranosiduronic acid", 17529 },
	{ "IDZ", "", "", ResidueType::NON_POLYMER, false, "3-(1H-BENZIMIDAZOL-2-YL)-1H-INDAZOLE", 17530 },
	{ "IE2", "", "", ResidueType::NON_POLYMER, false, "4-(7-methylpyrazolo[3',4':4,5]thiopyrano[2,3-b]pyridin-1(4H)-yl)benzenesulfonamide", 17531 },
	{ "IE4", "", "", ResidueType::NON_POLYMER, false, "N-(2-aminoethyl)-5-{1H-pyrrolo[2,3-b]pyridin-3-yl}thiophene-2-sulfonamide", 17532 },
	{ "IE6", "", "", ResidueType::NON_POLYMER, false, "N-(2-aminoethyl)-5-{2-methyl-1H-pyrrolo[2,3-b]pyridin-4-yl}thiophene-2-sulfonamide", 17533 },
	{ "IE8", "", "", ResidueType::NON_POLYMER, false, "5-[(1R)-2-amino-1-phenylethoxy]-2-(furan-3-yl)-3-{1H-pyrrolo[2,3-b]pyridin-3-yl}pyridine", 17534 },
	{ "IEE", "", "", ResidueType::NON_POLYMER, false, "6-CHLORO-4-N-[(4-METHYLPHENYL)METHYL]PYRIMIDINE- 2,4-DIAMINE", 17535 },
	{ "IEF", "", "", ResidueType::NON_POLYMER, false, "propan-2-yl (R)-tridec-12-en-1-ylphosphonofluoridate", 17536 },
	{ "IEJ", "", "", ResidueType::NON_POLYMER, false, "O-TOLUENESULFONAMIDE", 17537 },
	{ "IEL", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-[(1Z)-ethanimidoyl]-L-lysine", 17538 },
	{ "IEM", "", "", ResidueType::NON_POLYMER, false, "5-ACETAMIDO-5,6-DIHYDRO-4-HYDROXY-6-ISOBUTOXY-4H-PYRAN-2-CARBOXYLIC ACID", 17539 },
	{ "IEO", "", "", ResidueType::NON_POLYMER, false, "3-cyano-4-(piperidin-4-yloxy)-1H-indole-7-carboxamide", 17540 },
	{ "IES", "", "", ResidueType::NON_POLYMER, false, "propan-2-yl N-[(2S,4R)-1-ethanoyl-2-methyl-6-[4-[[8-(oxidanylamino)-8-oxidanylidene-octanoyl]amino]phenyl]-3,4-dihydro-2H-quinolin-4-yl]carbamate", 17541 },
	{ "IET", "", "", ResidueType::NON_POLYMER, false, "1-(4-CYANO-PHENYL)-3-[2-(2,6-DICHLORO-PHENYL)-1-IMINO-ETHYL]-THIOUREA", 17542 },
	{ "IEY", "", "", ResidueType::PEPTIDE_LINKING, false, "2-((1E)-2-(5-IMIDAZOLYL)ETHENYL)-4-(P-HYDROXYBENZYLIDENE)-5-IMIDAZOLINONE", 17543 },
	{ "IF6", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3R,4S,5S,6R)-7-(8-AZIDOOCTYL)-3,4,5-TRIHYDROXY-", 17544 },
	{ "IF7", "", "", ResidueType::NON_POLYMER, false, "(3S,4S,5R)-5-(hydroxymethyl)-3,4-bis(oxidanyl)piperidin-2-one", 17545 },
	{ "IFA", "", "", ResidueType::NON_POLYMER, false, "", 17546 },
	{ "IFB", "", "", ResidueType::NON_POLYMER, false, "N-[(2',4'-DIFLUORO-4-HYDROXY-5-IODOBIPHENYL-3-YL)CARBONYL]-BETA-ALANINE", 17547 },
	{ "IFC", "", "", ResidueType::NON_POLYMER, false, "N-[2-methyl-5-({[3-(4-methyl-1H-imidazol-1-yl)-5-(trifluoromethyl)phenyl]carbonyl}amino)phenyl]isoxazole-5-carboxamide", 17548 },
	{ "IFG", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S,5R)-2-ACETAMIDO-3,4-DIHYDROXY-5-HYDROXYMETHYL-PIPERIDINE", 17549 },
	{ "IFL", "", "", ResidueType::NON_POLYMER, false, "(3S,4R,5R)-3,4-DIHYDROXY-5-(HYDROXYMETHYL)PIPERIDIN-2-ONE", 17550 },
	{ "IFM", "", "", ResidueType::NON_POLYMER, false, "5-HYDROXYMETHYL-3,4-DIHYDROXYPIPERIDINE", 17551 },
	{ "IFP", "", "", ResidueType::NON_POLYMER, false, "2-TRIFLUOROMETHYL-5-METHYLENE-5H-PYRIMIDIN-4-YLIDENEAMINE", 17552 },
	{ "IFS", "", "", ResidueType::NON_POLYMER, false, "bis(1-methylethyl) [2-(sulfanylmethyl)phenyl]phosphonate", 17553 },
	{ "IG", "", "", ResidueType::RNA_LINKING, false, "ISOGUANOSINE-5'-MONOPHOSPHATE", 17554 },
	{ "IG2", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-2,3-dihydroxy-3-(1H-imidazol-5-yl)propyl dihydrogen phosphate", 17555 },
	{ "IGA", "", "", ResidueType::NON_POLYMER, false, "6-amino-3,7-dihydro-2H-purin-2-one", 17556 },
	{ "IGC", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R,3E)-1-({[ALPHA-D-GALACTOPYRANOSYL-(1->3)-BETA-D-GALACTOPYRANOSYL-(1->4)-BETA-D-GLUCOPYRANOSYL]OXY}METHYL)-2-HYDROXYHEPTADEC-3-EN-1-YL]OCTANAMIDE", 17557 },
	{ "IGF", "", "", ResidueType::NON_POLYMER, false, "N,2,5-trimethyl-3-thiophenesulfonamide", 17558 },
	{ "IGL", "", "", ResidueType::PEPTIDE_LINKING, false, "ALPHA-AMINO-2-INDANACETIC ACID", 17559 },
	{ "IGM", "", "", ResidueType::NON_POLYMER, false, "2,4-bis(chloranyl)-N-[3-cyano-6-[(4-hydroxyphenyl)methyl]-5,7-dihydro-4H-thieno[2,3-c]pyridin-2-yl]-5-morpholin-4-ylsulfonyl-benzamide", 17560 },
	{ "IGN", "", "", ResidueType::NON_POLYMER, false, "{[(1R)-2-((2S)-2-{[(3-{[AMINO(IMINO)METHYL]AMINO}PROPYL)AMINO]CARBONYL}PIPERIDINYL)-1-(CYCLOHEXYLMETHYL)-2-OXOETHYL]AMINO}ACETIC ACID", 17561 },
	{ "IGP", "", "", ResidueType::NON_POLYMER, false, "INDOLE-3-GLYCEROL PHOSPHATE", 17562 },
	{ "IGU", "0UH", "", ResidueType::DNA_LINKING, false, "2'-DEOXYISOGUANINE-5'-MONOPHOSPHATE", 17563 },
	{ "IH1", "", "", ResidueType::NON_POLYMER, false, "2-[2-(4-BROMO-BENZENESULFONYL)-ETHYL]-1-3-DIOXO-2,3,5,8-TETRAHYDRO-1H-[1,2,4]TRIAZOLO[1,2-A]PYRIDAZINE-5-CARBOXYLIC ACID(4-CARBAMIMIDOYL-CYCLOHEXYLMETHYL)-AMIDE", 17564 },
	{ "IH2", "", "", ResidueType::NON_POLYMER, false, "2-(2,2-DIPHENYL-ETHYL)-7-METHYL-1,3-DIOXO-2,3,5,8-TETRAHYDRO-1H-[1,2,4]TRIAZOLO [1,2-A]PYRIDAZINE-5-CARBOXYLIC ACID(4-CARBAMIMIDOYL-CYCLOHEXYLMETHYL)-AMIDE", 17565 },
	{ "IH3", "", "", ResidueType::NON_POLYMER, false, "2-(2,2-DIPHENYL-ETHYL)-7-METHYL-1,3-DIOXO-2,3,5,8-TETRAHYDRO-1H-[1,2,4] TRIAZOLO[1,2-A]PYRIDAZINE-5-CARBOXYLIC ACID [4-(2-AMINO-3H-IMIDAZOL-4-YL)-CYCLOHEXYL]-AMIDE", 17566 },
	{ "IH4", "", "", ResidueType::NON_POLYMER, false, "N-(R-CARBOXY-ETHYL)-ALPHA-(S)-(2-PHENYLETHYL)", 17567 },
	{ "IH5", "", "", ResidueType::NON_POLYMER, false, "{3,5-DICHLORO-4-[4-HYDROXY-3-(PROPAN-2-YL)PHENOXY]PHENYL}ACETIC ACID", 17568 },
	{ "IH6", "", "", ResidueType::NON_POLYMER, false, "(3S)-4-{[4-(BUT-2-YNYLOXY)PHENYL]SULFONYL}-N-HYDROXY-2,2-DIMETHYLTHIOMORPHOLINE-3-CARBOXAMIDE", 17569 },
	{ "IH9", "", "", ResidueType::NON_POLYMER, false, "2-[(3-hydroxybenzyl)amino]ethanesulfonic acid", 17570 },
	{ "IHA", "", "", ResidueType::NON_POLYMER, false, "{[2-({[5-(2,6-dimethoxyphenyl)-1,2,4-triazin-3-yl]amino}methyl)-1,3-benzothiazol-5-yl]oxy}acetic acid", 17571 },
	{ "IHB", "", "", ResidueType::NON_POLYMER, false, "3-IODO-4-HYDROXYBENZOIC ACID", 17572 },
	{ "IHC", "", "", ResidueType::NON_POLYMER, false, "{[2-({[5-(2,6-dichlorophenyl)-1,2,4-triazin-3-yl]amino}methyl)-1,3-benzothiazol-5-yl]oxy}acetic acid", 17573 },
	{ "IHD", "", "", ResidueType::NON_POLYMER, false, "1-IODOHEXADECANE", 17574 },
	{ "IHE", "", "", ResidueType::NON_POLYMER, false, "6-(CYCLOHEXYLAMINO)-9-[2-(4-METHYLPIPERAZIN-1-YL)-ETHYL]-9H-PURINE-2-CARBONITRILE", 17575 },
	{ "IHG", "", "", ResidueType::NON_POLYMER, false, "N-ISOPROPYL-N'-HYDROXYGUANIDINE", 17576 },
	{ "IHH", "", "", ResidueType::NON_POLYMER, false, "[4-({4-[(5-cyclopropyl-1H-pyrazol-3-yl)amino]quinazolin-2-yl}amino)phenyl]acetonitrile", 17577 },
	{ "IHI", "", "", ResidueType::NON_POLYMER, false, "9-CYCLOPENTYL-6-[2-(3-IMIDAZOL-1-YL-PROPOXY)-PHENYLAMINO]-9H-PURINE-2-CARBONITRILE", 17578 },
	{ "IHJ", "", "", ResidueType::NON_POLYMER, false, "9-CYCLOPENTYL-6-{2-[3-(4-METHYL-PIPERAZIN-1-YL)-PROPOXY]-PHENYLAMINO}-9H-PURINE-2-CARBONITRILE", 17579 },
	{ "IHM", "", "", ResidueType::NON_POLYMER, false, "N-(3-{1-[(1S)-1-[3-(cyclopropylmethoxy)-4-(difluoromethoxy)phenyl]-2-(1-oxidopyridin-4-yl)ethyl]-1H-pyrazol-3-yl}phenyl)acetamide", 17580 },
	{ "IHP", "", "", ResidueType::NON_POLYMER, false, "INOSITOL HEXAKISPHOSPHATE", 17581 },
	{ "IHS", "", "", ResidueType::NON_POLYMER, false, "D-MYO-INOSITOL-HEXASULPHATE", 17582 },
	{ "IHU", "", "", ResidueType::NON_POLYMER, false, "N-(2-CHLORO-4-FLUOROBENZOYL)-N'-(5-HYDROXY-2-METHOXYPHENYL)UREA", 17583 },
	{ "IHX", "", "", ResidueType::NON_POLYMER, false, "3-[3-(4-methylpiperazin-1-yl)-7-(trifluoromethyl)quinoxalin-5-yl]phenol", 17584 },
	{ "IHZ", "", "", ResidueType::NON_POLYMER, false, "5-[(2-methyl-5-{[3-(trifluoromethyl)phenyl]carbamoyl}phenyl)amino]pyridine-3-carboxamide", 17585 },
	{ "II2", "", "", ResidueType::NON_POLYMER, false, "5-AMINO-2-{4-[(4-AMINOPHENYL)SULFANYL]PHENYL}-1H-ISOINDOLE-1,3(2H)-DIONE", 17586 },
	{ "II4", "", "", ResidueType::NON_POLYMER, false, "1-(3-METHYLPHENYL)-1H-BENZIMIDAZOL-5-AMINE", 17587 },
	{ "II6", "", "", ResidueType::NON_POLYMER, false, "[(1R,3S,5R)-3-(aminomethyl)-5-methyl-cyclohexyl]methanol", 17588 },
	{ "IIA", "", "", ResidueType::NON_POLYMER, false, "1-{[5-(5-CHLORO-2-THIENYL)ISOXAZOL-3-YL]METHYL}-N-(1-ISOPROPYLPIPERIDIN-4-YL)-1H-INDOLE-2-CARBOXAMIDE", 17589 },
	{ "IIB", "", "", ResidueType::NON_POLYMER, false, "1-{[5-(5-CHLORO-2-THIENYL)ISOXAZOL-3-YL]METHYL}-3-CYANO-N-(1-ISOPROPYLPIPERIDIN-4-YL)-7-METHYL-1H-INDOLE-2-CARBOXAMIDE", 17590 },
	{ "IIC", "", "", ResidueType::PEPTIDE_LINKING, false, "4-IMIDAZOLMETHYLENE-5-IMIDAZOLONE CHROMOPHORE", 17591 },
	{ "IID", "", "", ResidueType::NON_POLYMER, false, "N-(1-ISOPROPYLPIPERIDIN-4-YL)-1-(3-METHOXYBENZYL)-1H-INDOLE-2-CARBOXAMIDE", 17592 },
	{ "IIE", "", "", ResidueType::NON_POLYMER, false, "1-{2-[(4-CHLOROPHENYL)AMINO]-2-OXOETHYL}-N-(1-ISOPROPYLPIPERIDIN-4-YL)-1H-INDOLE-2-CARBOXAMIDE", 17593 },
	{ "IIG", "", "", ResidueType::NON_POLYMER, false, "N-cyclopropyl-N-(cis-4-cyclopropyl-4-hydroxycyclohexyl)-4-[(1S)-2,2,2-trifluoro-1-hydroxy-1-methylethyl]benzamide", 17594 },
	{ "IIH", "", "", ResidueType::NON_POLYMER, false, "4-(7-chloro-1,3-benzoxazol-2-yl)-2,6-diiodophenol", 17595 },
	{ "III", "", "", ResidueType::NON_POLYMER, false, "~{N},~{N}-dimethyl-2-pyrrolidin-1-yl-quinazolin-4-amine", 17596 },
	{ "IIL", "", "", ResidueType::PEPTIDE_LINKING, false, "ISO-ISOLEUCINE", 17597 },
	{ "IIN", "", "", ResidueType::NON_POLYMER, false, "2-METHYL-3-AMINO-3-PHENYLISOINDOL-1-ONE", 17598 },
	{ "IIP", "", "", ResidueType::NON_POLYMER, false, "IMIDAZOLE-PYRROLE POLYAMIDE", 17599 },
	{ "IJ1", "", "", ResidueType::NON_POLYMER, false, "2-[(3-methylbenzyl)amino]ethanesulfonic acid", 17600 },
	{ "IJ2", "", "", ResidueType::NON_POLYMER, false, "2-[(furan-2-ylmethyl)amino]ethanesulfonic acid", 17601 },
	{ "IJ4", "", "", ResidueType::NON_POLYMER, false, "2-[(4-fluoro-3-methylbenzyl)amino]ethanesulfonic acid", 17602 },
	{ "IJ6", "", "", ResidueType::NON_POLYMER, false, "2-[(cyclohexylmethyl)amino]ethanesulfonic acid", 17603 },
	{ "IJZ", "", "", ResidueType::NON_POLYMER, false, "5-amino-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 17604 },
	{ "IK1", "", "", ResidueType::NON_POLYMER, false, "5-PHENYL-2-UREIDOTHIOPHENE-3-CARBOXAMIDE", 17605 },
	{ "IK2", "", "", ResidueType::NON_POLYMER, false, "4'-DEOXY-4'-ACETYLYAMINO-PYRIDOXAL-5'-PHOSPHATE", 17606 },
	{ "IK4", "", "", ResidueType::NON_POLYMER, false, "N-({7-[(4-cyanobenzyl)oxy]naphthalen-2-yl}sulfonyl)-D-glutamic acid", 17607 },
	{ "IK8", "", "", ResidueType::NON_POLYMER, false, "1-(3-AMINO-1,2-BENZISOXAZOL-5-YL)-N-(4-{2-[(DIMETHYLAMINO)METHYL]-1H-IMIDAZOL-1-YL}-2-FLUOROPHENYL)-3-(TRIFLUOROMETHYL)-1H-PYRAZOLE-5-CARBOXAMIDE", 17608 },
	{ "IK9", "", "", ResidueType::NON_POLYMER, false, "2-{[(2Z)-5-(1,3-benzodioxol-5-ylmethyl)-8-fluoro-2-imino-2,3-dihydro[1,2,4]triazolo[1,5-c]quinazolin-10-yl]amino}ethanol", 17609 },
	{ "IKM", "", "", ResidueType::NON_POLYMER, false, "", 17610 },
	{ "IKR", "", "", ResidueType::NON_POLYMER, false, "methyl (2E)-{2-[(4-iodo-2,5-dimethylphenoxy)methyl]phenyl}(methoxyimino)ethanoate", 17611 },
	{ "IKT", "", "", ResidueType::NON_POLYMER, false, "3-(1-AMINOETHYL)NONANEDIOIC ACID", 17612 },
	{ "IKX", "", "", ResidueType::NON_POLYMER, false, "4-(4-(2-hydroxyethyl)-1H-1,2,3-triazol-1-yl)pyridine-2,6-dicarboxylic acid", 17613 },
	{ "IKY", "", "", ResidueType::NON_POLYMER, false, "N-HYDROXY-2-[2-(TRIFLUOROMETHYL)PHENYL]-1,3-OXAZOLE-4-CARBOXAMIDE", 17614 },
	{ "IL0", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S,3S)-2-amino-3-methylpentane-1,1-diol", 17615 },
	{ "IL2", "", "", ResidueType::NON_POLYMER, false, "(5E)-5-[(3aS,4R,5R,6aS)-5-hydroxy-4-[(1E,3S,4R)-3-hydroxy-4-methyloct-1-en-6-yn-1-yl]hexahydropentalen-2(1H)-ylidene]pentanoic acid", 17616 },
	{ "IL3", "", "", ResidueType::NON_POLYMER, false, "1-but-2-ynoxy-4-[(sulfamoylamino)methyl]benzene", 17617 },
	{ "IL5", "", "", ResidueType::NON_POLYMER, false, "3-oxo-2,3-dihydro-1,2-benzothiazole-6-sulfonamide 1,1-dioxide", 17618 },
	{ "ILA", "", "", ResidueType::NON_POLYMER, false, "N-[ISOLEUCINYL]-N'-[ADENOSYL]-DIAMINOSUFONE", 17619 },
	{ "ILB", "", "", ResidueType::NON_POLYMER, false, "", 17620 },
	{ "ILC", "", "", ResidueType::NON_POLYMER, false, "", 17621 },
	{ "ILD", "", "", ResidueType::NON_POLYMER, false, "(4R,5S)-3-[(2R)-2-{(2S,2'R,4S,5S,5'R)-2,5'-diethyl-5'-[(1S)-1-hydroxyethyl]-4-methyloctahydro-2,2'-bifuran-5-yl}butanoyl]-4-methyl-5-phenyl-1,3-oxazolidin-2-one", 17622 },
	{ "ILE", "", "", ResidueType::PEPTIDE_LINKING, false, "ISOLEUCINE", 17623 },
	{ "ILF", "", "", ResidueType::NON_POLYMER, false, "", 17624 },
	{ "ILG", "", "", ResidueType::PEPTIDE_LINKING, true, "GLUTAMYL GROUP", 17625 },
	{ "ILH", "", "", ResidueType::NON_POLYMER, false, "", 17626 },
	{ "ILI", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-1-({[(3S,4S,7R)-3-HYDROXY-7-METHYL-1-(PYRIDIN-2-YLSULFONYL)-2,3,4,7-TETRAHYDRO-1H-AZEPIN-4-YL]AMINO}CARBONYL)-3-METHYLBUTYL]-1-BENZOFURAN-2-CARBOXAMIDE", 17627 },
	{ "ILL", "", "", ResidueType::NON_POLYMER, false, "4-(aminomethyl)-6-chloroquinolin-2(1H)-one", 17628 },
	{ "ILM", "", "", ResidueType::PEPTIDE_AMINO_TERMINUS, false, "methyl L-isoleucinate", 17629 },
	{ "ILO", "", "", ResidueType::NON_POLYMER, false, "N5-IMINOETHYL-L-ORNITHINE", 17630 },
	{ "ILP", "", "", ResidueType::NON_POLYMER, false, "N-[O-PHOSPHONO-PYRIDOXYL]-ISOLEUCINE", 17631 },
	{ "ILT", "", "", ResidueType::NON_POLYMER, false, "MONOIMIDAZOLE LEXITROPSIN", 17632 },
	{ "ILV", "", "", ResidueType::NON_POLYMER, false, "(2S,5S)-5-(hydroxymethyl)-1-methyl-2-(propan-2-yl)-1,2,4,5,6,8-hexahydro-3H-[1,4]diazonino[7,6,5-cd]indol-3-one", 17633 },
	{ "ILX", "", "", ResidueType::PEPTIDE_LINKING, false, "4,5-DIHYDROXYISOLEUCINE", 17634 },
	{ "ILY", "", "", ResidueType::NON_POLYMER, false, "N~6~-propan-2-yl-L-lysine", 17635 },
	{ "IM1", "", "", ResidueType::NON_POLYMER, false, "", 17636 },
	{ "IM2", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-[(1S,2R)-1-formyl-2-hydroxypropyl]-3-[(2-{[(E)-iminomethyl]amino}ethyl)sulfanyl]-4,5-dihydro-1H-pyrrole-2-carboxylic acid", 17637 },
	{ "IM3", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(3,4-DIHYDROXYPHENYL)-2-IMINOPROPANOIC ACID", 17638 },
	{ "IM4", "", "", ResidueType::NON_POLYMER, false, "(2E)-1-[(6-chloropyridin-3-yl)methyl]-N-nitroimidazolidin-2-imine", 17639 },
	{ "IM5", "", "", ResidueType::NON_POLYMER, false, "2-amino-7-{[(3R,4R)-3-hydroxy-4-(hydroxymethyl)pyrrolidin-1-yl]methyl}-3,5-dihydro-4H-pyrrolo[3,2-d]pyrimidin-4-one", 17640 },
	{ "IM6", "", "", ResidueType::NON_POLYMER, false, "4-tert-butyl-N-[6-(1H-imidazol-1-yl)imidazo[1,2-a]pyridin-2-yl]benzamide", 17641 },
	{ "IM7", "", "", ResidueType::NON_POLYMER, false, "(5aS,12aS,13aS)-8-chloro-12,12-dimethyl-2,3,11,12,12a,13-hexahydro-1H,5H,6H-5a,13a-(epiminomethano)indolizino[7,6-b]carbazol-14-one", 17642 },
	{ "IM8", "", "", ResidueType::NON_POLYMER, false, "2-[1-(4-CHLOROBENZOYL)-5-METHOXY-2-METHYL-1H-INDOL-3-YL]-N-[(1R)-1-(HYDROXYMETHYL)PROPYL]ACETAMIDE", 17643 },
	{ "IM9", "", "", ResidueType::NON_POLYMER, false, "2-{4-[4-({4-[2-methyl-1-(1-methylethyl)-1H-imidazol-5-yl]pyrimidin-2-yl}amino)phenyl]piperazin-1-yl}-2-oxoethanol", 17644 },
	{ "IMA", "", "", ResidueType::NON_POLYMER, false, "[4-({[5-BENZYLOXY-1-(3-CARBAMIMIDOYL-BENZYL)-1H-INDOLE-2-CARBONYL]-AMINO}-METHYL)-PHENYL]-TRIMETHYL-AMMONIUM", 17645 },
	{ "IMB", "", "", ResidueType::NON_POLYMER, false, "[(ISOQUINOLIN-1-YLAMINO)-PHOSPHONO-METHYL]-PHOSPHONIC ACID", 17646 },
	{ "IMC", "", "", ResidueType::DNA_LINKING, false, "N1-[2-DEOXY-RIBOFURANOSYL]-[2-AMINO-5-METHYL-4-OXO-4H-PYRIMIDINE]-5'-MONOPHOSPHATE", 17647 },
	{ "IMD", "", "", ResidueType::NON_POLYMER, false, "IMIDAZOLE", 17648 },
	{ "IME", "", "", ResidueType::NON_POLYMER, false, "TETRA(IMIDAZOLE)DIAQUACOPPER (II)", 17649 },
	{ "IMF", "", "", ResidueType::NON_POLYMER, false, "TETRA(IMIDAZOLE)DIAQUACOPPER (I)", 17650 },
	{ "IMG", "", "", ResidueType::NON_POLYMER, false, "1,4-DIDEOXY-1,4-IMINO-1-(S)-(9-DEAZAGUANIN-9-YL)-D-RIBITOL", 17651 },
	{ "IMH", "", "", ResidueType::NON_POLYMER, false, "1,4-DIDEOXY-4-AZA-1-(S)-(9-DEAZAHYPOXANTHIN-9-YL)-D-RIBITOL", 17652 },
	{ "IMI", "", "", ResidueType::NON_POLYMER, false, "2-IMINOBIOTIN", 17653 },
	{ "IMJ", "", "", ResidueType::NON_POLYMER, false, "(2E)-N-[(1,2-dimethyl-1H-indol-3-yl)methyl]-N-methyl-3-(7-oxo-5,6,7,8-tetrahydro-1,8-naphthyridin-3-yl)prop-2-enamide", 17654 },
	{ "IMK", "", "", ResidueType::NON_POLYMER, false, "2-(BETA-D-GLUCOPYRANOSYL)-5-METHYL-1-BENZIMIDAZOLE", 17655 },
	{ "IML", "", "", ResidueType::PEPTIDE_LINKING, false, "N-METHYL-ISOLEUCINE", 17656 },
	{ "IMM", "", "", ResidueType::NON_POLYMER, false, "1-(4-IODOBENZOYL)-5-METHOXY-2-METHYL INDOLE-3-ACETIC ACID", 17657 },
	{ "IMN", "", "", ResidueType::NON_POLYMER, false, "INDOMETHACIN", 17658 },
	{ "IMO", "", "", ResidueType::NON_POLYMER, false, "6-O-PHOSPHORYL INOSINE MONOPHOSPHATE", 17659 },
	{ "IMP", "", "", ResidueType::NON_POLYMER, false, "INOSINIC ACID", 17660 },
	{ "IMQ", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S)-2-(hydroxymethyl)-1-(quinolin-8-ylmethyl)pyrrolidine-3,4-diol", 17661 },
	{ "IMR", "", "", ResidueType::NON_POLYMER, false, "IMINORIBITOL", 17662 },
	{ "IMS", "", "", ResidueType::NON_POLYMER, false, "2-[1-(4-CHLOROBENZOYL)-5-METHOXY-2-METHYL-1H-INDOL-3-YL]-N-[(1S)-1-(HYDROXYMETHYL)PROPYL]ACETAMIDE", 17663 },
	{ "IMT", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-(1-METHYLIMIDAZOLE)-2-CARBOXYLIC ACID", 17664 },
	{ "IMU", "", "", ResidueType::NON_POLYMER, false, "PHOSPHORIC ACID MONO-[5-(2-AMINO-4-OXO-4,5-DIHYDRO-3H-PYRROLO[3,2-D]PYRIMIDIN-7-YL)-3,4-DIHYDROXY-PYRROLIDIN-2-YLMETHYL] ESTER", 17665 },
	{ "IMV", "", "", ResidueType::NON_POLYMER, false, "5-[(2-oxo-2,3-dihydro-1H-indol-1-yl)methyl]-1,3-benzodioxole-4-carboxylic acid", 17666 },
	{ "IMW", "", "", ResidueType::NON_POLYMER, false, "2-methyl-5-(1-methylethyl)cyclohexa-2,5-diene-1,4-dione", 17667 },
	{ "IMX", "", "", ResidueType::NON_POLYMER, false, "[(1R,2R)-2-{[(5-fluoro-1H-indol-2-yl)carbonyl]amino}-2,3-dihydro-1H-inden-1-yl]acetic acid", 17668 },
	{ "IMY", "", "", ResidueType::NON_POLYMER, false, "1-{[4,5-BIS(4-CHLOROPHENYL)-2-(2-ISOPROPOXY-4-METHOXYPHENYL)-4,5-DIHYDRO-1H-IMIDAZOL-1-YL]CARBONYL}PIPERAZINE", 17669 },
	{ "IMZ", "", "", ResidueType::NON_POLYMER, false, "CIS-[4,5-BIS-(4-BROMOPHENYL)-2-(2-ETHOXY-4-METHOXYPHENYL)-4,5-DIHYDROIMIDAZOL-1-YL]-[4-(2-HYDROXYETHYL)PIPERAZIN-1-YL]METHANONE", 17670 },
	{ "IN", "", "", ResidueType::NON_POLYMER, false, "INDIUM (III) ION", 17671 },
	{ "IN0", "", "", ResidueType::NON_POLYMER, false, "N-{2-[TRANS-7-CHLORO-1-(2,2-DIMETHYL-PROPYL) -5-NAPHTHALEN-1-YL-2-OXO-1,2,3,5-TETRAHYDRO-BENZO[E] [1,4]OXAZEPIN-3-YL]-ACETYL}-ASPARTIC ACID", 17672 },
	{ "IN1", "", "", ResidueType::SACCHARIDE, false, "PROPIONIC ACID 2,2-DIHYDROXY-3-(1-GLUCOPYRANOSYLOXY)-METHYLPROPYL ESTER", 17673 },
	{ "IN2", "", "", ResidueType::NON_POLYMER, false, "N,N-DIMETHYLCARBAMOYL-ALPHA-AZALYSINE", 17674 },
	{ "IN3", "", "", ResidueType::NON_POLYMER, false, "1-(N-BENZYLOXYCARBONYL-L-LEUCINYL)-5-(3-BENZYLOXY BENZOYL)CARBOHYDRAZIDE", 17675 },
	{ "IN4", "", "", ResidueType::NON_POLYMER, false, "+/-METHYL 4-(AMINOIMINOMETHYL)-BETA-[3- INH (AMINOIMINO)PHENYL]BENZENE PENTANOATE", 17676 },
	{ "IN5", "", "", ResidueType::NON_POLYMER, false, "{1-[(3-HYDROXY-METHYL-5-PHOSPHONOOXY-METHYL-PYRIDIN-4-YLMETHYL)-AMINO]-ETHYL}-PHOSPHONIC ACID", 17677 },
	{ "IN6", "", "", ResidueType::NON_POLYMER, false, "N-[2-[1-(N-BENZYLOXYCARBONYLAMINO)-3-METHYLBUTYL]THIAZOL-4-YLCARBONYL]-N'-(BENZYLOXYCARBONYL-L-LEUCINYL)HYDRAZIDE", 17678 },
	{ "IN7", "", "", ResidueType::NON_POLYMER, false, "[4-(4-PHENYL-PIPERIDIN-1-YL)-BENZENESULFONYLAMINO]-ACETIC ACID", 17679 },
	{ "IN8", "", "", ResidueType::NON_POLYMER, false, "[2-(5-MERCAPTO-[1,3,4]THIADIAZOL-2-YLCARBAMOYL)-1-PHENYL-ETHYL]-CARBAMIC ACID BENZYL ESTER", 17680 },
	{ "IN9", "", "", ResidueType::NON_POLYMER, false, "2-[3-(5-MERCAPTO-[1,3,4]THIADIAZOL-2YL)-UREIDO]-N-METHYL-3-PENTAFLUOROPHENYL-PROPIONAMIDE", 17681 },
	{ "INA", "", "", ResidueType::NON_POLYMER, false, "1,5-BIS(N-BENZYLOXYCARBONYL-L-LEUCINYL)CARBOHYDRAZIDE", 17682 },
	{ "INB", "", "", ResidueType::NON_POLYMER, false, "1-OCTADECYL-2-ACETAMIDO-2-DEOXY-SN-GLYCEROL-3-PHOSPHOETHYLMETHYL SULFIDE", 17683 },
	{ "INC", "", "", ResidueType::NON_POLYMER, false, "2-(ACETYL-HYDROXY-AMINO)-4-METHYL-PENTANOIC ACID METHYL ESTER", 17684 },
	{ "IND", "", "", ResidueType::NON_POLYMER, false, "INDOLE", 17685 },
	{ "INE", "", "", ResidueType::NON_POLYMER, false, "3-BROMO-7-NITROINDAZOLE", 17686 },
	{ "INF", "", "", ResidueType::NON_POLYMER, false, "D-[(N-HYDROXYAMINO)CARBONYL]PHENYLALANINE", 17687 },
	{ "ING", "", "", ResidueType::NON_POLYMER, false, "D-[(AMINO)CARBONYL]PHENYLALANINE", 17688 },
	{ "INH", "", "", ResidueType::NON_POLYMER, false, "N-(R-CARBOXY-ETHYL)-ALPHA-(S)-(2-PHENYLETHYL)GLYCYL-L-ARGININE-N-PHENYLAMIDE", 17689 },
	{ "INI", "", "", ResidueType::NON_POLYMER, false, "5-NITRO-6-RIBITYL-AMINO-2,4(1H,3H)-PYRIMIDINEDIONE", 17690 },
	{ "INJ", "", "", ResidueType::NON_POLYMER, false, "5-(6-D-RIBITYLAMINO-2,4-DIHYDROXYPYRIMIDIN-5-YL)-1-PENTYL-PHOSPHONIC ACID", 17691 },
	{ "INK", "", "", ResidueType::NON_POLYMER, false, "(RP,SP)-O-(2R)-(1-PHENOXYBUT-2-YL)-METHYLPHOSPHONIC ACID CHLORIDE", 17692 },
	{ "INL", "", "", ResidueType::NON_POLYMER, false, "6-[N-(3-METHOXY-PHENYL)-3-(MORPHOLIN-4-YLMETHYL)-2H-THIENO[3,2-E]-1,2-THIAZINE-1,1,-DIOXIDE]-SULFONAMIDE", 17693 },
	{ "INM", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-6-[N-(3-METHOXYLPROPYL)-2H-THIENO[3,2-E][1,2]THIAZINE 1,1-DIOXIDE]-SULFONAMIDE", 17694 },
	{ "INN", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{(2R)-2-[2-(hydroxyamino)-2-oxoethyl]-4-methylpentanoyl}-3-methyl-L-valyl-N-(2-aminoethyl)-L-alaninamide", 17695 },
	{ "INO", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXYISONICOTINIC ACID N-OXIDE", 17696 },
	{ "INP", "", "", ResidueType::NON_POLYMER, false, "4-[[N-[(PHENYLMETHOXY)CARBONYL]-/NL/N-LEUCYL]AMINO]-1[(2S)-2-[[[4-(PYRIDINYLMETHOXY)CARBONYL]AMINO]-4-METHYLPENT/NYL]-3-PYRROLIDINONE/N", 17697 },
	{ "INQ", "", "", ResidueType::NON_POLYMER, false, "6-[N-(3-HYDROXY-PHENYL)-3-(MORPHOLIN-4-YLMETHYL)-2H-THIENO[3,2-E]-1,2-THIAZINE-1,1,-DIOXIDE]-SULFONAMIDE", 17698 },
	{ "INR", "", "", ResidueType::NON_POLYMER, false, "", 17699 },
	{ "INS", "", "", ResidueType::NON_POLYMER, false, "1,2,3,4,5,6-HEXAHYDROXY-CYCLOHEXANE", 17700 },
	{ "INT", "", "3TL", ResidueType::NON_POLYMER, true, "[[PHENYLMETHYLOXY-CARBONYL]-ALANINYL]-VALINYL-[PHENYL-1-HYDROXYPROP-2-YL]-AMINE", 17701 },
	{ "INU", "", "", ResidueType::NON_POLYMER, false, "N-(3-CYCLOPROPYL(5,6,7,8,9,10-HEXAHYDRO-2-OXO-2H-CYCLOOCTA[B]PYRAN-3-YL)METHYL)PHENYLBENZENSULFONAMIDE", 17702 },
	{ "INV", "", "", ResidueType::NON_POLYMER, false, "4-(AMINOSULFONYL)-N-[(4-FLUOROPHENYL)METHYL]-BENZAMIDE", 17703 },
	{ "INW", "", "", ResidueType::NON_POLYMER, false, "4-(AMINOSULFONYL)-N-[(2,4-DIFLUOROPHENYL)METHYL]-BENZAMIDE", 17704 },
	{ "INX", "", "", ResidueType::NON_POLYMER, false, "2-(CARBOXYMETHOXY)-5-[(2S)-2-({(2S)-2-[(3-CARBOXYPROPANOYL)AMINO] -3-PHENYLPROPANOYL}AMINO)-3-OXO-3-(PENTYLAMINO)PROPYL]BENZOIC ACID", 17705 },
	{ "INY", "", "CRP", ResidueType::NON_POLYMER, true, "CARPROPAMIDE", 17706 },
	{ "INZ", "", "", ResidueType::NON_POLYMER, false, "2-{4-[(2S)-2-[({[(1S)-1-CARBOXY-2-PHENYLETHYL]AMINO}CARBONYL)AMINO]-3-OXO-3-(PENTYLAMINO)PROPYL]PHENOXY}MALONIC ACID", 17707 },
	{ "IO2", "", "", ResidueType::NON_POLYMER, false, "2-(4-phenylmethoxyphenyl)ethanoic acid", 17708 },
	{ "IO3", "", "", ResidueType::NON_POLYMER, false, "IOPHENOXIC ACID", 17709 },
	{ "IOA", "", "", ResidueType::NON_POLYMER, false, "4-(AMINOSULFONYL)-N-[(2,5-DIFLUOROPHENYL)METHYL]-BENZAMIDE", 17710 },
	{ "IOB", "", "", ResidueType::NON_POLYMER, false, "3-IODO-BENZYL ALCOHOL", 17711 },
	{ "IOC", "", "", ResidueType::NON_POLYMER, false, "4-(AMINOSULFONYL)-N-[(2,3,4-TRIFLUOROPHENYL)METHYL]-BENZAMIDE", 17712 },
	{ "IOD", "IDO", "", ResidueType::NON_POLYMER, false, "IODIDE ION", 17713 },
	{ "IOE", "", "", ResidueType::NON_POLYMER, false, "4-(AMINOSULFONYL)-N-[(2,4,6-TRIFLUOROPHENYL)METHYL]-BENZAMIDE", 17714 },
	{ "IOF", "", "", ResidueType::NON_POLYMER, false, "4-(AMINOSULFONYL)-N-[(3,4,5-TRIFLUOROPHENYL)METHYL]-BENZAMIDE", 17715 },
	{ "IOG", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-3-(4-HYDROXYPHENYL)-1-METHYLPROPYL]-2-[2-PHENYL-6-(2-PIPERIDIN-1-YLETHOXY)-1H-INDOL-3-YL]ACETAMIDE", 17716 },
	{ "IOH", "", "IPA", ResidueType::NON_POLYMER, true, "2-PROPANOL, ISOPROPANOL", 17717 },
	{ "IOK", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-3-(4-HYDROXYPHENYL)-1-METHYLPROPYL]-2-(2-PHENYL-1H-INDOL-3-YL)ACETAMIDE", 17718 },
	{ "IOL", "", "", ResidueType::NON_POLYMER, false, "4-IODOPHENOL", 17719 },
	{ "IOM", "", "", ResidueType::NON_POLYMER, false, "(DIAMINOMETHYL-METHYL-AMINO)-ACETIC ACID", 17720 },
	{ "ION", "", "", ResidueType::NON_POLYMER, false, "ARISTOLOCHENE", 17721 },
	{ "IOP", "", "", ResidueType::NON_POLYMER, false, "INDOLYLPROPIONIC ACID", 17722 },
	{ "IOR", "", "", ResidueType::PEPTIDE_LINKING, false, "N~5~-[(5R)-5-methyl-4-oxo-4,5-dihydro-1H-imidazol-2-yl]-L-ornithine", 17723 },
	{ "IOS", "", "", ResidueType::NON_POLYMER, false, "3-SULFOOXY-1H-INDOLE", 17724 },
	{ "IOT", "", "", ResidueType::NON_POLYMER, false, "", 17725 },
	{ "IOX", "", "PMS", ResidueType::NON_POLYMER, true, "phenylmethanesulfonic acid", 17726 },
	{ "IOY", "", "", ResidueType::PEPTIDE_LINKING, false, "P-IODO-D-PHENYLALANINE", 17727 },
	{ "IP0", "", "", ResidueType::NON_POLYMER, false, "2-(1-methylethyl)phenol", 17728 },
	{ "IP1", "", "", ResidueType::NON_POLYMER, false, "ISOPENICILLIN N", 17729 },
	{ "IP2", "", "", ResidueType::NON_POLYMER, false, "D-MYO-INOSITOL-4,5-BISPHOSPHATE", 17730 },
	{ "IP3", "", "", ResidueType::NON_POLYMER, true, "1-HYDROXY-3-METHYLBUTANE", 17731 },
	{ "IP4", "", "", ResidueType::NON_POLYMER, true, "1-METHYL-2-OXY-5,5-DIMETHYL PYRROLIDINE", 17732 },
	{ "IP5", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3R,4S,5S,6R)-6-HYDROXYCYCLOHEXANE-1,2,3,4,5-PENTAYL PENTAKIS[DIHYDROGEN (PHOSPHATE)]", 17733 },
	{ "IP6", "", "", ResidueType::NON_POLYMER, false, "N~3~-[3-(1H-INDOL-6-YL)BENZYL]PYRIDINE-2,3-DIAMINE", 17734 },
	{ "IP7", "", "", ResidueType::NON_POLYMER, false, "N~3~-[5-(1H-INDOL-6-YL)-2-(PYRIDIN-2-YLMETHOXY)BENZYL]PYRIDINE-2,3-DIAMINE", 17735 },
	{ "IP8", "", "", ResidueType::NON_POLYMER, false, "Isopentenyl phosphate", 17736 },
	{ "IP9", "ITS", "", ResidueType::NON_POLYMER, false, "(2R)-3-{[(R)-{[(1S,2S,3R,4S,5S,6S)-2,6-dihydroxy-3,4,5-tris(phosphonooxy)cyclohexyl]oxy}(hydroxy)phosphoryl]oxy}propane-1,2-diyl dioctanoate", 17737 },
	{ "IPA", "IOH", "", ResidueType::NON_POLYMER, false, "ISOPROPYL ALCOHOL", 17738 },
	{ "IPB", "", "", ResidueType::NON_POLYMER, false, "5-METHYL-2-(1-METHYLETHYL)PHENOL", 17739 },
	{ "IPC", "", "", ResidueType::NON_POLYMER, false, "3-[ISOPROPYL(4-METHYLBENZOYL)AMINO]-5-PHENYLTHIOPHENE-2-CARBOXYLIC ACID", 17740 },
	{ "IPD", "", "", ResidueType::NON_POLYMER, false, "D-MYO-INOSITOL-1-PHOSPHATE", 17741 },
	{ "IPE", "", "", ResidueType::NON_POLYMER, false, "3-METHYLBUT-3-ENYL TRIHYDROGEN DIPHOSPHATE", 17742 },
	{ "IPF", "", "", ResidueType::NON_POLYMER, false, "N-ACETYLTRYPTOPHYL-N~1~-{3-[1-(N-ACETYLTRYPTOPHYLVALYL)PYRROLIDIN-2-YL]-1-BENZYL-2,3-DIHYDROXYPROPYL}VALINAMIDE", 17743 },
	{ "IPG", "", "", ResidueType::PEPTIDE_LINKING, false, "N-ISOPROPYL GLYCINE", 17744 },
	{ "IPH", "", "", ResidueType::NON_POLYMER, false, "PHENOL", 17745 },
	{ "IPI", "", "", ResidueType::NON_POLYMER, false, "3-methylbutylphosphonic acid", 17746 },
	{ "IPJ", "", "", ResidueType::NON_POLYMER, false, "4-hydroxy-chalcone", 17747 },
	{ "IPK", "", "", ResidueType::NON_POLYMER, false, "2-({4-[(4-benzylpiperidin-1-yl)carbonyl]benzyl}sulfanyl)-3H-imidazo[4,5-c]pyridine", 17748 },
	{ "IPL", "", "", ResidueType::NON_POLYMER, false, "INDOLE-3-PROPANOL PHOSPHATE", 17749 },
	{ "IPM", "", "", ResidueType::NON_POLYMER, false, "3-ISOPROPYLMALIC ACID", 17750 },
	{ "IPN", "", "", ResidueType::RNA_LINKING, false, "2-AMINOETHYLGLYCINE-CARBONYLMETHYLENE-5-IODOURACIL", 17751 },
	{ "IPO", "", "", ResidueType::NON_POLYMER, false, "PARA-IODO-D-PHENYLALANINE HYDROXAMIC ACID", 17752 },
	{ "IPP", "", "", ResidueType::NON_POLYMER, false, "(P-IODOPHENYLACETYLAMINO)METHYLPHOSPHINIC ACID", 17753 },
	{ "IPR", "", "", ResidueType::NON_POLYMER, false, "ISOPENTYL PYROPHOSPHATE", 17754 },
	{ "IPS", "", "PO4", ResidueType::NON_POLYMER, true, "INORGANIC PHOSPHATE GROUP", 17755 },
	{ "IPT", "", "", ResidueType::SACCHARIDE, false, "ISOPROPYL-1-BETA-D-THIOGALACTOSIDE", 17756 },
	{ "IPU", "", "", ResidueType::NON_POLYMER, false, "S-ISOPROPYL-ISOTHIOUREA", 17757 },
	{ "IPV", "", "", ResidueType::NON_POLYMER, false, "[4-methyl-3-[methyl-[2-[(3-methylsulfonyl-5-morpholin-4-yl-phenyl)amino]pyrimidin-4-yl]amino]phenyl]methanol", 17758 },
	{ "IPW", "", "", ResidueType::NON_POLYMER, false, "(4-chlorophenyl)-[5-(1-piperidin-4-ylpyrazol-4-yl)-1~{H}-pyrrolo[2,3-b]pyridin-3-yl]methanone", 17759 },
	{ "IPX", "", "", ResidueType::NON_POLYMER, false, "4-[(1R,2R)-2-{[(5-fluoro-1H-indol-2-yl)carbonyl]amino}-2,3-dihydro-1H-inden-1-yl]butanoic acid", 17760 },
	{ "IPY", "", "", ResidueType::NON_POLYMER, false, "IMIDAZOLE-PYRROLE POLYAMIDE", 17761 },
	{ "IPZ", "", "", ResidueType::NON_POLYMER, false, "2-ISOPROPYL-3-METHOXYPYRAZINE", 17762 },
	{ "IQ0", "", "", ResidueType::NON_POLYMER, false, "cyclopentanecarboxylic acid", 17763 },
	{ "IQ1", "", "", ResidueType::NON_POLYMER, false, "3-(2-TERT-BUTYL-5-(PYRIDIN-4-YL)-1H-IMIDAZOL-4-YL)QUINOLINE", 17764 },
	{ "IQ5", "", "", ResidueType::NON_POLYMER, false, "N-(2-AZANYL-6-METHYL-1,3-BENZOTHIAZOL-5-YL)ETHANAMIDE", 17765 },
	{ "IQ6", "", "", ResidueType::NON_POLYMER, false, "6-chloro-N-cyclohexyl-4-(1H-pyrrolo[2,3-b]pyridin-3-yl)pyridin-2-amine", 17766 },
	{ "IQ7", "", "", ResidueType::NON_POLYMER, false, "2-(2-(4-CHLOROPHENYL)-1H-IMIDAZOL-5-YL)-N,1-BIS(2-METHOXYETHYL)-1H-BENZO[D]IMIDAZOLE-5-CARBOXAMIDE", 17767 },
	{ "IQA", "", "", ResidueType::NON_POLYMER, false, "(5-OXO-5,6-DIHYDRO-INDOLO[1,2-A]QUINAZOLIN-7-YL)-ACETIC ACID", 17768 },
	{ "IQB", "", "", ResidueType::NON_POLYMER, false, "N-[2-(4-BROMOCINNAMYLAMINO)ETHYL]-5-ISOQUINOLINE SULFONAMIDE", 17769 },
	{ "IQD", "", "", ResidueType::NON_POLYMER, false, "5-hydroxyisoquinolin-1(4H)-one", 17770 },
	{ "IQG", "", "", ResidueType::NON_POLYMER, false, "", 17771 },
	{ "IQK", "", "", ResidueType::NON_POLYMER, false, "N,N'-naphthalene-1,4-diylbis(4-methoxybenzenesulfonamide)", 17772 },
	{ "IQO", "", "", ResidueType::NON_POLYMER, false, "1-(1-(4-(7-phenyl-1H-imidazo[4,5-g]quinoxalin-6-yl)benzyl)piperidin-4-yl)-1H-benzo[d]imidazol-2(3H)-one", 17773 },
	{ "IQP", "", "", ResidueType::NON_POLYMER, false, "1-(5-ISOQUINOLINESULFONYL)-2-METHYLPIPERAZINE", 17774 },
	{ "IQQ", "", "", ResidueType::NON_POLYMER, false, "3-(3-hydroxyphenyl)benzoic acid", 17775 },
	{ "IQS", "", "", ResidueType::NON_POLYMER, false, "N-[2-(METHYLAMINO)ETHYL]-5-ISOQUINOLINESULFONAMIDE", 17776 },
	{ "IQU", "", "", ResidueType::NON_POLYMER, false, "N-(2-AMINOETHYL)ISOQUINOLINE-5-SULFONAMIDE", 17777 },
	{ "IQW", "", "", ResidueType::NON_POLYMER, false, "5-(p-tolyl)-7H-pyrrolo[2,3-d]pyrimidine-2,4-diamine", 17778 },
	{ "IQX", "", "", ResidueType::NON_POLYMER, false, "N-[5-(5-{[(2,4-dimethyl-1,3-thiazol-5-yl)sulfonyl]amino}-6-fluoropyridin-3-yl)-4-methyl-1,3-thiazol-2-yl]acetamide", 17779 },
	{ "IQZ", "", "", ResidueType::NON_POLYMER, false, "(12bS)-1,2,3,4,12,12b-hexahydroindolo[2,3-a]quinolizin-7(6H)-one", 17780 },
	{ "IR", "", "", ResidueType::NON_POLYMER, false, "IRIDIUM ION", 17781 },
	{ "IR1", "", "", ResidueType::NON_POLYMER, false, "5-(2-phenylpyrazolo[1,5-a]pyridin-3-yl)-3H-pyrazolo[3,4-c]pyridazin-3-one", 17782 },
	{ "IR2", "", "", ResidueType::NON_POLYMER, false, "3-(4-morpholin-4-ylphenyl)-6-quinolin-4-yl-quinazolin-4-one", 17783 },
	{ "IR3", "", "", ResidueType::NON_POLYMER, false, "IRIDIUM (III) ION", 17784 },
	{ "IR4", "", "", ResidueType::NON_POLYMER, false, "1-[7-(morpholin-4-yl)-1-(pyridin-2-yl)indolizin-3-yl]ethanone", 17785 },
	{ "IR5", "", "", ResidueType::NON_POLYMER, false, "1-{1-[2-(hydroxymethyl)phenyl]-7-phenoxyindolizin-3-yl}ethanone", 17786 },
	{ "IR6", "", "", ResidueType::NON_POLYMER, false, "1-{1-[2-(methylsulfonyl)phenyl]-7-phenoxyindolizin-3-yl}ethanone", 17787 },
	{ "IR8", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-3,4-dihydroxypyrrolidine-2,5-diyl]bis(methylene) bis[dihydrogen (phosphate)]", 17788 },
	{ "IR9", "", "", ResidueType::NON_POLYMER, false, "[(2S,3R,4S,5S)-3,4-dihydroxypyrrolidine-2,5-diyl]bis(methylene) bis[dihydrogen (phosphate)]", 17789 },
	{ "IRA", "", "", ResidueType::NON_POLYMER, false, "(5-bromo-2-methoxyphenyl)acetic acid", 17790 },
	{ "IRB", "", "", ResidueType::NON_POLYMER, false, "", 17791 },
	{ "IRC", "", "", ResidueType::NON_POLYMER, false, "", 17792 },
	{ "IRE", "", "", ResidueType::NON_POLYMER, false, "Gefitinib", 17793 },
	{ "IRF", "", "", ResidueType::NON_POLYMER, false, "1-DEOXY-1-(8-IODO-7-METHYL-2,4-DIOXO-3,4-DIHYDROBENZO[G]PTERIDIN-10(2H)-YL)-D-RIBITOL", 17794 },
	{ "IRG", "", "", ResidueType::NON_POLYMER, false, "N~4~-cyclopropyl-2-phenylquinazoline-4,7-diamine", 17795 },
	{ "IRI", "", "", ResidueType::NON_POLYMER, false, "IRIDIUM HEXAMMINE ION", 17796 },
	{ "IRL", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-({(2S)-3-(biphenyl-4-yl)-2-[(3,5-dimethylbenzoyl)(methyl)amino]propanoyl}amino)-3-(1H-indol-3-yl)propanoic acid (non-preferred name)", 17797 },
	{ "IRN", "", "", ResidueType::RNA_LINKING, false, "1-(5-O-phosphono-beta-D-ribofuranosyl)-1H-imidazole", 17798 },
	{ "IRO", "", "", ResidueType::NON_POLYMER, false, "5-iodo-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 17799 },
	{ "IRP", "", "", ResidueType::NON_POLYMER, false, "(1S)-1(9-DEAZAHYPOXANTHIN-9YL)1,4-DIDEOXY-1,4-IMINO-D-RIBITOL-5-PHOSPHATE", 17800 },
	{ "IRS", "", "", ResidueType::NON_POLYMER, false, "2-methylprop-2-en-1-amine", 17801 },
	{ "IS1", "", "", ResidueType::NON_POLYMER, false, "3-[(1E)-3-oxo-3-({4-[1-(phenylcarbonyl)piperidin-4-yl]butyl}amino)prop-1-en-1-yl]-1-beta-D-ribofuranosylpyridinium", 17802 },
	{ "IS2", "", "", ResidueType::NON_POLYMER, false, "[(4-ETHYLPHENYL)AMINO]CARBONYLPHOSPHONIC ACID", 17803 },
	{ "IS3", "", "", ResidueType::NON_POLYMER, false, "Isopentenyl Diphosphate Beta-S", 17804 },
	{ "IS8", "", "", ResidueType::NON_POLYMER, false, "isothiocyanate", 17805 },
	{ "ISA", "", "", ResidueType::NON_POLYMER, false, "3-(4-IODO-PHENYL)-2-MERCAPTO-PROPIONIC ACID", 17806 },
	{ "ISB", "", "ALQ", ResidueType::NON_POLYMER, true, "ISOBUTYRIC ACID", 17807 },
	{ "ISC", "", "", ResidueType::NON_POLYMER, false, "(5S,6S)-5-[(1-carboxyethenyl)oxy]-6-hydroxycyclohexa-1,3-diene-1-carboxylic acid", 17808 },
	{ "ISD", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-[(1R)-1,2-DIHYDROXYETHYL]-3,4-DIHYDROXYFURAN-2(5H)-ONE", 17809 },
	{ "ISE", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,4s,5R,6S)-2,3,4,5,6-pentahydroxycyclohexanone", 17810 },
	{ "ISF", "", "", ResidueType::NON_POLYMER, false, "", 17811 },
	{ "ISH", "", "", ResidueType::NON_POLYMER, false, "(7R)-7-[(dimethylamino)methyl]-1-[3-(dimethylamino)propyl]-7,8-dihydro-1H-furo[3,2-e]benzimidazol-2-amine", 17812 },
	{ "ISI", "", "", ResidueType::NON_POLYMER, false, "(7S)-7-[(dimethylamino)methyl]-1-[3-(dimethylamino)propyl]-7,8-dihydro-1H-furo[3,2-e]benzimidazol-2-amine", 17813 },
	{ "ISJ", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-3-[(1-carboxyethenyl)oxy]-4-hydroxycyclohexa-1,5-diene-1-carboxylic acid", 17814 },
	{ "ISL", "", "", ResidueType::SACCHARIDE, false, "6-O-alpha-D-glucopyranosyl-D-fructose", 17815 },
	{ "ISM", "", "", ResidueType::NON_POLYMER, false, "5-AMINO-2-(2-METHOXY-2-OXOETHYL)BENZOIC ACID", 17816 },
	{ "ISN", "", "", ResidueType::NON_POLYMER, false, "ISATIN", 17817 },
	{ "ISO", "", "", ResidueType::NON_POLYMER, false, "PARA-ISOPROPYLANILINE", 17818 },
	{ "ISP", "MIP", "", ResidueType::NON_POLYMER, false, "PHOSPHORYLISOPROPANE", 17819 },
	{ "ISQ", "", "", ResidueType::NON_POLYMER, false, "ISOQUINOLINE", 17820 },
	{ "ISS", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-[(4-hydroxy-2-oxobutyl)amino]prop-2-enal", 17821 },
	{ "IST", "", "", ResidueType::NON_POLYMER, false, "ISOSTATINE", 17822 },
	{ "ISU", "", "", ResidueType::NON_POLYMER, false, "SE-ETHYL-ISOSELENOUREA", 17823 },
	{ "ISW", "", "", ResidueType::NON_POLYMER, false, "{3,3'-[(9S)-8,13-diethenyl-3,7,12,17-tetramethyl-9,10-dihydroporphyrin-2,18-diyl-kappa~4~N~21~,N~22~,N~23~,N~24~]dipropanoato(2-)}iron", 17824 },
	{ "ISX", "", "", ResidueType::NON_POLYMER, false, "GLUCOSE BETA-1,3-ISOFAGAMINE", 17825 },
	{ "ISY", "", "", ResidueType::NON_POLYMER, false, "3-methylbut-3-enylsulfanyl(phosphonooxy)phosphinic acid", 17826 },
	{ "ISZ", "", "", ResidueType::NON_POLYMER, false, "4-(DIAZENYLCARBONYL)PYRIDINE", 17827 },
	{ "IT1", "", "", ResidueType::PEPTIDE_LINKING, true, "(2S)-2-amino-6-[[3-hydroxy-2-methyl-5-(phosphonooxymethyl)pyridin-4-yl]methylideneamino]hexanoic acid", 17828 },
	{ "IT2", "", "", ResidueType::NON_POLYMER, false, "morpholine-4-carbodithioic acid", 17829 },
	{ "IT5", "", "", ResidueType::NON_POLYMER, false, "4-cyano-4-phenylpiperidine-1-carbodithioic acid", 17830 },
	{ "IT9", "", "", ResidueType::NON_POLYMER, false, "(-)-Isopiperitenone", 17831 },
	{ "ITA", "", "", ResidueType::NON_POLYMER, false, "{4-[(CARBOXYMETHOXY)CARBONYL]-3,3-DIOXIDO-1-OXONAPHTHO[1,2-D]ISOTHIAZOL-2(1H)-YL}ACETIC ACID", 17832 },
	{ "ITB", "", "", ResidueType::NON_POLYMER, false, "2-(CARBOXYMETHYL)-1-OXO-1,2-DIHYDRONAPHTHO[1,2-D]ISOTHIAZOLE-4-CARBOXYLIC ACID 3,3-DIOXIDE", 17833 },
	{ "ITC", "", "", ResidueType::NON_POLYMER, false, "ISO-7-CHLORTETRACYCLINE", 17834 },
	{ "ITD", "", "", ResidueType::NON_POLYMER, false, "", 17835 },
	{ "ITE", "", "", ResidueType::NON_POLYMER, false, "2-(methylamino)-1,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 17836 },
	{ "ITI", "", "", ResidueType::NON_POLYMER, false, "N-[3-(5-{2-[(4-morpholin-4-ylphenyl)amino]pyrimidin-4-yl}imidazo[2,1-b][1,3]thiazol-6-yl)phenyl]-2-phenylacetamide", 17837 },
	{ "ITL", "", "", ResidueType::NON_POLYMER, false, "(3alpha,5alpha,8alpha)-3-[(N,N-bis{2-[bis(carboxymethyl)amino]ethyl}-L-gamma-glutamyl)amino]cholan-24-oic acid", 17838 },
	{ "ITM", "", "", ResidueType::NON_POLYMER, true, "ISOCITRIC ACID-MAGNESIUM COMPLEX", 17839 },
	{ "ITN", "", "", ResidueType::NON_POLYMER, false, "2-methylidenebutanedioic acid", 17840 },
	{ "ITP", "", "", ResidueType::NON_POLYMER, false, "PHOSPHORIC ACID MONO-(2,3,4,6-TETRAHYDROXY-5-PHOSPHONOOXY-CYCLOHEXYL) ESTER", 17841 },
	{ "ITQ", "", "", ResidueType::NON_POLYMER, false, "1,2,3,4-Tetrahydrogen Staurosporine", 17842 },
	{ "ITR", "", "", ResidueType::NON_POLYMER, false, "IMINO-TRYPTOPHAN", 17843 },
	{ "ITS", "", "4IP", ResidueType::NON_POLYMER, true, "INOSITOL 1,3,4,5-TETRAKISPHOSPHATE", 17844 },
	{ "ITT", "", "", ResidueType::NON_POLYMER, false, "", 17845 },
	{ "ITU", "SEU", "", ResidueType::NON_POLYMER, false, "ETHYLISOTHIOUREA", 17846 },
	{ "ITW", "", "", ResidueType::NON_POLYMER, false, "2-[(1H-indol-3-yl)methyl]prop-2-enoic acid", 17847 },
	{ "IU", "", "", ResidueType::RNA_LINKING, false, "5-IODOURIDINE-5'-MONOPHOSPHATE", 17848 },
	{ "IU5", "", "", ResidueType::NON_POLYMER, false, "ISO-URSODEOXYCHOLIC ACID", 17849 },
	{ "IU6", "", "CHC", ResidueType::NON_POLYMER, true, "6-ETHYL-ISO-URSODEOXYCHOLIC ACID", 17850 },
	{ "IUG", "", "", ResidueType::NON_POLYMER, false, "1-(2-NITROPHENYL)ETHYL UDP-GALACTOSE", 17851 },
	{ "IUL", "", "", ResidueType::NON_POLYMER, false, "4-[(4R)-7-methyl-2,5-bis(oxidanylidene)-1-[3-(trifluoromethyl)phenyl]-3,4,6,8-tetrahydropyrimido[4,5-d]pyridazin-4-yl]benzenecarbonitrile", 17852 },
	{ "IUM", "", "", ResidueType::NON_POLYMER, false, "URANYL (VI) ION", 17853 },
	{ "IUP", "", "", ResidueType::NON_POLYMER, false, "5-(HYDRO)PEROXOISOURATE", 17854 },
	{ "IUR", "", "", ResidueType::NON_POLYMER, false, "5-IODOURACIL", 17855 },
	{ "IUU", "", "", ResidueType::NON_POLYMER, false, "4-Amino-N-(3-chloro-4-fluorophenyl)-N'-hydroxy-1,2,5-oxadiazole-3-carboxamidine", 17856 },
	{ "IUY", "", "", ResidueType::NON_POLYMER, false, "ethyl (5R)-5-(4-cyanophenyl)-7-methyl-8-[3-(trifluoromethyl)phenyl]-1,5-dihydroimidazo[1,2-a]pyrimidin-4-ium-6-carboxylate", 17857 },
	{ "IV2", "", "", ResidueType::NON_POLYMER, false, "5-chloranyl-4-methyl-1,3-benzothiazol-2-amine", 17858 },
	{ "IV7", "", "", ResidueType::NON_POLYMER, false, "(10R)-7-amino-12-fluoro-1,3,10,16-tetramethyl-16,17-dihydro-1H-8,4-(metheno)pyrazolo[4,3-h][2,5,11]benzoxadiazacyclotetradecin-15(10H)-one", 17859 },
	{ "IVA", "", "", ResidueType::NON_POLYMER, false, "ISOVALERIC ACID", 17860 },
	{ "IVC", "", "", ResidueType::NON_POLYMER, false, "Isovaleryl-coenzyme A", 17861 },
	{ "IVF", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(iodoacetyl)-L-valyl-L-phenylalaninamide", 17862 },
	{ "IVH", "", "", ResidueType::NON_POLYMER, false, "2-(butylsulfanyl)adenosine", 17863 },
	{ "IVK", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-N-(4-CHLOROPHENYL)-N'-[2-FLUORO-4-(2-OXOPYRIDIN-1(2H)-YL)PHENYL]-1-(2,2,2-TRIFLUOROETHYL)PYRROLIDINE-3,4-DICARBOXAMIDE", 17864 },
	{ "IVL", "", "", ResidueType::NON_POLYMER, false, "1-(3-carboxypropyl)-1-methylpyrrolidin-1-ium", 17865 },
	{ "IVM", "", "", ResidueType::NON_POLYMER, false, "", 17866 },
	{ "IVS", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXY-6-METHYL-4-(3-METHYL-2-(3-METHYL-2-(3-METHYL-BUTYRYLAMINO)-BUTYRYLAMINO)-BUTYRYLAMINO)-HEPTANOIC ACID ETHYL ESTER", 17867 },
	{ "IVU", "", "", ResidueType::NON_POLYMER, false, "3-[2-(6-AMINO-4-METHYLPYRIDIN-2-YL)ETHYL]-5-{2-[4-METHYL-6-(METHYLAMINO)PYRIDIN-2-YL]ETHYL}BENZONITRILE", 17868 },
	{ "IVV", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(3-methylbutanoyl)-L-valyl-N-{(1R)-1-[(R)-(2-ethoxy-2-oxoethyl)(hydroxy)phosphoryl]-3-methylbutyl}-L-valinamide", 17869 },
	{ "IW1", "", "", ResidueType::NON_POLYMER, false, "2,6-dibromo-4-[(E)-2-(2,6-dichlorophenyl)ethenyl]phenol", 17870 },
	{ "IW2", "", "", ResidueType::NON_POLYMER, false, "2,6-dibromo-4-[2-(2,6-dichlorophenyl)ethyl]phenol", 17871 },
	{ "IW3", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-2-(4-aminophenyl)ethenyl]-2,6-dibromophenol", 17872 },
	{ "IW4", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-2-(3-aminophenyl)ethenyl]-2,6-dibromoaniline", 17873 },
	{ "IW5", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-2-(4-aminophenyl)ethenyl]-2,6-dibromoaniline", 17874 },
	{ "IW6", "", "", ResidueType::NON_POLYMER, false, "2,6-dibromo-4-[(E)-2-(2,6-dimethoxyphenyl)ethenyl]aniline", 17875 },
	{ "IW7", "", "", ResidueType::NON_POLYMER, false, "2-(PENTYLSULFAMOYL)-4-SULFAMOYLBENZOIC ACID", 17876 },
	{ "IW8", "", "", ResidueType::NON_POLYMER, false, "1-[(1-acetyl-5-bromo-1H-indol-6-yl)sulfonyl]-N-ethyl-N-(3-methylphenyl)piperidine-4-carboxamide", 17877 },
	{ "IWD", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-3-(5-IODO-2,4-DIOXO-3,4-DIHYDRO-2H-PYRIMIDIN-1-YL)-PROPIONIC ACID", 17878 },
	{ "IWH", "", "", ResidueType::NON_POLYMER, false, "1-(2,4-dimethylbenzyl)-6-oxo-1,6-dihydropyridine-3-carboxamide", 17879 },
	{ "IWR", "", "", ResidueType::NON_POLYMER, false, "4-[(3aR,4S,7R,7aS)-1,3-dioxo-1,3,3a,4,7,7a-hexahydro-2H-4,7-methanoisoindol-2-yl]-N-(quinolin-8-yl)benzamide", 17880 },
	{ "IWT", "", "", ResidueType::NON_POLYMER, false, "5-PHENYL-1,3,4-OXADIAZOLE-2-THIOL", 17881 },
	{ "IWW", "", "", ResidueType::NON_POLYMER, false, "[(E)-ethene-1,2-diylbis(3-chloro-4,1-phenylene)]diboronic acid", 17882 },
	{ "IWX", "", "", ResidueType::NON_POLYMER, false, "N-(4-amino-4'-fluoro[1,1'-biphenyl]-3-yl)oxane-4-carboxamide", 17883 },
	{ "IX1", "", "", ResidueType::NON_POLYMER, false, "5-(3-{3-[3-HYDROXY-2-(METHOXYCARBONYL)PHENOXY]PROPENYL}PHENYL)-4-(HYDROXYMETHYL)ISOXAZOLE-3-CARBOXYLIC ACID", 17884 },
	{ "IX6", "", "", ResidueType::NON_POLYMER, false, "(11S)-10-[(2,5-dimethyl-1,3-oxazol-4-yl)carbonyl]-11-{2-fluoro-4-[(2-methylprop-2-en-1-yl)oxy]phenyl}-3,3-dimethyl-2,3,4,5,10,11-hexahydrothiopyrano[3,2-b][1,5]benzodiazepin-6-ol 1,1-dioxide", 17885 },
	{ "IXA", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-1-({4-[(diaminomethylidene)amino]butyl}amino)-1-oxo-3-phenylpropan-2-yl]-4-hydroxy-2-oxo-1,2-dihydroquinoline-6-carboxamide", 17886 },
	{ "IXD", "", "", ResidueType::NON_POLYMER, false, "4-deoxy-2-O-sulfo-beta-D-erythro-hex-4-enopyranuronic acid", 17887 },
	{ "IXE", "", "", ResidueType::NON_POLYMER, false, "N~6~-methyl-N~6~-(3,4,5-trifluorophenyl)pyrido[2,3-d]pyrimidine-2,4,6-triamine", 17888 },
	{ "IXF", "", "", ResidueType::NON_POLYMER, false, "N~6~-methyl-N~6~-[4-(propan-2-yl)phenyl]pyrido[2,3-d]pyrimidine-2,4,6-triamine", 17889 },
	{ "IXG", "", "", ResidueType::NON_POLYMER, false, "N~6~-methyl-N~6~-phenylpyrido[2,3-d]pyrimidine-2,4,6-triamine", 17890 },
	{ "IXH", "", "", ResidueType::NON_POLYMER, false, "8-(2,3-dihydro-1H-inden-5-yl)-2-({4-[(3R,5S)-3,5-dimethylpiperazin-1-yl]phenyl}amino)-5-oxo-5,8-dihydropyrido[2,3-d]pyrimidine-6-carboxamide", 17891 },
	{ "IXM", "", "", ResidueType::NON_POLYMER, false, "(Z)-1H,1'H-[2,3']BIINDOLYLIDENE-3,2'-DIONE-3-OXIME", 17892 },
	{ "IXN", "", "", ResidueType::NON_POLYMER, false, "2-(4-dodecyl-1H-1,2,3-triazol-1-yl)-5'-O-{[(2-hydroxyphenyl)carbonyl]sulfamoyl}adenosine", 17893 },
	{ "IXO", "", "", ResidueType::NON_POLYMER, false, "4-(4,5-dihydro-1,2-oxazol-3-yloxy)-N,N,N-trimethylbut-2-yn-1-aminium", 17894 },
	{ "IXP", "", "", ResidueType::NON_POLYMER, false, "", 17895 },
	{ "IXS", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-1-benzyl-2-{[(1S)-2-(isobutylamino)-1-methyl-2-oxoethyl]amino}ethyl]-N'-[(1R)-1-(4-fluorophenyl)ethyl]-5-[methyl(methylsulfonyl)amino]isophthalamide", 17896 },
	{ "IXV", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-4-phenyl-2-[(N-phenyl-beta-alanyl)amino]thiophene-3-carboxamide", 17897 },
	{ "IXW", "", "", ResidueType::NON_POLYMER, false, "ethyl (2S)-oxiran-2-ylacetate", 17898 },
	{ "IXX", "", "", ResidueType::NON_POLYMER, false, "3-(5H-DIBENZO[B,F]AZEPIN-5-YL)-N,N-DIMETHYLPROPAN-1-AMINE", 17899 },
	{ "IXY", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-2-({N-[2-(1H-indol-3-yl)ethyl]glycyl}amino)-4,5,6,7-tetrahydro-1-benzothiophene-3-carboxamide", 17900 },
	{ "IXZ", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-2-[(N-benzylglycyl)amino]-4-phenylthiophene-3-carboxamide", 17901 },
	{ "IY5", "", "", ResidueType::NON_POLYMER, false, "8-HYDROXY-2-[4-(TRIFLUOROMETHYL)PHENYL]-3,4-DIHYDROQUINAZOLIN-4-ONE", 17902 },
	{ "IY7", "", "", ResidueType::NON_POLYMER, false, "(2s)-6-[[(1r,2s)-2-(5-azanylpentanoylamino)-2,3-dihydro-1h-inden-1-yl]methyl]-2-(3-hydroxy-3-oxopropyl)-2,3-dihydro-1,4-benzodioxine-5-carboxylic acid", 17903 },
	{ "IYG", "", "", ResidueType::NON_POLYMER, false, "N-ALPHA-ACETYL-3,5-DIIODOTYROSYLGLYCINE", 17904 },
	{ "IYP", "", "", ResidueType::NON_POLYMER, false, "(2R,3S)-2,3-dihydroxy-3-(1H-imidazol-5-yl)propyl dihydrogen phosphate", 17905 },
	{ "IYR", "", "", ResidueType::PEPTIDE_LINKING, false, "3-IODO-TYROSINE", 17906 },
	{ "IYT", "", "", ResidueType::PEPTIDE_LINKING, false, "N-ALPHA-ACETYL-3,5-DIIODOTYROSYL-D-THREONINE", 17907 },
	{ "IYX", "", "", ResidueType::NON_POLYMER, false, "1-[5-(3,4-dimethoxyphenyl)-1-benzothiophen-2-yl]methanediamine", 17908 },
	{ "IYZ", "", "", ResidueType::NON_POLYMER, false, "1-(3-{6-[(CYCLOPROPYLMETHYL)AMINO]IMIDAZO[1,2-B]PYRIDAZIN-3-YL}PHENYL)ETHANONE", 17909 },
	{ "IZ1", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-2-{4-[(5S)-1,1-dioxido-3-oxoisothiazolidin-5-yl]phenyl}-1-(4-phenyl-1H-imidazol-2-yl)ethyl]-3-(trifluoromethyl)benzenesulfonamide", 17910 },
	{ "IZ2", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-1-(4-benzyl-1H-imidazol-2-yl)-2-{4-[(5S)-1,1-dioxido-3-oxoisothiazolidin-5-yl]phenyl}ethyl]-3-(trifluoromethyl)benzenesulfonamide", 17911 },
	{ "IZ3", "", "", ResidueType::NON_POLYMER, false, "3-fluoro-N-[(1S)-1-[4-[(2-fluorophenyl)methyl]imidazol-2-yl]-2-[4-[(5S)-1,1,3-trioxo-1,2-thiazolidin-5-yl]phenyl]ethyl]benzenesulfonamide", 17912 },
	{ "IZ4", "", "", ResidueType::NON_POLYMER, false, "N-{(1S)-2-{4-[(5S)-1,1-dioxido-3-oxoisothiazolidin-5-yl]phenyl}-1-[(4R)-4-(2-phenylethyl)-4,5-dihydro-1H-imidazol-2-yl]ethyl}-3-fluorobenzenesulfonamide", 17913 },
	{ "IZ5", "", "", ResidueType::NON_POLYMER, false, "N-{(1S)-2-{4-[(5S)-1,1-dioxido-3-oxoisothiazolidin-5-yl]phenyl}-1-[4-(3-phenylpropyl)-1H-imidazol-2-yl]ethyl}-3-fluorobenzenesulfonamide", 17914 },
	{ "IZ9", "", "", ResidueType::NON_POLYMER, false, "(E)-2,4-diamino-6-(4-methylstyryl)-7H-pyrrolo[2,3-d]pyrimidine-5-carbonitrile", 17915 },
	{ "IZA", "", "", ResidueType::NON_POLYMER, false, "2-TERT-BUTYL-9-FLUORO-3,6-DIHYDRO-7H-BENZ[H]-IMIDAZ[4,5-F]ISOQUINOLINE-7-ONE", 17916 },
	{ "IZB", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-1-(1H-BENZIMIDAZOL-2-YL)-2-{4-[(5S)-1,1-DIOXIDO-3-OXOISOTHIAZOLIDIN-5-YL]PHENYL}ETHYL]-4-METHYL-3,4-DIHYDRO-2H-1,4-BENZOXAZINE-7-SULFONAMIDE", 17917 },
	{ "IZC", "", "", ResidueType::NON_POLYMER, false, "2H-IMIDAZOL-4-YLACETIC ACID", 17918 },
	{ "IZD", "", "", ResidueType::NON_POLYMER, false, "ISOTHIAZOLIDINONE ANALOG", 17919 },
	{ "IZE", "", "", ResidueType::NON_POLYMER, false, "N-{(1S)-2-{4-[(5R)-1,1-DIOXIDO-3-OXOISOTHIAZOLIDIN-5-YL]PHENYL}-1-[5-(TRIFLUOROMETHYL)-1H-BENZIMIDAZOL-2-YL]ETHYL}-2,2,2-TRIFLUOROACETAMIDE", 17920 },
	{ "IZF", "", "", ResidueType::NON_POLYMER, false, "METHYL 2-{[5-({3-CHLORO-4-[(5S)-1,1-DIOXIDO-3-OXOISOTHIAZOLIDIN-5-YL]-N-(PHENYLSULFONYL)-L-PHENYLALANYL}AMINO)PENTYL]OXY}-6-HYDROXYBENZOATE", 17921 },
	{ "IZG", "", "", ResidueType::NON_POLYMER, false, "3-[(2R)-2,3-dihydroxypropyl]-6-fluoro-5-[(2-fluoro-4-iodophenyl)amino]-8-methylpyrido[2,3-d]pyrimidine-4,7(3H,8H)-dione", 17922 },
	{ "IZN", "", "", ResidueType::NON_POLYMER, false, "(4bS,6S)-6-methoxy-1,4,6,7,9,10,12,13-octahydro-3H,5H-pyrano[4',3':3,4]pyrido[2,1-i]indol-3-one", 17923 },
	{ "IZO", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-AMINOHEX-5-YNOIC ACID", 17924 },
	{ "IZP", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[4-(2-methylpropyl)phenyl]propanoic acid", 17925 },
	{ "IZX", "", "", ResidueType::NON_POLYMER, false, "1-{4-[(R)-phenyl(3-phenyl-1,2,4-oxadiazol-5-yl)methoxy]-1-benzothiophen-2-yl}methanediamine", 17926 },
	{ "IZZ", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{[3-(3-aminophenyl)imidazo[1,2-b]pyridazin-6-yl]amino}-3-methylbutan-1-ol", 17927 },
	{ "J01", "", "", ResidueType::NON_POLYMER, false, "(2R,3Z,5R)-3-(2-HYDROXYETHYLIDENE)-7-OXO-4-OXA-1-AZABICYCLO[3.2.0]HEPTANE-2-CARBOXYLIC ACID", 17928 },
	{ "J07", "", "", ResidueType::NON_POLYMER, false, "4-{[5-chloro-4-(1H-indol-3-yl)pyrimidin-2-yl]amino}-N-ethylpiperidine-1-carboxamide", 17929 },
	{ "J0J", "", "", ResidueType::NON_POLYMER, false, "D-alanyl-N-[(2S,6R)-6-amino-6-carboxy-1-{[(1R)-1-carboxyethyl]amino}-1-oxohexan-2-yl]-D-glutamine", 17930 },
	{ "J0W", "", "", ResidueType::NON_POLYMER, false, "(E)-3-[4-(6-HYDROXY-2-ISOBUTYL-1-METHYL-3,4-DIHYDROISOQUINOLIN-1-YL)PHENYL]PROP-2-ENOIC ACID", 17931 },
	{ "J0Z", "", "", ResidueType::NON_POLYMER, false, "benzyl acetate", 17932 },
	{ "J11", "", "", ResidueType::NON_POLYMER, false, "N-{(3R,4S)-4-[(6-amino-4-methylpyridin-2-yl)methyl]pyrrolidin-3-yl}-N'-[2-(3-fluorophenyl)ethyl]ethane-1,2-diamine", 17933 },
	{ "J12", "", "", ResidueType::NON_POLYMER, false, "N-{3-[4-(3-AMINO-PROPYL)-PIPERAZIN-1-YL]-PROPYL}-3-(2-THIOPHEN-2-YL-ACETYLAMINO)-5-(3,4,5-TRIHYDROXY-6-HYDROXYMETHYL-TETRAHYDRO-PYRAN-2-YLOXY)-BENZAMIDE", 17934 },
	{ "J13", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,3R,4S,6S)-6-[(8-azidooctanoyl)amino]-2,3,4-trihydroxycyclohexane-1-carboxylate", 17935 },
	{ "J14", "", "", ResidueType::NON_POLYMER, false, "N-{(3S,4R)-4-[(6-amino-4-methylpyridin-2-yl)methyl]pyrrolidin-3-yl}-N'-[2-(3-fluorophenyl)ethyl]ethane-1,2-diamine", 17936 },
	{ "J15", "", "", ResidueType::NON_POLYMER, false, "N-{3-[4-(3-AMINO-PROPYL)-PIPERAZIN-1-YL]-PROPYL}-3-NITRO-5-(GALACTOPYRANOSYL)-ALPHA-BENZAMIDE", 17937 },
	{ "J19", "", "", ResidueType::NON_POLYMER, false, "(2Z,5Z)-2-[(2-chlorophenyl)imino]-5-(4-hydroxy-3-methoxybenzylidene)-1,3-thiazolidin-4-one", 17938 },
	{ "J1A", "", "", ResidueType::NON_POLYMER, false, "5'-S-[1-(2-{[(2-amino-4-oxo-3,4-dihydropteridin-6-yl)methyl]amino}ethyl)piperidin-4-yl]-5'-thioadenosine", 17939 },
	{ "J1B", "", "", ResidueType::NON_POLYMER, false, "5'-S-[1-(2-{[(2-amino-7,7-dimethyl-4-oxo-3,4,7,8-tetrahydropteridin-6-yl)methyl]amino}ethyl)piperidin-4-yl]-5'-thioadenosine", 17940 },
	{ "J1C", "", "", ResidueType::NON_POLYMER, false, "5'-S-[1-(2-{[(2-amino-7,7-dimethyl-4-oxo-3,4,7,8-tetrahydropteridin-6-yl)carbonyl]amino}ethyl)piperidin-4-yl]-5'-thioadenosine", 17941 },
	{ "J1D", "", "", ResidueType::NON_POLYMER, false, "5'-{[2-({N-[(2-amino-7,7-dimethyl-4-oxo-3,4,7,8-tetrahydropteridin-6-yl)carbonyl]glycyl}amino)ethyl]sulfonyl}-5'-deoxyadenosine", 17942 },
	{ "J1J", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-1-({5-[(diaminomethylidene)amino]pentyl}amino)-1-oxo-3-phenylpropan-2-yl]-4-hydroxy-2-oxo-1,2-dihydroquinoline-6-carboxamide", 17943 },
	{ "J1R", "", "", ResidueType::NON_POLYMER, false, "(1R,19R) cobalt tetradehydrocorrin", 17944 },
	{ "J1S", "", "", ResidueType::NON_POLYMER, false, "(1S,19S) cobalt tetradehydrocorrin", 17945 },
	{ "J1Z", "", "", ResidueType::NON_POLYMER, false, "thieno[3,2-b]thiophene", 17946 },
	{ "J20", "", "", ResidueType::NON_POLYMER, false, "1-[2-(4-hydroxyphenyl)ethynyl]-9,9-bis(4-methoxyphenyl)-7-oxidanyl-fluorene-2-carbaldehyde", 17947 },
	{ "J21", "", "", ResidueType::NON_POLYMER, false, "N-{[(1S)-5-({2-[2-(acetylamino)ethoxy]-4-bromobenzoyl}amino)-1-carboxypentyl]carbamoyl}-L-glutamic acid", 17948 },
	{ "J24", "", "", ResidueType::NON_POLYMER, false, "ethyl 5-hydroxy-4-(morpholin-4-ylmethyl)-2-phenyl-1-benzofuran-3-carboxylate", 17949 },
	{ "J25", "", "", ResidueType::NON_POLYMER, false, "diethyl 2-[(thiophen-2-ylacetyl)amino]-4,7-dihydrothieno[2,3-c]pyridine-3,6(5H)-dicarboxylate", 17950 },
	{ "J27", "", "", ResidueType::NON_POLYMER, false, "[3-chloranyl-4-(4-fluoranyl-2-methyl-phenyl)phenyl]methylazanium", 17951 },
	{ "J28", "", "", ResidueType::NON_POLYMER, false, "5-[(E)-(2-amino-4-hydroxy-5-methylphenyl)diazenyl]-2,4-dimethylbenzenesulfonic acid", 17952 },
	{ "J2I", "", "", ResidueType::NON_POLYMER, false, "2-(2,6-difluoro-4-methoxyphenyl)-1-(4-{4-[(3-methyl-1H-pyrazol-5-yl)amino]pyrrolo[2,1-f][1,2,4]triazin-2-yl}piperazin-1-yl)ethanone", 17953 },
	{ "J2P", "", "", ResidueType::NON_POLYMER, false, "(3-chloranyl-4-phenyl-phenyl)methyl-ethyl-azanium", 17954 },
	{ "J2T", "", "", ResidueType::NON_POLYMER, false, "N-(2,3-dihydro-1H-inden-5-yl)tetrazolo[1,5-b]pyridazin-6-amine", 17955 },
	{ "J2Z", "", "", ResidueType::NON_POLYMER, false, "(9beta,13alpha,16beta)-3,16-dihydroxyestra-1,3,5(10)-trien-17-one", 17956 },
	{ "J30", "", "", ResidueType::NON_POLYMER, false, "4-[4-(naphthalen-1-ylmethyl)piperazin-1-yl]-4-oxobutane-1-thiol", 17957 },
	{ "J31", "", "", ResidueType::NON_POLYMER, false, "", 17958 },
	{ "J34", "", "", ResidueType::NON_POLYMER, false, "", 17959 },
	{ "J35", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[4-methoxy-3-({[4-(trifluoromethyl)benzoyl]amino}methyl)benzyl]pentanoic acid", 17960 },
	{ "J37", "", "", ResidueType::NON_POLYMER, false, "", 17961 },
	{ "J38", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-methyl-3-oxo-4H-1,4-benzothiazine-6-carbohydroxamic acid", 17962 },
	{ "J3I", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-1-[(2~{R})-2-azanyl-3-phenyl-propanoyl]-~{N}-[(1-carbamimidoylpiperidin-4-yl)methyl]pyrrolidine-2-carboxamide", 17963 },
	{ "J3Z", "", "", ResidueType::NON_POLYMER, false, "(9beta,13alpha)-3-hydroxyestra-1,3,5(10)-trien-17-one", 17964 },
	{ "J42", "", "", ResidueType::NON_POLYMER, false, "", 17965 },
	{ "J43", "", "", ResidueType::NON_POLYMER, false, "4-{[6-chloro-5-formyl-2-(methylsulfanyl)pyrimidin-4-yl]amino}benzenesulfonamide", 17966 },
	{ "J45", "", "", ResidueType::NON_POLYMER, false, "4-[(6-chloro-5-nitropyrimidin-4-yl)amino]benzenesulfonamide", 17967 },
	{ "J47", "", "", ResidueType::NON_POLYMER, false, "5-bromo-2-(4-chloro-2-hydroxyphenoxy)benzonitrile", 17968 },
	{ "J4K", "", "", ResidueType::NON_POLYMER, false, "5-[(4-chloranylphenoxy)methyl]-1H-1,2,3,4-tetrazole", 17969 },
	{ "J4W", "", "", ResidueType::NON_POLYMER, false, "tert-butyl (1-hydroxy-1,3-dihydro-2,1-benzoxaborol-6-yl)carbamate", 17970 },
	{ "J4X", "", "", ResidueType::NON_POLYMER, false, "6-carbamimidoyl-N-phenyl-4-(pyrimidin-2-ylamino)naphthalene-2-carboxamide", 17971 },
	{ "J4Z", "", "", ResidueType::NON_POLYMER, false, "N-anthracen-2-yl-5-methyl[1,2,4]triazolo[1,5-a]pyrimidin-7-amine", 17972 },
	{ "J53", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{4-butoxy-3-[({4-[(3S,5S,7S)-tricyclo[3.3.1.1~3,7~]dec-1-yl]benzoyl}amino)methyl]benzyl}butanoic acid", 17973 },
	{ "J54", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-{[(BENZYLAMINO)CARBONYL]AMINO}-2-HYDROXYPROPANOIC ACID", 17974 },
	{ "J55", "", "", ResidueType::NON_POLYMER, false, "1-(2-{(2S)-2-[(6-bromopyridin-2-yl)carbamoyl]-1,3-thiazolidin-3-yl}-2-oxoethyl)-1H-pyrazolo[3,4-b]pyridine-3-carboxamide", 17975 },
	{ "J56", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-(6-bromopyridin-2-yl)-3-[(1H-indazol-1-yl)acetyl]-1,3-thiazolidine-2-carboxamide", 17976 },
	{ "J57", "", "", ResidueType::NON_POLYMER, false, "(~{E})-3-[4-oxidanyl-3-(3-propan-2-ylphenyl)phenyl]prop-2-enoic acid", 17977 },
	{ "J5I", "", "", ResidueType::NON_POLYMER, false, "3-METHYL-1,2-DIHYDROQUINOLIN-2-ONE", 17978 },
	{ "J5L", "", "", ResidueType::NON_POLYMER, false, "", 17979 },
	{ "J5Y", "", "", ResidueType::NON_POLYMER, false, "Nalpha-{4-[4-(5-chloro-2-methylphenyl)piperazin-1-yl]-2-fluorobenzoyl}-N-pyridin-4-yl-D-tryptophanamide", 17980 },
	{ "J5Z", "", "", ResidueType::NON_POLYMER, false, "5-methyl-N-[4-(trifluoromethyl)phenyl][1,2,4]triazolo[1,5-a]pyrimidin-7-amine", 17981 },
	{ "J60", "", "", ResidueType::NON_POLYMER, false, "5-[(E)-(5-CHLORO-2-OXO-1,2-DIHYDRO-3H-INDOL-3-YLIDENE)METHYL]-N-[2-(DIETHYLAMINO)ETHYL]-2,4-DIMETHYL-1H-PYRROLE-3-CARBOXAMIDE", 17982 },
	{ "J63", "", "", ResidueType::NON_POLYMER, false, "1-[(benzyloxy)methyl]-6-(cyclohexylmethyl)-3-hydroxy-5-(propan-2-yl)pyrimidine-2,4(1H,3H)-dione", 17983 },
	{ "J67", "", "", ResidueType::NON_POLYMER, false, "(3Z)-1-[(6-fluoro-4H-1,3-benzodioxin-8-yl)methyl]-4-[(E)-2-phenylethenyl]-1H-indole-2,3-dione 3-oxime", 17984 },
	{ "J6W", "", "", ResidueType::NON_POLYMER, false, "(5-methyl-1-benzothiophen-2-yl)methanol", 17985 },
	{ "J6Z", "", "", ResidueType::NON_POLYMER, false, "(2R)-butane-2-sulfonate", 17986 },
	{ "J71", "", "", ResidueType::NON_POLYMER, false, "4-{[(6-methoxy-5-nitropyrimidin-4-yl)amino]methyl}benzenesulfonamide", 17987 },
	{ "J72", "", "", ResidueType::NON_POLYMER, false, "(3E)-5-fluoro-1-[(6-fluoro-4H-1,3-benzodioxin-8-yl)methyl]-1H-indole-2,3-dione 3-oxime", 17988 },
	{ "J73", "", "", ResidueType::NON_POLYMER, false, "METHANOL TRIAZOL ETHYL PHENYL 1O-ALPHA-D-MANNOPYRANOSIDE", 17989 },
	{ "J74", "", "", ResidueType::NON_POLYMER, false, "4-{2-[(6-chloro-5-nitropyrimidin-4-yl)amino]ethyl}benzenesulfonamide", 17990 },
	{ "J75", "", "", ResidueType::NON_POLYMER, false, "4-({[6-(benzylamino)-5-nitropyrimidin-4-yl]amino}methyl)benzenesulfonamide", 17991 },
	{ "J77", "", "", ResidueType::NON_POLYMER, false, "(METHYLPYRIDAZINE PIPERIDINE ETHYLOXYPHENYL)ETHYLACETATE", 17992 },
	{ "J78", "", "", ResidueType::NON_POLYMER, false, "(METHYLPYRIDAZINE PIPERIDINE PROPYLOXYPHENYL)ETHYLACETATE", 17993 },
	{ "J7C", "", "", ResidueType::NON_POLYMER, false, "9-(6-carbamimidamido-5,6-dideoxy-beta-D-ribo-hexofuranosyl)-9H-purin-6-amine", 17994 },
	{ "J7V", "", "", ResidueType::NON_POLYMER, false, "3'-(7-diethylaminocoumarin-3-carbonylamino)-3'-deoxy-ADP", 17995 },
	{ "J7Z", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-[(6-O-alpha-D-galactopyranosyl-beta-D-galactopyranosyl)oxy]-2-[(3Z,6Z,9Z,12Z,15Z)-octadeca-3,6,9,12,15-pentaenoyloxy]propyl (5Z,8Z,11Z,14Z,17Z)-icosa-5,8,11,14,17-pentaenoate", 17996 },
	{ "J80", "", "", ResidueType::NON_POLYMER, false, "(METHYLPYRIDAZINE PIPERIDINE BUTYLOXYPHENYL)ETHYLACETATE", 17997 },
	{ "J82", "", "", ResidueType::NON_POLYMER, false, "2-[2-(2-METHYL-2,3-DIHYDRO-INDOL-1-YL)-2-OXO-ETHYL]-6-MORPHOLIN-4-YL-3H-PYRIMIDIN-4-ONE", 17998 },
	{ "J88", "", "", ResidueType::NON_POLYMER, false, "(3Z)-1-[(6-fluoro-4H-1,3-benzodioxin-8-yl)methyl]-4-phenyl-1H-indole-2,3-dione 3-oxime", 17999 },
	{ "J8Z", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(1-benzothiophen-2-ylcarbonyl)amino]-3-(3-methylphenyl)propyl phosphate", 18000 },
	{ "J90", "", "", ResidueType::NON_POLYMER, false, "4-{[(5-nitro-6-oxo-1,6-dihydropyrimidin-4-yl)amino]methyl}benzenesulfonamide", 18001 },
	{ "J94", "", "", ResidueType::NON_POLYMER, false, "(5S)-6,6-dimethyl-5-[(6R)-8-oxo-6,8-dihydrofuro[3,4-e][1,3]benzodioxol-6-yl]-5,6,7,8-tetrahydro[1,3]dioxolo[4,5-g]isoquinolin-6-ium", 18002 },
	{ "J96", "", "", ResidueType::NON_POLYMER, false, "", 18003 },
	{ "J99", "", "", ResidueType::NON_POLYMER, false, "(10R)-7-amino-3-cyclopropyl-12-fluoro-1,10,16-trimethyl-16,17-dihydro-1H-8,4-(metheno)pyrazolo[4,3-h][2,5,11]benzoxadiazacyclotetradecin-15(10H)-one", 18004 },
	{ "J9K", "", "", ResidueType::NON_POLYMER, false, "tert-butyl [(2S)-1-({3-oxo-3-[(pyridin-3-ylmethyl)amino]propyl}sulfanyl)-3-phenylpropan-2-yl]carbamate", 18005 },
	{ "J9Z", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(1-benzothiophen-2-ylcarbonyl)amino]-3-phenylpropyl phosphate", 18006 },
	{ "JA1", "", "", ResidueType::NON_POLYMER, false, "5-HEXYL-2-(4-NITROPHENOXY)PHENOL", 18007 },
	{ "JA2", "", "", ResidueType::NON_POLYMER, false, "5-(1H-benzimidazol-2-yl)pentan-1-amine", 18008 },
	{ "JA3", "", "", ResidueType::NON_POLYMER, false, "5-ethyl-4-fluoro-2-[(2-fluoropyridin-3-yl)oxy]phenol", 18009 },
	{ "JAA", "", "", ResidueType::NON_POLYMER, false, "{(1R,2R)-3-oxo-2-[(2Z)-pent-2-en-1-yl]cyclopentyl}acetic acid", 18010 },
	{ "JAC", "", "", ResidueType::NON_POLYMER, false, "1-({4-[3-(TRIFLUOROMETHYL)-6,7-DIHYDROPYRANO[4,3-C]PYRAZOL-1(4H)-YL]PHENYL}METHYL)-2-PYRROLIDINONE", 18011 },
	{ "JAD", "", "", ResidueType::NON_POLYMER, false, "2-chloro-4-[(3S,3aS,4S)-4-hydroxy-3-methoxy-3a,4,5,6-tetrahydro-3H-pyrrolo[1,2-b]pyrazol-2-yl]-3-methylbenzonitrile", 18012 },
	{ "JAF", "", "", ResidueType::NON_POLYMER, false, "N-(4-hydroxy-2,6-dimethylphenyl)-4-methoxybenzenesulfonamide", 18013 },
	{ "JAI", "", "", ResidueType::NON_POLYMER, false, "N-({(1R,2R)-3-oxo-2-[(2Z)-pent-2-en-1-yl]cyclopentyl}acetyl)-L-isoleucine", 18014 },
	{ "JAK", "", "", ResidueType::NON_POLYMER, false, "2-methyl-1-(piperidin-4-yl)-1,6-dihydroimidazo[4,5-d]pyrrolo[2,3-b]pyridine", 18015 },
	{ "JAN", "", "", ResidueType::NON_POLYMER, false, "6-[(S)-AMINO(4-CHLOROPHENYL)(1-METHYL-1H-IMIDAZOL-5-YL)METHYL]-4-(3-CHLOROPHENYL)-1-METHYLQUINOLIN-2(1H)-ONE", 18016 },
	{ "JAO", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-methylheptadecan-1-ol", 18017 },
	{ "JAR", "", "", ResidueType::NON_POLYMER, false, "6-[(3S,4S)-1-benzyl-4-methylpyrrolidin-3-yl]-1-(1-methylethyl)-1,5-dihydro-4H-pyrazolo[3,4-d]pyrimidin-4-one", 18018 },
	{ "JAS", "", "", ResidueType::NON_POLYMER, false, "JASPISAMIDE A", 18019 },
	{ "JAY", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(2-fluorophenyl)-3-[2-[4-[(2R)-2-(2-fluorophenyl)-4-oxidanylidene-1,2-dihydroquinazolin-3-yl]piperidin-1-yl]ethyl]-1,2-dihydroquinazolin-4-one", 18020 },
	{ "JAZ", "", "", ResidueType::NON_POLYMER, false, "6-PHOSPHOCYCLOPHELLITOL", 18021 },
	{ "JB1", "", "", ResidueType::NON_POLYMER, false, "(1R,3S,5Z)-5-[(2E)-2-[(1R,3aS,7aR)-1-[(2R,3S)-3-(2-hydroxyethyl)heptan-2-yl]-7a-methyl-2,3,3a,5,6,7-hexahydro-1H-inden-4-ylidene]ethylidene]-4-methylidene-cyclohexane-1,3-diol", 18022 },
	{ "JB2", "", "", ResidueType::NON_POLYMER, false, "GDP-perosamine", 18023 },
	{ "JB3", "", "", ResidueType::NON_POLYMER, false, "GDP-N-acetylperosamine", 18024 },
	{ "JB6", "", "", ResidueType::NON_POLYMER, false, "", 18025 },
	{ "JB7", "", "", ResidueType::NON_POLYMER, false, "N-({(1S)-5-[acetyl(4-bromobenzyl)amino]-1-carboxypentyl}carbamoyl)-L-glutamic acid", 18026 },
	{ "JB9", "", "", ResidueType::NON_POLYMER, false, "", 18027 },
	{ "JBI", "", "", ResidueType::NON_POLYMER, false, "9-cyclopentyl-N~8~-(2-fluorophenyl)-N~2~-(4-methoxyphenyl)-9H-purine-2,8-diamine", 18028 },
	{ "JBT", "", "", ResidueType::NON_POLYMER, false, "GDP-N-acetylperosamine-coenzyme A", 18029 },
	{ "JBW", "", "", ResidueType::NON_POLYMER, false, "5-(4-cyano-2-methyl-1H-benzimidazol-1-yl)-N-cyclopropylthiophene-2-carboxamide", 18030 },
	{ "JC1", "", "", ResidueType::NON_POLYMER, false, "(1R,3S,5Z)-5-[(2E)-2-[(1R,3aS,7aR)-1-[(2S,3S)-3-(2-hydroxyethyl)heptan-2-yl]-7a-methyl-2,3,3a,5,6,7-hexahydro-1H-inden-4-ylidene]ethylidene]-4-methylidene-cyclohexane-1,3-diol", 18031 },
	{ "JC2", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-4-azanyl-2-[[(2~{S})-4-methyl-2-[[oxidanyl(phenylmethoxycarbonylaminomethyl)phosphoryl]amino]pentanoyl]amino]butanoic acid", 18032 },
	{ "JCB", "", "", ResidueType::NON_POLYMER, false, "N-(P-TOLUENESULFONYL)-INDOLE", 18033 },
	{ "JCF", "", "", ResidueType::NON_POLYMER, false, "8-hydroxy-2-methylquinoline-6-carboxamide", 18034 },
	{ "JCL", "", "", ResidueType::NON_POLYMER, false, "4-(6-CHLORO-2,4-DIOXO-1,2,3,4-TETRAHYDROPYRIMIDIN-5-YL) BUTYL PHOSPHATE", 18035 },
	{ "JD1", "", "", ResidueType::NON_POLYMER, false, "[({5-[4-(propan-2-yloxy)phenyl]pyridin-3-yl}amino)methanediyl]bis(phosphonic acid)", 18036 },
	{ "JD5", "", "", ResidueType::NON_POLYMER, false, "[({5-[4-(cyclopropyloxy)phenyl]pyridin-3-yl}amino)methanediyl]bis(phosphonic acid)", 18037 },
	{ "JDB", "", "", ResidueType::NON_POLYMER, false, "5-[2-(7-methoxynaphthalen-2-yl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 18038 },
	{ "JDC", "", "", ResidueType::NON_POLYMER, false, "(3R)-7-hydroxy-N-{(2S)-1-[(3R,4R)-4-(3-hydroxyphenyl)-3,4-dimethylpiperidin-1-yl]-3-methylbutan-2-yl}-1,2,3,4-tetrahydroisoquinoline-3-carboxamide", 18039 },
	{ "JDD", "", "", ResidueType::NON_POLYMER, false, "N-[2-(methylamino)-2-oxidanylidene-ethyl]-2-(4-pyrazol-1-ylphenyl)-N-(1-pyridin-2-ylpiperidin-4-yl)ethanamide", 18040 },
	{ "JDM", "", "", ResidueType::NON_POLYMER, false, "5-{2-[2-(hydroxymethyl)phenyl]ethyl}-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 18041 },
	{ "JDR", "", "", ResidueType::NON_POLYMER, false, "4-({[6-chloro-5-formyl-2-(methylsulfanyl)pyrimidin-4-yl]amino}methyl)benzenesulfonamide", 18042 },
	{ "JDT", "", "", ResidueType::DNA_LINKING, false, "", 18043 },
	{ "JDX", "", "", ResidueType::NON_POLYMER, false, "2-methoxy-6-[[[2-[(4-methoxyphenyl)methylcarbamoyl]phenyl]methyl-methyl-amino]methyl]benzoic acid", 18044 },
	{ "JE2", "", "", ResidueType::PEPTIDE_LIKE, false, "(4R)-3-{(2S,3S)-2-hydroxy-3-[(3-hydroxy-2-methylbenzoyl)amino]-4-phenylbutanoyl}-5,5-dimethyl-N-(2-methylbenzyl)-1,3-thiazolidine-4-carboxamide", 18045 },
	{ "JEF", "", "", ResidueType::NON_POLYMER, false, "", 18046 },
	{ "JEG", "", "", ResidueType::NON_POLYMER, false, "trans-1-aminocyclobutane-1,3-dicarboxylic acid", 18047 },
	{ "JEN", "", "", ResidueType::NON_POLYMER, false, "3-METHOXY-6-[4-(3-METHYLPHENYL)-1-PIPERAZINYL]PYRIDAZINE", 18048 },
	{ "JF0", "", "", ResidueType::NON_POLYMER, false, "1-(5-((3'-METHYL-[1,1'-BIPHENYL]-4-YL)OXY)PENTYL)-3-(", 18049 },
	{ "JF1", "", "", ResidueType::NON_POLYMER, false, "(1S,5S,8S,9aR)-1,9a-dimethyl-8-(prop-1-en-2-yl)octahydro-2H-quinolizinium", 18050 },
	{ "JF2", "", "", ResidueType::NON_POLYMER, false, "(1R,5R,8R,9aS)-1,9a-dimethyl-8-(prop-1-en-2-yl)octahydro-2H-quinolizinium", 18051 },
	{ "JF4", "", "", ResidueType::NON_POLYMER, false, "(3R,5S,6R,9aR)-6,9a-dimethyl-3-(prop-1-en-2-yl)octahydro-2H-quinolizinium", 18052 },
	{ "JF6", "", "", ResidueType::NON_POLYMER, false, "4-PHENYL-1,2,5-OXADIAZOL-3-AMINE", 18053 },
	{ "JFD", "", "", ResidueType::NON_POLYMER, false, "6-amino-5-bromo-1,2,3,4-tetrahydropyrimidine-2,4-dione", 18054 },
	{ "JFK", "", "", ResidueType::NON_POLYMER, false, "(1S,6R)-3-[2-(3,4-dimethoxyphenoxy)ethyl]-10-[(2-oxo-2,3-dihydro-1,3-benzothiazol-6-yl)sulfonyl]-3,10-diazabicyclo[4.3.1]decan-2-one", 18055 },
	{ "JFQ", "", "", ResidueType::NON_POLYMER, false, "trans-N-(3-aminopropyl)cyclohexane-1,4-diamine", 18056 },
	{ "JG1", "", "", ResidueType::NON_POLYMER, false, "7-phenyl-1-[5-(pyridin-2-yl)-1,3,4-oxadiazol-2-yl]heptan-1-one", 18057 },
	{ "JG2", "", "", ResidueType::NON_POLYMER, false, "7-phenyl-1-[5-(pyridin-2-yl)-1,3,4-oxadiazol-2-yl]heptane-1,1-diol", 18058 },
	{ "JG3", "", "", ResidueType::PEPTIDE_LIKE, false, "1-[(2S,3S)-3-amino-2-hydroxy-4-phenylbutyl]-L-proline", 18059 },
	{ "JG7", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-4-[2-chloranyl-4-(4-ethylpiperazin-1-yl)phenyl]sulfonyl-N-[1-(iminomethyl)cyclopropyl]-1-[1-(trifluoromethyl)cyclopropyl]carbonyl-pyrrolidine-2-carboxamide", 18060 },
	{ "JG8", "", "", ResidueType::NON_POLYMER, false, "BENZOFURO[3,2-D]PYRIMIDIN-4(3H)-ONE", 18061 },
	{ "JGZ", "", "", ResidueType::NON_POLYMER, false, "4-(4-{[4-(4-cyano-2,6-dimethylphenoxy)pyrimidin-2-yl]amino}piperidin-1-yl)benzenesulfonamide", 18062 },
	{ "JH0", "", "", ResidueType::NON_POLYMER, false, "", 18063 },
	{ "JH2", "", "", ResidueType::NON_POLYMER, false, "methyl (2E,6E)-9-[(2R,3S)-3-ethyl-3-methyloxiran-2-yl]-3,7-dimethylnona-2,6-dienoate", 18064 },
	{ "JH3", "", "", ResidueType::NON_POLYMER, false, "methyl (2E,6E)-9-[(2R)-3,3-dimethyloxiran-2-yl]-3,7-dimethylnona-2,6-dienoate", 18065 },
	{ "JH5", "", "", ResidueType::NON_POLYMER, false, "1-benzyl-4-(benzylamino)-1H-1,2,4-triazol-4-ium", 18066 },
	{ "JHG", "", "", ResidueType::NON_POLYMER, false, "4-{(3-phenylpropyl)[(3S,4S)-4-{[4-(trifluoromethyl)benzyl]amino}pyrrolidin-3-yl]sulfamoyl}benzamide", 18067 },
	{ "JHM", "", "", ResidueType::NON_POLYMER, false, "2-deoxy-6-O-sulfo-alpha-D-arabino-hexopyranose", 18068 },
	{ "JHT", "", "", ResidueType::NON_POLYMER, false, "7-[[[3-(dimethylamino)phenyl]methylamino]methyl]quinolin-2-amine", 18069 },
	{ "JHY", "", "", ResidueType::NON_POLYMER, false, "3-(5,6-DICHLORO-2-OXOBENZO[D]OXAZOL-3(2H)-YL)PROPANOIC ACID", 18070 },
	{ "JHZ", "", "", ResidueType::NON_POLYMER, false, "", 18071 },
	{ "JI1", "", "", ResidueType::NON_POLYMER, false, "3-({(3S,4S)-4-[(6-aminopyridin-2-yl)methyl]pyrrolidin-3-yl}amino)propan-1-ol", 18072 },
	{ "JI2", "", "", ResidueType::NON_POLYMER, false, "N-{(3S,4S)-4-[(6-aminopyridin-2-yl)methyl]pyrrolidin-3-yl}ethane-1,2-diamine", 18073 },
	{ "JI3", "", "", ResidueType::NON_POLYMER, false, "N-{(3S,4S)-4-[(6-AMINO-4-METHYLPYRIDIN-2-YL)METHYL]PYRROLIDIN-3-YL}-N'-(4-CHLOROBENZYL)ETHANE-1,2-DIAMINE", 18074 },
	{ "JI4", "", "", ResidueType::NON_POLYMER, false, "N-{(3S,4S)-4-[(6-amino-4-methylpyridin-2-yl)methyl]pyrrolidin-3-yl}-N'-[2-(3-fluorophenyl)ethyl]ethane-1,2-diamine", 18075 },
	{ "JI5", "", "", ResidueType::NON_POLYMER, false, "N-{(3R,4R)-4-[(6-amino-4-methylpyridin-2-yl)methyl]pyrrolidin-3-yl}-N'-[2-(3-fluorophenyl)ethyl]ethane-1,2-diamine", 18076 },
	{ "JI7", "", "", ResidueType::NON_POLYMER, false, "N-{(3R,4S)-4-[(6-amino-4-methylpyridin-2-yl)methyl]pyrrolidin-3-yl}-N'-(3-chlorobenzyl)ethane-1,2-diamine", 18077 },
	{ "JIF", "", "", ResidueType::NON_POLYMER, false, "3,4,5-tris(fluoranyl)phenol", 18078 },
	{ "JIL", "", "", ResidueType::NON_POLYMER, false, "9-{5-S-[2-({[(3S)-7-nitro-1,2,3,4-tetrahydroisoquinolin-3-yl]methyl}amino)ethyl]-5-thio-alpha-L-lyxofuranosyl}-9H-purin-6-amine", 18079 },
	{ "JIM", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,3-dihydroxypropyl acetate", 18080 },
	{ "JIN", "", "", ResidueType::NON_POLYMER, false, "6-(2,6-DICHLOROPHENYL)-2-[(4-FLUORO-3-METHYLPHENYL)AMINO]-8-METHYLPYRIDO[2,3-D]PYRIMIDIN-7(8H)-ONE", 18081 },
	{ "JJ1", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-1-{[(1S)-5-AMINO-1-[(2-CYCLOHEXYLETHYL)CARBAMOYL]PENTYL]CARBAMOYL}-2-HYDROXYETHYL]-10-HYDROXYDECANAMIDE", 18082 },
	{ "JJ3", "", "", ResidueType::NON_POLYMER, false, "(3AS,4R,9BR)-4-(4-HYDROXYPHENYL)-6-(METHOXYMETHYL)-1,2,3,3A,4,9B-HEXAHYDROCYCLOPENTA[C]CHROMEN-8-OL", 18083 },
	{ "JJA", "", "", ResidueType::NON_POLYMER, false, "N-(phenylsulfonyl)-4-propoxy-3-({[4-(pyrimidin-2-yl)benzoyl]amino}methyl)benzamide", 18084 },
	{ "JJB", "", "", ResidueType::NON_POLYMER, false, "N-(benzylsulfonyl)-4-propoxy-3-({[4-(pyrimidin-2-yl)benzoyl]amino}methyl)benzamide", 18085 },
	{ "JJD", "", "", ResidueType::NON_POLYMER, false, "2-[(4R)-4-(4-cyanophenyl)-5-ethanoyl-6-methyl-2-oxidanylidene-1-[3-(trifluoromethyl)phenyl]-4H-pyrimidin-3-yl]ethanoic acid", 18086 },
	{ "JJJ", "", "", ResidueType::PEPTIDE_LINKING, false, "S-(pyridin-3-ylcarbonyl)-L-cysteine", 18087 },
	{ "JJK", "", "", ResidueType::PEPTIDE_LINKING, false, "S-[(S)-hydroxy(pyridin-3-yl)methyl]-L-cysteine", 18088 },
	{ "JJL", "", "", ResidueType::PEPTIDE_LINKING, false, "S-[(S)-hydroxy(5-methoxypyridin-3-yl)methyl]-L-cysteine", 18089 },
	{ "JJS", "", "", ResidueType::NON_POLYMER, false, "5-[(6R)-5-ethanoyl-4-methyl-2-oxidanylidene-3-[3-(trifluoromethyl)phenyl]-1,6-dihydropyrimidin-6-yl]pyridine-2-carbonitrile", 18090 },
	{ "JJV", "", "", ResidueType::NON_POLYMER, false, "(6S)-6-(4-cyano-2-methylsulfonyl-phenyl)-4-methyl-2-oxidanylidene-3-[3-(trifluoromethyl)phenyl]-1,6-dihydropyrimidine-5-carbonitrile", 18091 },
	{ "JJX", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-(4-cyanophenyl)-6-methyl-2-oxidanylidene-3-[2-oxidanylidene-2-(4-propan-2-ylpiperazin-1-yl)ethyl]-1-[3-(trifluoromethyl)phenyl]-4H-pyrimidine-5-carbonitrile", 18092 },
	{ "JJZ", "", "", ResidueType::NON_POLYMER, false, "4-[2-(anthracen-9-ylmethylidene)hydrazino]-N-(3-chlorophenyl)-4-oxobutanamide", 18093 },
	{ "JK1", "", "", ResidueType::NON_POLYMER, false, "3-{4-[(phenylcarbamoyl)amino]-1H-pyrazol-1-yl}-N-(3,4,5-trimethoxyphenyl)benzamide", 18094 },
	{ "JK2", "", "", ResidueType::NON_POLYMER, false, "3-{5-[(2-fluorophenyl)amino]-1H-indazol-1-yl}-N-(3,4,5-trimethoxyphenyl)benzamide", 18095 },
	{ "JK3", "", "", ResidueType::NON_POLYMER, false, "5-bromo-N-(3-chloro-2-(4-(prop-2-ynyl)piperazin-1-yl)phenyl)furan-2-carboxamide", 18096 },
	{ "JK4", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,4R)-4-(2-{[2-(2,3-difluorophenyl)-2,2-difluoroethyl]amino}ethoxy)pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 18097 },
	{ "JK5", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,4R)-4-(2-{[2-(3-chloro-5-fluorophenyl)-2,2-difluoroethyl]amino}ethoxy)pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 18098 },
	{ "JKE", "", "", ResidueType::NON_POLYMER, false, "2-sulfanylbenzoic acid", 18099 },
	{ "JKF", "", "", ResidueType::NON_POLYMER, false, "6-[(R)-(4-chlorophenyl)(methoxy)(1-methyl-1H-imidazol-5-yl)methyl]-4-(2,6-difluorophenyl)-1-methylquinolin-2(1H)-one", 18100 },
	{ "JKK", "", "", ResidueType::NON_POLYMER, false, "2-[(3-chlorobenzyl)amino]ethanesulfonic acid", 18101 },
	{ "JKM", "", "", ResidueType::NON_POLYMER, false, "1-[(2S,3aS,4S,6R,6aR)-2-hydroxy-6-(hydroxymethyl)-2-oxidotetrahydrofuro[3,4-d][1,3,2]dioxaphosphol-4-yl]pyrimidine-2,4(1H,3H)-dione", 18102 },
	{ "JKT", "", "", ResidueType::NON_POLYMER, false, "tert-butyl N-[[1-[(3S,5S)-5-[(2S)-2-[azanyl(oxidanyl)methyl]pyrrolidin-1-yl]carbonyl-1-(4-phenylbutanoyl)pyrrolidin-3-yl]-1,2,3-triazol-4-yl]methyl]carbamate", 18103 },
	{ "JKZ", "", "", ResidueType::NON_POLYMER, false, "4-(trifluoromethyl)-1,5,6,7-tetrahydro-2H-cyclopenta[b]pyridin-2-one", 18104 },
	{ "JL9", "", "", ResidueType::NON_POLYMER, false, "2-(4-((pyridin-4-yl)methyl)piperazin-1-yl)-3,4,5,6,7,8-hexahydroquinazolin-4-one", 18105 },
	{ "JLJ", "", "", ResidueType::NON_POLYMER, false, "4-[(4-methoxypyrimidin-2-yl)amino]-2-[(3-methylbut-2-en-1-yl)oxy]benzonitrile", 18106 },
	{ "JLN", "", "", ResidueType::RNA_LINKING, false, "5-(FORMYLAMINO)-1-(5-O-PHOSPHONO-BETA-D-RIBOFURANOSYL)-1H-IMIDAZOLE-4-CARBOXYLIC ACID", 18107 },
	{ "JLO", "", "", ResidueType::NON_POLYMER, false, "(2E,4E)-3-methyl-5-(2,3,6,7-tetrahydro-1H,5H-pyrido[3,2,1-ij]quinolin-9-yl)penta-2,4-dienal", 18108 },
	{ "JLS", "", "", ResidueType::NON_POLYMER, false, "(15Z)-N-[(2S,3S,4R)-1-(alpha-D-galactopyranosyloxy)-3,4-dihydroxyoctadecan-2-yl]tetracos-15-enamide", 18109 },
	{ "JLZ", "", "", ResidueType::NON_POLYMER, false, "3-fluoro-4-methylbenzenecarboximidamide", 18110 },
	{ "JM1", "", "", ResidueType::NON_POLYMER, false, "FLUORINATED PYRIDOCARBAZOLE CYCLOPENTADIENYL RU(CO) COMPLEX", 18111 },
	{ "JM2", "", "", ResidueType::NON_POLYMER, false, "N~5~-[2-(methylsulfanyl)ethanimidoyl]-L-ornithine", 18112 },
	{ "JM4", "", "", ResidueType::NON_POLYMER, false, "N~5~-{3-[(1-methylethyl)sulfanyl]propanimidoyl}-L-ornithine", 18113 },
	{ "JM5", "", "", ResidueType::NON_POLYMER, false, "N~5~-[2-(propylsulfanyl)ethanimidoyl]-L-ornithine", 18114 },
	{ "JM6", "", "", ResidueType::NON_POLYMER, false, "N~5~-[4-(methylsulfanyl)butanimidoyl]-L-ornithine", 18115 },
	{ "JM7", "", "", ResidueType::NON_POLYMER, false, "N~5~-[2-(ethylsulfanyl)ethanimidoyl]-L-ornithine", 18116 },
	{ "JM8", "", "", ResidueType::NON_POLYMER, false, "N~5~-[(3-(ethylsulfanyl)propanimidoyl]-L-ornithine", 18117 },
	{ "JMB", "", "", ResidueType::NON_POLYMER, false, "(3-chloranyl-4-phenyl-phenyl)methyl-propyl-azanium", 18118 },
	{ "JMP", "", "", ResidueType::NON_POLYMER, false, "2-{[3-(1-methylethoxy)phenyl]carbamoyl}benzoic acid", 18119 },
	{ "JMQ", "", "", ResidueType::NON_POLYMER, false, "7-(((2R,3R,4S)-3,4-dihydroxy-2-(hydroxymethyl)pyrrolidin-1-yl)methyl)-3H-pyrrolo[3,2-d]pyrimidin-4(5H)-one", 18120 },
	{ "JMS", "", "", ResidueType::NON_POLYMER, false, "2-[(2,6-dichloro-3-methyl-phenyl)amino]benzoic acid", 18121 },
	{ "JMZ", "", "", ResidueType::NON_POLYMER, false, "6-(2-aminopyrimidin-4-yl)-1H-indazol-3-amine", 18122 },
	{ "JN3", "", "", ResidueType::NON_POLYMER, false, "CHENODEOXYCHOLIC ACID", 18123 },
	{ "JN4", "", "", ResidueType::NON_POLYMER, false, "ethenyl 6-(ethenylcarbamoyl)-2-[(phenylacetyl)amino]-4,5,6,7-tetrahydrothieno[2,3-c]pyridine-3-carboxylate", 18124 },
	{ "JN5", "", "", ResidueType::NON_POLYMER, false, "(2S)-1,3-benzothiazol-2-yl{2-[(2-pyridin-3-ylethyl)amino]pyrimidin-4-yl}ethanenitrile", 18125 },
	{ "JN7", "", "", ResidueType::NON_POLYMER, false, "3-cyclopentyl 6-ethenyl 2-[(thiophen-2-ylacetyl)amino]-4,7-dihydrothieno[2,3-c]pyridine-3,6(5H)-dicarboxylate", 18126 },
	{ "JN8", "", "", ResidueType::NON_POLYMER, false, "cyclopentyl 6-(ethylcarbamoyl)-2-[(thiophen-2-ylacetyl)amino]-4,5,6,7-tetrahydrothieno[2,3-c]pyridine-3-carboxylate", 18127 },
	{ "JNF", "", "", ResidueType::NON_POLYMER, false, "N-cyclohexyl-4-imidazo[1,2-a]pyridin-3-yl-N-methylpyrimidin-2-amine", 18128 },
	{ "JNH", "", "", ResidueType::NON_POLYMER, false, "1-[2-(S)-AMINO-3-BIPHENYL-4-YL-PROPIONYL]-PYRROLIDINE-2-(S)-CARBONITRILE", 18129 },
	{ "JNI", "", "", ResidueType::NON_POLYMER, false, "~{N}4-(phenylmethyl)-~{N}4-[2-[3-(2-piperazin-1-ylpyrimidin-5-yl)phenyl]phenyl]pyrimidine-2,4-diamine", 18130 },
	{ "JNJ", "", "", ResidueType::NON_POLYMER, false, "1-(3-amino-1,2-benzisoxazol-5-yl)-6-(4-{2-[(dimethylamino)methyl]-1H-imidazol-1-yl}-2-fluorophenyl)-7-fluoro-1H-indazole-3-carboxamide", 18131 },
	{ "JNK", "", "", ResidueType::NON_POLYMER, false, "N-{2'-[(4-FLUOROPHENYL)AMINO]-4,4'-BIPYRIDIN-2-YL}-4-METHOXYCYCLOHEXANECARBOXAMIDE", 18132 },
	{ "JNO", "", "", ResidueType::NON_POLYMER, false, "2-{4-[(4-imidazo[1,2-a]pyridin-3-ylpyrimidin-2-yl)amino]piperidin-1-yl}-N-methylacetamide", 18133 },
	{ "JNS", "", "", ResidueType::NON_POLYMER, false, "5-[(Z)-2-phenylethenyl]-1,3-benzodioxole-4-carboxylic acid", 18134 },
	{ "JNZ", "", "", ResidueType::NON_POLYMER, false, "1H-indazol-3-amine", 18135 },
	{ "JO3", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-methylbutanedioic acid", 18136 },
	{ "JOS", "", "", ResidueType::NON_POLYMER, false, "", 18137 },
	{ "JOZ", "", "", ResidueType::NON_POLYMER, false, "3,4-dihydroisoquinolin-1(2H)-one", 18138 },
	{ "JP1", "", "", ResidueType::NON_POLYMER, false, "N-[3-CHLORO-4-(4-CHLORO-2-HYDROXYPHENOXY)PHENYL]MORPHOLINE-4-CARBOXAMIDE", 18139 },
	{ "JP2", "", "", ResidueType::NON_POLYMER, false, "2-amino-4-oxo-1,4-dihydropteridine-7-carboxylic acid", 18140 },
	{ "JP3", "", "", ResidueType::NON_POLYMER, false, "2-amino-N-(furan-2-ylmethyl)-4-oxo-3,4-dihydropteridine-7-carboxamide", 18141 },
	{ "JPA", "", "", ResidueType::NON_POLYMER, false, "4-(2,4-DICHLOROPHENOXY)-2'-METHYLBIPHENYL-3-OL", 18142 },
	{ "JPC", "", "", ResidueType::NON_POLYMER, false, "3-[(2,4-DICHLOROBENZOYL)(ISOPROPYL)AMINO]-5-PHENYLTHIOPHENE-2-CARBOXYLIC ACID", 18143 },
	{ "JPJ", "", "", ResidueType::NON_POLYMER, false, "2-(2,4-DICHLOROPHENOXY)-5-(2-PHENYLETHYL)PHENOL", 18144 },
	{ "JPL", "", "", ResidueType::NON_POLYMER, false, "5-(cyclohexylmethyl)-2-(2,4-dichlorophenoxy)phenol", 18145 },
	{ "JPM", "", "", ResidueType::NON_POLYMER, false, "5-benzyl-2-(2,4-dichlorophenoxy)phenol", 18146 },
	{ "JPN", "", "", ResidueType::NON_POLYMER, false, "2-(2,4-DICHLOROPHENOXY)-5-(3-PHENYLPROPYL)PHENOL", 18147 },
	{ "JPP", "", "", ResidueType::NON_POLYMER, false, "Piperacillin (Open Form)", 18148 },
	{ "JPR", "", "", ResidueType::NON_POLYMER, false, "1-(3-chloro-4-methylphenyl)-3-{2-[({5-[(dimethylamino)methyl]-2-furyl}methyl)thio]ethyl}urea", 18149 },
	{ "JPS", "", "", ResidueType::NON_POLYMER, false, "(4R,6R,7S)-2-(2-CYCLOPROPYLETHYL)-4,6,7-TRIHYDROXY-4,5,6,7-TETRAHYDRO-1-BENZOTHIOPHENE-4-CARBOXYLIC ACID", 18150 },
	{ "JPY", "", "", ResidueType::NON_POLYMER, false, "N-(pyren-1-ylmethyl)acetamide", 18151 },
	{ "JPZ", "", "", ResidueType::NON_POLYMER, false, "quinazolin-4(1H)-one", 18152 },
	{ "JQ1", "", "", ResidueType::NON_POLYMER, false, "(6S)-6-(2-tert-butoxy-2-oxoethyl)-4-(4-chlorophenyl)-2,3,9-trimethyl-6,7-dihydrothieno[3,2-f][1,2,4]triazolo[4,3-a][1,4]diazepin-10-ium", 18153 },
	{ "JQF", "", "", ResidueType::NON_POLYMER, false, "3-METHYL-N-[4-(4-OXO-3,4-DIHYDROQUINAZOLIN-2-YL)PHENYL)BUTANAMIDE", 18154 },
	{ "JQN", "", "", ResidueType::NON_POLYMER, false, "5-[2-(4-methylphenyl)sulfanylethanoyl]-1,3-dihydroindol-2-one", 18155 },
	{ "JR2", "", "", ResidueType::NON_POLYMER, false, "4-(pyrrolidin-1-yl)-7H-pyrrolo[2,3-d]pyrimidin-2-amine", 18156 },
	{ "JR4", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(4-fluorophenyl)methyl]-1,3,6-trimethyl-2-oxidanylidene-benzimidazole-5-sulfonamide", 18157 },
	{ "JR5", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-1-(4-fluorophenyl)sulfonyl-~{N}-(2-methyl-5,6-dihydro-4~{H}-cyclopenta[c]pyrazol-3-yl)pyrrolidine-2-carboxamide", 18158 },
	{ "JR6", "", "", ResidueType::NON_POLYMER, false, "2-(4-methoxyphenyl)sulfanyl-~{N}-(2-methyl-5,6-dihydro-4~{H}-cyclopenta[c]pyrazol-3-yl)ethanamide", 18159 },
	{ "JR9", "", "", ResidueType::NON_POLYMER, false, "N~3~-benzyl-2-[(6-bromo-1,3-benzodioxol-5-yl)methyl]imidazo[1,2-a]pyrazine-3,8-diamine", 18160 },
	{ "JRB", "", "", ResidueType::NON_POLYMER, false, "2-PIPERAZIN-1-YL-ANILINE", 18161 },
	{ "JRG", "", "", ResidueType::NON_POLYMER, false, "N~2~-{[(1S)-1-carboxy-3-(methylsulfanyl)propyl]carbamoyl}-N~6~-(4-iodobenzoyl)-L-lysine", 18162 },
	{ "JRJ", "", "", ResidueType::NON_POLYMER, false, "4-[4-[2-[4,5,6,7-tetrakis(bromanyl)benzotriazol-2-yl]ethyl]-1,2,3-triazol-1-yl]butan-1-amine", 18163 },
	{ "JRO", "", "", ResidueType::NON_POLYMER, false, "6,7,9-trihydroxy-3-methyl-1H-benzo[g]isochromen-1-one", 18164 },
	{ "JRR", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,4R)-4-(2-{[2-(3-fluorophenyl)ethyl]amino}ethoxy)pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 18165 },
	{ "JRS", "", "", ResidueType::NON_POLYMER, false, "6-{[(3S,4R)-4-(2-{[2-(3-fluorophenyl)ethyl]amino}ethoxy)pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 18166 },
	{ "JRZ", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-1-[(7-methyl-2,3-dihydro-1H-inden-4-yl)oxy]-3-[(1-methylethyl)amino]butan-2-ol", 18167 },
	{ "JS1", "", "", ResidueType::NON_POLYMER, false, "ethyl 4-[(dimethylamino)methyl]-5-hydroxy-2-phenyl-1-benzofuran-3-carboxylate", 18168 },
	{ "JS2", "", "", ResidueType::NON_POLYMER, false, "5-O-[(R)-{[(S)-[4-(8-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)butoxy](hydroxy)phosphoryl]oxy}(hydroxy)phosphoryl]-alpha-D-ribofuranose", 18169 },
	{ "JS3", "", "", ResidueType::NON_POLYMER, false, "2-chloro-4-methyl-N-(naphthalen-2-yl)-1,3-thiazole-5-carboxamide", 18170 },
	{ "JS4", "", "", ResidueType::NON_POLYMER, false, "", 18171 },
	{ "JS5", "", "", ResidueType::NON_POLYMER, false, "", 18172 },
	{ "JS6", "", "", ResidueType::NON_POLYMER, false, "", 18173 },
	{ "JS7", "", "", ResidueType::NON_POLYMER, false, "4-{2-[(6-methoxy-5-nitropyrimidin-4-yl)amino]ethyl}benzenesulfonamide", 18174 },
	{ "JSC", "", "", ResidueType::NON_POLYMER, false, "[(1,2,3,4,5-eta)-1-(4-{[carboxy(4-carboxy-5,5-dimethyl-1,3-thiazolidin-2-yl)methyl]amino}-4-oxobutanoyl)cyclopentadienyl][(1,2,3,4,5-eta)-cyclopentadienyl]ruthenium", 18175 },
	{ "JSD", "", "", ResidueType::NON_POLYMER, false, "[(1,2,3,4,5-eta)-1-(4-{[(4-carboxy-5,5-dimethyl-1,3-thiazolidin-2-yl)methyl]amino}-4-oxobutanoyl)cyclopentadienyl][(1,2,3,4,5-eta)-cyclopentadienyl]ruthenium", 18176 },
	{ "JSE", "", "", ResidueType::NON_POLYMER, false, "[(1,2,3,4,5-eta)-1-(4-{[carboxy(4-carboxy-5,5-dimethyl-1,3-thiazolidin-2-yl)methyl]amino}-4-oxobutanoyl)cyclopentadienyl][(1,2,3,4,5-eta)-cyclopentadienyl]ruthenium", 18177 },
	{ "JSR", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,4S)-4-(2-{[2-(3-fluorophenyl)ethyl]amino}ethoxy)pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 18178 },
	{ "JSS", "", "", ResidueType::NON_POLYMER, false, "6-{[(3S,4S)-4-(2-{[2-(3-fluorophenyl)ethyl]amino}ethoxy)pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 18179 },
	{ "JST", "", "", ResidueType::NON_POLYMER, false, "BUT-3-ENYL-[5-(4-CHLORO-PHENYL)-3,6-DIHYDRO-[1,3,4]THIADIAZIN-2-YLIDENE]-AMINE", 18180 },
	{ "JSX", "", "", ResidueType::NON_POLYMER, false, "3-(4-hydroxyphenyl)benzoic acid", 18181 },
	{ "JSZ", "", "", ResidueType::NON_POLYMER, false, "ethyl 4-({(2S)-2-hydroxy-3-[(1-methylethyl)amino]propyl}oxy)-3-methyl-1-benzofuran-2-carboxylate", 18182 },
	{ "JT1", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-(5-cyclopropyl[1,3]thiazolo[4,5-d]pyrimidin-2-yl)-N-[3-fluoro-4-(trifluoromethoxy)benzyl]-1-{[4-(trifluoromethyl)phenyl]sulfonyl}piperazine-2-carboxamide", 18183 },
	{ "JT5", "", "", ResidueType::NON_POLYMER, false, "N~2~-(biphenyl-4-ylsulfonyl)-N-hydroxy-N~2~-(2-hydroxyethyl)glycinamide", 18184 },
	{ "JT6", "", "", ResidueType::NON_POLYMER, false, "3-[(4'-cyanobiphenyl-4-yl)oxy]-N-hydroxypropanamide", 18185 },
	{ "JTF", "", "", ResidueType::NON_POLYMER, false, "8-{[2-(dimethylamino)ethyl]amino}-3-methyl-1,2-dihydroquinolin-2-one", 18186 },
	{ "JTH", "", "", ResidueType::NON_POLYMER, false, "2,7-dihydroxy-4-(propan-2-yl)cyclohepta-2,4,6-trien-1-one", 18187 },
	{ "JTP", "", "", ResidueType::NON_POLYMER, false, "N-[(13-CYCLOHEXYL-6,7-DIHYDROINDOLO[1,2-D][1,4]BENZOXAZEPIN-10-YL)CARBONYL]-2-METHYL-L-ALANINE", 18188 },
	{ "JTS", "", "", ResidueType::NON_POLYMER, false, "4-methyl-N-(naphthalen-2-yl)-1,3-thiazole-5-carboxamide", 18189 },
	{ "JTT", "", "", ResidueType::NON_POLYMER, false, "2,4-dimethyl-N-(naphthalen-2-yl)-1,3-thiazole-5-carboxamide", 18190 },
	{ "JTU", "", "", ResidueType::NON_POLYMER, false, "6-bromo-2-{4-[(2R)-butan-2-yl]phenyl}-3-methylquinoline-4-carboxylic acid", 18191 },
	{ "JTY", "", "", ResidueType::NON_POLYMER, false, "5-(phenylsulfonylamino)-1,3-thiazole-4-carboxylic acid", 18192 },
	{ "JTZ", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-[(1-methylethyl)amino]-3-(2-prop-2-en-1-ylphenoxy)propan-2-ol", 18193 },
	{ "JU2", "", "", ResidueType::NON_POLYMER, false, "2-amino-6-bromo-4-oxo-4,7-dihydro-3H-pyrrolo[2,3-d]pyrimidine-5-carbonitrile", 18194 },
	{ "JUG", "", "", ResidueType::NON_POLYMER, false, "5-hydroxynaphthalene-1,4-dione", 18195 },
	{ "JUO", "", "", ResidueType::NON_POLYMER, false, "2-amino-4-thiomorpholino-7H-pyrrolo[2,3-d]pyrimidine-5-carbonitrile", 18196 },
	{ "JUP", "", "", ResidueType::NON_POLYMER, false, "4-(2-AMINO-5-{4-[(DIMETHYLAMINO)METHYL]THIOPHEN-2-YL}PYRIDIN-3-YL)-2-{(1R)-1-[2-(TRIFLUOROMETHYL)PHENYL]ETHOXY}BENZAMIDE", 18197 },
	{ "JUS", "", "", ResidueType::NON_POLYMER, false, "2-(2-CYANOPHENOXY)-5-HEXYLPHENOL", 18198 },
	{ "JV0", "", "", ResidueType::NON_POLYMER, false, "4-[[1-(4-ethylphenyl)-2-methyl-5-(4-methylsulfanylphenyl)pyrrol-3-yl]methyl]thiomorpholine", 18199 },
	{ "JVE", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-(2-fluorophenyl)-2,4,6,7,8,9-hexahydro-5H-pyrazolo[3,4-b][1,7]naphthyridin-5-one", 18200 },
	{ "JVT", "", "", ResidueType::NON_POLYMER, false, "N-[4-(4-methylpiperazin-1-yl)phenyl]-1H-indazole-3-carboxamide", 18201 },
	{ "JW1", "", "", ResidueType::NON_POLYMER, false, "{3-[(tert-butoxycarbonyl)amino]phenyl}boronic acid", 18202 },
	{ "JW3", "", "", ResidueType::NON_POLYMER, false, "(3-{[(furan-2-yl)methyl]carbamoyl}phenyl)boronic acid", 18203 },
	{ "JW5", "", "", ResidueType::RNA_LINKING, false, "", 18204 },
	{ "JW7", "", "", ResidueType::NON_POLYMER, false, "5-(cyclohexylamino)-2-phenyl-6-(1H-1,2,4-triazol-5-yl)-3(2H)-pyridazinone", 18205 },
	{ "JW8", "", "", ResidueType::NON_POLYMER, false, "{4-[(azetidin-1-yl)sulfonyl]phenyl}boronic acid", 18206 },
	{ "JWF", "", "", ResidueType::NON_POLYMER, false, "5-[4-(4-methylpiperazin-1-yl)phenylamino]-2-(4-chlorophenyl)-6-(1H-1,2,4-triazol-5-yl)-3(2H)-pyridazinone", 18207 },
	{ "JWS", "", "", ResidueType::NON_POLYMER, false, "2-(4,6-diamino-1,3,5-triazin-2-yl)-4-methoxyphenol", 18208 },
	{ "JWT", "", "", ResidueType::NON_POLYMER, false, "N-(6-amino-1-benzyl-2,4-dioxo-1,2,3,4-tetrahydropyrimidin-5-yl)-4-fluoro-N-methylbenzenesulfonamide", 18209 },
	{ "JXM", "", "", ResidueType::NON_POLYMER, false, "(8S)-9-[(2R)-2-hydroxy-2-phenylethyl]-2-(morpholin-4-yl)-8-(trifluoromethyl)-6,7,8,9-tetrahydro-4H-pyrimido[1,2-a]pyrimidin-4-one", 18210 },
	{ "JY", "", "", ResidueType::NON_POLYMER, false, "3-(2-{4-[2-(5-HYDROXY-2-METHYLENE-CYCLOHEXYLIDENE)-ETHYLIDENE]-7A-METHYL-OCTAHYDRO-INDEN-1-YL}-PROPYL)-PHENOL", 18211 },
	{ "JYH", "", "", ResidueType::NON_POLYMER, false, "4-{[(8-phenylnaphthalen-2-yl)carbonyl]amino}benzoic acid", 18212 },
	{ "JYI", "", "", ResidueType::NON_POLYMER, false, "3-chloro-4-[(E)-2-(5,5-dimethyl-8-phenyl-5,6-dihydronaphthalen-2-yl)ethenyl]benzoic acid", 18213 },
	{ "JYM", "", "", ResidueType::NON_POLYMER, false, "6-(cyclohexylmethoxy)-8-(trifluoromethyl)-9H-purin-2-amine", 18214 },
	{ "JZ0", "", "", ResidueType::NON_POLYMER, false, "o-cresol", 18215 },
	{ "JZ1", "", "", ResidueType::NON_POLYMER, false, "2-ethylphenol", 18216 },
	{ "JZ2", "", "", ResidueType::NON_POLYMER, false, "5-chloro-2-methylphenol", 18217 },
	{ "JZ3", "", "", ResidueType::NON_POLYMER, false, "Guaiacol", 18218 },
	{ "JZ4", "", "", ResidueType::NON_POLYMER, false, "2-propylphenol", 18219 },
	{ "JZ5", "", "", ResidueType::NON_POLYMER, false, "(NZ)-N-(thiophen-2-ylmethylidene)hydroxylamine", 18220 },
	{ "JZ6", "", "", ResidueType::NON_POLYMER, false, "4-chloro-1H-pyrazole", 18221 },
	{ "JZ7", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-ethoxy-3,4-dihydro-2H-pyran", 18222 },
	{ "JZ8", "", "", ResidueType::NON_POLYMER, false, "5-methyl-7-(naphthalen-2-ylamino)-1H-[1,2,4]triazolo[1,5-a]pyrimidine-3,8-diium", 18223 },
	{ "JZ9", "", "", ResidueType::NON_POLYMER, false, "4,5,6,7-tetrahydro-1H-indole", 18224 },
	{ "JZA", "", "", ResidueType::NON_POLYMER, false, "4-[(1,1-dioxido-1,2-thiazetidin-2-yl)carbonyl]morpholine", 18225 },
	{ "JZB", "", "", ResidueType::NON_POLYMER, false, "(5E,9E,11E)-13-chloro-14,16-dihydroxy-3,4,7,8-tetrahydro-1H-2-benzoxacyclotetradecine-1,11(12H)-dione 11-[O-(2-oxo-2-piperidin-1-ylethyl)oxime]", 18226 },
	{ "JZC", "", "", ResidueType::NON_POLYMER, false, "(5E,9E,11E)-14,16-dihydroxy-3,4,7,8-tetrahydro-1H-2-benzoxacyclotetradecine-1,11(12H)-dione 11-[O-(2-oxo-2-piperidin-1-ylethyl)oxime]", 18227 },
	{ "JZD", "", "", ResidueType::NON_POLYMER, false, "", 18228 },
	{ "JZE", "", "", ResidueType::NON_POLYMER, false, "", 18229 },
	{ "JZF", "", "", ResidueType::NON_POLYMER, false, "ethyl (4-{(2R)-2-[(1S,3S,5S)-3,5-dimethyl-2-oxocyclohexyl]-2-hydroxyethyl}-2,6-dioxopiperidin-1-yl)acetate", 18230 },
	{ "JZG", "", "", ResidueType::NON_POLYMER, false, "3-{1-[3-(biphenyl-4-ylamino)-3-oxopropyl]-1H-1,2,3-triazol-4-yl}-6-hydroxy-1-methyl-2-phenyl-1H-indole-5-carboxylic acid", 18231 },
	{ "JZH", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-(4-hydroxyphenyl)-1,5-dihydro-1,5,12-triazabenzo[4,5]cycloocta[1,2,3-cd]inden-4(3H)-one", 18232 },
	{ "JZI", "", "", ResidueType::NON_POLYMER, false, "(2R,4E)-2-[(naphthalen-2-ylcarbonyl)amino]-5-phenylpent-4-enoic acid", 18233 },
	{ "JZJ", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-[4-(4-bromophenyl)-1H-imidazol-2-yl]-1,2,3,4-tetrahydroisoquinoline", 18234 },
	{ "JZK", "", "", ResidueType::NON_POLYMER, false, "2-[(2-chlorobenzyl)amino]-1-(cyclohexylmethyl)-1H-benzimidazole-5-carboxamide", 18235 },
	{ "JZL", "", "", ResidueType::NON_POLYMER, false, "7-amino-2-[(2-chlorobenzyl)amino]-1-{[(1S,2S)-2-hydroxycycloheptyl]methyl}-1H-benzimidazole-5-carboxamide", 18236 },
	{ "JZM", "", "", ResidueType::NON_POLYMER, false, "5-[(4-chlorophenyl)sulfanyl]quinazoline-2,4-diamine", 18237 },
	{ "JZN", "", "", ResidueType::NON_POLYMER, false, "1-{[3-(4-{[(2R)-4-(5-fluoro-2-methoxyphenyl)-2-hydroxy-4-methyl-2-(trifluoromethyl)pentyl]amino}-6-methyl-1H-indazol-1-yl)phenyl]carbonyl}-D-prolinamide", 18238 },
	{ "JZO", "", "", ResidueType::NON_POLYMER, false, "4-[3-(methoxymethyl)phenyl]-1,2-dimethyl-5-quinoxalin-6-yl-1,2-dihydro-3H-pyrazol-3-one", 18239 },
	{ "JZP", "", "", ResidueType::PEPTIDE_LIKE, false, "(4R)-3-[(2S,3S)-3-{[(2,6-dichlorophenoxy)acetyl]amino}-2-hydroxy-4-phenylbutanoyl]-N-[(1S,2R)-2-hydroxy-2,3-dihydro-1H-inden-1-yl]-5,5-dimethyl-1,3-thiazolidine-4-carboxamide", 18240 },
	{ "JZQ", "", "", ResidueType::PEPTIDE_LIKE, false, "(4R)-3-[(2S,3S)-3-{[(2,6-difluorophenoxy)acetyl]amino}-2-hydroxy-4-phenylbutanoyl]-N-[(1S,2R)-2-hydroxy-2,3-dihydro-1H-inden-1-yl]-5,5-dimethyl-1,3-thiazolidine-4-carboxamide", 18241 },
	{ "JZR", "", "", ResidueType::NON_POLYMER, false, "hexyl beta-D-glucopyranoside", 18242 },
	{ "JZS", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-2-amino-1-methyl-2-oxoethyl]-3-(6-methyl-4-{[3,3,3-trifluoro-2-hydroxy-2-(trifluoromethyl)propyl]amino}-1H-indazol-1-yl)benzamide", 18243 },
	{ "JZT", "", "", ResidueType::NON_POLYMER, false, "", 18244 },
	{ "JZU", "", "", ResidueType::NON_POLYMER, false, "5'-deoxy-5'-(sulfamoylamino)adenosine", 18245 },
	{ "JZV", "", "", ResidueType::NON_POLYMER, false, "methyl (2E)-(methoxyimino)(2-{[({(1Z)-1-[3-(trifluoromethyl)phenyl]ethylidene}amino)oxy]methyl}phenyl)ethanoate", 18246 },
	{ "JZW", "", "", ResidueType::NON_POLYMER, false, "[3-(6-{[4-(methylsulfonyl)piperazin-1-yl]methyl}-4-morpholin-4-ylthieno[3,2-d]pyrimidin-2-yl)phenyl]methanol", 18247 },
	{ "JZX", "", "", ResidueType::NON_POLYMER, false, "5-(6-{[4-(methylsulfonyl)piperazin-1-yl]methyl}-4-morpholin-4-ylthieno[3,2-d]pyrimidin-2-yl)pyridin-2-amine", 18248 },
	{ "JZY", "", "", ResidueType::NON_POLYMER, false, "4-methyl-5-(6-{[4-(methylsulfonyl)piperazin-1-yl]methyl}-4-morpholin-4-ylthieno[3,2-d]pyrimidin-2-yl)pyrimidin-2-amine", 18249 },
	{ "JZZ", "", "", ResidueType::NON_POLYMER, false, "4-[7-(3,3-dimethylbut-1-yn-1-yl)naphthalen-1-yl]-5-methoxy-2-methyl-2,4-dihydro-3H-1,2,4-triazol-3-one", 18250 },
	{ "K", "", "", ResidueType::NON_POLYMER, false, "POTASSIUM ION", 18251 },
	{ "K00", "", "FKD", ResidueType::NON_POLYMER, true, "(2R,3R,4R,5R,6S)-3-FLUORO-4,5-DIHYDROXY-6-[(1R,2R)-1,2,3-TRIHYDROXYPROPYL]OXANE-2-CARBOXYLIC ACID", 18252 },
	{ "K01", "", "", ResidueType::NON_POLYMER, false, "N,N-DIETHYL-2-[(2-THIENYLCARBONYL)AMINO]-4,5,6,7-TETRAHYDRO-1-BENZOTHIOPHENE-3-CARBOXAMIDE", 18253 },
	{ "K02", "", "", ResidueType::NON_POLYMER, false, "(5R)-N,N-DIETHYL-5-METHYL-2-[(THIOPHEN-2-YLCARBONYL)AMINO]-4,5,6,7-TETRAHYDRO-1-BENZOTHIOPHENE-3-CARBOXAMIDE", 18254 },
	{ "K03", "", "", ResidueType::NON_POLYMER, false, "N,N-DIETHYL-5,5-DIMETHYL-2-[(2-THIENYLCARBONYL)AMINO]-4,5,6,7-TETRAHYDRO-1-BENZOTHIOPHENE-3-CARBOXAMIDE", 18255 },
	{ "K05", "", "", ResidueType::NON_POLYMER, false, "(E)-3,4-DIHYDROXY-N'-[(2-METHOXYNAPHTHALEN-1-YL)METHYLENE]BENZOHYDRAZIDE", 18256 },
	{ "K08", "", "", ResidueType::NON_POLYMER, false, "5-(2-{(1Z)-2-methyl-1-[4-(propan-2-yl)benzylidene]-1H-inden-3-yl}ethyl)-1H-tetrazole", 18257 },
	{ "K09", "", "", ResidueType::NON_POLYMER, false, "5-(2-{(1Z)-5-fluoro-2-methyl-1-[4-(propan-2-yl)benzylidene]-1H-inden-3-yl}ethyl)-1H-tetrazole", 18258 },
	{ "K0I", "URY", "", ResidueType::NON_POLYMER, false, "3-[[2-pyridin-2-yl-6-(1,2,4,5-tetrahydro-3-benzazepin-3-yl)pyrimidin-4-yl]amino]propanoic acid", 18259 },
	{ "K0L", "", "", ResidueType::PEPTIDE_LIKE, false, "(4-amino-2,6-dimethylphenoxy)acetic acid", 18260 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "(7S)-7-amino-N-[(4-fluorophenyl)methyl]-8-oxo-2,9,16,18,21-pentaazabicyclo[15.3.1]henicosa-1(21),17,19-triene-20-carboxamide", 18261 },
	{ "K10", "", "", ResidueType::NON_POLYMER, false, "1-TERT-BUTYL-3-(2,5-DIMETHYLBENZYL)-1H-PYRAZOLO[3,4-D]PYRIMIDIN-4-AMINE", 18262 },
	{ "K11", "", "", ResidueType::NON_POLYMER, false, "N-[4-({3-[2-(methylamino)pyrimidin-4-yl]pyridin-2-yl}oxy)naphthalen-1-yl]-6-(trifluoromethyl)-1H-benzimidazol-2-amine", 18263 },
	{ "K12", "", "", ResidueType::NON_POLYMER, false, "12-hydroxydodecyl dihydrogen phosphate", 18264 },
	{ "K13", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-yl [(1S,2R)-3-{[(4-aminophenyl)sulfonyl][(2S)-2-methylbutyl]amino}-1-benzyl-2-hydroxypropyl]carbamate", 18265 },
	{ "K14", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-yl [(1S,2R)-1-benzyl-2-hydroxy-3-{[(4-methoxyphenyl)sulfonyl][(2S)-2-methylbutyl]amino}propyl]carbamate", 18266 },
	{ "K15", "", "", ResidueType::NON_POLYMER, false, "5'-{[(3S)-3-amino-3-carboxypropyl](hexyl)amino}-5'-deoxyadenosine", 18267 },
	{ "K17", "", "", ResidueType::NON_POLYMER, false, "4,5,6,7-TETRABROMO-BENZIMIDAZOLE", 18268 },
	{ "K19", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-yl [(1S,2R)-3-{(1,3-benzothiazol-6-ylsulfonyl)[(2S)-2-methylbutyl]amino}-1-benzyl-2-hydroxypropyl]carbamate", 18269 },
	{ "K1R", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-AMINO-4-[({[(2R)-2-AMINO-2-CARBOXYETHYL]THIO}AMINO)SULFINYL]BUTANOIC ACID", 18270 },
	{ "K1T", "", "", ResidueType::NON_POLYMER, false, "5-[(2S)-2-{[(4-aminobutanoyl)amino]methyl}-4-methylpentyl]-1,3-benzodioxole-4-carboxylic acid", 18271 },
	{ "K20", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-yl [(1S,2R)-3-{(1,3-benzodioxol-5-ylsulfonyl)[(2S)-2-methylbutyl]amino}-1-benzyl-2-hydroxypropyl]carbamate", 18272 },
	{ "K21", "", "", ResidueType::NON_POLYMER, false, "4-[3-{1-(4-BENZYL)PIPERODINYL}PROPIONYL]-7-METHOXY-2,3,4,5-TERTRAHYDRO-1,4-BENZOTHIAZEPINE", 18273 },
	{ "K22", "", "", ResidueType::NON_POLYMER, false, "4,5,6,7-TETRABROMO-1H,3H-BENZIMIDAZOL-2-THIONE", 18274 },
	{ "K23", "", "", ResidueType::NON_POLYMER, false, "6-chloro-3-[1-(4-chlorobenzyl)-4-phenyl-1H-imidazol-5-yl]-1H-indole-2-carboxylic acid", 18275 },
	{ "K25", "", "", ResidueType::NON_POLYMER, false, "4,5,6,7-TETRABROMO-N,N-DIMETHYL-1H-BENZIMIDAZOL-2-AMINE", 18276 },
	{ "K26", "", "", ResidueType::NON_POLYMER, false, "N-ACETYL-L-ILE-L-TYR-(R)-1-AMINO-2-(4-HYDROXYPHENYL)ETHYLPHOSPHONIC ACID", 18277 },
	{ "K27", "", "", ResidueType::NON_POLYMER, false, "4-carbamoyl-1-(3-{4-[(E)-(hydroxyimino)methyl]pyridinium-1-yl}propyl)pyridinium", 18278 },
	{ "K29", "", "", ResidueType::NON_POLYMER, false, "(3~{R})-8-cyclopropyl-5-oxidanylidene-7-(quinolin-3-ylmethyl)-2,3-dihydro-[1,3]thiazolo[3,2-a]pyridine-3-carboxylic acid", 18279 },
	{ "K2A", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-yl [(1S,2R)-1-benzyl-2-hydroxy-3-({[4-(hydroxymethyl)phenyl]sulfonyl}[(2S)-2-methylbutyl]amino)propyl]carbamate", 18280 },
	{ "K2B", "", "", ResidueType::NON_POLYMER, false, "(8ALPHA,9BETA)-CHOLEST-4-EN-3-ONE", 18281 },
	{ "K2C", "", "", ResidueType::NON_POLYMER, false, "6,7,12,13-tetrahydro-5H-indolo[2,3-a]pyrrolo[3,4-c]carbazol-5-one", 18282 },
	{ "K2D", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-yl [(1S,2R)-1-benzyl-3-{(2-ethylbutyl)[(4-methoxyphenyl)sulfonyl]amino}-2-hydroxypropyl]carbamate", 18283 },
	{ "K2E", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-yl {(1S,2R)-3-[(1,3-benzodioxol-5-ylsulfonyl)(2-ethylbutyl)amino]-1-benzyl-2-hydroxypropyl}carbamate", 18284 },
	{ "K2N", "", "", ResidueType::NON_POLYMER, false, "ethyl [(2S)-5-amino-2-methyl-3-phenyl-1,2-dihydropyrido[3,4-b]pyrazin-7-yl]carbamate", 18285 },
	{ "K2Q", "", "", ResidueType::NON_POLYMER, false, "(1R,6R,10S)-6,10-dihydroxy-2-oxabicyclo[4.3.1]deca-4(Z),7-diene-8-carboxylic acid", 18286 },
	{ "K2T", "", "", ResidueType::NON_POLYMER, false, "6-methyl-1,3-benzothiazol-2-amine", 18287 },
	{ "K2Y", "", "", ResidueType::NON_POLYMER, false, "BENZENE 1,2,4,5-TETRAYL TETRAKIS[DIHYDROGEN (PHOSPHATE)]", 18288 },
	{ "K2Z", "", "", ResidueType::NON_POLYMER, false, "benzyl [(1S)-1-{[(1S,2S)-1-ethyl-2-hydroxy-3-{[3-(4-methylpiperazin-1-yl)propyl]amino}-3-oxopropyl]carbamoyl}-3-methylbutyl]carbamate", 18289 },
	{ "K30", "", "", ResidueType::NON_POLYMER, false, "(2S)-4-(2,5-difluorophenyl)-N-[(3R,4S)-3-fluoro-1-methylpiperidin-4-yl]-2-(hydroxymethyl)-N-methyl-2-phenyl-2,5-dihydro-1H-pyrrole-1-carboxamide", 18290 },
	{ "K32", "", "", ResidueType::NON_POLYMER, false, "4,5,6,7-TETRABROMO-1H,3H-BENZIMIDAZOL-2-ONE", 18291 },
	{ "K35", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(1~{R},2~{R},3~{R},4~{S},5~{S},6~{S})-2-(hydroxymethyl)-3,4,5,6-tetrakis(oxidanyl)cyclohexyl]pentanamide", 18292 },
	{ "K36", "", "", ResidueType::PEPTIDE_LIKE, false, "(1S,2S)-2-({N-[(benzyloxy)carbonyl]-L-leucyl}amino)-1-hydroxy-3-[(3S)-2-oxopyrrolidin-3-yl]propane-1-sulfonic acid", 18293 },
	{ "K37", "", "", ResidueType::NON_POLYMER, false, "4,5,6,7-TETRABROMO-2-(METHYLSULFANYL)-1H-BENZIMIDAZOLE", 18294 },
	{ "K3G", "", "", ResidueType::NON_POLYMER, false, "Phosphomolybdate keggin", 18295 },
	{ "K3T", "", "", ResidueType::NON_POLYMER, false, "3-chloranyl-~{N}-(4,5-dihydro-1,3-thiazol-2-yl)-6-fluoranyl-1-benzothiophene-2-carboxamide", 18296 },
	{ "K44", "", "", ResidueType::NON_POLYMER, false, "5,6,7,8-TETRABROMO-1-METHYL-2,3-DIHYDRO-1H-IMIDAZO[1,2-A]BENZIMIDAZOLE", 18297 },
	{ "K4E", "", "", ResidueType::NON_POLYMER, false, "N~2~-(5-chloro-2-methoxyphenyl)-N-[trans-4-(2-oxo-2,3-dihydro-1H-benzimidazol-1-yl)cyclohexyl]glycinamide", 18298 },
	{ "K4F", "", "", ResidueType::NON_POLYMER, false, "4-[(4S)-5,5-dimethyl-2-oxo-4-phenyl-1,3-oxazolidin-3-yl]-N-(quinolin-8-yl)benzamide", 18299 },
	{ "K51", "", "", ResidueType::NON_POLYMER, false, "4-(6-{[(1S)-1-(HYDROXYMETHYL)-2-METHYLPROPYL]AMINO}IMIDAZO[1,2-B]PYRIDAZIN-3-YL)BENZONITRILE", 18300 },
	{ "K53", "", "", ResidueType::NON_POLYMER, false, "(5S)-N-{(1S,2R)-3-[(1,3-benzodioxol-5-ylsulfonyl)(2-methylpropyl)amino]-1-benzyl-2-hydroxypropyl}-3-(2-hydroxyphenyl)-2-oxo-1,3-oxazolidine-5-carboxamide", 18301 },
	{ "K54", "", "", ResidueType::NON_POLYMER, false, "(5S)-N-{(1S,2R)-3-[(1,3-benzothiazol-6-ylsulfonyl)(2-methylpropyl)amino]-1-benzyl-2-hydroxypropyl}-2-oxo-3-[2-(trifluoromethyl)phenyl]-1,3-oxazolidine-5-carboxamide", 18302 },
	{ "K55", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{4-butoxy-3-[({[2-fluoro-4-(trifluoromethyl)phenyl]carbonyl}amino)methyl]benzyl}butanoic acid", 18303 },
	{ "K56", "", "", ResidueType::NON_POLYMER, false, "3-[[1-(6,7-dimethoxyquinazolin-4-yl)piperidin-4-yl]methyl]-1,4-dihydroquinazolin-2-one", 18304 },
	{ "K57", "", "", ResidueType::PEPTIDE_LIKE, false, "(4R)-N-tert-butyl-3-{(2S,3S)-2-hydroxy-3-[(3-hydroxy-2-methylbenzoyl)amino]-4-phenylbutanoyl}-5,5-dimethyl-1,3-thiazolidine-4-carboxamide", 18305 },
	{ "K5E", "", "", ResidueType::NON_POLYMER, false, "(4S,5R)-5-hydroxy-4-(3-hydroxyphenyl)-3,4,5,6,7,8-hexahydroquinazoline-2(1H)-thione", 18306 },
	{ "K5L", "", "", ResidueType::PEPTIDE_LINKING, false, "(2~{R})-2-azanyl-3-(3-oxidanyl-3-oxidanylidene-propanoyl)oxy-propanoic acid", 18307 },
	{ "K5Q", "", "", ResidueType::NON_POLYMER, false, "(2S)-6-[(E)-[(2E)-2-hydroxyimino-3H-inden-1-ylidene]methyl]-2-(3-hydroxy-3-oxopropyl)-2,3-dihydro-1,4-benzodioxine-5-carboxylic acid", 18308 },
	{ "K60", "", "", ResidueType::NON_POLYMER, false, "5S)-N-[(1S,2R)-3-[(1,3-Benzodioxol-5-ylsulfonyl)(2-methylpropyl)amino]-2-hydroxy-1-(phenylmethyl)propyl]-2-oxo-3-[3-(trifluoromethyl)phenyl]-5-oxazolidinecarboxamide", 18309 },
	{ "K62", "", "", ResidueType::NON_POLYMER, false, "(5S)-3-(3-Acetylphenyl)-N-[(1S,2R)-3-[(1,3-benzodioxol-5-ylsulfonyl)(2-methylpropyl)amino]-2-hydroxy-1-(phenylmethyl)propyl]-2-oxo-5-oxazolidinecarboxamide", 18310 },
	{ "K64", "", "", ResidueType::NON_POLYMER, false, "3-[2-HYDROXY-3-(3-HYDROXY-2-METHYL-BENZOYLAMINO)-4-PHENYL-BUTYRYL]-5,5- DIMETHYL-THIAZOLIDINE-4-CARBOXYLIC ACID 2-METHYL-BENZYLAMIDE", 18311 },
	{ "K66", "", "", ResidueType::NON_POLYMER, false, "[4,5,6,7-tetrabromo-2-(dimethylamino)-1H-benzimidazol-1-yl]acetic acid", 18312 },
	{ "K67", "", "", ResidueType::NON_POLYMER, false, "N,N'-[2-(2-oxopropyl)naphthalene-1,4-diyl]bis(4-ethoxybenzenesulfonamide)", 18313 },
	{ "K68", "", "", ResidueType::NON_POLYMER, false, "(4,5,6,7-tetrabromo-1H-benzimidazol-1-yl)acetic acid", 18314 },
	{ "K6H", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-chloranyl-2-[(2R)-5-oxidanylidene-2H-furan-2-yl]ethanoic acid", 18315 },
	{ "K6K", "", "", ResidueType::NON_POLYMER, false, "3-methoxy-N-[2-[4-[1-(3-methoxy-[1,2,4]triazolo[4,3-b]pyridazin-6-yl)-4-piperidyl]phenoxy]ethyl]-N-methyl-[1,2,4]triazolo[4,3-b]pyridazin-6-amine", 18316 },
	{ "K6X", "", "", ResidueType::NON_POLYMER, false, "3,4,5,6,7-pentabromo-1H-indazole", 18317 },
	{ "K74", "", "", ResidueType::NON_POLYMER, false, "N-methyl-2-[(4,5,6,7-tetrabromo-1-methyl-1H-benzimidazol-2-yl)sulfanyl]acetamide", 18318 },
	{ "K76", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-{3-[3,5-bis(trifluoromethyl)phenyl]-1H-1,2,4-triazol-1-yl}-1-(3,3-difluoroazetidin-1-yl)prop-2-en-1-one", 18319 },
	{ "K78", "", "", ResidueType::NON_POLYMER, false, "2-bromo-4-tert-butyl-6-{[(3-phenylpropyl)amino]methyl}phenol", 18320 },
	{ "K7I", "", "", ResidueType::NON_POLYMER, false, "L-alanyl-N-[(1S,2R)-1-benzyl-2-hydroxypropyl]-L-alaninamide", 18321 },
	{ "K7J", "0ZO", "", ResidueType::NON_POLYMER, false, "N-(3-carboxypropanoyl)-L-alanyl-L-alanyl-N-[(2S,3S)-4-chloro-3-hydroxy-1-phenylbutan-2-yl]-L-prolinamide", 18322 },
	{ "K80", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4S,5S)-2-methyl-5-(4-methylphenyl)pyrrolidine-3,4-diol", 18323 },
	{ "K82", "", "", ResidueType::NON_POLYMER, false, "1-(3-chloro-4-propoxyphenyl)methanamine", 18324 },
	{ "K83", "", "", ResidueType::NON_POLYMER, false, "3-hydroxy-N-[(2S,3R)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino}-1-phenylbutan-2-yl]benzamide", 18325 },
	{ "K84", "", "", ResidueType::NON_POLYMER, false, "(9Z)-1-(5-pyridin-2-yl-1,3,4-oxadiazol-2-yl)octadec-9-en-1-one", 18326 },
	{ "K85", "", "", ResidueType::NON_POLYMER, false, "propan-2-yl 3-{3-[3-methoxy-5-(trifluoromethyl)phenyl]-1H-1,2,4-triazol-1-yl}propanoate", 18327 },
	{ "K86", "", "", ResidueType::NON_POLYMER, false, "4-tert-butyl-N-[6-(2-hydroxyethyloxy)-5-(2-methoxyphenoxy)-2-pyrimidin-2-yl-pyrimidin-4-yl]benzenesulfonamide", 18328 },
	{ "K87", "", "", ResidueType::NON_POLYMER, false, "3-[6-[(4-tert-butylphenyl)sulfonylamino]-5-(2-methoxyphenoxy)-2-pyrimidin-2-yl-pyrimidin-4-yl]oxy-N-(2,6-dimethylphenyl)propanamide", 18329 },
	{ "K88", "", "", ResidueType::NON_POLYMER, false, "(3Z)-N,N-DIMETHYL-2-OXO-3-(4,5,6,7-TETRAHYDRO-1H-INDOL-2-YLMETHYLIDENE)-2,3-DIHYDRO-1H-INDOLE-5-SULFONAMIDE", 18330 },
	{ "K89", "", "", ResidueType::NON_POLYMER, false, "4-fluoranyl-3-(4-oxidanylpiperidin-1-yl)sulfonyl-~{N}-[3,4,5-tris(fluoranyl)phenyl]benzamide", 18331 },
	{ "K8A", "", "", ResidueType::NON_POLYMER, false, "3-bromo-5-(2H-tetrazol-5-yl)pyridine", 18332 },
	{ "K8P", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{R})-2,3-bis(oxidanyl)-3-[[(2~{S})-3-oxidanylidenepent-4-en-2-yl]amino]propyl] dihydrogen phosphate", 18333 },
	{ "K8X", "", "", ResidueType::NON_POLYMER, false, "4,5,6,7-tetraiodo-1H-benzimidazole", 18334 },
	{ "K91", "", "", ResidueType::NON_POLYMER, false, "4-chloro-2-[(5-chloroquinolin-8-yl)oxy]phenol", 18335 },
	{ "K95", "", "", ResidueType::PEPTIDE_LIKE, false, "(4R)-N-[(1S,2R)-2-hydroxy-2,3-dihydro-1H-inden-1-yl]-3-[(2S,3S)-2-hydroxy-3-{[S-methyl-N-(phenylacetyl)-L-cysteinyl]amino}-4-phenylbutanoyl]-5,5-dimethyl-1,3-thiazolidine-4-carboxamide", 18336 },
	{ "K97", "", "", ResidueType::NON_POLYMER, false, "3-(morpholin-4-ylmethyl)-1H-indole-6-carboxylic acid", 18337 },
	{ "K99", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4R,5R,6S)-2,3-DIFLUORO-4,5-DIHYDROXY-6-[(1R,2R)-1,2,3-TRIHYDROXYPROPYL]OXANE-2-CARBOXYLIC ACID", 18338 },
	{ "K9H", "", "", ResidueType::NON_POLYMER, false, "{2-[5-(decyloxy)pyridin-3-yl]ethane-1,1-diyl}bis(phosphonic acid)", 18339 },
	{ "K9L", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-2-(3-fluorobenzyl)-N-{2-[2-(1H-imidazol-1-yl)pyrimidin-4-yl]ethyl}cyclopropanamine", 18340 },
	{ "K9P", "", "", ResidueType::NON_POLYMER, false, "1-[(1S)-1-methyl-5-oxidanyl-1,2-dihydrobenzo[e]indol-3-yl]hexan-1-one", 18341 },
	{ "K9S", "", "", ResidueType::NON_POLYMER, false, "1-(1-BENZOTHIOPHEN-3-YL)METHANAMINE", 18342 },
	{ "K9Y", "", "", ResidueType::NON_POLYMER, false, "1-[4-(6-amino-9H-purin-9-yl)phenyl]-3-[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]urea", 18343 },
	{ "KA5", "", "", ResidueType::NON_POLYMER, false, "5-chloro-N~6~-(2,5-dimethoxybenzyl)quinazoline-2,4,6-triamine", 18344 },
	{ "KAA", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(L-LYSYLAMINO)SULFONYL]ADENOSINE", 18345 },
	{ "KAB", "", "", ResidueType::NON_POLYMER, false, "KABIRAMIDE C", 18346 },
	{ "KAC", "", "", ResidueType::PEPTIDE_LIKE, false, "4-(benzoylamino)butanoic acid", 18347 },
	{ "KAF", "", "", ResidueType::NON_POLYMER, false, "N-{(5S)-4,4-dihydroxy-6-phenyl-5-[(phenylcarbonyl)amino]hexanoyl}-L-phenylalanine", 18348 },
	{ "KAG", "", "", ResidueType::RNA_LINKING, false, "", 18349 },
	{ "KAH", "", "", ResidueType::NON_POLYMER, false, "5-AMINO-4-HYDROXYHEXANOIC ACID", 18350 },
	{ "KAI", "", "", ResidueType::NON_POLYMER, false, "3-(CARBOXYMETHYL)-4-ISOPROPENYLPROLINE", 18351 },
	{ "KAM", "", "", ResidueType::NON_POLYMER, false, "N-[7-KETO-8-AMINOPELARGONIC ACID]-[3-HYDROXY-2-METHYL-5-PHOSPHONOOXYMETHYL-PYRIDIN-4-YL-METHANE]", 18352 },
	{ "KAN", "", "", ResidueType::NON_POLYMER, false, "KANAMYCIN A", 18353 },
	{ "KAO", "", "", ResidueType::NON_POLYMER, false, "1-[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]-3-[4-(pyridin-3-yl)phenyl]urea", 18354 },
	{ "KAP", "", "", ResidueType::NON_POLYMER, false, "7-KETO-8-AMINOPELARGONIC ACID", 18355 },
	{ "KAR", "", "", ResidueType::NON_POLYMER, false, "", 18356 },
	{ "KAW", "", "", ResidueType::NON_POLYMER, false, "N-{(5S)-4,4-dihydroxy-6-phenyl-5-[(phenylcarbonyl)amino]hexanoyl}-L-tryptophan", 18357 },
	{ "KB0", "", "", ResidueType::NON_POLYMER, false, "2-(4-hydroxyphenyl)-7-methyl-3-phenyl-1H-inden-5-ol", 18358 },
	{ "KB1", "", "", ResidueType::NON_POLYMER, false, "5'-{[(3S)-3-amino-3-carboxypropyl][(4-fluorophenyl)methyl]amino}-5'-deoxyadenosine", 18359 },
	{ "KB2", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-(4-{(1S)-1,2-dimethyl-1-[(quinolin-6-ylmethyl)amino]propyl}-1H-1,2,3-triazol-1-yl)heptan-2-one", 18360 },
	{ "KB8", "", "", ResidueType::NON_POLYMER, false, "6-methyl-4-(piperazin-1-yl)-2-(trifluoromethyl)quinoline", 18361 },
	{ "KBE", "", "", ResidueType::PEPTIDE_LINKING, false, "beta-lysine", 18362 },
	{ "KBG", "", "", ResidueType::SACCHARIDE, false, "2-KETO-BETA-D-GLUCOSE", 18363 },
	{ "KBI", "", "", ResidueType::NON_POLYMER, false, "trans-4-({9-[(3S)-tetrahydrofuran-3-yl]-8-[(2,4,6-trifluorophenyl)amino]-9H-purin-2-yl}amino)cyclohexanol", 18364 },
	{ "KBK", "", "", ResidueType::NON_POLYMER, false, "[(R)-{2-[hydroxy(methyl)amino]-2-oxoethoxy}(4-methoxyphenyl)methyl]phosphonic acid", 18365 },
	{ "KBM", "", "", ResidueType::NON_POLYMER, false, "(4-chlorophenyl)(5-methoxy-1-benzofuran-2-yl)methanone", 18366 },
	{ "KBP", "", "", ResidueType::NON_POLYMER, false, "S-[2-(acetylamino)ethyl] (3R)-3-hydroxydecanethioate", 18367 },
	{ "KBR", "", "", ResidueType::NON_POLYMER, false, "Icaridin ", 18368 },
	{ "KBT", "", "", ResidueType::NON_POLYMER, false, "3-{[3-butyl-5-(1-methylethyl)-2,6-dioxo-1,2,3,6-tetrahydropyrimidin-4-yl]carbonyl}-5-methylbenzonitrile", 18369 },
	{ "KC6", "", "", ResidueType::NON_POLYMER, false, "", 18370 },
	{ "KC7", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3R,5R)-3-((5-(benzyloxy)quinazolin-4-yl)amino)-5-(hydroxymethyl)cyclopentane-1,2-diol", 18371 },
	{ "KCH", "", "", ResidueType::NON_POLYMER, false, "2-(5-azanyl-2-oxidanyl-phenyl)pyridine-4-carboxylic acid", 18372 },
	{ "KCP", "", "", ResidueType::NON_POLYMER, false, "2-[CARBOXY-(2-THIOPHEN-2-YL-ACETYLAMINO)-METHYL]-5-METHYL-3,6-DIHYDRO-2H-[1,3]THIAZINE-4-CARBOXYLIC ACID", 18373 },
	{ "KCQ", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-[(2S)-2-AMINO-3-OXOBUTYL]PYRROLIDIN-2-ONE", 18374 },
	{ "KCR", "", "", ResidueType::PEPTIDE_LINKING, false, "N-6-crotonyl-L-lysine", 18375 },
	{ "KCS", "", "", ResidueType::NON_POLYMER, false, "carbonotrithioic acid", 18376 },
	{ "KCT", "", "", ResidueType::NON_POLYMER, false, "(5S)-7-oxo-6,7,12,13-tetrahydro-5H-indolo[2,3-a]pyrrolo[3,4-c]carbazole-5-carboxylic acid", 18377 },
	{ "KCX", "LCX", "", ResidueType::PEPTIDE_LINKING, false, "LYSINE NZ-CARBOXYLIC ACID", 18378 },
	{ "KCY", "", "", ResidueType::PEPTIDE_LINKING, false, "D-homocysteine", 18379 },
	{ "KD0", "", "", ResidueType::NON_POLYMER, false, "3-deoxy-8-O-phosphono-D-manno-oct-2-ulosonic acid", 18380 },
	{ "KD1", "", "", ResidueType::NON_POLYMER, false, "3-deoxy-alpha-D-manno-oct-2-ulopyranonosyl-(2->8)-3-deoxy-alpha-D-manno-oct-2-ulopyranonosyl-(2->4)-3-deoxy-alpha-D-manno-oct-2-ulopyranonosyl-(2->6)-2-amino-2-deoxy-4-O-phosphono-beta-D-glucopyranose", 18381 },
	{ "KD2", "", "", ResidueType::SACCHARIDE, false, "2-(acetylamino)-6-O-[2-(acetylamino)-2-deoxy-4-O-phosphono-beta-D-glucopyranosyl]-2-deoxy-1-O-phosphono-alpha-D-glucopyranose", 18382 },
	{ "KD5", "", "", ResidueType::NON_POLYMER, false, "4,7-anhydro-3-deoxy-D-manno-oct-2-ulosonic acid", 18383 },
	{ "KDA", "", "", ResidueType::SACCHARIDE, false, "(3-DEOXY-D-MANNO-OCT-2-ULOSONIC ACID)-2-O-ALLYL", 18384 },
	{ "KDB", "", "", ResidueType::NON_POLYMER, false, "3,4,5-trideoxy-alpha-D-erythro-oct-3-en-2-ulopyranosonic acid", 18385 },
	{ "KDD", "", "", ResidueType::NON_POLYMER, false, "2,6-anhydro-3,5-dideoxy-D-ribo-oct-2-enonic acid", 18386 },
	{ "KDE", "", "", ResidueType::NON_POLYMER, false, "prop-2-en-1-yl 3-deoxy-beta-L-gulo-oct-2-ulopyranosidonic acid", 18387 },
	{ "KDF", "", "", ResidueType::NON_POLYMER, false, "3-deoxy-alpha-D-erythro-hex-2-ulofuranosonic acid", 18388 },
	{ "KDG", "", "", ResidueType::NON_POLYMER, false, "2-KETO-3-DEOXYGLUCONATE", 18389 },
	{ "KDH", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-5,7-dihydroxy-2-(3,4,5-trihydroxyphenyl)-3,4-dihydro-2H-chromen-3-yl 3,4,5-trihydroxybenzoate", 18390 },
	{ "KDI", "", "", ResidueType::NON_POLYMER, false, "3-AMINO-N-(3-METHOXYPROPYL)-6-{4-[(4-METHYLPIPERAZIN-1-YL)SULFONYL]PHENYL}PYRAZINE-2-CARBOXAMIDE", 18391 },
	{ "KDM", "", "", ResidueType::SACCHARIDE, false, "(2R,4S,5R,6R)-2,4,5-TRIHYDROXY-6-[(1R,2R)-1,2,3-TRIHYDROXYPROPYL]OXANE-2-CARBOXYLIC-ACID", 18392 },
	{ "KDN", "", "", ResidueType::NON_POLYMER, false, "3-deoxy-D-glycero-beta-D-galacto-non-2-ulopyranosonic acid", 18393 },
	{ "KDO", "", "", ResidueType::SACCHARIDE, false, "3-DEOXY-D-MANNO-OCT-2-ULOSONIC ACID", 18394 },
	{ "KDP", "", "", ResidueType::NON_POLYMER, false, "2-KETO-DEOXY-GALACTOSE", 18395 },
	{ "KDR", "", "", ResidueType::NON_POLYMER, false, "prop-2-en-1-yl 3-deoxy-alpha-D-manno-octos-2-ulopyranoside", 18396 },
	{ "KDT", "", "", ResidueType::NON_POLYMER, false, "N-(6-AMINO-1-(4-BROMOBENZYL)-2,4-DIOXO-1,2,3,4-TETRAHYDROPYRIMIDIN-5-YL)-N-METHYLBENZENESULFONAMIDE", 18397 },
	{ "KE4", "", "", ResidueType::NON_POLYMER, false, "(4R)-5-AMINO-4-[({3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}METHYL)AMINO]PENTANOIC ACID", 18398 },
	{ "KE9", "", "", ResidueType::NON_POLYMER, false, "(E)-3-(3,5-DIFLUORO-4-((1R,3R)-2-(2-FLUORO-2- METHYLPROPYL)-3-METHYL-2,3,4,9-TETRAHYDRO-1H-PYRIDO(3,4-B)INDOL-1-YL)PHENYL)ACRYLIC ACID", 18399 },
	{ "KEE", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3R)-2-[4-(1,3-oxazol-5-yl)phenyl]-N-oxidanyl-3-phenyl-cyclopropane-1-carboxamide", 18400 },
	{ "KEF", "", "", ResidueType::NON_POLYMER, false, "CEFUROXIME (OCT-3-ENE FORM)", 18401 },
	{ "KEG", "", "", ResidueType::NON_POLYMER, false, "12-TUNGSTOPHOSPHATE", 18402 },
	{ "KEK", "", "", ResidueType::NON_POLYMER, false, "(3E,5R)-8-(2-CHLOROPHENYL)-5-METHYL-2,6-DIOXOOCT-3-ENOATE", 18403 },
	{ "KEL", "", "", ResidueType::NON_POLYMER, false, "N-[(2R)-2-benzyl-4-(hydroxyamino)-4-oxobutanoyl]-L-alanine", 18404 },
	{ "KEM", "", "", ResidueType::NON_POLYMER, false, "(3E,5R)-8-[(1S,3AR,4R,7AS)-1-HYDROXY-7A-METHYL-5-OXOOCTAHYDRO-1H-INDEN-4-YL]-5-METHYL-2,6-DIOXOOCT-3-ENOATE", 18405 },
	{ "KEN", "", "", ResidueType::NON_POLYMER, false, "N,N-dimethylmethanamine", 18406 },
	{ "KEO", "", "", ResidueType::PEPTIDE_LINKING, false, "e(R)-beta-lysyl-hydroxylysine", 18407 },
	{ "KET", "", "", ResidueType::NON_POLYMER, false, "2-[(3-HYDROXY-2-METHYL-5-PHOSPHONOOXYMETHYL-PYRIDIN-4-YLMETHYLENE)-AMINO]-SUCCINIC ACID", 18408 },
	{ "KEU", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(1R)-4-[(2R,4R,5S)-2,4-DIAMINO-6-OXOHEXAHYDROPYRIMIDIN-5-YL]-1-(2,2,2-TRIFLUORO-1,1-DIHYDROXYETHYL)BUTYL]BENZOYL}-D-GLUTAMIC ACID", 18409 },
	{ "KFK", "", "", ResidueType::NON_POLYMER, false, "1-[5-[3,4-bis(fluoranyl)-2-[2-(1,3,5-trimethylpyrazol-4-yl)ethoxy]phenyl]-1-methyl-indazol-3-yl]-~{N},~{N}-dimethyl-methanamine", 18410 },
	{ "KFN", "", "", ResidueType::SACCHARIDE, false, "(4S,5R,6R)-4,5-DIHYDROXY-6-[(1R,2R)-1,2,3-TRIHYDROXYPROPYL]-5,6-DIHYDRO-4H-PYRAN-2-CARBOXYLIC ACID", 18411 },
	{ "KFP", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-[(2-amino-4-oxo-3,4-dihydropteridin-6-yl)methyl]-D-lysine", 18412 },
	{ "KFQ", "", "", ResidueType::NON_POLYMER, false, "1-sulfanyl[1,2,4]triazolo[4,3-a]quinoxalin-4(5H)-one", 18413 },
	{ "KFZ", "", "", ResidueType::NON_POLYMER, false, "2-{[(2,5-DICHLOROPHENYL)METHYL]SULFANYL}-5-ETHYL-[1,2,4]TRIAZOLO[1,5-A]PYRIMIDIN-7-OL", 18414 },
	{ "KG1", "", "", ResidueType::NON_POLYMER, false, "propargyl-fucoside", 18415 },
	{ "KGC", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-[(2R)-2-CARBOXY-5-OXOTETRAHYDROFURAN-2-YL]-L-LYSINE", 18416 },
	{ "KGD", "", "", ResidueType::NON_POLYMER, false, "beta,psi-caroten-4-one", 18417 },
	{ "KGG", "", "", ResidueType::NON_POLYMER, false, "(3R,5R)-3-methoxy-5-(4-methoxyphenyl)-5-(3-pyridin-3-ylphenyl)-3,4-dihydropyrrol-2-amine", 18418 },
	{ "KGM", "", "", ResidueType::NON_POLYMER, false, "Heptyl Alpha-D-mannopyrannoside", 18419 },
	{ "KGQ", "", "", ResidueType::NON_POLYMER, false, "DIETHYL ({4-[(2S,3R)-2-({[(3R,3AS,6AR)-HEXAHYDROFURO[2,3-B]FURAN-3-YLOXY]CARBONYL}AMINO)-3-HYDROXY-4-{ISOBUTYL[(4-METHOXYPHENYL)SULFONYL]AMINO}BUTYL]PHENOXY}METHYL)PHOSPHONATE", 18420 },
	{ "KGR", "", "GLR", ResidueType::NON_POLYMER, true, "5-KETO-4-DEOXYGLUCARATE", 18421 },
	{ "KGT", "", "", ResidueType::NON_POLYMER, false, "N-(4-carboxy-4-oxobutanoyl)-L-cysteinylglycine", 18422 },
	{ "KGU", "", "", ResidueType::NON_POLYMER, false, "~{N}-[1,4-diethyl-2,3-bis(oxidanylidene)-7-piperidin-1-yl-quinoxalin-6-yl]-2-(4-methylpiperazin-1-yl)ethanamide", 18423 },
	{ "KGW", "", "", ResidueType::NON_POLYMER, false, "2-(4-(2-methoxy-4-morpholinophenylamino)-1,3,5-triazin-2-ylamino)-N-methylbenzamide", 18424 },
	{ "KGY", "", "", ResidueType::NON_POLYMER, false, "4-({[4-(BUT-2-YN-1-YLOXY)PHENYL]SULFONYL}METHYL)-1-[(3,5-DIMETHYLISOXAZOL-4-YL)SULFONYL]-N-HYDROXYPIPERIDINE-4-CARBOXAMIDE", 18425 },
	{ "KH1", "", "", ResidueType::NON_POLYMER, false, "5-(2-{1-[1-(4-ETHYL-4-HYDROXY-HEXYLOXY)-ETHYL]-7A-METHYL-OCTAHYDRO-INDEN-4-YLIDENE}-ETHYLIDENE)-4-METHYLENE-CYCLOHEXANE-1,3-DIOL", 18426 },
	{ "KH2", "", "", ResidueType::NON_POLYMER, false, "3-(1-methylpiperidinium-1-yl)propane-1-sulfonate", 18427 },
	{ "KH3", "", "", ResidueType::NON_POLYMER, false, "5'-{[(3S)-3-amino-3-carboxypropyl][2-(hexylamino)ethyl]amino}-5'-deoxyadenosine", 18428 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "S-[2-({N-[(2R)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alanyl}amino)ethyl] 1H-imidazole-4-carbothioate", 18429 },
	{ "KHA", "", "", ResidueType::NON_POLYMER, false, "1-(4-{[(2-HYDROXYETHYL)AMINO]CARBONYL}BENZYL)-1-METHYLPIPERIDINIUM", 18430 },
	{ "KHO", "", "", ResidueType::NON_POLYMER, false, "4-(3,4-DIHYDROXY-5-HYDROXYMETHYL-TETRAHYDRO-FURAN-2-YLOXY)-TETRAHYDRO-PYRAN-2,3,5-TRIOL", 18431 },
	{ "KHP", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXYMETHYL-5-(4-NITRO-PHENOXY)-TETRAHYDRO-FURAN-3,4-DIOL", 18432 },
	{ "KI1", "", "", ResidueType::NON_POLYMER, false, "1-{4-[4-chloro-3-(trifluoromethyl)phenyl]-4-hydroxypiperidin-1-yl}-3-sulfanylpropan-1-one", 18433 },
	{ "KI2", "", "", ResidueType::NON_POLYMER, false, "3-BENZYLOXYCARBONYLAMINO-2-HYDROXY-4-PHENYL-BUTYRIC ACID", 18434 },
	{ "KI3", "", "", ResidueType::NON_POLYMER, false, "3-amino-2-benzoyl-4-methylthieno[2,3-b]pyridin-6-ol", 18435 },
	{ "KI5", "", "", ResidueType::NON_POLYMER, false, "2-(4,6-DIMETHYLPYRIMIDIN-2-YL)SULFANYLETHANOL", 18436 },
	{ "KI9", "", "", ResidueType::NON_POLYMER, false, "2,3,4,6,8-PENTACHLORO-9H-CARBAZOL-1-OL", 18437 },
	{ "KIA", "", "", ResidueType::NON_POLYMER, false, "2,6-dimethoxycyclohexa-2,5-diene-1,4-dione", 18438 },
	{ "KIB", "", "", ResidueType::NON_POLYMER, false, "2,6-dimethoxybenzene-1,4-diol", 18439 },
	{ "KIF", "", "", ResidueType::NON_POLYMER, false, "KIFUNENSINE", 18440 },
	{ "KIJ", "", "", ResidueType::NON_POLYMER, false, "3,4-dihydroxy-5-(3-nitrophenoxy)benzoic acid", 18441 },
	{ "KIK", "", "", ResidueType::NON_POLYMER, false, "(4~{S})-4-azanyl-5-oxidanyl-pent-1-en-3-one", 18442 },
	{ "KIM", "", "", ResidueType::NON_POLYMER, false, "N~4~-methyl-N~4~-(3-methyl-1H-indazol-6-yl)-N~2~-(3,4,5-trimethoxyphenyl)pyrimidine-2,4-diamine", 18443 },
	{ "KIN", "", "", ResidueType::NON_POLYMER, false, "1-[4-(PYRIDIN-4-YLOXY)PHENYL]-3-[3-(TRIFLUOROMETHYL)PHENYL]UREA", 18444 },
	{ "KIQ", "", "", ResidueType::NON_POLYMER, false, "(1S,6R)-3-{[3-(TRIFLUOROMETHYL)-5,6-DIHYDRO[1,2,4]TRIAZOLO[4,3-A]PYRAZIN-7(8H)-YL]CARBONYL}-6-(2,4,5-TRIFLUOROPHENYL)CYCLOHEX-3-EN-1-AMINE", 18445 },
	{ "KIR", "", "", ResidueType::NON_POLYMER, false, "KIRROMYCIN", 18446 },
	{ "KIU", "", "", ResidueType::NON_POLYMER, false, "5-[(3-nitrobenzyl)oxy]benzene-1,3-dicarboxylic acid", 18447 },
	{ "KIV", "", "", ResidueType::NON_POLYMER, false, "3-METHYL-2-OXOBUTANOIC ACID", 18448 },
	{ "KIW", "", "", ResidueType::NON_POLYMER, false, "5-[(3-nitrobenzyl)amino]benzene-1,3-dicarboxylic acid", 18449 },
	{ "KJ2", "", "", ResidueType::NON_POLYMER, false, "4-{4-[4-(3-AMINOPROPOXY)PHENYL]-1H-PYRAZOL-5-YL}-6-CHLOROBENZENE-1,3-DIOL", 18450 },
	{ "KJ8", "", "", ResidueType::NON_POLYMER, false, "N-[3-(4-{[(1S)-2-hydroxy-1-phenylethyl]amino}-6-phenylfuro[2,3-d]pyrimidin-5-yl)phenyl]-N~3~,N~3~-dimethyl-beta-alaninamide", 18451 },
	{ "KJQ", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[(5,6-diphenylfuro[2,3-d]pyrimidin-4-yl)amino]-2-phenylethanol", 18452 },
	{ "KJR", "", "", ResidueType::NON_POLYMER, false, "N-[3-(4-{[(1S)-2-hydroxy-1-phenylethyl]amino}-6-phenylfuro[2,3-d]pyrimidin-5-yl)phenyl]acetamide", 18453 },
	{ "KJU", "", "", ResidueType::NON_POLYMER, false, "6-chloro-2H-1,4-benzoxazin-3(4H)-one", 18454 },
	{ "KJV", "", "", ResidueType::NON_POLYMER, false, "4-(dimethylamino)-N-[3-(4-{[(1S)-2-hydroxy-1-phenylethyl]amino}-6-phenylfuro[2,3-d]pyrimidin-5-yl)phenyl]butanamide", 18455 },
	{ "KJZ", "", "", ResidueType::NON_POLYMER, false, "[(2E)-1-{4-[(2-chlorophenyl)amino]-4-oxobutanoyl}-2-(naphthalen-1-ylmethylidene)hydrazino]acetic acid", 18456 },
	{ "KK1", "", "", ResidueType::NON_POLYMER, false, "6-(4-methoxyphenyl)-N~4~-octylpyrimidine-2,4-diamine", 18457 },
	{ "KK2", "", "", ResidueType::NON_POLYMER, false, "4-(morpholin-4-yl)-6-[4-(trifluoromethyl)phenyl]pyrimidin-2-amine", 18458 },
	{ "KK3", "", "", ResidueType::NON_POLYMER, false, "4-(4-methylpiperidin-1-yl)-6-[4-(trifluoromethyl)phenyl]pyrimidin-2-amine", 18459 },
	{ "KKA", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-azanyl-6-oxidanylidene-6-[[(2S)-1-oxidanyl-1-oxidanylidene-4-sulfanyl-butan-2-yl]amino]hexanoic acid", 18460 },
	{ "KKJ", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-2-hexyl-3-hydroxynonanoic acid", 18461 },
	{ "KKK", "", "", ResidueType::NON_POLYMER, false, "1-acetyl-4-(4-{[(2R,4S)-2-(2,4-dichlorophenyl)-2-(1H-imidazol-1-ylmethyl)-1,3-dioxolan-4-yl]methoxy}phenyl)piperazine", 18462 },
	{ "KKN", "", "", ResidueType::NON_POLYMER, false, "3-methyl-2H-furo[2,3-c]pyran-2-one", 18463 },
	{ "KKR", "", "", ResidueType::NON_POLYMER, false, "1-[4-[[2-(1H-indazol-4-yl)-4-morpholin-4-yl-thieno[3,2-d]pyrimidin-6-yl]methyl]piperazin-1-yl]-6-methyl-hept-5-ene-1,4-dione", 18464 },
	{ "KKT", "", "", ResidueType::NON_POLYMER, false, "N-(6-amino-1-benzyl-2,4-dioxo-1,2,3,4-tetrahydropyrimidin-5-yl)-N-methylbutane-1-sulfonamide", 18465 },
	{ "KLG", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-N~2~-[(2-phenylethyl)sulfonyl]glycinamide", 18466 },
	{ "KLH", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-1-[(2-phenylethyl)sulfonyl]-D-prolinamide", 18467 },
	{ "KLI", "", "", ResidueType::NON_POLYMER, false, "3-(5-benzyl-1,2,4-oxadiazol-3-yl)-6-fluoro-1-[2-fluoro-4-(trifluoromethyl)benzyl]-7-(4-methylpiperazin-1-yl)quinolin-4(1H)-one", 18468 },
	{ "KLJ", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-N~2~-{[2-(4-methoxyphenyl)ethyl]sulfonyl}glycinamide", 18469 },
	{ "KLN", "", "", ResidueType::NON_POLYMER, false, "1-ACETYL-4-(4-{[(2S,4R)-2-(2,4-DICHLOROPHENYL)-2-(1H-IMIDAZOL-1-YLMETHYL)-1,3-DIOXOLAN-4-YL]METHOXY}PHENYL)PIPERAZINE", 18470 },
	{ "KLS", "", "", ResidueType::NON_POLYMER, false, "1-METHYL-3-(N-PHENYLCARBAMIMIDOYL)UREA", 18471 },
	{ "KLT", "", "", ResidueType::NON_POLYMER, false, "2-chloro-5-[(1S)-1-hydroxy-3-oxo-2H-isoindol-1-yl]benzenesulfonamide", 18472 },
	{ "KLV", "", "", ResidueType::NON_POLYMER, false, "4-methylumbelliferyl phosphate", 18473 },
	{ "KLW", "", "", ResidueType::NON_POLYMER, false, "2-carbamoylbenzoic acid", 18474 },
	{ "KM0", "", "", ResidueType::NON_POLYMER, false, "8-(benzyloxy)-5-chloroquinoline", 18475 },
	{ "KM1", "", "", ResidueType::NON_POLYMER, false, "5-chloro-8-[(3-chlorobenzyl)oxy]quinoline", 18476 },
	{ "KMB", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-6-AMINOMETHYL-8-PHENYLSULFANYLMETHYL-3H-QUINAZOLIN-4-ONE", 18477 },
	{ "KME", "", "", ResidueType::NON_POLYMER, false, "(1E)-prop-1-en-1-yl 3-deoxy-7-O-methyl-alpha-D-manno-oct-2-ulopyranosidonic acid", 18478 },
	{ "KMH", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-AMINO-3-OXO-HEXANOIC ACID", 18479 },
	{ "KMN", "", "", ResidueType::NON_POLYMER, false, "2-[[4-(diethylamino)piperidin-1-yl]methyl]-6-ethynyl-4-(3-phenoxyprop-1-ynyl)phenol", 18480 },
	{ "KMP", "", "", ResidueType::NON_POLYMER, false, "3,5,7-TRIHYDROXY-2-(4-HYDROXYPHENYL)-4H-CHROMEN-4-ONE", 18481 },
	{ "KMT", "", "", ResidueType::NON_POLYMER, false, "4-(METHYLSULFANYL)-2-OXOBUTANOIC ACID", 18482 },
	{ "KMY", "", "", ResidueType::NON_POLYMER, false, "3-chlorobenzothiophene-2-carbohydroxamic acid", 18483 },
	{ "KN0", "", "", ResidueType::NON_POLYMER, false, "4-[1-benzyl-7-(trifluoromethyl)-1H-indazol-3-yl]benzene-1,3-diol", 18484 },
	{ "KN1", "", "", ResidueType::NON_POLYMER, false, "4-[1-allyl-7-(trifluoromethyl)-1H-indazol-3-yl]benzene-1,3-diol", 18485 },
	{ "KN2", "", "", ResidueType::NON_POLYMER, false, "4-(6-HYDROXY-1H-INDAZOL-3-YL)BENZENE-1,3-DIOL", 18486 },
	{ "KN3", "", "", ResidueType::NON_POLYMER, false, "4-[1-(3-methylbut-2-en-1-yl)-7-(trifluoromethyl)-1H-indazol-3-yl]benzene-1,3-diol", 18487 },
	{ "KNA", "", "", ResidueType::NON_POLYMER, false, "nonanoic acid", 18488 },
	{ "KNB", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(methylsulfonyl)-L-alanine", 18489 },
	{ "KNC", "", "", ResidueType::NON_POLYMER, false, "KANAMYCIN C", 18490 },
	{ "KNI", "", "", ResidueType::PEPTIDE_LIKE, false, "(4R)-N-tert-butyl-3-[(2S,3S)-2-hydroxy-3-({N-[(isoquinolin-5-yloxy)acetyl]-S-methyl-L-cysteinyl}amino)-4-phenylbutanoyl]-1,3-thiazolidine-4-carboxamide", 18491 },
	{ "KNJ", "", "", ResidueType::PEPTIDE_LIKE, false, "(4R)-3-[(2S,3S)-3-{[(4-amino-2,6-dimethylphenoxy)acetyl]amino}-2-hydroxy-4-phenylbutanoyl]-5,5-dimethyl-N-(2-methylprop-2-en-1-yl)-1,3-thiazolidine-4-carboxamide", 18492 },
	{ "KNL", "", "", ResidueType::NON_POLYMER, false, "(2,6-dichlorophenoxy)acetic acid", 18493 },
	{ "KNM", "", "", ResidueType::NON_POLYMER, false, "ADA-(AHX)3-(LEU)3-VINYL SULFONE", 18494 },
	{ "KNN", "", "", ResidueType::NON_POLYMER, false, "1-(2-methylphenyl)methanamine", 18495 },
	{ "KNP", "", "", ResidueType::NON_POLYMER, false, "(2,6-difluorophenoxy)acetic acid", 18496 },
	{ "KO1", "", "", ResidueType::SACCHARIDE, false, "D-glycero-alpha-D-talo-oct-2-ulopyranosonic acid", 18497 },
	{ "KO2", "", "", ResidueType::SACCHARIDE, false, "prop-2-en-1-yl D-glycero-alpha-D-talo-oct-2-ulopyranosidonic acid", 18498 },
	{ "KO4", "", "", ResidueType::NON_POLYMER, true, "POTASSIUM ION, 4 WATERS COORDINATED", 18499 },
	{ "KOB", "", "", ResidueType::NON_POLYMER, false, "2-(2,4-dinitrophenyl)-N-(4-fluorophenyl)hydrazinecarbothioamide", 18500 },
	{ "KOH", "", "", ResidueType::NON_POLYMER, false, "3-[2-chloranyl-4-(1~{H}-imidazol-2-yl)phenoxy]propanoic acid", 18501 },
	{ "KOJ", "", "", ResidueType::NON_POLYMER, false, "5-HYDROXY-2-(HYDROXYMETHYL)-4H-PYRAN-4-ONE", 18502 },
	{ "KOL", "", "", ResidueType::NON_POLYMER, true, "(4R,5S)-3-{[(3S,5S)-5-(dimethylcarbamoyl)pyrrolidin-3-yl]sulfanyl}-5-[(2S,3R)-3-hydroxy-1-oxobutan-2-yl]-4-methyl-4,5-dihydro-1H-pyrrole-2-carboxylic acid", 18503 },
	{ "KOM", "", "", ResidueType::NON_POLYMER, false, "7,8-dihydroxy-4-phenyl-2H-chromen-2-one", 18504 },
	{ "KOP", "", "", ResidueType::NON_POLYMER, false, "methyl dihydrogen phosphate", 18505 },
	{ "KOR", "", "", ResidueType::PEPTIDE_LINKING, false, "L-HOMOCYSTEINE-S-N-S-L-CYSTEINE", 18506 },
	{ "KOS", "", "", ResidueType::NON_POLYMER, false, "17-DESMETHOXY-17-N,N-DIMETHYLAMINOETHYLAMINO-GELDANAMYCIN", 18507 },
	{ "KOT", "", "", ResidueType::NON_POLYMER, false, "1-beta-D-glucopyranosyl-4-phenyl-1H-1,2,3-triazole", 18508 },
	{ "KOU", "", "", ResidueType::NON_POLYMER, false, "(E)-N-({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methylidene)-L-serine", 18509 },
	{ "KOV", "", "", ResidueType::NON_POLYMER, false, "(6R,7R)-3-[(carbamoyloxy)methyl]-7-{[(2Z)-2-(furan-2-yl)-2-(methoxyimino)acetyl]amino}-8-oxo-5-thia-1-azabicyclo[4.2.0]oct-2-ene-2-carboxylic acid", 18510 },
	{ "KP1", "", "", ResidueType::NON_POLYMER, false, "2,4-dimethylpentane-2,4-diol", 18511 },
	{ "KP2", "", "", ResidueType::NON_POLYMER, false, "5-phenyl-7H-pyrrolo[2,3-d]pyrimidine-2,4-diamine", 18512 },
	{ "KP3", "", "", ResidueType::NON_POLYMER, false, "5'-O-({1-[(2E)-4-(4-hydroxy-6-methoxy-7-methyl-3-oxo-1,3-dihydro-2-benzofuran-5-yl)-2-methylbut-2-en-1-yl]-1H-1,2,3-triazol-4-yl}methyl)adenosine", 18513 },
	{ "KP6", "", "", ResidueType::NON_POLYMER, false, "2-(1,3,5-trimethyl-1H-pyrazol-4-yl)ethanol", 18514 },
	{ "KPA", "", "", ResidueType::NON_POLYMER, false, "2-OXO-5-PHOSPHONOPENTANOIC ACID", 18515 },
	{ "KPC", "", "", ResidueType::NON_POLYMER, false, "(2-[2-KETOPROPYLTHIO]ETHANESULFONATE", 18516 },
	{ "KPF", "", "", ResidueType::PEPTIDE_LINKING, false, "N-(1-carboxy-2-fluoro-ethenyl) lysine", 18517 },
	{ "KPG", "", "", ResidueType::NON_POLYMER, false, "[(3S,4R,5S)-3,4,5,6,6-pentahydroxy-2-oxo-hexyl] dihydrogen phosphate", 18518 },
	{ "KPH", "", "", ResidueType::NON_POLYMER, false, "[(1R)-1,5-diaminopentyl]phosphonic acid", 18519 },
	{ "KPI", "MCL", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-6-[(1-hydroxy-1-oxo-propan-2-ylidene)amino]hexanoic acid", 18520 },
	{ "KPK", "", "", ResidueType::NON_POLYMER, false, "4-({1-[(4-methyl-1-benzothiophen-3-yl)methyl]-1H-benzimidazol-2-yl}sulfanyl)butanoic acid", 18521 },
	{ "KPL", "", "", ResidueType::NON_POLYMER, false, "KETOPANTOATE", 18522 },
	{ "KPM", "", "", ResidueType::NON_POLYMER, false, "2-(acetylamino)-4-O-{2-(acetylamino)-4,6-O-[(1S)-1-carboxyethylidene]-2-deoxy-beta-D-mannopyranosyl}-2-deoxy-beta-D-glucopyranose", 18523 },
	{ "KPN", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(2-aminoethyl)-N-(2,2'-bipyridin-5-ylacetyl)glycine", 18524 },
	{ "KPR", "", "", ResidueType::NON_POLYMER, false, "[(~{E},4~{S})-4-azanyl-3-oxidanylidene-pent-1-enyl] dihydrogen phosphate", 18525 },
	{ "KPS", "", "", ResidueType::NON_POLYMER, false, "", 18526 },
	{ "KPT", "", "", ResidueType::NON_POLYMER, false, "6,7-dihydro[1,3]dioxolo[4,5-g][1,3]dioxolo[7,8]isoquino[3,2-a]isoquinolin-5-ium", 18527 },
	{ "KPV", "", "", ResidueType::NON_POLYMER, false, "5-PHENYL-2-KETO-VALERIC ACID", 18528 },
	{ "KPY", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-2-AZANYL-3-[2-[(E)-(1-OXIDANYL-1-OXIDANYLIDENE-PROPAN-2-YLIDENE)AMINO]ETHYLSULFANYL]PROPANOIC ACID", 18529 },
	{ "KQ7", "", "", ResidueType::NON_POLYMER, false, "N-(2-methyl-5-{[(2-morpholin-4-ylpyridin-4-yl)carbonyl]amino}phenyl)-6-({2-[(2S)-1-methylpyrrolidin-2-yl]ethyl}amino)pyridine-3-carboxamide", 18530 },
	{ "KQQ", "", "", ResidueType::NON_POLYMER, false, "3-[(2-{[1-(N,N-dimethylglycyl)-6-methoxy-4,4-dimethyl-1,2,3,4-tetrahydroquinolin-7-yl]amino}-7H-pyrrolo[2,3-d]pyrimidin-4-yl)amino]thiophene-2-carboxamide", 18531 },
	{ "KQS", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-(2-fluorophenyl)-N-((2-oxo-2,3-dihydro-1H-benzo[d]imidazol-5-yl)methyl)butanamide)", 18532 },
	{ "KR", "", "", ResidueType::NON_POLYMER, false, "KRYPTON", 18533 },
	{ "KR0", "", "", ResidueType::NON_POLYMER, false, "3-decanoyloxypropyl decanoate", 18534 },
	{ "KR1", "", "", ResidueType::NON_POLYMER, false, "3-({3-[(2-amino-6-fluoropyridin-4-yl)methyl]-5-(1-methylethyl)-2,6-dioxo-1,2,3,6-tetrahydropyrimidin-4-yl}carbonyl)-5-methylbenzonitrile", 18535 },
	{ "KR2", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-(2-BENZOYL-1,2-DIAZEPAN-1-YL)-4-OXO-1-(2,4,5-TRIFLUOROPHENYL)BUTAN-2-AMINE", 18536 },
	{ "KR5", "", "", ResidueType::NON_POLYMER, false, "4-{[3-(3,5-dimethyl-1H-pyrazol-1-yl)-3-oxopropyl]amino}benzenesulfonamide", 18537 },
	{ "KRA", "", "", ResidueType::NON_POLYMER, false, "KURASOIN A", 18538 },
	{ "KRB", "", "", ResidueType::NON_POLYMER, false, "KURASOIN B", 18539 },
	{ "KRC", "", "", ResidueType::NON_POLYMER, false, "(9aS)-8-acetyl-N-[(2-ethylnaphthalen-1-yl)methyl]-1,7-dihydroxy-3-methoxy-9a-methyl-9-oxo-9,9a-dihydrodibenzo[b,d]furan-4-carboxamide", 18540 },
	{ "KRG", "", "", ResidueType::NON_POLYMER, false, "3-(3,5-dimethyl-1,2-oxazol-4-yl)-5-ethoxybenzoic acid", 18541 },
	{ "KRH", "", "", ResidueType::NON_POLYMER, false, "5-methyl-3-(1-methyl-1H-imidazol-5-yl)-7-(2-methylpropyl)-2-(naphthalen-1-ylmethyl)-2H-pyrazolo[3,4-d]pyrimidine-4,6(5H,7H)-dione", 18542 },
	{ "KRI", "", "", ResidueType::NON_POLYMER, false, "(S)-2-AMINO-4-[(2S,3R)-2,3,5-TRIHYDROXY-4-OXO-PENTYL]MERCAPTO-BUTYRIC ACID", 18543 },
	{ "KRJ", "", "", ResidueType::NON_POLYMER, false, "4-cyano-N-(2-cyclohex-1-en-1-yl-4-piperidin-4-ylphenyl)-1H-imidazole-2-carboxamide", 18544 },
	{ "KRL", "", "", ResidueType::NON_POLYMER, false, "5-cyano-N-[4-(4-methylpiperazin-1-yl)-2-piperidin-1-ylphenyl]furan-2-carboxamide", 18545 },
	{ "KRM", "", "", ResidueType::NON_POLYMER, false, "4-[5-(4-PHENOXYPHENYL)-1H-PYRAZOL-3-YL]MORPHOLINE", 18546 },
	{ "KRO", "", "", ResidueType::NON_POLYMER, false, "5-[2-(4-fluoro-3-methylphenyl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 18547 },
	{ "KRP", "", "", ResidueType::NON_POLYMER, false, "3-methyl-5-{[5-(1-methylethyl)-2,6-dioxo-3-propyl-1,2,3,6-tetrahydropyrimidin-4-yl]carbonyl}benzonitrile", 18548 },
	{ "KRS", "", "", ResidueType::NON_POLYMER, false, "cladosporin", 18549 },
	{ "KRV", "", "", ResidueType::NON_POLYMER, false, "3-{[3-ethyl-5-(1-methylethyl)-2,6-dioxo-1,2,3,6-tetrahydropyrimidin-4-yl]carbonyl}-5-methylbenzonitrile", 18550 },
	{ "KRW", "", "", ResidueType::NON_POLYMER, false, "2-{4-[1-(QUINOLIN-6-YLMETHYL)-1H-[1,2,3]TRIAZOLO[4,5-B]PYRAZIN-6-YL]-1H-PYRAZOL-1-YL}ETHANOL", 18551 },
	{ "KRX", "", "", ResidueType::NON_POLYMER, false, "6-(3-methoxyphenyl)-N-[1-(2,2,2-trifluoroethyl)piperidin-4-yl]pyridine-3-carboxamide", 18552 },
	{ "KS1", "", "", ResidueType::NON_POLYMER, false, "1-cyclopentyl-3-(1H-pyrrolo[2,3-b]pyridin-5-yl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 18553 },
	{ "KS2", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S},4~{R},5~{R},6~{S})-2-(hydroxymethyl)-6-[5-(4-methylphenyl)-4~{H}-1,2,4-triazol-3-yl]oxane-3,4,5-triol", 18554 },
	{ "KS3", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S},4~{R},5~{R},6~{S})-2-(hydroxymethyl)-6-(3-naphthalen-2-yl-1~{H}-1,2,4-triazol-5-yl)oxane-3,4,5-triol", 18555 },
	{ "KS4", "", "", ResidueType::NON_POLYMER, false, "1-cyclobutyl-3-(3,4-dimethoxyphenyl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 18556 },
	{ "KS5", "", "", ResidueType::NON_POLYMER, false, "1-(1-methylethyl)-3-quinolin-6-yl-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 18557 },
	{ "KSA", "", "", ResidueType::NON_POLYMER, false, "K-252A", 18558 },
	{ "KSB", "", "", ResidueType::NON_POLYMER, false, "lambda-[Ru(tap2-dppz-CN]2+", 18559 },
	{ "KSC", "", "", ResidueType::NON_POLYMER, false, "7-[(cyclopropylmethyl)amino]-2-[(4-methoxyphenyl)amino]-5-methylpyrazolo[1,5-a]pyrimidine-3-carboxamide", 18560 },
	{ "KSE", "", "", ResidueType::NON_POLYMER, false, "7-[(2-amino-2-methylpropyl)amino]-2-[(3,5-dimethoxyphenyl)amino]-5-methylpyrazolo[1,5-a]pyrimidine-3-carboxamide", 18561 },
	{ "KSF", "", "", ResidueType::NON_POLYMER, false, "N-(2-chlorophenyl)-5-phenylimidazo[1,5-a]pyrazin-8-amine", 18562 },
	{ "KSG", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,3S,4R,5S,6S)-2,3,4,5,6-PENTAHYDROXYCYCLOHEXYL 2-AMINO-4-{[CARBOXY(IMINO)METHYL]AMINO}-2,3,4,6-TETRADEOXY-ALPHA-D-ARABINO-HEXOPYRANOSIDE", 18563 },
	{ "KSH", "", "", ResidueType::NON_POLYMER, false, "2-[(3,5-dimethoxyphenyl)amino]-5-ethyl-7-[(2R)-2-(hydroxymethyl)pyrrolidin-1-yl]pyrazolo[1,5-a]pyrimidine-3-carboxamide", 18564 },
	{ "KSK", "", "", ResidueType::NON_POLYMER, false, "7-[(2-amino-2-methylpropyl)amino]-5-cyclopropyl-2-[(3,5-dimethoxyphenyl)amino]pyrazolo[1,5-a]pyrimidine-3-carboxamide", 18565 },
	{ "KSL", "", "", ResidueType::NON_POLYMER, false, "N-(2,6-dimethylphenyl)-5-phenylimidazo[1,5-a]pyrazin-8-amine", 18566 },
	{ "KSM", "", "", ResidueType::NON_POLYMER, false, "N-(2-chloro-6-methylphenyl)-8-[(3S)-3-methylpiperazin-1-yl]imidazo[1,5-a]quinoxalin-4-amine", 18567 },
	{ "KSR", "", "", ResidueType::NON_POLYMER, false, "6-(5-methoxy-1-methyl-1H-indol-3-yl)-5H-pyrrolo[2,3-b]pyrazine", 18568 },
	{ "KSS", "", "", ResidueType::NON_POLYMER, false, "7-(3,4-dimethoxyphenyl)-5-(ethylsulfanyl)imidazo[1,2-c]pyrimidine", 18569 },
	{ "KST", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-(5-CARBOXY-3-THIENYL)-L-LYSINE", 18570 },
	{ "KT3", "", "", ResidueType::NON_POLYMER, false, "N-{4-4-(2,4-DIAMINO-6-OXO-1,6-DIHYDRO-PYRIMIDIN-5-YL)-1-(2,2,2-TRIFLUORO-1,1-DIHYDROXY-ETHYL)-BUT-2-YL-BENZOYL}-GAMMA-GLUTAMYL-GAMMA-GLUTAMYL-GLUTAMIC ACID", 18571 },
	{ "KT5", "", "", ResidueType::NON_POLYMER, false, "N-{4-4-(2,4-DIAMINO-6-OXO-1,6-DIHYDRO-PYRIMIDIN-5-YL)-1-(2,2,2-TRIFLUORO-1,1-DIHYDROXY-ETHYL)-BUT-2-YL-BENZOYL}-GAMMA-GLUTAMYL-GAMMA-GLUTAMYL-GAMMA-GLUTAMYL-GAMMA-GLUTAMYL-GLUTAMIC ACID", 18572 },
	{ "KTA", "", "", ResidueType::NON_POLYMER, false, "(S)-CYCLOHEXANONE-2-ACETATE", 18573 },
	{ "KTC", "", "", ResidueType::NON_POLYMER, false, "10-oxooctadecanoic acid", 18574 },
	{ "KTD", "", "", ResidueType::NON_POLYMER, false, "1-(1,2,3-benzothiadiazol-6-yl)-3-(2-oxo-2-phenylethyl)urea", 18575 },
	{ "KTH", "", "", ResidueType::NON_POLYMER, true, "2-KETOTHIAZOLE", 18576 },
	{ "KTJ", "", "", ResidueType::NON_POLYMER, false, "4-(3-amino-1H-pyrazol-4-yl)phenol", 18577 },
	{ "KTK", "", "", ResidueType::NON_POLYMER, false, "4-[3-amino-4-(4-hydroxyphenyl)-1H-pyrazol-5-yl]benzene-1,3-diol", 18578 },
	{ "KTL", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,3R,4S)-1-{(1S)-2-[(2R,3S,4S)-3,4-dihydroxy-2-(hydroxymethyl)tetrahydrothiophenium-1-yl]-1-hydroxyethyl}-2,3,4,5-tetrahydroxypentyl sulfate", 18579 },
	{ "KTN", "", "", ResidueType::NON_POLYMER, false, "CIS-1-ACETYL-4-(4-((2-(2,4-DICHLOROPHENYL)-2-(1H-IMIDAZOL-1-YLMETHYL)-1,3-DIOXOLAN-4-YL)METHOXY)PHENYL)PIPERAZINE", 18580 },
	{ "KTO", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-azanyl-3-[(2~{R},3~{S})-2-oxidanyl-3-[[(1~{S},5~{R})-3-oxidanylidene-9-azabicyclo[3.3.1]nonan-9-yl]oxy]-1,2-dihydroindol-3-yl]propanal", 18581 },
	{ "KTP", "", "", ResidueType::NON_POLYMER, false, "(2-NAPHTHALEN-2-YL-1-NAPHTHALEN-1-YL-2-OXO-ETHYL)-PHOSPHONIC ACID", 18582 },
	{ "KTR", "", "", ResidueType::NON_POLYMER, false, "(1R)-5-benzoyl-2,3-dihydro-1H-pyrrolizine-1-carboxylic acid", 18583 },
	{ "KTS", "", "", ResidueType::NON_POLYMER, false, "", 18584 },
	{ "KTU", "", "", ResidueType::SACCHARIDE, false, "prop-2-en-1-yl 3,5-dideoxy-alpha-D-threo-oct-5-en-2-ulopyranosidonic acid", 18585 },
	{ "KTZ", "", "", ResidueType::NON_POLYMER, false, "N4,N4-dimethyl-5,6-diphenyl-7H-pyrrolo[2,3-d]pyrimidine-2,4-diamine", 18586 },
	{ "KU0", "", "", ResidueType::NON_POLYMER, false, "2-[(2S)-1-(3,5-dichloropyridine-4-carbonyl)pyrrolidin-2-yl]-5-hydroxy-6-oxo-N-[2-(phenylsulfonyl)ethyl]-1,6-dihydropyrimidine-4-carboxamide", 18587 },
	{ "KU2", "", "", ResidueType::NON_POLYMER, false, "2-[(2S)-1-{[(2-chlorophenyl)sulfanyl]acetyl}pyrrolidin-2-yl]-5-hydroxy-6-oxo-N-(2-phenoxyethyl)-1,6-dihydropyrimidine-4-carboxamide", 18588 },
	{ "KU3", "", "", ResidueType::NON_POLYMER, false, "(5-fluoroisoindolin-2-yl)(4-hydroxy-5-isopropylbenzo[d]isoxazol-7-yl)methanone", 18589 },
	{ "KU4", "", "", ResidueType::NON_POLYMER, false, "2-{(2S)-1-[3-(2-chlorophenyl)propanoyl]pyrrolidin-2-yl}-5-hydroxy-6-oxo-N-(2-phenoxyethyl)-1,6-dihydropyrimidine-4-carboxamide", 18590 },
	{ "KU5", "", "", ResidueType::NON_POLYMER, false, "2-[(2S)-1-{[(2-chlorophenyl)sulfanyl]acetyl}pyrrolidin-2-yl]-5-hydroxy-6-oxo-N-[2-(phenylsulfonyl)ethyl]-1,6-dihydropyrimidine-4-carboxamide", 18591 },
	{ "KU7", "", "", ResidueType::NON_POLYMER, false, "2-{(2S)-1-[(2-fluorophenoxy)acetyl]pyrrolidin-2-yl}-5-hydroxy-6-oxo-N-(2-phenoxyethyl)-1,6-dihydropyrimidine-4-carboxamide", 18592 },
	{ "KU8", "", "", ResidueType::NON_POLYMER, false, "4-[3-(1,4-diazepan-1-ylcarbonyl)-4-fluorobenzyl]phthalazin-1(2H)-one", 18593 },
	{ "KU9", "", "", ResidueType::NON_POLYMER, false, "2-[(2S)-1-{[(2-chlorophenyl)sulfanyl]acetyl}pyrrolidin-2-yl]-N-(2,3-dihydro-1H-inden-2-yl)-5-hydroxy-6-oxo-1,6-dihydropyrimidine-4-carboxamide", 18594 },
	{ "KUF", "", "", ResidueType::NON_POLYMER, false, "7-METHYL-2H-ISOQUINOLIN-1-ONE", 18595 },
	{ "KV1", "", "", ResidueType::NON_POLYMER, false, "N-((3R,5S)-1-(benzofuran-3-carbonyl)-5-(ethylcarbamoyl)pyrrolidin-3-yl)-3-ethyl-1-methyl-1H-pyrazole-5-carboxamide", 18596 },
	{ "KVC", "", "", ResidueType::NON_POLYMER, false, "(5R)-8-amino-3-fluoro-5,19-dimethyl-20-oxo-5,18,19,20-tetrahydro-11,7-(azeno)pyrido[2',1':2,3]imidazo[4,5-h][2,5,11]benzoxadiazacyclotetradecine-14-carbonitrile", 18597 },
	{ "KVI", "", "", ResidueType::PEPTIDE_LIKE, false, "", 18598 },
	{ "KVS", "", "", ResidueType::PEPTIDE_LIKE, false, "N~2~-[(2R,5S)-5-({(2S,3S)-2-[(N-acetyl-L-threonyl)amino]-3-methylpent-4-enoyl}amino)-2-butyl-4,4-dihydroxynonanoyl]-L-glutaminyl-L-argininamide", 18599 },
	{ "KVY", "", "", ResidueType::NON_POLYMER, false, "4-amino-1-methyl-N-{1-methyl-5-[(1-methyl-5-{[3-(methylamino)-3-oxopropyl]carbamoyl}-1H-pyrrol-3-yl)carbamoyl]-1H-pyrrol-3-yl}-1H-pyrrole-2-carboxamide", 18600 },
	{ "KWB", "", "", ResidueType::NON_POLYMER, false, "5-cyclohexyl-2-hydroxybenzoate", 18601 },
	{ "KWS", "", "", ResidueType::PEPTIDE_LINKING, false, "{2-[(1R,2R)-1-amino-2-hydroxypropyl]-4-methylidene-5-oxo-4,5-dihydro-1H-imidazol-1-yl}acetic acid", 18602 },
	{ "KWT", "", "", ResidueType::NON_POLYMER, false, "(1S,6BR,9AS,11R,11BR)-9A,11B-DIMETHYL-1-[(METHYLOXY)METHYL]-3,6,9-TRIOXO-1,6,6B,7,8,9,9A,10,11,11B-DECAHYDRO-3H-FURO[4,3,2-DE]INDENO[4,5-H][2]BENZOPYRAN-11-YL ACETATE", 18603 },
	{ "KWZ", "", "", ResidueType::NON_POLYMER, false, "4-(3-piperidin-1-ylpropyl)-6-[3-(trifluoromethyl)phenyl]pyrimidine-2-carbonitrile", 18604 },
	{ "KX1", "", "", ResidueType::NON_POLYMER, false, "4-cycloheptyl-6-(3-piperidin-1-ylpropyl)pyrimidine-2-carbonitrile", 18605 },
	{ "KX2", "", "", ResidueType::NON_POLYMER, false, "(4E,6Z,8S,9S,10E,12S,13R,14S,16R)-13-hydroxy-8,14-dimethoxy-4,10,12,16-tetramethyl-3,20,22-trioxo-19-{[2-(pyrrolidin-1-yl)ethyl]amino}-2-azabicyclo[16.3.1]docosa-1(21),4,6,10,18-pentaen-9-yl carbamate", 18606 },
	{ "KXA", "", "", ResidueType::NON_POLYMER, false, "3-(aminomethyl)-4-(2,4-dichlorophenyl)-6-(2-methoxyphenyl)-2-methyl-5,6-dihydro-7H-pyrrolo[3,4-b]pyridin-7-one", 18607 },
	{ "KXB", "", "", ResidueType::NON_POLYMER, false, "3-(aminomethyl)-4-(2,4-dichlorophenyl)-6-(2-methoxyethyl)-2-methyl-5,6-dihydro-7H-pyrrolo[3,4-b]pyridin-7-one", 18608 },
	{ "KXN", "", "", ResidueType::NON_POLYMER, false, "(2R,3S)-2-(3,4-dihydroxyphenyl)-3,4-dihydro-2H-chromene-3,5,7-triol", 18609 },
	{ "KXO", "", "", ResidueType::NON_POLYMER, false, "6-(3-fluorophenyl)-N-[1-(2,2,2-trifluoroethyl)piperidin-4-yl]pyridine-3-carboxamide", 18610 },
	{ "KXU", "", "", ResidueType::NON_POLYMER, false, "5-{[(4,6-dimethylpyrimidin-2-yl)sulfanyl]methyl}-N-[(2-methylpyridin-4-yl)methyl]-1,2-oxazole-3-carboxamide", 18611 },
	{ "KXZ", "", "", ResidueType::NON_POLYMER, false, "3-[3-[(3-chloranyl-4-phenyl-phenyl)methylamino]propylamino]-3-oxidanylidene-propanoic acid", 18612 },
	{ "KY1", "", "", ResidueType::NON_POLYMER, false, "4-(2-AMINOPHENYL)-4-OXOBUTANOIC ACID", 18613 },
	{ "KYA", "", "", ResidueType::NON_POLYMER, false, "4-hydroxyquinoline-2-carboxylic acid", 18614 },
	{ "KYD", "", "", ResidueType::NON_POLYMER, false, "3,5-DIMETHYL-1H-PYRAZOLE-4-CARBOXYLIC ACID", 18615 },
	{ "KYN", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-4-(2-aminophenyl)-4-oxobutanoic acid", 18616 },
	{ "KYQ", "", "", ResidueType::PEPTIDE_LINKING, false, "(E)-N~6~-(1-carboxy-2-hydroxyethylidene)-L-lysine", 18617 },
	{ "KYS", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[(2-AMINOETHYL)AMINO]SULFONYL}PHENYL)-5-[(3AS,4S,6AR)-2-OXOHEXAHYDRO-1H-THIENO[3,4-D]IMIDAZOL-4-YL]PENTANAMIDE-(1,2,3,4,5,6-ETA)-BENZENE-CHLORO-RUTHENIUM(III)", 18618 },
	{ "KYT", "", "", ResidueType::NON_POLYMER, false, "(3AS,4S,6AR)-4-(5-((3R,4R)-3,4-DIAMINOPYRROLIDIN-1-YL)-5-OXOPENTYL)TETRAHYDRO-1H-THIENO[3,4-D]IMIDAZOL-2(3H)-ONE-P-CYMENE-CHLORO-RUTHENIUM(III)", 18619 },
	{ "KZ9", "", "", ResidueType::NON_POLYMER, false, "(S)-4-(3-HYDROXYPHENYL)-2-THIOXO-1,2,3,4,7,8-HEXAHYDROQUINAZOLIN-5(6H)-ONE", 18620 },
	{ "KZH", "", "", ResidueType::NON_POLYMER, false, "(13-oxo-9(Z),11(E),15(Z)-octadecatrienoic acid)", 18621 },
	{ "KZI", "", "", ResidueType::NON_POLYMER, false, "5-{[(1R,2S)-2-aminocyclohexyl]amino}-3-[(3,5-dimethoxyphenyl)amino]pyrazine-2-carboxamide", 18622 },
	{ "KZL", "", "", ResidueType::NON_POLYMER, false, "5-[(2-amino-1,1-dimethylethyl)amino]-7-[(3,5-dimethoxyphenyl)amino][1,2,4]triazolo[4,3-c]pyrimidine-8-carboxamide", 18623 },
	{ "KZM", "", "", ResidueType::NON_POLYMER, false, "5-{[(1R,2S)-2-aminocyclohexyl]amino}-7-[(3,5-dimethoxyphenyl)amino]-2-(3-hydroxyphenyl)[1,2,4]triazolo[1,5-c]pyrimidine-8-carboxamide", 18624 },
	{ "KZQ", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-(4-fluorophenyl)-N-(2H-indazol-5-yl)-6-methyl-2-oxo-1,2,3,4-tetrahydropyrimidine-5-carboxamide", 18625 },
	{ "KZZ", "", "", ResidueType::NON_POLYMER, false, "1-(2-azanylethyl)-5-[(4-methoxynaphthalen-1-yl)methyl]-~{N}-(naphthalen-1-ylmethyl)-6,7-dihydro-4~{H}-pyrazolo[4,3-c]pyridine-3-carboxamide", 18626 },
	{ "L00", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(5-{3-chloro-6-((2-methoxyethyl){[(1S,2S)-2-methylcyclopropyl]methyl}amino)-2-[methyl(methylsulfonyl)amino]pyridin-4-yl}-1,3,4-oxadiazol-2-yl)-1-phenylpropan-2-amine", 18627 },
	{ "L01", "", "", ResidueType::NON_POLYMER, false, "3-[({(1S,2R)-1-BENZYL-2-HYDROXY-3-[(3-METHOXYBENZYL)AMINO]PROPYL}AMINO)(HYDROXY)METHYL]-N,N-DIPROPYLBENZAMIDE", 18628 },
	{ "L02", "", "", ResidueType::NON_POLYMER, false, "4-[3-(4-CHLOROPHENYL)-1H-PYRAZOL-5-YL]PIPERIDINE", 18629 },
	{ "L03", "", "", ResidueType::NON_POLYMER, false, "3-(4-CHLOROPHENYL)-5-(METHYLTHIO)-4H-1,2,4-TRIAZOLE", 18630 },
	{ "L04", "", "", ResidueType::NON_POLYMER, false, "", 18631 },
	{ "L05", "", "", ResidueType::NON_POLYMER, false, "1-BENZYL-3-(4-METHOXYPHENYLAMINO)-4-PHENYLPYRROLE-2,5-DIONE", 18632 },
	{ "L06", "", "", ResidueType::NON_POLYMER, false, "5-{[AMINO(IMINO)METHYL]AMINO}-2-(SULFANYLMETHYL)PENTANOIC ACID", 18633 },
	{ "L07", "", "", ResidueType::NON_POLYMER, false, "2-propyl[1,3]thiazolo[4,5-c]quinolin-4-amine", 18634 },
	{ "L08", "", "", ResidueType::NON_POLYMER, false, "1-ACETYL-4-(4-{4-[(2-ETHOXYPHENYL)THIO]-3-NITROPHENYL}PYRIDIN-2-YL)PIPERAZINE", 18635 },
	{ "L09", "", "", ResidueType::NON_POLYMER, false, "N-(3-TERT-BUTYL-1H-PYRAZOL-5-YL)-N'-{4-CHLORO-3-[(PYRIDIN-3-YLOXY)METHYL]PHENYL}UREA", 18636 },
	{ "L0B", "", "", ResidueType::NON_POLYMER, false, "Alpha-Lobeline", 18637 },
	{ "L0C", "", "", ResidueType::NON_POLYMER, false, "4-{[2-(4-{[(4-FLUOROPHENYL)CARBONYL]AMINO}-1H-PYRAZOL-3-YL)-1H-BENZIMIDAZOL-6-YL]METHYL}MORPHOLIN-4-IUM", 18638 },
	{ "L0D", "", "", ResidueType::NON_POLYMER, false, "2-(1H-pyrazol-3-yl)-1H-benzimidazole", 18639 },
	{ "L0E", "", "", ResidueType::NON_POLYMER, false, "4-[(2-{4-[(PHENYLCARBAMOYL)AMINO]-1H-PYRAZOL-3-YL}-1H-BENZIMIDAZOL-5-YL)METHYL]MORPHOLIN-4-IUM", 18640 },
	{ "L0F", "", "", ResidueType::NON_POLYMER, false, "N-[3-(1H-BENZIMIDAZOL-2-YL)-1H-PYRAZOL-4-YL]BENZAMIDE", 18641 },
	{ "L0G", "", "", ResidueType::NON_POLYMER, false, "2-{4-[(CYCLOPROPYLCARBAMOYL)AMINO]-1H-PYRAZOL-3-YL}-6-(MORPHOLIN-4-IUM-4-YLMETHYL)-1H-3,1-BENZIMIDAZOL-3-IUM", 18642 },
	{ "L0H", "", "L0F", ResidueType::NON_POLYMER, true, "N-[3-(1H-BENZIMIDAZOL-2-YL)-1H-PYRAZOL-4-YL]BENZAMIDE", 18643 },
	{ "L0I", "", "", ResidueType::NON_POLYMER, false, "4-[(2-{4-[(CYCLOPROPYLCARBAMOYL)AMINO]-1H-PYRAZOL-3-YL}-1H-BENZIMIDAZOL-6-YL)METHYL]MORPHOLIN-4-IUM", 18644 },
	{ "L0R", "", "", ResidueType::NON_POLYMER, false, "1-[(2R)-2-(3,4-dihydroisoquinolin-2(1H)-ylcarbonyl)piperidin-1-yl]-2-phenoxyethanone", 18645 },
	{ "L0Y", "", "", ResidueType::NON_POLYMER, false, "6-[[[2-(cyclohexylmethylcarbamoyl)phenyl]methyl-methyl-amino]methyl]-2,3-dihydro-1,4-benzodioxine-5-carboxylic acid", 18646 },
	{ "L10", "", "", ResidueType::NON_POLYMER, false, "N-[(3Z)-5-TERT-BUTYL-2-PHENYL-1,2-DIHYDRO-3H-PYRAZOL-3-YLIDENE]-N'-(4-CHLOROPHENYL)UREA", 18647 },
	{ "L11", "", "", ResidueType::NON_POLYMER, false, "N-[4-CHLORO-3-(PYRIDIN-3-YLOXYMETHYL)-PHENYL]-3-FLUORO-", 18648 },
	{ "L12", "", "", ResidueType::NON_POLYMER, false, "3-(2-PYRIDIN-4-YLETHYL)-1H-INDOLE", 18649 },
	{ "L13", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-5-(2-METHYLPHENYL)-2,4-DIHYDRO-3H-1,2,4-TRIAZOLE-3-THIONE", 18650 },
	{ "L14", "", "", ResidueType::NON_POLYMER, false, "trans-cyclohexane-1,4-dicarboxylic acid", 18651 },
	{ "L15", "", "", ResidueType::NON_POLYMER, false, "2-[4-(3-METHYL-1H-PYRAZOL-4-YL)PHENYL]ETHANAMINE", 18652 },
	{ "L17", "", "", ResidueType::NON_POLYMER, false, "L17", 18653 },
	{ "L18", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-methyl-2-[(2S,4R)-2-methyl-4-phenylpentyl]piperidine", 18654 },
	{ "L19", "", "", ResidueType::NON_POLYMER, false, "3-[5-cyclopropyl-3-(3-methoxypyridin-4-yl)-2-phenyl-1H-indol-1-yl]propanoic acid", 18655 },
	{ "L1A", "", "", ResidueType::NON_POLYMER, false, "N-(MORPHOLIN-4-YLSULFONYL)-L-PHENYLALANYL-3-(2-AMINO-1,3-THIAZOL-4-YL)-N-{(1R,2R,3S)-1-[(1R)-CYCLOHEX-3-EN-1-YLMETHYL]-2,3-DIHYDROXY-5-METHYLHEXYL}-L-ALANINAMIDE", 18656 },
	{ "L1B", "", "", ResidueType::NON_POLYMER, false, "7-(2,4-DIAMINO-6-ETHYLPYRIMIDIN-5-YL)-1-(3-METHOXYPROPYL)QUINOLINIUM", 18657 },
	{ "L1C", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-N^1^-(4-chlorophenyl)-4-(2,4-difluorophenyl)-4-hydroxy-N^2^-(2-oxo-2H-1,3'-bipyridin-6'-yl)pyrrolidine-1,2-dicarboxamide", 18658 },
	{ "L1D", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-N^1^-(4-chlorophenyl)-N^2^-[2-fluoro-4-(2-oxopyridin-1(2H)-yl)phenyl]-4-hydroxy-4-phenylpyrrolidine-1,2-dicarboxamide", 18659 },
	{ "L1E", "", "", ResidueType::NON_POLYMER, false, "N~1~-(4-chlorophenyl)-6-methyl-N~5~-[3-(7H-purin-6-yl)pyridin-2-yl]isoquinoline-1,5-diamine", 18660 },
	{ "L1G", "", "", ResidueType::NON_POLYMER, false, "N-(4-{4-AMINO-1-[4-(4-METHYLPIPERAZIN-1-YL)-TRANS-CYCLOHEXYL]-1H-PYRAZOLO[3,4-D]PYRIMIDIN-3-YL}-2-METHOXYPHENYL)-1-METHYL-1H-INDOLE-2-CARBOXAMIDE", 18661 },
	{ "L1L", "", "", ResidueType::NON_POLYMER, false, "[(2R,3R,4R,5S,6R)-3-azanyl-6-(hydroxymethyl)-4,5-bis(oxidanyl)oxan-2-yl] dihydrogen phosphate", 18662 },
	{ "L1O", "", "", ResidueType::NON_POLYMER, false, "4-(2-aminoethoxy)-3,5-dichlorobenzoic acid", 18663 },
	{ "L1P", "", "", ResidueType::NON_POLYMER, false, "3-PHOSPHORYL-[1,2-DI-PHYTANYL]GLYCEROL", 18664 },
	{ "L1R", "", "", ResidueType::NON_POLYMER, false, "4-(2-AMINOETHOXY)-3,5-DICHLORO-N-[3-(1-METHYLETHOXY)PHENYL]BENZAMIDE", 18665 },
	{ "L1X", "", "", ResidueType::NON_POLYMER, false, "N-(3-fluoro-4-{[1-methyl-6-(1H-pyrazol-4-yl)-1H-indazol-5-yl]oxy}phenyl)-1-(4-fluorophenyl)-6-methyl-2-oxo-1,2-dihydropyridine-3-carboxamide", 18666 },
	{ "L20", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-(1H-INDOL-3-YL)-3-{[5-(3-METHYL-1H-INDAZOL-5-YL)PYRIDIN-3-YL]OXY}PROPAN-2-AMINE", 18667 },
	{ "L21", "", "", ResidueType::NON_POLYMER, false, "3-(3-methylbut-2-en-1-yl)-3H-purin-6-amine", 18668 },
	{ "L22", "", "", ResidueType::NON_POLYMER, false, "4-(2-amino-1,3-thiazol-4-yl)pyrimidin-2-amine", 18669 },
	{ "L23", "", "", ResidueType::NON_POLYMER, false, "4-[1-(2,6-dichlorobenzyl)-2-methyl-1H-imidazol-4-yl]pyrimidin-2-amine", 18670 },
	{ "L24", "", "", ResidueType::NON_POLYMER, false, "[[[2-AMINO-5,6,7,8-TETRAHYDRO-4-HYDROXY-PYRIDO[2,3-D]PYRIMIDIN-6-YL]-ETHYL]-PHENYL]-CARBONYL-GLUTAMIC ACID", 18671 },
	{ "L26", "", "", ResidueType::NON_POLYMER, false, "4-acetyl-N-[3-(2-amino-2-oxoethoxy)phenyl]-3-ethyl-5-methyl-1H-pyrrole-2-carboxamide", 18672 },
	{ "L27", "", "", ResidueType::NON_POLYMER, false, "{1-BENZYL-3-[2-BENZYL-3-OXO-4-(1-OXO-1,2,3,4-TETRAHYDRO- ISOQUINOLIN-4-YL)-2,3-DIHYDRO-1H-PYRROL-2-YL]-2- HYDROXY-PROPYL}-CARBAMIC ACID TETRAHYDRO-FURAN-3-YL ESTER", 18673 },
	{ "L28", "", "", ResidueType::NON_POLYMER, false, "N~2~-[5-(diethylsulfamoyl)-2-hydroxyphenyl]-3-ethyl-5-methyl-1H-pyrrole-2,4-dicarboxamide", 18674 },
	{ "L29", "", "", ResidueType::NON_POLYMER, false, "", 18675 },
	{ "L2A", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,5S,8S,11S,15E,20S)-20-amino-2-(carboxymethyl)-11,20-dimethyl-5,8-bis(2-methylpropyl)-3,6,9,21-tetraoxo-1,4,7,10-tetraazacyclohenicos-15-ene-11-carboxylic acid", 18676 },
	{ "L2C", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-HYDROXY-2-(NONANOYLOXY)PROPYL LAURATE", 18677 },
	{ "L2D", "", "", ResidueType::NON_POLYMER, false, "{2,2'-[(1R,2R)-cyclohexane-1,2-diylbis{[(pyridin-2-yl-kappaN)methyl]imino-kappaN}]diacetato-kappaO(2-)}iron", 18678 },
	{ "L2E", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(3,4-dihydroxyphenyl)-6-[(2E)-3,7-dimethylocta-2,6-dien-1-yl]-5,7-dihydroxy-2,3-dihydro-4H-chromen-4-one", 18679 },
	{ "L2G", "", "", ResidueType::NON_POLYMER, false, "N-(4-{1-[4-(4-ACETYLPIPERAZIN-1-YL)-TRANS-CYCLOHEXYL]-4-AMINO-1H-PYRAZOLO[3,4-D]PYRIMIDIN-3-YL}-2-METHOXYPHENYL)-1-METHYL-1H-INDOLE-2-CARBOXAMIDE", 18680 },
	{ "L2H", "", "", ResidueType::NON_POLYMER, false, "", 18681 },
	{ "L2M", "", "", ResidueType::NON_POLYMER, false, "{(R)-N-[(1S,2S)-2-{methyl[(pyridin-2-yl-kappaN)methyl]amino-kappaN}cyclohexyl]-N-[(pyridin-2-yl-kappaN)methyl]glycinato-kappa~2~N,O}iron(2+)", 18682 },
	{ "L2O", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S,3R)-3-amino-2-hydroxy-5-methylhexanoic acid", 18683 },
	{ "L2P", "", "", ResidueType::NON_POLYMER, false, "2,3-DI-PHYTANYL-GLYCEROL", 18684 },
	{ "L2S", "", "", ResidueType::NON_POLYMER, false, "1-{[(4-methylphenyl)sulfanyl]acetyl}piperidine", 18685 },
	{ "L2T", "", "", ResidueType::NON_POLYMER, false, "4-(benzyloxy)-N-[(1S,2R)-2-hydroxy-1-({(1S)-1-[(2-methylbenzyl)carbamoyl]-3-phenylpropyl}carbamoyl)propyl]benzamide", 18686 },
	{ "L31", "", "", ResidueType::NON_POLYMER, false, "3-[(1R)-2-acetyl-6-methyl-2,3,4,9-tetrahydro-1H-beta-carbolin-1-yl]phenol", 18687 },
	{ "L32", "", "", ResidueType::NON_POLYMER, false, "{[(2,7-dibromo-9H-fluoren-9-ylidene)amino]oxy}acetic acid", 18688 },
	{ "L33", "", "", ResidueType::NON_POLYMER, false, "4-acetyl-N-[3-(diethylsulfamoyl)phenyl]-3-ethyl-5-methyl-1H-pyrrole-2-carboxamide", 18689 },
	{ "L34", "", "", ResidueType::NON_POLYMER, false, "4-(7-AMINO-9-HYDROXY-1-OXO-3,3A,4,5-TETRAHYDRO-2,5,6,8,9B-PENTAAZA-CYCLOPENTA[A]NAPHTHALEN-2-YL)-PHENYLCARBONYL-GLUTAMIC ACID", 18690 },
	{ "L35", "", "", ResidueType::NON_POLYMER, false, "2-[4-({[(3,5-DICHLOROPHENYL)AMINO]CARBONYL}AMINO)PHENOXY]-2-METHYLPROPANOIC ACID", 18691 },
	{ "L37", "", "", ResidueType::NON_POLYMER, false, "", 18692 },
	{ "L39", "", "", ResidueType::NON_POLYMER, false, "(3beta,9beta,25R)-3-hydroxy-26-iodocholest-5-ene-16,22-dione", 18693 },
	{ "L3A", "", "", ResidueType::PEPTIDE_LIKE, false, "(2R)-3-[(R)-[(1R)-1-amino-3-methylbutyl](hydroxy)phosphoryl]-2-methylpropanoic acid", 18694 },
	{ "L3B", "", "", ResidueType::NON_POLYMER, false, "5-(2-methylphenyl)-3H-1,2,4-triazole-3-thione", 18695 },
	{ "L3G", "", "", ResidueType::NON_POLYMER, false, "N-(4-{4-AMINO-1-[1-(TETRAHYDRO-2H-PYRAN-4-YL)PIPERIDIN-4-YL]-1H-PYRAZOLO[3,4-D]PYRIMIDIN-3-YL}-2-METHOXYPHENYL)-1-METHYL-1H-INDOLE-2-CARBOXAMIDE", 18696 },
	{ "L3L", "", "", ResidueType::NON_POLYMER, false, "3-oxo-2-piperidin-4-yl-2,3-dihydro-1H-isoindole-4-carboxamide", 18697 },
	{ "L3O", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,3S)-3-amino-2-hydroxy-5-methylhexanoic acid", 18698 },
	{ "L3P", "", "", ResidueType::NON_POLYMER, false, "2,3-DI-O-PHYTANLY-3-SN-GLYCERO-1-PHOSPHORYL-3'-SN-GLYCEROL-1'-PHOSPHATE", 18699 },
	{ "L3T", "", "", ResidueType::NON_POLYMER, false, "N-(2,2-dimethylpropyl)-N~2~-[1H-indol-3-yl(oxo)acetyl]-L-asparaginyl-N-(2-methylbenzyl)-3-pyridin-4-yl-L-alaninamide", 18700 },
	{ "L40", "", "", ResidueType::NON_POLYMER, false, "4-acetyl-3-ethyl-5-methyl-N-[2-methyl-5-(methylsulfamoyl)phenyl]-1H-pyrrole-2-carboxamide", 18701 },
	{ "L41", "", "", ResidueType::NON_POLYMER, false, "{4-[3-(4-acetyl-3-hydroxy-2-propylphenoxy)propoxy]phenoxy}acetic acid", 18702 },
	{ "L42", "", "", ResidueType::NON_POLYMER, false, "2-(acetylamino)-2-deoxy-3-O-(4-deoxy-alpha-L-threo-hex-4-enopyranuronosyl)-4-O-sulfo-beta-D-galactopyranose", 18703 },
	{ "L43", "", "", ResidueType::NON_POLYMER, false, "3-[4-(1~{H}-1,2,3,4-tetrazol-5-yl)phenyl]benzoic acid", 18704 },
	{ "L44", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-hydroxy-3-(tetradecanoyloxy)propan-2-yl docosanoate", 18705 },
	{ "L46", "", "", ResidueType::NON_POLYMER, false, "4-acetyl-3-ethyl-N,5-dimethyl-1H-pyrrole-2-carboxamide", 18706 },
	{ "L47", "", "", ResidueType::NON_POLYMER, false, "3-[(5S)-1-ACETYL-3-(2-CHLOROPHENYL)-4,5-DIHYDRO-1H-PYRAZOL-5-YL]PHENOL", 18707 },
	{ "L4C", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-{[(2S)-2-(ACETYLAMINO)-2-CARBOXYETHOXY]IMINO}PENTANEDIOIC ACID", 18708 },
	{ "L4D", "", "", ResidueType::NON_POLYMER, false, "{(S)-N-(2-{methyl[(pyridin-2-yl-kappaN)methyl]amino-kappaN}ethyl)-N-[(pyridin-2-yl-kappaN)methyl]glycinato-kappa~2~N,O}iron(2+)", 18709 },
	{ "L4G", "", "", ResidueType::NON_POLYMER, false, "6-(4-METHYLSULFONYL-PHENYL)-5-[4-(2-PIPERIDIN-1-YLETHOXY)PHENOXY]NAPHTHALEN-2-OL", 18710 },
	{ "L4P", "", "", ResidueType::NON_POLYMER, false, "3-[GLYCEROLYLPHOSPHONYL]-[1,2-DI-PHYTANYL]GLYCEROL", 18711 },
	{ "L4T", "", "", ResidueType::NON_POLYMER, false, "N-[(cyclopentyloxy)carbonyl]-3-methyl-L-valyl-(4R)-4-[(8-bromo-7-methoxy-2-{2-[(2-methylpropanoyl)amino]-1,3-thiazol-4-yl}quinolin-4-yl)oxy]-N-[(1R,2S)-1-carboxy-2-ethenylcyclopropyl]-L-prolinamide", 18712 },
	{ "L4V", "", "", ResidueType::NON_POLYMER, false, "13-Chloro-14,16-dihydroxy-2-methyl-2,3,4,5,9,10-hexahydrobenz[c][1]azacyclotetradecine-1,11(8H,12H)-dione", 18713 },
	{ "L50", "", "", ResidueType::NON_POLYMER, false, "[(2R)-2-{2-[hydroxy(methyl)amino]-2-oxoethyl}-5-(4-methylphenyl)pentyl]phosphonic acid", 18714 },
	{ "L51", "", "", ResidueType::NON_POLYMER, false, "1-{3-[(6-aminoquinolin-4-yl)amino]phenyl}-3-[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]urea", 18715 },
	{ "L52", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-3-amino-1-(hydroxyamino)-1-oxopropan-2-yl]-4-(4-phenylbuta-1,3-diyn-1-yl)benzamide", 18716 },
	{ "L53", "", "", ResidueType::NON_POLYMER, false, "4-[4-(4-aminophenyl)buta-1,3-diyn-1-yl]-N-[(2S,3S)-3-hydroxy-1-nitroso-1-oxobutan-2-yl]benzamide", 18717 },
	{ "L54", "", "", ResidueType::NON_POLYMER, false, "{(2R)-2-{2-[hydroxy(methyl)amino]-2-oxoethyl}-5-[4-(trifluoromethyl)phenyl]pentyl}phosphonic acid", 18718 },
	{ "L56", "", "", ResidueType::NON_POLYMER, false, "[(2R)-2-{2-[hydroxy(methyl)amino]-2-oxoethyl}-5-(3-methylphenyl)pentyl]phosphonic acid", 18719 },
	{ "L57", "", "", ResidueType::NON_POLYMER, false, "({(Z)-[(3,4-dichlorophenyl)(phenyl)methylidene]amino}oxy)acetic acid", 18720 },
	{ "L58", "", "", ResidueType::NON_POLYMER, false, "4'-bromo-N-[(2S,3R)-3-hydroxy-1-(hydroxyamino)-1-oxobutan-2-yl]biphenyl-4-carboxamide", 18721 },
	{ "L59", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3R)-3-hydroxy-1-(hydroxyamino)-1-oxobutan-2-yl]-4-(phenylethynyl)benzamide", 18722 },
	{ "L5D", "", "", ResidueType::NON_POLYMER, false, "3-(3-methylphenyl)benzoic acid", 18723 },
	{ "L5G", "", "", ResidueType::NON_POLYMER, false, "7-methoxy-4-[(6-phenyl[1,2,4]triazolo[4,3-b]pyridazin-3-yl)methoxy]quinoline", 18724 },
	{ "L5P", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-azanyl-6-[[(3R,4R)-3,4-bis(oxidanyl)-2-oxidanylidene-5-phosphonooxy-pentyl]amino]hexanoic acid", 18725 },
	{ "L5S", "", "", ResidueType::NON_POLYMER, false, "13-methyl-7-phenyl-3-thia-1,8,11,12-tetraazatricyclo trideca-2(6),4,7,10,12-pentaene", 18726 },
	{ "L5T", "", "", ResidueType::NON_POLYMER, false, "N-[(cyclopentyloxy)carbonyl]-3-methyl-L-valyl-(4R)-N-[(1R,2S)-1-carboxy-2-ethenylcyclopropyl]-4-[(7-methoxy-2-{2-[(2-methylpropanoyl)amino]-1,3-thiazol-4-yl}quinolin-4-yl)oxy]-L-prolinamide", 18727 },
	{ "L5V", "", "", ResidueType::NON_POLYMER, false, "2-chloranyl-6-(1H-1,2,4-triazol-3-yl)pyrazine", 18728 },
	{ "L5Y", "", "", ResidueType::NON_POLYMER, false, "2-{[2-(1H-pyrazolo[3,4-c]pyridin-3-yl)-6-(trifluoromethyl)pyridin-4-yl]amino}ethanol", 18729 },
	{ "L5Z", "", "", ResidueType::NON_POLYMER, false, "(1R,2R)-2-(3-fluorobenzyl)-N-{2-[2-(1H-imidazol-1-yl)pyrimidin-4-yl]ethyl}cyclopropanamine", 18730 },
	{ "L60", "", "", ResidueType::NON_POLYMER, false, "1,3-diazinan-2-one", 18731 },
	{ "L61", "", "", ResidueType::NON_POLYMER, false, "2-methylpropyl N-[(1R)-3-oxidanylidene-1-phenyl-propyl]carbamate", 18732 },
	{ "L62", "", "", ResidueType::NON_POLYMER, false, "cyclopentyl N-[(1R)-3-oxidanylidene-1-phenyl-propyl]carbamate", 18733 },
	{ "L63", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3R)-3-hydroxy-1-(hydroxyamino)-1-oxobutan-2-yl]biphenyl-4-carboxamide", 18734 },
	{ "L64", "", "", ResidueType::NON_POLYMER, false, "1-(4-{4-morpholin-4-yl-1-[1-(pyridin-3-ylcarbonyl)piperidin-4-yl]-1H-pyrazolo[3,4-d]pyrimidin-6-yl}phenyl)-3-pyridin-4-ylurea", 18735 },
	{ "L66", "", "", ResidueType::NON_POLYMER, false, "7-(5-hydroxy-2-methylphenyl)-8-(2-methoxyphenyl)-1-methyl-1H-imidazo[2,1-f]purine-2,4(3H,8H)-dione", 18736 },
	{ "L6C", "", "", ResidueType::NON_POLYMER, false, "phenyl N-[(1R)-3-oxidanylidene-1-phenyl-propyl]carbamate", 18737 },
	{ "L6G", "", "", ResidueType::NON_POLYMER, false, "(5R,8S,11S)-5-methyl-8-(propan-2-yl)-11-[(1E)-4-sulfanylbut-1-en-1-yl]-3,17-dithia-7,10,14,19,20-pentaazatricyclo[14.2.1.1~2,5~]icosa-1(18),2(20),16(19)-triene-6,9,13-trione", 18738 },
	{ "L6I", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-(7-methoxy-1-methyl-1H-benzo[d][1,2,3]triazol-5-yl)-3-(4-methyl-3-(((R)-4-methyl-1,1-dioxido-3,4-dihydro-2H-benzo[b][1,4,5]oxathiazepin-2-yl)methyl)phenyl)propanoic acid", 18739 },
	{ "L6S", "", "", ResidueType::SACCHARIDE, false, "6-O-sulfo-alpha-L-galactose", 18740 },
	{ "L6Y", "", "", ResidueType::NON_POLYMER, false, "2-oxidanyl-6-(phenylcarbonyl)benzo[de]isoquinoline-1,3-dione", 18741 },
	{ "L71", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-[3-(aminomethyl)phenyl]-1-ethylpyrrolidine-2,5-dione", 18742 },
	{ "L75", "", "", ResidueType::NON_POLYMER, false, "N-[2(R)-HYDROXY-1(S)-INDANYL]-2(R)-PHENYLMETHYL-4(S)-HYDROXY-5-[4-[2-BENZOFURANYLMETHYL]-2(S)-[TERT-BUTYLAMINOCARBONYL]-PIPERAZINYL]-PENTANEAMIDE", 18743 },
	{ "L79", "", "", ResidueType::NON_POLYMER, false, "(S)-(2E)-3[4-(5,5,8,8-TETRAMETHYL-5,6,7,8-TETRAHYDRO-2-NAPHTHALENYL)TETRAHYDRO-1-BENZOFURAN-2-YL]-2-PROPENOIC ACID", 18744 },
	{ "L7A", "", "", ResidueType::NON_POLYMER, false, "N-(6-oxo-1,6-dihydro-3,4'-bipyridin-5-yl)benzamide", 18745 },
	{ "L7G", "", "", ResidueType::NON_POLYMER, false, "(5R,8S,11S)-5-methyl-8-(propan-2-yl)-11-[(1E)-4-sulfanylbut-1-en-1-yl]-3-thia-7,10,14,17,21-pentaazatricyclo[14.3.1.1~2,5~]henicosa-1(20),2(21),16,18-tetraene-6,9,13-trione", 18746 },
	{ "L7O", "", "", ResidueType::NON_POLYMER, false, "N-{5-[2-(methylamino)pyrimidin-4-yl]-2-oxo-1,2-dihydropyridin-3-yl}-4-(piperidin-1-yl)benzamide", 18747 },
	{ "L7S", "", "", ResidueType::NON_POLYMER, false, "3-[(3R)-1-ethyl-2,5-dioxopyrrolidin-3-yl]benzamide", 18748 },
	{ "L81", "", "", ResidueType::NON_POLYMER, false, "1,3-DIHYDROISOINDOL-2-YL-(6-HYDROXY-3,3-DIMETHYL-1,2-DIHYDROINDOL-5-YL)METHANONE", 18749 },
	{ "L85", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-(4-hydroxyphenyl)diazenyl]benzenesulfonic acid", 18750 },
	{ "L86", "", "", ResidueType::NON_POLYMER, false, "(11S)-11-BENZYL-6-CHLORO-1,2,10,11,12,13,14,15,16,17,18,19-DODECAHYDRO-5,9-METHANO-2,5,8,10,13,17-BENZOHEXAAZACYCLOHENICOSINE-3,24-DIONE", 18751 },
	{ "L87", "", "", ResidueType::NON_POLYMER, false, "8-butyl-1-methyl-7-(2-methylphenyl)-1H-imidazo[2,1-f]purine-2,4(3H,8H)-dione", 18752 },
	{ "L88", "", "", ResidueType::NON_POLYMER, false, "(4R,22R)-5,21-dioxo-4,22-bis({3-[4-(4-phenylthiophen-2-yl)phenyl]propanoyl}amino)-10,13,16-trioxa-6,20-diazapentacosane-1,25-dioic acid", 18753 },
	{ "L89", "", "", ResidueType::NON_POLYMER, false, "pyridine-3,4-diamine", 18754 },
	{ "L8B", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-HYDROXY-1-[(3-METHYLISOXAZOL-5-YL)ACETYL]-N-[4-(1,3-OXAZOL-5-YL)BENZYL]-L-PROLINAMIDE", 18755 },
	{ "L8G", "", "", ResidueType::NON_POLYMER, false, "(5R,8S,11S)-5-methyl-8-(propan-2-yl)-11-[(1E)-4-sulfanylbut-1-en-1-yl]-3-thia-7,10,14,20,21-pentaazatricyclo[14.3.1.1~2,5~]henicosa-1(20),2(21),16,18-tetraene-6,9,13-trione", 18756 },
	{ "L8H", "", "", ResidueType::NON_POLYMER, false, "4-methoxynaphthalen-2-amine", 18757 },
	{ "L8I", "", "", ResidueType::NON_POLYMER, false, "2'-(2-fluorophenyl)-1-methyl-6',8',9',11'-tetrahydrospiro[azetidine-3,10'-pyrido[3',4':4,5]pyrrolo[2,3-f]isoquinolin]-7'(5'H)-one", 18758 },
	{ "L8P", "", "", ResidueType::NON_POLYMER, false, "({[(2S)-1-(4-amino-2-oxopyrimidin-1(2H)-yl)-3-hydroxypropan-2-yl]oxy}methyl)phosphonic acid", 18759 },
	{ "L8V", "", "", ResidueType::NON_POLYMER, false, "2-({4-[(2-aminopyridin-4-yl)oxy]-3-fluorophenyl}amino)-N-(2,4-difluorophenyl)pyridine-3-carboxamide", 18760 },
	{ "L90", "", "", ResidueType::NON_POLYMER, false, "8-butyl-1-methyl-7-(5-methyl-1H-indazol-4-yl)-1H-imidazo[2,1-f]purine-2,4(3H,8H)-dione", 18761 },
	{ "L92", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-{4-[3-(5-METHYL-2-PHENYL-1,3-OXAZOL-4-YL)PROPYL]PHENYL}-2-(1H-PYRROL-1-YL)PROPANOIC ACID", 18762 },
	{ "L94", "", "", ResidueType::NON_POLYMER, false, "N'-{(Z)-amino[4-(amino{[3-(dimethylammonio)propyl]iminio}methyl)phenyl]methylidene}-N,N-dimethylpropane-1,3-diaminium", 18763 },
	{ "L96", "", "", ResidueType::NON_POLYMER, false, "3-{5-cyclopropyl-3-(3,5-dimethyl-1H-pyrazol-4-yl)-2-[3-(propan-2-yloxy)phenyl]-1H-indol-1-yl}propanoic acid", 18764 },
	{ "L97", "", "", ResidueType::NON_POLYMER, false, "2-chloranylpyridin-3-amine", 18765 },
	{ "L98", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(3-{[AMINO(IMINO)METHYL]AMINO}PHENYL)-3-SULFANYLPROPANOIC ACID", 18766 },
	{ "L99", "", "", ResidueType::NON_POLYMER, false, "3,4-bis(azanyl)benzohydrazide", 18767 },
	{ "L9G", "", "", ResidueType::NON_POLYMER, false, "3-{6-[2-(2,4-difluorophenyl)ethyl][1,2,4]triazolo[4,3-a]pyridin-3-yl}-4-methylbenzamide", 18768 },
	{ "L9L", "", "", ResidueType::NON_POLYMER, false, "5-[2-({(2S)-2-amino-3-[4-(trifluoromethyl)phenyl]propyl}amino)-1,3-thiazol-5-yl]-1,3-dihydro-2H-indol-2-one", 18769 },
	{ "L9M", "", "", ResidueType::NON_POLYMER, false, "(2S)-N~1~-[5-(3-methyl-1H-indazol-5-yl)-1,3,4-thiadiazol-2-yl]-3-(4-methylphenyl)propane-1,2-diamine", 18770 },
	{ "L9N", "", "", ResidueType::NON_POLYMER, false, "(2S)-N~1~-[5-(1H-indazol-5-yl)-1,3,4-thiadiazol-2-yl]-3-(4-methylphenyl)propane-1,2-diamine", 18771 },
	{ "L9Q", "", "", ResidueType::NON_POLYMER, false, "(1S)-2-{[(S)-(2-aminoethoxy)(hydroxy)phosphoryl]oxy}-1-[(octadecanoyloxy)methyl]ethyl (9Z)-octadec-9-enoate", 18772 },
	{ "L9R", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(octadecanoyloxy)-2-[(9Z)-octadec-9-enoyloxy]propyl 2-(trimethylammonio)ethyl phosphate", 18773 },
	{ "L9X", "", "", ResidueType::NON_POLYMER, false, "L-gamma-glutamyl-S-[(3R)-1-ethyl-2,5-dioxopyrrolidin-3-yl]-L-cysteinylglycine", 18774 },
	{ "LA", "", "", ResidueType::NON_POLYMER, false, "LANTHANUM (III) ION", 18775 },
	{ "LA1", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[3-ISOBUTYL-2,5-DIOXO-4-(QUINOLIN-3-YLMETHYL)-1,4-DIAZEPAN-1-YL]-N-METHYL-3-(2-NAPHTHYL)PROPANAMIDE", 18776 },
	{ "LA2", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-[(6R)-6,8-disulfanyloctanoyl]-L-lysine", 18777 },
	{ "LA3", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[4-(1,3-benzodioxol-5-yl)benzyl]-N~4~-hydroxy-N~1~-[(1S,2R)-2-hydroxy-2,3-dihydro-1H-inden-1-yl]butanediamide", 18778 },
	{ "LA4", "", "", ResidueType::NON_POLYMER, true, "beta-D-glucopyranosyl-(1->3)-beta-D-glucopyranosyl-(1->3)-beta-D-glucopyranosyl-(1->3)-beta-D-glucopyranose", 18779 },
	{ "LA5", "", "", ResidueType::NON_POLYMER, true, "beta-D-glucopyranosyl-(1->3)-beta-D-glucopyranosyl-(1->3)-beta-D-glucopyranosyl-(1->3)-beta-D-glucopyranosyl-(1->3)-beta-D-glucopyranose", 18780 },
	{ "LA6", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-fluoro-3,7-dimethylocta-2,6-dien-1-yl trihydrogen diphosphate", 18781 },
	{ "LA7", "", "", ResidueType::NON_POLYMER, false, "2-(hydroxymethyl)-6-methylpyridin-3-ol", 18782 },
	{ "LA8", "", "", ResidueType::NON_POLYMER, false, "L-ADENOSINE-5'-DIPHOSPHATE", 18783 },
	{ "LA9", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{[(R)-{(1R)-1-[(N-acetyl-L-leucyl)amino]ethyl}(hydroxy)phosphoryl]methyl}-4-phenylbutanoic acid", 18784 },
	{ "LAA", "", "", ResidueType::PEPTIDE_LINKING, true, "(3R)-3-hydroxy-L-alpha-asparagine", 18785 },
	{ "LAB", "", "", ResidueType::NON_POLYMER, false, "LATRUNCULIN B", 18786 },
	{ "LAC", "DLA", "", ResidueType::NON_POLYMER, false, "LACTIC ACID", 18787 },
	{ "LAD", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE-5'-[LYSYL-PHOSPHATE]", 18788 },
	{ "LAE", "", "", ResidueType::NON_POLYMER, false, "3-OXO-OCTANOIC ACID (2-OXO-TETRAHYDRO-FURAN-3-YL)-AMIDE", 18789 },
	{ "LAF", "", "", ResidueType::NON_POLYMER, false, "5-FLUOROLEVULINIC ACID", 18790 },
	{ "LAG", "", "", ResidueType::SACCHARIDE_LINKING, false, "MALTOSYL-ALPHA (1,4)-(Z,3S,4S,5R,6R)-3,4,5-TRIHYDROXY-6-HYDROXYMETHYL-PIPERIDIN-2-ONE OXIME", 18791 },
	{ "LAH", "", "", ResidueType::NON_POLYMER, false, "2-O-[(R)-hydroxy(propan-2-yloxy)phosphoryl]-alpha-L-arabinopyranose", 18792 },
	{ "LAI", "", "", ResidueType::SACCHARIDE, false, "L-arabinose", 18793 },
	{ "LAK", "", "", ResidueType::SACCHARIDE, false, "BETA-D-GALACTOPYRANOSYL-1-6-BETA-D-GLUCOPYRANOSE", 18794 },
	{ "LAL", "", "", ResidueType::PEPTIDE_LINKING, false, "N,N-DIMETHYL-L-ALANINE", 18795 },
	{ "LAM", "", "", ResidueType::NON_POLYMER, false, "4'-NITROPHENYL-S-(BETA-D-GLUCOPYRANOSYL)-(1-3)-(3-THIO-BETA-D-GLUCOPYRANOSYL)-(1-3)-BETA-D-GLUCOPYRANOSIDE", 18796 },
	{ "LAN", "", "", ResidueType::NON_POLYMER, false, "LANOSTEROL", 18797 },
	{ "LAO", "", "", ResidueType::SACCHARIDE, false, "2-O-phosphono-alpha-L-arabinopyranose", 18798 },
	{ "LAP", "", "", ResidueType::NON_POLYMER, false, "[2-((1-OXODODECANOXY-(2-HYDROXY-3-PROPANYL))-PHOSPHONATE-OXY)-ETHYL]-TRIMETHYLAMMONIUM", 18799 },
	{ "LAQ", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-({5-[(3R)-1,2-DITHIOLAN-3-YL]PENTANOYL}OXY)(HYDROXY)PHOSPHORYL]ADENOSINE", 18800 },
	{ "LAR", "", "", ResidueType::NON_POLYMER, false, "LATRUNCULIN A", 18801 },
	{ "LAS", "", "", ResidueType::NON_POLYMER, false, "N-acetyl-S-({(2R,3S,4R)-3-hydroxy-2-[(1S)-1-hydroxy-2-methylpropyl]-4-methyl-5-oxopyrrolidin-2-yl}carbonyl)cysteine", 18802 },
	{ "LAT", "", "", ResidueType::SACCHARIDE, false, "BETA-LACTOSE", 18803 },
	{ "LAU", "", "DAO", ResidueType::NON_POLYMER, true, "DODECANOIC ACID", 18804 },
	{ "LAV", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S)-2-amino-4-methylpentyl]-L-valine", 18805 },
	{ "LAX", "", "", ResidueType::NON_POLYMER, false, "EICOSA-8,11,14-TRIENOIC ACID", 18806 },
	{ "LAY", "", "", ResidueType::PEPTIDE_LINKING, false, "N-acetyl-L-leucine", 18807 },
	{ "LAZ", "", "", ResidueType::NON_POLYMER, false, "N-(2-AMINOETHYL)-P-CHLOROBENZAMIDE", 18808 },
	{ "LB2", "", "", ResidueType::SACCHARIDE, false, "3-O-beta-D-glucopyranosyl-beta-D-glucopyranose", 18809 },
	{ "LBF", "", "", ResidueType::NON_POLYMER, false, "Leptomycin B", 18810 },
	{ "LBH", "", "", ResidueType::NON_POLYMER, false, "Panobinostat", 18811 },
	{ "LBP", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-4-(S-butyl-N-phosphonosulfonimidoyl)butanoic acid", 18812 },
	{ "LBR", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-[(13-bromotridecanoyl)oxy]-3-hydroxypropan-2-yl tetradecanoate", 18813 },
	{ "LBS", "", "", ResidueType::NON_POLYMER, false, "6-O-beta-D-fructofuranosyl-beta-D-fructofuranose", 18814 },
	{ "LBT", "", "", ResidueType::SACCHARIDE, false, "ALPHA-LACTOSE", 18815 },
	{ "LBU", "", "", ResidueType::NON_POLYMER, false, "methyl (2S)-4-hydroxy-3-(4-hydroxyphenyl)-2-[(4-hydroxyphenyl)methyl]-5-oxo-2,5-dihydrofuran-2-carboxylate", 18816 },
	{ "LBV", "", "", ResidueType::NON_POLYMER, false, "", 18817 },
	{ "LBW", "", "", ResidueType::NON_POLYMER, false, "", 18818 },
	{ "LBY", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-(tert-butoxycarbonyl)-L-lysine", 18819 },
	{ "LC", "", "", ResidueType::RNA_LINKING, true, "L-CYTIDINE-5'-MONOPHOSPHATE", 18820 },
	{ "LC0", "", "", ResidueType::NON_POLYMER, false, "3-({4-methoxy-5-[(4-methoxybenzyl)oxy]pyridin-2-yl}methoxy)-5-(1-methyl-1H-pyrazol-4-yl)pyrazin-2-amine", 18821 },
	{ "LC1", "", "", ResidueType::NON_POLYMER, false, "2-(1,3-thiazol-4-yl)-1H-benzimidazole-5-sulfonamide", 18822 },
	{ "LC2", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R,3E,5E,7S,9E,11E,13S,15R,19R)-7,13-dihydroxy-1,4,10,19-tetramethyl-17,18-dioxo-16-oxabicyclo[13.2.2]nonadeca-3,5,9,11-tetraen-2-yl]-2-oxopropanamide", 18823 },
	{ "LC3", "", "", ResidueType::NON_POLYMER, false, "7-(4-carboxyphenyl)-3-[3-(naphthalen-1-yloxy)propyl]pyrazolo[1,5-a]pyridine-2-carboxylic acid", 18824 },
	{ "LC4", "", "", ResidueType::NON_POLYMER, false, "12-(1H-imidazol-1-yl)dodecanoic acid", 18825 },
	{ "LC5", "", "", ResidueType::NON_POLYMER, false, "[(2R)-2-{2-[hydroxy(methyl)amino]-2-oxoethyl}-5-(naphthalen-1-yl)pentyl]phosphonic acid", 18826 },
	{ "LC6", "", "", ResidueType::NON_POLYMER, false, "7-(4-{[(4-{[(2R)-4-(dimethylamino)-1-(phenylsulfanyl)butan-2-yl]amino}-3-nitrophenyl)sulfonyl]carbamoyl}-2-methylphenyl)-3-[3-(naphthalen-1-yloxy)propyl]pyrazolo[1,5-a]pyridine-2-carboxylic acid", 18827 },
	{ "LC7", "", "", ResidueType::NON_POLYMER, false, "[(2R)-5-(3-fluorophenyl)-2-{2-[hydroxy(methyl)amino]-2-oxoethyl}pentyl]phosphonic acid", 18828 },
	{ "LCA", "", "", ResidueType::RNA_LINKING, false, "[(1R,3R,4R,7S)-7-HYDROXY-3-(ADENIN-9-YL)-2,5-DIOXABICYCLO[2.2.1]HEPT-1-YL]METHYL DIHYDROGEN PHOSPHATE", 18829 },
	{ "LCC", "LCH", "", ResidueType::RNA_LINKING, false, "[(1R,3R,4R,7S)-7-HYDROXY-3-(5-METHYLCYTOSIN-1-YL)-2,5-DIOXABICYCLO[2.2.1]HEPT-1-YL]METHYL DIHYDROGEN PHOSPHATE", 18830 },
	{ "LCD", "", "", ResidueType::NON_POLYMER, false, "{[(2Z)-2-(3,4-dimethoxybenzylidene)-3-oxo-2,3-dihydro-1-benzofuran-6-yl]oxy}acetic acid", 18831 },
	{ "LCE", "", "", ResidueType::NON_POLYMER, false, "(1S,3S,4S,5S)-7,7-dichloro-3-methoxy-2-thiabicyclo[3.2.0]heptan-6-one-4-carboxylic acid", 18832 },
	{ "LCF", "", "", ResidueType::NON_POLYMER, false, "[6-(4-CHLOROPHENYL)-2,2-DIMETHYL-7-PHENYL-2,3-DIHYDRO-1H-PYRROLIZIN-5-YL]ACETIC ACID", 18833 },
	{ "LCG", "", "", ResidueType::RNA_LINKING, false, "[(1R,3R,4R,7S)-7-HYDROXY-3-(GUANIN-9-YL)-2,5-DIOXABICYCLO[2.2.1]HEPT-1-YL]METHYL DIHYDROGEN PHOSPHATE", 18834 },
	{ "LCH", "", "LCC", ResidueType::DNA_LINKING, true, "[(1R,3R,4R,7S)-7-HYDROXY-3-(5-METHYLCYTOSIN-1-YL)-2,5-DIOXABICYCLO[2.2.1]HEPT-1-YL]METHYL DIHYDROGEN PHOSPHATE", 18835 },
	{ "LCK", "", "", ResidueType::PEPTIDE_LINKING, false, "(Z)-N~6~-(2-carboxy-1-methylethylidene)-L-lysine", 18836 },
	{ "LCL", "", "", ResidueType::NON_POLYMER, false, "2,2-dichloro-N-[(1S,2S)-1,3-dihydroxy-1-(4-nitrophenyl)propan-2-yl]acetamide", 18837 },
	{ "LCM", "", "", ResidueType::NON_POLYMER, false, "N,N'-butane-1,4-diylbis(2,3-dihydroxybenzamide)", 18838 },
	{ "LCN", "", "", ResidueType::SACCHARIDE, false, "1,5-anhydro-D-arabino-hex-1-enitol", 18839 },
	{ "LCO", "", "", ResidueType::NON_POLYMER, false, "CHLORATE ION", 18840 },
	{ "LCP", "", "", ResidueType::NON_POLYMER, false, "PERCHLORATE ION", 18841 },
	{ "LCR", "", "", ResidueType::NON_POLYMER, false, "(2-{4-[(R)-(4-chlorophenyl)(phenyl)methyl]piperazin-1-yl}ethoxy)acetic acid", 18842 },
	{ "LCS", "", "", ResidueType::NON_POLYMER, false, "[5-hydroxy-6-methyl-4-({[(4E)-3-oxo-1,2-oxazolidin-4-ylidene]amino}methyl)pyridin-3-yl]methyl dihydrogen phosphate", 18843 },
	{ "LCT", "", "", ResidueType::NON_POLYMER, false, "N-[5-(4-nitrophenyl)-1,3,4-thiadiazol-2-yl]acetamide", 18844 },
	{ "LCX", "", "KCX", ResidueType::PEPTIDE_LINKING, true, "CARBOXYLATED LYSINE", 18845 },
	{ "LCY", "", "", ResidueType::NON_POLYMER, false, "1-methylpyrrolidine-2,5-dione", 18846 },
	{ "LCZ", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-2-amino-4-methylpentanal", 18847 },
	{ "LD1", "", "", ResidueType::NON_POLYMER, false, "6-[(7S)-7-phenyl-7H-[1,2,4]triazolo[3,4-b][1,3,4]thiadiazin-6-yl]-2H-1,4-benzoxazin-3(4H)-one", 18848 },
	{ "LD2", "", "", ResidueType::NON_POLYMER, false, "6-[(1E)-2-phenyl-N-(3-sulfanyl-4H-1,2,4-triazol-4-yl)ethanimidoyl]-2H-1,4-benzoxazin-3(4H)-one", 18849 },
	{ "LD6", "", "", ResidueType::NON_POLYMER, false, "N-(6-Amino-1-(3-fluorobenzyl)-2,4-dioxo-1,2,3,4-tetrahydropyrimidin-5-yl)-N-methylbenzenesulfonamide", 18850 },
	{ "LDA", "", "", ResidueType::NON_POLYMER, false, "LAURYL DIMETHYLAMINE-N-OXIDE", 18851 },
	{ "LDC", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-1-(2-DEOXY-BETA-L-ERYTHRO-PENTOFURANOSYL)PYRIMIDIN-2(1H)-ONE", 18852 },
	{ "LDE", "", "", ResidueType::PEPTIDE_LIKE, false, "(2R)-2-{[(S)-[(1R)-1-amino-3-methylbutyl](hydroxy)phosphoryl]methyl}pentanedioic acid", 18853 },
	{ "LDG", "", "", ResidueType::NON_POLYMER, false, "", 18854 },
	{ "LDH", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-ETHYL-L-LYSINE", 18855 },
	{ "LDM", "", "", ResidueType::NON_POLYMER, false, "3-LAURYLAMIDO-N,N'-DIMETHYLPROPYLAMINOXYDE", 18856 },
	{ "LDN", "", "", ResidueType::NON_POLYMER, false, "4-[6-(4-piperazin-1-ylphenyl)pyrazolo[1,5-a]pyrimidin-3-yl]quinoline", 18857 },
	{ "LDO", "", "", ResidueType::NON_POLYMER, false, "6-HYDROXY-L-NORLEUCINE", 18858 },
	{ "LDP", "", "", ResidueType::NON_POLYMER, false, "L-DOPAMINE", 18859 },
	{ "LDR", "", "", ResidueType::NON_POLYMER, false, "phenanthridin-6(5H)-one", 18860 },
	{ "LDT", "", "", ResidueType::NON_POLYMER, false, "IDD594", 18861 },
	{ "LDU", "", "", ResidueType::NON_POLYMER, false, "DIDEOXY-IMINO-LYXITOL", 18862 },
	{ "LDY", "", "", ResidueType::SACCHARIDE, false, "alpha-D-lyxopyranose", 18863 },
	{ "LDZ", "", "", ResidueType::NON_POLYMER, false, "N-[(benzyloxy)carbonyl]-L-leucyl-N-[(2S)-4-methyl-1-oxopentan-2-yl]-L-leucinamide", 18864 },
	{ "LE1", "", "", ResidueType::PEPTIDE_LINKING, false, "3-sulfanyl-L-valine", 18865 },
	{ "LE2", "", "", ResidueType::NON_POLYMER, false, "N-(2-phenylethyl)thioformamide", 18866 },
	{ "LE3", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(R)-methylsulfinyl]butyl}thioformamide", 18867 },
	{ "LEA", "PEI", "", ResidueType::NON_POLYMER, false, "PENTANOIC ACID", 18868 },
	{ "LEC", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3R,4R,5S,6R)-4,5-dihydroxy-6-(hydroxymethyl)-2-(4-nitrophenoxy)oxan-3-yl]ethanamide", 18869 },
	{ "LED", "", "", ResidueType::PEPTIDE_LINKING, false, "(4R)-5-OXO-L-LEUCINE", 18870 },
	{ "LEE", "", "", ResidueType::PEPTIDE_LIKE, false, "L-gamma-glutamyl-S-hexyl-L-cysteinylglycine", 18871 },
	{ "LEF", "", "", ResidueType::PEPTIDE_LINKING, false, "(4S)-5-FLUORO-L-LEUCINE", 18872 },
	{ "LEG", "", "", ResidueType::NON_POLYMER, false, "1-(4-HEXYLPHENYL)PROP-2-EN-1-ONE", 18873 },
	{ "LEH", "", "", ResidueType::PEPTIDE_LINKING, false, "N-[12-(1H-imidazol-1-yl)dodecanoyl]-L-leucine", 18874 },
	{ "LEI", "", "", ResidueType::PEPTIDE_LINKING, false, "3-sulfanyl-D-valine", 18875 },
	{ "LEL", "", "", ResidueType::NON_POLYMER, false, "2-(2H-1,2,3-triazol-4-yl)pyridine-4-carboxylic acid", 18876 },
	{ "LEM", "", "", ResidueType::PEPTIDE_LINKING, true, "(3S)-3-amino-5-methylhexan-2-one", 18877 },
	{ "LEN", "", "", ResidueType::PEPTIDE_CARBOXY_TERMINUS, false, "3-METHYLBUTAN-1-AMINE", 18878 },
	{ "LEO", "", "", ResidueType::NON_POLYMER, false, "D-LIMONENE 1,2-EPOXIDE", 18879 },
	{ "LEP", "", "", ResidueType::PEPTIDE_LIKE, true, "N~2~-phosphono-L-leucinamide", 18880 },
	{ "LER", "", "", ResidueType::NON_POLYMER, false, "L-Erythrulose", 18881 },
	{ "LET", "", "", ResidueType::PEPTIDE_LINKING, false, "(Z)-N^6-{3-CARBOXY-1-[(4-CARBOXY-2-OXOBUTOXY)METHYL]PROPYLIDENE}-L-LYSINE", 18882 },
	{ "LEU", "", "", ResidueType::PEPTIDE_LINKING, false, "LEUCINE", 18883 },
	{ "LEV", "", "", ResidueType::NON_POLYMER, false, "4-{3-chloro-4-[(cyclopropylcarbamoyl)amino]phenoxy}-7-methoxyquinoline-6-carboxamide", 18884 },
	{ "LEW", "", "", ResidueType::NON_POLYMER, false, "1-beta-D-glucopyranosyl-4-naphthalen-1-yl-1H-1,2,3-triazole", 18885 },
	{ "LEX", "", "", ResidueType::PEPTIDE_LIKE, false, "(3S)-3-amino-1-hydroxy-5-methylhexan-2-one", 18886 },
	{ "LF0", "", "", ResidueType::NON_POLYMER, false, "(2S)-tert-butoxy[4-(3,4-dihydro-2H-chromen-6-yl)-2-methylquinolin-3-yl]ethanoic acid", 18887 },
	{ "LF1", "", "", ResidueType::NON_POLYMER, false, "N-[1,3-dimethyl-6-[(2R)-2-methylpiperazin-1-yl]-2-oxidanylidene-benzimidazol-5-yl]-2-methoxy-benzamide", 18888 },
	{ "LF2", "", "", ResidueType::NON_POLYMER, false, "(2S)-[6-bromo-4-(4-chlorophenyl)-2-methylquinolin-3-yl](tert-butoxy)ethanoic acid", 18889 },
	{ "LF7", "", "", ResidueType::NON_POLYMER, false, "2-{[(1r,3s,5R,7S)-3-hydroxytricyclo[3.3.1.1~3,7~]decan-1-yl]amino}-1-{(2S)-2-[(E)-iminomethyl]pyrrolidin-1-yl}ethan-1-one", 18890 },
	{ "LF8", "", "", ResidueType::NON_POLYMER, false, "(2S)-tert-butoxy[4-(4-chlorophenyl)-6-(3,4-dimethylphenyl)-2,5-dimethylpyridin-3-yl]ethanoic acid", 18891 },
	{ "LF9", "", "", ResidueType::NON_POLYMER, false, "(2S)-tert-butoxy[6-(5-chloro-1H-benzimidazol-2-yl)-2,5-dimethyl-4-phenylpyridin-3-yl]ethanoic acid", 18892 },
	{ "LFA", "", "", ResidueType::NON_POLYMER, false, "EICOSANE", 18893 },
	{ "LFC", "", "", ResidueType::NON_POLYMER, false, "6-DEOXY-L-GALACTONIC ACID", 18894 },
	{ "LFD", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-(2,4-dichlorophenyl)-2-(1H-imidazol-1-yl)ethyl {4-[4-(3,4-dichlorophenyl)piperazin-1-yl]phenyl}carbamate", 18895 },
	{ "LFF", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-[(R)-{(1R)-1-[(N-acetyl-L-leucyl)amino]-2-phenylethyl}(hydroxy)phosphoryl]-2-benzylpropanoic acid", 18896 },
	{ "LFN", "", "", ResidueType::NON_POLYMER, false, "LUMIFLAVIN", 18897 },
	{ "LFR", "", "", ResidueType::NON_POLYMER, false, "BETA-L-FRUCTO-FURANOSE", 18898 },
	{ "LFS", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-(4-fluorophenyl)-2-(1H-imidazol-1-yl)ethyl 4-isopropylphenylcarbamate", 18899 },
	{ "LFT", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-(4-chlorophenyl)-2-(1H-imidazol-1-yl)ethyl [4-(propan-2-yl)phenyl]carbamate", 18900 },
	{ "LFX", "", "", ResidueType::NON_POLYMER, false, "(3S)-9-fluoro-3-methyl-10-(4-methylpiperazin-1-yl)-7-oxo-2,3-dihydro-7H-[1,4]oxazino[2,3,4-ij]quinoline-6-carboxylic acid", 18901 },
	{ "LG", "", "", ResidueType::RNA_LINKING, true, "L-GUANOSINE-5'-MONOPHOSPHATE", 18902 },
	{ "LG0", "", "", ResidueType::NON_POLYMER, false, "1-(4-methoxyphenyl)-6-(4-(1-(pyrrolidin-1-ylmethyl)cyclopropyl)phenyl)-3-(trifluoromethyl)-5,6-dihydro-1H-pyrazolo[3,4-c]pyridin-7(4H)-one", 18903 },
	{ "LG1", "", "", ResidueType::NON_POLYMER, false, "3,11-DIFLUORO-6,8,13-TRIMETHYL-8H-QUINO[4,3,2-KL]ACRIDIN-13-IUM", 18904 },
	{ "LG2", "", "", ResidueType::NON_POLYMER, false, "6-[1-(3,5,5,8,8-PENTAMETHYL-5,6,7,8-TETRAHYDRONAPHTHALEN-2-YL)CYCLOPROPYL]PYRIDINE-3-CARBOXYLIC ACID", 18905 },
	{ "LG3", "", "", ResidueType::NON_POLYMER, false, "PYRIMIDINE-2,4-DIAMINE", 18906 },
	{ "LG4", "", "", ResidueType::NON_POLYMER, false, "5-METHYLPYRIDIN-2-AMINE", 18907 },
	{ "LG5", "", "", ResidueType::NON_POLYMER, false, "1-METHYL-1,6-DIHYDROPYRIDIN-3-AMINE", 18908 },
	{ "LG6", "", "", ResidueType::NON_POLYMER, false, "L-GULURONIC ACID 6-PHOSPHATE", 18909 },
	{ "LG7", "", "", ResidueType::NON_POLYMER, false, "4-[(7R,7AS)-7-HYDROXY-1,3-DIOXOTETRAHYDRO-1H-PYRROLO[1,2-C]IMIDAZOL-2(3H)-YL]-1-NAPHTHONITRILE", 18910 },
	{ "LG8", "", "", ResidueType::NON_POLYMER, false, "3-(8-DIMETHYLAMINOMETHYL-6,7,8,9-TETRAHYDRO-PYRIDO[1,2-A]INDOL-10-YL)-4-(1-METHYL-1H-INDOL-3-YL)-PYRROLE-2,5-DIONE", 18911 },
	{ "LG9", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3R,6R,7R,7AR)-3,7-BIS(HYDROXYMETHYL)HEXAHYDRO-1H-PYRROLIZINE-1,2,6-TRIOL", 18912 },
	{ "LGA", "", "", ResidueType::NON_POLYMER, false, "PYRIMIDIN-2-AMINE", 18913 },
	{ "LGB", "", "", ResidueType::NON_POLYMER, false, "2-chloro-4-{[(1R,3Z,7S,7aS)-7-hydroxy-1-(trifluoromethyl)tetrahydro-1H-pyrrolo[1,2-c][1,3]oxazol-3-ylidene]amino}-3-methylbenzonitrile", 18914 },
	{ "LGC", "", "", ResidueType::SACCHARIDE, false, "(3S,4R,5R,6S)-3,4,5-TRIHYDROXY-6-(HYDROXYMETHYL)TETRAHYDRO-2H-PYRAN-2-ONE", 18915 },
	{ "LGD", "", "", ResidueType::NON_POLYMER, false, "6-[BIS(2,2,2-TRIFLUOROETHYL)AMINO]-4-(TRIFLUOROMETHYL)QUINOLIN-2(1H)-ONE", 18916 },
	{ "LGE", "", "", ResidueType::NON_POLYMER, false, "methyl [3-(aminomethyl)-4-(2,4-dichlorophenyl)-2-methyl-7-oxo-5,7-dihydro-6H-pyrrolo[3,4-b]pyridin-6-yl]acetate", 18917 },
	{ "LGF", "", "", ResidueType::NON_POLYMER, false, "1-[(3AR)-5-{[3-(2,4-DIFLUOROPHENYL)-5,6-DIHYDROIMIDAZO[1,5-A]PYRAZIN-7(8H)-YL]CARBONYL}-6-METHOXY-3AH-PYRROLO[2,3-B]PYRIDIN-3-YL]-2-[(3R)-3-HYDROXYPYRROLIDIN-1-YL]-2-OXOETHANONE", 18918 },
	{ "LGG", "", "", ResidueType::NON_POLYMER, false, "N-ACETYL-L-ALPHA-GLUTAMYL-L-PHENYLALANYL-L-GLUTAMINYL-N-[(1S)-4-AMINO-1-(2-CARBOXYETHYL)-4-OXOBUTYL]-L-LEUCINAMIDE", 18919 },
	{ "LGH", "", "", ResidueType::NON_POLYMER, false, "[4-(2-chloro-4-nitrophenyl)piperazin-1-yl][3-(2-methoxyphenyl)-5-methyl-1,2-oxazol-4-yl]methanone", 18920 },
	{ "LGJ", "", "", ResidueType::NON_POLYMER, false, "N-(3-FLUORO-2'-(METHYLSULFONYL)BIPHENYL-4-YL)-1-(3-(5-OXO-4,5-DIHYDRO-1H-1,2,4-TRIAZOL-3-YL)PHENYL)-3-(TRIFLUOROMETHYL)-1H-PYRAZOLE-5-CARBOXAMIDE", 18921 },
	{ "LGK", "", "", ResidueType::NON_POLYMER, false, "6-(2'-(METHYLSULFONYL)BIPHENYL-4-YL)-1-(3-(5-OXO-4,5-DIHYDRO-1H-1,2,4-TRIAZOL-3-YL)PHENYL)-3-(TRIFLUOROMETHYL)-5,6-DIHYDRO-1H-PYRAZOLO[3,4-C]PYRIDIN-7(4H)-ONE", 18922 },
	{ "LGL", "", "", ResidueType::NON_POLYMER, false, "1-(3-(5-OXO-4,5-DIHYDRO-1H-1,2,4-TRIAZOL-3-YL)PHENYL)-6-(2'-(PYRROLIDIN-1-YLMETHYL)BIPHENYL-4-YL)-3-(TRIFLUOROMETHYL)-5,6-DIHYDRO-1H-PYRAZOLO[3,4-C]PYRIDIN-7(4H)-ONE", 18923 },
	{ "LGM", "", "", ResidueType::NON_POLYMER, false, "3-METHYL-1-(3-(5-OXO-4,5-DIHYDRO-1H-1,2,4-TRIAZOL-3-YL)PHENYL)-6-(2'-(PYRROLIDIN-1-YLMETHYL)BIPHENYL-4-YL)-5,6-DIHYDRO-1H-PYRAZOLO[3,4-C]PYRIDIN-7(4H)-ONE", 18924 },
	{ "LGN", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3R,4E)-1-{[alpha-D-galactopyranosyl-(1->3)-beta-D-galactopyranosyl-(1->4)-beta-D-glucopyranosyl]oxy}-3-hydroxyoctadec-4-en-2-yl]hexacosanamide", 18925 },
	{ "LGP", "", "", ResidueType::DNA_LINKING, false, "N9-1-HYDROXY-PROP-2-OXYMETHYL-GUANINE-3'-MONOPHOSPHATE", 18926 },
	{ "LGS", "", "", ResidueType::NON_POLYMER, false, "(3Z,5S,6R,7S,8R,8aR)-3-(octylimino)hexahydro[1,3]oxazolo[3,4-a]pyridine-5,6,7,8-tetrol", 18927 },
	{ "LGT", "", "", ResidueType::NON_POLYMER, false, "L-GLUCARIC ACID", 18928 },
	{ "LGU", "", "", ResidueType::SACCHARIDE, false, "ALPHA-L-GULURONATE", 18929 },
	{ "LGV", "", "", ResidueType::NON_POLYMER, false, "N-({4-[(3-cyclopropyl-1H-pyrazol-5-yl)amino]pyrrolo[2,1-f][1,2,4]triazin-2-yl}methyl)-6-fluoropyridine-3-carboxamide", 18930 },
	{ "LGW", "", "", ResidueType::NON_POLYMER, false, "N-(5-cyclopropyl-1H-pyrazol-3-yl)-2-{(2S)-1-[(6-fluoropyridin-3-yl)carbonyl]pyrrolidin-2-yl}pyrrolo[2,1-f][1,2,4]triazin-4-amine", 18931 },
	{ "LGX", "", "", ResidueType::NON_POLYMER, false, "N-(5-cyclopropyl-1H-pyrazol-3-yl)-2-{(2R)-1-[(6-fluoropyridin-3-yl)carbonyl]pyrrolidin-2-yl}pyrrolo[2,1-f][1,2,4]triazin-4-amine", 18932 },
	{ "LGY", "", "", ResidueType::PEPTIDE_LINKING, false, "(E)-N~6~-(4-oxobutylidene)-L-lysine", 18933 },
	{ "LGZ", "", "", ResidueType::NON_POLYMER, false, "CARBAMIC ACID 1-{5-BENZYL-5-[2-HYDROXY-4-PHENYL-3-(TETRAHYDRO-FURAN- 3-YLOXYCARBONYLAMINO)-BUTYL]-4-OXO-4,5-DIHYDRO-1H-PYRROL-3-YL}- INDAN-2-YL ESTER", 18934 },
	{ "LH3", "", "", ResidueType::NON_POLYMER, false, "methyl 4-(2-{5-[(3aS,4S,6aR)-2-oxo-hexahydro-1H- thieno[3,4-d]imidazolidin-4-yl]pentanehydrazido}-3- [4-(methoxycarbonyl)phenyl]phenyl)benzoate", 18935 },
	{ "LH4", "", "", ResidueType::NON_POLYMER, false, "", 18936 },
	{ "LHA", "", "", ResidueType::NON_POLYMER, false, "DOUBLY FUNCTIONALIZED PAROMOMYCIN PM-II-162", 18937 },
	{ "LHB", "", "", ResidueType::NON_POLYMER, false, "5-[[[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methylamino]methyl]-4-azanyl-1-(methoxymethyl)pyrimidin-2-one", 18938 },
	{ "LHC", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-4-(4-amino-2-oxopyrimidin-1(2H)-yl)butanoic acid", 18939 },
	{ "LHD", "", "", ResidueType::NON_POLYMER, false, "2-[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]ethyl-[[4-azanyl-1-(methoxymethyl)-2-oxidanylidene-pyrimidin-5-yl]methyl]azanium", 18940 },
	{ "LHE", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2R,3S)-3-amino-2-hydroxy-5-methylhexyl]-L-norvaline", 18941 },
	{ "LHF", "", "", ResidueType::NON_POLYMER, false, "5-[[2-[(2~{R},3~{S},4~{R},5~{R})-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]ethylamino]methyl]-4-azanyl-1-[2-(4-bromanylphenoxy)ethyl]pyrimidin-2-one", 18942 },
	{ "LHG", "", "", ResidueType::NON_POLYMER, false, "1,2-DIPALMITOYL-PHOSPHATIDYL-GLYCEROLE", 18943 },
	{ "LHI", "", "", ResidueType::NON_POLYMER, false, "", 18944 },
	{ "LHJ", "", "", ResidueType::NON_POLYMER, false, "N-cyclopropyl-3-[1-(2,4-difluorophenyl)-7-methyl-6-oxo-6,7-dihydro-1H-pyrazolo[3,4-b]pyridin-5-yl]-4-methylbenzamide", 18945 },
	{ "LHL", "", "", ResidueType::NON_POLYMER, false, "3-(2,6-dichlorophenyl)-7-({4-[2-(diethylamino)ethoxy]phenyl}amino)-1-methyl-3,4-dihydropyrimido[4,5-d]pyrimidin-2(1H)-one", 18946 },
	{ "LHO", "", "", ResidueType::DNA_LINKING, false, "2-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-6-methylisoquinoline-1(2H)-thione", 18947 },
	{ "LHP", "", "", ResidueType::NON_POLYMER, false, "(3beta,5beta,9beta)-3-(propanoyloxy)cholan-24-oic acid", 18948 },
	{ "LHU", "", "", ResidueType::RNA_LINKING, true, "L-URIDINE-5'-MONOPHOSPHATE", 18949 },
	{ "LHV", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-2-hydroxy-3-methylbutanoic acid", 18950 },
	{ "LHY", "", "", ResidueType::NON_POLYMER, false, "L-[(N-HYDROXYAMINO)CARBONYL]PHENYLALANINE", 18951 },
	{ "LI", "", "", ResidueType::NON_POLYMER, false, "LITHIUM ION", 18952 },
	{ "LI0", "", "", ResidueType::NON_POLYMER, false, "4-(4-BENZYL-4-METHOXYPIPERIDIN-1-YL)-N-[(4-{[1,1-DIMETHYL-2-(PHENYLTHIO)ETHYL]AMINO}-3-NITROPHENYL)SULFONYL]BENZAMIDE", 18953 },
	{ "LI1", "", "", ResidueType::NON_POLYMER, false, "1-[2,6,10.14-TETRAMETHYL-HEXADECAN-16-YL]-2-[2,10,14-TRIMETHYLHEXADECAN-16-YL]GLYCEROL", 18954 },
	{ "LI2", "", "", ResidueType::NON_POLYMER, false, "3-FLUORO-5-MORPHOLIN-4-YL-N-[3-(2-PYRIDIN-4-YLETHYL)-1H-INDOL-5-YL]BENZAMIDE", 18955 },
	{ "LI3", "", "", ResidueType::NON_POLYMER, false, "3-FLUORO-N-1H-INDOL-5-YL-5-MORPHOLIN-4-YLBENZAMIDE", 18956 },
	{ "LI4", "", "", ResidueType::NON_POLYMER, false, "3-(1-NAPHTHYLMETHOXY)PYRIDIN-2-AMINE", 18957 },
	{ "LI5", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXY-4,5-DIOXOHEPTYL HYDROGEN PHOSPHONATE", 18958 },
	{ "LI6", "", "", ResidueType::NON_POLYMER, false, "3,4-DIHYDROXY-1-METHYLQUINOLIN-2(1H)-ONE", 18959 },
	{ "LI7", "", "", ResidueType::NON_POLYMER, false, "(3E)-3-[(4-HYDROXYPHENYL)IMINO]-1H-INDOL-2(3H)-ONE", 18960 },
	{ "LI8", "", "", ResidueType::NON_POLYMER, false, "N-(3-{[5-BROMO-2-({3-[(PYRROLIDIN-1-YLCARBONYL)AMINO]PHENYL}AMINO)PYRIMIDIN-4-YL]AMINO}PROPYL)-2,2-DIMETHYLMALONAMIDE", 18961 },
	{ "LI9", "", "", ResidueType::NON_POLYMER, false, "4-(4-FLUOROPHENYL)-1-METHYL-5-(2-{[(1S)-1-PHENYLETHYL]AMINO}PYRIMIDIN-4-YL)-2-PIPERIDIN-4-YL-1,2-DIHYDRO-3H-PYRAZOL-3-ONE", 18962 },
	{ "LIA", "", "", ResidueType::NON_POLYMER, false, "(4-AMINO-2-{[1-(METHYLSULFONYL)PIPERIDIN-4-YL]AMINO}PYRIMIDIN-5-YL)(2,3-DIFLUORO-6-METHOXYPHENYL)METHANONE", 18963 },
	{ "LIB", "", "", ResidueType::NON_POLYMER, false, "3-(2-CHLOROPHENYL)-1-(2-{[(1S)-2-HYDROXY-1,2-DIMETHYLPROPYL]AMINO}PYRIMIDIN-4-YL)-1-(4-METHOXYPHENYL)UREA", 18964 },
	{ "LIC", "", "", ResidueType::NON_POLYMER, false, "3-(2-CHLOROBENZYL)-1-(2-{[(1S)-2-HYDROXY-1,2-DIMETHYLPROPYL]AMINO}PYRIMIDIN-4-YL)-1-(4-METHOXYPHENYL)UREA", 18965 },
	{ "LID", "", "", ResidueType::NON_POLYMER, false, "8-(2-CHLOROPHENYLAMINO)-2-(2,6-DIFLUOROPHENYLAMINO)-9-ETHYL-9H-PURINE-1,7-DIIUM", 18966 },
	{ "LIE", "", "", ResidueType::NON_POLYMER, false, "2-(2,6-DIFLUOROPHENOXY)-N-(2-FLUOROPHENYL)-9-ISOPROPYL-9H-PURIN-8-AMINE", 18967 },
	{ "LIF", "", "", ResidueType::NON_POLYMER, false, "N-{4-[4-AMINO-6-(4-METHOXYPHENYL)FURO[2,3-D]PYRIMIDIN-5-YL]PHENYL}-N'-[2-FLUORO-5-(TRIFLUOROMETHYL)PHENYL]UREA", 18968 },
	{ "LIG", "", "", ResidueType::NON_POLYMER, false, "3-PYRIDIN-4-YL-2,4-DIHYDRO-INDENO[1,2-.C.]PYRAZOLE", 18969 },
	{ "LIH", "", "", ResidueType::NON_POLYMER, false, "6-([5-QUINOLYLAMINO]METHYL)-2,4-DIAMINO-5-METHYLPYRIDO[2,3-D]PYRIMIDINE", 18970 },
	{ "LII", "", "", ResidueType::NON_POLYMER, false, "(Z)-6-(2-[2,5-DIMETHOXYPHENYL]ETHEN-1-YL)-2,4-DIAMINO-5-METHYLPYRIDO[2,3-D]PYRIMIDINE", 18971 },
	{ "LIJ", "", "", ResidueType::NON_POLYMER, false, "BENZYL [(1S)-2-({(1S,2R)-1-BENZYL-2-HYDROXY-3-[(3-METHOXYBENZYL)AMINO]PROPYL}AMINO)-2-OXO-1-{[(1-PROPYLBUTYL)SULFONYL]METHYL}ETHYL]CARBAMATE", 18972 },
	{ "LIK", "", "", ResidueType::NON_POLYMER, false, "3,6-BIS(METHYLENE)DECANOIC ACID", 18973 },
	{ "LIL", "", "", ResidueType::NON_POLYMER, false, "2-TRIDECANOYLOXY-PENTADECANOIC ACID", 18974 },
	{ "LIM", "", "", ResidueType::NON_POLYMER, false, "3-OXO-PENTADECANOIC ACID", 18975 },
	{ "LIN", "", "AAE", ResidueType::NON_POLYMER, true, "3-OXO-BUTYRIC ACID", 18976 },
	{ "LIO", "", "", ResidueType::NON_POLYMER, false, "[1-PENTADECANOYL-2-DECANOYL-GLYCEROL-3-YL]PHOSPHONYL CHOLINE", 18977 },
	{ "LIP", "", "", ResidueType::NON_POLYMER, false, "L-MYO-INOSITOL-1-PHOSPHATE", 18978 },
	{ "LIQ", "", "", ResidueType::NON_POLYMER, false, "N-{(1S)-2-({(1S,2R)-1-(3,5-DIFLUOROBENZYL)-3-[(3-ETHYLBENZYL)AMINO]-2-HYDROXYPROPYL}AMINO)-2-OXO-1-[(PENTYLSULFONYL)METHYL]ETHYL}NICOTINAMIDE", 18979 },
	{ "LIR", "", "", ResidueType::NON_POLYMER, false, "2-[(3S)-3-AMINOPIPERIDIN-1-YL]-1-(2-CYANOBENZYL)-5-METHYL-4,6-DIOXO-3,4,5,6-TETRAHYDROPYRROLO[3,4-D]IMIDAZOL-1-IUM", 18980 },
	{ "LIS", "", "", ResidueType::NON_POLYMER, false, "(2S,4S)-2-AMINO-4,5-EPOXIPENTANOIC ACID", 18981 },
	{ "LIT", "", "", ResidueType::NON_POLYMER, false, "{[5-(5-NITRO-2-FURYL)-1,3,4-OXADIAZOL-2-YL]THIO}ACETIC ACID", 18982 },
	{ "LIU", "", "", ResidueType::NON_POLYMER, false, "N-[(4-{[1,1-dimethyl-2-(phenylthio)ethyl]amino}-3-nitrophenyl)sulfonyl]-4-(4,4-dimethylpiperidin-1-yl)benzamide", 18983 },
	{ "LIV", "", "", ResidueType::NON_POLYMER, false, "", 18984 },
	{ "LIW", "", "", ResidueType::NON_POLYMER, false, "4-[4-(BIPHENYL-2-YLMETHYL)PIPERAZIN-1-YL]-N-[(4-{[1,1-DIMETHYL-2-(PHENYLTHIO)ETHYL]AMINO}-3-NITROPHENYL)SULFONYL]BENZAMIDE", 18985 },
	{ "LIX", "", "", ResidueType::NON_POLYMER, false, "N-[2-({2-AMINO-6-ETHYL-5-[4-(3-METHOXYPROPYL)-2,2-DIMETHYL-3-OXO-3,4-DIHYDRO-2H-1,4-BENZOXAZIN-6-YL]PYRIMIDIN-4-YL}AMINO)ETHYL]NAPHTHALENE-2-SULFONAMIDE", 18986 },
	{ "LIY", "", "", ResidueType::NON_POLYMER, false, "6-ETHYL-5-[(2S)-1-(3-METHOXYPROPYL)-2-PHENYL-1,2,3,4-TETRAHYDROQUINOLIN-7-YL]PYRIMIDINE-2,4-DIAMINE", 18987 },
	{ "LIZ", "", "", ResidueType::NON_POLYMER, false, "N-{(1S,2S)-2-[bis(carboxymethyl)amino]cyclohexyl}-N-{(2R)-2-[bis(carboxymethyl)amino]-3-[4-({[2-hydroxy-1,1-bis(hydroxymethyl)ethyl]carbamothioyl}amino)phenyl]propyl}glycine", 18988 },
	{ "LJ1", "", "", ResidueType::NON_POLYMER, false, "2,6-dimethyl-4-[(E)-2-phenylethenyl]phenol", 18989 },
	{ "LJ2", "", "", ResidueType::NON_POLYMER, false, "2,6-dibromo-4-[(E)-2-phenylethenyl]phenol", 18990 },
	{ "LJ3", "", "", ResidueType::NON_POLYMER, false, "3,5-dibromobiphenyl-4-ol", 18991 },
	{ "LJ4", "", "", ResidueType::NON_POLYMER, false, "2,6-dibromo-4-phenoxyphenol", 18992 },
	{ "LJ5", "", "", ResidueType::NON_POLYMER, false, "N-(3,5-dibromo-4-hydroxyphenyl)benzamide", 18993 },
	{ "LJ9", "", "", ResidueType::NON_POLYMER, false, "3-ethyl-6-[(3aR,6aS)-hexahydropyrrolo[3,4-c]pyrrol-2(1H)-yl]-1-phenyl-1H-indazole", 18994 },
	{ "LJE", "", "", ResidueType::NON_POLYMER, false, "N-{3-methyl-4-[(3-pyrimidin-4-ylpyridin-2-yl)oxy]phenyl}-3-(trifluoromethyl)benzamide", 18995 },
	{ "LJF", "", "", ResidueType::NON_POLYMER, false, "N-[4-({3-[5-fluoro-2-(methylideneamino)pyrimidin-4-yl]pyridin-2-yl}oxy)phenyl]-2-(phenylamino)benzamide", 18996 },
	{ "LJG", "", "", ResidueType::NON_POLYMER, false, "N,N'-(iminodiethane-2,1-diyl)bis[4-amino-N-(2-methylpropyl)benzenesulfonamide]", 18997 },
	{ "LJH", "", "", ResidueType::NON_POLYMER, false, "N,N'-(iminodiethane-2,1-diyl)bis(4-amino-N-benzylbenzenesulfonamide)", 18998 },
	{ "LJZ", "", "", ResidueType::NON_POLYMER, false, "4,4'-{cyclohexa-2,5-diene-1,4-diylidenebis[(E)methylylidene(E)diazene-2,1-diyl]}bis[N-(2-chlorophenyl)-4-oxobutanamide]", 18999 },
	{ "LK0", "", "", ResidueType::PEPTIDE_LIKE, false, "", 19000 },
	{ "LK1", "", "", ResidueType::NON_POLYMER, false, "N-[(6-BUTOXYNAPHTHALEN-2-YL)SULFONYL]-L-GLUTAMIC ACID", 19001 },
	{ "LK2", "", "", ResidueType::NON_POLYMER, false, "N-[(6-BUTOXYNAPHTHALEN-2-YL)SULFONYL]-D-GLUTAMIC ACID", 19002 },
	{ "LK3", "", "", ResidueType::NON_POLYMER, false, "N-{[6-(PENTYLOXY)NAPHTHALEN-2-YL]SULFONYL}-D-GLUTAMIC ACID", 19003 },
	{ "LK4", "", "", ResidueType::NON_POLYMER, false, "N-({6-[(4-CYANOBENZYL)OXY]NAPHTHALEN-2-YL}SULFONYL)-D-GLUTAMIC ACID", 19004 },
	{ "LK5", "", "", ResidueType::NON_POLYMER, false, "(1S,4R,7AR)-4-BUTOXY-1-[(1R)-1-FORMYLPROPYL]-2,4,5,6,7,7A-HEXAHYDRO-1H-ISOINDOLE-3-CARBOXYLIC ACID", 19005 },
	{ "LK7", "", "", ResidueType::NON_POLYMER, false, "(1R,4S,7AS)-1-(1-FORMYLPROP-1-EN-1-YL)-4-METHOXY-2,4,5,6,7,7A-HEXAHYDRO-1H-ISOINDOLE-3-CARBOXYLIC ACID", 19006 },
	{ "LKA", "", "", ResidueType::NON_POLYMER, false, "5-THIO-A/B-D-MANNOPYRANOSYLAMINE", 19007 },
	{ "LKB", "", "", ResidueType::NON_POLYMER, false, "~{N}-[5-(4-cyanophenyl)-1~{H}-pyrrolo[2,3-b]pyridin-3-yl]pyridine-3-carboxamide", 19008 },
	{ "LKC", "", "", ResidueType::RNA_LINKING, false, "4-AMINO-1-[(1S,3R,4R,7S)-7-HYDROXY-1-(HYDROXYMETHYL)-2,5-DIOXABICYCLO[2.2.1]HEPT-3-YL]-5-METHYLPYRIMIDIN-2(1H)-ONE", 19009 },
	{ "LKF", "", "", ResidueType::NON_POLYMER, false, "4-[3-[1-[(2S)-2-methoxypropyl]pyrazol-4-yl]-2-methyl-imidazo[1,2-a]pyrazin-8-yl]morpholine", 19010 },
	{ "LKG", "", "", ResidueType::NON_POLYMER, false, "4-[(6-phenyl[1,2,4]triazolo[4,3-b]pyridazin-3-yl)methyl]phenol", 19011 },
	{ "LKJ", "", "", ResidueType::NON_POLYMER, false, "", 19012 },
	{ "LKM", "", "", ResidueType::NON_POLYMER, false, "N-({6-[(4-CYANO-2-FLUOROBENZYL)OXY]NAPHTHALEN-2-YL}SULFONYL)-D-GLUTAMIC ACID", 19013 },
	{ "LKS", "", "", ResidueType::NON_POLYMER, false, "N-(1-IMINIO-2-PHENYLETHYL)-5-THIOHEXOPYRANOSYLAMINE BROMIDE", 19014 },
	{ "LL1", "", "", ResidueType::NON_POLYMER, false, "3-pyridin-4-yl-1H-indazole", 19015 },
	{ "LL2", "", "", ResidueType::NON_POLYMER, false, "5-benzyl-1,3-thiazol-2-amine", 19016 },
	{ "LL3", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-1-{4-[3-(thiophen-2-yl)-1,2,4-oxadiazol-5-yl]piperidin-1-yl}ethanone", 19017 },
	{ "LL4", "", "", ResidueType::NON_POLYMER, false, "4-methyl-1-{4-[3-(thiophen-2-yl)-1,2,4-oxadiazol-5-yl]piperidin-1-yl}pentan-1-one", 19018 },
	{ "LL5", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-3-methyl-1-{4-[3-(thiophen-2-yl)-1,2,4-oxadiazol-5-yl]piperidin-1-yl}butan-1-one", 19019 },
	{ "LL8", "", "", ResidueType::NON_POLYMER, false, "1-(6-methoxynaphthalen-2-yl)butane-1,3-dione", 19020 },
	{ "LL9", "", "", ResidueType::NON_POLYMER, false, "2-[(3-chloro-4-methoxybenzyl)amino]ethanesulfonic acid", 19021 },
	{ "LLA", "", "HFA", ResidueType::NON_POLYMER, true, "L-2-HYDROXY-3-PHENYL-PROPIONIC ACID", 19022 },
	{ "LLB", "", "", ResidueType::NON_POLYMER, false, "[6-hydroxy-2-(4-hydroxyphenyl)-1-benzothien-3-yl]{4-[2-(4-methylpiperidin-1-yl)ethoxy]phenyl}methanone", 19023 },
	{ "LLC", "", "", ResidueType::NON_POLYMER, false, "[6-hydroxy-2-(4-hydroxyphenyl)-1-benzothien-3-yl][4-(2-pyrrolidin-1-ylethoxy)phenyl]methanone", 19024 },
	{ "LLF", "", "", ResidueType::NON_POLYMER, false, "(4-{(E)-[(2,2-DIFLUOROETHYL)IMINO]METHYL}-5-HYDROXY-6-METHYLPYRIDIN-3-YL)METHYL DIHYDROGEN PHOSPHATE", 19025 },
	{ "LLG", "", "", ResidueType::NON_POLYMER, false, "2-aminoethyl naphthalen-1-ylacetate", 19026 },
	{ "LLH", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,4R)-2,3,4-TRIHYDROXY-5-(HYDROXYAMINO)-5-OXOPENTANOIC ACID", 19027 },
	{ "LLI", "", "", ResidueType::NON_POLYMER, false, "(4~{a}~{S},8~{a}~{R})-2-cycloheptyl-4-[4-methoxy-3-[2-(2-oxidanylideneimidazolidin-1-yl)ethoxy]phenyl]-4~{a},5,8,8~{a}-tetrahydrophthalazin-1-one", 19028 },
	{ "LLJ", "", "", ResidueType::NON_POLYMER, false, "6,22-dioxa-3,9,19,25-tetraazoniapentacyclo[25.5.3.3~11,17~.0~14,37~.0~30,34~]octatriaconta-1(33),11(38),12,14(37),15,17(36),27,29,31,34-decaene", 19029 },
	{ "LLK", "", "", ResidueType::NON_POLYMER, false, "(2E)-1-(6-methoxynaphthalen-2-yl)but-2-en-1-one", 19030 },
	{ "LLL", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4R,5R)-2-((1S,2S,3R,4S,6R)-4,6-DIAMINO-3-((2R,3R,6S)-3-AMINO-6-(AMINOMETHYL)-TETRAHYDRO-2H-PYRAN-2-YLOXY)-2-HYDROXYCYCLOHEXYLOXY)-5-METHYL-4-(METHYLAMINO)-TETRAHYDRO-2H-PYRAN-3,5-DIOL", 19031 },
	{ "LLM", "", "", ResidueType::NON_POLYMER, false, "Laulimalide", 19032 },
	{ "LLN", "", "", ResidueType::NON_POLYMER, false, "(4~{a}~{S},8~{a}~{R})-2-cycloheptyl-4-[4-(2-hydroxyethyloxy)-3-[2-(2-oxidanylideneimidazolidin-1-yl)ethoxy]phenyl]-4~{a},5,8,8~{a}-tetrahydrophthalazin-1-one", 19033 },
	{ "LLO", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-[(1S)-3-hydroxy-1,3-dimethylbutyl]-L-lysine", 19034 },
	{ "LLP", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-6-[[3-hydroxy-2-methyl-5-(phosphonooxymethyl)pyridin-4-yl]methylideneamino]hexanoic acid", 19035 },
	{ "LLT", "", "", ResidueType::NON_POLYMER, false, "L-deoxythymidine", 19036 },
	{ "LLX", "", "", ResidueType::NON_POLYMER, false, "N-(4-aminobiphenyl-3-yl)benzamide", 19037 },
	{ "LLY", "", "", ResidueType::PEPTIDE_LINKING, false, "NZ-(DICARBOXYMETHYL)LYSINE", 19038 },
	{ "LLZ", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-[(1S)-3-(6-methoxynaphthalen-2-yl)-1-methyl-3-oxopropyl]-L-lysine", 19039 },
	{ "LM2", "", "", ResidueType::SACCHARIDE_LINKING, false, "", 19040 },
	{ "LM3", "", "", ResidueType::NON_POLYMER, false, "N,N-dimethyl-6-(naphthalen-1-yl)-5-(pyridin-4-yl)pyridazin-3-amine", 19041 },
	{ "LM4", "", "", ResidueType::NON_POLYMER, false, "N,N-dimethyl-6-(naphthalen-2-yl)-5-(pyridin-4-yl)pyridazin-3-amine", 19042 },
	{ "LM5", "", "", ResidueType::NON_POLYMER, false, "(3S,4R,5S)-N-benzyl-3,4-dihydroxy-5-methyl-D-prolinamide", 19043 },
	{ "LM8", "", "", ResidueType::NON_POLYMER, false, "(5Z,8Z,11Z,13S,14Z)-13-methylicosa-5,8,11,14-tetraenoic acid", 19044 },
	{ "LMA", "", "", ResidueType::NON_POLYMER, false, "Lankamycin", 19045 },
	{ "LMB", "", "", ResidueType::NON_POLYMER, false, "Leptomycin B, bound form", 19046 },
	{ "LMC", "", "", ResidueType::NON_POLYMER, false, "(2E,4E,6E)-3-methyl-6-(1,3,3-trimethyl-1,3-dihydro-2H-indol-2-ylidene)hexa-2,4-dienal", 19047 },
	{ "LMD", "", "", ResidueType::NON_POLYMER, false, "tetradecyl 4-O-alpha-D-glucopyranosyl-beta-D-glucopyranoside", 19048 },
	{ "LME", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,3R)-2-azanyl-3-methyl-pentanedioic acid", 19049 },
	{ "LMF", "", "", ResidueType::PEPTIDE_LINKING, false, "NZ(N-METHYL THIOFORMAMIDE) LYSINE", 19050 },
	{ "LMG", "", "", ResidueType::NON_POLYMER, false, "1,2-DISTEAROYL-MONOGALACTOSYL-DIGLYCERIDE", 19051 },
	{ "LML", "", "", ResidueType::NON_POLYMER, false, "ISOBUTYL MALONIC ACID", 19052 },
	{ "LMM", "", "", ResidueType::NON_POLYMER, false, "N2-[(1S)-1-(5-fluoropyrimidin-2-yl)ethyl]-7-methyl-N4-(1-methylimidazol-4-yl)thieno[3,2-d]pyrimidine-2,4-diamine", 19053 },
	{ "LMN", "", "", ResidueType::NON_POLYMER, false, "Lauryl Maltose Neopentyl Glycol", 19054 },
	{ "LMP", "", "", ResidueType::NON_POLYMER, false, "(2~{S},3~{R},4~{S})-2-[(2~{S},3~{R})-1,3-bis(oxidanyl)-1-oxidanylidene-butan-2-yl]-4-[(3~{S},5~{S})-5-(dimethylcarbamoyl)pyrrolidin-3-yl]sulfanyl-3-methyl-3,4-dihydro-2~{H}-pyrrole-5-carboxylic acid", 19055 },
	{ "LMQ", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3-methyl-L-glutamine", 19056 },
	{ "LMR", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-hydroxybutanedioic acid", 19057 },
	{ "LMS", "", "", ResidueType::RNA_LINKING, false, "[(2R,3S,4R,5R)-5-(6-AMINO-9H-PURIN-9-YL)-3,4-DIHYDROXYTETRAHYDRO-2-FURANYL]METHYL SULFAMATE", 19058 },
	{ "LMT", "", "", ResidueType::SACCHARIDE, false, "DODECYL-BETA-D-MALTOSIDE", 19059 },
	{ "LMU", "", "", ResidueType::SACCHARIDE, false, "DODECYL-ALPHA-D-MALTOSIDE", 19060 },
	{ "LMZ", "", "", ResidueType::NON_POLYMER, false, "5-NITROSO-6-RIBITYL-AMINO-2,4(1H,3H)-PYRIMIDINEDIONE", 19061 },
	{ "LN0", "", "", ResidueType::NON_POLYMER, false, "methyl 6,8-dideoxy-6-{[(4R)-1-methyl-4-propyl-L-prolyl]amino}-1-thio-D-glycero-alpha-D-galacto-octopyranosid-7-ulose", 19062 },
	{ "LN1", "", "", ResidueType::NON_POLYMER, false, "(3R)-4-{[(3,4-dihydroxyphenyl)acetyl]oxy}-N-(2-formylindolizin-3-yl)-3-sulfino-D-valine", 19063 },
	{ "LN5", "", "", ResidueType::NON_POLYMER, false, "N5-(1-iminopropyl)-L-ornithine", 19064 },
	{ "LN6", "", "", ResidueType::NON_POLYMER, false, "N~5~-[(1E)-pentanimidoyl]-L-ornithine", 19065 },
	{ "LN7", "", "", ResidueType::NON_POLYMER, false, "N~5~-[(1S)-1-aminopentyl]-L-ornithine", 19066 },
	{ "LNA", "", "", ResidueType::NON_POLYMER, false, "(9E,12Z)-10-nitrooctadeca-9,12-dienoic acid", 19067 },
	{ "LNB", "", "", ResidueType::NON_POLYMER, false, "(9Z,12E)-12-nitrooctadeca-9,12-dienoic acid", 19068 },
	{ "LNC", "", "", ResidueType::NON_POLYMER, false, "(3S)-5-(3-CARBOXY-3-HYDROXYPROPYL) NICOTINAMIDE-ADENINE-DINUCLEOTIDE", 19069 },
	{ "LNE", "", "", ResidueType::PEPTIDE_LINKING, false, "N-ethyl-L-leucinamide", 19070 },
	{ "LNG", "", "", ResidueType::NON_POLYMER, false, "Delta-3isotetradecenoic acid", 19071 },
	{ "LNH", "", "", ResidueType::NON_POLYMER, false, "3-{5-(acetylamino)-3-[3-cyano-7-(cyclopropylamino)pyrazolo[1,5-a]pyrimidin-5-yl]-1H-indol-1-yl}propanoic acid", 19072 },
	{ "LNK", "", "", ResidueType::NON_POLYMER, false, "PENTANE", 19073 },
	{ "LNL", "", "", ResidueType::NON_POLYMER, false, "ALPHA-LINOLENIC ACID", 19074 },
	{ "LNM", "", "", ResidueType::PEPTIDE_LINKING, false, "N-methyl-L-leucinamide", 19075 },
	{ "LNN", "", "", ResidueType::NON_POLYMER, false, "(6-hydroxybiphenyl-3-yl)acetic acid", 19076 },
	{ "LNO", "", "", ResidueType::NON_POLYMER, false, "L-LEUCYL-HYDROXYLAMINE", 19077 },
	{ "LNP", "", "", ResidueType::NON_POLYMER, false, "(3alpha,9beta,10alpha,13alpha)-30-cyclopropylidenelanost-7-en-3-ol", 19078 },
	{ "LNQ", "", "", ResidueType::NON_POLYMER, false, "3-AMINO-4-{3-[2-(2-PROPOXY-ETHOXY)-ETHOXY]-PROPYLAMINO}-CYCLOBUT-3-ENE-1,2-DIONE", 19079 },
	{ "LNR", "LT4", "", ResidueType::NON_POLYMER, false, "L-NOREPINEPHRINE", 19080 },
	{ "LNT", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S)-2-amino-1,1-dihydroxy-4-methylpentyl]-L-threonine", 19081 },
	{ "LNV", "", "", ResidueType::NON_POLYMER, false, "5-(acetylamino)-2,6-anhydro-4-carbamimidamido-3,4,5-trideoxy-7-O-methyl-D-glycero-D-galacto-non-2-enonic acid", 19082 },
	{ "LNW", "", "", ResidueType::NON_POLYMER, false, "", 19083 },
	{ "LNX", "", "", ResidueType::NON_POLYMER, false, "", 19084 },
	{ "LNY", "", "", ResidueType::NON_POLYMER, false, "", 19085 },
	{ "LNZ", "", "", ResidueType::NON_POLYMER, false, "5-(5-(3-hydroxyprop-1-yn-1-yl)thiophen-2-yl)-4-methoxy-2-methyl-N-(methylsulfonyl)benzamide", 19086 },
	{ "LO1", "", "", ResidueType::NON_POLYMER, false, "[[4-(AMINOMETHYL)PHENYL]AMINO]OXO-ACETIC ACID,", 19087 },
	{ "LO2", "", "", ResidueType::NON_POLYMER, false, "2-{4-[butyl(3-chloro-4,5-dimethoxybenzyl)amino]phenyl}-1,1,1,3,3,3-hexafluoropropan-2-ol", 19088 },
	{ "LO3", "", "", ResidueType::NON_POLYMER, false, "", 19089 },
	{ "LOA", "", "", ResidueType::NON_POLYMER, false, "(3beta,5beta,9beta)-3-(acetyloxy)cholan-24-oic acid", 19090 },
	{ "LOB", "", "", ResidueType::NON_POLYMER, false, "LOBELINE", 19091 },
	{ "LOC", "", "", ResidueType::NON_POLYMER, false, "N-[(7S)-1,2,3,10-tetramethoxy-9-oxo-6,7-dihydro-5H-benzo[d]heptalen-7-yl]ethanamide", 19092 },
	{ "LOF", "", "HFA", ResidueType::NON_POLYMER, true, "3-PHENYL-LACTIC ACID", 19093 },
	{ "LOG", "", "", ResidueType::SACCHARIDE, false, "LOGNAC", 19094 },
	{ "LOI", "", "", ResidueType::NON_POLYMER, false, "2-(methylamino)-N-(4-methyl-1,3-thiazol-2-yl)-5-[(4-methyl-4H-1,2,4-triazol-3-yl)sulfanyl]benzamide", 19095 },
	{ "LOL", "", "", ResidueType::PEPTIDE_LIKE, true, "(2S)-2-amino-4-methylpentane-1,1-diol", 19096 },
	{ "LOM", "", "", ResidueType::NON_POLYMER, false, "THIAZOLE", 19097 },
	{ "LOP", "", "", ResidueType::NON_POLYMER, false, "(1R)-2-{[(R)-(2-AMINOETHOXY)(HYDROXY)PHOSPHORYL]OXY}-1-[(DODECANOYLOXY)METHYL]ETHYL (9Z)-OCTADEC-9-ENOATE", 19098 },
	{ "LOR", "", "", ResidueType::NON_POLYMER, false, "LORACABEF (Open form)", 19099 },
	{ "LOS", "", "", ResidueType::NON_POLYMER, false, "", 19100 },
	{ "LOV", "", "", ResidueType::PEPTIDE_LIKE, false, "5-AMINO-4-HYDROXY-2-ISOPROPYL-7-METHYL-OCTANOIC ACID", 19101 },
	{ "LOX", "", "", ResidueType::SACCHARIDE, false, "3,4,5-TRIHYDOXY-PIPERIDINE-2-ONE-OXIME", 19102 },
	{ "LOZ", "", "", ResidueType::NON_POLYMER, false, "5-[[(1S,2R)-2-(4-azanylbutanoylamino)-2,3-dihydro-1H-inden-1-yl]methyl]-1,3-benzodioxole-4-carboxylic acid", 19103 },
	{ "LP1", "1NI", "", ResidueType::NON_POLYMER, false, "4-[2-(2-ACETYLAMINO-3-NAPHTALEN-1-YL-PROPIONYLAMINO)-4-METHYL-PENTANOYLAMINO]-3-HYDROXY-6-METHYL-HEPTANOIC ACID [1-(1-CARBAMOYL-2-NAPHTHALEN-1-YL-ETHYLCARBAMOYL)-PROPYL]-AMIDE", 19104 },
	{ "LP2", "", "LP1", ResidueType::NON_POLYMER, true, "N2-[[[3-NAPHTYL-N-METHYLCARBONYL-ALANINYL-VALINYL]-AMINO-[1-[2-METHYL-PROPANYL]-2-HYDROXY-PROPAN-3-YL]-CARBONYL]-3-METHYL-ALANYL]-3-NAPHTYL-ALANYL-AMINE", 19105 },
	{ "LP3", "QEH", "", ResidueType::NON_POLYMER, false, "(7R)-4,7-DIHYDROXY-N,N,N-TRIMETHYL-10-OXO-3,5,9-TRIOXA-4-PHOSPHAHEPTACOSAN-1-AMINIUM 4-OXIDE", 19106 },
	{ "LP4", "", "", ResidueType::NON_POLYMER, false, "2-deoxy-3-O-[(3R)-3-hydroxytetradecanoyl]-2-{[(3R)-3-hydroxytetradecanoyl]amino}-4-O-phosphono-beta-D-glucopyranose", 19107 },
	{ "LP5", "", "", ResidueType::NON_POLYMER, false, "(R)-((2R,3S,4R,5R,6R)-3-HYDROXY-2-(HYDROXYMETHYL)-5-((R)-3-HYDROXYTETRADECANAMIDO)-6-(PHOSPHONOOXY)TETRAHYDRO-2H-PYRAN-4-YL) 3-HYDROXYTETRADECANOATE", 19108 },
	{ "LP6", "", "", ResidueType::PEPTIDE_LINKING, false, "6-piperidin-1-yl-L-norleucine", 19109 },
	{ "LP7", "", "", ResidueType::NON_POLYMER, false, "ethyl 1,4-dihydroxy-2-oxo-1,2-dihydro-1,8-naphthyridine-3-carboxylate", 19110 },
	{ "LP8", "", "", ResidueType::NON_POLYMER, false, "3-cyclopentyl-1,4-dihydroxy-1,8-naphthyridin-2(1H)-one", 19111 },
	{ "LP9", "", "", ResidueType::NON_POLYMER, false, "3-[4-(diethylamino)phenoxy]-6-(ethoxycarbonyl)-5,8-dihydroxy-7-oxo-7,8-dihydro-1,8-naphthyridin-1-ium", 19112 },
	{ "LPA", "", "", ResidueType::NON_POLYMER, false, "LIPOIC ACID", 19113 },
	{ "LPB", "", "", ResidueType::NON_POLYMER, false, "5-[(3S)-1,2-dithiolan-3-yl]pentanoic acid", 19114 },
	{ "LPC", "", "", ResidueType::NON_POLYMER, false, "[1-MYRISTOYL-GLYCEROL-3-YL]PHOSPHONYLCHOLINE", 19115 },
	{ "LPD", "", "", ResidueType::PEPTIDE_LINKING, false, "L-PROLINAMIDE", 19116 },
	{ "LPE", "", "", ResidueType::NON_POLYMER, false, "1-O-OCTADECYL-SN-GLYCERO-3-PHOSPHOCHOLINE", 19117 },
	{ "LPF", "", "", ResidueType::NON_POLYMER, false, "1,1,1-TRIFLUORO-3-((N-ACETYL)-L-LEUCYLAMIDO)-4-PHENYL-BUTAN-2-ONE(N-ACETYL-L-LEUCYL-L-PHENYLALANYL TRIFLUOROMETHYL KETONE)", 19118 },
	{ "LPG", "", "", ResidueType::PEPTIDE_LINKING, false, "L-PROPARGYLGLYCINE", 19119 },
	{ "LPH", "", "", ResidueType::PEPTIDE_LINKING, false, "L-Propargylglycine", 19120 },
	{ "LPI", "", "", ResidueType::NON_POLYMER, false, "N-({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methyl)-L-methionine", 19121 },
	{ "LPK", "", "", ResidueType::SACCHARIDE, false, "L-psicose", 19122 },
	{ "LPL", "", "", ResidueType::PEPTIDE_LINKING, false, "LEU-HYDROXYETHYLENE-LEU", 19123 },
	{ "LPM", "", "", ResidueType::NON_POLYMER, false, "6,8-DIMERCAPTO-OCTANOIC ACID AMIDE", 19124 },
	{ "LPN", "", "", ResidueType::NON_POLYMER, false, "(3R,4S)-N-[2-chloro-5-(3-methoxypropyl)benzyl]-N-cyclopropyl-4-{4-[2-(2,6-dichloro-4-methylphenoxy)ethoxy]phenyl}piperidine-3-carboxamide", 19125 },
	{ "LPO", "", "", ResidueType::NON_POLYMER, false, "(3S,4R)-N-[2-chloro-5-(2-methoxyethyl)benzyl]-N-cyclopropyl-4-{6-[2-(2,6-dichloro-4-methylphenoxy)ethoxy]pyridin-3-yl}-4-hydroxypiperidine-3-carboxamide", 19126 },
	{ "LPP", "", "", ResidueType::NON_POLYMER, false, "2-(HEXADECANOYLOXY)-1-[(PHOSPHONOOXY)METHYL]ETHYL HEXADECANOATE", 19127 },
	{ "LPQ", "", "", ResidueType::NON_POLYMER, false, "(3R,4S)-N-{2-chloro-5-[(cyclopropylamino)methyl]benzyl}-N-cyclopropyl-4-{6-[2-(2,6-dichloro-4-methylphenoxy)ethoxy]pyridin-3-yl}piperidine-3-carboxamide", 19128 },
	{ "LPR", "", "", ResidueType::NON_POLYMER, false, "[N2-[(S)-1-CARBOXY-3-PHENYLPROPYL]-L-LYSYL-L-PROLINE", 19129 },
	{ "LPS", "", "", ResidueType::PEPTIDE_LINKING, false, "O-{HYDROXY[((2R)-2-HYDROXY-3-{[(1S)-1-HYDROXYPENTADECYL]OXY}PROPYL)OXY]PHOSPHORYL}-L-SERINE", 19130 },
	{ "LPT", "", "", ResidueType::NON_POLYMER, false, "CIS-(AMMINE)(CYCLOHEXYLAMINE)PLATINUM(II) COMPLEX", 19131 },
	{ "LPW", "", "", ResidueType::NON_POLYMER, false, "2-[2-[4-(4-methoxyphenyl)phenyl]sulfonylphenyl]-~{N}-oxidanyl-ethanamide", 19132 },
	{ "LPX", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-{[(R)-(2-aminoethoxy)(hydroxy)phosphoryl]oxy}-2-hydroxypropyl hexadecanoate", 19133 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-hydroxy-3-{[(S)-hydroxy{[(1S,2R,3R,4S,5S,6R)-2,3,4,5,6-pentahydroxycyclohexyl]oxy}phosphoryl]oxy}propyl tridecanoate", 19134 },
	{ "LQ5", "", "", ResidueType::NON_POLYMER, false, "1-[4-(2-azanylpyrimidin-4-yl)oxyphenyl]-3-[4-[(4-methylpiperazin-1-yl)methyl]-3-(trifluoromethyl)phenyl]urea", 19135 },
	{ "LQA", "", "", ResidueType::NON_POLYMER, false, "4-azanylidene-2-(3-methoxy-4-propan-2-yloxy-phenyl)-6,7-dihydro-[1,3]benzodioxolo[6,5-a]quinolizine-3-carbonitrile", 19136 },
	{ "LQB", "", "", ResidueType::NON_POLYMER, false, "2-[3-(3,5-dimethylpyrazol-1-yl)-4-nitro-phenyl]-3,4-dihydro-1H-isoquinoline", 19137 },
	{ "LQD", "", "", ResidueType::NON_POLYMER, false, "(3R,4S)-1-[(2-methoxyphenyl)methyl]-N,N-dimethyl-4-(1-methylindol-3-yl)pyrrolidin-3-amine", 19138 },
	{ "LQE", "", "", ResidueType::NON_POLYMER, false, "(3R,4aS,10aS)-6-methoxy-3-[(3-methoxyphenyl)methyl]-1-methyl-3,4,4a,5,10,10a-hexahydro-2H-benzo[g]quinoline", 19139 },
	{ "LQF", "", "", ResidueType::NON_POLYMER, false, "5-(furan-2-ylmethylamino)-9-(phenylmethyl)-8,10-dihydro-7H-[1,2,4]triazolo[3,4-a][2,7]naphthyridine-6-carbonitrile", 19140 },
	{ "LQG", "", "", ResidueType::NON_POLYMER, false, "5-(furan-2-ylmethylamino)-[1,2,4]triazolo[4,3-a]pyridine-6-carbonitrile", 19141 },
	{ "LQH", "", "", ResidueType::NON_POLYMER, false, "5-(2-fluorophenyl)-2,3-dihydroimidazo[2,1-a]isoquinoline", 19142 },
	{ "LQQ", "", "", ResidueType::NON_POLYMER, false, "6-ACETYL-8-CYCLOPENTYL-5-METHYL-2-[(5-PIPERAZIN-1-YLPYRIDIN-2-YL)AMINO]PYRIDO[2,3-D]PYRIMIDIN-7(8H)-ONE", 19143 },
	{ "LQT", "", "", ResidueType::NON_POLYMER, false, "2-[[[2-[2-(dimethylamino)ethyl-ethyl-amino]-2-oxidanylidene-ethyl]amino]methyl]pyridine-4-carboxamide", 19144 },
	{ "LQY", "", "", ResidueType::NON_POLYMER, false, "N-(2-amino-2-oxoethyl)-5'-[(4aR,8aS)-3-cycloheptyl-4-oxo-3,4,4a,5,8,8a-hexahydrophthalazin-1-yl]-2'-methoxy[1,1'-biphenyl]-4-carboxamide", 19145 },
	{ "LQZ", "", "", ResidueType::NON_POLYMER, false, "2-(diethylamino)-N-(2,6-dimethylphenyl)ethanamide", 19146 },
	{ "LR1", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3S,4R,5R)-4-[(4-bromophenyl)methylamino]-5-(hydroxymethyl)cyclopentane-1,2,3-triol", 19147 },
	{ "LRB", "", "", ResidueType::NON_POLYMER, false, "", 19148 },
	{ "LRD", "", "", ResidueType::NON_POLYMER, false, "2-[(E)-(3-chloro-4-hydroxyphenyl)(3-chloro-4-oxocyclohexa-2,5-dien-1-ylidene)methyl]benzenesulfonic acid", 19149 },
	{ "LRG", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(biphenyl-4-yloxy)-3-phenylpropanoic acid", 19150 },
	{ "LRH", "", "", ResidueType::NON_POLYMER, false, "6-DEOXY-BETA-L-FRUCTOFURANOSE", 19151 },
	{ "LRI", "", "", ResidueType::NON_POLYMER, false, "6-chloro-N~4~-cyclopropyl-N~4~-[(thiophen-2-yl)methyl]pyrimidine-2,4-diamine", 19152 },
	{ "?", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-azanyl-6-[[(2R,4R)-1,4-bis(oxidanyl)-3-oxidanylidene-5-phosphonooxy-pentan-2-yl]amino]hexanoic acid", 19153 },
	{ "LRO", "", "", ResidueType::NON_POLYMER, false, "5-[2-(4-methylphenyl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 19154 },
	{ "LRU", "", "", ResidueType::NON_POLYMER, false, "", 19155 },
	{ "LRY", "", "", ResidueType::NON_POLYMER, false, "N-acetylmannosamine-6-phosphate", 19156 },
	{ "LS1", "", "", ResidueType::NON_POLYMER, false, "N-METHYL-4-{[(2-OXO-1,2-DIHYDRO-3H-INDOL-3-YLIDENE)METHYL]AMINO}BENZENESULFONAMIDE", 19157 },
	{ "LS2", "", "", ResidueType::NON_POLYMER, false, "N-METHYL-{4-[2-(7-OXO-6,7-DIHYDRO-8H-[1,3]THIAZOLO[5,4-E]INDOL-8-YLIDENE)HYDRAZINO]PHENYL}METHANESULFONAMIDE", 19158 },
	{ "LS3", "", "", ResidueType::NON_POLYMER, false, "3-{[(2,2-DIOXIDO-1,3-DIHYDRO-2-BENZOTHIEN-5-YL)AMINO]METHYLENE}-5-(1,3-OXAZOL-5-YL)-1,3-DIHYDRO-2H-INDOL-2-ONE", 19159 },
	{ "LS4", "", "", ResidueType::NON_POLYMER, false, "4-{[(2-OXO-1,2-DIHYDRO-3H-INDOL-3-YLIDENE)METHYL]AMINO}-N-(1,3-THIAZOL-2-YL)BENZENESULFONAMIDE", 19160 },
	{ "LS5", "", "", ResidueType::NON_POLYMER, false, "3-{[4-([AMINO(IMINO)METHYL]AMINOSULFONYL)ANILINO]METHYLENE}-2-OXO-2,3-DIHYDRO-1H-INDOLE", 19161 },
	{ "LS8", "", "", ResidueType::NON_POLYMER, false, "4-cyano-~{N}-(1,3-dimethyl-2-oxidanylidene-quinolin-6-yl)-2-methoxy-benzenesulfonamide", 19162 },
	{ "LSA", "", "", ResidueType::NON_POLYMER, false, "1,2-BENZISOTHIAZOL-3(2H)-ONE 1,1-DIOXIDE", 19163 },
	{ "LSB", "", "", ResidueType::NON_POLYMER, false, "(4R,5S)-3-[(2R,3S,4S)-2-ethyl-5-[(3R)-2-ethyl-3-[2-[(2R,3R)-2-ethyl-3-methyl-oxiran-2-yl]ethyl]oxiran-2-yl]-3-hydroxy-4-methyl-pentanoyl]-4-methyl-5-phenyl-1,3-oxazolidin-2-one", 19164 },
	{ "LSC", "", "", ResidueType::NON_POLYMER, false, "(4R,7R,18E)-4,7-dihydroxy-N,N,N-trimethyl-10-oxo-3,5,9-trioxa-4-phosphaheptacos-18-en-1-aminium 4-oxide", 19165 },
	{ "LSD", "", "", ResidueType::NON_POLYMER, false, "Lasalocid A", 19166 },
	{ "LSE", "", "", ResidueType::NON_POLYMER, false, "2-(trimethylsilyl)ethyl 4-O-beta-D-galactopyranosyl-6-Se-methyl-6-seleno-beta-D-glucopyranoside", 19167 },
	{ "LSG", "", "", ResidueType::NON_POLYMER, false, "5-acetyl-2-[(2-fluoro-4-iodophenyl)amino]-N-(2-hydroxyethoxy)-1-methyl-1H-pyrrole-3-carboxamide", 19168 },
	{ "?", "", "", ResidueType::DNA_LINKING, false, "[(1R,5R,7R,8S)-7-[5-methyl-2,4-bis(oxidanylidene)pyrimidin-1-yl]-8-oxidanyl-3,3-bis(oxidanylidene)-6-oxa-3$l^{6}-thia-2-azabicyclo[3.2.1]octan-5-yl]methyl dihydrogen phosphate", 19169 },
	{ "LSI", "", "", ResidueType::NON_POLYMER, false, "ruthenocenyl-7-aminodesacetoxycephalosporanic acid", 19170 },
	{ "LSJ", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(1Z)-1-(10-methoxydibenzo[b,e]oxepin-11(6H)-ylidene)propyl]phenyl}methanesulfonamide", 19171 },
	{ "LSM", "", "", ResidueType::SACCHARIDE, false, "dodecyl 4-O-alpha-D-glucopyranosyl-1-seleno-beta-D-glucopyranoside", 19172 },
	{ "LSN", "", "", ResidueType::NON_POLYMER, false, "[2-butyl-5-chloranyl-3-[[4-[2-(2H-1,2,3,4-tetrazol-5-yl)phenyl]phenyl]methyl]imidazol-4-yl]methanol", 19173 },
	{ "LSO", "", "", ResidueType::PEPTIDE_LINKING, false, "(Z)-N~6~-(3-CARBOXY-1-{[(4-CARBOXY-2-OXOBUTYL)SULFONYL]METHYL}PROPYLIDENE)-L-LYSINE", 19174 },
	{ "LSP", "", "", ResidueType::NON_POLYMER, false, "(7S)-4,7-DIHYDROXY-10-OXO-3,5,9-TRIOXA-4-PHOSPHAUNDECAN-1-AMINIUM 4-OXIDE", 19175 },
	{ "LSR", "", "", ResidueType::NON_POLYMER, false, "1,3,3-trimethyl-2-[(1E,3E)-3-methylpenta-1,3-dien-1-yl]cyclohexene", 19176 },
	{ "LSS", "", "", ResidueType::NON_POLYMER, false, "5'-O-(L-leucylsulfamoyl)adenosine", 19177 },
	{ "?", "", "", ResidueType::DNA_LINKING, false, "[(1R,5R,7R,8S)-2-methyl-7-[5-methyl-2,4-bis(oxidanylidene)pyrimidin-1-yl]-8-oxidanyl-3,3-bis(oxidanylidene)-6-oxa-3$l^{6}-thia-2-azabicyclo[3.2.1]octan-5-yl]methyl dihydrogen phosphate", 19178 },
	{ "LSW", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(1S)-1-carboxy-3-phenylpropyl]-L-lysyl-L-tryptophan", 19179 },
	{ "LSX", "", "", ResidueType::NON_POLYMER, false, "[(1S)-4-[hydroxy(methyl)amino]-1-(4-methoxyphenyl)-4-oxobutyl]phosphonic acid", 19180 },
	{ "LT1", "", "", ResidueType::NON_POLYMER, false, "(3-chloropropyl)benzene", 19181 },
	{ "LT2", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-hydroxy-2,3-dihydro-1H-indole-5,6-dione", 19182 },
	{ "LT3", "", "", ResidueType::NON_POLYMER, false, "(1S,4R,9S)-5-(trifluoromethyl)-1,2,3,4-tetrahydro-1,4-methanonaphthalen-9-amine", 19183 },
	{ "LT4", "", "LNR", ResidueType::NON_POLYMER, true, "Norepinephrine", 19184 },
	{ "LT5", "", "", ResidueType::NON_POLYMER, false, "(1R)-2-amino-1-[3-(trifluoromethyl)phenyl]ethanol", 19185 },
	{ "LT6", "", "", ResidueType::NON_POLYMER, false, "2-(2-{[(1S)-1-benzyl-2-hydroxyethyl]amino}-2-oxoethoxy)-N-butyl-6-fluoro-N-methylbenzamide", 19186 },
	{ "LTA", "", "", ResidueType::PEPTIDE_LINKING, false, "4,8-DIAMINO-3-HYDROXY-OCTANOIC ACID ETHYL ESTER", 19187 },
	{ "LTB", "", "", ResidueType::NON_POLYMER, false, "LEUKOTRIENE B4", 19188 },
	{ "LTC", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-({3-O-[2-(acetylamino)-4-amino-2,4,6-trideoxy-beta-D-galactopyranosyl]-alpha-D-glucopyranosyl}oxy)-3-(heptanoyloxy)propan-2-yl (7Z)-pentadec-7-enoate", 19189 },
	{ "LTD", "", "", ResidueType::NON_POLYMER, false, "(5~{S},6~{R},7~{E},9~{E},11~{Z},14~{Z})-6-[(2~{R})-2-azanyl-3-(2-hydroxy-2-oxoethylamino)-3-oxidanylidene-propyl]sulfanyl-5-oxidanyl-icosa-7,9,11,14-tetraenoic acid", 19190 },
	{ "LTF", "", "", ResidueType::NON_POLYMER, false, "(4R)-2-(3,4-dimethoxy-5-propylphenyl)-N-hydroxy-4,5-dihydro-1,3-oxazole-4-carboxamide", 19191 },
	{ "LTG", "", "", ResidueType::NON_POLYMER, false, "L-tagatose", 19192 },
	{ "LTH", "", "", ResidueType::NON_POLYMER, false, "(2R,3S)-2,3,4-trihydroxybutanoic acid", 19193 },
	{ "LTI", "", "", ResidueType::NON_POLYMER, false, "(5Z)-5-(carbamoylimino)-3-[(5R)-6,7,8,9-tetrahydro-5H-benzo[7]annulen-5-ylsulfanyl]-2,5-dihydroisothiazole-4-carboxamide", 19194 },
	{ "LTL", "", "", ResidueType::NON_POLYMER, false, "6-HYDROXY-6-METHYL-HEPTAN-3-ONE", 19195 },
	{ "LTM", "", "", ResidueType::SACCHARIDE, false, "N-ACETYL GLUCONOLACTAM", 19196 },
	{ "LTN", "", "", ResidueType::NON_POLYMER, false, "L-TRYPTOPHANAMIDE", 19197 },
	{ "LTP", "", "", ResidueType::DNA_LINKING, false, "4-amino-1-{2-deoxy-5-O-[(R)-hydroxy(phosphonooxy)phosphoryl]-beta-L-erythro-pentofuranosyl}pyrimidin-2(1H)-one", 19198 },
	{ "LTQ", "", "", ResidueType::NON_POLYMER, false, "(4S)-3-{[4-(4-cyano-2-methylphenyl)piperazin-1-yl]sulfonyl}-N-hydroxy-1,3-thiazolidine-4-carboxamide", 19199 },
	{ "LTR", "", "TRP", ResidueType::PEPTIDE_LINKING, true, "L-TRYPTOPHAN", 19200 },
	{ "LTS", "", "", ResidueType::NON_POLYMER, false, "2-cyano-1-pyridin-4-yl-3-(4-{[3-(trifluoromethoxy)phenyl]sulfonyl}benzyl)guanidine", 19201 },
	{ "LTT", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-1-[(2S,4S)-2-(HYDROXYMETHYL)-1,3-DIOXOLAN-4-YL]PYRIMIDIN-2(1H)-ONE", 19202 },
	{ "LTX", "", "", ResidueType::NON_POLYMER, false, "", 19203 },
	{ "LTZ", "", "", ResidueType::NON_POLYMER, false, "(5R,6S)-2-[((2S,5R)-2-{[(3R)-4-acetyl-3-methylpiperazin-1-yl]carbonyl}-5-ethylpyrrolidin-1-yl)carbonyl]-5,6-bis(4-chlorophenyl)-3-isopropyl-6-methyl-5,6-dihydroimidazo[2,1-b][1,3]thiazole", 19204 },
	{ "LU", "", "", ResidueType::NON_POLYMER, false, "LUTETIUM (III) ION", 19205 },
	{ "LU1", "", "", ResidueType::NON_POLYMER, false, "4'-fluoro-4,5-dihydroxy-N-{(2E)-3-[(2S,4R,5R)-4-hydroxy-5-(6-methyl-9H-purin-9-yl)tetrahydrofuran-2-yl]prop-2-en-1-yl}biphenyl-3-carboxamide", 19206 },
	{ "LU2", "", "", ResidueType::NON_POLYMER, false, "2-(3,4-dihydroxyphenyl)-5,7-dihydroxy-4H-chromen-4-one", 19207 },
	{ "LUF", "", "", ResidueType::NON_POLYMER, false, "(5S)-4-[(3E,7E)-4,8-dimethyl-10-(2,6,6-trimethylcyclohex-1-en-1-yl)deca-3,7-dien-1-yl]-5-hydroxyfuran-2(5H)-one", 19208 },
	{ "LUG", "", "", ResidueType::NON_POLYMER, false, "N-(5-{3,4-difluoro-2-[(2-fluoro-4-iodophenyl)amino]phenyl}-1,3,4-oxadiazol-2-yl)ethane-1,2-diamine", 19209 },
	{ "LUI", "", "", ResidueType::NON_POLYMER, false, "2-{[3-(aminomethyl)-2-(2-methylpropyl)-1-oxo-4-phenyl-1,2-dihydroisoquinolin-6-yl]oxy}acetamide", 19210 },
	{ "LUM", "", "", ResidueType::NON_POLYMER, false, "LUMICHROME", 19211 },
	{ "LUN", "", "", ResidueType::NON_POLYMER, false, "(5-fluoro-1H-indol-2-yl)[(3R)-1'-[(3R)-piperidin-3-yl]spiro[indole-3,3'-pyrrolidin]-1(2H)-yl]methanone", 19212 },
	{ "LUO", "", "", ResidueType::NON_POLYMER, false, "N-(4-methoxyphenyl)-N~2~-[1-(2-methylphenyl)-4-oxo-4,5-dihydro-1H-pyrazolo[3,4-d]pyrimidin-6-yl]-L-alaninamide", 19213 },
	{ "LUR", "", "", ResidueType::NON_POLYMER, false, "{2-[(2-chloro-6-fluorophenyl)amino]-5-methylphenyl}acetic acid", 19214 },
	{ "LUT", "", "", ResidueType::NON_POLYMER, false, "(3R,3'R,6S)-4,5-DIDEHYDRO-5,6-DIHYDRO-BETA,BETA-CAROTENE-3,3'-DIOL", 19215 },
	{ "LUV", "", "", ResidueType::NON_POLYMER, false, "(3aS,4S,6aR)-2-oxo-hexahydro-1H-thieno[3,4- d]imidazolidin-4-yl]-N-{2-[(2,6- diphenylphenyl)formamido]ethyl}pentanamide", 19216 },
	{ "LUX", "", "", ResidueType::NON_POLYMER, false, "(3R,3'R,6'S,9R,9'R,13R,13'S)-4',5'-DIDEHYDRO-5',6',7',8',9,9',10,10',11,11',12,12',13,13',14,14',15,15'-OCTADECAHYDRO-BETA,BETA-CAROTENE-3,3'-DIOL", 19217 },
	{ "LUZ", "", "", ResidueType::NON_POLYMER, false, "pteridine-2,4(1H,3H)-dione", 19218 },
	{ "LVA", "", "", ResidueType::NON_POLYMER, false, "(3R,5R)-7-((1R,2R,6S,8R,8AS)-2,6-DIMETHYL-8-{[(2R)-2-METHYLBUTANOYL]OXY}-1,2,6,7,8,8A-HEXAHYDRONAPHTHALEN-1-YL)-3,5-DIHYDROXYHEPTANOIC ACID", 19219 },
	{ "LVG", "", "", ResidueType::PEPTIDE_LINKING, false, "L-VINYLGLYCINE", 19220 },
	{ "LVJ", "", "", ResidueType::NON_POLYMER, false, "2-[[2,6-bis(chloranyl)-3-[(2,2-dimethylpropanoylamino)methyl]phenyl]amino]-1-methyl-6-(2-methyl-2-oxidanyl-propoxy)-N-[2,2,2-tris(fluoranyl)ethyl]benzimidazole-5-carboxamide", 19221 },
	{ "LVN", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-4-oxo-L-valine", 19222 },
	{ "LVO", "", "", ResidueType::NON_POLYMER, false, "5-(acetylamino)-2,6-anhydro-4-carbamimidamido-3,4,5-trideoxy-7-O-methyl-9-O-octanoyl-D-glycero-D-galacto-non-2-enonic acid", 19223 },
	{ "LVS", "", "", ResidueType::NON_POLYMER, false, "4-IODO-3-NITROPHENYL ACETYL-LEUCINYL-LEUCINYL-LEUCINYL-VINYLSULFONE", 19224 },
	{ "LVY", "", "", ResidueType::NON_POLYMER, false, "S-Lenalidomide", 19225 },
	{ "LVZ", "", "", ResidueType::SACCHARIDE, false, "propan-2-yl 2-deoxy-6-O-sulfo-2-(sulfoamino)-alpha-D-glucopyranoside", 19226 },
	{ "LW4", "", "", ResidueType::NON_POLYMER, false, "3-(1H-indol-3-yl)-4-[2-(4-methylpiperazin-1-yl)quinazolin-4-yl]-1H-pyrrole-2,5-dione", 19227 },
	{ "LWG", "", "", ResidueType::NON_POLYMER, false, "6,9-dichloro[1]benzothieno[3,2-d]pyrimidin-4(3H)-one", 19228 },
	{ "LWH", "", "", ResidueType::NON_POLYMER, false, "4-(1H-pyrazol-5-yl)-2-{4-[(3S)-pyrrolidin-3-ylamino]quinazolin-2-yl}phenol", 19229 },
	{ "LWJ", "", "", ResidueType::NON_POLYMER, false, "[5-amino-1-(2-methyl-1H-benzimidazol-6-yl)-1H-pyrazol-4-yl](1H-indol-2-yl)methanone", 19230 },
	{ "LWM", "", "", ResidueType::DNA_LINKING, false, "[(1R,2S,4R)-4-{[2-amino-5-(formylamino)-6-oxo-1,6-dihydropyrimidin-4-yl]amino}-2-hydroxycyclopentyl]methyl dihydrogen phosphate", 19231 },
	{ "LWS", "", "", ResidueType::NON_POLYMER, false, "7-fluoranyl-3,3-dimethyl-5-(1-methylpyrrol-2-yl)-1H-indol-2-one", 19232 },
	{ "LWW", "", "", ResidueType::NON_POLYMER, false, "N-(4-(phenylsulfonyl)benzyl)-1H-pyrrolo[3,2-c]pyridine-2-carboxamide", 19233 },
	{ "LWY", "", "", ResidueType::PEPTIDE_AMINO_TERMINUS, false, "1-[(R)-hydroxy(methyl)phosphoryl]-L-proline", 19234 },
	{ "LX0", "", "", ResidueType::NON_POLYMER, false, "4-(4-amino-6-{[(1R)-1-naphthalen-2-ylethyl]amino}-1,3,5-triazin-2-yl)-L-phenylalanine", 19235 },
	{ "LX1", "", "", ResidueType::NON_POLYMER, false, "L-XYLULOSE 5-PHOSPHATE", 19236 },
	{ "LX2", "", "", ResidueType::NON_POLYMER, false, "[4-(3-{[2-chloro-3-(trifluoromethyl)benzyl](2,2-diphenylethyl)amino}propoxy)-1H-indol-1-yl]acetic acid", 19237 },
	{ "LX3", "", "", ResidueType::NON_POLYMER, false, "(1~{R},3~{S},5~{Z})-4-methylidene-5-[(~{E})-3-[3-(6-methyl-6-oxidanyl-heptyl)phenyl]hept-2-enylidene]cyclohexane-1,3-diol", 19238 },
	{ "LX8", "", "", ResidueType::NON_POLYMER, false, "2-[(2S)-6-(2-methylbut-3-en-2-yl)-7-oxo-2,3-dihydro-7H-furo[3,2-g]chromen-2-yl]propan-2-yl acetate", 19239 },
	{ "LX9", "", "", ResidueType::NON_POLYMER, false, "6-{3-amino-1-[3-(1H-indol-6-yl)phenyl]-1H-pyrazol-4-yl}-3,4-dihydroisoquinolin-1(2H)-one", 19240 },
	{ "LXB", "", "", ResidueType::SACCHARIDE, false, "2-(acetylamino)-2-deoxy-beta-D-gulopyranose", 19241 },
	{ "LXC", "", "", ResidueType::NON_POLYMER, false, "BETA-L-XYLOPYRANOSE", 19242 },
	{ "LXG", "", "", ResidueType::NON_POLYMER, false, "8-[(E)-2-cyclopropylethenyl]-2-[(dimethylamino)methyl][1]benzothieno[3,2-d]pyrimidin-4(3H)-one", 19243 },
	{ "LXL", "", "", ResidueType::NON_POLYMER, false, "1-ethyl-3-[2-methoxy-4-(5-methyl-4-{[(1S)-1-(pyridin-3-yl)butyl]amino}pyrimidin-2-yl)phenyl]urea", 19244 },
	{ "LXN", "", "", ResidueType::NON_POLYMER, false, "ALLOXAN", 19245 },
	{ "LXP", "", "", ResidueType::NON_POLYMER, false, "L-XYLITOL 5-PHOSPHATE", 19246 },
	{ "LXT", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-N-[(1S)-1-({(1S)-1-[(4-methylbenzyl)carbamoyl]-3-phenylpropyl}carbamoyl)-3-phenylpropyl]-4-phenylbutanamide", 19247 },
	{ "LXV", "", "", ResidueType::NON_POLYMER, false, "2,5-dibromo-N-{(3R,5S)-1-[(Z)-iminomethyl]-5-methylpyrrolidin-3-yl}benzenesulfonamide", 19248 },
	{ "LXX", "", "", ResidueType::NON_POLYMER, false, "6-(1H-pyrazolo[3,4-b]pyridin-5-yl)-4-pyridin-4-ylquinoline", 19249 },
	{ "LXZ", "", "", ResidueType::SACCHARIDE, false, "2-(acetylamino)-2-deoxy-alpha-D-idopyranose", 19250 },
	{ "LY0", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-[(R)-[(1R)-1-aminoethyl](hydroxy)phosphoryl]-2-methylpropanoic acid", 19251 },
	{ "LY1", "", "", ResidueType::NON_POLYMER, false, "8,9-DICHLORO-2,3,4,5-TETRAHYDRO-1H-BENZO[C]AZEPINE", 19252 },
	{ "LY2", "", "", ResidueType::NON_POLYMER, false, "2-MORPHOLIN-4-YL-7-PHENYL-4H-CHROMEN-4-ONE", 19253 },
	{ "LY3", "", "", ResidueType::NON_POLYMER, false, "2-{4-[2-(2-AMINO-4-OXO-4,7-DIHYDRO-3H-PYRROLO[2,3-D]PYRIMIDIN-5-YL)-ETHYL]-BENZOYLAMINO}-4-(2H-TETRAZOL-5-YL)-BUTYRIC ACID", 19254 },
	{ "LY4", "", "", ResidueType::NON_POLYMER, false, "(9R)-9-[(DIMETHYLAMINO)METHYL]-6,7,10,11-TETRAHYDRO-9H,18H-5,21:12,17-DIMETHENODIBENZO[E,K]PYRROLO[3,4-H][1,4,13]OXADIAZACYCLOHEXADECINE-18,20-DIONE", 19255 },
	{ "LY5", "", "", ResidueType::NON_POLYMER, false, "(3S,4aR,6S,8aR)-6-{[(2S)-2-carboxy-4,4-difluoropyrrolidin-1-yl]methyl}decahydroisoquinoline-3-carboxylic acid", 19256 },
	{ "LY7", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-2-(4'-cyanobiphenyl-4-yl)propyl]propane-2-sulfonamide", 19257 },
	{ "LY9", "", "", ResidueType::NON_POLYMER, false, "L-arabinaric acid", 19258 },
	{ "LYA", "", "", ResidueType::NON_POLYMER, false, "2-{4-[2-(2-AMINO-4-OXO-4,7-DIHYDRO-3H-PYRROLO[2,3-D]PYRIMIDIN-5-YL)-ETHYL]-BENZOYLAMINO}-PENTANEDIOIC ACID", 19259 },
	{ "LYB", "", "", ResidueType::NON_POLYMER, false, "2-{4-[4-(4-{4-[2-(2-AMINO-4-OXO-4,7-DIHYDRO-3H-PYRROLO[2,3-D]PYRIMIDIN-5-YL)-ETHYL]-BENZOYLAMINO}-4-CARBOXY-BUTYRYLAMINO)-4-CARBOXY-BUTYRYLAMINO}-PENTANEDIOIC ACID", 19260 },
	{ "LYC", "", "", ResidueType::NON_POLYMER, false, "LYCOPENE", 19261 },
	{ "LYD", "", "", ResidueType::NON_POLYMER, false, "2-{4-[2-(2-AMINO-4-OXO-4,7-DIHYDRO-3H-PYRROLO[2,3-D]PYRIMIDIN-5-YL)-ETHYL]-BENZOYLAMINO}-3-METHYL-BUTYRIC ACID", 19262 },
	{ "LYF", "", "", ResidueType::PEPTIDE_LINKING, false, "(2E,4S)-2-{[(5S)-5-amino-5-carboxypentyl]imino}-4-hydroxyheptanedioic acid", 19263 },
	{ "LYG", "", "", ResidueType::NON_POLYMER, false, "8-chloro-2-{[(3S)-3-hydroxypyrrolidin-1-yl]methyl}[1]benzothieno[3,2-d]pyrimidin-4(3H)-one", 19264 },
	{ "LYH", "", "", ResidueType::PEPTIDE_LINKING, false, "3,4 ENE-LYSINE", 19265 },
	{ "LYJ", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,6-diaminohexan-1-ol", 19266 },
	{ "LYK", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-2,6-diaminohexane-1,1-diol", 19267 },
	{ "LYL", "", "", ResidueType::NON_POLYMER, false, "2-ALLYL-6-METHYL-PHENOL", 19268 },
	{ "LYM", "", "", ResidueType::PEPTIDE_LINKING, true, "DEOXY-METHYL-LYSINE", 19269 },
	{ "LYN", "", "", ResidueType::PEPTIDE_LINKING, false, "2,6-DIAMINO-HEXANOIC ACID AMIDE", 19270 },
	{ "LYO", "", "", ResidueType::PEPTIDE_LINKING, false, "4-HYDROXY-LYSINE", 19271 },
	{ "LYP", "", "", ResidueType::NON_POLYMER, false, "N~6~-METHYL-N~6~-PROPYL-L-LYSINE", 19272 },
	{ "LYR", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-[(2Z,4E,6E,8E)-3,7-DIMETHYL-9-(2,6,6-TRIMETHYLCYCLOHEX-1-EN-1-YL)NONA-2,4,6,8-TETRAENYL]LYSINE", 19273 },
	{ "LYS", "", "", ResidueType::PEPTIDE_LINKING, false, "LYSINE", 19274 },
	{ "LYT", "", "", ResidueType::NON_POLYMER, false, "BUTYLAMINE", 19275 },
	{ "LYU", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-(4-methylpentyl)-L-lysine", 19276 },
	{ "LYV", "", "", ResidueType::PEPTIDE_LINKING, false, "O-phosphono-L-seryl-N-[(3S)-3-amino-3-carboxypropyl]glycinamide", 19277 },
	{ "LYW", "", "", ResidueType::NON_POLYMER, true, "1-AMINO-1-CARBONYL PENTANE", 19278 },
	{ "LYX", "", "", ResidueType::PEPTIDE_LINKING, false, "", 19279 },
	{ "LYZ", "", "", ResidueType::PEPTIDE_LINKING, false, "5-HYDROXYLYSINE", 19280 },
	{ "LZ0", "", "", ResidueType::NON_POLYMER, false, "[1-(2-oxoethyl)-1H-1,2,3-triazol-5-yl]methyl 6-deoxy-alpha-L-galactopyranoside", 19281 },
	{ "LZ1", "", "", ResidueType::NON_POLYMER, false, "1H-indazole", 19282 },
	{ "LZ2", "", "", ResidueType::NON_POLYMER, false, "5-hydroxynaphthalene-1-sulfonamide", 19283 },
	{ "LZ3", "", "", ResidueType::NON_POLYMER, false, "N-(4-sulfamoylphenyl)-1H-indazole-3-carboxamide", 19284 },
	{ "LZ4", "", "", ResidueType::NON_POLYMER, false, "4-[(6-chloropyrazin-2-yl)amino]benzenesulfonamide", 19285 },
	{ "LZ5", "", "", ResidueType::NON_POLYMER, false, "N-phenyl-1H-pyrazole-3-carboxamide", 19286 },
	{ "LZ6", "", "", ResidueType::NON_POLYMER, false, "L-gamma-glutamyl-S-(2-{[4-(3-carboxypropyl)phenyl](2-chloroethyl)amino}ethyl)-L-cysteinylglycine", 19287 },
	{ "LZ7", "", "", ResidueType::NON_POLYMER, false, "4-(acetylamino)-N-(4-fluorophenyl)-1H-pyrazole-3-carboxamide", 19288 },
	{ "LZ8", "", "", ResidueType::NON_POLYMER, false, "N-(4-FLUOROPHENYL)-4-[(PHENYLCARBONYL)AMINO]-1H-PYRAZOLE-3-CARBOXAMIDE", 19289 },
	{ "LZ9", "", "", ResidueType::NON_POLYMER, false, "{[(2,6-difluorophenyl)carbonyl]amino}-N-(4-fluorophenyl)-1H-pyrazole-3-carboxamide", 19290 },
	{ "LZA", "", "", ResidueType::NON_POLYMER, false, "{[(2,6-difluorophenyl)carbonyl]amino}-N-piperidin-4-yl-1H-pyrazole-3-carboxamide", 19291 },
	{ "LZB", "", "", ResidueType::NON_POLYMER, false, "5-chloro-7-[(1-methylethyl)amino]pyrazolo[1,5-a]pyrimidine-3-carbonitrile", 19292 },
	{ "LZC", "", "", ResidueType::NON_POLYMER, false, "5-[(4-AMINOCYCLOHEXYL)AMINO]-7-(PROPAN-2-YLAMINO)PYRAZOLO[1,5-A]PYRIMIDINE-3-CARBONITRILE", 19293 },
	{ "LZD", "", "", ResidueType::NON_POLYMER, false, "4-{[(2,6-difluorophenyl)carbonyl]amino}-N-[(3S)-piperidin-3-yl]-1H-pyrazole-3-carboxamide", 19294 },
	{ "LZE", "", "", ResidueType::NON_POLYMER, false, "4-{[(2,6-dichlorophenyl)carbonyl]amino}-N-piperidin-4-yl-1H-pyrazole-3-carboxamide", 19295 },
	{ "LZF", "", "", ResidueType::NON_POLYMER, false, "5-chloro-N-[(3S,4S)-1-(2-{[2-fluoro-4-(2-oxopyridin-1(2H)-yl)phenyl]amino}-2-oxoethyl)-4-methoxypyrrolidin-3-yl]thiophene-2-carboxamide", 19296 },
	{ "LZG", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-THIOPHENE-2-CARBOXYLIC ACID ((3S,4S)-4-FLUORO- 1-{[2-FLUORO-4-(2-OXO-2H-PYRIDIN-1-YL)-PHENYLCARBAMOYL]-METHYL}-PYRROLIDIN-3-YL)-AMIDE", 19297 },
	{ "LZH", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-THIOPHENE-2-CARBOXYLIC ACID ((3R,5S)-1-{[2-FLUORO-4-(2-OXO-PYRIDIN-1-YL)-PHENYLCARBAMOYL]-METHYL}-5-HYDROXYMETHYL-PYRROLIDIN-3-YL)-AMIDE", 19298 },
	{ "LZI", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-{[(5-chlorothiophen-2-yl)carbonyl]amino}-N-(cyclopropylmethyl)-1-(2-{[2-fluoro-4-(2-oxopyridin-1(2H)-yl)phenyl]amino}-2-oxoethyl)-L-prolinamide", 19299 },
	{ "LZJ", "", "", ResidueType::NON_POLYMER, false, "6-(2,6-dibromophenyl)pyrido[2,3-d]pyrimidine-2,7-diamine", 19300 },
	{ "LZK", "", "", ResidueType::NON_POLYMER, false, "6-(2,6-DIMETHOXYPHENYL)PYRIDO[2,3-D]PYRIMIDINE-2,7-DIAMINE", 19301 },
	{ "LZL", "", "", ResidueType::NON_POLYMER, false, "7-(2,5-dihydropyrrol-1-yl)-6-phenyl-pyrido[6,5-d]pyrimidin-2-amine", 19302 },
	{ "LZM", "", "", ResidueType::NON_POLYMER, false, "PYRAZOLO[1,5-A]PYRIMIDINE-3-CARBONITRILE", 19303 },
	{ "LZP", "", "", ResidueType::NON_POLYMER, false, "4,4'-piperazine-1,4-diylbis{1-[3-(benzyloxy)phenyl]-4-oxobutane-1,3-dione}", 19304 },
	{ "LZQ", "", "", ResidueType::NON_POLYMER, false, "4-[3-(dibenzylamino)phenyl]-2,4-dioxobutanoic acid", 19305 },
	{ "LZR", "", "", ResidueType::NON_POLYMER, false, "6-(CYCLOPROP-2-EN-1-YLMETHOXY)-2-[6-(CYCLOPROPYLMETHYL)-5-OXO-3,4,5,6-TETRAHYDRO-2,6-NAPHTHYRIDIN-2(1H)-YL]-7-METHOXYQUINAZOLIN-4(3H)-ONE", 19306 },
	{ "LZS", "", "", ResidueType::NON_POLYMER, false, "N-{6-(CYCLOPROPYLMETHOXY)-7-METHOXY-2-[6-(2-METHYLPROPYL)-5-OXO-3,4,5,6-TETRAHYDRO-2,6-NAPHTHYRIDIN-2(1H)-YL]QUINAZOLIN-4-YL}-2,2,2-TRIFLUOROETHANESULFONAMIDE", 19307 },
	{ "LZT", "", "", ResidueType::NON_POLYMER, false, "N~2~-{[(1S)-6-methoxy-3-oxo-2,3-dihydro-1H-inden-1-yl]acetyl}-N-{(1S)-1-[(4-methylbenzyl)carbamoyl]-3-phenylpropyl}-L-threoninamide", 19308 },
	{ "LZU", "", "", ResidueType::NON_POLYMER, false, "10-{2-[(2S)-1-methylpiperidin-2-yl]ethyl}-2-(methylsulfanyl)-10H-phenothiazine", 19309 },
	{ "LZZ", "", "", ResidueType::NON_POLYMER, false, "(3alpha,8alpha)-3,17-dihydroxypregn-5-en-20-one", 19310 },
	{ "M00", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-1-hydroxybutan-2-yl]-3-(4-oxo-3,4-dihydroquinazolin-2-yl)propanamide", 19311 },
	{ "M01", "", "", ResidueType::NON_POLYMER, false, "1-[1-(9H-purin-6-yl)piperidin-4-yl]methanamine", 19312 },
	{ "M02", "", "", ResidueType::NON_POLYMER, false, "1-(9H-purin-6-yl)piperidin-4-amine", 19313 },
	{ "M03", "", "", ResidueType::NON_POLYMER, false, "1-[4-(4-chlorophenyl)-1-(7H-pyrrolo[2,3-d]pyrimidin-4-yl)piperidin-4-yl]methanamine", 19314 },
	{ "M04", "", "", ResidueType::NON_POLYMER, false, "1-[4-(4-chlorobenzyl)-1-(7H-pyrrolo[2,3-d]pyrimidin-4-yl)piperidin-4-yl]methanamine", 19315 },
	{ "M05", "", "", ResidueType::NON_POLYMER, false, "4-(4-chlorobenzyl)-1-(7H-pyrrolo[2,3-d]pyrimidin-4-yl)piperidin-4-aminium", 19316 },
	{ "M06", "", "", ResidueType::NON_POLYMER, false, "3-chloro-5-{[4-methyl-2-oxo-1-(2H-pyrazolo[3,4-b]pyridin-3-ylmethyl)-1,2-dihydropyridin-3-yl]oxy}benzonitrile", 19317 },
	{ "M07", "", "", ResidueType::NON_POLYMER, false, "(5R,7R,8S,9S,10R)-7-(HYDROXYMETHYL)-3-(4-METHOXYPHENYL)-1,6-DIOXA-2-AZASPIRO[4.5]DEC-2-ENE-8,9,10-TRIOL", 19318 },
	{ "M08", "", "", ResidueType::NON_POLYMER, false, "(5R,7R,8S,9S,10R)-7-(hydroxymethyl)-3-phenyl-1,6-dioxa-2-azaspiro[4.5]dec-2-ene-8,9,10-triol", 19319 },
	{ "M09", "", "", ResidueType::NON_POLYMER, false, "(3S,5R,7R,8S,9S,10R)-7-(hydroxymethyl)-3-(4-nitrophenyl)-1,6-dioxa-2-azaspiro[4.5]decane-8,9,10-triol", 19320 },
	{ "M0A", "", "", ResidueType::NON_POLYMER, false, "1-[[3-(aminomethyl)phenyl]methyl]-2-butyl-imidazo[4,5-c]quinolin-4-amine", 19321 },
	{ "M0E", "", "", ResidueType::NON_POLYMER, false, "MOENOMYCIN", 19322 },
	{ "M0H", "", "", ResidueType::PEPTIDE_LINKING, false, "S-(HYDROXYMETHYL)-L-CYSTEINE", 19323 },
	{ "M0N", "", "", ResidueType::NON_POLYMER, false, "(1-HYDROXY-2-IMIDAZO[1,2-A]PYRIDIN-3-YLETHANE-1,1-DIYL)BIS(PHOSPHONIC ACID)", 19324 },
	{ "M0T", "", "", ResidueType::NON_POLYMER, false, "1-(3,4-dichlorobenzyl)-2-methyl-N-[(1R)-1-phenylpropyl]-1H-benzimidazole-5-carboxamide", 19325 },
	{ "M0Y", "", "", ResidueType::NON_POLYMER, false, "4-(carbamoylamino)-1-(naphthalen-1-yl)-1H-pyrazole-3-carboxamide", 19326 },
	{ "M0Z", "", "", ResidueType::NON_POLYMER, false, "4-(carbamoylamino)-1-(7-methoxynaphthalen-1-yl)-1H-pyrazole-3-carboxamide", 19327 },
	{ "M10", "", "", ResidueType::NON_POLYMER, false, "(mu3-oxo)-tris(mu2-oxo)-nonakisoxo-trimolybdenum (VI)", 19328 },
	{ "M11", "", "", ResidueType::NON_POLYMER, false, "N^6^-[(1R,2S)-1-({[(1R)-1-carboxy-2-methylpropyl]oxy}carbonyl)-2-sulfanylpropyl]-6-oxo-L-lysine", 19329 },
	{ "M12", "", "", ResidueType::NON_POLYMER, false, "10-METHYLUNDECANOIC ACID", 19330 },
	{ "M13", "", "", ResidueType::NON_POLYMER, false, "METHYL 3-O-ALPHA-D-MANNOPYRANOSYL-BETA-D-ALTROPYRANOSIDE", 19331 },
	{ "M14", "", "", ResidueType::NON_POLYMER, false, "2-[3-chloro-5-(3-chloro-5-cyanophenoxy)phenoxy]-N-(2-chloro-4-sulfamoylphenyl)acetamide", 19332 },
	{ "M15", "", "", ResidueType::NON_POLYMER, false, "{5-chloro-2-[(2-fluoro-4-iodobenzyl)carbamoyl]phenoxy}acetic acid", 19333 },
	{ "M17", "", "", ResidueType::NON_POLYMER, false, "", 19334 },
	{ "M18", "", "", ResidueType::NON_POLYMER, false, "{(2S)-1-[N-(tert-butoxycarbonyl)glycyl]pyrrolidin-2-yl}methyl (3-chlorophenyl)acetate", 19335 },
	{ "M1A", "", "", ResidueType::NON_POLYMER, false, "6-AMINO-1-METHYLPURINE", 19336 },
	{ "M1B", "", "", ResidueType::NON_POLYMER, false, "2-{3'-[AMINO(IMINO)METHYL]BIPHENYL-4-YL}-1H-BENZIMIDAZOLE-5-CARBOXIMIDAMIDE", 19337 },
	{ "M1C", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-AMINO-1-(CYCLOPROPYLAMINO)HEPTANE-2,2-DIOL", 19338 },
	{ "M1F", "", "", ResidueType::SACCHARIDE, false, "alpha-maltose 1-phosphate", 19339 },
	{ "M1G", "", "", ResidueType::DNA_LINKING, false, "3-(2-DEOXY-BETA-D-RIBOFURANOSYL)-PYRIDO[5,6-A]-PURINE-10-ONE-5'-MONOPHOSPHATE", 19340 },
	{ "M1L", "", "", ResidueType::NON_POLYMER, false, "2-({[(3E)-5-{4-[(DIMETHYLAMINO)(DIHYDROXY)-LAMBDA~4~-SULFANYL]PHENYL}-8-METHYL-2-OXO-6,7,8,9-TETRAHYDRO-1H-PYRROLO[3,2-H]ISOQUINOLIN-3(2H)-YLIDENE]AMINO}OXY)-4-HYDROXYBUTANOIC ACID", 19341 },
	{ "M1N", "", "", ResidueType::NON_POLYMER, false, "(1R)-3-METHYL-1-{[N-(MORPHOLIN-4-YLCARBONYL)-3-(1-NAPHTHYL)-D-ALANYL]AMINO}BUTYLBORONIC ACID", 19342 },
	{ "M1P", "", "", ResidueType::NON_POLYMER, false, "ALPHA-D-MANNOSE 1-PHOSPHATE", 19343 },
	{ "M1S", "", "", ResidueType::NON_POLYMER, false, "(5E)-14-CHLORO-15,17-DIHYDROXY-4,7,8,9,10,11-HEXAHYDRO-2-BENZOXACYCLOPENTADECINE-1,12(3H,13H)-DIONE", 19344 },
	{ "M1T", "", "", ResidueType::NON_POLYMER, false, "6,6-dihydroxy-1-methoxyhexan-2-one", 19345 },
	{ "M1V", "", "", ResidueType::NON_POLYMER, false, "mesobiliverdin IX(alpha)", 19346 },
	{ "M1W", "", "", ResidueType::NON_POLYMER, false, "3-(1H-indol-4-yl)-N-(3-methoxypropyl)-1,2,4-oxadiazole-5-carboxamide", 19347 },
	{ "M1Y", "", "", ResidueType::RNA_LINKING, false, "(1S)-1,4-anhydro-1-(1-methyl-2,4-dioxo-1,2,3,4-tetrahydropyrimidin-5-yl)-5-O-phosphono-D-xylitol", 19348 },
	{ "M21", "", "", ResidueType::NON_POLYMER, false, "(10E,12Z)-tetradeca-10,12-dien-1-ol", 19349 },
	{ "M22", "", "", ResidueType::NON_POLYMER, false, "3-chloro-5-[2-chloro-5-(1H-indazol-3-ylmethoxy)phenoxy]benzonitrile", 19350 },
	{ "M23", "", "", ResidueType::NON_POLYMER, false, "7-(5-bromo-2-ethoxyphenyl)-6-methylquinazoline-2,4-diamine", 19351 },
	{ "M24", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-[({3-[5-(2-fluorophenyl)-1,2,4-oxadiazol-3-yl]phenyl}carbonyl)oxy](hydroxy)phosphoryl]adenosine", 19352 },
	{ "M25", "", "", ResidueType::NON_POLYMER, false, "N-{2-[4-(AMINOSULFONYL)PHENYL]ETHYL}ACETAMIDE", 19353 },
	{ "M27", "", "", ResidueType::NON_POLYMER, false, "bis(mu2-oxo)-octaoxo-dimolybdenum (VI)", 19354 },
	{ "M28", "", "", ResidueType::NON_POLYMER, false, "3-[4-(AMINOSULFONYL)PHENYL]PROPANOIC ACID", 19355 },
	{ "M29", "", "", ResidueType::NON_POLYMER, false, "ETHYL 3-[4-(AMINOSULFONYL)PHENYL]PROPANOATE", 19356 },
	{ "M2A", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{R},4~{R},5~{S})-2-(6-aminopurin-9-yl)-4-oxidanyl-5-[[oxidanyl(phosphonooxy)phosphoryl]oxymethyl]oxolan-3-yl] 2-(methylamino)benzoate", 19357 },
	{ "M2C", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-AMINO-4-(METHYLSULFANYL)-1-PYRIDIN-2-YLBUTANE-1,1-DIOL", 19358 },
	{ "M2D", "", "", ResidueType::NON_POLYMER, false, "Madumycin II", 19359 },
	{ "M2F", "", "", ResidueType::NON_POLYMER, false, "2,4-DINITROPHENYL 2-DEOXY-2-FLUORO-BETA-D-MANNOPYRANOSIDE", 19360 },
	{ "M2G", "", "", ResidueType::RNA_LINKING, false, "N2-DIMETHYLGUANOSINE-5'-MONOPHOSPHATE", 19361 },
	{ "M2L", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-2-amino-3-(2-dimethylaminoethylsulfanyl)propanoic acid", 19362 },
	{ "M2M", "", "", ResidueType::NON_POLYMER, false, "1-METHOXY-2-(2-METHOXYETHOXY)ETHANE", 19363 },
	{ "M2N", "", "", ResidueType::NON_POLYMER, false, "5,6-diphenyl-7H-pyrrolo[2,3-d]pyrimidine-2,4-diamine", 19364 },
	{ "M2P", "", "", ResidueType::NON_POLYMER, false, "D-MANNITOL-1,6-DIPHOSPHATE", 19365 },
	{ "M2S", "", "", ResidueType::PEPTIDE_LINKING, false, "3-{[(R)-methylsulfinyl]methyl}-L-valine", 19366 },
	{ "M2T", "", "", ResidueType::NON_POLYMER, false, "5'-deoxy-5'-(dimethyl-lambda~4~-sulfanyl)adenosine", 19367 },
	{ "M2W", "", "", ResidueType::NON_POLYMER, false, "DELTA-(L-ALPHA-AMINOADIPOYL)-L-CYSTEINYL-O-METHYL-D-THREONINE", 19368 },
	{ "M30", "", "", ResidueType::PEPTIDE_LINKING, false, "N-cyclohexylglycine", 19369 },
	{ "M31", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(benzylsulfonyl)glycyl-N-[2-(aminomethyl)-5-chlorobenzyl]-L-prolinamide", 19370 },
	{ "M32", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(benzylsulfonyl)-D-alanyl-N-[2-(aminomethyl)-5-chlorobenzyl]-L-prolinamide", 19371 },
	{ "M33", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-hydroxy{[(S)-hydroxy(methyl)phosphoryl]oxy}phosphoryl]adenosine", 19372 },
	{ "M34", "", "", ResidueType::NON_POLYMER, false, "N-(benzylsulfonyl)-D-leucyl-N-[2-(aminomethyl)-5-chlorobenzyl]-L-prolinamide", 19373 },
	{ "M35", "", "", ResidueType::NON_POLYMER, false, "1-[3-(aminomethyl)phenyl]-N-[3-fluoro-2'-(methylsulfonyl)biphenyl-4-yl]-3-(trifluoromethyl)-1H-pyrazole-5-carboxamide", 19374 },
	{ "M37", "", "", ResidueType::NON_POLYMER, false, "1-[2-(aminomethyl)phenyl]-N-(3-fluoro-2'-sulfamoylbiphenyl-4-yl)-3-(trifluoromethyl)-1H-pyrazole-5-carboxamide", 19375 },
	{ "M38", "", "", ResidueType::NON_POLYMER, false, "4-(5,11-DIOXO-5H-INDENO[1,2-C]ISOQUINOLIN-6(11H)-YL)BUTANOATE", 19376 },
	{ "M39", "", "", ResidueType::NON_POLYMER, false, "6-{[(3-fluorophenyl)methyl]sulfanyl}-5-(2-methylphenyl)-2,5-dihydro-4H-pyrazolo[3,4-d]pyrimidin-4-one", 19377 },
	{ "M3C", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-AMINO-4-(METHYLSULFANYL)-1-(1,3-THIAZOL-2-YL)BUTANE-1,1-DIOL", 19378 },
	{ "M3F", "", "", ResidueType::NON_POLYMER, false, "1-methyl-3-(trifluoromethyl)benzo[c][1,8]naphthyridin-6(5H)-one", 19379 },
	{ "M3I", "", "", ResidueType::NON_POLYMER, false, "5-methyl-1,2-oxazol-3-amine", 19380 },
	{ "M3K", "", "", ResidueType::NON_POLYMER, false, "2-([3R-3,4-dihydroxybutyl]oxy)-4-fluoro-6-[(2-fluoro-4-iodophenyl)amino]benzamide", 19381 },
	{ "M3L", "", "", ResidueType::PEPTIDE_LINKING, false, "N-TRIMETHYLLYSINE", 19382 },
	{ "M3M", "", "", ResidueType::SACCHARIDE, false, "3-O-alpha-D-mannopyranosyl-alpha-D-mannopyranose", 19383 },
	{ "M3N", "", "", ResidueType::NON_POLYMER, false, "4-(hydroxymethyl)-1-(alpha-D-mannopyranosyl)-1H-1,2,3-triazole", 19384 },
	{ "M3O", "", "", ResidueType::RNA_LINKING, false, "", 19385 },
	{ "M3P", "", "", ResidueType::NON_POLYMER, false, "(2E,4E)-2-hydroxy-6-oxohepta-2,4-dienoic acid", 19386 },
	{ "M3R", "", "", ResidueType::PEPTIDE_AMINO_TERMINUS, false, "Methyl phosphonated L-Arginine", 19387 },
	{ "M3S", "", "", ResidueType::NON_POLYMER, false, "2-(acetyloxy)-3-methylbenzoic acid", 19388 },
	{ "M3T", "", "", ResidueType::NON_POLYMER, false, "3-methylbenzenethiol", 19389 },
	{ "M3W", "", "", ResidueType::NON_POLYMER, false, "8-METHYL-2-(4-METHYLPHENYL)-3,4-DIHYDROQUINAZOLIN-4-ONE", 19390 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "(1R,2S)-2-({N-[(benzyloxy)carbonyl]-3-cyclohexyl-L-alanyl}amino)-1-hydroxy-3-[(3S)-2-oxopyrrolidin-3-yl]propane-1-sulfonic acid", 19391 },
	{ "M41", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(benzylsulfonyl)-D-valyl-N-[2-(aminomethyl)-5-chlorobenzyl]-L-prolinamide", 19392 },
	{ "M42", "", "", ResidueType::NON_POLYMER, false, "6-methyl[1,3]dioxolo[4,5-h]quinolin-8(9H)-one", 19393 },
	{ "M43", "", "", ResidueType::NON_POLYMER, false, "(17[2]S)-17[2]-methylthio-coenzyme F43", 19394 },
	{ "M44", "", "", ResidueType::NON_POLYMER, false, "", 19395 },
	{ "M46", "", "", ResidueType::NON_POLYMER, false, "7-[2-[3-(3-fluorophenyl)propylamino]ethyl]quinolin-2-amine", 19396 },
	{ "M48", "", "", ResidueType::NON_POLYMER, false, "7-[2-[2-(3-fluorophenyl)ethylamino]ethyl]quinolin-2-amine", 19397 },
	{ "M49", "", "", ResidueType::NON_POLYMER, false, "N-{(3R)-3-[2-(acetylamino)ethyl]-2-oxo-2,3-dihydro-1H-indol-5-yl}acetamide", 19398 },
	{ "M4A", "", "", ResidueType::NON_POLYMER, false, "2-methylquinolin-4-amine", 19399 },
	{ "M4C", "", "4OC", ResidueType::RNA_LINKING, true, "", 19400 },
	{ "M4D", "", "", ResidueType::NON_POLYMER, false, "5-(4-azanylbutyl)-3-pentyl-quinolin-2-amine", 19401 },
	{ "M4M", "", "", ResidueType::NON_POLYMER, false, "1-amino-9,10-dioxo-4-[(4-sulfamoylphenyl)amino]-9,10-dihydroanthracene-2-sulfonic acid", 19402 },
	{ "M4O", "", "", ResidueType::NON_POLYMER, false, "", 19403 },
	{ "M4R", "", "", ResidueType::NON_POLYMER, false, "3-[(2-amino-4-methylquinolin-7-yl)methoxy]-5-[(2R)-2-(methylamino)propyl]benzonitrile", 19404 },
	{ "M4S", "", "", ResidueType::NON_POLYMER, false, "4-methoxybenzenesulfonamide", 19405 },
	{ "M4V", "", "", ResidueType::NON_POLYMER, false, "2-amino-6-(4-bromophenyl)-5-phenyl-3H-pyrrolo[2,3-d]pyrimidin-4(7H)-one", 19406 },
	{ "M4Z", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-[(4-carbamimidoylphenyl)methyl]-1-[(2R)-2-cyclohexyl-2-[[2-(ethylamino)-2-oxidanylidene-ethyl]amino]ethanoyl]azetidine-2-carboxamide", 19407 },
	{ "M51", "", "", ResidueType::NON_POLYMER, false, "{(2S,4S)-4-[4-(3-methyl-1-phenyl-1H-pyrazol-5-yl)piperazin-1-yl]pyrrolidin-2-yl}(1,3-thiazolidin-3-yl)methanone", 19408 },
	{ "M52", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(2-amino-5-bromopyridin-3-yl)sulfonyl]-N-(4-methoxyphenyl)-N~2~-methylglycinamide", 19409 },
	{ "M54", "", "", ResidueType::NON_POLYMER, false, "6-(3-aminopropyl)-4-(3-hydroxyphenyl)-9-(1H-pyrazol-4-yl)benzo[h]isoquinolin-1(2H)-one", 19410 },
	{ "M59", "", "", ResidueType::NON_POLYMER, false, "[(1S,3S,4S)-3-(6-amino-9H-purin-9-yl)bicyclo[2.2.1]hept-1-yl]methanol", 19411 },
	{ "M5C", "", "", ResidueType::NON_POLYMER, false, "DIMETHYL(1S,2S,4S,5S)-4-(2-AMINOETHOXY)-5-HYDROXYCYCLOHEXANE-1,2-DICARBOXYLATE", 19412 },
	{ "M5F", "", "", ResidueType::NON_POLYMER, false, "1-[(2S)-2,3-diaminopropyl]-5-fluoropyrimidine-2,4(1H,3H)-dione", 19413 },
	{ "M5G", "", "", ResidueType::NON_POLYMER, false, "", 19414 },
	{ "M5K", "", "", ResidueType::NON_POLYMER, false, "4-METHYLQUINOLIN-2-AMINE", 19415 },
	{ "M5M", "", "", ResidueType::RNA_LINKING, false, "2'-(N-ACETAMIDE)-CYTIDINE-5'-MONOPHOSPHATE", 19416 },
	{ "M5P", "", "", ResidueType::NON_POLYMER, false, "(S)-2-(MERCAPTOMETHYL)-5-PHENYLPENTANOIC ACID", 19417 },
	{ "M5S", "", "", ResidueType::NON_POLYMER, false, "alpha-D-mannopyranosyl-(1->3)-[alpha-D-mannopyranosyl-(1->3)-[alpha-D-mannopyranosyl-(1->6)]-alpha-D-mannopyranosyl-(1->6)]-alpha-D-mannopyranose", 19418 },
	{ "M5T", "", "", ResidueType::NON_POLYMER, false, "5-Methyluridine triphosphate", 19419 },
	{ "M5Z", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3S,4R,6S)-4,6-diamino-2-{[3-O-(2,6-diamino-2,6-dideoxy-beta-L-idopyranosyl)-beta-D-ribofuranosyl]oxy}-3-hydroxycyclohexyl 2-amino-2-deoxy-4,6-O-[(1R)-3-phenylpropylidene]-alpha-D-glucopyranoside", 19420 },
	{ "M60", "", "", ResidueType::PEPTIDE_LIKE, false, "(4S)-5-[[(2S)-1-[2-(carboxymethyl)-2-[(3S)-3-hydroxy-4-oxo-4-(phenethylamino)butanoyl]hydrazinyl]-3-methyl-1-oxo-butan-2-yl]amino]-5-oxo-4-(phenylmethoxycarbonylamino)pentanoic acid", 19421 },
	{ "M61", "", "", ResidueType::NON_POLYMER, false, "", 19422 },
	{ "M62", "", "", ResidueType::NON_POLYMER, false, "7-{[(3-fluorophenyl)amino]methyl}quinolin-2-amine", 19423 },
	{ "M66", "", "", ResidueType::NON_POLYMER, false, "", 19424 },
	{ "M67", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-(4-CARBAMIMIDOYLBENZYL)-1-[(2R)-2-CYCLOHEXYL-2-{[2-OXO-2-(PROPYLAMINO)ETHYL]AMINO}ACETYL]AZETIDINE-2-CARBOXAMIDE", 19425 },
	{ "M68", "", "", ResidueType::NON_POLYMER, false, "7-[2-[2-(3-chlorophenyl)ethylamino]ethyl]quinolin-2-amine", 19426 },
	{ "M6A", "", "", ResidueType::NON_POLYMER, false, "", 19427 },
	{ "M6B", "", "", ResidueType::NON_POLYMER, false, "", 19428 },
	{ "M6D", "", "", ResidueType::NON_POLYMER, false, "6-O-phosphono-beta-D-mannopyranose", 19429 },
	{ "M6E", "", "", ResidueType::NON_POLYMER, false, "", 19430 },
	{ "M6F", "", "", ResidueType::NON_POLYMER, false, "", 19431 },
	{ "M6G", "", "", ResidueType::NON_POLYMER, false, "", 19432 },
	{ "M6P", "", "", ResidueType::SACCHARIDE, false, "ALPHA-D-MANNOSE-6-PHOSPHATE", 19433 },
	{ "M6R", "", "", ResidueType::NON_POLYMER, false, "5-AMINO-5-DEOXY-1-O-PHOSPHONO-D-MANNITOL", 19434 },
	{ "M6S", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-[(4-carbamimidoylphenyl)methyl]-1-[(2R)-2-cyclohexyl-2-[[2-(methylamino)-2-oxidanylidene-ethyl]amino]ethanoyl]azetidine-2-carboxamide", 19435 },
	{ "M6T", "", "", ResidueType::NON_POLYMER, false, "", 19436 },
	{ "M6V", "", "", ResidueType::NON_POLYMER, false, "", 19437 },
	{ "M72", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-2-hydroxy-3-methoxy-3-phenylpropanoic acid", 19438 },
	{ "M73", "", "", ResidueType::NON_POLYMER, false, "methyl (2S)-3-({[(2S,3R)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl][(2S)-2-methylbutyl]amino}-1-phenylbutan-2-yl]carbamoyl}oxy)-2-methylpropanoate", 19439 },
	{ "M74", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-2,3-dihydroxy-3-phenylpropanoic acid", 19440 },
	{ "M76", "", "", ResidueType::NON_POLYMER, false, "N-(4-fluorobenzyl)-2,3-dihydroxy-1-oxo-1,2-dihydroisoquinoline-4-carboxamide", 19441 },
	{ "M77", "", "", ResidueType::NON_POLYMER, false, "5-(1,4-DIAZEPAN-1-SULFONYL)ISOQUINOLINE", 19442 },
	{ "M7A", "", "", ResidueType::RNA_LINKING, false, "", 19443 },
	{ "M7B", "", "", ResidueType::NON_POLYMER, false, "7-O-phosphono-D-glycero-beta-D-manno-heptopyranose", 19444 },
	{ "M7C", "", "", ResidueType::NON_POLYMER, false, "N-[(2Z,5R,7R,8S,9S,10R)-8,9,10-trihydroxy-7-(hydroxymethyl)-4-oxo-6-oxa-1-thia-3-azaspiro[4.5]dec-2-ylidene]benzamide", 19445 },
	{ "M7E", "", "", ResidueType::NON_POLYMER, false, "1-ALPHA-HYDROXY-27-NOR-25-O-CARBONYL-VITAMIN D3", 19446 },
	{ "M7G", "MDG", "", ResidueType::NON_POLYMER, false, "7N-METHYL-8-HYDROGUANOSINE-5'-DIPHOSPHATE", 19447 },
	{ "M7K", "", "", ResidueType::NON_POLYMER, false, "7-{2-[(3-fluorobenzyl)amino]ethyl}quinolin-2-amine", 19448 },
	{ "M7M", "", "", ResidueType::NON_POLYMER, false, "", 19449 },
	{ "M7O", "", "", ResidueType::NON_POLYMER, false, "2-[(phenylmethyl)carbamoylamino]benzoic acid", 19450 },
	{ "M7P", "", "", ResidueType::NON_POLYMER, false, "D-GLYCERO-D-MANNOPYRANOSE-7-PHOSPHATE", 19451 },
	{ "M7R", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-benzyl-3-(4-propoxy-3-{[({4-[(3S,5S,7S)-tricyclo[3.3.1.1~3,7~]dec-1-yl]phenyl}carbonyl)amino]methyl}phenyl)propanoic acid", 19452 },
	{ "M7S", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-benzyl-3-(4-propoxy-3-{[({4-[(3S,5S,7S)-tricyclo[3.3.1.1~3,7~]dec-1-yl]phenyl}carbonyl)amino]methyl}phenyl)propanoic acid", 19453 },
	{ "M7U", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(hexadecanoyloxy)-3-{[(10R)-10-methyloctadecanoyl]oxy}propyl phosphate", 19454 },
	{ "M80", "", "", ResidueType::NON_POLYMER, false, "3-[4-({N-[(BENZYLOXY)CARBONYL]-L-PHENYLALANYL}AMINO)PHENYL]PROPANOIC ACID", 19455 },
	{ "M81", "", "", ResidueType::NON_POLYMER, false, "1-[(2-chlorophenyl)methyl]pyrazole-3,5-dicarboxylic acid", 19456 },
	{ "M84", "", "", ResidueType::NON_POLYMER, false, "3-{4-[(PHENYLCARBONYL)AMINO]PHENYL}PROPANOIC ACID", 19457 },
	{ "M85", "", "", ResidueType::NON_POLYMER, false, "7-[[3-(methylaminomethyl)phenoxy]methyl]quinolin-2-amine", 19458 },
	{ "M86", "", "", ResidueType::NON_POLYMER, false, "2-(2-oxoimidazolidin-1-yl)ethyl [(2S,3R)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl][(2S)-2-methylbutyl]amino}-1-phenylbutan-2-yl]carbamate", 19459 },
	{ "M87", "", "", ResidueType::NON_POLYMER, false, "7-[[2-(3-fluorophenyl)ethylamino]methyl]quinolin-2-amine", 19460 },
	{ "M8A", "", "", ResidueType::NON_POLYMER, false, "benzyl (2R)-2-{[4-(3-oxopropyl)phenyl]carbamoyl}pyrrolidine-1-carboxylate", 19461 },
	{ "M8B", "", "", ResidueType::NON_POLYMER, false, "", 19462 },
	{ "M8C", "", "", ResidueType::SACCHARIDE, false, "METHYL ALPHA-D-GALACTOPYRANURONATE", 19463 },
	{ "M8D", "", "", ResidueType::NON_POLYMER, false, "5-[[3-(aminomethyl)phenyl]methyl]-3-pentyl-quinolin-2-amine", 19464 },
	{ "M8E", "", "", ResidueType::NON_POLYMER, false, "5'-{[4-(aminooxy)butyl](methyl)amino}-5'-deoxy-8-ethenyladenosine", 19465 },
	{ "M8F", "", "", ResidueType::NON_POLYMER, false, "N-[(5S)-5-amino-5-carboxypentanoyl]-L-cysteinyl-D-methionine", 19466 },
	{ "M8M", "", "", ResidueType::NON_POLYMER, false, "5'-{[2-(aminooxy)ethyl](methyl)amino}-5'-deoxy-8-methyladenosine", 19467 },
	{ "M8O", "", "", ResidueType::NON_POLYMER, false, "4-Maleylacetoacetic acid", 19468 },
	{ "M8P", "", "", ResidueType::NON_POLYMER, false, "N-[(2Z,5R,7R,8S,9S,10R)-8,9,10-trihydroxy-7-(hydroxymethyl)-4-oxo-6-oxa-1-thia-3-azaspiro[4.5]dec-2-ylidene]naphthalene-2-carboxamide", 19469 },
	{ "M8Q", "", "", ResidueType::NON_POLYMER, false, "3-[3-(methylsulfonylaminomethyl)phenyl]benzoic acid", 19470 },
	{ "M8Y", "", "", ResidueType::NON_POLYMER, false, "", 19471 },
	{ "M90", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-1-{[(2R)-1-{[(2S,3R)-1-cyclohexyl-3-hydroxy-4-(pyridin-4-yloxy)butan-2-yl]amino}-3-(methylsulfanyl)-1-oxopropan-2-yl]amino}-1-oxo-3-phenylpropan-2-yl 4-aminopiperidine-1-carboxylate", 19472 },
	{ "M91", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-1-{[(2R)-1-{[(2S,3S)-1-cyclohexyl-3-hydroxy-4-(2-oxopyridin-1(2H)-yl)butan-2-yl]amino}-3-(methylsulfanyl)-1-oxopropan-2-yl]amino}-1-oxo-3-phenylpropan-2-yl 4-aminopiperidine-1-carboxylate", 19473 },
	{ "M94", "", "", ResidueType::NON_POLYMER, false, "7-[[3-[2-(methylamino)ethyl]phenoxy]methyl]quinolin-2-amine", 19474 },
	{ "M95", "", "", ResidueType::NON_POLYMER, false, "(2E)-N-[(2S)-1-hydroxy-3-phenylpropan-2-yl]-3-(4-oxo-1,4-dihydroquinazolin-2-yl)prop-2-enamide", 19475 },
	{ "M97", "", "", ResidueType::NON_POLYMER, false, "1-[(3R,4R)-4-(1H-indol-3-yl)-2,5-dioxopyrrolidin-3-yl]pyrrolo[3,2,1-ij]quinolinium", 19476 },
	{ "M98", "", "", ResidueType::NON_POLYMER, false, "(S)-3-(2-(3-CYCLOPROPOXY-4-(DIFLUOROMETHOXY)PHENYL)-2-(5-(1,1,1,3,3,3-HEXAFLUORO-2-HYDROXYPROPAN-2-YL)THIAZOL-2-YL)ETHYL)PYRIDINE 1-OXIDE", 19477 },
	{ "M99", "", "", ResidueType::NON_POLYMER, false, "(R)-3-(2-(3-CYCLOPROPOXY-4-(DIFLUOROMETHOXY)PHENYL)-2-(5-(1,1,1,3,3,3-HEXAFLUORO-2-HYDROXYPROPAN-2-YL)THIAZOL-2-YL)ETHYL)PYRIDINE 1-OXIDE", 19478 },
	{ "M9F", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-AMINO-6-[[(2R)-1-[[(2S)-1-HYDROXY-3-METHYLSULFANYL-1-OXO-BUTAN-2-YL]AMINO]-1-OXO-3-SULFANYL-PROPAN-2-YL]AMINO]-6-OXO-HEXANOIC ACID", 19479 },
	{ "M9M", "", "", ResidueType::NON_POLYMER, false, "4-[(5-methyl-1,2-oxazol-3-yl)methyl]-7-[4-(1-methylpiperidin-4-yl)butyl]-2H-1,4-benzoxazin-3(4H)-one", 19480 },
	{ "M9P", "", "", ResidueType::NON_POLYMER, false, "amino{[(4S,5S)-4-amino-6,6,6-trifluoro-5-hydroxyhexyl]amino}methaniminium", 19481 },
	{ "MA", "", "", ResidueType::PEPTIDE_CARBOXY_TERMINUS, false, "METHYL L-ALANINATE", 19482 },
	{ "MA0", "", "", ResidueType::NON_POLYMER, false, "(1R)-6-HYDROXY-N-METHYL-N-[(1Z)-PROP-2-EN-1-YLIDENE]INDAN-1-AMINIUM", 19483 },
	{ "MA1", "", "", ResidueType::SACCHARIDE, false, "1,4-dithio-alpha-D-glucopyranose", 19484 },
	{ "MA2", "", "", ResidueType::SACCHARIDE, false, "4-S-methyl-4-thio-alpha-D-glucopyranose", 19485 },
	{ "MA3", "", "", ResidueType::SACCHARIDE, false, "O1-METHYL-4-DEOXY-4-THIO-ALPHA-D-GLUCOSE", 19486 },
	{ "MA4", "", "", ResidueType::NON_POLYMER, false, "CYCLOHEXYL-HEXYL-BETA-D-MALTOSIDE", 19487 },
	{ "MA5", "", "", ResidueType::NON_POLYMER, false, "2-(6-(2-CYCLOHEXYLETHOXY)-TETRAHYDRO-4,5-DIHYDROXY-2(HYDROXYMETHYL)-2H-PYRAN-3-YLOXY)-TETRAHYDRO-6(HYDROXYMETHYL)-2H-PYRAN-3,4,5-TRIOL", 19488 },
	{ "MA6", "", "", ResidueType::RNA_LINKING, false, "6N-DIMETHYLADENOSINE-5'-MONOPHOSHATE", 19489 },
	{ "MA7", "", "", ResidueType::DNA_LINKING, false, "1N-METHYLADENOSINE-5'-MONOPHOSPHATE", 19490 },
	{ "MA8", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,5S,6S)-2,3,4,5,6-PENTAHYDROXYCYCLOHEXYL 2-(L-CYSTEINYLAMINO)-2-DEOXY-ALPHA-L-GLUCOPYRANOSIDE", 19491 },
	{ "MA9", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-1-{6-[3-(METHYLSULFONYL)PHENYL]PYRIMIDIN-4-YL}-4-(2,4,5-TRIFLUOROPHENYL)PIPERIDIN-3-AMINE", 19492 },
	{ "MAA", "", "", ResidueType::PEPTIDE_LINKING, false, "N-methyl-L-alanine", 19493 },
	{ "MAB", "", "", ResidueType::SACCHARIDE, false, "MANNOBIOSE", 19494 },
	{ "MAC", "", "", ResidueType::NON_POLYMER, false, "MERCURY ACETATE ION", 19495 },
	{ "MAD", "", "1MA", ResidueType::RNA_LINKING, true, "6-HYDRO-1-METHYLADENOSINE-5'-MONOPHOSPHATE", 19496 },
	{ "MAE", "", "", ResidueType::NON_POLYMER, false, "MALEIC ACID", 19497 },
	{ "MAF", "", "", ResidueType::NON_POLYMER, false, "2-DEOXY-2-FLUORO-ALPHA-D-MANNOSE", 19498 },
	{ "MAG", "1NA", "", ResidueType::SACCHARIDE, false, "BETA-METHYL-N-ACETYL-D-GLUCOSAMINE", 19499 },
	{ "MAH", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXY-3-METHYL-GLUTARIC ACID", 19500 },
	{ "MAI", "", "", ResidueType::PEPTIDE_LINKING, true, "DEOXO-METHYLARGININE", 19501 },
	{ "MAJ", "", "", ResidueType::NON_POLYMER, false, "indane-5-sulfonamide", 19502 },
	{ "MAK", "", "", ResidueType::NON_POLYMER, false, "ALPHA-KETOMALONIC ACID", 19503 },
	{ "MAL", "", "", ResidueType::SACCHARIDE, false, "MALTOSE", 19504 },
	{ "MAM", "", "MMA", ResidueType::NON_POLYMER, true, "1-O-METHYL-ALPHA-D-MANNOSE", 19505 },
	{ "MAN", "", "", ResidueType::SACCHARIDE, false, "ALPHA-D-MANNOSE", 19506 },
	{ "MAO", "", "", ResidueType::NON_POLYMER, false, "", 19507 },
	{ "MAP", "", "", ResidueType::NON_POLYMER, false, "MAGNESIUM-5'-ADENYLY-IMIDO-TRIPHOSPHATE", 19508 },
	{ "MAQ", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-8-METHYLQUINAZOLIN-4(3H)-ONE", 19509 },
	{ "MAR", "", "", ResidueType::NON_POLYMER, false, "4'-EPI-4'-(2-DEOXYFUCOSE)DAUNOMYCIN", 19510 },
	{ "MAS", "", "", ResidueType::NON_POLYMER, false, "dimethylsulfamic acid", 19511 },
	{ "MAT", "", "", ResidueType::SACCHARIDE, false, "2,4-DIDEOXY-4-[2-(PROPYL)AMINO]-3-O-METHYL ALPHA-L-THREO-PENTOPYRANOSIDE", 19512 },
	{ "MAU", "", "", ResidueType::NON_POLYMER, false, "N-METHYL KIRROMYCIN", 19513 },
	{ "MAV", "", "", ResidueType::SACCHARIDE, false, "alpha-D-mannopyranuronic acid", 19514 },
	{ "MAW", "", "", ResidueType::SACCHARIDE, false, "4-deoxy-alpha-L-erythro-hex-4-enopyranuronic acid", 19515 },
	{ "MAX", "", "", ResidueType::NON_POLYMER, false, "MATAIRESINOL", 19516 },
	{ "MAY", "", "", ResidueType::NON_POLYMER, false, "METHYL ARACHIDONYL FLUOROPHOSPHONATE", 19517 },
	{ "MAZ", "", "", ResidueType::NON_POLYMER, false, "FORMIC ACID 3-AMINO-BENZYL ESTER", 19518 },
	{ "MB0", "", "7CP", ResidueType::NON_POLYMER, true, "(4R)-7,8-dichloro-1',9-dimethyl-1-oxo-1,2,4,9-tetrahydrospiro[beta-carboline-3,4'-piperidine]-4-carbonitrile", 19519 },
	{ "MB1", "", "", ResidueType::NON_POLYMER, false, "2-chloro-5-nitrobenzenesulfonamide", 19520 },
	{ "MB2", "", "", ResidueType::NON_POLYMER, false, "5-({[(4-fluorophenyl)sulfonyl]carbamoyl}amino)pyridine-2-sulfonamide", 19521 },
	{ "MB3", "", "", ResidueType::NON_POLYMER, false, "1-methylpyrrolidin-2-one", 19522 },
	{ "MB4", "", "", ResidueType::NON_POLYMER, false, "5-({[(2-methylphenyl)sulfonyl]carbamoyl}amino)pyridine-2-sulfonamide", 19523 },
	{ "MB5", "", "", ResidueType::NON_POLYMER, false, "(5aS,12aS,13aS)-9-chloro-12,12-dimethyl-2,3,11,12,12a,13-hexahydro-1H,5H,6H-5a,13a-(epiminomethano)indolizino[7,6-b]carbazol-14-one", 19524 },
	{ "MB6", "", "", ResidueType::NON_POLYMER, false, "5-({[(4-chlorophenyl)sulfonyl]carbamoyl}amino)pyridine-2-sulfonamide", 19525 },
	{ "MB7", "", "", ResidueType::NON_POLYMER, false, "5-({[(4-methylphenyl)sulfonyl]carbamoyl}amino)pyridine-2-sulfonamide", 19526 },
	{ "MB8", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-methylbut-2-enoic acid", 19527 },
	{ "MB9", "", "", ResidueType::NON_POLYMER, false, "(4R)-7-chloro-9-methyl-1-oxo-1,2,4,9-tetrahydrospiro[beta-carboline-3,4'-piperidine]-4-carbonitrile", 19528 },
	{ "MBA", "", "DCI", ResidueType::NON_POLYMER, true, "2-METHYLBUTYLAMINE", 19529 },
	{ "MBB", "", "", ResidueType::NON_POLYMER, false, "2'-(3-METHYL-4-DIMETHYLAMINOPHENYL)-5-(4-METHYL-1-PIPERAZINYL)-2,5'-BI-BENZIMIDAZOLE", 19530 },
	{ "MBC", "", "", ResidueType::NON_POLYMER, false, "2-(5-{4-[AMINO(IMINO)METHYL]PHENYL}-2-FURYL)-1H-BENZIMIDAZOLE-5-CARBOXIMIDAMIDE", 19531 },
	{ "MBD", "", "", ResidueType::NON_POLYMER, false, "3-METHYLCATECHOL", 19532 },
	{ "MBE", "", "", ResidueType::SACCHARIDE, false, "4-Nitrophenyl-beta-D-mannopyranoside", 19533 },
	{ "MBF", "", "", ResidueType::NON_POLYMER, false, "2-DEOXY-2-FLUORO-BETA-D-MANNOSE", 19534 },
	{ "MBG", "MGA", "", ResidueType::SACCHARIDE, false, "METHYL-BETA-GALACTOSE", 19535 },
	{ "MBH", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-benzyl-1-(carboxymethyl)-1-methyldiazanium", 19536 },
	{ "MBL", "", "", ResidueType::NON_POLYMER, false, "1-pentyl-4-phenyl-imidazol-2-amine", 19537 },
	{ "MBM", "", "", ResidueType::NON_POLYMER, false, "N-{N'-(2-methyl-1-benzofuran-5-yl)-N-[(3S)-2-oxo-1-(2-oxo-2-pyrrolidin-1-ylethyl)azepan-3-yl]carbamimidoyl}pyridine-3-carboxamide", 19538 },
	{ "MBN", "", "", ResidueType::NON_POLYMER, false, "TOLUENE", 19539 },
	{ "MBO", "", "", ResidueType::NON_POLYMER, false, "MERCURIBENZOIC ACID", 19540 },
	{ "MBP", "", "", ResidueType::NON_POLYMER, false, "1-[(2-AMINO-6,9-DIHYDRO-1H-PURIN-6-YL)OXY]-3-METHYL-2-BUTANOL", 19541 },
	{ "MBQ", "", "", ResidueType::PEPTIDE_LINKING, false, "2-HYDROXY-5-({1-[(4-METHYLPHENOXY)METHYL]-3-OXOPROP-1-ENYL}AMINO)-L-TYROSINE", 19542 },
	{ "MBR", "B4M", "", ResidueType::NON_POLYMER, false, "TRIBROMOMETHANE", 19543 },
	{ "MBS", "", "", ResidueType::NON_POLYMER, false, "", 19544 },
	{ "MBT", "", "", ResidueType::NON_POLYMER, false, "3,7-BIS(DIMETHYLAMINO)PHENOTHIAZIN-5-IUM", 19545 },
	{ "MBV", "", "", ResidueType::NON_POLYMER, false, "MESOBILIVERDIN IV ALPHA", 19546 },
	{ "MBX", "", "", ResidueType::NON_POLYMER, false, "~{N}-[4-[2-[[5-cyano-8-[(2~{S},6~{S})-2,6-dimethylmorpholin-4-yl]-3,3-dimethyl-1,4-dihydropyrano[3,4-c]pyridin-6-yl]sulfanyl]ethyl]phenyl]prop-2-enamide", 19547 },
	{ "MBY", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S)-2-(hydroxymethyl)-1-[(4-hydroxythieno[3,2-d]pyrimidin-7-yl)methyl]pyrrolidine-3,4-diol", 19548 },
	{ "MBZ", "", "", ResidueType::DNA_LINKING, false, "1-[2-DEOXYRIBOFURANOSYL]-4-METHYL-BENZOIMIDAZOLE-5'-MONOPHOSPHATE", 19549 },
	{ "MC", "", "", ResidueType::NON_POLYMER, false, "1,2-CIS-1-HYDROXY-2,7-DIAMINO-MITOSENE", 19550 },
	{ "MC1", "", "", ResidueType::PEPTIDE_LINKING, true, "METHICILLIN ACYL-SERINE", 19551 },
	{ "MC2", "", "", ResidueType::NON_POLYMER, false, "N2-(L-PHENYLALANYL)-N1-(NAPHTHALENYL)-L-ARIGNINAMIDE", 19552 },
	{ "MC3", "", "", ResidueType::NON_POLYMER, false, "1,2-DIMYRISTOYL-RAC-GLYCERO-3-PHOSPHOCHOLINE", 19553 },
	{ "MC4", "", "", ResidueType::NON_POLYMER, false, "2-METHYLACETOACETYL COA", 19554 },
	{ "MC5", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-({6-[(2-fluorobenzyl)oxy]naphthalen-2-yl}methyl)-1,3-thiazolidine-2,4-dione", 19555 },
	{ "MC8", "", "", ResidueType::NON_POLYMER, false, "", 19556 },
	{ "MC9", "", "", ResidueType::NON_POLYMER, false, "CALCIPOTRIOL", 19557 },
	{ "MCA", "", "", ResidueType::NON_POLYMER, false, "METHYLMALONYL-COENZYME A", 19558 },
	{ "MCB", "", "", ResidueType::NON_POLYMER, true, "METHYLENE CARBONYL GROUP", 19559 },
	{ "MCD", "", "", ResidueType::NON_POLYMER, false, "METHYLMALONYL(CARBADETHIA)-COENZYME A", 19560 },
	{ "MCE", "", "", ResidueType::NON_POLYMER, true, "CHLOROETHYL GROUP", 19561 },
	{ "MCF", "", "", ResidueType::NON_POLYMER, false, "(8R)-3-(5-S-methyl-5-thio-beta-D-ribofuranosyl)-3,6,7,8-tetrahydroimidazo[4,5-d][1,3]diazepin-8-ol", 19562 },
	{ "MCG", "", "", ResidueType::PEPTIDE_LINKING, false, "(S)-(ALPHA)-METHYL-4-CARBOXYPHENYLGLYCINE", 19563 },
	{ "MCH", "", "", ResidueType::NON_POLYMER, false, "trichloromethane", 19564 },
	{ "MCI", "", "", ResidueType::NON_POLYMER, false, "(2-MERCAPTOMETHYL-4-PHENYL-BUTYRYLIMINO)-(5-TETRAZOL-1-YLMETHYL-THIOPHEN-2-YL)-ACETIC ACID", 19565 },
	{ "MCJ", "", "", ResidueType::NON_POLYMER, false, "N-[(2,3-dihydroxyphenyl)carbonyl]-O-[(2S)-2-{[(2,3-dihydroxyphenyl)carbonyl]amino}-3-({N-[(2,3-dihydroxyphenyl)carbonyl]-L-seryl}oxy)propanoyl]-D-serine", 19566 },
	{ "MCK", "", "", ResidueType::NON_POLYMER, false, "N-[(2,3-dihydroxyphenyl)carbonyl]-O-[(2S)-2-{[(2,3-dihydroxyphenyl)carbonyl]amino}-3-(L-seryloxy)propanoyl]-L-serine", 19567 },
	{ "MCL", "", "KPI", ResidueType::PEPTIDE_LINKING, true, "NZ-(1-CARBOXYETHYL)-LYSINE", 19568 },
	{ "MCM", "", "", ResidueType::NON_POLYMER, false, "7-AMINO-4-METHYL-CHROMEN-2-ONE", 19569 },
	{ "MCN", "", "", ResidueType::NON_POLYMER, false, "PTERIN CYTOSINE DINUCLEOTIDE", 19570 },
	{ "MCO", "", "", ResidueType::NON_POLYMER, false, "1-(3-MERCAPTO-2-METHYL-PROPIONYL)-PYRROLIDINE-2-CARBOXYLIC ACID", 19571 },
	{ "MCP", "", "", ResidueType::NON_POLYMER, false, "2-CARBOXY-4-METHYLPIPERIDINE", 19572 },
	{ "MCQ", "", "", ResidueType::NON_POLYMER, false, "{(4S)-2-[(1R)-1-amino-3-(methylsulfanyl)propyl]-4-[(S)-[(2-hydroxyethyl)sulfanyl](4-hydroxyphenyl)methyl]-5-oxo-4,5-dihydro-1H-imidazol-1-yl}acetic acid", 19573 },
	{ "MCR", "", "", ResidueType::NON_POLYMER, false, "SULFANYLACETIC ACID", 19574 },
	{ "MCS", "", "", ResidueType::PEPTIDE_LINKING, false, "MALONYL CYSTEINE", 19575 },
	{ "MCT", "", "", ResidueType::NON_POLYMER, false, "4-METHYLCATECHOL", 19576 },
	{ "MCU", "", "", ResidueType::SACCHARIDE, false, "methyl 4-O-methyl-beta-D-glucopyranuronate", 19577 },
	{ "MCV", "", "", ResidueType::NON_POLYMER, false, "5-[2-(2,5-dimethoxyphenyl)ethyl]thieno[2,3-d]pyrimidine-2,4-diamine", 19578 },
	{ "MCW", "", "", ResidueType::NON_POLYMER, false, "2-methoxycyclohexa-2,5-diene-1,4-dione", 19579 },
	{ "MCX", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,5S)-N-[(2S,3R)-4-amino-1-cyclobutyl-3-hydroxy-4-oxobutan-2-yl]-6,6-dimethyl-3-{3-methyl-N-[(1-methylcyclohexyl)carbamoyl]-L-valyl}-3-azabicyclo[3.1.0]hexane-2-carboxamide", 19580 },
	{ "MCY", "", "", ResidueType::DNA_LINKING, false, "5-METHYL-2'-DEOXYCYTIDINE", 19581 },
	{ "MCZ", "", "", ResidueType::NON_POLYMER, false, "(1S,3R,5Z,7E,14beta,17alpha,20S)-20-(3-hydroxy-3-methylbutoxy)-9,10-secopregna-5,7,10-triene-1,3-diol", 19582 },
	{ "MD0", "", "", ResidueType::PEPTIDE_LINKING, false, "5-amino-D-isoleucine", 19583 },
	{ "MD1", "", "", ResidueType::NON_POLYMER, false, "PHOSPHORIC ACID 4-(2-AMINO-4-OXO-3,4,5,6,-TETRAHYDRO-PTERIDIN-6-YL)-2-HYDROXY-3,4-DIMERCAPTO-BUT-3-EN-YL ESTER GUANYLATE ESTER", 19584 },
	{ "MD2", "", "", ResidueType::NON_POLYMER, false, "N,N'-BIS(2,3-BUTADIENYL)-1,4-BUTANE-DIAMINE", 19585 },
	{ "MD3", "", "", ResidueType::PEPTIDE_LINKING, false, "N-(carboxycarbonyl)-S-(naphthalen-2-ylmethyl)-L-cysteine", 19586 },
	{ "MD4", "", "", ResidueType::NON_POLYMER, false, "(3-exo)-8,8-dimethyl-3-[4-(pyridin-4-yl)-1H-1,2,3-triazol-1-yl]-8-azoniabicyclo[3.2.1]octane", 19587 },
	{ "MD5", "", "", ResidueType::PEPTIDE_LINKING, false, "N-(carboxycarbonyl)-S-(3-nitrobenzyl)-L-cysteine", 19588 },
	{ "MD6", "", "", ResidueType::PEPTIDE_LINKING, false, "N-[(3-hydroxypyridin-2-yl)carbonyl]glycine", 19589 },
	{ "MD7", "", "", ResidueType::NON_POLYMER, false, "(2Z)-N-biphenyl-4-yl-2-cyano-3-cyclopropyl-3-hydroxyprop-2-enamide", 19590 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "Magnesium deuteroporphyrin IX", 19591 },
	{ "MDA", "DDB", "", ResidueType::SACCHARIDE, false, "2,6-DIDEOXY-3 C-METHYL-D-RIBOPYRANOSIDE", 19592 },
	{ "MDB", "", "", ResidueType::NON_POLYMER, false, "(S)-N-(cyclopentylmethyl)-N-(2-(hydroxyamino)-2-oxoethyl)-2-(3-(2-methoxyphenyl)ureido)-3,3-dimethylbutanamide", 19593 },
	{ "MDC", "", "", ResidueType::NON_POLYMER, false, "N-[2-(1-MALEIMIDYL)ETHYL]-7-DIETHYLAMINOCOUMARIN-3-CARBOXAMIDE", 19594 },
	{ "MDD", "", "", ResidueType::NON_POLYMER, false, "MALONALDEHYDE", 19595 },
	{ "MDE", "", "", ResidueType::NON_POLYMER, false, "5-MERCAPTOETHANOL-2-DECENOYL-COENZYME A", 19596 },
	{ "MDF", "", "", ResidueType::PEPTIDE_LINKING, false, "", 19597 },
	{ "MDG", "", "M7G", ResidueType::NON_POLYMER, true, "7N-METHYL-8-HYDROGUANOSINE-5'-DIPHOSPHATE", 19598 },
	{ "MDH", "", "", ResidueType::PEPTIDE_LINKING, false, "N-METHYLDEHYDROBUTYRINE", 19599 },
	{ "MDJ", "", "", ResidueType::DNA_LINKING, false, "4-amino-1-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-3-(hydroxymethyl)pyridin-2(1H)-one", 19600 },
	{ "MDK", "", "", ResidueType::DNA_LINKING, false, "4-amino-1-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-3-methylpyridin-2(1H)-one", 19601 },
	{ "MDL", "", "", ResidueType::PEPTIDE_LIKE, false, "[DEHYDROXY-N-METHYL-TYROSYL-PROLINYL]-[4,4,5,5,5-PENTAFLUORO-3-OXY-1-[3-INDOLYL]-PENT-2-YL]AMINE", 19602 },
	{ "MDM", "", "", ResidueType::SACCHARIDE, false, "METHYL-O3-(ALPHA-D-MANNOSE)-ALPHA-D-MANNOSE", 19603 },
	{ "MDN", "", "", ResidueType::NON_POLYMER, false, "METHYLENEDIPHOSPHONIC ACID", 19604 },
	{ "MDO", "", "", ResidueType::PEPTIDE_LINKING, false, "{2-[(1S)-1-aminoethyl]-4-methylidene-5-oxo-4,5-dihydro-1H-imidazol-1-yl}acetic acid", 19605 },
	{ "MDP", "", "", ResidueType::SACCHARIDE, false, "N-CARBOXY-N-METHYL-MURAMIC ACID", 19606 },
	{ "MDQ", "", "", ResidueType::DNA_LINKING, false, "", 19607 },
	{ "MDR", "", "", ResidueType::DNA_LINKING, false, "9-(2-DEOXY-BETA-D-RIBOFURANOSYL)-6-METHYLPURINE", 19608 },
	{ "MDS", "", "", ResidueType::NON_POLYMER, false, "N-[METHIONYL]-N'-[ADENOSYL]-DIAMINOSULFONE", 19609 },
	{ "MDU", "", "", ResidueType::DNA_LINKING, false, "", 19610 },
	{ "MDV", "", "", ResidueType::DNA_LINKING, false, "(7S,8S)-3-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-7,8-dihydro-3H-imidazo[2,1-i]purine-7,8-diol", 19611 },
	{ "MDW", "", "", ResidueType::NON_POLYMER, false, "(1R)-N,6-DIHYDROXY-7-METHOXY-2-[(4-METHOXYPHENYL)SULFONYL]-1,2,3,4-TETRAHYDROISOQUINOLINE-1-CARBOXAMIDE", 19612 },
	{ "MDX", "", "", ResidueType::NON_POLYMER, false, "11-MERCAPTOUNDECANOIC ACID", 19613 },
	{ "MDY", "", "", ResidueType::NON_POLYMER, false, "(2Z)-N-(3-chloro-2'-methoxybiphenyl-4-yl)-2-cyano-3-hydroxybut-2-enamide", 19614 },
	{ "MDZ", "", "", ResidueType::NON_POLYMER, false, "N~6~-METHYL-6-OXO-L-LYSINE - 2-[(3-MERCAPTOBUTANOYL)OXY]-3-METHYLBUTANOIC ACID", 19615 },
	{ "ME0", "", "", ResidueType::PEPTIDE_LINKING, false, "hydroxy-L-methionine", 19616 },
	{ "ME1", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-N-(2-(4-(2-OXOPYRIDIN-1(2H)-YL)BENZAMIDO)ETHYL)THIOPHENE-2-CARBOXAMIDE", 19617 },
	{ "ME2", "", "", ResidueType::NON_POLYMER, false, "1-ETHOXY-2-(2-METHOXYETHOXY)ETHANE", 19618 },
	{ "ME3", "", "", ResidueType::NON_POLYMER, false, "RUTHENIUM-PYRIDOCARBAZOLE-3", 19619 },
	{ "ME4", "", "", ResidueType::NON_POLYMER, false, "3-CHLORO-N-((1R,2S) -2-(4-(2-OXOPYRIDIN-1(2H)-YL)BENZAMIDO)CYCLOHEXYL)-1H-INDOLE-6-CARBOXAMIDE", 19620 },
	{ "ME5", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-N-((1R,2S)-2-(4-(2-OXOPYRIDIN-1(2H)-YL)BENZAMIDO) CYCLOPENTYL)THIOPHENE-2-CARBOXAMIDE", 19621 },
	{ "ME6", "", "", ResidueType::DNA_LINKING, false, "[(2R,3S,5R)-5-(4-azanyl-3-methyl-2-oxo-pyrimidin-3-ium-1-yl)-3-hydroxy-oxolan-2-yl]methyl dihydrogen phosphate", 19622 },
	{ "ME7", "", "", ResidueType::NON_POLYMER, false, "1,1'-ethane-1,2-diylbis(1H-pyrrole-2,5-dione)", 19623 },
	{ "ME8", "", "", ResidueType::NON_POLYMER, false, "[[(2R,3S,4R,5R)-5-(6-aminopurin-9-yl)-3,4-dihydroxy-oxolan-2-yl]methoxy-hydroxy-phosphoryl] (2S)-2-azanyl-4-methylsulfanyl-butanoate", 19624 },
	{ "ME9", "", "", ResidueType::NON_POLYMER, false, "1,1'-butane-1,4-diylbis(1H-pyrrole-2,5-dione)", 19625 },
	{ "MEA", "", "", ResidueType::PEPTIDE_LINKING, false, "N-METHYLPHENYLALANINE", 19626 },
	{ "MEB", "", "", ResidueType::NON_POLYMER, false, "2-methylprop-1-ene", 19627 },
	{ "MEC", "", "", ResidueType::NON_POLYMER, false, "ETHYL-CARBAMIC ACID METHYL ESTER", 19628 },
	{ "MED", "", "", ResidueType::PEPTIDE_LINKING, false, "D-METHIONINE", 19629 },
	{ "MEE", "", "", ResidueType::NON_POLYMER, false, "METHANETHIOL", 19630 },
	{ "MEF", "", "", ResidueType::NON_POLYMER, false, "N-({4-[(6aR)-3-amino-1-oxo-1,2,5,6,6a,7-hexahydroimidazo[1,5-f]pteridin-8(9H)-yl]phenyl}carbonyl)-L-glutamic acid", 19631 },
	{ "MEG", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,3S)-2-azanyl-3-methyl-pentanedioic acid", 19632 },
	{ "MEI", "", "", ResidueType::NON_POLYMER, false, "(2E,4E)-11-METHOXY-3,7,11-TRIMETHYLDODECA-2,4-DIENOIC ACID", 19633 },
	{ "MEJ", "", "", ResidueType::NON_POLYMER, false, "3-(4-oxo-3,4-dihydroquinazolin-2-yl)-N-[(1S)-1-phenylethyl]propanamide", 19634 },
	{ "MEK", "", "", ResidueType::NON_POLYMER, false, "3,4-difluoro-2-[(2-fluoro-4-iodophenyl)amino]-N-(2-hydroxyethoxy)-5-[(2-hydroxyethoxy)methyl]benzamide", 19635 },
	{ "MEL", "", "", ResidueType::NON_POLYMER, false, "[((1R)-2-{(2S)-2-[({4-[AMINO(IMINO)METHYL]BENZYL}AMINO)CARBONYL]AZETIDINYL}-1-CYCLOHEXYL-2-OXOETHYL)AMINO]ACETIC ACID", 19636 },
	{ "MEM", "", "", ResidueType::NON_POLYMER, false, "(4R,5S,6S)-3-{[(3S,5S)-5-(dimethylcarbamoyl)pyrrolidin-3-yl]sulfanyl}-6-[(1R)-1-hydroxyethyl]-4-methyl-7-oxo-1-azabicyclo[3.2.0]hept-2-ene-2-carboxylic acid", 19637 },
	{ "MEN", "", "", ResidueType::PEPTIDE_LINKING, false, "N-METHYL ASPARAGINE", 19638 },
	{ "MEO", "", "", ResidueType::NON_POLYMER, true, "OXYGENS BOUND TO MET SD", 19639 },
	{ "MEP", "", "T23", ResidueType::RNA_LINKING, true, "PHOSPHORIC ACID MONO-[4-METHOXY-3-METHYL-5-(5-METHYL-2,4-DIOXO-3,4-DIHYDRO-2H-PYRIMIDIN-1-YL)-TETRAHYDRO-FURAN-2-YLMETHYL] ESTER", 19640 },
	{ "MEQ", "", "", ResidueType::PEPTIDE_LINKING, false, "N5-METHYLGLUTAMINE", 19641 },
	{ "MER", "", "", ResidueType::NON_POLYMER, false, "(4R,5S)-3-{[(3S,5S)-5-(dimethylcarbamoyl)pyrrolidin-3-yl]sulfanyl}-5-[(2S,3R)-3-hydroxy-1-oxobutan-2-yl]-4-methyl-4,5-dihydro-1H-pyrrole-2-carboxylic acid", 19642 },
	{ "MES", "", "", ResidueType::NON_POLYMER, false, "2-(N-MORPHOLINO)-ETHANESULFONIC ACID", 19643 },
	{ "MET", "", "", ResidueType::PEPTIDE_LINKING, false, "METHIONINE", 19644 },
	{ "MEU", "", "", ResidueType::PEPTIDE_LINKING, false, "O-METHYL-GLYCINE", 19645 },
	{ "MEV", "", "", ResidueType::NON_POLYMER, false, "(R)-MEVALONATE", 19646 },
	{ "MEW", "", "", ResidueType::NON_POLYMER, false, "2-methylquinazolin-4(3H)-one", 19647 },
	{ "MEX", "", "", ResidueType::NON_POLYMER, false, "1-(2,4-dihydroxyphenyl)-1,3-dihydro-2H-benzimidazol-2-one", 19648 },
	{ "MEY", "", "", ResidueType::NON_POLYMER, false, "N-{[1-(5-chloro-2,4-dihydroxyphenyl)-2-oxo-2,3-dihydro-1H-benzimidazol-5-yl]methyl}naphthalene-1-sulfonamide", 19649 },
	{ "MEZ", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-METHYLBUT-2-ENEDIOIC ACID", 19650 },
	{ "MF2", "", "", ResidueType::NON_POLYMER, false, "CIS-2,6-DIMETHYLMORPHOLINOOCTYLCARBAMYLESEROLINE", 19651 },
	{ "MF3", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-4-TRIFLUOROMETHYLSULFANYL-BUTYRIC ACID", 19652 },
	{ "MF4", "", "", ResidueType::NON_POLYMER, false, "TETRAFLUOROMAGNESATE(2-)", 19653 },
	{ "MF5", "", "", ResidueType::NON_POLYMER, false, "1-(1-methylpyridin-1-ium-2-yl)-N-[[2,3,4,5,6-pentakis(fluoranyl)phenyl]methoxy]methanimine", 19654 },
	{ "MF7", "", "", ResidueType::DNA_LINKING, false, "N-{2-amino-5-[formyl(methyl)amino]-6-hydroxypyrimidin-4-yl}-2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosylamine", 19655 },
	{ "MF8", "", "", ResidueType::NON_POLYMER, false, "Metformin", 19656 },
	{ "MFA", "", "MFU", ResidueType::SACCHARIDE, true, "ALPHA-L-1-METHYL-FUCOSE", 19657 },
	{ "MFB", "", "", ResidueType::SACCHARIDE, false, "BETA-L-METHYL-FUCOSE", 19658 },
	{ "MFC", "", "", ResidueType::PEPTIDE_LINKING, false, "5-[1-(3-FLUORO-4-HYDROXY-PHENYL)-METH-(Z)-YLIDENE]-3,5-DIHYDRO-IMIDAZOL-4-ONE", 19659 },
	{ "MFD", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,8S,9S)-3-AMINO-9-METHOXY-2,6,8-TRIMETHYL-10-PHENYLDECA-4,6-DIENOIC ACID", 19660 },
	{ "MFG", "", "", ResidueType::NON_POLYMER, false, "(1Z)-4-(4-FLUOROPHENYL)-2-METHYLIDENEBUTAN-1-IMINE", 19661 },
	{ "MFK", "", "", ResidueType::NON_POLYMER, false, "decanoyl-CoA", 19662 },
	{ "MFM", "", "", ResidueType::NON_POLYMER, false, "(E)-3-(5((5-(4-CHLOROPHENYL)FURAN-2-YL)METHYLENE)-4-OXO-2-THIOXOTHIAZOLIDIN-3-YL)PROPANOIC ACID", 19663 },
	{ "MFN", "", "", ResidueType::NON_POLYMER, false, "N-[4,5,7-TRICARBOXYHEPTANOYL]-L-GAMMA-GLUTAMYL-N-{2-[4-({5-[(FORMYLAMINO)METHYL]-3-FURYL}METHOXY)PHENYL]ETHYL}-D-GLUTAMINE", 19664 },
	{ "MFO", "", "", ResidueType::DNA_LINKING, false, "[(2~{R},3~{S},5~{R})-5-[2-azanyl-8-[ethanoyl(naphthalen-2-yl)amino]-6-oxidanylidene-3~{H}-purin-9-yl]-3-oxidanyl-oxolan-2-yl]methyl dihydrogen phosphate", 19665 },
	{ "MFP", "", "", ResidueType::NON_POLYMER, false, "((2-BROMO-4-METHYLPHENYL){6-[(4-{[(2R)-3-(DIMETHYLAMINO)-2-HYDROXYPROPYL]OXY}PHENYL)AMINO]PYRIMIDIN-4-YL}AMINO)ACETONITRILE", 19666 },
	{ "MFQ", "", "", ResidueType::NON_POLYMER, false, "((2-BROMO-4-METHYLPHENYL){6-[(4-{[(2S)-3-(DIMETHYLAMINO)-2-HYDROXYPROPYL]OXY}PHENYL)AMINO]PYRIMIDIN-4-YL}AMINO)ACETONITRILE", 19667 },
	{ "MFR", "", "", ResidueType::NON_POLYMER, false, "4-(4-methoxy-1H-pyrrolo[2,3-b]pyridin-3-yl)pyrimidin-2-amine", 19668 },
	{ "MFS", "", "", ResidueType::NON_POLYMER, false, "(1S)-2,3,6-tri-O-acetyl-1,5-anhydro-1-sulfamoyl-4-O-(2,3,4,6-tetra-O-acetyl-beta-D-galactopyranosyl)-D-glucitol", 19669 },
	{ "MFT", "", "", ResidueType::DNA_LINKING, false, "", 19670 },
	{ "MFU", "MFA", "", ResidueType::SACCHARIDE, false, "ALPHA-L-METHYL-FUCOSE", 19671 },
	{ "MFW", "", "", ResidueType::NON_POLYMER, false, "cyclopentanone", 19672 },
	{ "MFX", "", "", ResidueType::NON_POLYMER, false, "1-cyclopropyl-6-fluoro-8-methoxy-7-[(4aS,7aS)-octahydro-6H-pyrrolo[3,4-b]pyridin-6-yl]-4-oxo-1,4-dihydroquinoline-3-carboxylic acid", 19673 },
	{ "MFY", "", "", ResidueType::NON_POLYMER, false, "2-[(4-chlorobenzyl)amino]ethanesulfonic acid", 19674 },
	{ "MFZ", "", "", ResidueType::NON_POLYMER, false, "3-(4,7-dichloro-1H-indol-3-yl)prop-2-yn-1-ol", 19675 },
	{ "MG", "", "", ResidueType::NON_POLYMER, false, "MAGNESIUM ION", 19676 },
	{ "MG0", "", "", ResidueType::NON_POLYMER, false, "2-(4-{4-[(6-aminopyridin-3-yl)sulfonyl]piperazin-1-yl}phenyl)-1,1,1,3,3,3-hexafluoropropan-2-ol", 19677 },
	{ "MG1", "", "", ResidueType::DNA_LINKING, false, "", 19678 },
	{ "MG2", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-N-[1-(iminomethyl)cyclopropyl]-4-[2-(trifluoromethyl)phenyl]sulfonyl-pyrrolidine-2-carboxamide", 19679 },
	{ "MG5", "", "", ResidueType::SACCHARIDE, false, "2,3,4-tri-O-propanoyl-6-O-sulfamoyl-beta-D-glucopyranose", 19680 },
	{ "MG7", "", "", ResidueType::NON_POLYMER, false, "7-METHYLGUANOSINE", 19681 },
	{ "MG8", "", "", ResidueType::NON_POLYMER, false, "N-OCTANOYL-N-METHYLGLUCAMINE", 19682 },
	{ "MG9", "", "", ResidueType::NON_POLYMER, false, "2-{4-[(2S)-4-[(6-aminopyridin-3-yl)sulfonyl]-2-(prop-1-yn-1-yl)piperazin-1-yl]phenyl}-1,1,1,3,3,3-hexafluoropropan-2-ol", 19683 },
	{ "MGA", "", "MBG", ResidueType::SACCHARIDE, true, "BETA-METHYL-D-GALACTOSIDE", 19684 },
	{ "MGB", "", "", ResidueType::NON_POLYMER, false, "METHYLGLYOXAL BIS-(GUANYLHYDRAZONE)", 19685 },
	{ "MGC", "", "", ResidueType::NON_POLYMER, false, "ALPHA-METHYL-N-ACETYL-D-GALACTOSAMINE", 19686 },
	{ "MGD", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-5,6-DIMERCAPTO-7-METHYL-3,7,8A,9-TETRAHYDRO-8-OXA-1,3,9,10-TETRAAZA-ANTHRACEN-4-ONE GUANOSINE DINUCLEOTIDE", 19687 },
	{ "MGE", "", "", ResidueType::NON_POLYMER, false, "(1S)-2-(ALPHA-L-ALLOPYRANOSYLOXY)-1-[(TRIDECANOYLOXY)METHYL]ETHYL PALMITATE", 19688 },
	{ "MGF", "", "", ResidueType::NON_POLYMER, false, "TRIFLUOROMAGNESATE", 19689 },
	{ "MGG", "", "", ResidueType::PEPTIDE_LINKING, false, "2-(2-CARBOXY-ACETYLAMINO)-5-GUANIDINO-PENTANOIC ACID", 19690 },
	{ "MGH", "", "", ResidueType::NON_POLYMER, false, "methyl N-(carboxymethyl)-N-(3-phenylpropanoyl)glycyl-D-histidinate", 19691 },
	{ "MGI", "", "", ResidueType::NON_POLYMER, false, "methyl 4-(2,3-dihydroxy-5-methylphenoxy)-2-hydroxy-6-methylbenzoate", 19692 },
	{ "MGJ", "", "", ResidueType::NON_POLYMER, false, "N-(carboxymethyl)-N-(3-phenylpropyl)glycyl-N-methyl-L-histidinamide", 19693 },
	{ "MGK", "", "", ResidueType::NON_POLYMER, false, "methyl N-(carboxymethyl)-N-(3-phenylpropyl)glycyl-L-histidinate", 19694 },
	{ "MGL", "", "", ResidueType::SACCHARIDE, false, "O1-METHYL-GLUCOSE", 19695 },
	{ "MGM", "", "", ResidueType::NON_POLYMER, false, "2-[METHYL-(5-GERANYL-4-METHYL-PENT-3-ENYL)-AMINO]-ETHYL-DIPHOSPHATE", 19696 },
	{ "MGN", "", "", ResidueType::PEPTIDE_LINKING, false, "2-METHYL-GLUTAMINE", 19697 },
	{ "MGO", "", "", ResidueType::NON_POLYMER, false, "[[(2R,3S,4R,5R)-5-(6-AMINO-3-METHYL-4-OXO-5H-IMIDAZO[4,5-C]PYRIDIN-1-YL)-3,4-DIHYDROXY-OXOLAN-2-YL]METHOXY-HYDROXY-PHOSPHORYL] PHOSPHONO HYDROGEN PHOSPHATE", 19698 },
	{ "MGP", "", "", ResidueType::NON_POLYMER, false, "7-METHYL-GUANOSINE-5'-TRIPHOSPHATE", 19699 },
	{ "MGQ", "", "", ResidueType::RNA_LINKING, false, "7-BENZYL GUANINE MONOPHOSPHATE", 19700 },
	{ "MGR", "", "", ResidueType::NON_POLYMER, false, "MALACHITE GREEN", 19701 },
	{ "MGS", "", "", ResidueType::NON_POLYMER, false, "1,2-O-DIMETHYL-4-[2,4-DIHYDROXY-BUTYRAMIDO]-4,6-DIDEOXY-ALPHA-D-MANNOPYRANOSIDE", 19702 },
	{ "MGT", "", "", ResidueType::NON_POLYMER, false, "7N-METHYL-8-HYDROGUANOSINE-5'-TRIPHOSPHATE", 19703 },
	{ "MGU", "", "", ResidueType::NON_POLYMER, false, "2-O-[2-O-METHYL-4-[2,4-DIHYDROXY-BUTYRAMIDO]-4,6-DIDEOXY-]-ALPHA-D-MANNOPYRANOSYL-[1-O-METHYL-4-[2,4-DIHYDROXY-BUTYRAMIDO]-4,6-DIDEOXY]-ALPHA-D-MANNOPYRANOSE", 19704 },
	{ "MGV", "", "", ResidueType::RNA_LINKING, false, "P-FLUORO-7-BENZYL GUANINE MONOPHOSPHATE", 19705 },
	{ "MGW", "", "", ResidueType::NON_POLYMER, false, "methyl N-(carboxymethyl)-N-(2-phenylethyl)glycyl-L-histidinate", 19706 },
	{ "MGX", "", "", ResidueType::NON_POLYMER, false, "1-METHYLGUANIDINE", 19707 },
	{ "MGY", "", "SAR", ResidueType::PEPTIDE_LINKING, true, "N-METHYLGLYCINE", 19708 },
	{ "MGZ", "", "", ResidueType::NON_POLYMER, false, "(2R)-(4-chlorophenyl)[3-(trifluoromethyl)phenoxy]ethanoic acid", 19709 },
	{ "MH0", "", "", ResidueType::NON_POLYMER, false, "Mesoheme", 19710 },
	{ "MH1", "", "HIC", ResidueType::PEPTIDE_LINKING, true, "1-methyl-L-histidine", 19711 },
	{ "MH2", "", "", ResidueType::NON_POLYMER, false, "MANGANESE ION, 1 HYDROXYL COORDINATED", 19712 },
	{ "MH3", "", "", ResidueType::NON_POLYMER, true, "MANGANESE ION, 1 HYDROXYL COORDINATED", 19713 },
	{ "MH4", "", "", ResidueType::NON_POLYMER, false, "1-METHYL-8-{[4-(4-METHYLPIPERAZIN-1-YL)PHENYL]AMINO}-N-[(2-METHYLPYRIDIN-4-YL)METHYL]-4,5-DIHYDRO-1H-PYRAZOLO[4,3-H]QUINAZOLINE-3-CARBOXAMIDE", 19714 },
	{ "MH6", "", "", ResidueType::PEPTIDE_LINKING, false, "3-hydroxy-2-iminopropanoic acid", 19715 },
	{ "MH7", "", "", ResidueType::NON_POLYMER, false, "N-butyl-2-(butylamino)-4-[(trans-4-hydroxycyclohexyl)amino]-N-methylpyrimidine-5-carboxamide", 19716 },
	{ "MH8", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-2-methylhept-6-enoic acid", 19717 },
	{ "MH9", "", "", ResidueType::NON_POLYMER, false, "(2E,4E)-DODECA-2,4-DIENOIC ACID", 19718 },
	{ "MHA", "", "", ResidueType::NON_POLYMER, false, "(CARBAMOYLMETHYL-CARBOXYMETHYL-AMINO)-ACETIC ACID", 19719 },
	{ "MHB", "", "", ResidueType::NON_POLYMER, false, "", 19720 },
	{ "MHC", "", "", ResidueType::NON_POLYMER, false, "3-MERCAPTO-1-(1,3,4,9-TETRAHYDRO-B-CARBOLIN-2-YL)-PROPAN-1-ONE", 19721 },
	{ "MHD", "", "", ResidueType::NON_POLYMER, false, "1-methyl-1H-indol-3-ol", 19722 },
	{ "MHE", "", "", ResidueType::PEPTIDE_AMINO_TERMINUS, false, "5,5-dimethyl-2-oxohexanoic acid", 19723 },
	{ "MHF", "", "", ResidueType::NON_POLYMER, false, "5,10-METHENYL-6,7,8-TRIHYDROFOLIC ACID", 19724 },
	{ "MHG", "", "", ResidueType::RNA_LINKING, false, "", 19725 },
	{ "MHH", "", "", ResidueType::NON_POLYMER, false, "methyl hydrogen (R)-hexylphosphonate", 19726 },
	{ "MHI", "", "", ResidueType::NON_POLYMER, false, "L-ALA-GAMMA-D-GLU-MESO-DIAMINOPIMELIC ACID", 19727 },
	{ "MHL", "", "", ResidueType::PEPTIDE_LINKING, false, "N-METHYL-4-HYDROXY-LEUCINE", 19728 },
	{ "MHM", "", "HEM", ResidueType::NON_POLYMER, true, "[7,12-DIETHYL-3,8,13,17-TETRAMETHYL-21H,23H-PORPHINE-2,18-DIPORPANOTO-(2)-N21,N22,N23,N24,]IRON", 19729 },
	{ "MHN", "", "", ResidueType::NON_POLYMER, false, "6-METHYLHEPTAN-1-OL", 19730 },
	{ "MHO", "", "", ResidueType::PEPTIDE_LINKING, false, "S-OXYMETHIONINE", 19731 },
	{ "MHR", "", "", ResidueType::NON_POLYMER, false, "4-(4-propoxy-1H-pyrrolo[2,3-b]pyridin-3-yl)pyrimidin-2-amine", 19732 },
	{ "MHS", "", "", ResidueType::PEPTIDE_LINKING, false, "N1-METHYLATED HISTIDINE", 19733 },
	{ "MHT", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-(methylsulfanyl)-1-azabicyclo[2.2.2]octane", 19734 },
	{ "MHU", "", "", ResidueType::PEPTIDE_LINKING, false, "4-N,N-(DIMETHYLAMINO)-L-PHENYLALANINE", 19735 },
	{ "MHV", "", "", ResidueType::PEPTIDE_LINKING, false, "4-OXO-L-PIPECOLIC ACID", 19736 },
	{ "MHW", "", "", ResidueType::PEPTIDE_LINKING, false, "3-HYDROXYPICOLINIC ACID", 19737 },
	{ "MHZ", "", "", ResidueType::NON_POLYMER, false, "5'-DEOXY-5'-[(3-HYDRAZINOPROPYL)METHYLAMINO]ADENOSINE", 19738 },
	{ "MI0", "", "", ResidueType::PEPTIDE_LIKE, false, "(3R,4S)-4-azanyl-5-cyclohexyl-2,2-difluoro-3-hydroxy-N-methyl-pentanamide", 19739 },
	{ "MI1", "", "", ResidueType::NON_POLYMER, false, "3-{(3R,4R)-4-methyl-3-[methyl(7H-pyrrolo[2,3-d]pyrimidin-4-yl)amino]piperidin-1-yl}-3-oxopropanenitrile", 19740 },
	{ "MI2", "", "", ResidueType::NON_POLYMER, false, "2-(2-METHYLPHENYL)-1H-INDOLE-5-CARBOXIMIDAMIDE", 19741 },
	{ "MI3", "", "", ResidueType::NON_POLYMER, false, "", 19742 },
	{ "MI4", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,7E,17beta)-17-{(1S,2E,5R)-5-hydroxy-1-methyl-6-[(3S,5S,7S)-tricyclo[3.3.1.1~3,7~]dec-1-yl]hex-2-en-1-yl}-2-methylidene-9,10-secoestra-5,7-diene-1,3-diol", 19743 },
	{ "MI5", "", "", ResidueType::NON_POLYMER, false, "N-(3-methylisothiazol-5-yl)-3-(1-methyl-1H-pyrazol-4-yl)-5-[(3R)-piperidin-3-yl]pyrazolo[1,5-a]pyrimidin-7-amine", 19744 },
	{ "MI6", "", "", ResidueType::NON_POLYMER, false, "(2'R,3R,4'R,5'R)-6-chloro-4'-(3-chloro-2-fluorophenyl)-2'-(2,2-dimethylpropyl)-N-(2-morpholin-4-ylethyl)-2-oxo-1,2-dihydrospiro[indole-3,3'-pyrrolidine]-5'-carboxamide", 19745 },
	{ "MIA", "", "", ResidueType::RNA_LINKING, false, "2-METHYLTHIO-N6-ISOPENTENYL-ADENOSINE-5'-MONOPHOSPHATE", 19746 },
	{ "MIB", "", "", ResidueType::NON_POLYMER, false, "(3E)-4-(1-METHYL-1H-INDOL-3-YL)BUT-3-EN-2-ONE", 19747 },
	{ "MIC", "", "", ResidueType::NON_POLYMER, false, "ALPHA-METHYLISOCITRIC ACID", 19748 },
	{ "MID", "", "", ResidueType::PEPTIDE_LIKE, false, "1-[N-(naphthalen-2-ylsulfonyl)glycyl-4-carbamimidoyl-D-phenylalanyl]piperidine", 19749 },
	{ "MIF", "", "", ResidueType::NON_POLYMER, false, "(5R,7R,8S,9S,10R)-8,9,10-trihydroxy-7-(hydroxymethyl)-2-imino-6-oxa-1-thia-3-azaspiro[4.5]decan-4-one", 19750 },
	{ "MIG", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4R,5S)-1-(2-hydroxyethyl)-2-(hydroxymethyl)piperidine-3,4,5-triol", 19751 },
	{ "MIH", "", "", ResidueType::NON_POLYMER, false, "8-(2,6-dichlorophenyl)-4-(2,4-difluorophenyl)-2-piperidin-4-yl-1,7-naphthyridine 7-oxide", 19752 },
	{ "MII", "", "", ResidueType::NON_POLYMER, false, "methicillin", 19753 },
	{ "MIK", "", "", ResidueType::NON_POLYMER, false, "METHYL ISONICOTINIMIDATE LYSINE", 19754 },
	{ "MIL", "", "", ResidueType::NON_POLYMER, false, "MILRINONE", 19755 },
	{ "MIM", "", "", ResidueType::NON_POLYMER, false, "[CYCLOHEXYLETHYL]-[[[[4-[2-METHYL-1-IMIDAZOLYL-BUTYL]PHENYL]ACETYL]-SERYL]-LYSINYL]-AMINE", 19756 },
	{ "MIN", "", "", ResidueType::PEPTIDE_LIKE, false, "METHYL-PHE-PRO-AMINO-CYCLOHEXYLGLYCINE", 19757 },
	{ "MIO", "", "", ResidueType::NON_POLYMER, false, "3-methyl-1,2-oxazol-5-amine", 19758 },
	{ "MIP", "", "ISP", ResidueType::NON_POLYMER, true, "MONOISOPROPYL ESTER PHOSPHONIC ACID", 19759 },
	{ "MIR", "", "", ResidueType::PEPTIDE_LINKING, false, "Monoethylphosphorylserine", 19760 },
	{ "MIS", "", "", ResidueType::PEPTIDE_LINKING, false, "MONOISOPROPYLPHOSPHORYLSERINE", 19761 },
	{ "MIT", "", "", ResidueType::PEPTIDE_LIKE, false, "amino{[(4S)-5-[(2R,4R)-2-carboxy-4-methylpiperidin-1-yl]-4-({[(3R)-3-methyl-1,2,3,4-tetrahydroquinolin-8-yl]sulfonyl}amino)-5-oxopentyl]amino}methaniminium", 19762 },
	{ "MIU", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{(1S)-1-{[4-(3-AMINOPROPYL)PIPERAZIN-1-YL]CARBONYL}-4-[(DIAMINOMETHYLENE)AMINO]BUTYL}-3-(TRIFLUOROMETHYL)BENZENESULFONAMIDE", 19763 },
	{ "MIV", "", "", ResidueType::NON_POLYMER, false, "MYCINAMICIN IV", 19764 },
	{ "MIX", "", "", ResidueType::NON_POLYMER, false, "1,4-DIHYDROXY-5,8-BIS({2-[(2-HYDROXYETHYL)AMINO]ETHYL}AMINO)-9,10-ANTHRACENEDIONE", 19765 },
	{ "MIY", "", "", ResidueType::NON_POLYMER, false, "(4S,4AS,5AR,12AS)-4,7-BIS(DIMETHYLAMINO)-3,10,12,12A-TETRAHYDROXY-1,11-DIOXO-1,4,4A,5,5A,6,11,12A-OCTAHYDROTETRACENE-2-CARBOXAMIDE", 19766 },
	{ "MIZ", "", "", ResidueType::NON_POLYMER, false, "1-[2-(1H-imidazol-4-yl)ethyl]-2,4,6-trimethylpyridinium", 19767 },
	{ "MJ5", "", "", ResidueType::NON_POLYMER, false, "5-methyl-2-phenoxyphenol", 19768 },
	{ "MJ8", "", "", ResidueType::NON_POLYMER, false, "5'-({[(2R)-3-amino-2-{[2-({N-[(2R)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alanyl}amino)ethyl]sulfanyl}propyl]sulfonyl}amino)-5'-deoxyadenosine", 19769 },
	{ "MJA", "", "", ResidueType::NON_POLYMER, false, "(3R,5R)-3,5-dihydroxy-7-[(1S,2S,6R,8S,8aR)-8-hydroxy-2,6-dimethyl-1,2,6,7,8,8a-hexahydronaphthalen-1-yl]heptanoic acid", 19770 },
	{ "MJC", "", "", ResidueType::NON_POLYMER, false, "dolichyl phosphate mannose", 19771 },
	{ "MJF", "", "", ResidueType::NON_POLYMER, false, "[(1R)-3-(4-chlorophenyl)-3-oxo-1-phenylpropyl]propanedioic acid", 19772 },
	{ "MJG", "", "", ResidueType::NON_POLYMER, false, "N-[5-({5-[(4-acetylpiperazin-1-yl)carbonyl]-4-methoxy-2-methylphenyl}sulfanyl)-1,3-thiazol-2-yl]-4-({[(1S)-1,2,2-trimethylpropyl]amino}methyl)benzamide", 19773 },
	{ "MJI", "", "", ResidueType::NON_POLYMER, false, "1-HEXADECYL-3-TRIFLUOROETHYL-SN-GLYCERO-2-PHOSPHATE METHANE", 19774 },
	{ "MJM", "", "", ResidueType::NON_POLYMER, false, "(4aS)-2-methyl-3-(4-phenoxyphenyl)-5,6,7,8-tetrahydroquinolin-4(4aH)-one", 19775 },
	{ "MJP", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-N-[4-[(3-cyano-1H-indol-5-yl)oxy]phenyl]ethanamide", 19776 },
	{ "MJQ", "", "6LX", ResidueType::NON_POLYMER, true, "N-(3-azanylpropyl)-N-[(1R)-1-[7-chloranyl-4-oxidanylidene-3-(phenylmethyl)chromen-2-yl]-2-methyl-propyl]-4-methyl-benzamide", 19777 },
	{ "MJS", "", "", ResidueType::PEPTIDE_LIKE, false, "(5R)-5-amino-5-[hydroxy(methoxy)boranyl]pentan-1-aminium", 19778 },
	{ "MJU", "", "", ResidueType::NON_POLYMER, false, "(3S)-1-[2-(pyrido[2,3-b]pyrazin-7-ylsulfanyl)-9H-pyrimido[4,5-b]indol-4-yl]pyrrolidin-3-amine", 19779 },
	{ "MJZ", "", "", ResidueType::NON_POLYMER, false, "", 19780 },
	{ "MK0", "", "", ResidueType::NON_POLYMER, false, "1-O-[(S)-hydroxy{[(4S,8S,16S,20S)-4,8,12,16,20-pentamethylheptacosyl]oxy}phosphoryl]-beta-D-mannopyranose", 19781 },
	{ "MK1", "", "", ResidueType::NON_POLYMER, false, "N-[2(R)-HYDROXY-1(S)-INDANYL]-5-[(2(S)-TERTIARY BUTYLAMINOCARBONYL)-4(3-PYRIDYLMETHYL)PIPERAZINO]-4(S)-HYDROXY-2(R)-PHENYLMETHYLPENTANAMIDE", 19782 },
	{ "MK2", "", "", ResidueType::NON_POLYMER, false, "N~4~-[7-(1-benzofuran-2-yl)-1H-indazol-5-yl]pyrimidine-2,4-diamine", 19783 },
	{ "MK3", "", "", ResidueType::NON_POLYMER, false, "6-{5-[(2-aminopyrimidin-4-yl)amino]-2-hydroxyphenyl}-N-methylidene-1-benzothiophene-2-carboxamide", 19784 },
	{ "MK4", "", "", ResidueType::NON_POLYMER, false, "{5-chloro-2-[(2,4,6-tribromobenzyl)carbamoyl]phenoxy}acetic acid", 19785 },
	{ "MK5", "", "", ResidueType::NON_POLYMER, false, "2-[(dichloroacetyl)amino]ethyl [(2S,3R)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl][(2S)-2-methylbutyl]amino}-1-phenylbutan-2-yl]carbamate", 19786 },
	{ "MK6", "", "", ResidueType::NON_POLYMER, false, "", 19787 },
	{ "MK7", "", "", ResidueType::NON_POLYMER, false, "(2S,5R)-1-formyl-N-(piperidin-4-yl)-5-[(sulfooxy)amino]piperidine-2-carboxamide", 19788 },
	{ "MK8", "", "", ResidueType::PEPTIDE_LINKING, false, "2-methyl-L-norleucine", 19789 },
	{ "MKC", "", "", ResidueType::NON_POLYMER, false, "6-BENZYL-1-ETHOXYMETHYL-5-ISOPROPYL URACIL", 19790 },
	{ "MKD", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-2-methyloctanoic acid", 19791 },
	{ "MKE", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-AMINO-5-OXOHEXANOIC ACID", 19792 },
	{ "MKH", "", "", ResidueType::NON_POLYMER, false, "1-[3-({(2R)-2-[hydroxy(diphenyl)methyl]pyrrolidin-1-yl}sulfonyl)propyl]pyrimidine-2,4(1H,3H)-dione", 19793 },
	{ "MKK", "", "", ResidueType::NON_POLYMER, false, "1-[(4R)-4-[3-(4-ACETYLPIPERAZIN-1-YL)PROPYL]-1-(2-FLUORO-5-METHYLPHENYL)-4-PHENYL-4,5-DIHYDRO-1H-PYRAZOL-3-YL]ETHANONE", 19794 },
	{ "MKR", "", "", ResidueType::NON_POLYMER, false, "1-{(3R,3AR)-3-[3-(4-ACETYLPIPERAZIN-1-YL)PROPYL]-8-FLUORO-3-PHENYL-3A,4-DIHYDRO-3H-PYRAZOLO[5,1-C][1,4]BENZOXAZIN-2-YL}ETHANONE", 19795 },
	{ "MKS", "", "", ResidueType::NON_POLYMER, false, "1,3,6-trihydroxy-7-methoxy-2,8-bis(3-methylbut-2-en-1-yl)-9H-xanthen-9-one", 19796 },
	{ "MKT", "", "", ResidueType::NON_POLYMER, false, "1,3,6,7-tetrahydroxy-2,8-bis(3-methylbut-2-en-1-yl)-9H-xanthen-9-one", 19797 },
	{ "MKU", "", "", ResidueType::NON_POLYMER, false, "5,9-dihydroxy-8-methoxy-2,2-dimethyl-7-(3-methylbut-2-en-1-yl)-3,4-dihydro-2H,6H-pyrano[3,2-b]xanthen-6-one", 19798 },
	{ "MKY", "", "", ResidueType::NON_POLYMER, false, "ethyl [(2Z)-2-(carbamimidoylimino)-6-hydroxy-1,3-benzothiazol-3(2H)-yl]acetate", 19799 },
	{ "ML0", "", "", ResidueType::NON_POLYMER, false, "4-{2-amino-6-[(1R)-2,2,2-trifluoro-1-(3'-fluorobiphenyl-4-yl)ethoxy]pyrimidin-4-yl}-L-phenylalanine", 19800 },
	{ "ML1", "", "", ResidueType::NON_POLYMER, false, "N-[2-(5-methoxy-1H-indol-3-yl)ethyl]acetamide", 19801 },
	{ "ML2", "", "", ResidueType::NON_POLYMER, false, "N-[2-(2-iodo-5-methoxy-1H-indol-3-yl)ethyl]acetamide", 19802 },
	{ "ML3", "", "", ResidueType::PEPTIDE_LINKING, false, "2-{[(2R)-2-amino-2-carboxyethyl]sulfanyl}-N,N,N-trimethylethanaminium", 19803 },
	{ "ML4", "", "", ResidueType::NON_POLYMER, false, "4-(5-{[(2'-methylbiphenyl-2-yl)methyl]amino}pyrazin-2-yl)-L-phenylalanine", 19804 },
	{ "ML5", "", "", ResidueType::NON_POLYMER, false, "{(3R)-3-amino-4-[(3-hexylphenyl)amino]-4-oxobutyl}phosphonic acid", 19805 },
	{ "ML6", "", "", ResidueType::NON_POLYMER, false, "7-({[3-(3-fluorophenyl)propyl]amino}methyl)quinolin-2-amine", 19806 },
	{ "ML8", "", "", ResidueType::NON_POLYMER, false, "8-cyclopentyl-6-[3-(hydroxymethyl)phenyl]-4-methyl-2-(methylamino)pyrido[2,3-d]pyrimidin-7(8H)-one", 19807 },
	{ "ML9", "", "", ResidueType::NON_POLYMER, false, "2-amino-8-[trans-4-(2-hydroxyethoxy)cyclohexyl]-6-(6-methoxypyridin-3-yl)-4-methylpyrido[2,3-d]pyrimidin-7(8H)-one", 19808 },
	{ "MLA", "", "", ResidueType::NON_POLYMER, false, "MALONIC ACID", 19809 },
	{ "MLB", "", "", ResidueType::SACCHARIDE, false, "6-O-alpha-D-galactopyranosyl-alpha-D-glucopyranose", 19810 },
	{ "MLC", "", "", ResidueType::NON_POLYMER, false, "MALONYL-COENZYME A", 19811 },
	{ "MLD", "", "", ResidueType::NON_POLYMER, false, "GLCNAC(BETA1-4)-MURNAC(1,6-ANHYDRO)-L-ALA-GAMMA-D-GLU-MESO-A2PM-D-ALA", 19812 },
	{ "MLE", "", "", ResidueType::PEPTIDE_LINKING, false, "N-METHYLLEUCINE", 19813 },
	{ "MLG", "", "", ResidueType::NON_POLYMER, false, "N-[3-(2,4-DICHLOROPHENOXY)PROPYL]-N-METHYL-N-PROP-2-YNYLAMINE", 19814 },
	{ "MLI", "", "", ResidueType::NON_POLYMER, false, "MALONATE ION", 19815 },
	{ "MLJ", "", "", ResidueType::NON_POLYMER, false, "~{N}-[3-oxidanylidene-3-[[(1~{R})-1,2,3,4-tetrahydronaphthalen-1-yl]amino]propyl]-4-(trifluoromethyloxy)benzamide", 19816 },
	{ "MLK", "", "", ResidueType::NON_POLYMER, false, "METHYLLYCACONITINE", 19817 },
	{ "MLL", "", "", ResidueType::PEPTIDE_LINKING, false, "METHYL L-LEUCINATE", 19818 },
	{ "MLM", "", "", ResidueType::NON_POLYMER, false, "3-AMINO-3-OXOPROPANOIC ACID", 19819 },
	{ "MLN", "", "", ResidueType::NON_POLYMER, false, "(S)-2-(PHOSPHONOXY)CAPROYL-L-LEUCYL-P-NITROANILIDE", 19820 },
	{ "MLO", "", "", ResidueType::NON_POLYMER, false, "5,5'-di(prop-2-en-1-yl)biphenyl-2,2'-diol", 19821 },
	{ "MLP", "", "", ResidueType::NON_POLYMER, false, "1-AMINOCYCLOPROPYLPHOSPHONATE", 19822 },
	{ "MLR", "", "", ResidueType::NON_POLYMER, false, "MALTOTRIOSE", 19823 },
	{ "MLT", "DMR", "", ResidueType::NON_POLYMER, false, "D-MALATE", 19824 },
	{ "MLU", "", "", ResidueType::PEPTIDE_LINKING, false, "N-methyl-D-leucine", 19825 },
	{ "MLX", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(2-chloro-acetyl)-(4-nitro-phenyl)-amino]-propyl}-2,2,2-trifluoro-acetamide", 19826 },
	{ "MLY", "TRG", "", ResidueType::PEPTIDE_LINKING, false, "N-DIMETHYL-LYSINE", 19827 },
	{ "MLZ", "", "", ResidueType::PEPTIDE_LINKING, false, "N-METHYL-LYSINE", 19828 },
	{ "MM0", "", "", ResidueType::NON_POLYMER, false, "N,N'-(dibenzo[b,j][1,7]phenanthroline-2,10-diyldimethanediyl)dipropan-1-amine", 19829 },
	{ "MM1", "", "", ResidueType::NON_POLYMER, false, "1,4,8,11-TETRAAZA-CYCLOTETRADECANE CU(II)", 19830 },
	{ "MM2", "", "", ResidueType::NON_POLYMER, false, "1,1'-[1,4-PHENYLENEBIS(METHYLENE)]BIS[1,4,8,11-TETRAAZA-CYCLOTETRADECANE]CU(II)2", 19831 },
	{ "MM3", "", "", ResidueType::NON_POLYMER, false, "N-HYDROXY-4-[(4-METHOXYLPHENYL)SULFONYL]-2,2-DIMETHYL-HEXAHYDRO-1,4-THIAZEPINE-3(S)-CARBOXAMIDE", 19832 },
	{ "MM4", "", "2MO", ResidueType::NON_POLYMER, true, "MOLYBDENUM (IV) OXIDE", 19833 },
	{ "MM5", "", "", ResidueType::NON_POLYMER, false, "1,1'-[1,4-PHENYLENEBIS(METHYLENE)]BIS[1,4,8,11-TETRAAZACYCLOTETRADECANE]NI(II)", 19834 },
	{ "MM6", "", "", ResidueType::NON_POLYMER, false, "NICKEL(II)(1,4,8,11-TETRAAZACYCLOTETRADECANE)", 19835 },
	{ "MM7", "", "", ResidueType::DNA_LINKING, false, "(1R)-1,4-anhydro-2-deoxy-1-(2-methoxy-4-methylphenyl)-5-O-phosphono-D-erythro-pentitol", 19836 },
	{ "MM9", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-[(4-carbamimidoylphenyl)methyl]-1-[(2R)-2-cyclohexyl-2-[[2-(dimethylamino)-2-oxidanylidene-ethyl]amino]ethanoyl]azetidine-2-carboxamide", 19837 },
	{ "MMA", "MAM", "", ResidueType::SACCHARIDE, false, "O1-METHYL-MANNOSE", 19838 },
	{ "MMB", "", "", ResidueType::NON_POLYMER, false, "(2R,3E)-2-{4-[(5-METHYL-2-PHENYL-1,3-OXAZOL-4-YL)METHOXY]BENZYL}-3-(PROPOXYIMINO)BUTANOIC ACID", 19839 },
	{ "MMC", "HGC", "", ResidueType::NON_POLYMER, false, "METHYL MERCURY ION", 19840 },
	{ "MMD", "", "", ResidueType::NON_POLYMER, false, "5-(7-Methanesulfonyl-2-morpholin-4-yl-6,7-dihydro-5H-pyrrolo[2,3-d]pyrimidin-4-yl)-pyrimidin-2-ylamine", 19841 },
	{ "MME", "", "", ResidueType::PEPTIDE_LINKING, false, "N-METHYL METHIONINE", 19842 },
	{ "MMF", "", "", ResidueType::NON_POLYMER, false, "dTDP-3-N-methylamino-3,6-dideoxygalactose", 19843 },
	{ "MMG", "", "", ResidueType::NON_POLYMER, false, "4-(5-phenyl-1H-pyrrolo[2,3-b]pyridin-3-yl)benzoic acid", 19844 },
	{ "MMH", "", "", ResidueType::NON_POLYMER, false, "N-[3-(acetylamino)phenyl]-5-{(2E)-2-[(4-methoxyphenyl)methylidene]hydrazino}-3-methyl-1H-pyrazole-4-carboxamide", 19845 },
	{ "MMI", "", "", ResidueType::NON_POLYMER, false, "N-[(4S,5S,7R)-8-({(S)-1-[(BENZYLAMINO)OXOMETHYL]-2-METHYLPROPYL}AMINO)-5-HYDROXY-2,7-DIMETHYL-8-OXO-OCT-4-YL]-(4S,7S)-4-ISOPROPYL-2,5,9-TRIOXO-1-OXA-3,6,10-TRIAZACYCLOHEXADECANE-7-CARBOXAMIDE", 19846 },
	{ "MMJ", "", "", ResidueType::NON_POLYMER, false, "N-methyl-1-(4-methyl-2-phenyl-1,3-thiazol-5-yl)methanamine", 19847 },
	{ "MMK", "", "", ResidueType::NON_POLYMER, false, "2-{[(2-{[(E)-2-(dimethylamino)ethenyl](ethyl)amino}-2-oxoethyl)amino]methyl}pyridine-4-carboxylic acid", 19848 },
	{ "MML", "", "", ResidueType::NON_POLYMER, false, "1-methyl-4-(1-methylethyl)benzene", 19849 },
	{ "MMM", "", "", ResidueType::NON_POLYMER, false, "(S,E)-3-HYDROXY-2-((3-HYDROXY-2-METHYL-5-(PHOSPHONOOXYMETHYL)PYRIDIN-4-YL)METHYLENEAMINO)-2-METHYLPROPANOIC ACID", 19850 },
	{ "MMN", "", "", ResidueType::SACCHARIDE, false, "5-DEOXY-5-{[(1S)-1-HYDROXYETHYL]AMINO}-D-GLUCITOL", 19851 },
	{ "MMO", "", "", ResidueType::PEPTIDE_LINKING, false, "N~2~-methyl-L-arginine", 19852 },
	{ "MMP", "", "", ResidueType::NON_POLYMER, false, "N-METHYLMESOPORPHYRIN", 19853 },
	{ "MMQ", "", "", ResidueType::NON_POLYMER, false, "MERCAPTOMETHYL PHOSPHONATE", 19854 },
	{ "MMR", "", "", ResidueType::NON_POLYMER, true, "methyl 2-(acetylamino)-3-O-[(1R)-1-carboxyethyl]-2-deoxy-beta-D-glucopyranoside", 19855 },
	{ "MMS", "", "", ResidueType::NON_POLYMER, false, "MIMOSINE", 19856 },
	{ "MMT", "", "", ResidueType::DNA_LINKING, false, "5'-O-(DIMETHYLAMINO)-THYMIDINE", 19857 },
	{ "MMU", "", "", ResidueType::NON_POLYMER, false, "1,3-dimethylurea", 19858 },
	{ "MMV", "", "", ResidueType::NON_POLYMER, false, "3-(2-{3-[(2,4-diamino-6-ethylpyrimidin-5-yl)oxy]propoxy}phenyl)propanoic acid", 19859 },
	{ "MMY", "", "", ResidueType::NON_POLYMER, false, "5-(2-Morpholin-4-yl-7-pyridin-3-yl-6,7-dihydro-5H-pyrrolo[2,3-d]pyrimidin-4-yl)-pyrimidin-2-ylamine", 19860 },
	{ "MMZ", "", "", ResidueType::NON_POLYMER, false, "1-METHYL-1,3-DIHYDRO-2H-IMIDAZOLE-2-THIONE", 19861 },
	{ "MN", "", "", ResidueType::NON_POLYMER, false, "MANGANESE (II) ION", 19862 },
	{ "MN0", "", "", ResidueType::SACCHARIDE, false, "methyl 3,5-dideoxy-5-[(hydroxyacetyl)amino]-D-glycero-alpha-D-galacto-non-2-ulopyranosidonic acid", 19863 },
	{ "MN1", "", "", ResidueType::NON_POLYMER, false, "4-CARBOXYPIPERIDINE", 19864 },
	{ "MN2", "", "", ResidueType::NON_POLYMER, false, "1-CARBOXYETHYLAMINOMETHYL-4-AMINOMETHYLBENZENE", 19865 },
	{ "MN3", "", "", ResidueType::NON_POLYMER, false, "MANGANESE (III) ION", 19866 },
	{ "MN5", "", "", ResidueType::NON_POLYMER, true, "MANGANESE ION, 5 WATERS COORDINATED", 19867 },
	{ "MN6", "", "", ResidueType::NON_POLYMER, true, "MANGANESE ION, 6 WATERS COORDINATED", 19868 },
	{ "MN7", "", "", ResidueType::NON_POLYMER, false, "1-CARBOXY-4-ISOBUTYLAMINOMETHYLBENZENE", 19869 },
	{ "MN8", "", "", ResidueType::NON_POLYMER, false, "2-(4-CARCOXY-5-ISOPROPYLTHIAZOLYL)BENZOPIPERIDINE", 19870 },
	{ "MN9", "", "", ResidueType::NON_POLYMER, false, "2-(ACETYLAMINO)-2-DEOXY-D-MANNOSE", 19871 },
	{ "MNA", "", "", ResidueType::NON_POLYMER, false, "2-O-METHYL-5-N-ACETYL-ALPHA-D- NEURAMINIC ACID", 19872 },
	{ "MNB", "", "", ResidueType::NON_POLYMER, false, "5-MERCAPTO-2-NITRO-BENZOIC ACID", 19873 },
	{ "MNC", "", "", ResidueType::NON_POLYMER, false, "METHYL ISOCYANIDE", 19874 },
	{ "MND", "", "", ResidueType::PEPTIDE_LINKING, false, "N-methyl-D-asparagine", 19875 },
	{ "MNG", "", "", ResidueType::NON_POLYMER, false, "MENOGARIL", 19876 },
	{ "MNH", "", "", ResidueType::NON_POLYMER, false, "MANGANESE PROTOPORPHYRIN IX", 19877 },
	{ "MNI", "", "", ResidueType::NON_POLYMER, false, "N-{[(2R,3R,4R,5R)-3,4-DIHYDROXY-5-(HYDROXYMETHYL)PYRROLIDIN-2-YL]METHYL}-4-(DIMETHYLAMINO)BENZAMIDE", 19878 },
	{ "MNK", "", "", ResidueType::NON_POLYMER, false, "(2S)-5,7-dihydroxy-9-methyl-2-(prop-1-en-2-yl)-1,2,3,4-tetrahydro-6H-benzo[7]annulen-6-one", 19879 },
	{ "MNL", "", "", ResidueType::PEPTIDE_LINKING, false, "4,N-DIMETHYLNORLEUCINE", 19880 },
	{ "MNM", "NOZ", "", ResidueType::NON_POLYMER, false, "(2S,3S,4R,5R)-2,3,4-TRIHYDROXY-5-HYDROXYMETHYL-PIPERIDINE", 19881 },
	{ "MNN", "", "", ResidueType::NON_POLYMER, false, "(S)-MANDELIC ACID NITRILE", 19882 },
	{ "MNO", "", "", ResidueType::NON_POLYMER, false, "(3S)-N-METHANESULFONYL-3-({1-[N-(2-NAPHTOYL)-L-VALYL]-L-PROLYL}AMINO)-4-OXOBUTANAMIDE", 19883 },
	{ "MNP", "", "", ResidueType::NON_POLYMER, false, "2-(3-NITROPHENYL)ACETIC ACID", 19884 },
	{ "MNQ", "", "", ResidueType::NON_POLYMER, false, "M-NITROPHENYL AMINOETHYLDIPHOSPHATE BERYLLIUM TRIFLUORIDE", 19885 },
	{ "MNR", "", "", ResidueType::NON_POLYMER, false, "PROTOPORPHYRIN IX CONTAINING MN", 19886 },
	{ "MNS", "", "", ResidueType::NON_POLYMER, false, "5-(DIMETHYLAMINO)-1-NAPHTHALENESULFONAMIDE", 19887 },
	{ "MNT", "", "", ResidueType::NON_POLYMER, false, "2'(3')-O-N-METHYLANTHRANILOYL-ADENOSINE-5'-DIPHOSPHATE", 19888 },
	{ "MNU", "", "", ResidueType::RNA_LINKING, false, "(2R,4S)-1-[(4R)-3,4-DIHYDROXYTETRAHYDROFURAN-2-YL]-5-[(METHYLAMINO)METHYL]-1,2,3,4-TETRAHYDROPYRIMIDINE-2,4-DIOL-5'-MONOPHOSPHATE", 19889 },
	{ "MNV", "", "", ResidueType::PEPTIDE_LINKING, true, "N-METHYL-C-AMINO VALINE", 19890 },
	{ "MNX", "", "", ResidueType::NON_POLYMER, false, "1,8-DI-HYDROXY-4-NITRO-XANTHEN-9-ONE", 19891 },
	{ "MNY", "", "", ResidueType::NON_POLYMER, false, "5,8-DI-AMINO-1,4-DIHYDROXY-ANTHRAQUINONE", 19892 },
	{ "MO", "", "", ResidueType::NON_POLYMER, false, "MOLYBDENUM ATOM", 19893 },
	{ "MO0", "", "", ResidueType::NON_POLYMER, false, "mannopine", 19894 },
	{ "MO1", "", "", ResidueType::NON_POLYMER, true, "MAGNESIUM ION, 1 WATER COORDINATED", 19895 },
	{ "MO2", "", "", ResidueType::NON_POLYMER, true, "MAGNESIUM ION, 2 WATERS COORDINATED", 19896 },
	{ "MO3", "", "", ResidueType::NON_POLYMER, true, "MAGNESIUM ION, 3 WATERS COORDINATED", 19897 },
	{ "MO4", "", "", ResidueType::NON_POLYMER, true, "MAGNESIUM ION, 4 WATERS COORDINATED", 19898 },
	{ "MO5", "", "", ResidueType::NON_POLYMER, true, "MAGNESIUM ION, 5 WATERS COORDINATED", 19899 },
	{ "MO6", "", "", ResidueType::NON_POLYMER, true, "MAGNESIUM ION, 6 WATERS COORDINATED", 19900 },
	{ "MO7", "", "", ResidueType::NON_POLYMER, false, "bis(mu4-oxo)-bis(mu3-oxo)-octakis(mu2-oxo)-dodecaoxo-heptamolybdenum (VI)", 19901 },
	{ "MO8", "", "", ResidueType::NON_POLYMER, false, "4-methyl-7,8-dihydro-5H-thiopyrano[4,3-d]pyrimidin-2-amine", 19902 },
	{ "MO9", "", "", ResidueType::NON_POLYMER, false, "(1R)-2-[(CYANOMETHYL)AMINO]-1-({[2-(DIFLUOROMETHOXY)BENZYL]SULFONYL}METHYL)-2-OXOETHYL MORPHOLINE-4-CARBOXYLATE", 19903 },
	{ "MOA", "", "", ResidueType::NON_POLYMER, false, "MYCOPHENOLIC ACID", 19904 },
	{ "MOB", "", "", ResidueType::NON_POLYMER, false, "", 19905 },
	{ "MOC", "", "", ResidueType::NON_POLYMER, false, "CARBAMIC ACID 2,6-DIAMINO-5-METHYL-4,7-DIOXO-2,3,4,7-TETRAHYDRO-1H-3A-AZA-CYCLOPENTA[A]INDEN-8-YLMETHYL ESTER", 19906 },
	{ "MOD", "", "", ResidueType::PEPTIDE_LINKING, false, "L-METHIONYL ADENYLATE", 19907 },
	{ "MOE", "", "", ResidueType::NON_POLYMER, false, "METHOXY-ETHOXYL", 19908 },
	{ "MOF", "", "", ResidueType::NON_POLYMER, false, "MOMETASONE FUROATE", 19909 },
	{ "MOG", "", "", ResidueType::NON_POLYMER, false, "5-AMINO-2-METHYL-6H-OXAZOLO[5,4-D]PYRIMIDIN-7-ONE", 19910 },
	{ "MOH", "OMB", "", ResidueType::NON_POLYMER, false, "METHANOL", 19911 },
	{ "MOI", "", "", ResidueType::NON_POLYMER, false, "(7R,7AS,12BS)-3-METHYL-2,3,4,4A,7,7A-HEXAHYDRO-1H-4,12-METHANO[1]BENZOFURO[3,2-E]ISOQUINOLINE-7,9-DIOL", 19912 },
	{ "MOJ", "", "", ResidueType::NON_POLYMER, false, "(5E,7S)-2-amino-7-(4-fluoro-2-pyridin-3-ylphenyl)-4-methyl-7,8-dihydroquinazolin-5(6H)-one oxime", 19913 },
	{ "MOK", "", "", ResidueType::NON_POLYMER, false, "5-methyl-3-phenyl-1,2-oxazole-4-carboxylic acid", 19914 },
	{ "MOL", "", "BIC", ResidueType::NON_POLYMER, true, "3-AMINO-3-BENZYL-[4.3.0]BICYCLO-1,6-DIAZANONAN-2-ONE", 19915 },
	{ "MOM", "", "", ResidueType::NON_POLYMER, false, "HYDROXY(DIOXO)MOLYBDENUM", 19916 },
	{ "MON", "", "", ResidueType::NON_POLYMER, false, "4-(2-{[4-{[3-(4-CHLOROPHENYL)PROPYL]SULFANYL}-6-(1-PIPERAZINYL)-1,3,5-TRIAZIN-2-YL]AMINO}ETHYL)PHENOL", 19917 },
	{ "MOO", "", "", ResidueType::NON_POLYMER, false, "MOLYBDATE ION", 19918 },
	{ "MOP", "", "", ResidueType::NON_POLYMER, false, "4-METHYLPENTANAL", 19919 },
	{ "MOR", "", "", ResidueType::NON_POLYMER, false, "morpholine-4-carboxylic acid", 19920 },
	{ "MOS", "", "", ResidueType::NON_POLYMER, false, "DIOXOTHIOMOLYBDENUM(VI) ION", 19921 },
	{ "MOT", "COE", "", ResidueType::NON_POLYMER, false, "N-[4-[(2,4-DIAMINOFURO[2,3D]PYRIMIDIN-5-YL)METHYL]METHYLAMINO]-BENZOYL]-L-GLUTAMATE", 19922 },
	{ "MOU", "", "", ResidueType::NON_POLYMER, false, "", 19923 },
	{ "MOW", "", "", ResidueType::NON_POLYMER, false, "Oxo(sulfanyl)molybdenum(IV) ION", 19924 },
	{ "MOX", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(1R)-1-{[(2S)-2-carboxy-2-(4-hydroxyphenyl)acetyl]amino}-1-methoxy-2-oxoethyl]-5-methylidene-5,6-dihydro-2H-1,3-oxazine-4-carboxylic acid", 19925 },
	{ "MOY", "", "", ResidueType::NON_POLYMER, false, "[(4R)-4-(3-HYDROXYPHENYL)-1,6-DIMETHYL-2-THIOXO-1,2,3,4-TETRAHYDROPYRIMIDIN-5-YL](PHENYL)METHANONE", 19926 },
	{ "MOZ", "", "", ResidueType::PEPTIDE_LINKING, false, "(2Z)-2-amino-3-hydroxybut-2-enoic acid", 19927 },
	{ "MP0", "", "", ResidueType::PEPTIDE_LIKE, false, "(2R,4S,5S)-5-amino-6-cyclohexyl-4-hydroxy-N-methyl-2-(2-methylpropyl)hexanamide", 19928 },
	{ "MP1", "", "", ResidueType::NON_POLYMER, false, "N-METHYLMESOPORPHYRIN CONTAINING COPPER", 19929 },
	{ "MP2", "", "", ResidueType::NON_POLYMER, false, "N-[(BENZYLOXY)CARBONYL]-L-CYSTEINYLGLYCINE", 19930 },
	{ "MP3", "", "3PG", ResidueType::NON_POLYMER, true, "3-PHOSPHOGLYCERIC ACID", 19931 },
	{ "MP4", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-amino(3,5-dihydroxy-4-methylphenyl)ethanoic acid", 19932 },
	{ "MP5", "", "", ResidueType::NON_POLYMER, false, "(4-AMINO-2-METHYLPYRIMIDIN-5-YL)METHYL DIHYDROGEN PHOSPHATE", 19933 },
	{ "MP6", "", "", ResidueType::NON_POLYMER, false, "4-(2-cyclopropylethylidene)-9-(1H-pyrazol-4-yl)-6-{[(1R)-1,2,2-trimethylpropyl]amino}benzo[c][1,6]naphthyridin-1(4H)-one", 19934 },
	{ "MP7", "", "", ResidueType::NON_POLYMER, false, "1-(3,4-difluorobenzyl)-2-oxo-N-{(1R)-2-[(2-oxo-2,3-dihydro-1H-benzimidazol-5-yl)oxy]-1-phenylethyl}-1,2-dihydropyridine-3-carboxamide", 19935 },
	{ "MP8", "", "", ResidueType::PEPTIDE_LINKING, false, "(4R)-4-methyl-L-proline", 19936 },
	{ "MP9", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-3-[3-HYDROXY-5-(2-BENZYL-2H-5-TETRAZOLYL)-4-ISOXAZOLYL]-PROPIONIC ACID", 19937 },
	{ "MPA", "", "", ResidueType::NON_POLYMER, false, "(1R)-MENTHYL HEXYL PHOSPHONATE GROUP", 19938 },
	{ "MPB", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-BENZOIC ACID METHYL ESTER", 19939 },
	{ "MPC", "", "", ResidueType::NON_POLYMER, false, "(1S)-MENTHYL HEXYL PHOSPHONATE GROUP", 19940 },
	{ "MPD", "", "", ResidueType::NON_POLYMER, false, "(4S)-2-METHYL-2,4-PENTANEDIOL", 19941 },
	{ "MPE", "", "", ResidueType::NON_POLYMER, false, "(1H-INDOL-3-YL)-(2-MERCAPTO-ETHOXYIMINO)-ACETIC ACID", 19942 },
	{ "MPG", "", "", ResidueType::NON_POLYMER, false, "[(Z)-octadec-9-enyl] (2R)-2,3-bis(oxidanyl)propanoate", 19943 },
	{ "MPH", "", "", ResidueType::PEPTIDE_LINKING, false, "(1-AMINO-3-METHYLSULFANYL-PROPYL)-PHOSPHONIC ACID", 19944 },
	{ "MPI", "", "", ResidueType::NON_POLYMER, false, "IMIDAZO[1,2-A]PYRIDINE", 19945 },
	{ "MPJ", "", "", ResidueType::PEPTIDE_LINKING, false, "(1-AMINO-3-METHYLSULFANYL-PROPYL)-PHOSPHINIC ACID", 19946 },
	{ "MPK", "", "", ResidueType::NON_POLYMER, false, "(5-methyl-3-phenyl-1,2-oxazol-4-yl)methanol", 19947 },
	{ "MPL", "", "", ResidueType::NON_POLYMER, false, "N-METHYL-PYRIDOXAL-5'-PHOSPHATE", 19948 },
	{ "MPM", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-[((1E)-{3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}METHYLENE)AMINO]-1-METHYLPROPYLPHOSPHONIC ACID", 19949 },
	{ "MPN", "", "", ResidueType::NON_POLYMER, true, "PHOSPHORIC ACID MONO-(2-AMINO-4-OXO-5,6-DITHIOXO-1,5,6,7,8A,9,10,10A-OCTAHYDRO-4H-8-OXA-1,3,9,10-TETRAAZA-ANTHRACEN-7-YLMETHYL) ESTER", 19950 },
	{ "MPO", "", "", ResidueType::NON_POLYMER, false, "3[N-MORPHOLINO]PROPANE SULFONIC ACID", 19951 },
	{ "MPP", "", "", ResidueType::NON_POLYMER, false, "3-(3,4-DIMETHOXYPHENYL)PROPIONIC ACID", 19952 },
	{ "MPQ", "", "", ResidueType::PEPTIDE_LINKING, false, "N-METHYL-ALPHA-PHENYL-GLYCINE", 19953 },
	{ "MPR", "", "", ResidueType::NON_POLYMER, false, "2-MERCAPTO-PROPION ALDEHYDE", 19954 },
	{ "MPS", "", "VXA", ResidueType::NON_POLYMER, true, "METHYLPHOSPHINIC ACID", 19955 },
	{ "MPT", "", "", ResidueType::NON_POLYMER, false, "BETA-MERCAPTOPROPIONIC ACID", 19956 },
	{ "MPU", "", "", ResidueType::NON_POLYMER, false, "D-MONAPTERIN", 19957 },
	{ "MPV", "", "", ResidueType::NON_POLYMER, false, "1-methyl-3-(thiophen-2-yl)-1H-pyrazol-5-amine", 19958 },
	{ "MPW", "", "", ResidueType::NON_POLYMER, false, "2-[2-(4-methoxypyridin-2-yl)ethyl]-3H-imidazo[4,5-b]pyridine", 19959 },
	{ "MPX", "", "", ResidueType::NON_POLYMER, false, "4-({[(4-METHYLPIPERAZIN-1-YL)AMINO]CARBONOTHIOYL}AMINO)BENZENESULFONAMIDE", 19960 },
	{ "MPY", "", "", ResidueType::NON_POLYMER, false, "(3E)-N-(2,6-DIETHYLPHENYL)-3-{[4-(4-METHYLPIPERAZIN-1-YL)BENZOYL]IMINO}PYRROLO[3,4-C]PYRAZOLE-5(3H)-CARBOXAMIDE", 19961 },
	{ "MPZ", "", "", ResidueType::NON_POLYMER, false, "4-[(4-METHYLPIPERAZIN-1-YL)METHYL]-N-{3-[(4-PYRIDIN-3-YLPYRIMIDIN-2-YL)AMINO]PHENYL}BENZAMIDE", 19962 },
	{ "MQ0", "", "", ResidueType::NON_POLYMER, false, "(3-AMINOMETHYL-CINNOLIN-4-YL)-(3,3-DIPHENYL-ALLYLIDENE)-AMINE", 19963 },
	{ "MQ1", "", "", ResidueType::NON_POLYMER, false, "5-(4-METHOXYPHENOXY)-2,4-QUINAZOLINEDIAMINE", 19964 },
	{ "MQ7", "7MQ", "", ResidueType::NON_POLYMER, false, "MENAQUINONE-7", 19965 },
	{ "MQ8", "", "", ResidueType::NON_POLYMER, false, "MENAQUINONE 8", 19966 },
	{ "MQ9", "", "", ResidueType::NON_POLYMER, false, "MENAQUINONE-9", 19967 },
	{ "MQA", "", "", ResidueType::NON_POLYMER, false, "", 19968 },
	{ "MQD", "", "", ResidueType::NON_POLYMER, false, "2-METHYLPENTANE-1,2,4-TRIOL", 19969 },
	{ "MQE", "", "", ResidueType::NON_POLYMER, false, "2-methyl-3-[(2E,6E,10E,14E,18E,22E,26E,30E,34E,38E)-3,7,11,15,19,23,27,31,35,39,43-undecamethyltetratetraconta-2,6,10,14,18,22,26,30,34,38,42-undecaen-1-yl]naphthalene-1,4-dione", 19970 },
	{ "MQG", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(2~{R},3~{R},4~{R},5~{S},6~{R})-6-(hydroxymethyl)-2,4,5-tris(oxidanyl)oxan-3-yl]-methyl-phosphonamidic acid", 19971 },
	{ "MQI", "", "", ResidueType::NON_POLYMER, false, "8-HYDROSULFONYL-2-METHYLQUINOLINE", 19972 },
	{ "MQN", "", "", ResidueType::NON_POLYMER, false, "2-methylquinolin-6-amine", 19973 },
	{ "MQO", "", "", ResidueType::NON_POLYMER, false, "8-methoxy-6-methylquinolin-4(1H)-one", 19974 },
	{ "MQQ", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-1-[({(1S)-3-PHENYL-1-[2-(PHENYLSULFONYL)ETHYL]PROPYL}AMINO)CARBONYL]-3-(PHENYLSULFONYL)PROPYL]MORPHOLINE-4-CARBOXAMIDE", 19975 },
	{ "MQR", "", "", ResidueType::NON_POLYMER, false, "[(3R)-3-methylpiperidin-1-yl](quinoxalin-6-yl)methanone", 19976 },
	{ "MQS", "", "", ResidueType::NON_POLYMER, false, "[(3S)-3-methylpiperidin-1-yl](quinoxalin-6-yl)methanone", 19977 },
	{ "MQT", "", "", ResidueType::NON_POLYMER, false, "methyl 2-O-acetyl-3-O-(4-methylbenzoyl)-beta-D-talopyranoside", 19978 },
	{ "MQU", "", "", ResidueType::NON_POLYMER, false, "7-[2-METHOXY-1-(METHOXYMETHYL)ETHYL]-7H-PYRROLO[3,2-F] QUINAZOLINE-1,3-DIAMINE", 19979 },
	{ "MQY", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-methyl-1-(quinolin-4-ylmethyl)-3-{4-[(trifluoromethyl)sulfonyl]phenyl}imidazolidine-2,4-dione", 19980 },
	{ "MR0", "", "", ResidueType::NON_POLYMER, false, "N~3~-{(1S,2R)-1-(3,5-DIFLUOROBENZYL)-2-HYDROXY-3-[(3-METHOXYBENZYL)AMINO]PROPYL}-N~1~,N~1~-DIPROPYLBENZENE-1,3,5-TRICARBOXAMIDE", 19981 },
	{ "MR1", "", "", ResidueType::NON_POLYMER, false, "1-(1,3-BENZODIOXOL-5-YL)METHANAMINE", 19982 },
	{ "MR2", "", "", ResidueType::NON_POLYMER, false, "3-DIPHENOL-6-NITRO-3H-BENZO[DE]ISOCHROMEN-1-ONE", 19983 },
	{ "MR3", "", "", ResidueType::NON_POLYMER, false, "1-METHYL-1H-PYRROLE", 19984 },
	{ "MR4", "", "", ResidueType::NON_POLYMER, false, "4-(1,3-BENZOXAZOL-2-YL)-2,6-DIMETHYLPHENOL", 19985 },
	{ "MR5", "", "", ResidueType::NON_POLYMER, false, "4-(1,3-BENZOXAZOL-2-YL)-2,6-DIBROMOPHENOL", 19986 },
	{ "MR6", "", "", ResidueType::NON_POLYMER, false, "2-(3,5-DIMETHYLPHENYL)-1,3-BENZOXAZOLE", 19987 },
	{ "MR8", "", "", ResidueType::NON_POLYMER, false, "28-O-Methylrapamycin", 19988 },
	{ "MR9", "", "", ResidueType::NON_POLYMER, false, "4-METHYL-3-({3-[2-(METHYLAMINO)PYRIMIDIN-4-YL]PYRIDIN-2-YL}OXY)-N-[2-MORPHOLIN-4-YL-5-(TRIFLUOROMETHYL)PHENYL]BENZAMIDE", 19989 },
	{ "MRA", "", "", ResidueType::NON_POLYMER, false, "2-[(4-ETHYNYL-2-FLUOROPHENYL)AMINO]-3,4-DIFLUORO-N-(2-HYDROXYETHOXY)BENZAMIDE", 19990 },
	{ "MRC", "", "", ResidueType::NON_POLYMER, false, "MUPIROCIN", 19991 },
	{ "MRD", "", "", ResidueType::NON_POLYMER, false, "(4R)-2-METHYLPENTANE-2,4-DIOL", 19992 },
	{ "MRE", "", "", ResidueType::NON_POLYMER, false, "2-(4-DIMETHYLAMINOPHENYL)DIAZENYLBENZOIC ACID", 19993 },
	{ "MRG", "", "", ResidueType::DNA_LINKING, false, "N2-(3-MERCAPTOPROPYL)-2'-DEOXYGUANOSINE-5'-MONOPHOSPHATE", 19994 },
	{ "MRI", "", "", ResidueType::NON_POLYMER, false, "2-[2,4-bis(oxidanyl)phenyl]-3,5,7-tris(oxidanyl)chromen-4-one", 19995 },
	{ "MRK", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-4-FLUORO-5-[(1-METHYL-1H-IMIDAZOL-2-YL)SULFANYL]-N-(1,3-THIAZOL-2-YL)BENZAMIDE", 19996 },
	{ "MRM", "", "", ResidueType::NON_POLYMER, false, "4-AMINOPIPERIDINE-1-CARBOXYLIC ACID", 19997 },
	{ "MRN", "", "", ResidueType::NON_POLYMER, false, "2-methyl-N-[3-(1-methylethoxy)phenyl]benzamide", 19998 },
	{ "MRO", "", "", ResidueType::NON_POLYMER, false, "2,6-dioxo-5-(2-phenylethyl)-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 19999 },
	{ "MRP", "", "", ResidueType::SACCHARIDE, false, "3-O-METHYL-ALPHA-L-RHAMNOPYRANOSIDE", 20000 },
	{ "MRR", "", "", ResidueType::NON_POLYMER, false, "(R)-2-METHYLMYRISTOYL-COENZYME A", 20001 },
	{ "MRS", "", "", ResidueType::NON_POLYMER, false, "(S)-2-METHYLMYRISTOYL-COENZYME A", 20002 },
	{ "MRT", "", "", ResidueType::NON_POLYMER, false, "(5R,9S,12S,15S,18S,21S)-21-benzyl-12,18-bis(carboxymethyl)-15-cyclohexyl-1-(9H-fluoren-9-yl)-4-methyl-9-(2-methylpropyl)-3,6,10,13,16,19-hexaoxo-5-phenyl-2-oxa-4,8,11,14,17,20-hexaazadocosan-22-oic acid", 20003 },
	{ "MRU", "", "", ResidueType::NON_POLYMER, false, "5-S-METHYL-1-O-PHOSPHONO-5-THIO-D-RIBULOSE", 20004 },
	{ "MRV", "", "", ResidueType::NON_POLYMER, false, "4,4-difluoro-N-[(1S)-3-{(3-exo)-3-[3-methyl-5-(propan-2-yl)-4H-1,2,4-triazol-4-yl]-8-azabicyclo[3.2.1]oct-8-yl}-1-phenylpropyl]cyclohexanecarboxamide", 20005 },
	{ "MRW", "", "", ResidueType::NON_POLYMER, false, "7-chloroquinolin-4-ol", 20006 },
	{ "MRX", "", "", ResidueType::NON_POLYMER, false, "5-bromo-3-(pyrrolidin-1-ylsulfonyl)-1H-indole-2-carboxamide", 20007 },
	{ "MRY", "", "", ResidueType::NON_POLYMER, false, "MESO-ERYTHRITOL", 20008 },
	{ "MRZ", "", "", ResidueType::NON_POLYMER, false, "piperidine-1-carboximidamide", 20009 },
	{ "MS0", "", "", ResidueType::NON_POLYMER, false, "(6-methoxy-1-benzofuran-3-yl)acetic acid", 20010 },
	{ "MS1", "", "", ResidueType::NON_POLYMER, false, "", 20011 },
	{ "MS2", "", "", ResidueType::NON_POLYMER, false, "2,2-DICHLORO-1-METHANESULFINYL-3-METHYL-CYCLOPROPANECARBOXYLIC ACID [1-(4-BROMO-PHENYL)-ETHYL]-AMIDE", 20012 },
	{ "MS3", "", "", ResidueType::NON_POLYMER, false, "N,N-[2,5-O-DIBENZYL-GLUCARYL]-DI-[VALINYL-AMINOMETHANYL-PYRIDINE]", 20013 },
	{ "MS4", "", "", ResidueType::NON_POLYMER, false, "", 20014 },
	{ "MS5", "", "", ResidueType::NON_POLYMER, false, "7-methoxy-2-(3-methoxybenzyl)-1,2,3,4-tetrahydroisoquinolin-6-yl sulfamate", 20015 },
	{ "MS7", "", "", ResidueType::NON_POLYMER, false, "O-benzyl-N-methyl-L-tyrosinamide", 20016 },
	{ "MS8", "", "", ResidueType::NON_POLYMER, false, "(2R,3aR,7aR)-2-[(2S)-2-amino-3-hydroxy-3-oxo-propyl]-3,3a,5,6,7,7a-hexahydrofuro[4,5-b]pyran-2-carboxylic acid", 20017 },
	{ "MS9", "", "", ResidueType::NON_POLYMER, false, "methyl 2-amino-4-chlorobenzoate", 20018 },
	{ "MSA", "", "", ResidueType::PEPTIDE_LINKING, false, "(2-S-METHYL) SARCOSINE", 20019 },
	{ "MSB", "", "", ResidueType::NON_POLYMER, false, "1-METHYLOXY-4-SULFONE-BENZENE", 20020 },
	{ "MSC", "", "", ResidueType::NON_POLYMER, false, "2,5-DIBENZYLOXY-3,4-DIHYDROXY-HEXANEDIOIC ACID 2-CHLORO-6-FLUORO-BENZYLAMIDE (2-HYDROXY-INDAN-1- YL)-AMIDE", 20021 },
	{ "MSD", "", "", ResidueType::NON_POLYMER, false, "1-[2-(3-ACETYL-2-HYDROXY-6-METHOXY-PHENYL)-CYCLOPROPYL]-3-(5-CYANO-PYRIDIN-2-YL)-THIOUREA", 20022 },
	{ "MSE", "", "", ResidueType::PEPTIDE_LINKING, false, "SELENOMETHIONINE", 20023 },
	{ "MSF", "", "", ResidueType::NON_POLYMER, false, "[METHYLSELENO]ACETATE", 20024 },
	{ "MSG", "", "", ResidueType::NON_POLYMER, false, "7-METHYL-6-THIO-GUANOSINE", 20025 },
	{ "MSH", "", "", ResidueType::NON_POLYMER, false, "3-METHANESULFONYL-HEXANE", 20026 },
	{ "MSI", "", "", ResidueType::NON_POLYMER, false, "1-METHYL-5-(2-PHENOXYMETHYL-PYRROLIDINE-1-SULFONYL)-1H-INDOLE-2,3-DIONE", 20027 },
	{ "MSJ", "", "", ResidueType::NON_POLYMER, false, "N-{5-[(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)methoxy]-2-methylpentan-2-yl}benzenesulfonamide", 20028 },
	{ "MSL", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-AMINO-4-(METHYLSULFONIMIDOYL)BUTANOIC ACID", 20029 },
	{ "MSM", "", "", ResidueType::NON_POLYMER, false, "(METHYLSULFANYL)METHANE", 20030 },
	{ "MSN", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3R,4S,5R)-4-AMINO-5-(METHYLTHIO)CYCLOPENTANE-1,2,3-TRIOL", 20031 },
	{ "MSO", "", "", ResidueType::PEPTIDE_LINKING, false, "SELENOMETHIONINE SELENOXIDE", 20032 },
	{ "MSP", "", "", ResidueType::PEPTIDE_LINKING, false, "5'-O-[(L-METHIONYL)-SULPHAMOYL]ADENOSINE", 20033 },
	{ "MSQ", "", "", ResidueType::NON_POLYMER, false, "4-[3-METHYLSULFANYLANILINO]-6,7-DIMETHOXYQUINAZOLINE", 20034 },
	{ "MSR", "", "", ResidueType::NON_POLYMER, false, "4-(1H-IMIDAZOL-1-YL)PHENOL", 20035 },
	{ "MSS", "", "", ResidueType::NON_POLYMER, false, "(MOLYBDOPTERIN-S,S)-OXO-MOLYBDENUM", 20036 },
	{ "MST", "", "", ResidueType::NON_POLYMER, false, "2-T-BUTYLAMINO-4-ETHYLAMINO-6-METHYLTHIO-S-TRIAZINE", 20037 },
	{ "MSU", "", "", ResidueType::NON_POLYMER, false, "SUCCINIC ACID MONOMETHYL ESTER", 20038 },
	{ "MSW", "", "", ResidueType::NON_POLYMER, false, "[(1S)-2-(methoxycarbonylamino)-1-phenyl-ethoxy]-propyl-phosphinic acid", 20039 },
	{ "MSX", "", "", ResidueType::NON_POLYMER, false, "1,6-DIDEOXY-DITHIO-METHYL-ALPHA-D-MANNOSE", 20040 },
	{ "MSY", "", "", ResidueType::NON_POLYMER, false, "3-(3-methyl-5-oxo-4,5-dihydro-1H-pyrazol-1-yl)benzenesulfonamide", 20041 },
	{ "MSZ", "", "", ResidueType::NON_POLYMER, false, "(2S)-(4-chlorophenyl)[3-(trifluoromethyl)phenoxy]ethanoic acid", 20042 },
	{ "MT0", "", "", ResidueType::NON_POLYMER, false, "1-CHLORO-4-METHYLPHTHALAZINE", 20043 },
	{ "MT1", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[(2,4-DIAMINOPTERIDIN-1-IUM-6-YL)METHYL](METHYL)AMINO}BENZOYL)-L-GLUTAMIC ACID", 20044 },
	{ "MT2", "", "", ResidueType::PEPTIDE_LINKING, false, "[(3S)-3-amino-3-carboxypropyl](ethyl)methylsulfonium", 20045 },
	{ "MT3", "", "", ResidueType::NON_POLYMER, false, "2-benzyl-5-{4-[(6,7-dimethoxyquinolin-4-yl)oxy]-3-fluorophenyl}-3-methylpyrimidin-4(3H)-one", 20046 },
	{ "MT4", "", "", ResidueType::NON_POLYMER, false, "5-{4-[(6,7-dimethoxyquinolin-4-yl)oxy]-3-fluorophenyl}-2-[(4-fluorophenyl)amino]-3-methylpyrimidin-4(3H)-one", 20047 },
	{ "MT5", "", "", ResidueType::NON_POLYMER, false, "N-[(3E,5R,6R,7S,8R,8AR)-5,6,7,8-TETRAHYDROXYHEXAHYDROIMIDAZO[1,5-A]PYRIDIN-3(2H)-YLIDENE]OCTAN-1-AMINIUM", 20048 },
	{ "MT6", "", "", ResidueType::NON_POLYMER, false, "methyl 3-(4-oxo-4,5-dihydrofuro[3,2-c]pyridin-2-yl)benzoate", 20049 },
	{ "MT7", "", "", ResidueType::NON_POLYMER, true, "alpha-D-glucopyranosyl-(1->4)-alpha-D-glucopyranosyl-(1->4)-alpha-D-glucopyranosyl-(1->4)-alpha-D-glucopyranosyl-(1->4)-alpha-D-glucopyranosyl-(1->4)-alpha-D-glucopyranosyl-(1->4)-beta-D-glucopyranose", 20050 },
	{ "MT8", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-hydroxy-1-methyl-2,3,6,7-tetrahydro-1H,5H-pyrido[3,2,1-ij]quinolin-5-one", 20051 },
	{ "MT9", "", "", ResidueType::NON_POLYMER, false, "(3R,4S,5S,7R,9E,11S,12R)-12-ethyl-11-hydroxy-3,5,7,11-tetramethyl-2,8-dioxooxacyclododec-9-en-4-yl 3,4,6-trideoxy-3-(dimethylamino)-beta-D-xylo-hexopyranoside", 20052 },
	{ "MTA", "", "", ResidueType::NON_POLYMER, false, "5'-DEOXY-5'-METHYLTHIOADENOSINE", 20053 },
	{ "MTB", "", "", ResidueType::NON_POLYMER, false, "", 20054 },
	{ "MTC", "", "", ResidueType::NON_POLYMER, false, "[1,8-DIHYDROXY-11-OXO-13-(2-METHYLTRITHIO-ETHYLIDENE)-BICYCLO[7.3.1]TRIDECA-4,9-DIENE-2,6-DIYN-10-YL]-CARBAMIC ACID METHYL ESTER", 20055 },
	{ "MTD", "", "", ResidueType::NON_POLYMER, false, "[METHYLTELLURO]ACETATE", 20056 },
	{ "MTE", "", "", ResidueType::NON_POLYMER, false, "PHOSPHONIC ACIDMONO-(2-AMINO-5,6-DIMERCAPTO-4-OXO-3,7,8A,9,10,10A-HEXAHYDRO-4H-8-OXA-1,3,9,10-TETRAAZA-ANTHRACEN-7-YLMETHYL)ESTER", 20057 },
	{ "MTF", "", "", ResidueType::NON_POLYMER, false, "N-METHYLTHIOFORMAMIDE", 20058 },
	{ "MTG", "", "", ResidueType::NON_POLYMER, false, "[METHYLTHIO]ACETATE", 20059 },
	{ "MTH", "", "", ResidueType::NON_POLYMER, false, "2-(4-AMINO-PYRROLO[2,3-D]PYRIMIDIN-7-YL)-5-METHYLSULFANYLMETHYL-TETRAHYDRO-FURAN-3,4-DIOL", 20060 },
	{ "MTI", "", "", ResidueType::NON_POLYMER, false, "3,4-DIHYDROXY-2-[(METHYLSULFANYL)METHYL]-5-(4-OXO-4,5-DIHYDRO-3H-PYRROLO[3,2-D]PYRIMIDIN-7-YL)PYRROLIDINIUM", 20061 },
	{ "MTJ", "", "", ResidueType::NON_POLYMER, false, "N,O-DIMETHYL-L-TYROSINE", 20062 },
	{ "MTK", "", "", ResidueType::NON_POLYMER, false, "MONTELUKAST", 20063 },
	{ "MTL", "", "", ResidueType::NON_POLYMER, false, "D-MANNITOL", 20064 },
	{ "MTM", "", "", ResidueType::NON_POLYMER, false, "(3S,4R)-2-(4-AMINO-5H-PYRROLO[3,2-D]PYRIMIDIN-7-YL)-5-[(METHYLSULFANYL)METHYL]PYRROLIDINE-3,4-DIOL", 20065 },
	{ "MTN", "", "", ResidueType::NON_POLYMER, false, "S-[(1-oxyl-2,2,5,5-tetramethyl-2,5-dihydro-1H-pyrrol-3-yl)methyl] methanesulfonothioate", 20066 },
	{ "MTO", "", "HOH", ResidueType::NON_POLYMER, true, "BOUND WATER", 20067 },
	{ "MTP", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXYMETHYL-5-(6-METHYLSULFANYL-PURIN-9-YL)-TETRAHYDRO-FURAN-3,4-DIOL", 20068 },
	{ "MTQ", "", "", ResidueType::NON_POLYMER, false, "(MOLYBDOPTERIN-S,S)-DIOXO-THIO-MOLYBDENUM(VI)", 20069 },
	{ "MTR", "", "", ResidueType::DNA_LINKING, false, "(5-METHYL-6-OXO-1,6-DIHYDRO-PYRIDIN-3-YL)-1,2-DIDEOXY-RIBOFURANOSE-5-MONOPHOSPHATE", 20070 },
	{ "MTS", "", "", ResidueType::NON_POLYMER, false, "(4S-TRANS)-4-(METHYLAMINO)-5,6-DIHYDRO-6-METHYL-4H-THIENO(2,3-B)THIOPYRAN-2-SULFONAMIDE-7,7-DIOXIDE", 20071 },
	{ "MTT", "", "", ResidueType::SACCHARIDE, false, "MALTOTETRAOSE", 20072 },
	{ "MTU", "", "", ResidueType::RNA_LINKING, false, "9-BETA-D-RIBOFURANOSYL-9H-PURIN-2-AMINE", 20073 },
	{ "MTV", "", "", ResidueType::NON_POLYMER, false, "(MOLYBDOPTERIN-S,S)-DIOXO-THIO-MOLYBDENUM(IV)", 20074 },
	{ "MTW", "", "", ResidueType::NON_POLYMER, false, "HYDROXY(OXO)(3-{[(2Z)-4-[3-(1H-1,2,4-TRIAZOL-1-YLMETHYL)PHENYL]PYRIMIDIN-2(5H)-YLIDENE]AMINO}PHENYL)AMMONIUM", 20075 },
	{ "MTX", "", "", ResidueType::NON_POLYMER, false, "METHOTREXATE", 20076 },
	{ "MTY", "OBS", "", ResidueType::PEPTIDE_LINKING, false, "META-TYROSINE", 20077 },
	{ "MTZ", "", "", ResidueType::NON_POLYMER, false, "4-METHYL-5-{(2E)-2-[(4-MORPHOLIN-4-YLPHENYL)IMINO]-2,5-DIHYDROPYRIMIDIN-4-YL}-1,3-THIAZOL-2-AMINE", 20078 },
	{ "MU0", "", "", ResidueType::NON_POLYMER, false, "(5S)-N-[(1S,2S,4S)-1-BENZYL-2-HYDROXY-4-{[(2S)-3-METHYL-2-(2-OXOTETRAHYDROPYRIMIDIN-1(2H)-YL)BUTANOYL]AMINO}-5-PHENYLPENTYL]-2-OXO-3-PHENYL-1,3-OXAZOLIDINE-5-CARBOXAMIDE", 20079 },
	{ "MU1", "", "", ResidueType::NON_POLYMER, false, "N~2~-ACETYL-N-[(1S,3S,4S)-4-({[(5S)-3-(3-ACETYLPHENYL)-2-OXO-1,3-OXAZOLIDIN-5-YL]CARBONYL}AMINO)-1-BENZYL-3-HYDROXY-5-PHENYLPENTYL]-L-VALINAMIDE", 20080 },
	{ "MU2", "", "", ResidueType::NON_POLYMER, false, "N-ACETYLMURAMYL-L-ALANYL-D-ISOGLUTAMINE", 20081 },
	{ "MUA", "", "", ResidueType::NON_POLYMER, false, "9-METHYL URIC ACID", 20082 },
	{ "MUB", "", "", ResidueType::NON_POLYMER, false, "N-ACETYLMURAMIC ACID", 20083 },
	{ "MUC", "", "", ResidueType::NON_POLYMER, false, "[(2S)-5-oxo-2,5-dihydrofuran-2-yl]acetic acid", 20084 },
	{ "MUD", "", "", ResidueType::NON_POLYMER, false, "N-{[(1R)-1-carboxy-2-(methylsulfanyl)ethyl]carbamoyl}-L-glutamic acid", 20085 },
	{ "MUF", "", "", ResidueType::NON_POLYMER, false, "(8alpha,10alpha,13alpha,17beta)-17-[(4-hydroxyphenyl)carbonyl]androsta-3,5-diene-3-carboxylic acid", 20086 },
	{ "MUG", "", "", ResidueType::SACCHARIDE, false, "4-METHYLUMBELLIFERYL-ALPHA-D-GLUCOSE", 20087 },
	{ "MUH", "", "", ResidueType::NON_POLYMER, false, "N-{4-METHYL-3-[(3-PYRIMIDIN-4-YLPYRIDIN-2-YL)AMINO]PHENYL}-3-(TRIFLUOROMETHYL)BENZAMIDE", 20088 },
	{ "MUI", "", "", ResidueType::NON_POLYMER, false, "(5S)-3-(4-ACETYLPHENYL)-N-[(1S,2R)-1-BENZYL-2-HYDROXY-3-{ISOBUTYL[(4-METHOXYPHENYL)SULFONYL]AMINO}PROPYL]-2-OXO-1,3-OXAZOLIDINE-5-CARBOXAMIDE", 20089 },
	{ "MUJ", "", "", ResidueType::NON_POLYMER, false, "5-{3-methoxy-4-[(4-methoxybenzyl)oxy]benzyl}pyrimidine-2,4-diamine", 20090 },
	{ "MUL", "", "", ResidueType::NON_POLYMER, false, "TIAMULIN", 20091 },
	{ "MUN", "", "", ResidueType::NON_POLYMER, false, "[(2~{S})-2,3-bis(oxidanyl)propyl] (~{E})-undec-2-enoate", 20092 },
	{ "MUP", "", "", ResidueType::NON_POLYMER, false, "METHOXYUNDECYLPHOSPHINIC ACID", 20093 },
	{ "MUR", "", "", ResidueType::NON_POLYMER, false, "MURAMIC ACID", 20094 },
	{ "MUS", "", "", ResidueType::NON_POLYMER, false, "4-METHYL-2-OXO-2H-CHROMEN-7-YL 5-(ACETYLAMINO)-3,5-DIDEOXY-L-ERYTHRO-NON-2-ULOPYRANOSIDONIC ACID", 20095 },
	{ "MUT", "", "", ResidueType::NON_POLYMER, false, "(5S)-3-(3-ACETYLPHENYL)-N-[(1S,2R)-1-BENZYL-2-HYDROXY-3-{ISOBUTYL[(4-METHOXYPHENYL)SULFONYL]AMINO}PROPYL]-2-OXO-1,3-OXAZOLIDINE-5-CARBOXAMIDE", 20096 },
	{ "MUU", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R)-1-BENZYL-3-{(CYCLOPROPYLMETHYL)[(3-METHOXYPHENYL)SULFONYL]AMINO}-2-HYDROXYPROPYL]-N'-METHYLSUCCINAMIDE", 20097 },
	{ "MUV", "", "", ResidueType::NON_POLYMER, false, "N-{(1S,2R)-1-BENZYL-3-[(CYCLOPROPYLMETHYL)(2-FURYLSULFONYL)AMINO]-2-HYDROXYPROPYL}-N'-METHYLSUCCINAMIDE", 20098 },
	{ "MUW", "", "", ResidueType::NON_POLYMER, false, "N-{(5S)-5-[{[4-(AMINOMETHYL)PHENYL]SULFONYL}(ISOBUTYL)AMINO]-6-HYDROXYHEXYL}-NALPHA-(METHOXYCARBONYL)-BETA-PHENYL-L-PHENYLALANINAMIDE", 20099 },
	{ "MUX", "", "", ResidueType::NON_POLYMER, false, "(4-methyl-2-oxidanylidene-chromen-7-yl) hydrogen sulfate", 20100 },
	{ "MV1", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,4-dihydroxy-3,3-dimethyl-N-[3-(nonylamino)-3-oxopropyl]butanamide", 20101 },
	{ "MV2", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,4-dihydroxy-N-(3-hydroxypropyl)-3,3-dimethylbutanamide", 20102 },
	{ "MV7", "", "", ResidueType::NON_POLYMER, false, "", 20103 },
	{ "MV9", "", "", ResidueType::PEPTIDE_LINKING, false, "(2~{R})-3-methyl-2-(methylamino)butanoic acid", 20104 },
	{ "MVA", "", "", ResidueType::PEPTIDE_LINKING, false, "N-METHYLVALINE", 20105 },
	{ "MVB", "", "", ResidueType::NON_POLYMER, false, "(1S,7S,8S,8AR)-1,2,3,7,8,8A-HEXAHYDRO-7-METHYL-8-[2-[(2R,4R)-TETRAHYDRO-4-HY DROXY-6-OXO-2H-PYRAN-2-YL]ETHYL]-1-NAPHTHALENOL", 20106 },
	{ "MVC", "", "", ResidueType::NON_POLYMER, false, "MONOVACCENIN", 20107 },
	{ "MVD", "", "", ResidueType::NON_POLYMER, false, "2ALPHA-METHYL-1ALPHA,25-DIHYDROXY-VITAMIN D3", 20108 },
	{ "MVF", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-[(2R)-2-[(2-azanyl-2-oxidanylidene-ethyl)amino]-2-cyclohexyl-ethanoyl]-N-[(4-carbamimidoylphenyl)methyl]azetidine-2-carboxamide", 20109 },
	{ "MVG", "", "", ResidueType::NON_POLYMER, false, "4-{6-[6-(propan-2-ylamino)-1H-indazol-1-yl]pyrazin-2-yl}benzoic acid", 20110 },
	{ "MVH", "", "", ResidueType::NON_POLYMER, false, "methyl [4-(methylamino)-4-oxidanylidene-but-2-en-2-yl] hydrogen phosphate", 20111 },
	{ "MVI", "", "", ResidueType::NON_POLYMER, false, "Mycinamicin VI", 20112 },
	{ "MVJ", "", "", ResidueType::NON_POLYMER, false, "5-cyclohexylspiro[1H-indole-3,4'-oxane]-2-one", 20113 },
	{ "MVL", "", "", ResidueType::NON_POLYMER, false, "(5R,6R,7S,8R)-5-(HYDROXYMETHYL)-5,6,7,8-TETRAHYDROIMIDAZO[1,2-A]PYRIDINE-6,7,8-TRIOL", 20114 },
	{ "MVN", "", "", ResidueType::NON_POLYMER, false, "6-chloro-4-methyl-1H-quinolin-2-one", 20115 },
	{ "MVP", "", "", ResidueType::SACCHARIDE, false, "(1S)-1,5-anhydro-4-O-alpha-D-glucopyranosyl-1-(phosphonomethyl)-D-glucitol", 20116 },
	{ "MW1", "", "", ResidueType::NON_POLYMER, true, "MANGANESE ION, 1 WATER COORDINATED", 20117 },
	{ "MW2", "", "", ResidueType::NON_POLYMER, true, "MANGANESE DIHYDRATE ION", 20118 },
	{ "MW3", "", "", ResidueType::NON_POLYMER, true, "MANGANESE ION, 3 WATERS COORDINATED", 20119 },
	{ "MW5", "", "", ResidueType::NON_POLYMER, false, "6-benzyl-5-chloro[1,2,4]triazolo[1,5-a]pyrimidin-7(3H)-one", 20120 },
	{ "MWB", "", "", ResidueType::NON_POLYMER, false, "N1-(4,5-dihydro-1H-imidazol-2-yl)-N4-(4-((4,5-dihydro-1H-imidazol-2-yl)amino)phenyl)benzene-1,4-diamine", 20121 },
	{ "MWL", "", "", ResidueType::NON_POLYMER, false, "3-phenyl-4-(pyridin-4-yl)-6-[4-(pyrimidin-2-yl)piperazin-1-yl]pyridazine", 20122 },
	{ "MWP", "", "", ResidueType::NON_POLYMER, false, "1-benzothiophen-6-amine 1,1-dioxide", 20123 },
	{ "MX1", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-((R)-CARBOXY{[CARBOXY(4-HYDROXYPHENYL)ACETYL]AMINO}METHOXYMETHYL)-5-METHYLENE-5,6-DIHYDRO-2H-1,3-OXAZINE-4-CARBOXYLIC ACID", 20124 },
	{ "MX3", "", "", ResidueType::NON_POLYMER, false, "(1-{4-[BENZYL(METHYL)AMINO]-4-OXOBUTANOYL}HYDRAZINO)ACETIC ACID", 20125 },
	{ "MX4", "", "", ResidueType::NON_POLYMER, false, "{1-[4-(BENZYLOXY)-4-OXOBUTANOYL]HYDRAZINO}ACETIC ACID", 20126 },
	{ "MX5", "", "", ResidueType::NON_POLYMER, false, "{1-[4-(3,4-DIHYDROQUINOLIN-1(2H)-YL)-4-OXOBUTANOYL]HYDRAZINO}ACETIC ACID", 20127 },
	{ "MX7", "", "", ResidueType::NON_POLYMER, false, "", 20128 },
	{ "MXA", "", "", ResidueType::NON_POLYMER, false, "6-(2,5-DIMETHOXY-BENZYL)-5-METHYL-PYRIDO[2,3-D]PYRIMIDINE-2,4-DIAMINE", 20129 },
	{ "MXC", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-2-[(7-aminocarbonyl-2-methanoyl-indolizin-3-yl)amino]-4-aminocarbonyloxy-3-methyl-3-sulfino-butanoic acid", 20130 },
	{ "MXD", "", "", ResidueType::NON_POLYMER, false, "6-PIPERIDIN-1-YLPYRIMIDINE-2,4-DIAMINE 3-OXIDE", 20131 },
	{ "MXE", "", "", ResidueType::NON_POLYMER, false, "2-METHOXYETHANOL", 20132 },
	{ "MXF", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-4-(2-aminoethylcarbamoyloxy)-2-[(2-methanoylindolizin-3-yl)amino]-3-methyl-3-sulfino-butanoic acid", 20133 },
	{ "MXG", "", "", ResidueType::NON_POLYMER, false, "2-(1-{2-[4-(2-ACETYLAMINO-PROPIONYLAMINO)-4-CARBOXY-BUTYRYLAMINO]-6-AMINO-HEXANOYLAMINO}-2-OXO-ETHYL)-5-METHYLENE-5,6-DIHYDRO-2H-[1,3]THIAZINE-4-CARBOXYLIC ACID", 20134 },
	{ "MXI", "", "", ResidueType::NON_POLYMER, false, "4-(2-TERT-BUTYL-4-(6-METHOXYNAPHTHALEN-2-YL)-3H-IMIDAZOL-4-YL)PYRIDIN-2-AMINE", 20135 },
	{ "MXL", "", "", ResidueType::NON_POLYMER, false, "MOXALACTAM", 20136 },
	{ "MXM", "", "", ResidueType::NON_POLYMER, false, "4-hydroxy-2-methyl-N-(5-methyl-1,3-thiazol-2-yl)-2H-1,2-benzothiazine-3-carboxamide 1,1-dioxide", 20137 },
	{ "MXN", "", "", ResidueType::NON_POLYMER, false, "(2R)-hydroxy(phenyl)ethanenitrile", 20138 },
	{ "MXP", "", "", ResidueType::NON_POLYMER, false, "Myxopyronin B", 20139 },
	{ "MXR", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4S)-4-{[(3S,5R)-5-(dimethylcarbamoyl)pyrrolidin-3-yl]sulfanyl}-2-[(2S,3R)-3-hydroxy-1-oxobutan-2-yl]-3-methyl-3,4-dihydro-2H-pyrrole-5-carboxylic acid", 20140 },
	{ "MXS", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[[2-methanoyl-7-(methoxycarbonylamino)indolizin-3-yl]amino]-3-methyl-3-sulfino-butanoic acid", 20141 },
	{ "MXT", "", "", ResidueType::NON_POLYMER, false, "1-(1-HYDROXY-2,2,6,6-TETRAMETHYLPIPERIDIN-4-YL)PYRROLIDINE-2,5-DIONE", 20142 },
	{ "MXX", "", "", ResidueType::NON_POLYMER, false, "5,8-dimethoxy-1,4-dimethylquinolin-2(1H)-one", 20143 },
	{ "MXY", "", "", ResidueType::SACCHARIDE, false, "2-O-METHYL FUCOSE", 20144 },
	{ "MXZ", "", "", ResidueType::NON_POLYMER, false, "6-DEOXY-2-O-METHYL-ALPHA-L-GALACTOPYRANOSE", 20145 },
	{ "MY0", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-4-[1-(carboxymethyl)hydrazinyl]-2-hydroxy-4-oxobutanoic acid", 20146 },
	{ "MY1", "", "", ResidueType::NON_POLYMER, false, "[N-(3-DIBENZYLCARBAMOYL-OXIRANECARBONYL)-HYDRAZINO]-ACETIC ACID", 20147 },
	{ "MY2", "", "", ResidueType::NON_POLYMER, false, "{1-[(3S)-4-(BENZYLOXY)-3-HYDROXY-4-OXOBUTANOYL]HYDRAZINO}ACETIC ACID", 20148 },
	{ "MY3", "", "", ResidueType::NON_POLYMER, false, "[N-(3-BENZYLCARBAMOYL-OXIRANECARBONYL)-HYDRAZINO] - ACETIC ACID", 20149 },
	{ "MY4", "", "", ResidueType::NON_POLYMER, false, "(1-{(3S)-3-HYDROXY-4-OXO-4-[(2-PHENYLETHYL)AMINO]BUTANOYL}HYDRAZINO)ACETIC ACID", 20150 },
	{ "MY5", "", "", ResidueType::NON_POLYMER, false, "{1-[(3S)-4-{[(1S)-2-(BENZYLAMINO)-1-METHYL-2-OXOETHYL]AMINO}-3-HYDROXY-4-OXOBUTANOYL]HYDRAZINO}ACETIC ACID", 20151 },
	{ "MY6", "", "", ResidueType::NON_POLYMER, false, "2-amino-7-methyl-1,7-dihydro-6H-purin-6-one", 20152 },
	{ "MY8", "", "", ResidueType::NON_POLYMER, false, "Mycinamicin VIII", 20153 },
	{ "MY9", "", "", ResidueType::NON_POLYMER, false, "N-{(1S,2S)-1-BENZYL-2-HYDROXY-2-[(4S)-1,2,2-TRIMETHYL-5-OXOIMIDAZOLIDIN-4-YL]ETHYL}-N'-[(1R)-1-(4-FLUOROPHENYL)ETHYL]-5-[METHYL(METHYLSULFONYL)AMINO]ISOPHTHALAMIDE", 20154 },
	{ "MYA", "", "", ResidueType::NON_POLYMER, false, "TETRADECANOYL-COA", 20155 },
	{ "MYB", "", "", ResidueType::NON_POLYMER, false, "Decarboxylated Myriocin", 20156 },
	{ "MYC", "", "", ResidueType::NON_POLYMER, false, "3,5,7-TRIHYDROXY-2-(3,4,5-TRIHYDROXYPHENYL)-4H-CHROMEN-4-ONE", 20157 },
	{ "MYD", "", "", ResidueType::NON_POLYMER, false, "{[5-(6-AMINO-PURIN-7-YL)-3,4-DIHYDROXY-TETRAHYDRO-FURAN-2-YLMETHOXY]-HYDROXY-PHOSPHORYLMETHYL}-PHOSPHONIC ACID MONO-[2-(4-HYDROXY-6-METHOXY-7-METHYL-3-OXO-1,3-DIHYDRO-ISOBENZOFURAN-5-YL)-ETHYL] ESTER", 20158 },
	{ "MYE", "", "", ResidueType::NON_POLYMER, false, "N2-({[(4-BROMOPHENYL)METHYL]OXY}CARBONYL)-N1-[(1S)-1-FORMYLPENTYL]-L-LEUCINAMIDE", 20159 },
	{ "MYF", "", "", ResidueType::NON_POLYMER, false, "5,7-DIHYDROXY-2-(3,4,5-TRIHYDROXYPHENYL)-4H-CHROMEN-4-ONE", 20160 },
	{ "MYG", "", "", ResidueType::NON_POLYMER, false, "GLUCOSAMINYL-(ALPHA-6)-D-MYO-INOSITOL", 20161 },
	{ "MYI", "", "", ResidueType::NON_POLYMER, false, "(5-methoxy-1H-indol-3-yl)acetic acid", 20162 },
	{ "MYK", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-tetradecanoyl-L-lysine", 20163 },
	{ "MYL", "", "", ResidueType::NON_POLYMER, false, "Mycalamide A", 20164 },
	{ "MYN", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-amino[(4R)-2-amino-1,4,5,6-tetrahydropyrimidin-4-yl]ethanoic acid", 20165 },
	{ "MYP", "", "", ResidueType::NON_POLYMER, false, "4-MORPHOLIN-4-YL-PIPERIDINE-1-CARBOXYLIC ACID [1-(3-BENZENESULFONYL-1-PROPYL-ALLYLCARBAMOYL)-2-PHENYLETHYL]-AMIDE", 20166 },
	{ "MYQ", "", "", ResidueType::NON_POLYMER, false, "(S)-(1,2-DICARBOXYETHYLTHIO)GOLD", 20167 },
	{ "MYR", "", "", ResidueType::NON_POLYMER, false, "MYRISTIC ACID", 20168 },
	{ "MYS", "", "", ResidueType::NON_POLYMER, false, "PENTADECANE", 20169 },
	{ "MYT", "", "", ResidueType::NON_POLYMER, false, "METYRAPONE", 20170 },
	{ "MYU", "", "", ResidueType::NON_POLYMER, false, "3,5,6,7-TETRAHYDROXY-2-(3,4-DIHYDROXYPHENYL)-4H-CHROMEN-4-ONE", 20171 },
	{ "MYV", "", "", ResidueType::NON_POLYMER, false, "MYCINAMICIN V", 20172 },
	{ "MYX", "", "", ResidueType::NON_POLYMER, false, "(2Z,6E)-7-{2'-[(2E,4E)-1,6-DIMETHYLHEPTA-2,4-DIENYL]-2,4'-BI-1,3-THIAZOL-4-YL}-3,5-DIMETHOXY-4-METHYLHEPTA-2,6-DIENAMIDE", 20173 },
	{ "MYY", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-(PHOSPHONOOXY)-2-(TETRADECANOYLOXY)PROPYL PALMITATE", 20174 },
	{ "MYZ", "", "", ResidueType::NON_POLYMER, false, "Myristoleic acid", 20175 },
	{ "MZ0", "", "", ResidueType::NON_POLYMER, false, "1H-imidazol-5-ylmethanol", 20176 },
	{ "MZ1", "", "", ResidueType::NON_POLYMER, false, "N~2~-ACETYL-N-[(1S,2R)-1-BENZYL-2-HYDROXY-3-{(2-THIENYLMETHYL)[(2,4,5-TRIFLUOROPHENYL)SULFONYL]AMINO}PROPYL]-L-ALANINAMIDE", 20177 },
	{ "MZ2", "", "", ResidueType::NON_POLYMER, false, "(2E)-N-[(1S,2R)-1-BENZYL-2-HYDROXY-3-{(2-THIENYLMETHYL)[(2,4,5-TRIFLUOROPHENYL)SULFONYL]AMINO}PROPYL]-4,4,4-TRIFLUORO-3-METHYLBUT-2-ENAMIDE", 20178 },
	{ "MZ3", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R)-1-BENZYL-2-HYDROXY-3-{[(3-METHOXYPHENYL)SULFONYL](2-THIENYLMETHYL)AMINO}PROPYL]-3-FLUORO-2-METHYLBENZAMIDE", 20179 },
	{ "MZ4", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R)-1-BENZYL-2-HYDROXY-3-{[(3-METHOXYPHENYL)SULFONYL](2-THIENYLMETHYL)AMINO}PROPYL]-3,4-DIHYDROXYBENZAMIDE", 20180 },
	{ "MZ5", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-[(1S,2R)-3-{(1,3-BENZOTHIAZOL-6-YLSULFONYL)[(2S)-2-METHYLBUTYL]AMINO}-1-BENZYL-2-HYDROXYPROPYL]-2-HYDROXY-3-METHYLBUTANAMIDE", 20181 },
	{ "MZ6", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R)-3-{(1,3-BENZOTHIAZOL-6-YLSULFONYL)[(2S)-2-METHYLBUTYL]AMINO}-1-BENZYL-2-HYDROXYPROPYL]-3-HYDROXYBENZAMIDE", 20182 },
	{ "MZ7", "", "", ResidueType::NON_POLYMER, false, "N~2~-ACETYL-N-{(1S,2R)-3-[(1,3-BENZOTHIAZOL-6-YLSULFONYL)(PENTYL)AMINO]-1-BENZYL-2-HYDROXYPROPYL}-L-VALINAMIDE", 20183 },
	{ "MZ8", "", "", ResidueType::NON_POLYMER, false, "N-{(1S,2R)-3-[(1,3-BENZOTHIAZOL-6-YLSULFONYL)(ISOBUTYL)AMINO]-1-BENZYL-2-HYDROXYPROPYL}-3-HYDROXYBENZAMIDE", 20184 },
	{ "MZ9", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R)-1-BENZYL-2-HYDROXY-3-{[(4-METHOXYPHENYL)SULFONYL][(2S)-2-METHYLBUTYL]AMINO}PROPYL]-4-OXOHEXANAMIDE", 20185 },
	{ "MZA", "", "", ResidueType::NON_POLYMER, false, "6-CHLORO-N-[(3S)-1-(5-FLUORO-1,2,3,4-TETRAHYDROISOQUINOLIN-6-YL)-2-OXO-PYRROLIDIN-3-YL]NAPHTHALENE-2-SULFONAMIDE", 20186 },
	{ "MZB", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3R,4S,5R)-4-amino-5-[(R)-methylsulfinyl]cyclopentane-1,2,3-triol", 20187 },
	{ "MZC", "", "", ResidueType::NON_POLYMER, false, "methyl {3-[2-(acetylamino)ethyl]-1H-indol-5-yl}carbamate", 20188 },
	{ "MZH", "", "", ResidueType::NON_POLYMER, false, "1,1'-(oxydimethanediyl)dipyrrolidine-2,5-dione", 20189 },
	{ "MZL", "", "", ResidueType::NON_POLYMER, false, "N-[4-(5-ethyl-3-pyridin-3-yl-1H-pyrazol-1-yl)phenyl]pyridine-3-carboxamide", 20190 },
	{ "MZM", "", "", ResidueType::NON_POLYMER, false, "N-(3-methyl-5-sulfamoyl-1,3,4-thiadiazol-2(3H)-ylidene)acetamide", 20191 },
	{ "MZO", "", "", ResidueType::NON_POLYMER, false, "N-(3-methoxyphenyl)-9H-purin-6-amine", 20192 },
	{ "MZP", "", "", ResidueType::NON_POLYMER, false, "4-CARBAMOYL-1-BETA-D-RIBOFURANOSYL-IMIDAZOLIUM-5-OLATE-5'-PHOSPHATE", 20193 },
	{ "MZR", "", "", ResidueType::NON_POLYMER, false, "5-hydroxy-1-(beta-D-ribofuranosyl)-1H-imidazole-4-carboxamide", 20194 },
	{ "MZS", "", "", ResidueType::NON_POLYMER, false, "1-[(4-fluorophenyl)methyl]pyrazole-3,5-dicarboxylic acid", 20195 },
	{ "MZT", "", "", ResidueType::NON_POLYMER, false, "4-(Trimethylammonio)pentanoic acid", 20196 },
	{ "MZX", "", "", ResidueType::NON_POLYMER, false, "5,8-dimethoxy-4-methylquinolin-2(1H)-one", 20197 },
	{ "MZY", "", "", ResidueType::NON_POLYMER, false, "1,3-dihydroimidazole-2-thione", 20198 },
	{ "MZZ", "", "", ResidueType::NON_POLYMER, false, "(4-aminophenyl)-imidazol-1-yl-methanone", 20199 },
	{ "N", "ROB", "", ResidueType::RNA_LINKING, false, "", 20200 },
	{ "N01", "", "", ResidueType::NON_POLYMER, false, "3-ACETYLPYRIDINE ADENINE DINUCLEOTIDE", 20201 },
	{ "N02", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-2-{[N-({[1-(tert-butoxycarbonyl)-4-ethylpiperidin-4-yl]oxy}carbonyl)-L-leucyl]amino}-1-hydroxy-3-[(3S)-2-oxopyrrolidin-3-yl]propane-1-sulfonic acid", 20202 },
	{ "N04", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[[3-[[3-[(Z)-(2,4-dioxo-1,3-thiazolidin-5-ylidene)methyl]phenoxy]methyl]phenyl]carbonylamino]pentanedioic acid", 20203 },
	{ "N05", "", "", ResidueType::NON_POLYMER, false, "3-[1-[3-[(4~{S})-6-azanyl-5-cyano-3-methyl-4-propan-2-yl-2~{H}-pyrano[2,3-c]pyrazol-4-yl]-5-fluoranyl-phenyl]piperidin-4-yl]propanoic acid", 20204 },
	{ "N09", "", "", ResidueType::NON_POLYMER, false, "N-(4-chloro-3-methoxyphenyl)-2-(4-oxochromeno[4,3-c]pyrazol-1(4H)-yl)acetamide", 20205 },
	{ "N0B", "", "", ResidueType::NON_POLYMER, false, "Adenylated Norbornene", 20206 },
	{ "N10", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[(HEXYLAMINO)CARBONYL]-L-SERINE", 20207 },
	{ "N11", "", "", ResidueType::NON_POLYMER, false, "6-[(7-nitro-2,1,3-benzoxadiazol-4-yl)sulfanyl]hexan-1-ol", 20208 },
	{ "N12", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-2-[(1-{[({6-[AMINO(IMINO)METHYL]PYRIDIN-3-YL}METHYL)AMINO]CARBONYL}CYCLOPENTYL)AMINO]-1-(CYCLOHEXYLMETHYL)-2-OXOETHYL]GLYCINE", 20209 },
	{ "N13", "", "", ResidueType::NON_POLYMER, false, "2-{3-[3-(1H-benzimidazol-2-yl)-1H-indazol-6-yl]-1H-pyrazol-5-yl}-N-(3-fluorophenyl)acetamide", 20210 },
	{ "N15", "", "", ResidueType::NON_POLYMER, false, "2-{4-[3-(1H-benzimidazol-2-yl)-1H-indazol-6-yl]-1H-pyrazol-1-yl}-N-(3-methylbutyl)acetamide", 20211 },
	{ "N16", "", "", ResidueType::NON_POLYMER, false, "(3Z,5S)-5-benzyl-3-[1-(phenylamino)ethylidene]pyrrolidine-2,4-dione", 20212 },
	{ "N17", "", "", ResidueType::NON_POLYMER, false, "3-(4-methyl-1H-imidazol-1-yl)-N-[4-(pyridin-4-yloxy)phenyl]benzamide", 20213 },
	{ "N1B", "", "", ResidueType::NON_POLYMER, false, "(S)-7-{[5-methoxy-2-methyl-3-(methoxycarbonylmethyl)-1H-indolyl]carbonyl}-7,8-dicarba-nido-dodeca-hydroundecaborate", 20214 },
	{ "N1C", "", "", ResidueType::NON_POLYMER, false, "", 20215 },
	{ "N1D", "", "", ResidueType::NON_POLYMER, false, "7-(3,4-dimethoxyphenyl)-5-methyl-2-(4-methylsulfonylpiperazin-1-yl)carbonyl-thieno[3,2-c]pyridin-4-one", 20216 },
	{ "N1H", "", "", ResidueType::NON_POLYMER, false, "", 20217 },
	{ "N1L", "", "", ResidueType::SACCHARIDE, false, "2-AMINO-2-DEOXY-BETA-D-GLUCOPYRANURONIC ACID", 20218 },
	{ "N1M", "", "", ResidueType::NON_POLYMER, false, "2-iodo-N-methylbenzamide", 20219 },
	{ "N1P", "", "", ResidueType::NON_POLYMER, false, "1-nitropropane", 20220 },
	{ "N1T", "", "", ResidueType::NON_POLYMER, false, "", 20221 },
	{ "N1Y", "", "", ResidueType::NON_POLYMER, false, "2-chloro-5-{[(2E)-2-(nitromethylidene)imidazolidin-1-yl]methyl}pyridine", 20222 },
	{ "N1Z", "", "", ResidueType::NON_POLYMER, false, "hydrogen [(1S)-1-hydroxy-2-(3-octyl-1H-imidazol-3-ium-1-yl)-1-phosphonoethyl]phosphonate", 20223 },
	{ "N20", "", "", ResidueType::NON_POLYMER, false, "6-CYCLOHEXYLMETHYLOXY-2-(4'-HYDROXYANILINO)PURINE", 20224 },
	{ "N21", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[[4-[[4-[(Z)-(2,4-dioxo-1,3-thiazolidin-5-ylidene)methyl]phenoxy]methyl]phenyl]sulfonylamino]pentanedioic acid", 20225 },
	{ "N22", "", "", ResidueType::NON_POLYMER, false, "5-[3-(2,5-dimethoxyphenyl)prop-1-yn-1-yl]-6-ethylpyrimidine-2,4-diamine", 20226 },
	{ "N23", "", "", ResidueType::NON_POLYMER, false, "N-[2-(2-methyl-1H-indol-3-yl)ethyl]thiophene-2-carboxamide", 20227 },
	{ "N24", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(3-bromophenyl)-3-(5-chloro-2-hydroxyphenyl)-1,3-thiazolidin-4-one", 20228 },
	{ "N25", "", "", ResidueType::NON_POLYMER, false, "1,3-BIS-(4-METHOXY-BENZENESULFONYL)-5,5-DIMETHYL-HEXAHYDRO-PYRIMIDINE-2-CARBOXYLIC ACID HYDROXYAMIDE", 20229 },
	{ "N26", "", "", ResidueType::NON_POLYMER, false, "naphthalene-2,6-diyl bis[dihydrogen (phosphate)]", 20230 },
	{ "N2A", "", "", ResidueType::NON_POLYMER, false, "N-[2-chloro-5-(1-{3-[4-(6-chloro-3-methyl-2-oxo-2,3-dihydro-1H-benzimidazol-1-yl)piperidin-1-yl]propyl}-6-oxo-1,6-dihydropyrimidin-5-yl)benzyl]-4-fluorobenzamide", 20231 },
	{ "N2B", "", "PYJ", ResidueType::NON_POLYMER, true, "ETHYLBENZENE", 20232 },
	{ "N2C", "", "", ResidueType::PEPTIDE_LINKING, false, "N,S-DIMETHYLCYSTEINE", 20233 },
	{ "N2D", "", "", ResidueType::NON_POLYMER, false, "N-[2-chloro-5-(1-{3-[4-(6-chloro-3-methyl-2-oxo-2,3-dihydro-1H-benzimidazol-1-yl)piperidin-1-yl]propyl}-6-oxo-1,6-dihydropyridazin-3-yl)benzyl]benzamide", 20234 },
	{ "N2F", "", "", ResidueType::NON_POLYMER, false, "2-[(4-methylphenyl)sulfonyl]-5-nitrofuran", 20235 },
	{ "N2G", "", "", ResidueType::NON_POLYMER, false, "", 20236 },
	{ "N2H", "", "", ResidueType::NON_POLYMER, false, "(4-azanylbutylamino)methanediol", 20237 },
	{ "N2I", "", "", ResidueType::NON_POLYMER, false, "N-(naphthalen-2-yl)methanimine", 20238 },
	{ "N2M", "", "", ResidueType::NON_POLYMER, false, "5-AMINO-NAPHTALENE-2-MONOSULFONATE", 20239 },
	{ "N2N", "", "", ResidueType::NON_POLYMER, false, "dichloro{4,5-di(amino-kappaN)-N-[9-(4-hydroxy-3,5-dimethoxyphenyl)-8-oxo-5,5a,6,8,8a,9-hexahydro-2H-furo[3',4':6,7]naphtho[2,3-d][1,3]dioxol-5-yl]pentanamide}platinum", 20240 },
	{ "N2O", "", "", ResidueType::NON_POLYMER, false, "NITROUS OXIDE", 20241 },
	{ "N2P", "", "", ResidueType::NON_POLYMER, false, "PENTANE-1,5-DIAMINE", 20242 },
	{ "N2R", "", "", ResidueType::NON_POLYMER, false, "dichloro{4,5-di(amino-kappaN)-N-[9-(4-hydroxy-3,5-dimethoxyphenyl)-8-oxo-5,5a,6,8,8a,9-hexahydro-2H-furo[3',4':6,7]naphtho[2,3-d][1,3]dioxol-5-yl]pentanamide}platinum", 20243 },
	{ "N2S", "", "", ResidueType::NON_POLYMER, false, "chloro{4,5-di(amino-kappaN)-N-[9-(4-hydroxy-3,5-dimethoxyphenyl)-8-oxo-5,5a,6,8,8a,9-hexahydro-2H-furo[3',4':6,7]naphtho[2,3-d][1,3]dioxol-5-yl]pentanamide}platinum", 20244 },
	{ "N2T", "", "", ResidueType::NON_POLYMER, false, "(2S)-4-(2,5-DIFLUOROPHENYL)-N-METHYL-2-PHENYL-N-PIPERIDIN-4-YL-2,5-DIHYDRO-1H-PYRROLE-1-CARBOXAMIDE", 20245 },
	{ "N2W", "", "", ResidueType::NON_POLYMER, false, "chloro{4,5-di(amino-kappaN)-N-[9-(4-hydroxy-3,5-dimethoxyphenyl)-8-oxo-5,5a,6,8,8a,9-hexahydro-2H-furo[3',4':6,7]naphtho[2,3-d][1,3]dioxol-5-yl]pentanamide}platinum", 20246 },
	{ "N2Y", "", "", ResidueType::NON_POLYMER, false, "(2Z)-1-[(6-chloropyridin-3-yl)methyl]imidazolidin-2-imine", 20247 },
	{ "N30", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3S,4R,6S)-4,6-DIAMINO-2-[(5-AMINO-5-DEOXY-BETA-D-RIBOFURANOSYL)OXY]-3-HYDROXYCYCLOHEXYL 2-AMINO-2-DEOXY-ALPHA-D-GLUCOPYRANOSIDE", 20248 },
	{ "N32", "", "", ResidueType::NON_POLYMER, false, "2,4-dihydroxy-3-({3-[(2S,4aS,8S,8aR)-8-methyl-3-methylidene-7-oxo-1,3,4,7,8,8a-hexahydro-2H-2,4a-ethanonaphthalen-8-yl]propanoyl}amino)benzoic acid", 20249 },
	{ "N33", "", "", ResidueType::NON_POLYMER, false, "", 20250 },
	{ "N34", "", "", ResidueType::NON_POLYMER, false, "N-{3-[1-(3,3-Dimethyl-butyl)-4-hydroxy-2-oxo-1,2,4a,5,6,7-hexahydro-pyrrolo[1,2-b]pyridazin-3-yl]-1,1-dioxo-1,2-dihydro-1lambda6-benzo[1,2,4]thiadiazin-7-yl}-methanesulfonamide", 20251 },
	{ "N35", "", "", ResidueType::NON_POLYMER, false, "N-{3-[5-hydroxy-2-(3-methylbutyl)-3-oxo-6-pyrrolidin-1-yl-2,3-dihydropyridazin-4-yl]-1,1-dioxido-2H-1,2,4-benzothiadiazin-7-yl}methanesulfonamide", 20252 },
	{ "N38", "", "", ResidueType::NON_POLYMER, false, "3-cyclohexyl-N-{(2S)-1-hydroxy-3-[(3S)-2-oxopyrrolidin-3-yl]propan-2-yl}-N~2~-{[3-(4-methoxyphenoxy)propyl]sulfonyl}-L-alaninamide", 20253 },
	{ "N3A", "", "", ResidueType::NON_POLYMER, false, "2,4-dihydroxy-3-({3-[(2R,4aR,8S,8aR,9R)-9-hydroxy-8-methyl-3-methylidene-7-oxo-1,3,4,7,8,8a-hexahydro-2H-2,4a-ethanonaphthalen-8-yl]propanoyl}amino)benzoic acid", 20254 },
	{ "N3B", "", "", ResidueType::NON_POLYMER, false, "N-[(4'-FLUORO-1,1'-BIPHENYL-4-YL)CARBONYL]-3-NITRO-4-{[2-(PHENYLSULFANYL)ETHYL]AMINO}BENZENESULFONAMIDE", 20255 },
	{ "N3C", "", "", ResidueType::NON_POLYMER, false, "4-{4-[(4'-CHLOROBIPHENYL-2-YL)METHYL]PIPERAZIN-1-YL}-N-{[4-({(1R)-3-(DIMETHYLAMINO)-1-[(PHENYLTHIO)METHYL]PROPYL}AMINO)-3-NITROPHENYL]SULFONYL}BENZAMIDE", 20256 },
	{ "N3D", "", "", ResidueType::NON_POLYMER, false, "N-methylpropane-1,3-diamine", 20257 },
	{ "N3E", "", "", ResidueType::NON_POLYMER, false, "1-[3-(4-CARBOXYPIPERIDIN-1-YL)-3-DEOXY-BETA-D-ARABINOFURANOSYL]PYRIMIDINE-2,4(1H,3H)-DIONE", 20258 },
	{ "N3F", "", "", ResidueType::NON_POLYMER, false, "{4-[(2-aminophenyl)amino]phenyl}(phenyl)methanone", 20259 },
	{ "N3H", "", "", ResidueType::NON_POLYMER, false, "N-{3-[5-hydroxy-2-(3-methylbutyl)-3-oxo-6-thiophen-2-yl-2,3-dihydropyridazin-4-yl]-1,1-dioxido-2H-1,2,4-benzothiadiazin-7-yl}methanesulfonamide", 20260 },
	{ "N3M", "", "", ResidueType::NON_POLYMER, false, "N-(3-aminophenyl)acetamide", 20261 },
	{ "N3P", "", "", ResidueType::NON_POLYMER, false, "N-(4-CHLOROPHENYL)-3-(PHOSPHONOOXY)NAPHTHALENE-2-CARBOXAMIDE", 20262 },
	{ "N3T", "", "", ResidueType::NON_POLYMER, false, "", 20263 },
	{ "N40", "", "", ResidueType::NON_POLYMER, false, "3-cyclohexyl-N-{(2S)-1-hydroxy-3-[(3S)-2-oxopyrrolidin-3-yl]propan-2-yl}-N~2~-(octylsulfonyl)-L-alaninamide", 20264 },
	{ "N41", "", "", ResidueType::NON_POLYMER, false, "4-(6-CYCLOHEXYLMETHOXY-9H-PURIN-2-YLAMINO)--BENZAMIDE", 20265 },
	{ "N42", "", "", ResidueType::NON_POLYMER, false, "N-[3-(5-{[3-(acryloylamino)-4-(morpholine-4-carbonyl)phenyl]amino}-1-methyl-6-oxo-1,6-dihydropyridin-3-yl)-2-methylphenyl]-4-tert-butylbenzamide", 20266 },
	{ "N44", "", "", ResidueType::NON_POLYMER, false, "5-({[2-(benzylcarbamoyl)benzyl](prop-2-en-1-yl)amino}methyl)-1,3-benzodioxole-4-carboxylate", 20267 },
	{ "N45", "", "", ResidueType::NON_POLYMER, false, "6'-[(6-aminopyrimidin-4-yl)amino]-8'-methyl-2'H-spiro[cyclohexane-1,3'-imidazo[1,5-a]pyridine]-1',5'-dione", 20268 },
	{ "N48", "", "", ResidueType::NON_POLYMER, false, "4-cyano-N-(7-methoxy-1,4-dimethyl-2-oxo-1,2-dihydroquinolin-6-yl)benzene-1-sulfonamide", 20269 },
	{ "N4A", "", "", ResidueType::NON_POLYMER, false, "4,4'-[{3-[(naphthalen-2-ylsulfonyl)amino]pyridine-2,6-diyl}bis(oxy)]dibenzenecarboximidamide", 20270 },
	{ "N4B", "", "", ResidueType::NON_POLYMER, false, "N-BUTYLBENZENE", 20271 },
	{ "N4C", "", "", ResidueType::NON_POLYMER, false, "N-(trans-4-aminocyclohexyl)-2,6-bis(4-carbamimidoylphenoxy)pyridine-4-carboxamide", 20272 },
	{ "N4D", "", "", ResidueType::NON_POLYMER, false, "N,4-dimethyl-3-[(1-phenyl-1H-pyrazolo[3,4-d]pyrimidin-4-yl)amino]benzamide", 20273 },
	{ "N4E", "", "", ResidueType::NON_POLYMER, false, "N-(4-ethoxyphenyl)acetamide", 20274 },
	{ "N4I", "", "", ResidueType::NON_POLYMER, false, "4-({(3S,4S)-4-[(3-hydroxybenzyl)amino]pyrrolidin-3-yl}[4-(trifluoromethyl)benzyl]sulfamoyl)benzamide", 20275 },
	{ "N4M", "", "", ResidueType::NON_POLYMER, false, "", 20276 },
	{ "N4R", "", "", ResidueType::NON_POLYMER, false, "NEXTURASTAT A", 20277 },
	{ "N4S", "", "", ResidueType::DNA_LINKING, false, "", 20278 },
	{ "N4T", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-CYCLOPROPYL-2-[(2S)-4-(2,5-DIFLUOROPHENYL)-2-PHENYL-2,5-DIHYDRO-1H-PYRROL-1-YL]-2-OXOETHANAMINE", 20279 },
	{ "N50", "", "", ResidueType::NON_POLYMER, false, "2-[(2,6-dimethoxy-5-methylpyrimidin-4-yl)methylidene]propane-1,3-diol", 20280 },
	{ "N53", "", "", ResidueType::NON_POLYMER, false, "N-[6,6-dimethyl-5-[(2S)-4-methyl-2-(phenylmethyl)piperazin-1-yl]carbonyl-2,4-dihydropyrrolo[3,4-c]pyrazol-3-yl]-3-phenoxy-benzamide", 20281 },
	{ "N56", "", "", ResidueType::NON_POLYMER, false, "(3S)-1-(5-chloro-1H-imidazo[4,5-b]pyridin-2-yl)-N-[(3,5-dichlorophenyl)methyl]piperidin-3-amine", 20282 },
	{ "N58", "", "", ResidueType::NON_POLYMER, false, "1-(3-tert-butyl-1-methyl-1H-pyrazol-5-yl)-3-[4-(pyridin-4-ylsulfanyl)phenyl]urea", 20283 },
	{ "N5A", "", "", ResidueType::NON_POLYMER, false, "", 20284 },
	{ "N5B", "", "", ResidueType::NON_POLYMER, false, "N-(5-CYCLOPROPYL-1H-PYRAZOL-3-YL)BENZAMIDE", 20285 },
	{ "N5C", "", "", ResidueType::NON_POLYMER, false, "", 20286 },
	{ "N5F", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methyl)amino]hexanedioic acid", 20287 },
	{ "N5G", "", "", ResidueType::NON_POLYMER, false, "N-({trans-4-[({(2R,4R,4aS,6S,8aS)-2-amino-4-hydroxy-5-[(phosphonooxy)methyl]decahydropteridin-6-yl}methyl)amino]cyclohexyl}carbonyl)-L-glutamic acid", 20288 },
	{ "N5I", "", "", ResidueType::DNA_LINKING, false, "1-(2-DEOXY-5-O-PHOSPHONO-BETA-D-ERYTHRO-PENTOFURANOSYL)-5-NITRO-1H-INDOLE", 20289 },
	{ "N5J", "", "", ResidueType::NON_POLYMER, false, "3H-pyrido[3,4-d]pyrimidin-4-one", 20290 },
	{ "N5M", "", "", ResidueType::RNA_LINKING, false, "", 20291 },
	{ "N5N", "", "", ResidueType::NON_POLYMER, false, "2-[[(2S)-4-[[(3S)-1-carbamimidoylpiperidin-3-yl]methylamino]-2-(naphthalen-2-ylsulfonylamino)-4-oxidanylidene-butanoyl]-cyclopropyl-amino]ethanoic acid", 20292 },
	{ "N5O", "", "", ResidueType::NON_POLYMER, false, "", 20293 },
	{ "N5P", "", "", ResidueType::NON_POLYMER, false, "1-{2-DEOXY-5-O-[(R)-HYDROXY{[(R)-HYDROXY(PHOSPHONOOXY)PHOSPHORYL]OXY}PHOSPHORYL]-BETA-D-ERYTHRO-PENTOFURANOSYL}-5-NITRO-1H-INDOLE", 20294 },
	{ "N5T", "", "", ResidueType::NON_POLYMER, false, "(2S)-4-(2,5-DIFLUOROPHENYL)-N,N-DIMETHYL-2-PHENYL-2,5-DIHYDRO-1H-PYRROLE-1-CARBOXAMIDE", 20295 },
	{ "N5Y", "", "", ResidueType::NON_POLYMER, false, "N-(6-amino-1-benzyl-2,4-dioxo-1,2,3,4-tetrahydropyrimidin-5-yl)-N-methylbenzamide", 20296 },
	{ "N61", "", "", ResidueType::NON_POLYMER, false, "1-(3-tert-butyl-1-methyl-1H-pyrazol-5-yl)-3-[4-(pyridin-4-yloxy)phenyl]urea", 20297 },
	{ "N66", "", "", ResidueType::NON_POLYMER, false, "~{N}-(2,6-diethylphenyl)-2-[[2-methoxy-4-(4-methylpiperazin-1-yl)phenyl]amino]-5,6-dihydropyrimido[4,5-e]indolizine-7-carboxamide", 20298 },
	{ "N68", "", "", ResidueType::NON_POLYMER, false, "6-aminohexyl dihydrogen phosphate", 20299 },
	{ "N69", "", "", ResidueType::NON_POLYMER, false, "6-(CYCLOHEXYLMETHOXY)-8-ISOPROPYL-9H-PURIN-2-AMINE", 20300 },
	{ "N6A", "", "", ResidueType::NON_POLYMER, false, "N-(6-amino-1-benzyl-2,4-dioxo-1,2,3,4-tetrahydropyrimidin-5-yl)-N-methylbenzenesulfonamide", 20301 },
	{ "N6C", "", "", ResidueType::NON_POLYMER, false, "1-nitrohexane", 20302 },
	{ "N6G", "", "", ResidueType::RNA_LINKING, false, "((2R,3S,4R,5S)-5-(2,6-DIAMINO-9H-PURIN-9-YL)-3,4-DIHYDROXY-TETRAHYDROFURAN-2-YL)METHYL DIHYDROGEN PHOSPHATE", 20303 },
	{ "N6L", "", "", ResidueType::NON_POLYMER, false, "D-phenylalanyl-N-(2,5-dichlorobenzyl)-L-prolinamide", 20304 },
	{ "N6M", "", "", ResidueType::NON_POLYMER, false, "N-METHYL-9H-PURIN-6-AMINE", 20305 },
	{ "N6P", "", "", ResidueType::NON_POLYMER, false, "6-(naphthalen-2-yl)-9-(5-O-phosphono-beta-D-ribofuranosyl)-9H-purine", 20306 },
	{ "N6R", "", "", ResidueType::NON_POLYMER, false, "", 20307 },
	{ "N6S", "", "", ResidueType::NON_POLYMER, false, "", 20308 },
	{ "N6T", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-[(S)-hydroxy{[(S)-hydroxy(phosphonoamino)phosphoryl]methyl}phosphoryl]-3,4-dihydrothymidine", 20309 },
	{ "N6Y", "", "", ResidueType::NON_POLYMER, false, "3-(pyridin-3-yl)aniline", 20310 },
	{ "N73", "", "", ResidueType::NON_POLYMER, false, "N~2~-[biphenyl-4-yl(dihydroxy)-lambda~4~-sulfanyl]-N-oxo-N~2~-(propan-2-yloxy)-D-valinamide", 20311 },
	{ "N75", "", "", ResidueType::NON_POLYMER, false, "3-[(3-chlorophenyl)ethynyl]-2-{4-[2-(cyclopropylamino)-2-oxoethoxy]phenyl}-6-hydroxy-1-benzofuran-5-carboxylic acid", 20312 },
	{ "N76", "", "", ResidueType::NON_POLYMER, false, "3-(6-CYCLOHEXYLMETHOXY-9H-PURIN-2-YLAMINO)-BENZENESULFONAMIDE", 20313 },
	{ "N77", "", "", ResidueType::NON_POLYMER, false, "7-(hydroxyamino)-N-(pyridin-3-ylmethyl)-5-(trifluoromethyl)-1,3-benzothiazole-2-carboxamide 3-oxide", 20314 },
	{ "N79", "", "", ResidueType::NON_POLYMER, false, "", 20315 },
	{ "N7E", "", "", ResidueType::NON_POLYMER, false, "N~3~-[(2R)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-N-(5-methoxypentyl)-beta-alaninamide", 20316 },
	{ "N7F", "", "", ResidueType::NON_POLYMER, false, "6-[(3S)-3-AMINOPIPERIDIN-1-YL]-5-BENZYL-4-OXO-3-(QUINOLIN-4-YLMETHYL)-4,5-DIHYDRO-3H-PYRROLO[3,2-D]PYRIMIDINE-7-CARBONITRILE", 20317 },
	{ "N7H", "", "", ResidueType::NON_POLYMER, false, "DELTA-MESO NITROHEME", 20318 },
	{ "N7I", "", "", ResidueType::NON_POLYMER, false, "4-[(1E)-3-hydroxyprop-1-en-1-yl]-2-methoxyphenol", 20319 },
	{ "N7N", "", "", ResidueType::NON_POLYMER, false, "(3~{S})-3-[[(3~{S},6~{S},10~{a}~{S})-6-(isoquinolin-1-ylcarbonylamino)-5-oxidanylidene-2,3,6,7,8,9,10,10~{a}-octahydro-1~{H}-pyrrolo[1,2-a]azocin-3-yl]carbonylamino]-4-oxidanyl-butanoic acid", 20320 },
	{ "N7O", "", "", ResidueType::NON_POLYMER, false, "(S)-[(1S)-1-(5-chloro-1-benzothiophen-3-yl)-2-{[(E)-2-(3,4-difluorophenyl)ethenyl]amino}-2-oxoethyl]methylphosphinic acid", 20321 },
	{ "N7P", "", "", ResidueType::PEPTIDE_LINKING, false, "1-ACETYL-L-PROLINE", 20322 },
	{ "N7R", "", "", ResidueType::NON_POLYMER, false, "N-[(3R,6S)-6-(2,3-difluorophenyl)-2-oxo-1-(2,2,2-trifluoroethyl)azepan-3-yl]-4-(2-oxo-2,3-dihydro-1H-imidazo[4,5-b]pyridin-1-yl)piperidine-1-carboxamide", 20323 },
	{ "N80", "", "", ResidueType::PEPTIDE_LINKING, false, "1-ethenyl-L-proline", 20324 },
	{ "N81", "", "", ResidueType::NON_POLYMER, false, "3-carboxy-2,3-dideoxy-D-erythro-pentaric acid", 20325 },
	{ "N85", "", "", ResidueType::NON_POLYMER, false, "N-[(1H-indol-2-ylcarbonyl)carbamoyl]-beta-D-glucopyranosylamine", 20326 },
	{ "N87", "", "", ResidueType::NON_POLYMER, false, "(1R,4R,5R)-1,4,5-trihydroxy-3-[3-(phenylcarbonyl)phenyl]cyclohex-2-ene-1-carboxylic acid", 20327 },
	{ "N88", "", "", ResidueType::NON_POLYMER, false, "(1R,4R,5R)-3-(tert-butylcarbamoyl)-1,4,5-trihydroxycyclohex-2-ene-1-carboxylic acid", 20328 },
	{ "N8C", "", "", ResidueType::NON_POLYMER, false, "1-nitrooctane", 20329 },
	{ "N8E", "", "", ResidueType::NON_POLYMER, false, "3,6,9,12,15-PENTAOXATRICOSAN-1-OL", 20330 },
	{ "N8M", "", "", ResidueType::NON_POLYMER, false, "5'-deoxy-5'-(dimethylamino)-8-methyladenosine", 20331 },
	{ "N8N", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(3-chlorophenyl)-2-(pyridin-2-yl)-1,3-thiazolidin-4-one", 20332 },
	{ "N8P", "", "", ResidueType::PEPTIDE_LINKING, false, "N-ACETYL-D-PROLINE", 20333 },
	{ "N8T", "", "", ResidueType::NON_POLYMER, false, "N-[8-(1,2,3,4-TETRAHYDROACRIDIN-9-YLTHIO)OCTYL]-1,2,3,4-TETRAHYDROACRIDIN-9-AMINE", 20334 },
	{ "N8V", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,3S,6R)-4-(hydroxymethyl)-6-(octylamino)cyclohex-4-ene-1,2,3-triol", 20335 },
	{ "N8Y", "", "", ResidueType::NON_POLYMER, false, "6-methoxyquinazolin-4-amine", 20336 },
	{ "N91", "", "", ResidueType::NON_POLYMER, false, "N-(1-METHYLBENZIMIDAZOL-5-YL)ACETAMIDE", 20337 },
	{ "N93", "", "", ResidueType::NON_POLYMER, false, "5-chloro-N-(2-{[(3,5-dichlorophenyl)methyl]amino}ethyl)-N-methyl-3H-imidazo[4,5-b]pyridin-2-amine", 20338 },
	{ "N95", "", "", ResidueType::NON_POLYMER, false, "[1-(6-chloropyrimidin-4-yl)-1H-pyrazol-4-yl]boronic acid", 20339 },
	{ "N9H", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-(3-AMINOPROPYL)-3-(2,5-DIFLUOROPHENYL)-N-ETHYL-5-PHENYL-4,5-DIHYDRO-1H-PYRAZOLE-1-CARBOXAMIDE", 20340 },
	{ "N9S", "", "", ResidueType::SACCHARIDE, false, "4-O-alpha-D-Glucopyranosyl-beta-D-glucopyranose", 20341 },
	{ "NA", "", "", ResidueType::NON_POLYMER, false, "SODIUM ION", 20342 },
	{ "NA0", "", "", ResidueType::NON_POLYMER, false, "3-ACETYLPYRIDINE ADENINE DINUCLEOTIDE PHOSPHATE", 20343 },
	{ "NA1", "", "", ResidueType::NON_POLYMER, false, "METHYL N-ACETYL ALLOSAMINE", 20344 },
	{ "NA2", "", "", ResidueType::NON_POLYMER, true, "SODIUM ION, 2 WATER COORDINATED", 20345 },
	{ "NA3", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-{[(5-BROMOPYRIDIN-3-YL)CARBONYL]AMINO}-4-OXOBUTANOIC ACID", 20346 },
	{ "NA4", "", "", ResidueType::NON_POLYMER, false, "4-[5-(2-CARBOXY-1-FORMYL-ETHYLCARBAMOYL)-PYRIDIN-3-YL]-BENZOIC ACID", 20347 },
	{ "NA5", "", "", ResidueType::NON_POLYMER, true, "SODIUM ION, 5 WATERS COORDINATED", 20348 },
	{ "NA6", "", "", ResidueType::NON_POLYMER, true, "SODIUM ION, 6 WATERS COORDINATED", 20349 },
	{ "NA7", "", "", ResidueType::NON_POLYMER, false, "[(2R,3R,4R,5R)-5-(6-AMINO-9H-PURIN-9-YL)-3-HYDROXY-4-(PHOSPHONOOXY)TETRAHYDROFURAN-2-YL]METHYL [(2R,3S,4S)-3,4-DIHYDROXYTETRAHYDROFURAN-2-YL]METHYL DIHYDROGEN DIPHOSPHATE", 20350 },
	{ "NA8", "", "", ResidueType::PEPTIDE_LINKING, false, "(1S)-1-CARBOXY-2-NAPHTHALEN-2-YLETHANAMINIUM", 20351 },
	{ "NA9", "", "", ResidueType::NON_POLYMER, false, "N-(CARBOXYMETHYL)-3-CYCLOHEXYL-D-ALANYL-N-({6-[AMINO(IMINO)METHYL]PYRIDIN-3-YL}METHYL)-N~2~-METHYL-L-ALANINAMIDE", 20352 },
	{ "NAA", "", "", ResidueType::SACCHARIDE, false, "N-ACETYL-D-ALLOSAMINE", 20353 },
	{ "NAB", "", "", ResidueType::NON_POLYMER, false, "", 20354 },
	{ "NAC", "", "A3D", ResidueType::NON_POLYMER, true, "3-ACETYL PYRIDINE ADENINE DINUCLEOTIDE", 20355 },
	{ "NAD", "NAH", "", ResidueType::NON_POLYMER, false, "NICOTINAMIDE-ADENINE-DINUCLEOTIDE", 20356 },
	{ "NAE", "", "", ResidueType::NON_POLYMER, false, "NICOTINAMIDE ADENINE DINUCLEOTIDE ACETONE ADDUCT", 20357 },
	{ "NAF", "", "", ResidueType::NON_POLYMER, false, "M-(N,N,N-TRIMETHYLAMMONIO)-2,2,2-TRIFLUORO-1,1-DIHYDROXYETHYLBENZENE", 20358 },
	{ "NAG", "", "", ResidueType::SACCHARIDE, false, "N-ACETYL-D-GLUCOSAMINE", 20359 },
	{ "NAH", "", "NAD", ResidueType::NON_POLYMER, true, "NICOTINAMIDE-ADENINE-DINUCLEOTIDE", 20360 },
	{ "NAI", "", "", ResidueType::NON_POLYMER, false, "1,4-DIHYDRONICOTINAMIDE ADENINE DINUCLEOTIDE", 20361 },
	{ "NAJ", "", "", ResidueType::NON_POLYMER, false, "NICOTINAMIDE-ADENINE-DINUCLEOTIDE (ACIDIC FORM)", 20362 },
	{ "NAK", "", "", ResidueType::NON_POLYMER, false, "AMINO-ACRYLATE", 20363 },
	{ "NAL", "", "", ResidueType::PEPTIDE_LINKING, false, "BETA-(2-NAPHTHYL)-ALANINE", 20364 },
	{ "NAM", "", "", ResidueType::PEPTIDE_LINKING, true, "NAM NAPTHYLAMINOALANINE", 20365 },
	{ "NAN", "", "SIA", ResidueType::NON_POLYMER, true, "5-N-ACETYL-ALPHA-D-NEURAMINIC ACID", 20366 },
	{ "NAO", "", "", ResidueType::NON_POLYMER, true, "SODIUM ION, 1 WATER COORDINATED", 20367 },
	{ "NAP", "", "", ResidueType::NON_POLYMER, false, "NADP NICOTINAMIDE-ADENINE-DINUCLEOTIDE PHOSPHATE", 20368 },
	{ "NAQ", "", "", ResidueType::NON_POLYMER, false, "NICOTINAMIDE ADENINE DINUCLEOTIDE 3-PENTANONE ADDUCT", 20369 },
	{ "NAR", "", "", ResidueType::NON_POLYMER, false, "NARINGENIN", 20370 },
	{ "NAS", "", "", ResidueType::NON_POLYMER, false, "2-NAPHTHALENESULFONIC ACID", 20371 },
	{ "NAT", "", "", ResidueType::NON_POLYMER, false, "ETHYL 4-(3-HYDROXYPHENYL)-6-METHYL-2-THIOXO-1,2,3,4-TETRAHYDROPYRIMIDINE-5-CARBOXYLATE", 20372 },
	{ "NAU", "", "", ResidueType::NON_POLYMER, false, "4,4,6,7,8,9-HEXAHYDROXY-5-METHYLCARBOXAMIDONONANOIC ACID", 20373 },
	{ "NAV", "", "", ResidueType::NON_POLYMER, false, "6,7,8,9-TETRAHYDROXY-5-METHYLCARBOXAMIDO-4-OXONONANOIC ACID", 20374 },
	{ "NAW", "", "", ResidueType::NON_POLYMER, true, "SODIUM ION, 3 WATERS COORDINATED", 20375 },
	{ "NAX", "", "", ResidueType::NON_POLYMER, false, "BETA-6-HYDROXY-1,4,5,6-TETRHYDRONICOTINAMIDE ADENINE DINUCLEOTIDE", 20376 },
	{ "NAY", "", "", ResidueType::NON_POLYMER, false, "6,7,8,9-TETRAHYDROXY-5-METHYLCARBOXAMIDO-2-OXONONANOIC ACID", 20377 },
	{ "NAZ", "", "", ResidueType::NON_POLYMER, false, "N~3~-{3-[(7-METHYL-1,8-NAPHTHYRIDIN-2-YL)AMINO]-3-OXOPROPYL}-N~1~-[(7-OXO-7,8-DIHYDRO-1,8-NAPHTHYRIDIN-2-YL)METHYL]-BETA-ALANINAMIDE", 20378 },
	{ "NB1", "", "", ResidueType::NON_POLYMER, false, "(3AR,5R,6S,7R,7AR)-5-(HYDROXYMETHYL)-2-PROPYL-5,6,7,7A-TETRAHYDRO-3AH-PYRANO[3,2-D][1,3]THIAZOLE-6,7-DIOL", 20379 },
	{ "NB8", "", "", ResidueType::PEPTIDE_LINKING, false, "5'-O-[(R)-{[(2S)-2-amino-4-(hydroxyamino)-4-oxobutanoyl]oxy}(hydroxy)phosphoryl]adenosine", 20380 },
	{ "NBA", "", "", ResidueType::NON_POLYMER, false, "3-[(3-{[3-(METHYLAMINO)PROPYL]AMINO}PROPYL)AMINO]PROPANE-1,1-DIOL", 20381 },
	{ "NBB", "", "", ResidueType::NON_POLYMER, false, "N-BUTYL-BENZENESULFONAMIDE", 20382 },
	{ "NBC", "", "", ResidueType::NON_POLYMER, false, "S-4-NITROBUTYRYL-COA", 20383 },
	{ "NBD", "", "", ResidueType::NON_POLYMER, false, "N6-BENZYL-NICOTINAMIDE-ADENINE-DINUCLEOTIDE", 20384 },
	{ "NBE", "", "", ResidueType::NON_POLYMER, false, "NITROSOBENZENE", 20385 },
	{ "NBF", "", "", ResidueType::NON_POLYMER, false, "[(2-ETHOXY-1-NAPHTHOYL)AMINO]METHYLBORONIC ACID", 20386 },
	{ "NBG", "", "", ResidueType::SACCHARIDE, false, "1-N-ACETYL-BETA-D-GLUCOSAMINE", 20387 },
	{ "NBH", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[benzyl(propyl)amino]methyl}phenyl)-2-[4-(ethylsulfonyl)phenyl]acetamide", 20388 },
	{ "NBI", "", "", ResidueType::NON_POLYMER, false, "2-nitro-N-phenylbenzamide", 20389 },
	{ "NBL", "", "", ResidueType::NON_POLYMER, false, "N2-[(BENZYLOXY)CARBONYL]-N1-[(3S)-1-CYANOPYRROLIDIN-3-YL]-L-LEUCINAMIDE", 20390 },
	{ "NBN", "", "", ResidueType::NON_POLYMER, false, "N-BUTYL ISOCYANIDE", 20391 },
	{ "NBO", "", "", ResidueType::NON_POLYMER, false, "nabumetone", 20392 },
	{ "NBP", "", "", ResidueType::NON_POLYMER, false, "NICOTINAMIDE 8-BROMO-ADENINE DINUCLEOTIDE PHOSPHATE", 20393 },
	{ "NBQ", "", "", ResidueType::PEPTIDE_LINKING, false, "2-HYDROXY-5-({1-[(2-NAPHTHYLOXY)METHYL]-3-OXOPROP-1-ENYL}AMINO)TYROSINE", 20394 },
	{ "NBR", "", "", ResidueType::NON_POLYMER, false, "1-[[4-[2-[4-[[4-(dimethylamino)pyridin-1-yl]methyl]phenoxy]ethoxy]phenyl]methyl]-N,N-dimethyl-pyridin-4-amine", 20395 },
	{ "NBS", "", "", ResidueType::NON_POLYMER, false, "", 20396 },
	{ "NBT", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-NITROBUTANE", 20397 },
	{ "NBU", "BUT,SBU", "", ResidueType::NON_POLYMER, false, "N-BUTANE", 20398 },
	{ "NBV", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4R,5S)-1-BUTYL-2-(HYDROXYMETHYL)PIPERIDINE-3,4,5-TRIOL", 20399 },
	{ "NBX", "", "", ResidueType::NON_POLYMER, false, "N-{[(4-aminophenyl)carbonyl]carbamoyl}-beta-D-glucopyranosylamine", 20400 },
	{ "NBY", "", "", ResidueType::NON_POLYMER, false, "N-{[(4-nitrophenyl)carbonyl]carbamoyl}-beta-D-glucopyranosylamine", 20401 },
	{ "NBZ", "", "", ResidueType::NON_POLYMER, false, "NITROBENZENE", 20402 },
	{ "NC", "", "", ResidueType::NON_POLYMER, true, "METHYLAMINE GROUP", 20403 },
	{ "NC1", "NC2", "", ResidueType::PEPTIDE_LINKING, false, "NITROCEFIN ACYL-SERINE", 20404 },
	{ "NC2", "", "NC1", ResidueType::NON_POLYMER, true, "NITROCEFIN ACYL-SERINE", 20405 },
	{ "NC3", "", "", ResidueType::NON_POLYMER, false, "N-[(CYCLOHEXYLAMINO)CARBONYL]GLYCINE", 20406 },
	{ "NC4", "", "", ResidueType::NON_POLYMER, false, "4-{[(CYCLOHEXYLAMINO)CARBONYL]AMINO}BUTANOIC ACID", 20407 },
	{ "NC5", "", "", ResidueType::NON_POLYMER, false, "3-[(2R)-2-ethylpiperidin-1-yl]-N-[6-({3-[(2S)-2-ethylpiperidin-1-yl]propanoyl}amino)acridin-3-yl]propanamide", 20408 },
	{ "NC6", "", "", ResidueType::NON_POLYMER, false, "6-{[(CYCLOHEXYLAMINO)CARBONYL]AMINO}HEXANOIC ACID", 20409 },
	{ "NC7", "", "", ResidueType::NON_POLYMER, false, "7-{[(CYCLOHEXYLAMINO)CARBONYL]AMINO}HEPTANOIC ACID", 20410 },
	{ "NC8", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-({(4-aminobenzyl)[(4-aminophenyl)acetyl]amino}methyl)-5-{[(4-bromobenzoyl)oxy]methyl}-2,3,4,7-tetrahydro-1H-azepinium", 20411 },
	{ "NC9", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-({(4-aminobenzyl)[(4-aminophenyl)acetyl]amino}methyl)-5-(hydroxymethyl)-2,3,4,7-tetrahydro-1H-azepinium", 20412 },
	{ "NCA", "", "", ResidueType::NON_POLYMER, false, "NICOTINAMIDE", 20413 },
	{ "NCB", "", "", ResidueType::PEPTIDE_LINKING, false, "N-CARBAMOYL-ALANINE", 20414 },
	{ "NCC", "", "", ResidueType::NON_POLYMER, false, "", 20415 },
	{ "NCD", "", "", ResidueType::NON_POLYMER, false, "N-CARBAMOYL-L-ASPARTATE", 20416 },
	{ "NCE", "", "", ResidueType::NON_POLYMER, false, "3,6-Bis[(3-morpholinopropionamido)] acridine", 20417 },
	{ "NCF", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-{(1R)-2-OXO-1-[(2-THIENYLACETYL)AMINO]ETHYL}-5,6-DIHYDRO-2H-1,3-THIAZINE-4-CARBOXYLIC ACID", 20418 },
	{ "NCG", "", "", ResidueType::NON_POLYMER, false, "", 20419 },
	{ "NCH", "", "", ResidueType::NON_POLYMER, false, "P-NITROPHENYL-PHOSPHOCHOLINE", 20420 },
	{ "NCI", "", "", ResidueType::NON_POLYMER, false, "3,6-Bis{3-[(2R)-(2-ethylpiperidino)]propionamido}acridine", 20421 },
	{ "NCJ", "", "", ResidueType::NON_POLYMER, false, "3,6-Bis{3-[(2R)-2-methylpiperidino)]propionamido}acridine", 20422 },
	{ "NCK", "", "", ResidueType::NON_POLYMER, false, "3,6-Bis[3-(4-methylpiperidino)propionamido]acridine", 20423 },
	{ "NCL", "", "", ResidueType::NON_POLYMER, false, "3,6-Bis{3-(3-[(3R)-methylpiperidino)]propionamido}acridine", 20424 },
	{ "NCM", "", "", ResidueType::NON_POLYMER, false, "NORCAMPHOR", 20425 },
	{ "NCN", "", "", ResidueType::NON_POLYMER, false, "NICOTINATE MONONUCLEOTIDE", 20426 },
	{ "NCO", "", "", ResidueType::NON_POLYMER, false, "COBALT HEXAMMINE(III)", 20427 },
	{ "NCP", "", "", ResidueType::NON_POLYMER, true, "CIS-DIAMINODICHLOROPLATINUM", 20428 },
	{ "NCQ", "", "", ResidueType::NON_POLYMER, false, "3,6-Bis[3-(azepan-1-yl)propionamido]acridine", 20429 },
	{ "NCR", "", "", ResidueType::NON_POLYMER, false, "2-NITRO-P-CRESOL", 20430 },
	{ "NCS", "", "", ResidueType::NON_POLYMER, false, "", 20431 },
	{ "NCT", "", "", ResidueType::NON_POLYMER, false, "(S)-3-(1-METHYLPYRROLIDIN-2-YL)PYRIDINE", 20432 },
	{ "NCU", "", "", ResidueType::DNA_LINKING, false, "[(1R,5R,7R,8S)-7-(4-amino-5-methyl-2-oxopyrimidin-1(2H)-yl)-8-hydroxy-3-methyl-2,6-dioxa-3-azabicyclo[3.2.1]oct-5-yl]methyl dihydrogen phosphate", 20433 },
	{ "NCV", "", "", ResidueType::NON_POLYMER, false, "N-Methyl-6-(1,3-dihydroxy-isobutyl)thymine", 20434 },
	{ "NCW", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,3S,4R,5R)-2,3,4-trihydroxy-N-octyl-6-oxa-8-azabicyclo[3.2.1]octane-8-carbothioamide", 20435 },
	{ "NCX", "", "", ResidueType::DNA_LINKING, false, "1-(2-DEOXY-5-O-PHOSPHONO-BETA-D-ERYTHRO-PENTOFURANOSYL)-5-NITRO-1H-INDOLE-3-CARBOXAMIDE", 20436 },
	{ "NCY", "", "", ResidueType::PEPTIDE_LINKING, false, "N-METHYLCYSTEINE", 20437 },
	{ "NCZ", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXY-7-METHOXY-5-METHYL-NAPHTHALENE-1-CARBOXYLIC ACID MESO-2,5-DIHYDROXY-CYCLOPENT-3-ENYL ESTER", 20438 },
	{ "ND3", "", "", ResidueType::NON_POLYMER, false, "2,2-dimethyl-3-dehydroquinic acid", 20439 },
	{ "ND4", "", "", ResidueType::NON_POLYMER, false, "AMMONIUM CATION WITH D", 20440 },
	{ "NDA", "", "", ResidueType::NON_POLYMER, false, "3-AMINOMETHYL-PYRIDINIUM-ADENINE-DINUCLEOTIDE", 20441 },
	{ "NDB", "", "", ResidueType::NON_POLYMER, false, "N-(2-hydroxyethyl)-N,N-dimethyl-3-sulfopropan-1-aminium", 20442 },
	{ "NDC", "", "", ResidueType::NON_POLYMER, false, "NICOTINAMIDE ADENINE DINUCLEOTIDE CYCLOHEXANONE", 20443 },
	{ "NDD", "", "", ResidueType::NON_POLYMER, false, "2,6-DICARBOXYNAPHTHALENE", 20444 },
	{ "NDE", "", "", ResidueType::NON_POLYMER, false, "", 20445 },
	{ "NDF", "", "", ResidueType::PEPTIDE_LINKING, false, "N-(CARBOXYCARBONYL)-D-PHENYLALANINE", 20446 },
	{ "NDG", "", "", ResidueType::SACCHARIDE, false, "2-(ACETYLAMINO)-2-DEOXY-A-D-GLUCOPYRANOSE", 20447 },
	{ "NDH", "", "", ResidueType::NON_POLYMER, false, "(1R, 2S)-CIS 1,2 DIHYDROXY-1,2-DIHYDRONAPHTHALENE", 20448 },
	{ "NDJ", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,4R,5S)-N-butyl-3,4,5-trihydroxy-2-(hydroxymethyl)piperidine-1-carbothioamide", 20449 },
	{ "NDM", "", "", ResidueType::NON_POLYMER, false, "7,9-DIMETHYLGUANINE", 20450 },
	{ "NDN", "", "", ResidueType::DNA_LINKING, false, "", 20451 },
	{ "NDO", "", "", ResidueType::NON_POLYMER, false, "NICOTINAMIDE-(6-DEAMINO-6-HYDROXY-ADENINE)-DINUCLEOTIDE PHOSPHATE", 20452 },
	{ "NDP", "", "", ResidueType::NON_POLYMER, false, "NADPH DIHYDRO-NICOTINAMIDE-ADENINE-DINUCLEOTIDE PHOSPHATE", 20453 },
	{ "NDR", "", "", ResidueType::NON_POLYMER, false, "(14beta,17alpha)-17-ethynyl-17-hydroxyestr-4-en-3-one", 20454 },
	{ "NDS", "", "", ResidueType::NON_POLYMER, false, "ETHYL DIMETHYL AMMONIO PROPANE SULFONATE", 20455 },
	{ "NDT", "", "", ResidueType::NON_POLYMER, false, "2-(TOLUENE-4-SULFONYL)-2H-BENZO[D][1,2,3]DIAZABORININ-1-OL", 20456 },
	{ "NDU", "", "", ResidueType::DNA_LINKING, false, "", 20457 },
	{ "NDV", "", "", ResidueType::NON_POLYMER, false, "(2S,4S)-2-[(1R)-1-{[(2R)-2-amino-2-phenylacetyl]amino}-2-oxoethyl]-5,5-dimethyl-1,3-thiazolidine-4-carboxylic acid", 20458 },
	{ "NDY", "", "", ResidueType::NON_POLYMER, false, "(1R,4R,5R)-1,4,5-trihydroxy-3-[(1R)-1-hydroxy-2-phenyl]ethylcyclohex-2-ene-1-carboxylic acid", 20459 },
	{ "NDZ", "", "", ResidueType::NON_POLYMER, false, "(2R,3aR,6R,7R,7aR)-2-[(2S)-2-amino-2-carboxyethyl]-6,7-dihydroxyhexahydro-2H-furo[3,2-b]pyran-2-carboxylic acid", 20460 },
	{ "NE1", "", "", ResidueType::NON_POLYMER, false, "2',3,3',4',5-PENTACHLOROBIPHENYL-4-OL", 20461 },
	{ "NE2", "", "", ResidueType::NON_POLYMER, false, "3,3',4',5-TETRACHLOROBIPHENYL-4-OL", 20462 },
	{ "NE6", "", "", ResidueType::NON_POLYMER, false, "methyl [(1E,5R)-5-{(3S)-3-[(2E,4E)-2,5-dimethylocta-2,4-dienoyl]-2,4-dioxo-3,4-dihydro-2H-pyran-6-yl}hexylidene]carbamate", 20463 },
	{ "NE8", "", "", ResidueType::NON_POLYMER, false, "6-AMINO-4-(2-PHENYLETHYL)-1,7-DIHYDRO-8H-IMIDAZO[4,5-G]QUINAZOLIN-8-ONE", 20464 },
	{ "NEA", "", "", ResidueType::NON_POLYMER, false, "5'-DEOXY-5'-[2-(AMINO)ETHYLTHIO]ADENOSINE", 20465 },
	{ "NEB", "", "", ResidueType::NON_POLYMER, false, "2-DEOXY-D-STREPTAMINE", 20466 },
	{ "NEC", "", "", ResidueType::NON_POLYMER, false, "", 20467 },
	{ "NED", "", "IDG", ResidueType::SACCHARIDE, true, "2,6-DIAMINO-2,6-DIDEOXY-ALPHA-D-GLUCOPYRANOSE", 20468 },
	{ "NEE", "", "", ResidueType::NON_POLYMER, false, "1-[3-(4-chloro-3,5-dimethylphenoxy)benzyl]-1H-imidazole", 20469 },
	{ "NEG", "", "", ResidueType::NON_POLYMER, false, "NEGAMYCIN", 20470 },
	{ "NEH", "", "", ResidueType::NON_POLYMER, false, "ETHANAMINE", 20471 },
	{ "NEI", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,4R,5R)-5-(6-AMINO-2-IODO-9H-PURIN-9-YL)-N-ETHYL-3,4-DIHYDROXYTETRAHYDROFURAN-2-CARBOXAMIDE", 20472 },
	{ "NEM", "", "HIC", ResidueType::PEPTIDE_LINKING, true, "NE2-METHYLATED HISTIDINE", 20473 },
	{ "NEN", "", "", ResidueType::NON_POLYMER, false, "1-ETHYL-PYRROLIDINE-2,5-DIONE", 20474 },
	{ "NEO", "", "", ResidueType::NON_POLYMER, false, "NEOPTERIN", 20475 },
	{ "NEP", "", "", ResidueType::PEPTIDE_LINKING, false, "N1-PHOSPHONOHISTIDINE", 20476 },
	{ "NEQ", "", "", ResidueType::NON_POLYMER, false, "N-ETHYLMALEIMIDE", 20477 },
	{ "NER", "", "", ResidueType::NON_POLYMER, false, "(15E)-TETRACOS-15-ENOIC ACID", 20478 },
	{ "NES", "", "", ResidueType::NON_POLYMER, false, "2-(2-HYDROXY-1,1-DIHYDROXYMETHYL-ETHYLAMINO)-ETHANESULFONIC ACID", 20479 },
	{ "NET", "E4N", "", ResidueType::NON_POLYMER, false, "TETRAETHYLAMMONIUM ION", 20480 },
	{ "NEU", "", "", ResidueType::NON_POLYMER, false, "L-NEOPTERIN", 20481 },
	{ "NEV", "", "NVP", ResidueType::NON_POLYMER, true, "NEVIRAPINE", 20482 },
	{ "NEW", "", "PCQ", ResidueType::NON_POLYMER, true, "3,3',5,5'-TETRACHLOROBIPHENYL-4,4'-DIOL", 20483 },
	{ "NEX", "", "", ResidueType::NON_POLYMER, false, "", 20484 },
	{ "NEZ", "", "", ResidueType::NON_POLYMER, false, "6-AMINO-4-[2-(4-METHYLPHENYL)ETHYL]-1,7-DIHYDRO-8H-IMIDAZO[4,5-G]QUINAZOLIN-8-ONE", 20485 },
	{ "NF", "", "", ResidueType::NON_POLYMER, false, "N,N'-(3,7-DIAZANONYLENE)-BIS-NAPHTHALIMIDE", 20486 },
	{ "NF1", "", "", ResidueType::NON_POLYMER, false, "2-(2-{[(5-methyl-1,3,4-thiadiazol-2-yl)methyl]amino}ethyl)-1H-benzo[de]isoquinoline-1,3(2H)-dione", 20487 },
	{ "NF2", "", "", ResidueType::RNA_LINKING, false, "(1S)-1,4-ANHYDRO-1-(2,4-DIFLUORO-5-METHYLPHENYL)-5-O-PHOSPHONO-D-RIBITOL", 20488 },
	{ "NF5", "", "", ResidueType::NON_POLYMER, false, "4-bromo-N-(2,3,4,5-tetrahydro-1H-3-benzazepin-7-yl)benzamide", 20489 },
	{ "NF6", "", "", ResidueType::NON_POLYMER, false, "6-(dimethylamino)-2-(2-{[(5-methyl-1,3,4-thiadiazol-2-yl)methyl]amino}ethyl)-1H-benzo[de]isoquinoline-1,3(2H)-dione", 20490 },
	{ "NFA", "", "", ResidueType::PEPTIDE_LINKING, false, "PHENYLALANINE AMIDE", 20491 },
	{ "NFB", "", "NFO", ResidueType::NON_POLYMER, true, "NI-FE ACTIVE CENTER B-FORM", 20492 },
	{ "NFC", "", "", ResidueType::NON_POLYMER, false, "NI-FE ACTIVE CENTER A-FORM", 20493 },
	{ "NFD", "", "", ResidueType::NON_POLYMER, false, "Nicotinamide 2-fluoro-adenine dinucleotide", 20494 },
	{ "NFE", "", "", ResidueType::NON_POLYMER, false, "NI-FE ACTIVE CENTER", 20495 },
	{ "NFF", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-2-[(1R)-1-{[(2-ethoxynaphthalen-1-yl)carbonyl]amino}-2-oxoethyl]-5,5-dimethyl-1,3-thiazolidine-4-carboxylic acid", 20496 },
	{ "NFG", "", "", ResidueType::NON_POLYMER, false, "2,4-DINITROPHENYL 2-DEOXY-2-FLUORO-BETA-D-GLUCOPYRANOSIDE", 20497 },
	{ "NFH", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(2R)-2-{[formyl(hydroxy)amino]methyl}-4-methylpentanoyl]-N,3-dimethyl-L-valinamide", 20498 },
	{ "NFK", "", "", ResidueType::NON_POLYMER, false, "N'-Formylkynurenine", 20499 },
	{ "NFL", "", "", ResidueType::NON_POLYMER, false, "2-{[3-(TRIFLUOROMETHYL)PHENYL]AMINO}NICOTINIC ACID", 20500 },
	{ "NFM", "", "", ResidueType::NON_POLYMER, false, "N-[(4-amino-2-methylpyrimidin-5-yl)methyl]formamide", 20501 },
	{ "NFN", "", "", ResidueType::NON_POLYMER, false, "6-[[(2-ETHOXY-1-NAPHTHALENYL)CARBONYL]AMINO]-3,3-DIMETHYL-7-OXO-4-THIA-1-AZABICYCLO[3.2.0]HEPTANE-2-CARBOXYLATE", 20502 },
	{ "NFO", "NFB", "", ResidueType::NON_POLYMER, false, "NI-FE OXIDIZED ACTIVE CENTER", 20503 },
	{ "NFP", "", "", ResidueType::NON_POLYMER, false, "(1E,3S)-5-phenyl-1-(phenylsulfonyl)pent-1-en-3-amine", 20504 },
	{ "NFQ", "", "", ResidueType::NON_POLYMER, false, "N-[(E)-iminomethyl]-L-aspartic acid", 20505 },
	{ "NFR", "", "", ResidueType::NON_POLYMER, false, "NI-FE REDUCED ACTIVE CENTER", 20506 },
	{ "NFS", "", "", ResidueType::NON_POLYMER, false, "FE(4)-NI(1)-S(5) CLUSTER", 20507 },
	{ "NFT", "", "", ResidueType::NON_POLYMER, false, "N-(2-AMINOETHYL)-N~2~-{(1S)-1-[4'-(AMINOSULFONYL)BIPHENYL-4-YL]-2,2,2-TRIFLUOROETHYL}-L-LEUCINAMIDE", 20508 },
	{ "NFU", "", "", ResidueType::NON_POLYMER, false, "formyl[bis(hydrocyanato-1kappaC)]ironnickel(Fe-Ni)", 20509 },
	{ "NFV", "", "", ResidueType::NON_POLYMER, false, "NI-FE OXIDIZED ACTIVE CENTER", 20510 },
	{ "NFW", "", "", ResidueType::NON_POLYMER, false, "(2S)-6-[[[2-(furan-2-ylmethylcarbamoyl)phenyl]methyl-methyl-amino]methyl]-2-(3-hydroxy-3-oxopropyl)-2,3-dihydro-1,4-benzodioxine-5-carboxylic acid", 20511 },
	{ "NFX", "", "", ResidueType::NON_POLYMER, false, "7-[(3R)-3-aminopyrrolidin-1-yl]-8-chloro-1-cyclopropyl-6-fluoro-4-oxo-1,4-dihydroquinoline-3-carboxylic acid", 20512 },
	{ "NFZ", "", "", ResidueType::NON_POLYMER, false, "NITROFURAZONE", 20513 },
	{ "NG1", "", "", ResidueType::SACCHARIDE, false, "N-ACETYL-ALPHA-D-GALACTOSAMINE 1-PHOSPHATE", 20514 },
	{ "NG2", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(4-ethylpiperazin-1-yl)methyl]-3-(trifluoromethyl)phenyl}-4-methyl-3-(1H-pyrrolo[2,3-b]pyridin-4-yloxy)benzamide", 20515 },
	{ "NG6", "", "", ResidueType::SACCHARIDE, false, "N-ACETYL-D-GALACTOSAMINE 6-SULFATE", 20516 },
	{ "NG7", "", "", ResidueType::NON_POLYMER, false, "3-{2-[(cyclopropylcarbonyl)amino][1,3]thiazolo[5,4-b]pyridin-5-yl}-N-{4-[(4-ethylpiperazin-1-yl)methyl]-3-(trifluoromethyl)phenyl}benzamide", 20517 },
	{ "NGA", "", "", ResidueType::SACCHARIDE, false, "N-ACETYL-D-GALACTOSAMINE", 20518 },
	{ "NGB", "", "", ResidueType::SACCHARIDE, false, "4-nitrophenyl 6-O-beta-D-glucopyranosyl-beta-D-glucopyranoside", 20519 },
	{ "NGC", "", "", ResidueType::SACCHARIDE, false, "3,5-dideoxy-5-[(hydroxyacetyl)amino]-D-glycero-alpha-D-galacto-non-2-ulopyranosonic acid", 20520 },
	{ "NGD", "", "", ResidueType::NON_POLYMER, false, "", 20521 },
	{ "NGE", "", "", ResidueType::SACCHARIDE, false, "N-Glycolylneuraminic acid", 20522 },
	{ "NGF", "", "", ResidueType::SACCHARIDE, false, "3,5-dideoxy-5-[(hydroxyacetyl)amino]-D-glycero-D-galacto-non-2-ulosonic acid", 20523 },
	{ "NGH", "", "", ResidueType::NON_POLYMER, false, "N-ISOBUTYL-N-[4-METHOXYPHENYLSULFONYL]GLYCYL HYDROXAMIC ACID", 20524 },
	{ "NGI", "", "", ResidueType::NON_POLYMER, false, "", 20525 },
	{ "NGJ", "", "", ResidueType::NON_POLYMER, false, "5-amino-3-ethylisoquinolin-1(2H)-one", 20526 },
	{ "NGK", "", "", ResidueType::NON_POLYMER, false, "2-(ACETYLAMINO)-2-DEOXY-4-O-SULFO-ALPHA-D-GALACTOPYRANOSE", 20527 },
	{ "NGL", "", "ASG", ResidueType::SACCHARIDE, true, "ACETYLGALACTOSAMINE-4-SULFATE", 20528 },
	{ "NGM", "", "", ResidueType::NON_POLYMER, false, "NOGALAMYCIN", 20529 },
	{ "NGN", "", "", ResidueType::NON_POLYMER, true, "NITROGEN", 20530 },
	{ "NGO", "", "", ResidueType::NON_POLYMER, false, "2-METHYL-4,5-DIHYDRO-(1,2-DIDEOXY-ALPHA-D-GLUCOPYRANOSO)[2,1-D]-1,3-OXAZOLE", 20531 },
	{ "NGP", "", "", ResidueType::NON_POLYMER, false, "NOGALAMYCIN (PROTONATED FORM)", 20532 },
	{ "NGQ", "", "", ResidueType::NON_POLYMER, false, "N-carbamimidoyl-L-glutamic acid", 20533 },
	{ "NGR", "", "", ResidueType::NON_POLYMER, false, "3-O-alpha-D-glucopyranosyl-alpha-D-glucopyranose", 20534 },
	{ "NGS", "", "", ResidueType::SACCHARIDE, false, "2-(acetylamino)-2-deoxy-6-O-sulfo-beta-D-glucopyranose", 20535 },
	{ "NGT", "", "", ResidueType::NON_POLYMER, false, "3AR,5R,6S,7R,7AR-5-HYDROXYMETHYL-2-METHYL-5,6,7,7A-TETRAHYDRO-3AH-PYRANO[3,2-D]THIAZOLE-6,7-DIOL", 20536 },
	{ "NGU", "", "", ResidueType::NON_POLYMER, false, "U-58872, HYDROXY DERIVATIVE OF NOGALAMYCIN", 20537 },
	{ "NGV", "", "", ResidueType::NON_POLYMER, false, "METHYL 5,7-DIHYDROXY-2-METHYL-4,6,11-TRIOXO-3,4,6,11-TETRAHYDROTETRACENE-1-CARBOXYLATE", 20538 },
	{ "NGW", "", "", ResidueType::NON_POLYMER, false, "(2S,3aR,5R,6S,7R,7aR)-5-(hydroxymethyl)-2-methyl-2,3a,5,6,7,7a-hexahydro-1H-pyrano[3,2-d][1,3]thiazole-6,7-diol", 20539 },
	{ "NGY", "", "", ResidueType::SACCHARIDE, false, "2-(acetylamino)-2-deoxy-6-O-sulfo-alpha-D-glucopyranose", 20540 },
	{ "NGZ", "", "", ResidueType::NON_POLYMER, false, "2-(ACETYLAMINO)-2-DEOXY-ALPHA-L-GLUCOPYRANOSE", 20541 },
	{ "NH", "", "", ResidueType::NON_POLYMER, true, "AMINO SUBSTITUTION GROUP", 20542 },
	{ "NH1", "", "", ResidueType::NON_POLYMER, false, "3-(4-AMINO-2-TERT-BUTYL-5-METHYL-PHENYLSULFANYL)-6-CYCLOPENTYL-4-HYDROXY-6-[2-(4-HYDROXY-PHENYL)-ETHYL]-5,6-DIHYDRO-PYRAN-2-ONE", 20543 },
	{ "NH2", "", "", ResidueType::NON_POLYMER, false, "AMINO GROUP", 20544 },
	{ "NH3", "", "", ResidueType::NON_POLYMER, false, "AMMONIA", 20545 },
	{ "NH4", "", "", ResidueType::NON_POLYMER, false, "AMMONIUM ION", 20546 },
	{ "NH5", "", "", ResidueType::NON_POLYMER, false, "N-cyclohexyl-N~3~-[2-(3,4-dichlorophenyl)ethyl]-N-(2-{[2-(5-hydroxy-3-oxo-3,4-dihydro-2H-1,4-benzoxazin-8-yl)ethyl]amino}ethyl)-beta-alaninamide", 20547 },
	{ "NH6", "", "", ResidueType::NON_POLYMER, false, "~{N}1-[(4-chlorophenyl)methyl]-~{N}1-cyclopentyl-~{N}4-(phenylmethyl)benzene-1,4-disulfonamide", 20548 },
	{ "NH7", "", "", ResidueType::NON_POLYMER, false, "2-[(S)-(4-chlorophenyl)(hydroxy)(1-methyl-1H-imidazol-5-yl)methyl]-N-morpholin-4-yl-7-phenyl-1-benzofuran-5-carboxamide", 20549 },
	{ "NH8", "", "", ResidueType::NON_POLYMER, false, "3-{2-[(S)-(4-cyanophenyl)(hydroxy)(1-methyl-1H-imidazol-5-yl)methyl]-5-nitro-1-benzofuran-7-yl}benzonitrile", 20550 },
	{ "NHB", "", "", ResidueType::NON_POLYMER, false, "N-HYDROXY-4-(METHYL{[5-(2-PYRIDINYL)-2-THIENYL]SULFONYL}AMINO)BENZAMIDE", 20551 },
	{ "NHC", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3R,4S)-2,3-dimethyl-7-oxabicyclo[2.2.1]heptane-2,3-dicarboxylic acid", 20552 },
	{ "NHD", "", "", ResidueType::NON_POLYMER, false, "NICOTINAMIDE PURIN-6-OL-DINUCLEOTIDE", 20553 },
	{ "NHE", "", "", ResidueType::NON_POLYMER, false, "2-[N-CYCLOHEXYLAMINO]ETHANE SULFONIC ACID", 20554 },
	{ "NHF", "", "", ResidueType::SACCHARIDE, false, "1,5-anhydro-D-fructose", 20555 },
	{ "NHG", "", "", ResidueType::NON_POLYMER, false, "BIS-NORESEROLINE", 20556 },
	{ "NHH", "", "", ResidueType::NON_POLYMER, false, "N'-{4-[2-(DIAMINOMETHYLIDENE)HYDRAZONO]CYCLOHEXYLIDEN}AMINOMETHANEHYDRAZONAMIDE", 20557 },
	{ "NHI", "", "", ResidueType::NON_POLYMER, false, "", 20558 },
	{ "NHJ", "", "", ResidueType::NON_POLYMER, false, "4-[(4-{[3-(trifluoromethyl)phenyl]amino}pyrimidin-2-yl)amino]benzamide", 20559 },
	{ "NHK", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-N~2~-(2-hydroxyethyl)-N~2~-[(4-methoxyphenyl)sulfonyl]glycinamide", 20560 },
	{ "NHL", "", "", ResidueType::PEPTIDE_LINKING, false, "(4S)-4-(2-NAPHTHYLMETHYL)-D-GLUTAMIC ACID", 20561 },
	{ "NHM", "", "", ResidueType::NON_POLYMER, false, "S-(2-OXO)PENTADECYLCOA", 20562 },
	{ "NHN", "", "", ResidueType::NON_POLYMER, false, "", 20563 },
	{ "NHO", "", "", ResidueType::NON_POLYMER, false, "NICOTINAMIDE-ADENINE-DINUCLEOTIDE-5-HYDROXY-4-OXONORVALINE", 20564 },
	{ "NHP", "", "", ResidueType::NON_POLYMER, false, "4-(2-AMINOPHENYLTHIO)-BUTYLPHOSPHONIC ACID", 20565 },
	{ "NHQ", "", "", ResidueType::NON_POLYMER, false, "", 20566 },
	{ "NHR", "", "", ResidueType::NON_POLYMER, false, "2-{4-[2-(2-AMINO-4-HYDROXY-QUINAZOLIN-6-YL)-1-CARBOXY-ETHYL]-BENZOYLAMINO}-PENTANEDIOIC ACID", 20567 },
	{ "NHS", "", "", ResidueType::NON_POLYMER, false, "10-FORMYL-5,8,10-TRIDEAZAFOLIC ACID", 20568 },
	{ "NHT", "", "", ResidueType::NON_POLYMER, false, "(3AR,5R,6S,7R,7AR)-2-(ETHYLAMINO)-5-(HYDROXYMETHYL)-5,6,7,7A-TETRAHYDRO-3AH-PYRANO[3,2-D][1,3]THIAZOLE-6,7-DIOL", 20569 },
	{ "NHU", "", "", ResidueType::NON_POLYMER, false, "2-({2-[(4-carbamoylphenyl)amino]pyrimidin-4-yl}amino)benzamide", 20570 },
	{ "NHV", "", "", ResidueType::NON_POLYMER, false, "(5R,6R,7S,8R)-6,7,8-trihydroxy-5-(hydroxymethyl)-2-[(phenylamino)methyl]-5,6,7,8-tetrahydro-1H-imidazo[1,2-a]pyridin-4-ium", 20571 },
	{ "NHW", "", "", ResidueType::NON_POLYMER, false, "2-oxopentadecyl-CoA", 20572 },
	{ "NHX", "", "", ResidueType::NON_POLYMER, false, "N-{(2R)-2-[2-(hydroxyamino)-2-oxoethyl]-4-methylpentanoyl}-3-naphthalen-2-yl-L-alanyl-L-alaninamide", 20573 },
	{ "NHY", "", "", ResidueType::NON_POLYMER, false, "N-HYDROXYUREA", 20574 },
	{ "NI", "", "", ResidueType::NON_POLYMER, false, "NICKEL (II) ION", 20575 },
	{ "NI0", "", "", ResidueType::NON_POLYMER, false, "5,6-diethyl-2-{5-[(4-methylpiperazin-1-yl)sulfonyl]-2-propoxyphenyl}pyrimidin-4(3H)-one", 20576 },
	{ "NI1", "", "", ResidueType::NON_POLYMER, true, "NICKEL ION, 1 WATER COORDINATED", 20577 },
	{ "NI2", "", "", ResidueType::NON_POLYMER, true, "NICKEL (II) ION, 2 WATERS COORDINATED", 20578 },
	{ "NI3", "", "", ResidueType::NON_POLYMER, true, "NICKEL (II) ION, 3 WATERS COORDINATED", 20579 },
	{ "NI5", "", "", ResidueType::NON_POLYMER, false, "2-{5-[(4-methylpiperazin-1-yl)sulfonyl]-2-propoxyphenyl}-3,5,6,7-tetrahydro-4H-cyclopenta[d]pyrimidin-4-one", 20580 },
	{ "NI7", "", "", ResidueType::NON_POLYMER, false, "(4aS,7aS)-1,4-bis(3-hydroxybenzyl)hexahydro-1H-pyrrolo[3,4-b]pyrazine-2,3-dione", 20581 },
	{ "NI8", "", "", ResidueType::NON_POLYMER, false, "(4aS,7aS)-1,4-bis[3-(hydroxymethyl)benzyl]hexahydro-1H-pyrrolo[3,4-b]pyrazine-2,3-dione", 20582 },
	{ "NI9", "", "", ResidueType::NON_POLYMER, false, "3-FLUORO-1-(2-HYDROXY-2,2-DIPHOSPHONOETHYL)PYRIDINIUM", 20583 },
	{ "NIA", "", "", ResidueType::NON_POLYMER, false, "((2R,3S,4R,5R)-5-(5-AMINO-4-NITRO-1H-IMIDAZOL-1-YL)-3,4-DIHYDROXYTETRAHYDROFURAN-2-YL)METHYL DIHYDROGEN PHOSPHATE", 20584 },
	{ "NIC", "", "", ResidueType::NON_POLYMER, false, "NITROISOCITRIC ACID", 20585 },
	{ "NID", "", "", ResidueType::NON_POLYMER, false, "4-NITRO-INDEN-1-ONE", 20586 },
	{ "NIE", "", "", ResidueType::NON_POLYMER, false, "nitroethane", 20587 },
	{ "NIF", "", "", ResidueType::NON_POLYMER, false, "2-ethyl-7-piperazin-1-yl-5H-[1,3,4]thiadiazolo[3,2-a]pyrimidin-5-one", 20588 },
	{ "NIG", "", "", ResidueType::NON_POLYMER, false, "N-(IMINOMETHYL)-L-GLUTAMIC ACID", 20589 },
	{ "NIH", "", "", ResidueType::NON_POLYMER, false, "2-{[3,5-BIS(TRIFLUOROMETHYL)BENZYL]AMINO}-N-HYDROXY-6-OXO-1,6-DIHYDROPYRIMIDINE-5-CARBOXAMIDE", 20590 },
	{ "NII", "", "", ResidueType::NON_POLYMER, false, "2,7-bis[3-(dimethylamino)propyl]-4,9-bis[(3-hydroxypropyl)amino]benzo[lmn][3,8]phenanthroline-1,3,6,8(2H,7H)-tetrone", 20591 },
	{ "NIK", "", "", ResidueType::NON_POLYMER, true, "PENTAAQUANICKEL", 20592 },
	{ "NIL", "", "", ResidueType::NON_POLYMER, false, "Nilotinib", 20593 },
	{ "NIM", "", "", ResidueType::NON_POLYMER, false, "4-NITRO-2-PHENOXYMETHANESULFONANILIDE", 20594 },
	{ "NIN", "", "", ResidueType::NON_POLYMER, false, "DINITROPHENYLENE", 20595 },
	{ "NIO", "", "", ResidueType::NON_POLYMER, false, "NICOTINIC ACID", 20596 },
	{ "NIP", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-5-IODO-3-NITROPHENYLACETYL-EPSILON-AMINOCAPROIC ACID ANION", 20597 },
	{ "NIQ", "", "", ResidueType::NON_POLYMER, false, "6-amino-1-butyl-5-(cyclopentylamino)pyrimidine-2,4(1H,3H)-dione", 20598 },
	{ "NIR", "", "", ResidueType::NON_POLYMER, false, "3-(AMINOCARBONYL)-1-[(3R,4S,5R)-3,4-DIHYDROXY-5-METHYLTETRAHYDRO-2-FURANYL]PYRIDINIUM", 20599 },
	{ "NIS", "", "", ResidueType::NON_POLYMER, false, "2-NITROPROPANE", 20600 },
	{ "NIT", "", "", ResidueType::NON_POLYMER, false, "4-NITROANILINE", 20601 },
	{ "NIU", "", "", ResidueType::NON_POLYMER, false, "6,7,8,9-TETRAHYDRO-4-HYDROXY-3-(1-PHENYLPROPYL)CYCLOHEPTA[B]PYRAN-2-ONE", 20602 },
	{ "NIV", "", "NVP", ResidueType::NON_POLYMER, true, "NEVIRAPINE", 20603 },
	{ "NIX", "", "", ResidueType::NON_POLYMER, false, "NALIDIXIC ACID", 20604 },
	{ "NIY", "", "", ResidueType::PEPTIDE_LINKING, false, "META-NITRO-TYROSINE", 20605 },
	{ "NIZ", "", "", ResidueType::NON_POLYMER, false, "pyridine-4-carbohydrazide", 20606 },
	{ "NJ8", "", "", ResidueType::NON_POLYMER, false, "3-chloro-4-(2-hydroxy-4-propylphenoxy)benzonitrile", 20607 },
	{ "NJD", "", "", ResidueType::NON_POLYMER, false, "N-(1H-indazol-5-yl)-N'-[2-(1H-indol-3-yl)ethyl]-6-methoxy-1,3,5-triazine-2,4-diamine", 20608 },
	{ "NJP", "", "", ResidueType::NON_POLYMER, false, "5-hydroxy-NICOTINAMIDE-ADENINE-DINUCLEOTIDE PHOSPHATE", 20609 },
	{ "NJQ", "", "", ResidueType::NON_POLYMER, false, "3-benzyl-4-({[6-(cyclohexylmethyl)pyridin-2-yl]carbonyl}amino)benzoic acid", 20610 },
	{ "NK", "", "", ResidueType::NON_POLYMER, false, "SALICYLALDEHYDE", 20611 },
	{ "NK0", "", "", ResidueType::NON_POLYMER, false, "3-[(6-benzoyl-5-methylpyrrolo[2,1-f][1,2,4]triazin-4-yl)amino]-N-cyclopropyl-4-methylbenzamide", 20612 },
	{ "NK1", "", "", ResidueType::NON_POLYMER, false, "(1R,5S,6S,7R,8S)-1-THIONIABICYCLO[4.3.0]NONAN-5,7,8-TRIOL", 20613 },
	{ "NK2", "", "", ResidueType::NON_POLYMER, false, "(1R,6S,7R,8S)-1-THIONIABICYCLO[4.3.0]NONAN-7,8-DIOL", 20614 },
	{ "NK7", "", "", ResidueType::NON_POLYMER, false, "4-{[4-(trifluoromethyl)benzyl][(3S,4S)-4-{[4-(trifluoromethyl)benzyl]amino}pyrrolidin-3-yl]sulfamoyl}benzamide", 20615 },
	{ "NK8", "", "", ResidueType::NON_POLYMER, false, "4-({(3S,4S)-4-[(4-carbamoylbenzyl)amino]pyrrolidin-3-yl}[4-(trifluoromethyl)benzyl]sulfamoyl)benzamide", 20616 },
	{ "NK9", "", "", ResidueType::NON_POLYMER, false, "4-({(3S,4S)-4-[(3,5-dihydroxybenzyl)amino]pyrrolidin-3-yl}[4-(trifluoromethyl)benzyl]sulfamoyl)benzamide", 20617 },
	{ "NKG", "", "", ResidueType::NON_POLYMER, false, "N-{[3-hydroxy-6-(naphthalen-1-yl)pyridin-2-yl]carbonyl}glycine", 20618 },
	{ "NKH", "", "", ResidueType::NON_POLYMER, false, "N-(4-CHLORO-2,5-DIMETHOXYPHENYL)QUINOLINE-8-CARBOXAMIDE", 20619 },
	{ "NKI", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(4-chlorophenyl)-2,3-dihydro-1H-quinazolin-4-one", 20620 },
	{ "NKK", "", "", ResidueType::NON_POLYMER, false, "N~2~-(naphthalen-2-ylcarbonyl)-L-lysyl-N-[(1S)-4-carbamimidamido-1-formylbutyl]-L-lysinamide", 20621 },
	{ "NKN", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-hydroxy-3-(phosphonooxy)propyl tetradecanoate", 20622 },
	{ "NKO", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-hydroxy-3-(phosphonooxy)propyl hexadecanoate", 20623 },
	{ "NKP", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-hydroxy-3-(phosphonooxy)propyl (9E)-octadec-9-enoate", 20624 },
	{ "NKQ", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-hydroxy-3-(phosphonooxy)propyl (9E,12Z,15Z)-octadeca-9,12,15-trienoate", 20625 },
	{ "NKR", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-hydroxy-3-(phosphonooxy)propyl (4Z,7E,10E,13Z,16Z,19Z)-docosa-4,7,10,13,16,19-hexaenoate", 20626 },
	{ "NKS", "", "", ResidueType::PEPTIDE_LINKING, false, "N-(3-{[2-(4-chlorophenyl)-5-methyl-1,3-oxazol-4-yl]methoxy}benzyl)-N-[(4-methylphenoxy)carbonyl]glycine", 20627 },
	{ "NKX", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,3-bis(nitrooxy)propyl ethyl[(4S,6S)-6-methyl-7,7-dioxido-2-sulfamoyl-5,6-dihydro-4H-thieno[2,3-b]thiopyran-4-yl]carbamate", 20628 },
	{ "NL4", "", "", ResidueType::NON_POLYMER, false, "3-((4-(6-chloro-2-(1,3-dimethyl-1H-pyrazol-4-yl)-3H-imidazo[4,5-b]pyridin-7-yl)-1H-pyrazol-1-yl)methyl)-N,N-dimethylbenzamide", 20629 },
	{ "NL9", "", "", ResidueType::NON_POLYMER, false, "[1-(3-chlorophenyl)-1H-pyrazol-4-yl]boronic acid", 20630 },
	{ "NLA", "", "", ResidueType::NON_POLYMER, false, "NAPHTHALEN-1-YL-ACETIC ACID", 20631 },
	{ "NLB", "", "", ResidueType::PEPTIDE_LINKING, false, "6-(benzyloxy)-L-norleucine", 20632 },
	{ "NLC", "", "", ResidueType::NON_POLYMER, false, "2-(ACETYLAMINO)-2-DEOXY-4-O-BETA-D-GALACTOPYRANOSYL-ALPHA-D-GLUCOPYRANOSE", 20633 },
	{ "NLD", "", "", ResidueType::NON_POLYMER, false, "NICOTINE-11-YL-METHYL-(4-ETHYLAMINO-4-OXO)-BUTANOATE", 20634 },
	{ "NLE", "", "", ResidueType::PEPTIDE_LINKING, false, "NORLEUCINE", 20635 },
	{ "NLG", "", "", ResidueType::NON_POLYMER, false, "N-ACETYL-L-GLUTAMATE", 20636 },
	{ "NLH", "", "", ResidueType::NON_POLYMER, false, "(2R,5S)-5-amino-2-butyl-4,4-dihydroxynonanoic acid", 20637 },
	{ "NLI", "", "", ResidueType::NON_POLYMER, false, "N-[2-(carbamimidamidooxy)ethyl]-2-{3-[(2,2-difluoro-2-phenylethyl)amino]-6-methyl-2-oxopyrazin-1(2H)-yl}acetamide", 20638 },
	{ "NLK", "", "", ResidueType::NON_POLYMER, false, "(2R,5S)-5-amino-2-butyl-4-oxononanoic acid", 20639 },
	{ "NLN", "", "", ResidueType::PEPTIDE_LINKING, false, "NORLEUCINE AMIDE", 20640 },
	{ "NLO", "", "", ResidueType::PEPTIDE_LINKING, false, "O-METHYL-L-NORLEUCINE", 20641 },
	{ "NLP", "", "", ResidueType::PEPTIDE_LINKING, false, "(1-AMINO-PENTYL)-PHOSPHONIC ACID", 20642 },
	{ "NLQ", "", "", ResidueType::PEPTIDE_LINKING, false, "N~2~-ACETYL-L-GLUTAMINE", 20643 },
	{ "NLT", "", "", ResidueType::NON_POLYMER, false, "N-DODECANOYL-L-TYROSINE", 20644 },
	{ "NLW", "", "", ResidueType::PEPTIDE_LINKING, false, "L-leucinamide", 20645 },
	{ "NLX", "", "", ResidueType::NON_POLYMER, false, "(5A,17R)-4,5-EPOXY-3,14-DIHYDROXY-17-METHYL-6-OXO-17-(2-PROPENYL)-MORPHINANIUM", 20646 },
	{ "NLY", "", "", ResidueType::PEPTIDE_LINKING, false, "N-(4-aminobutyl)glycine", 20647 },
	{ "NM1", "", "", ResidueType::NON_POLYMER, false, "3-(7-BENZYL-4,5-DIHYDROXY-1,1-DIOXO-3,6-BIS-PHENOXYMETHYL-1L6-[1,2,7]THIADIAZEPAN-2-YLMETHYL)-N-METHYL-BENZAMIDE", 20648 },
	{ "NM2", "", "", ResidueType::NON_POLYMER, false, "3-CARBOXY-N,N,N-TRIMETHYLPROPAN-1-AMINIUM", 20649 },
	{ "NM3", "", "", ResidueType::NON_POLYMER, false, "ethyl-dimethyl-(4-oxidanyl-4-oxidanylidene-butyl)azanium", 20650 },
	{ "NM6", "", "", ResidueType::SACCHARIDE, false, "(2R)-2-[(2R,3S,4R,5R,6R)-5-acetamido-2-(hydroxymethyl)-3,6-bis(oxidanyl)oxan-4-yl]oxypropanamide", 20651 },
	{ "NM7", "", "", ResidueType::NON_POLYMER, false, "2-(carbamoylamino)-5-(4-fluorophenyl)thiophene-3-carboxamide", 20652 },
	{ "NM8", "", "", ResidueType::NON_POLYMER, false, "6-{5-[(Z)-(2,4-dioxo-1,3-thiazolidin-5-ylidene)methyl]furan-2-yl}-N-{3-[(4-ethylpiperazin-1-yl)methyl]-5-(trifluoromethyl)phenyl}naphthalene-1-carboxamide", 20653 },
	{ "NM9", "", "", ResidueType::SACCHARIDE, false, "(2R)-2-[(2R,3S,4R,5R,6R)-5-acetamido-2-(hydroxymethyl)-6-methoxy-3-oxidanyl-oxan-4-yl]oxypropanamide", 20654 },
	{ "NMA", "", "", ResidueType::NON_POLYMER, false, "N-[3-HYDROXY-2-METHYL-5-PHOSPHONOOXYMETHYL-PYRIDIN-4-YLMETHYL]-2-METHYLALANINE", 20655 },
	{ "NMB", "", "", ResidueType::NON_POLYMER, false, "2,7-DIBENZYL-1,1-DIOXO-3,6-BIS-PHENOXYMETHYL-[1,2,7]THIADIAZEPANE-4,5-DIOL", 20656 },
	{ "NMC", "", "", ResidueType::PEPTIDE_LINKING, false, "N-CYCLOPROPYLMETHYL GLYCINE", 20657 },
	{ "NMD", "", "", ResidueType::NON_POLYMER, false, "N-NAPHTHALEN-1-YLMETHYL-2'-[3,5-DIMETHOXYBENZAMIDO]-2'-DEOXY-ADENOSINE", 20658 },
	{ "NME", "", "", ResidueType::NON_POLYMER, false, "METHYLAMINE", 20659 },
	{ "NMF", "", "", ResidueType::NON_POLYMER, false, "6-[(2R)-2-(fluoromethyl)-3-hydroxy-propyl]-1,5-dimethyl-pyrimidine-2,4-dione", 20660 },
	{ "NMG", "", "", ResidueType::NON_POLYMER, false, "GUANIDINO ACETATE", 20661 },
	{ "NMH", "", "", ResidueType::NON_POLYMER, false, "(R)-N-(1-METHYL-HEXYL)-FORMAMIDE", 20662 },
	{ "NMI", "", "", ResidueType::NON_POLYMER, false, "3-(1-methyl-1H-indol-3-yl)propanoic acid", 20663 },
	{ "NML", "", "", ResidueType::NON_POLYMER, false, "N-METHYLACETAMIDE", 20664 },
	{ "NMM", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-5-[(N-methylcarbamimidoyl)amino]pentanoic acid", 20665 },
	{ "NMN", "", "", ResidueType::NON_POLYMER, false, "BETA-NICOTINAMIDE RIBOSE MONOPHOSPHATE", 20666 },
	{ "NMO", "", "NO", ResidueType::NON_POLYMER, true, "NITROGEN MONOXIDE", 20667 },
	{ "NMP", "", "", ResidueType::NON_POLYMER, false, "2-[2-(2-CYCLOHEXYL-2-GUANIDINO-ACETYLAMINO)-ACETYLAMINO]-N-(3-MERCAPTO-PROPYL)-PROPIONAMIDE", 20668 },
	{ "NMQ", "", "", ResidueType::NON_POLYMER, false, "N-METHYL O-NITROPHENYL AMINOETHYLDIPHOSPHATE BERYLLIUM TRIFLUORIDE", 20669 },
	{ "NMS", "", "", ResidueType::DNA_LINKING, false, "1-(O2-(2-METHYLAMINO-2-OXO-ETHYL)-O5-HYDROXYPHOSPHINYL-BETA-D-RIBOFURANOSYL)THYMINE", 20670 },
	{ "NMT", "", "", ResidueType::DNA_LINKING, false, "1-(O2-(METHYLCARBAMOYL)-O5-HYDROXYPHOSPHINYL-BETA-D-RIBOFURANOSYL)THYMINE", 20671 },
	{ "NMU", "", "", ResidueType::NON_POLYMER, false, "N-METHYLUREA", 20672 },
	{ "NMX", "", "", ResidueType::NON_POLYMER, false, "NITROMETHYLDETHIA COENZYME A", 20673 },
	{ "NMY", "", "", ResidueType::NON_POLYMER, false, "NEOMYCIN", 20674 },
	{ "NMZ", "", "", ResidueType::NON_POLYMER, false, "", 20675 },
	{ "NN1", "", "", ResidueType::NON_POLYMER, false, "2-(2-CHLORO-4-FLUOROPHENOXY)-2-METHYL-N-[(1R,2S,3S,5S,7S)-5-(METHYLSULFONYL)-2-ADAMANTYL]PROPANAMIDE", 20676 },
	{ "NN2", "", "", ResidueType::NON_POLYMER, false, "1-(2-CYCLOPROPYLETHYL)-3-(1,1-DIOXIDO-2H-1,2,4-BENZOTHIADIAZIN-3-YL)-6-FLUORO-4-HYDROXYQUINOLIN-2(1H)-ONE", 20677 },
	{ "NN3", "", "", ResidueType::NON_POLYMER, false, "3-{ISOPROPYL[(TRANS-4-METHYLCYCLOHEXYL)CARBONYL]AMINO}-5-PHENYLTHIOPHENE-2-CARBOXYLIC ACID", 20678 },
	{ "NN4", "", "", ResidueType::NON_POLYMER, false, "(1S,3R,4S,5S,7S)-4-{[2-(4-METHOXYPHENOXY)-2-METHYLPROPANOYL]AMINO}ADAMANTANE-1-CARBOXAMIDE", 20679 },
	{ "NN7", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-1-[[1-(4-fluorophenyl)indazol-4-yl]amino]propan-2-yl]-2,4,6-trimethyl-benzenesulfonamide", 20680 },
	{ "NNA", "", "", ResidueType::NON_POLYMER, false, "", 20681 },
	{ "NNB", "", "", ResidueType::NON_POLYMER, false, "O-[2-(1,3-dioxo-1,3-dihydro-2H-isoindol-2-yl)ethyl] (4-bromophenyl)thiocarbamate", 20682 },
	{ "NNC", "", "", ResidueType::NON_POLYMER, false, "O-[2-(1,3-dioxo-1,3-dihydro-2H-isoindol-2-yl)ethyl] (4-chlorophenyl)thiocarbamate", 20683 },
	{ "NND", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4R,5S)-2-(HYDROXYMETHYL)-1-NONYLPIPERIDINE-3,4,5-TRIOL", 20684 },
	{ "NNE", "", "", ResidueType::NON_POLYMER, false, "N,N'-(butane-1,4-diyl)bis{2-[2,3-dichloro-4-(2-methylidenebutanoyl)phenoxy]acetamide}", 20685 },
	{ "NNF", "", "", ResidueType::NON_POLYMER, false, "2-[4-(4-fluorophenyl)piperazin-1-yl]-6-methylpyrimidin-4(3H)-one", 20686 },
	{ "NNG", "", "", ResidueType::NON_POLYMER, false, "2-DEOXY-2-{[(S)-HYDROXY(METHYL)PHOSPHORYL]AMINO}-6-O-PHOSPHONO-ALPHA-D-GLUCOPYRANOSE", 20687 },
	{ "NNH", "", "", ResidueType::PEPTIDE_LINKING, false, "NOR-N-OMEGA-HYDROXY-L-ARGININE", 20688 },
	{ "NNI", "", "", ResidueType::NON_POLYMER, false, "O-[2-(1,3-dioxo-1,3-dihydro-2H-isoindol-2-yl)ethyl] (4-iodophenyl)thiocarbamate", 20689 },
	{ "NNJ", "", "", ResidueType::NON_POLYMER, false, "3-(aminomethyl)-1-methylpyridinium", 20690 },
	{ "NNK", "", "", ResidueType::NON_POLYMER, false, "4-(aminomethyl)-1-methylpyridinium", 20691 },
	{ "NNL", "", "", ResidueType::NON_POLYMER, false, "N-[2-(4-chlorophenyl)ethyl]-6-methyl[1,2,4]triazolo[4,3-b]pyridazin-8-amine", 20692 },
	{ "NNN", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-{[4-(benzylamino)-8-(1-methylethyl)pyrazolo[1,5-a][1,3,5]triazin-2-yl]amino}butan-1-ol", 20693 },
	{ "NNO", "", "", ResidueType::NON_POLYMER, false, "6-HYDROXYISONICOTINIC ACID N-OXIDE", 20694 },
	{ "NNQ", "", "", ResidueType::NON_POLYMER, false, "2-nonylquinolin-4(1H)-one", 20695 },
	{ "NNR", "", "", ResidueType::NON_POLYMER, false, "Nicotinamide riboside", 20696 },
	{ "NNS", "", "TYL", ResidueType::NON_POLYMER, true, "4-ACETYL-AMINOPHENOL", 20697 },
	{ "NNT", "", "", ResidueType::NON_POLYMER, false, "3-(aminomethyl)-4-chloro-1-methylpyridinium", 20698 },
	{ "NNU", "", "", ResidueType::NON_POLYMER, false, "1-(4-chloropyridin-3-yl)methanamine", 20699 },
	{ "NNV", "", "", ResidueType::NON_POLYMER, false, "(1R,5aS,6R)-1,2,5,5a,6,7-hexahydrophenazine-1,6-dicarboxylic acid", 20700 },
	{ "NNW", "", "", ResidueType::NON_POLYMER, false, "1-(pyridin-4-yl)methanamine", 20701 },
	{ "NNX", "", "", ResidueType::NON_POLYMER, false, "2-(aminomethyl)-4-chloro-1-methylpyridinium", 20702 },
	{ "NNY", "", "", ResidueType::NON_POLYMER, false, "1-(4-chloropyridin-2-yl)methanamine", 20703 },
	{ "NNZ", "", "", ResidueType::NON_POLYMER, false, "2-(aminomethyl)-1-methylpyridinium", 20704 },
	{ "NO", "NMO", "", ResidueType::NON_POLYMER, false, "NITRIC OXIDE", 20705 },
	{ "NO1", "", "", ResidueType::NON_POLYMER, false, "4-(hydroxymethyl)-3-methyl-1H-indole-2-carboxylic acid", 20706 },
	{ "NO2", "", "", ResidueType::NON_POLYMER, false, "NITRITE ION", 20707 },
	{ "NO3", "", "", ResidueType::NON_POLYMER, false, "NITRATE ION", 20708 },
	{ "NOA", "", "", ResidueType::NON_POLYMER, false, "NAPHTHYLOXYACETIC ACID", 20709 },
	{ "NOB", "", "", ResidueType::NON_POLYMER, false, "(dihydroxyboranyloxy-hydroxy-boranyl)oxylithium", 20710 },
	{ "NOC", "", "", ResidueType::NON_POLYMER, false, "3-(6-AMINO-PURIN-9-YL)-5-HYDROXYMETHYL-CYCLOPENTANE-1,2-DIOL", 20711 },
	{ "NOD", "", "", ResidueType::NON_POLYMER, false, "N-ETHYLHYDROXY-DOXORUBICIN", 20712 },
	{ "NOE", "", "", ResidueType::NON_POLYMER, false, "NITROSOETHANE", 20713 },
	{ "NOG", "", "", ResidueType::NON_POLYMER, false, "13-BETA-ETHYL-17-ALPHA-ETHYNYL-17-BETA-HYDROXYGON-4-EN-3-ONE", 20714 },
	{ "NOH", "", "", ResidueType::NON_POLYMER, false, "", 20715 },
	{ "NOJ", "DNJ", "", ResidueType::NON_POLYMER, false, "1-DEOXYNOJIRIMYCIN", 20716 },
	{ "NOK", "", "", ResidueType::NON_POLYMER, false, "2-ACETAMIDO-1,2-DIDEOXYNOJIRMYCIN", 20717 },
	{ "NOL", "", "", ResidueType::NON_POLYMER, false, "N-[(BENZYLOXY)CARBONYL]-O-(TERT-BUTYL)-L-THREONYL-3-CYCLOHEXYL-N-[(1S)-2-HYDROXY-1-{[(3S)-2-OXOPYRROLIDIN-3-YL]METHYL}ETHYL]-L-ALANINAMIDE", 20718 },
	{ "NOM", "", "", ResidueType::NON_POLYMER, false, "7-HYDROXY-5-METHYL-3,3A,5,11B-TETRAHYDRO-1,4-DIOXA-CYCLOPENTA[A]ANTHRACENE-2,6,11-TRIONE", 20719 },
	{ "NON", "", "", ResidueType::NON_POLYMER, false, "METHYL NONANOATE (ESTER)", 20720 },
	{ "NOO", "", "", ResidueType::NON_POLYMER, false, "N-(3-oxocyclohex-1-en-1-yl)octanamide", 20721 },
	{ "NOP", "", "", ResidueType::NON_POLYMER, false, "PYRIDOXAL-5'-PHOSPHATE-N-OXIDE", 20722 },
	{ "NOQ", "", "", ResidueType::NON_POLYMER, false, "(1R,2R)-N-(2-AMINOETHYL)-2-{[(4-METHOXYPHENYL)SULFONYL]METHYL}CYCLOHEXANECARBOXAMIDE", 20723 },
	{ "NOR", "", "", ResidueType::PEPTIDE_LIKE, false, "CYCLOHEXYL-NORSTATINE", 20724 },
	{ "NOS", "", "", ResidueType::NON_POLYMER, false, "INOSINE", 20725 },
	{ "NOT", "", "", ResidueType::PEPTIDE_LINKING, false, "6-azido-L-norleucine", 20726 },
	{ "NOV", "", "", ResidueType::NON_POLYMER, false, "NOVOBIOCIN", 20727 },
	{ "NOW", "", "", ResidueType::NON_POLYMER, false, "Nalpha-[(3-tert-butyl-1-methyl-1H-pyrazol-5-yl)carbonyl]-N-[(2Z)-2-iminoethyl]-3-methyl-L-phenylalaninamide", 20728 },
	{ "NOX", "", "", ResidueType::NON_POLYMER, false, "N-(PARA-GLUTARAMIDOPHENYL-ETHYL)-PIPERIDINIUM-N-OXIDE", 20729 },
	{ "NOY", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,4R,5R)-5-(HYDROXYMETHYL)PIPERIDINE-2,3,4-TRIOL", 20730 },
	{ "NOZ", "", "MNM", ResidueType::NON_POLYMER, true, "(2S,3S,4R,5R)-5-(hydroxymethyl)piperidine-2,3,4-triol", 20731 },
	{ "NP", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-3-NITROPHENYLACETYL-EPSILON-AMINOCAPROIC ACID", 20732 },
	{ "NP1", "", "", ResidueType::NON_POLYMER, false, "N-(3-AMINOPROPYL)-4-METHYL-2-NITROBENZENAMINE", 20733 },
	{ "NP2", "", "", ResidueType::NON_POLYMER, false, "N-(3-AMINOPROPYL)-2-NITROBENZENAMINE", 20734 },
	{ "NP3", "", "", ResidueType::DNA_LINKING, false, "1-[2-DEOXY-RIBOFURANOSYL]-1H-[3-NITRO-PYRROL]-5'-PHOSPHATE", 20735 },
	{ "NP4", "", "", ResidueType::NON_POLYMER, false, "(5Z)-12-CHLORO-13,15-DIHYDROXY-4,7,8,9-TETRAHYDRO-2-BENZOXACYCLOTRIDECINE-1,10(3H,11H)-DIONE", 20736 },
	{ "NP5", "", "", ResidueType::NON_POLYMER, false, "(5E)-12-CHLORO-13,15-DIHYDROXY-4,7,8,9-TETRAHYDRO-2-BENZOXACYCLOTRIDECINE-1,10(3H,11H)-DIONE", 20737 },
	{ "NP6", "", "", ResidueType::NON_POLYMER, false, "[[(3R,4R,5S,6R)-3-(BUTANOYLAMINO)-4,5-DIHYDROXY-6-(HYDROXYMETHYL)OXAN-2-YLIDENE]AMINO] N-PHENYLCARBAMATE", 20738 },
	{ "NP7", "", "", ResidueType::NON_POLYMER, false, "2-chloro-N-[2-(4-methylpiperazin-1-yl)-5-nitrophenyl]benzamide", 20739 },
	{ "NP8", "", "", ResidueType::NON_POLYMER, false, "5-(5-methoxypyridin-3-yl)-3-methyl-8-[(piperidin-4-yl)amino]-1,2-dihydro-1,7-naphthyridin-2-one", 20740 },
	{ "NPA", "", "", ResidueType::NON_POLYMER, false, "2-(4-HYDROXY-3-NITROPHENYL)ACETIC ACID", 20741 },
	{ "NPB", "", "", ResidueType::NON_POLYMER, false, "3-NITROPHENYLBORONIC ACID", 20742 },
	{ "NPC", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-3-NITROPHENYLACETYL-EPSILON-AMINOCAPROIC ACID ANION", 20743 },
	{ "NPD", "", "", ResidueType::NON_POLYMER, false, "2-METHYL-3-NAPHTHALEN-1-YL-PROPIONALDEHYDE", 20744 },
	{ "NPE", "", "", ResidueType::NON_POLYMER, false, "5-(PARA-NITROPHENYL PHOSPHONATE)-PENTANOIC ACID", 20745 },
	{ "NPF", "", "", ResidueType::NON_POLYMER, false, "ORTHONITROPHENYL-BETA-D-FUCOPYRANOSIDE", 20746 },
	{ "NPG", "", "", ResidueType::NON_POLYMER, false, "N-SUCCINYL PHENYLGLYCINE", 20747 },
	{ "NPH", "", "", ResidueType::PEPTIDE_LINKING, false, "CYSTEINE-METHYLENE-CARBAMOYL-1,10-PHENANTHROLINE", 20748 },
	{ "NPI", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-aminoheptanedioic acid", 20749 },
	{ "NPJ", "", "", ResidueType::NON_POLYMER, false, "4-NITROPHENYL 4-O-ALPHA-D-GLUCOPYRANOSYL-ALPHA-D-GALACTOPYRANOSIDE", 20750 },
	{ "NPK", "", "", ResidueType::NON_POLYMER, false, "5-[(3aS,4R,6aR)-1-{[(1R)-1-(6-nitro-1,3-benzodioxol-5-yl)ethoxy]carbonyl}-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoic acid", 20751 },
	{ "NPL", "", "", ResidueType::NON_POLYMER, false, "N-METHYL-4-DEOXY-4-AMINO-PYRIDOXAL-5-PHOSPHATE", 20752 },
	{ "NPM", "", "", ResidueType::NON_POLYMER, false, "N-[(1E)-PYRIDIN-2-YLMETHYLENE]-N-[4-(4-{[(1E)-PYRIDIN-2-YLMETHYLENE]AMINO}BENZYL)PHENYL]AMINE", 20753 },
	{ "NPN", "", "", ResidueType::NON_POLYMER, false, "N-PROPYL ISOCYANIDE", 20754 },
	{ "NPO", "", "", ResidueType::NON_POLYMER, false, "P-NITROPHENOL", 20755 },
	{ "NPP", "", "", ResidueType::NON_POLYMER, false, "N-(2-AMINO-ETHYL)-4,6-DINITRO-N'-(2,2,6,6-TETRAMETHYL-1-OXY-PIPERIDIN-4-YL)-BENZENE-1,3-DIAMINE", 20756 },
	{ "NPQ", "", "", ResidueType::NON_POLYMER, false, "N-acetyl naphthylalanine", 20757 },
	{ "NPR", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-7,8-DIHYDRO-6-(1,2,3-TRIHYDROXYPROPYL)-4(1H)-PTERIDINONE", 20758 },
	{ "NPS", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(6-methoxynaphthalen-2-yl)propanoic acid", 20759 },
	{ "NPT", "", "", ResidueType::NON_POLYMER, false, "NEOPENTYLAMINE", 20760 },
	{ "NPU", "", "", ResidueType::NON_POLYMER, false, "(1R,2R)-2-amino-1-phenylpropan-1-ol", 20761 },
	{ "NPV", "", "", ResidueType::NON_POLYMER, false, "4-[8-(3-nitrophenyl)-1,7-naphthyridin-6-yl]benzoic acid", 20762 },
	{ "NPW", "", "", ResidueType::NON_POLYMER, false, "BETA-6-HYDROXY-1,4,5,6-TETRAHYDRONICOTINAMIDE ADENINE DINUCLEOTIDE PHOSPHATE", 20763 },
	{ "NPX", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(6-methoxynaphthalen-2-yl)propanoic acid", 20764 },
	{ "NPY", "", "", ResidueType::NON_POLYMER, false, "NAPHTHALENE", 20765 },
	{ "NPZ", "", "", ResidueType::NON_POLYMER, false, "1-methyl-3-naphthalen-2-yl-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 20766 },
	{ "NQ", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXYNAPHTHOQUINONE", 20767 },
	{ "NQB", "", "", ResidueType::NON_POLYMER, false, "N-CYCLOPROPYL-4-METHYL-3-[6-(4-METHYLPIPERAZIN-1-YL)-4-OXIDANYLIDENE-QUINAZOLIN-3-YL]BENZAMIDE", 20768 },
	{ "NQG", "", "", ResidueType::NON_POLYMER, false, "5-AZANYLIDYNE-N-[(2S)-4-ETHOXY-2-HYDROXY-4-OXOBUTANOYL]-L-NORVALYL-L-ARGINYL-L-TRYPTOPHANAMIDE", 20769 },
	{ "NQI", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(2S)-2-{[(2R)-4-ETHOXY-2-HYDROXY-4-OXOBUTANOYL]AMINO}PENT-4-ENOYL]-L-ARGINYL-L-TRYPTOPHANAMIDE", 20770 },
	{ "NQS", "", "", ResidueType::NON_POLYMER, false, "2-[(2-hydroxyethyl)sulfanyl]naphthalene-1,4-dione", 20771 },
	{ "NR1", "", "", ResidueType::DNA_LINKING, false, "(3R,4R)-3-hydroxy-4-[(phosphonooxy)methyl]pyrrolidinium", 20772 },
	{ "NR2", "", "", ResidueType::NON_POLYMER, false, "N-({[4-(AMINOSULFONYL)PHENYL]AMINO}CARBONYL)-4-METHYLBENZENESULFONAMIDE", 20773 },
	{ "NR3", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,3S,4S)-1-{(1S)-2-[(2R,3S,4S)-3,4-dihydroxy-2-(hydroxymethyl)tetrahydrothiophenium-1-yl]-1-hydroxyethyl}-2,3,4,5-tetrahydroxypentyl sulfate", 20774 },
	{ "NR4", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,3S,4R)-1-{(1S)-2-[(2R,3S,4S)-3,4-dihydroxy-2-(hydroxymethyl)tetrahydrothiophenium-1-yl]-1-hydroxyethyl}-2,3,4,5-tetrahydroxypentyl sulfate", 20775 },
	{ "NR9", "", "", ResidueType::NON_POLYMER, false, "(5Z)-5-(quinolin-6-ylmethylidene)-2-[(thiophen-2-ylmethyl)amino]-1,3-thiazol-4(5H)-one", 20776 },
	{ "NRA", "", "", ResidueType::NON_POLYMER, false, "norathyriol", 20777 },
	{ "NRB", "", "", ResidueType::NON_POLYMER, false, "NARBOMYCIN", 20778 },
	{ "NRD", "", "", ResidueType::NON_POLYMER, false, "(6-azanyl-1-oxidanyl-1-phosphono-hexyl)phosphonic acid", 20779 },
	{ "NRF", "", "", ResidueType::NON_POLYMER, false, "Norflurazon", 20780 },
	{ "NRG", "", "", ResidueType::PEPTIDE_LINKING, false, "N-OMEGA-NITRO-L-ARGININE", 20781 },
	{ "NRH", "", "", ResidueType::NON_POLYMER, false, "Norharmane", 20782 },
	{ "NRI", "", "", ResidueType::DNA_LINKING, false, "PHOSPHORIC ACID MONO-(4-HYDROXY-PYRROLIDIN-3-YLMETHYL) ESTER", 20783 },
	{ "NRM", "", "", ResidueType::NON_POLYMER, false, "N-(3-methylisothiazol-5-yl)-3-(1H-pyrazol-4-yl)imidazo[1,2-a]pyrazin-8-amine", 20784 },
	{ "NRN", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,3S,4R)-4-(6-aminopurin-9-yl)cyclopentane-1,2,3-triol", 20785 },
	{ "NRO", "", "", ResidueType::NON_POLYMER, false, "3-[5-(2-nitropent-1-en-1-yl)furan-2-yl]benzoic acid", 20786 },
	{ "NRP", "", "", ResidueType::PEPTIDE_LINKING, false, "{4-[(4-hydroxyphenyl)methylidene]-2-[(1E)-3-methylbutanimidoyl]-5-oxo-4,5-dihydro-1H-imidazol-1-yl}acetic acid", 20787 },
	{ "NRQ", "", "", ResidueType::PEPTIDE_LINKING, false, "{(4Z)-4-(4-hydroxybenzylidene)-2-[3-(methylthio)propanimidoyl]-5-oxo-4,5-dihydro-1H-imidazol-1-yl}acetic acid", 20788 },
	{ "NRT", "", "", ResidueType::NON_POLYMER, false, "6-(TETRAHYDRO-2-FURANYLMETHOXY)-9H-PURIN-2-AMINE", 20789 },
	{ "NRU", "", "", ResidueType::NON_POLYMER, false, "RUTHENIUM (III) HEXAAMINE ION", 20790 },
	{ "NRW", "", "", ResidueType::NON_POLYMER, false, "N,3-dimethyl-N-[(pyridin-3-yl)methyl]-1,2-oxazole-5-carboxamide", 20791 },
	{ "NS0", "", "", ResidueType::NON_POLYMER, false, "all-trans-1,2-dihydroneurosporene", 20792 },
	{ "NS1", "", "", ResidueType::NON_POLYMER, false, "15-trans-1,2-dihydroneurosporene", 20793 },
	{ "NS3", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-cyclopentyl-6-methyl-7-[(4-methylpiperazin-1-yl)sulfonyl]-3,4-dihydro-2H-1,2,4-benzothiadiazine 1,1-dioxide", 20794 },
	{ "NS4", "", "", ResidueType::NON_POLYMER, false, "N-[2-(cyclohexyloxy)-4-nitrophenyl]methanesulfonamide", 20795 },
	{ "NS5", "", "", ResidueType::NON_POLYMER, false, "15-cis-1,2-dihydroneurosporene", 20796 },
	{ "NS6", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-cyclopentyl-7-[(4-methylpiperazin-1-yl)sulfonyl]-3,4-dihydro-2H-1,2-benzothiazine 1,1-dioxide", 20797 },
	{ "NS7", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-cyclopentyl-6-methyl-7-[(4-methylpiperazin-1-yl)sulfonyl]-3,4-dihydro-2H-1,2-benzothiazine 1,1-dioxide", 20798 },
	{ "NS8", "", "", ResidueType::NON_POLYMER, false, "trans beta nitrostyrene", 20799 },
	{ "NS9", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-3-{[7-(benzylamino)-3-(1-methylethyl)pyrazolo[1,5-a]pyrimidin-5-yl]amino}butane-1,2,4-triol", 20800 },
	{ "NSA", "", "", ResidueType::NON_POLYMER, false, "2,2-DICHLORO-N-PHENYL-ACETAMIDE", 20801 },
	{ "NSB", "", "", ResidueType::NON_POLYMER, false, "N,N,N-TRIMETHYL-3-SULFOPROPAN-1-AMINIUM", 20802 },
	{ "NSC", "", "", ResidueType::NON_POLYMER, false, "N,N'-BIS(4-AMINO-2-METHYLQUINOLIN-6-YL)UREA", 20803 },
	{ "NSD", "", "", ResidueType::NON_POLYMER, false, "N-(3-aminopropyl)propane-1,3-diamine", 20804 },
	{ "NSE", "", "", ResidueType::NON_POLYMER, false, "3-[3-(pyridin-3-yl)-1,2,4-oxadiazol-5-yl]benzonitrile", 20805 },
	{ "NSG", "", "", ResidueType::NON_POLYMER, false, "(2S,3aR,5R,6R,7R,7aR)-5-(hydroxymethyl)-2-methyl-2,3a,5,6,7,7a-hexahydro-1H-pyrano[3,2-d][1,3]thiazole-6,7-diol", 20806 },
	{ "NSI", "", "", ResidueType::NON_POLYMER, false, "3-(4-METHOXYPHENYL)-N-(PHENYLSULFONYL)-1-[3-(TRIFLUOROMETHYL)BENZYL]-1H-INDOLE-2-CARBOXAMIDE", 20807 },
	{ "NSK", "", "", ResidueType::PEPTIDE_LINKING, false, "N-SUCCINYL LYSINE", 20808 },
	{ "NSM", "", "", ResidueType::NON_POLYMER, false, "NITROSOMETHANE", 20809 },
	{ "NSN", "", "", ResidueType::NON_POLYMER, false, "N~2~-(2-AMINO-1-METHYL-2-OXOETHYLIDENE)ASPARAGINATE", 20810 },
	{ "NSP", "", "", ResidueType::NON_POLYMER, false, "5-(AMINOMETHYL)-2-METHYLPYRIMIDIN-4-AMINE", 20811 },
	{ "NSQ", "", "", ResidueType::NON_POLYMER, false, "4-NITROPHENYL-ALPHA-D-SULFOQUINOVOSIDE", 20812 },
	{ "NSS", "", "", ResidueType::NON_POLYMER, false, "5'-O-[N-(L-ASPARAGINYL)SULFAMOYL]ADENOSINE", 20813 },
	{ "NST", "", "", ResidueType::NON_POLYMER, false, "3-{[(3-NITROANILINE]SULFONYL}THIOPHENE-2-CARBOXYLIC ACID", 20814 },
	{ "NSX", "", "", ResidueType::NON_POLYMER, false, "N~2~,N~6~-bis(biphenyl-4-ylacetyl)-L-lysyl-D-arginyl-N-(2-phenylethyl)-L-tyrosinamide", 20815 },
	{ "NSY", "", "", ResidueType::NON_POLYMER, false, "N~2~,N~6~-bis(biphenyl-4-ylacetyl)-L-lysyl-D-arginyl-N-(2-phenylethyl)-L-phenylalaninamide", 20816 },
	{ "NSZ", "", "", ResidueType::NON_POLYMER, false, "N-(biphenyl-4-ylacetyl)-S-methyl-L-cysteinyl-D-arginyl-N-(2-phenylethyl)-L-phenylalaninamide", 20817 },
	{ "NT", "", "", ResidueType::NON_POLYMER, false, "NETROPSIN", 20818 },
	{ "NT1", "", "", ResidueType::NON_POLYMER, false, "HEPARIN HEPTASACCHARIDE", 20819 },
	{ "NT2", "", "", ResidueType::NON_POLYMER, false, "2,3,4,6-TETRA-O-SULFOHEXOPYRANOSE", 20820 },
	{ "NT4", "", "", ResidueType::NON_POLYMER, false, "N-(trans-4-aminocyclohexyl)-3,5-bis(4-carbamimidoylphenoxy)benzamide", 20821 },
	{ "NT8", "", "", ResidueType::NON_POLYMER, false, "(1-azanyl-1-phosphono-decyl)phosphonic acid", 20822 },
	{ "NTA", "", "", ResidueType::NON_POLYMER, false, "NITRILOTRIACETIC ACID", 20823 },
	{ "NTB", "", "", ResidueType::NON_POLYMER, false, "TERTIARY-BUTYLAMINE", 20824 },
	{ "NTC", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXY-2-NITROMETHYL SUCCINIC ACID", 20825 },
	{ "NTD", "", "", ResidueType::NON_POLYMER, false, "2-{HYDROXY[2-NITRO-4-(TRIFLUOROMETHYL)PHENYL]METHYLENE}CYCLOHEXANE-1,3-DIONE", 20826 },
	{ "NTE", "", "", ResidueType::NON_POLYMER, false, "[3,3'-{7-ethenyl-3,8,13,17-tetramethyl-12-[(E)-2-nitroethenyl]porphyrin-2,18-diyl-kappa~4~N~21~,N~22~,N~23~,N~24~}dipropanoato(2-)]iron", 20827 },
	{ "NTF", "", "", ResidueType::SACCHARIDE, false, "N-TRIFLURO-ACETYL-BETA-D-GLUCOPYRANOSYLAMINE", 20828 },
	{ "NTH", "", "", ResidueType::NON_POLYMER, false, "SUCCINIC ACID MONO-(13-METHYL-3-OXO-2,3,6,7,8,9,10,11,12,13,14,15,16,17-TETRADECAHYDRO-1H-CYCLOPENTA[A]PHENANTHREN-17-YL) ESTER", 20829 },
	{ "NTI", "", "", ResidueType::NON_POLYMER, false, "2-[(5-nitro-1,3-thiazol-2-yl)carbamoyl]phenyl acetate", 20830 },
	{ "NTJ", "", "", ResidueType::NON_POLYMER, false, "R-ETHYL N,N-DIMETHYLPHOSPHONAMIDATE", 20831 },
	{ "NTM", "", "", ResidueType::NON_POLYMER, false, "QUINOLINIC ACID", 20832 },
	{ "NTN", "", "", ResidueType::NON_POLYMER, false, "ISONICOTINAMIDINE", 20833 },
	{ "NTO", "", "", ResidueType::SACCHARIDE, false, "TRISULFOAMINO HEPARIN PENTASACCHARIDE", 20834 },
	{ "NTP", "", "", ResidueType::SACCHARIDE, false, "HEPARIN PENTASACCHARIDE", 20835 },
	{ "NTR", "", "", ResidueType::PEPTIDE_LINKING, false, "META-HYDROXY BETA NOR-TYROSINE", 20836 },
	{ "NTS", "", "", ResidueType::NON_POLYMER, false, "NAPHTHALENE TRISULFONATE", 20837 },
	{ "NTT", "", "", ResidueType::DNA_LINKING, false, "[(1R,5R,7R,8S)-8-hydroxy-3-methyl-7-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)-2,6-dioxa-3-azabicyclo[3.2.1]oct-5-yl]methyl dihydrogen phosphate", 20838 },
	{ "NTU", "", "", ResidueType::NON_POLYMER, false, "N1,N14-BIS((S-METHYL)ISOTHIOUREIDO)TETRADECANE", 20839 },
	{ "NTX", "", "", ResidueType::NON_POLYMER, false, "N-(trans-4-aminocyclohexyl)-3,5-bis[(3-carbamimidoylbenzyl)oxy]benzamide", 20840 },
	{ "NTY", "", "GHP", ResidueType::PEPTIDE_LINKING, true, "BETA NOR-TYROSINE", 20841 },
	{ "NTZ", "", "", ResidueType::NON_POLYMER, false, "NOJIRIMYCINE TETRAZOLE", 20842 },
	{ "NU1", "", "", ResidueType::NON_POLYMER, false, "8-HYDROXY-2-METHYL-3-HYDRO-QUINAZOLIN-4-ONE", 20843 },
	{ "NU3", "", "", ResidueType::NON_POLYMER, false, "2-(4-hydroxyphenyl)-1H-benzimidazole-4-carboxamide", 20844 },
	{ "NU5", "", "", ResidueType::NON_POLYMER, false, "3-({2-[(4-{[6-(CYCLOHEXYLMETHOXY)-9H-PURIN-2-YL]AMINO}PHENYL)SULFONYL]ETHYL}AMINO)PROPAN-1-OL", 20845 },
	{ "NU6", "", "", ResidueType::NON_POLYMER, false, "3-[[6-(cyclohexylmethoxy)-9~{H}-purin-2-yl]amino]benzamide", 20846 },
	{ "NU7", "", "", ResidueType::NON_POLYMER, false, "N-{[1-methyl-4-(4-phenyl-1,3-thiazol-2-yl)piperidin-4-yl]methyl}-3-[5-(trifluoromethyl)-1,2,4-oxadiazol-3-yl]benzamide", 20847 },
	{ "NU9", "", "", ResidueType::NON_POLYMER, false, "N-{[4-(4-phenyl-1,3-thiazol-2-yl)tetrahydro-2H-pyran-4-yl]methyl}-3-[5-(trifluoromethyl)-1,2,4-oxadiazol-3-yl]benzamide", 20848 },
	{ "NUD", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-(2-amino-4-hydroxy-5-methylphenyl)diazenyl]-N-(pyridin-2-yl)benzenesulfonamide", 20849 },
	{ "NUE", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-(2-amino-4-hydroxy-3,5-dimethylphenyl)diazenyl]-N-(pyridin-2-yl)benzenesulfonamide", 20850 },
	{ "NUF", "", "", ResidueType::NON_POLYMER, false, "", 20851 },
	{ "NUK", "", "", ResidueType::NON_POLYMER, false, "thieno[3,2-b]thiophene-5-carboxylic acid", 20852 },
	{ "NUP", "", "", ResidueType::NON_POLYMER, false, "", 20853 },
	{ "NUT", "", "", ResidueType::NON_POLYMER, false, "4-({(4S,5R)-4,5-bis(4-chlorophenyl)-2-[4-methoxy-2-(propan-2-yloxy)phenyl]-4,5-dihydro-1H-imidazol-1-yl}carbonyl)piperazin-2-one", 20854 },
	{ "NUZ", "", "", ResidueType::NON_POLYMER, false, "[4-(2-chloro-4-nitrophenyl)piperazin-1-yl](5-methyl-3-phenyl-1,2-oxazol-4-yl)methanone", 20855 },
	{ "NV1", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-~{N}-(2,6-dimethylphenyl)-~{N}-propan-2-yl-ethanamide", 20856 },
	{ "NV4", "", "", ResidueType::NON_POLYMER, false, "(5R,5aR,8aS,9R)-9-[(4H-1,2,4-triazol-3-yl)sulfanyl]-5-(3,4,5-trimethoxyphenyl)-5,8,8a,9-tetrahydro-2H-furo[3',4':6,7]naphtho[2,3-d][1,3]dioxol-6(5aH)-one", 20857 },
	{ "NVA", "2PI", "", ResidueType::PEPTIDE_LINKING, false, "NORVALINE", 20858 },
	{ "NVB", "", "", ResidueType::NON_POLYMER, false, "N-methyl-4-[3-(3,4,5-trimethoxyphenyl)quinoxalin-5-yl]benzenesulfonamide", 20859 },
	{ "NVC", "", "", ResidueType::NON_POLYMER, false, "N-[(2R)-2-{[(2S)-2-(1,3-benzoxazol-2-yl)pyrrolidin-1-yl]carbonyl}hexyl]-N-hydroxyformamide", 20860 },
	{ "NVE", "", "", ResidueType::NON_POLYMER, false, "", 20861 },
	{ "NVG", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-1-(5-{[3-(1H-BENZIMIDAZOL-2-YL)PROPANOYL]AMINO}-5-DEOXY-ALPHA-L-LYXOFURANOSYL)PYRIMIDIN-2(1H)-ONE", 20862 },
	{ "NVI", "", "", ResidueType::NON_POLYMER, false, "1-VINYLIMIDAZOLE", 20863 },
	{ "NVP", "NEV", "", ResidueType::NON_POLYMER, false, "11-CYCLOPROPYL-5,11-DIHYDRO-4-METHYL-6H-DIPYRIDO[3,2-B:2',3'-E][1,4]DIAZEPIN-6-ONE", 20864 },
	{ "NVS", "", "", ResidueType::NON_POLYMER, false, "7-hydroxy-3-(4-methoxyphenyl)-3,4-dihydro-2H-1,3-benzoxazin-2-one", 20865 },
	{ "NVU", "", "", ResidueType::NON_POLYMER, false, "2-(1,2-benzoxazol-3-yl)ethanoic acid", 20866 },
	{ "NVV", "", "", ResidueType::NON_POLYMER, false, "7-[(3S,4R)-4-(3-iodanylphenyl)carbonylpyrrolidin-3-yl]-3H-quinazolin-4-one", 20867 },
	{ "NVW", "", "", ResidueType::NON_POLYMER, false, "N-tert-butyl-2-{4-[(5,5-dioxido-2-phenyl-7,8-dihydro-6H-thiopyrano[3,2-d]pyrimidin-4-yl)amino]phenyl}acetamide", 20868 },
	{ "NVX", "", "", ResidueType::NON_POLYMER, false, "7-[(3S,4R)-4-(3-chlorophenyl)carbonylpyrrolidin-3-yl]-3H-quinazolin-4-one", 20869 },
	{ "NVZ", "", "", ResidueType::NON_POLYMER, false, "5-[(3aS,4S,6aR)-1-acetyl-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoic acid", 20870 },
	{ "NW1", "", "", ResidueType::NON_POLYMER, false, "6-CYCLOHEXYLMETHYLOXY-5-NITROSO-PYRIMIDINE-2,4-DIAMINE", 20871 },
	{ "NWA", "", "", ResidueType::NON_POLYMER, false, "4,4-DIHYDROXY-N,N,N-TRIMETHYLPENTAN-1-AMINIUM", 20872 },
	{ "NWB", "", "CHH", ResidueType::NON_POLYMER, true, "N,N,N-TRIMETHYL-4-OXOPENTAN-1-AMINIUM", 20873 },
	{ "NWD", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(5-nitro-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)-L-alanine", 20874 },
	{ "NWH", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-heptan-2-yl]formamide", 20875 },
	{ "NWJ", "", "", ResidueType::NON_POLYMER, false, "2-amino-6-(3-formylphenyl)-4-(pyrrolidin-1-yl)-7H-pyrrolo[2,3-d]pyrimidine-5-carbonitrile", 20876 },
	{ "NWL", "", "", ResidueType::NON_POLYMER, false, "6-amino-1-benzyl-5-(ethylamino)pyrimidine-2,4(1H,3H)-dione", 20877 },
	{ "NWM", "", "", ResidueType::NON_POLYMER, false, "(3R,4S,5R,6S,10R,11R,12R)-11-(acetyloxy)-1-(benzyloxy)-14-[formyl(methyl)amino]-5-hydroxy-4,6,10,12-tetramethyl-9-oxotetradecan-3-yl propanoate", 20878 },
	{ "NWN", "", "", ResidueType::NON_POLYMER, false, "hydrido[hydridonickel(2+)]bis(hydrocyanato-1kappaC)(hydroxymethyl)iron", 20879 },
	{ "NX1", "", "", ResidueType::NON_POLYMER, false, "3-[(3-bromo-4-chlorobenzyl)sulfanyl]thiophene-2-carboxylic acid", 20880 },
	{ "NX2", "", "", ResidueType::NON_POLYMER, false, "3-[(3,4-dichlorobenzyl)sulfanyl]-N-(methylsulfonyl)thiophene-2-carboxamide", 20881 },
	{ "NX3", "", "", ResidueType::NON_POLYMER, false, "N-[(3-aminophenyl)sulfonyl]-3-[(3,4-dichlorobenzyl)sulfanyl]thiophene-2-carboxamide", 20882 },
	{ "NX4", "", "", ResidueType::NON_POLYMER, false, "5-[({3-[(3,4-dichlorobenzyl)sulfanyl]thiophen-2-yl}carbonyl)sulfamoyl]-2-methoxybenzoic acid", 20883 },
	{ "NX5", "", "", ResidueType::NON_POLYMER, false, "2-[(3,4-dichlorobenzyl)sulfanyl]benzoic acid", 20884 },
	{ "NX6", "", "", ResidueType::NON_POLYMER, false, "N-[(benzyloxy)carbonyl]-L-aspartic acid", 20885 },
	{ "NXA", "", "", ResidueType::NON_POLYMER, false, "N-CARBOXYALANINE", 20886 },
	{ "NXC", "", "", ResidueType::NON_POLYMER, false, "(2,6-bis[(dimethylamino-kappaN)methyl]-4-{3-[(S)-ethoxy(4-nitrophenoxy)phosphoryl]propyl}phenyl-kappaC~1~)(chloro)platinum(2+)", 20887 },
	{ "NXD", "", "", ResidueType::SACCHARIDE, false, "METHYL 5-(ACETYLAMINO)-9-{[AMINO(OXO)ACETYL]AMINO}-3,5,9-TRIDEOXY-D-GLYCERO-ALPHA-D-GLUCO-NON-2-ULOPYRANOSIDONIC ACID", 20888 },
	{ "NXG", "", "", ResidueType::NON_POLYMER, false, "2-{[4-(DIETHYLAMINO)PIPERIDIN-1-YL]METHYL}-4-(3-HYDROXYPROP-1-YN-1-YL)-6-IODOPHENOL", 20889 },
	{ "NXL", "", "", ResidueType::NON_POLYMER, false, "(2S,5R)-1-formyl-5-[(sulfooxy)amino]piperidine-2-carboxamide", 20890 },
	{ "NXN", "", "", ResidueType::NON_POLYMER, false, "2-(2,4-DICHLORO-PHENOXY)-N-(2-MERCAPTO-ETHYL)-ACETAMIDE", 20891 },
	{ "NXP", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(1E)-N-CARBAMIMIDOYLETHANEHYDRAZONOYL]PHENYL}-1H-INDOLE-3-CARBOXAMIDE", 20892 },
	{ "NXU", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-2-[(1R)-2-hydroxy-1-{[(2-hydroxynaphthalen-1-yl)carbonyl]amino}ethyl]-5,5-dimethyl-1,3-thiazolidine-4-carboxylic acid", 20893 },
	{ "NXV", "", "", ResidueType::NON_POLYMER, false, "2-[(3,4-dichlorobenzyl)sulfanyl]-4-(4-hydroxybut-1-yn-1-yl)benzoic acid", 20894 },
	{ "NXW", "", "", ResidueType::NON_POLYMER, false, "2-[(3,4-dichlorobenzyl)sulfanyl]-4-{[3-({N-[2-(methylamino)ethyl]glycyl}amino)phenyl]ethynyl}benzoic acid", 20895 },
	{ "NXX", "", "", ResidueType::NON_POLYMER, false, "", 20896 },
	{ "NXY", "", "", ResidueType::NON_POLYMER, false, "3-[(3,4-dichlorobenzyl)sulfanyl]thiophene-2-carboxylic acid", 20897 },
	{ "NXZ", "", "", ResidueType::NON_POLYMER, false, "1-[(3S,4S)-4-amino-1-(6-phenylpyrimidin-4-yl)pyrrolidin-3-yl]piperidin-2-one", 20898 },
	{ "NYA", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,7E,17beta)-17-{(1R,2E,4R)-4-hydroxy-1-methyl-4-[(3S,5S,7S)-tricyclo[3.3.1.1~3,7~]dec-1-yl]but-2-en-1-yl}-2-methylidene-9,10-secoestra-5,7-diene-1,3-diol", 20899 },
	{ "NYB", "", "", ResidueType::PEPTIDE_LINKING, false, "N-METHYL-S-[(1R)-1-METHYLPROPYL]-L-CYSTEINE", 20900 },
	{ "NYC", "", "", ResidueType::PEPTIDE_LINKING, true, "[(4E)-2-[(1R,2S)-1-AMINO-2-HYDROXYPROPYL]-4-(1H-INDOL-3-YLMETHYLENE)-5-OXO-4,5-DIHYDRO-1H-IMIDAZOL-1-YL]ACETIC ACID", 20901 },
	{ "NYG", "", "", ResidueType::PEPTIDE_LINKING, false, "[(4Z)-2-[(1S)-1,3-DIAMINO-3-OXOPROPYL]-4-(4-HYDROXYBENZYLIDENE)-5-OXO-4,5-DIHYDRO-1H-IMIDAZOL-1-YL]ACETIC ACID", 20902 },
	{ "NYH", "", "", ResidueType::NON_POLYMER, false, "1-nitrocyclohexene", 20903 },
	{ "NYJ", "", "", ResidueType::NON_POLYMER, false, "4,5-dimethyl-3-phenylisoquinolin-1(2H)-one", 20904 },
	{ "NYK", "", "", ResidueType::NON_POLYMER, false, "[(3S)-2-oxo-2,3-dihydro-1H-indol-3-yl]acetonitrile", 20905 },
	{ "NYL", "", "", ResidueType::NON_POLYMER, false, "N-ALLYL-ANILINE", 20906 },
	{ "NYM", "T37", "", ResidueType::DNA_LINKING, false, "", 20907 },
	{ "NYP", "", "", ResidueType::NON_POLYMER, false, "N-[(E)-METHYL](PHENYL)-N-[(E)-2-PROPENYLIDENE]METHANAMINIUM", 20908 },
	{ "NYS", "", "", ResidueType::PEPTIDE_LINKING, false, "S-{5-[(1R)-2-amino-1-hydroxyethyl]-2,3-dihydroxyphenyl}-L-cysteine", 20909 },
	{ "NYT", "", "", ResidueType::SACCHARIDE, false, "beta-D-fructofuranosyl-(2->1)-beta-D-fructofuranosyl-(2->1)-beta-D-fructofuranosyl alpha-D-glucopyranoside", 20910 },
	{ "NZ2", "", "", ResidueType::NON_POLYMER, false, "N-(methylsulfonyl)-N-phenyl-L-alanine", 20911 },
	{ "NZ3", "", "", ResidueType::NON_POLYMER, false, "N-(methylsulfonyl)-N-phenyl-D-alanine", 20912 },
	{ "NZ9", "", "", ResidueType::NON_POLYMER, false, "3-(cyclopropylsulfamoyl)thiophene-2-carboxylic acid", 20913 },
	{ "NZA", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-1-(4-CHLOROBENZYL)-3-(PHENYLTHIO)-1H-INDOLE-2-CARBOXYLIC ACID", 20914 },
	{ "NZC", "", "", ResidueType::PEPTIDE_LINKING, false, "N-methylidene-L-threonine", 20915 },
	{ "NZF", "", "", ResidueType::NON_POLYMER, false, "(3S)-N-[3-(trifluoromethoxy)benzyl]-1-{2-[(3,4,5-trimethoxyphenyl)amino]pyrimidin-4-yl}piperidine-3-carboxamide", 20916 },
	{ "NZH", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-AMINO-3-[1-(1H-TETRAAZOL-5-YL)-1H-IMIDAZOL-4-YL]PROPANAL", 20917 },
	{ "NZI", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{S},5~{R})-3-oxidanyl-5-(2-oxidanylidene-3~{H}-benzimidazol-1-yl)oxolan-2-yl]methyl [oxidanyl(phosphonooxy)phosphoryl] hydrogen phosphate", 20918 },
	{ "NZL", "", "", ResidueType::NON_POLYMER, false, "5-[[(1S,2S)-2-(6-azanylhexanoylamino)-2,3-dihydro-1H-inden-1-yl]methyl]-1,3-benzodioxole-4-carboxylic acid", 20919 },
	{ "NZN", "", "", ResidueType::NON_POLYMER, false, "N-Ethyl 4-((1-cycloheptyl-1,2-dihydropyrazol-3-one-5-yl)-amino)-4-oxo-butanamide", 20920 },
	{ "NZO", "", "", ResidueType::NON_POLYMER, false, "nocodazole", 20921 },
	{ "NZQ", "", "", ResidueType::NON_POLYMER, false, "5,6-DIHYDROXY-NADP", 20922 },
	{ "NZS", "", "", ResidueType::NON_POLYMER, false, "6-(1,1-dioxidothiomorpholin-4-yl)-N-(3-methoxyphenyl)-1-methyl-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 20923 },
	{ "NZT", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[4-(pyrazin-2-yl)piperazin-1-yl]carbonyl}phenyl)quinoline-8-sulfonamide", 20924 },
	{ "NZU", "", "", ResidueType::NON_POLYMER, false, "6-(2H-indazol-4-yl)-1-methyl-N-[3-(methylsulfonyl)propyl]-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 20925 },
	{ "O", "OX", "", ResidueType::NON_POLYMER, false, "OXYGEN ATOM", 20926 },
	{ "O01", "", "", ResidueType::NON_POLYMER, false, "[5-(2,4-dimethyl-1,3-thiazol-5-yl)-1H-pyrazol-3-yl]methanamine", 20927 },
	{ "O04", "", "", ResidueType::NON_POLYMER, false, "(E)-4-((tetrahydro-2H-pyran-2-yloxyimino)methyl)benzimidamide", 20928 },
	{ "O09", "", "", ResidueType::NON_POLYMER, false, "(E)-2-(4-carbamimidoylbenzylideneaminooxy)acetic acid", 20929 },
	{ "O11", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-{4-[3-(4-{[(2R)-2-hydroxy-3,3-dimethylbutyl]oxy}phenyl)pentan-3-yl]phenoxy}propane-1,2-diol", 20930 },
	{ "O12", "", "", ResidueType::PEPTIDE_LINKING, false, "N~5~-dodecanoyl-L-ornithine", 20931 },
	{ "O13", "", "", ResidueType::NON_POLYMER, false, "(E)-4-((1-methylpiperidin-3-yloxyimino)methyl)benzimidamide", 20932 },
	{ "O14", "", "", ResidueType::NON_POLYMER, false, "(E)-4-((1-methylpiperidin-4-yloxyimino)methyl)benzimidamide", 20933 },
	{ "O15", "", "", ResidueType::NON_POLYMER, false, "(E)-2-(4-carbamimidoylbenzylideneaminooxy)-2-methylpropanoic acid", 20934 },
	{ "O16", "", "", ResidueType::NON_POLYMER, false, "3-(1,3-BENZOTHIAZOL-2-YL)-2-(1,4-DIOXO-1,2,3,4-TETRAHYDROPHTHALAZIN-6-YL)-5-[(E)-2-PHENYLVINYL]-3H-TETRAAZOL-2-IUM", 20935 },
	{ "O17", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-[4-({4-amino-5-cyano-6-[(3s,5s,7s)-tricyclo[3.3.1.1~3,7~]dec-1-ylamino]pyridin-2-yl}amino)-2-(cyanomethoxy)phenyl]-N-(2-methoxyethyl)prop-2-enamide", 20936 },
	{ "O19", "", "", ResidueType::NON_POLYMER, false, "(2R)-N-[4-[2-[(4-morpholin-4-ylphenyl)amino]pyrimidin-4-yl]phenyl]pyrrolidine-2-carboxamide", 20937 },
	{ "O1C", "", "", ResidueType::NON_POLYMER, false, "2ALPHA-(3-HYDROXYPROPYL)-1ALPHA,25-DIHYDROXYVITAMIN D3", 20938 },
	{ "O1G", "", "", ResidueType::NON_POLYMER, false, "3-deoxy-3-[(E)-({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methylidene)amino]-6-O-phosphono-alpha-D-glucopyranose", 20939 },
	{ "O1Z", "", "", ResidueType::NON_POLYMER, false, "[4-amino-2-(cyclohexylamino)-1,3-thiazol-5-yl](naphthalen-2-yl)methanone", 20940 },
	{ "O2", "", "OXY", ResidueType::NON_POLYMER, true, "OXYGEN MOLECULE", 20941 },
	{ "O22", "", "", ResidueType::NON_POLYMER, false, "4-[(4-amino-5-cyano-6-ethoxypyridin-2-yl)amino]benzamide", 20942 },
	{ "O23", "", "", ResidueType::NON_POLYMER, false, "N-cyclopropyl-4-{8-[(thiophen-2-ylmethyl)amino]imidazo[1,2-a]pyrazin-3-yl}benzamide", 20943 },
	{ "O25", "", "", ResidueType::NON_POLYMER, false, "2-[({4-[(ethylamino)methyl]-3-(trifluoromethyl)-1H-pyrazol-1-yl}acetyl)amino]-4,5,6,7-tetrahydro-1-benzothiophene-3-carboxamide", 20944 },
	{ "O26", "", "", ResidueType::NON_POLYMER, false, "2-[({3-tert-butyl-4-[(methylamino)methyl]-1H-pyrazol-1-yl}acetyl)amino]-4,5,6,7-tetrahydro-1-benzothiophene-3-carboxamide", 20945 },
	{ "O27", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(3R)-pyrrolidin-3-yl]-2-({[3-(trifluoromethyl)-4,5,6,7-tetrahydro-1H-indazol-1-yl]acetyl}amino)-4,5,6,7-tetrahydro-1-benzothiophene-3-carboxamide", 20946 },
	{ "O28", "", "", ResidueType::NON_POLYMER, false, "2-({[3-(trifluoromethyl)-4,5,6,7-tetrahydro-1H-indazol-1-yl]acetyl}amino)-4,5,6,7-tetrahydro-1-benzothiophene-3-carboxamide", 20947 },
	{ "O29", "", "", ResidueType::NON_POLYMER, false, "N-[2-(dimethylamino)ethyl]-2-({[3-(trifluoromethyl)-4,5,6,7-tetrahydro-1H-indazol-1-yl]acetyl}amino)-4,5,6,7-tetrahydro-1-benzothiophene-3-carboxamide", 20948 },
	{ "O2C", "", "", ResidueType::RNA_LINKING, false, "3'-DEOXY-CYTIDINE-5'-MONOPHOSPHATE", 20949 },
	{ "O2G", "", "", ResidueType::RNA_LINKING, false, "2'-DEOXY-N,N-DIMETHYL-5'-O-[OXIDO(OXO)PHOSPHONIO]GUANOSINE", 20950 },
	{ "O2N", "", "", ResidueType::NON_POLYMER, false, "5-{[(2-{[bis(4-methoxyphenyl)methyl]carbamoyl}benzyl)(prop-2-en-1-yl)amino]methyl}-1,3-benzodioxole-4-carboxylic acid", 20951 },
	{ "O2S", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-4-methyl-2-[(1~{S})-1-sulfanylethyl]pentanoic acid", 20952 },
	{ "O2T", "", "", ResidueType::NON_POLYMER, false, "[2-[3-[(4-azanyl-2-methyl-pyrimidin-5-yl)methyl]-4-methyl-2-[1,1,2-tris(oxidanyl)-2-oxidanylidene-ethyl]-1,3-thiazol-3-ium-5-yl]ethoxy-oxidanyl-phosphoryl] hydrogen phosphate", 20953 },
	{ "O2V", "", "", ResidueType::NON_POLYMER, false, "(2S)-4-methyl-2-[(1R)-1-sulfanylethyl]pentanoic acid", 20954 },
	{ "O2W", "", "", ResidueType::NON_POLYMER, false, "methyl ({[(3aR,4R,7R,7aR)-2-(4-aminophenyl)-1,3-dioxooctahydro-4H-4,7-ethanoisoindol-4-yl]carbamoyl}oxy)acetate", 20955 },
	{ "O30", "", "", ResidueType::NON_POLYMER, false, "N-(3-aminopropyl)-2-({[3-(trifluoromethyl)-4,5,6,7-tetrahydro-1H-indazol-1-yl]acetyl}amino)-4,5,6,7-tetrahydro-1-benzothiophene-3-carboxamide", 20956 },
	{ "O33", "", "", ResidueType::PEPTIDE_LIKE, false, "(4R)-N-[(1S,2R)-2-hydroxy-2,3-dihydro-1H-inden-1-yl]-3-[(2S,3S)-2-hydroxy-3-({N-[(isoquinolin-5-yloxy)acetyl]-S-methyl-L-cysteinyl}amino)-4-phenylbutanoyl]-5,5-dimethyl-1,3-thiazolidine-4-carboxamide", 20957 },
	{ "O38", "", "", ResidueType::NON_POLYMER, false, "6-{[3-(cyanomethoxy)-4-(1-methyl-1H-pyrazol-4-yl)phenyl]amino}-2-(cyclohexylamino)pyridine-3-carbonitrile", 20958 },
	{ "O3N", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(2-carboxyethyl)-6-{[{2-[(cyclohexylmethyl)carbamoyl]benzyl}(prop-2-en-1-yl)amino]methyl}-2,3-dihydro-1,4-benzodioxine-5-carboxylic acid", 20959 },
	{ "O40", "", "", ResidueType::NON_POLYMER, false, "4-{[methyl(3-{[7-propyl-3-(trifluoromethyl)-1,2-benzisoxazol-6-yl]oxy}propyl)carbamoyl]amino}benzoic acid", 20960 },
	{ "O43", "", "", ResidueType::NON_POLYMER, false, "4-{6-(cyclohexylamino)-8-[(tetrahydro-2H-pyran-4-ylmethyl)amino]imidazo[1,2-b]pyridazin-3-yl}-N-cyclopropylbenzamide", 20961 },
	{ "O44", "", "", ResidueType::NON_POLYMER, false, "4-[(4-{4-[(3-cyclopropyl-1H-pyrazol-5-yl)amino]-6-[(prop-2-yn-1-yl)carbamoyl]pyrimidin-2-yl}piperazin-1-yl)methyl]benzene-1-sulfonyl fluoride", 20962 },
	{ "O47", "", "", ResidueType::NON_POLYMER, false, "3-{2-[(E)-iminomethyl]-6-propylpyrimidin-4-yl}-N,N-dimethyl-5-(trifluoromethyl)benzamide", 20963 },
	{ "O48", "", "", ResidueType::NON_POLYMER, false, "decyl sulfamate", 20964 },
	{ "O4B", "", "", ResidueType::NON_POLYMER, false, "1,4,7,10,13,16-HEXAOXACYCLOOCTADECANE", 20965 },
	{ "O4M", "", "", ResidueType::NON_POLYMER, true, "MANGANESE TETRAHYDRATE ION", 20966 },
	{ "O4N", "", "", ResidueType::NON_POLYMER, false, "5-[[[2-[[(1S)-1-(4-METHOXYPHENYL)BUTYL]CARBAMOYL]PHENYL]METHYL-PROP-2-ENYL-AMINO]METHYL]-1,3-BENZODIOXOLE-4-CARBOXYLIC ACID", 20967 },
	{ "O53", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(4-propan-2-ylphenyl)-2,3-dihydro-1H-pyrido[2,3-d]pyrimidin-4-one", 20968 },
	{ "O54", "", "", ResidueType::NON_POLYMER, false, "1-ethyl-3-[8-methyl-5-(2-methylpyridin-4-yl)isoquinolin-3-yl]urea", 20969 },
	{ "O58", "", "", ResidueType::NON_POLYMER, false, "{4-[(N-{3-[5-chloro-2-(1H-tetrazol-1-yl)phenyl]propanoyl}-L-phenylalanyl)amino]phenyl}acetic acid", 20970 },
	{ "O59", "", "", ResidueType::NON_POLYMER, false, "octane-1,8-diyl disulfamate", 20971 },
	{ "O5U", "", "", ResidueType::NON_POLYMER, false, "(2R)-6-[[(1R,2S)-2-(6-azanylhexanoylamino)-2,3-dihydro-1H-inden-1-yl]methyl]-2-(3-hydroxy-3-oxopropyl)-2,3-dihydro-1,4-benzodioxine-5-carboxylic acid", 20972 },
	{ "O60", "", "", ResidueType::NON_POLYMER, false, "decane-1,10-diyl disulfamate", 20973 },
	{ "O61", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S)-1-({2-[5-chloro-2-(1H-tetrazol-1-yl)phenyl]ethyl}amino)-1-oxo-3-phenylpropan-2-yl]-3-oxo-3,4-dihydro-2H-1,4-benzothiazine-7-carboxamide", 20974 },
	{ "O62", "", "", ResidueType::NON_POLYMER, false, "6-(4-{[3-(2,6-dichlorophenyl)-5-(1-methylethyl)isoxazol-4-yl]methoxy}phenyl)naphthalene-1-carboxylic acid", 20975 },
	{ "O64", "", "", ResidueType::NON_POLYMER, false, "2-chloro-N-[(1S)-1-formylpropyl]-3-(trifluoromethyl)benzamide", 20976 },
	{ "O73", "", "", ResidueType::NON_POLYMER, false, "5-[(4-aminobutyl)amino]-1,2-dimethyl-3-[(4-nitrophenoxy)methyl]-1H-indole-4,7-dione", 20977 },
	{ "O74", "", "", ResidueType::NON_POLYMER, false, "6-[4-(2-chloroanilino)-1H-quinazolin-2-ylidene]cyclohexa-2,4-dien-1-one", 20978 },
	{ "O75", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-3-(2-cyano-6-propylpyrimidin-4-yl)-N-[2-(dimethylamino)ethyl]-5-(trifluoromethyl)benzamide", 20979 },
	{ "O7E", "", "", ResidueType::NON_POLYMER, false, "", 20980 },
	{ "O7M", "", "", ResidueType::NON_POLYMER, false, "", 20981 },
	{ "O7U", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-amino-2,5-dihydro-1,5,2-diazaphosphinin-6(1H)-one 2-oxide", 20982 },
	{ "O80", "", "", ResidueType::NON_POLYMER, false, "N,N-dimethyl-1-[9-(2,2,2-trifluoroethyl)-9H-carbazol-3-yl]methanamine", 20983 },
	{ "O82", "", "", ResidueType::NON_POLYMER, false, "1-[9-(2-fluoroethyl)-9H-carbazol-3-yl]-N-methylmethanamine", 20984 },
	{ "O83", "", "", ResidueType::NON_POLYMER, false, "1-[9-(2,2-difluoroethyl)-9H-carbazol-3-yl]-N-methylmethanamine", 20985 },
	{ "O8A", "", "", ResidueType::NON_POLYMER, false, "N-cyclopropyl-5-[2-methyl-5-(trifluoromethoxy)-1H-benzimidazol-1-yl]thiophene-2-carboxamide", 20986 },
	{ "O8B", "", "", ResidueType::NON_POLYMER, false, "2-(2-methylphenoxy)-N-[2-(4-methylphenyl)-2H-benzotriazol-5-yl]acetamide", 20987 },
	{ "O8G", "", "", ResidueType::NON_POLYMER, false, "1-(azidoacetyl)-4-(3-thiophen-2-yl-1,2,4-oxadiazol-5-yl)piperidine", 20988 },
	{ "O8H", "", "", ResidueType::NON_POLYMER, false, "4-iodo-N-[(1-{2-oxo-2-[4-(3-thiophen-2-yl-1,2,4-oxadiazol-5-yl)piperidin-1-yl]ethyl}-1H-1,2,3-triazol-4-yl)methyl]benzenesulfonamide", 20989 },
	{ "O8K", "", "", ResidueType::NON_POLYMER, false, "(4Z,6R,7S,8S,9E)-7-hydroxy-8-methoxy-4,6-dimethylcyclotetradeca-4,9-dien-1-one", 20990 },
	{ "O8M", "", "", ResidueType::NON_POLYMER, false, "2-[{[(2R,3S,4R,5R)-5-(6-amino-8-methyl-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]methyl}(methyl)amino]acetamide", 20991 },
	{ "O8N", "", "", ResidueType::NON_POLYMER, false, "octacosan-1-ol", 20992 },
	{ "O90", "", "", ResidueType::NON_POLYMER, false, "{3-chloro-4-[(3-{[7-propyl-3-(trifluoromethyl)-1,2-benzisoxazol-6-yl]oxy}propyl)sulfanyl]phenyl}acetic acid", 20993 },
	{ "O92", "", "", ResidueType::NON_POLYMER, false, "3-AMINO-6-{4-CHLORO-3-[(2,3-DIFLUOROPHENYL)SULFAMOYL]PHENYL}-N-METHYLPYRAZINE-2-CARBOXAMIDE", 20994 },
	{ "O95", "", "", ResidueType::NON_POLYMER, false, "{(4S)-2-[7-(hydroxyamino)-6-methyl-5-(trifluoromethyl)-1,3-benzothiazol-2-yl]-4,5-dihydro-1,3-oxazol-4-yl}(pyrrolidin-1-yl)methanone", 20995 },
	{ "O96", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-3-amino-1-ethyl-2,3-dioxopropyl]-2-chloro-4-(pyridin-2-ylmethoxy)-3-(trifluoromethyl)benzamide", 20996 },
	{ "OA1", "", "", ResidueType::NON_POLYMER, false, "(2-AMINO-1,3-OXAZOL-5-YL)-(3-BROMOPHENYL)METHANONE", 20997 },
	{ "OA2", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-N,N-BIS(PHENYLMETHYL)-1,3-OXAZOLE-5-CARBOXAMIDE", 20998 },
	{ "OA3", "", "", ResidueType::NON_POLYMER, false, "4-amino-7,7-dimethyl-7,8-dihydroquinazolin-5(6H)-one", 20999 },
	{ "OA4", "", "", ResidueType::NON_POLYMER, false, "5-methyl-6-phenylquinazoline-2,4-diamine", 21000 },
	{ "OA5", "", "", ResidueType::NON_POLYMER, false, "6-(2-phenoxyethoxy)-1,3,5-triazine-2,4-diamine", 21001 },
	{ "OAA", "", "", ResidueType::NON_POLYMER, false, "OXALOACETATE ION", 21002 },
	{ "OAC", "", "", ResidueType::NON_POLYMER, false, "TRANS-O-HYDROXY-ALPHA-METHYL CINNAMATE", 21003 },
	{ "OAD", "", "", ResidueType::RNA_LINKING, false, "", 21004 },
	{ "OAE", "", "", ResidueType::NON_POLYMER, false, "(2S,4S)-2-[(R)-{[(2R)-2-amino-2-phenylacetyl]amino}(carboxy)methyl]-5,5-dimethyl-1,3-thiazolidine-4-carboxylic acid", 21005 },
	{ "OAF", "", "", ResidueType::NON_POLYMER, false, "2,2-difluoro-3,3-dihydroxybutanedioic acid", 21006 },
	{ "OAG", "", "", ResidueType::NON_POLYMER, false, "6-{[(2,5-dichlorophenyl)amino]methyl}pyrido[2,3-d]pyrimidine-2,4-diamine", 21007 },
	{ "OAH", "", "", ResidueType::NON_POLYMER, false, "9-(2-deoxy-5-O-phosphono-alpha-D-threo-pentofuranosyl)-9H-purin-6-amine", 21008 },
	{ "OAI", "", "", ResidueType::NON_POLYMER, false, "6-(OXALYL-AMINO)-1H-INDOLE-5-CARBOXYLIC ACID", 21009 },
	{ "OAK", "", "", ResidueType::NON_POLYMER, false, "N-(phenylcarbonyl)-beta-D-glucopyranosylamine", 21010 },
	{ "OAL", "", "", ResidueType::NON_POLYMER, false, "(1,8-DIHYDROXY-9,10-DIOXO-9,10-DIHYDRO-ANTHRACEN-2-YL)-ACETIC ACID", 21011 },
	{ "OAM", "", "", ResidueType::NON_POLYMER, false, "4-{4-[3-(1H-imidazol-1-yl)propyl]-5-methyl-4H-1,2,4-triazol-3-yl}-1-methyl-1H-pyrazol-5-amine", 21012 },
	{ "OAN", "", "", ResidueType::NON_POLYMER, false, "O-(2-ACETAMIDO-2-DEOXY D-GLUCOPYRANOSYLIDENE) AMINO-N-PHENYLCARBAMATE", 21013 },
	{ "OAP", "", "", ResidueType::NON_POLYMER, false, "4-(S)-[(1-OXO-7-PHENYLHEPTYL)AMINO]-5-[4-(PHENYLMETHYL)PHENYLTHIO]PENTANOIC ACID", 21014 },
	{ "OAQ", "", "", ResidueType::NON_POLYMER, false, "{(2S)-7-nitro-2-[(propan-2-ylamino)methyl]-1,2,3,4-tetrahydroquinolin-6-yl}methanol", 21015 },
	{ "OAR", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(4-AMINO-5-HYDROXY-PENTYL)-GUANIDINE", 21016 },
	{ "OAS", "", "", ResidueType::PEPTIDE_LINKING, false, "O-ACETYLSERINE", 21017 },
	{ "OAW", "", "", ResidueType::NON_POLYMER, false, "2-amino-4-methyl-8-(1-methylethyl)-6-(1H-pyrazol-4-yl)pteridin-7(8H)-one", 21018 },
	{ "OAZ", "", "", ResidueType::NON_POLYMER, false, "(2-azidophenyl)methyl methanoate", 21019 },
	{ "OB1", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,4S)-5,6-bis(4-hydroxyphenyl)-N-phenyl-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonamide", 21020 },
	{ "OB2", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,4S)-5,6-bis(4-hydroxyphenyl)-N-methyl-N-phenyl-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonamide", 21021 },
	{ "OB3", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,4S)-N-(2-chlorophenyl)-5,6-bis(4-hydroxyphenyl)-N-methyl-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonamide", 21022 },
	{ "OB4", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,4S)-N-ethyl-5,6-bis(4-hydroxyphenyl)-N-(4-methoxyphenyl)-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonamide", 21023 },
	{ "OB5", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,4R)-N-ethyl-5,6-bis(4-hydroxyphenyl)-N-(4-methoxyphenyl)-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonamide", 21024 },
	{ "OB6", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,4S)-N-(4-chlorophenyl)-N-ethyl-5,6-bis(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonamide", 21025 },
	{ "OB7", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,4R)-N-(4-chlorophenyl)-N-ethyl-5,6-bis(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonamide", 21026 },
	{ "OB8", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,4S)-N-ethyl-5,6-bis(4-hydroxyphenyl)-N-(naphthalen-2-yl)-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonamide", 21027 },
	{ "OB9", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,4S)-5,6-bis(4-hydroxyphenyl)-N-phenyl-N-(2,2,2-trifluoroethyl)-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonamide", 21028 },
	{ "OBA", "", "", ResidueType::NON_POLYMER, false, "2-(OXALYL-AMINO)-BENZOIC ACID", 21029 },
	{ "OBB", "", "", ResidueType::NON_POLYMER, false, "3-bromophenyl (1S,2R,4S)-5,6-bis(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonate", 21030 },
	{ "OBC", "", "", ResidueType::NON_POLYMER, false, "2-fluorophenyl (1S,2R,4S)-5,6-bis(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonate", 21031 },
	{ "OBD", "", "", ResidueType::NON_POLYMER, false, "4-methyl-N-({1-[(2S)-1-(naphthalen-2-yl)-4-nitroso-4-oxobutan-2-yl]-1H-1,2,3-triazol-4-yl}methyl)benzamide", 21032 },
	{ "OBE", "", "", ResidueType::NON_POLYMER, false, "3-(3-HYDROXY-BENZOYLOXY)-8-METHYL-8-AZA-BICYCLO[3.2.1]OCTANE-2-CARBOXYLIC ACID", 21033 },
	{ "OBF", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-4,4-difluorobutanoic acid", 21034 },
	{ "OBG", "", "", ResidueType::NON_POLYMER, false, "6-(benzyloxy)-9H-purin-2-amine", 21035 },
	{ "OBH", "", "", ResidueType::NON_POLYMER, false, "cyclohexa-2,5-dien-1-yl (1S,2R,4S)-5,6-bis(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonate", 21036 },
	{ "OBI", "", "", ResidueType::NON_POLYMER, false, "1,1'-(OXYDIMETHYLENE)BIS(4-FORMYLPYRIDINIUM)DIOXIME", 21037 },
	{ "OBL", "", "", ResidueType::NON_POLYMER, false, "5-Methoxybenzimidazolyl-norcobamide", 21038 },
	{ "OBM", "", "", ResidueType::NON_POLYMER, false, "4-bromophenyl (1S,2R,4S)-5,6-bis(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonate", 21039 },
	{ "OBN", "", "", ResidueType::NON_POLYMER, false, "OUABAIN", 21040 },
	{ "OBP", "", "", ResidueType::NON_POLYMER, false, "", 21041 },
	{ "OBS", "", "", ResidueType::PEPTIDE_LINKING, false, "(Z)-N^6-[(4S,5R)-5-(2-CARBOXYETHYL)-4-(CARBOXYMETHYL)-1-HYDROXYDIHYDRO-2H-THIOPYRANIUM-3(4H)-YLIDENE]-L-LYSINE", 21042 },
	{ "OBT", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,4S)-N-(4-chlorophenyl)-5,6-bis(4-hydroxyphenyl)-N-(2,2,2-trifluoroethyl)-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonamide", 21043 },
	{ "OBV", "", "", ResidueType::NON_POLYMER, false, "12,18-DIDECARBOXY-SIROHEME", 21044 },
	{ "OBZ", "", "", ResidueType::NON_POLYMER, false, "O-benzylhydroxylamine", 21045 },
	{ "OC1", "", "", ResidueType::NON_POLYMER, true, "CALCIUM ION, 1 WATER COORDINATED", 21046 },
	{ "OC2", "", "", ResidueType::NON_POLYMER, true, "CALCIUM ION, 2 WATERS COORDINATED", 21047 },
	{ "OC3", "", "", ResidueType::NON_POLYMER, true, "CALCIUM ION, 3 WATERS COORDINATED", 21048 },
	{ "OC4", "", "", ResidueType::NON_POLYMER, true, "CALCIUM ION, 4 WATERS COORDINATED", 21049 },
	{ "OC5", "", "", ResidueType::NON_POLYMER, true, "CALCIUM ION, 5 WATERS COORDINATED", 21050 },
	{ "OC6", "", "", ResidueType::NON_POLYMER, true, "CALCIUM ION, 6 WATERS COORDINATED", 21051 },
	{ "OC7", "", "", ResidueType::NON_POLYMER, true, "CALCIUM ION, 7 WATERS COORDINATED", 21052 },
	{ "OC8", "", "", ResidueType::NON_POLYMER, true, "CALCIUM ION, 8 WATERS COORDINATED", 21053 },
	{ "OC9", "", "", ResidueType::NON_POLYMER, false, "OCTAN-1-OL", 21054 },
	{ "OCA", "", "", ResidueType::NON_POLYMER, false, "OCTANOIC ACID (CAPRYLIC ACID)", 21055 },
	{ "OCB", "", "", ResidueType::NON_POLYMER, false, "OCTANOYLCARNITINE", 21056 },
	{ "OCC", "", "", ResidueType::NON_POLYMER, false, "2ALPHA-(3-HYDROXYPROPOXY)-1ALPHA,25-DIHYDROXYVITAMIN D3", 21057 },
	{ "OCD", "", "", ResidueType::NON_POLYMER, false, "octadecanal", 21058 },
	{ "OCE", "", "", ResidueType::NON_POLYMER, false, "octanedioic acid", 21059 },
	{ "OCG", "", "", ResidueType::NON_POLYMER, false, "5-amino-N-[5-(isoxazol-3-ylcarbamoyl)-2-methylphenyl]-1-phenyl-1H-pyrazole-4-carboxamide", 21060 },
	{ "OCH", "", "", ResidueType::NON_POLYMER, false, "QUINOLIN-2(1H)-ONE", 21061 },
	{ "OCL", "", "", ResidueType::NON_POLYMER, true, "COBALT ION, 1 WATER COORDINATED", 21062 },
	{ "OCM", "", "", ResidueType::NON_POLYMER, true, "COBALT ION, 3 WATERS COORDINATED", 21063 },
	{ "OCN", "", "", ResidueType::NON_POLYMER, true, "COBALT ION, 2 WATERS COORDINATED", 21064 },
	{ "OCO", "", "", ResidueType::NON_POLYMER, true, "COBALT ION,6 WATERS COORDINATED", 21065 },
	{ "OCP", "", "", ResidueType::NON_POLYMER, false, "OCTYL-PHOSPHINIC ACID 1,2-BIS-OCTYLCARBAMOYLOXY-ETHYL ESTER", 21066 },
	{ "OCQ", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-[(2S)-2-AMINO-4-HYDROXY-3-OXOBUTYL]PYRROLIDIN-2-ONE", 21067 },
	{ "OCR", "", "", ResidueType::NON_POLYMER, false, "(5E,8E,11Z,13E)-15-oxoicosa-5,8,11,13-tetraenoic acid", 21068 },
	{ "OCS", "", "", ResidueType::PEPTIDE_LINKING, false, "CYSTEINESULFONIC ACID", 21069 },
	{ "OCT", "", "", ResidueType::NON_POLYMER, false, "N-OCTANE", 21070 },
	{ "OCV", "", "", ResidueType::NON_POLYMER, false, "N6-[(1R)-2-{[(1R)-1-CARBOXY-2-METHYLPROPYL]OXY}-1-(MERCAPTOMETHYL)-2-OXOETHYL]-6-OXO-D-LYSINE", 21071 },
	{ "OCX", "", "", ResidueType::NON_POLYMER, false, "(5E,11E,14E)-8-oxoicosa-5,9,11,14-tetraenoic acid", 21072 },
	{ "OCY", "", "", ResidueType::PEPTIDE_LINKING, false, "HYDROXYETHYLCYSTEINE", 21073 },
	{ "OCZ", "", "", ResidueType::NON_POLYMER, false, "(1S)-6-chloro-2,3,4,9-tetrahydro-1H-carbazole-1- carboxamide", 21074 },
	{ "ODA", "", "", ResidueType::PEPTIDE_LIKE, false, "9-AMINO-6,10-DIOXO-OCTAHYDRO-PYRIDAZINO[1,2-A][1,2]DIAZEPINE-1-CARBOXYLIC ACID", 21075 },
	{ "ODD", "", "", ResidueType::NON_POLYMER, false, "(10E,12Z)-OCTADECA-10,12-DIENOIC ACID", 21076 },
	{ "ODE", "", "", ResidueType::NON_POLYMER, false, "DIETHYL (1R,2S,3R,4S)-5,6-BIS(4-HYDROXYPHENYL)-7-OXABICYCLO[2.2.1]HEPT-5-ENE-2,3-DICARBOXYLATE", 21077 },
	{ "ODH", "", "", ResidueType::NON_POLYMER, false, "N-(furan-2-ylmethyl)quinoxaline-6-carboxamide", 21078 },
	{ "ODI", "", "", ResidueType::NON_POLYMER, false, "OCTANE-1,8-DIOL", 21079 },
	{ "ODK", "", "", ResidueType::NON_POLYMER, false, "3-pyridin-2-yl-1H-pyrazole-5-carboxylic acid", 21080 },
	{ "ODN", "", "", ResidueType::NON_POLYMER, false, "(1beta,6beta,7beta,8alpha,9beta,10alpha,13alpha,14R,16beta)-1,6,7,14-tetrahydroxy-7,20-epoxykauran-15-one", 21081 },
	{ "ODO", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-C-methyl-N-oxidanyl-carbonimidoyl]benzene-1,3-diol", 21082 },
	{ "ODP", "", "", ResidueType::RNA_LINKING, false, "4-OXO-NICOTINAMIDE-ADENINE DINUCLEOTIDE PHOSPHATE", 21083 },
	{ "ODR", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-[3-(3,5-dimethyl-1,2-oxazol-4-yl)-5-ethoxyphenyl]ethanol", 21084 },
	{ "ODS", "", "", ResidueType::PEPTIDE_LIKE, false, "4-methylpiperazine-1-carboxylic acid", 21085 },
	{ "ODT", "", "", ResidueType::NON_POLYMER, false, "(11E,13E,15Z)-OCTADECA-11,13,15-TRIENOIC ACID", 21086 },
	{ "ODV", "", "", ResidueType::NON_POLYMER, false, "[(1R)-2-amino-1-hydroxyethyl]phosphonic acid", 21087 },
	{ "OE1", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-N,N-dipropyl-1H-benzimidazole-5-sulfonamide", 21088 },
	{ "OE2", "", "", ResidueType::NON_POLYMER, false, "PSAMMAPLIN C", 21089 },
	{ "OEC", "", "", ResidueType::NON_POLYMER, false, "OXYGEN EVOLVING SYSTEM", 21090 },
	{ "OEF", "", "", ResidueType::NON_POLYMER, false, "3,5-DIBROMO-4-(3-ISOPROPYL-PHENOXY)BENZOIC ACID", 21091 },
	{ "OEG", "", "", ResidueType::NON_POLYMER, false, "", 21092 },
	{ "OEL", "", "", ResidueType::NON_POLYMER, false, "(6R)-2,6-anhydro-3,4,5-trideoxy-6-[(2S)-2,3-dihydroxypropanoyl]-3-fluoro-5-[(2-methylpropanoyl)amino]-4-triaza-1,2-dien-2-ium-1-yl-L-gulonic acid", 21093 },
	{ "OEM", "", "", ResidueType::PEPTIDE_LINKING, false, "N-methyl-D-aspartic acid", 21094 },
	{ "OER", "", "", ResidueType::NON_POLYMER, false, "SR-MN4-O5 CLUSTER", 21095 },
	{ "OES", "", "", ResidueType::NON_POLYMER, false, "N-OCTYL-2-HYDROXYETHYL SULFOXIDE", 21096 },
	{ "OET", "", "ETH", ResidueType::NON_POLYMER, true, "ETHYL GROUP", 21097 },
	{ "OEU", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{(2S)-1-[(2-chlorobenzyl)amino]-1-oxo-4-phenylbutan-2-yl}-N~2~-[3-(2-methylphenyl)propanoyl]-L-threoninamide", 21098 },
	{ "OEV", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,3R,6R)-4-(hydroxymethyl)-6-(octylamino)cyclohex-4-ene-1,2,3-triol", 21099 },
	{ "OEX", "", "", ResidueType::NON_POLYMER, false, "CA-MN4-O5 CLUSTER", 21100 },
	{ "OEY", "", "", ResidueType::NON_POLYMER, false, "CA-MN4-O6 CLUSTER", 21101 },
	{ "OF1", "", "", ResidueType::NON_POLYMER, true, "FERROUS ION, 1 WATER COORDINATED", 21102 },
	{ "OF2", "", "", ResidueType::NON_POLYMER, true, "2 FERRIC ION, 1 BRIDGING OXYGEN", 21103 },
	{ "OF3", "", "", ResidueType::NON_POLYMER, true, "FERRIC ION, 1 WATER COORDINATED", 21104 },
	{ "OFB", "", "", ResidueType::NON_POLYMER, false, "3-fluorophenyl (1S,2R,4S)-5,6-bis(4-hydroxyphenyl)-7-oxabicyclo[2.2.1]hept-5-ene-2-sulfonate", 21105 },
	{ "OFE", "", "", ResidueType::NON_POLYMER, false, "Iron(II) oxide", 21106 },
	{ "OFF", "", "", ResidueType::NON_POLYMER, false, "2-DEOXY-3,4-BIS-O-[3-(4-HYDROXYPHENYL)PROPANOYL]-L-THREO-PENTARIC ACID", 21107 },
	{ "OFG", "", "", ResidueType::NON_POLYMER, false, "3-[(1R)-1-[5-fluoranyl-2-(1,2,3-triazol-2-yl)phenyl]ethoxy]-5-(3-methyl-1H-pyrazol-4-yl)pyridin-2-amine", 21108 },
	{ "OFH", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-[(2-chloro-4-{[(2S)-1,1,1-trifluoropropan-2-yl]oxy}phenyl)sulfonyl]-N-{1-[(E)-iminomethyl]cyclopropyl}-1-{[1-(trifluoromethyl)cyclopropyl]carbonyl}-L-prolinamide", 21109 },
	{ "OFI", "", "", ResidueType::NON_POLYMER, false, "N-[6-(4-hydroxyphenyl)-1H-indazol-3-yl]butanamide", 21110 },
	{ "OFL", "", "", ResidueType::NON_POLYMER, false, "O-TRIFLUOROMETHYLPHENYL ANTHRANILIC ACID", 21111 },
	{ "OFM", "", "", ResidueType::PEPTIDE_LINKING, false, "[(4Z)-2-{(2R,5R)-2-[(1S)-1-amino-2-phenylethyl]-2-hydroxy-5-methyl-2,5-dihydro-1,3-oxazol-4-yl}-4-(4-hydroxybenzylidene)-5-oxo-4,5-dihydro-1H-imidazol-1-yl]acetic acid", 21112 },
	{ "OFO", "", "", ResidueType::NON_POLYMER, false, "HYDROXY DIIRON-OXO MOIETY", 21113 },
	{ "OFT", "", "", ResidueType::NON_POLYMER, false, "(3Z)-N,N-diethyl-3-[(3E)-3-(hydroxyimino)-1,3-dihydro-2H-indol-2-ylidene]-2-oxo-2,3-dihydro-1H-indole-5-sulfonamide", 21114 },
	{ "OGA", "", "", ResidueType::NON_POLYMER, false, "N-OXALYLGLYCINE", 21115 },
	{ "OGG", "", "", ResidueType::NON_POLYMER, false, "2-(2-CARBAMOYLMETHOXY-ETHOXY)-ACETAMIDE", 21116 },
	{ "OGK", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-2-ethyl-1-({[(3aS,4S,6R,7aS)-6-ethyl-1-oxooctahydro-1H-inden-4-yl]carbonyl}amino)cyclopropanecarboxylic acid", 21117 },
	{ "OGN", "", "", ResidueType::NON_POLYMER, false, "[(Z)-[(3R,4R,5R,6R)-3-acetamido-6-(hydroxymethyl)-4,5-bis(oxidanyl)oxan-2-ylidene]amino] N-phenylcarbamate", 21118 },
	{ "OGX", "", "", ResidueType::DNA_LINKING, false, "2'-deoxy-5'-O-{(S)-hydroxy[(2-sulfanylethyl)amino]phosphoryl}-8-oxoguanosine", 21119 },
	{ "OH", "", "", ResidueType::NON_POLYMER, false, "HYDROXIDE ION", 21120 },
	{ "OHA", "", "", ResidueType::NON_POLYMER, false, "10-oxohexadecanoic acid", 21121 },
	{ "OHB", "", "", ResidueType::NON_POLYMER, false, "salicylamide", 21122 },
	{ "OHE", "", "", ResidueType::NON_POLYMER, true, "HYDROXYETHYL GROUP", 21123 },
	{ "OHH", "", "", ResidueType::NON_POLYMER, false, "2-[3-({METHYL[1-(2-NAPHTHOYL)PIPERIDIN-4-YL]AMINO}CARBONYL)-2-NAPHTHYL]-1-(1-NAPHTHYL)-2-OXOETHYLPHOSPHONIC ACID", 21124 },
	{ "OHI", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(2-OXO-2H-IMIDAZOL-4-YL)-L-ALANINE", 21125 },
	{ "OHL", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-N~2~-[(4-methoxyphenyl)sulfonyl]-N~2~-(pyridin-4-ylmethyl)glycinamide", 21126 },
	{ "OHM", "", "", ResidueType::NON_POLYMER, false, "3-OXO-N-[(3S)-2-OXOPYRROLIDIN-3-YL]DODECANAMIDE", 21127 },
	{ "OHN", "", "", ResidueType::NON_POLYMER, false, "N-3-OXO-DODECANOYL-L-HOMOSERINE LACTONE", 21128 },
	{ "OHO", "", "", ResidueType::NON_POLYMER, false, "CYCLOHEXANE AMINOCARBOXYLIC ACID", 21129 },
	{ "OHP", "", "", ResidueType::NON_POLYMER, false, "(2-HYDROXYPHENYL)ACETIC ACID", 21130 },
	{ "OHS", "", "", ResidueType::PEPTIDE_LINKING, false, "O-(CARBOXYSULFANYL)-4-OXO-L-HOMOSERINE", 21131 },
	{ "OHT", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXYTAMOXIFEN", 21132 },
	{ "OHU", "", "", ResidueType::DNA_LINKING, false, "", 21133 },
	{ "OHX", "", "", ResidueType::NON_POLYMER, false, "osmium (III) hexammine", 21134 },
	{ "OI1", "", "", ResidueType::NON_POLYMER, false, "3-(4-HYDROXYBENZYL)-2-[1-({[2-(4-HYDROXYPHENYL)ETHYL]AMINO}CARBONYL)BUTYL]-4-OXO-3,6,11,11A-TETRAHYDRO-4H-PYRAZINO[1,2-B]ISOQUINOLIN-2-IUM-1-OLATE", 21135 },
	{ "OI7", "", "", ResidueType::NON_POLYMER, false, "1,7-di-O-phosphono-beta-D-altro-hept-2-ulofuranose", 21136 },
	{ "OIA", "", "", ResidueType::NON_POLYMER, false, "[(3S)-2-oxo-2,3-dihydro-1H-indol-3-yl]acetic acid", 21137 },
	{ "OIC", "", "", ResidueType::PEPTIDE_LINKING, false, "OCTAHYDROINDOLE-2-CARBOXYLIC ACID", 21138 },
	{ "OID", "", "", ResidueType::NON_POLYMER, false, "10-(1H-imidazol-1-yl)decanoic acid", 21139 },
	{ "OIL", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-2-hydroxy-3-methylpentanoic acid", 21140 },
	{ "OIM", "", "", ResidueType::PEPTIDE_LINKING, false, "[(4Z)-2-{(2R,5R)-2-[(1S,2S)-1-amino-2-methylbutyl]-2-hydroxy-5-methyl-2,5-dihydro-1,3-oxazol-4-yl}-4-(4-hydroxybenzylidene)-5-oxo-4,5-dihydro-1H-imidazol-1-yl]acetic acid", 21141 },
	{ "OIN", "", "", ResidueType::NON_POLYMER, false, "(1R,5S)-8-METHYL-8-AZABICYCLO[3.2.1]OCT-3-YL (2R)-3-HYDROXY-2-PHENYLPROPANOATE", 21142 },
	{ "OIO", "", "", ResidueType::NON_POLYMER, false, "8-(1H-imidazol-1-yl)octanoic acid", 21143 },
	{ "OIP", "", "DI", ResidueType::DNA_LINKING, true, "", 21144 },
	{ "OIR", "", "", ResidueType::NON_POLYMER, false, "N-(3-PHENYL-2-SULFANYLPROPANOYL)PHENYLALANYLALANINE", 21145 },
	{ "OIS", "", "", ResidueType::NON_POLYMER, false, "(S)-N-((2S,3R)-3-HYDROXY-4-(4-((E)-(HYDROXYIMINO)METHYL)-N-ISOBUTYLPHENYLSULFONAMIDO)-1-PHENYLBUTAN-2-YL)-3-METHYL-2-(3-((2-METHYLTHIAZOL-4-YL)METHYL)-2-OXOIMIDAZOLIDIN-1-YL)BUTANAMIDE", 21146 },
	{ "OJ8", "", "", ResidueType::NON_POLYMER, false, "(S)-[(2S)-6-phenoxy-1,2,3,4-tetrahydronaphthalen-2-yl](5-pyridin-2-yl-1,3-oxazol-2-yl)methanol", 21147 },
	{ "OJA", "", "", ResidueType::NON_POLYMER, false, "1-(3-(5-FLUORO-1H-INDOL-2-YL)PHENYL)PIPERIDIN-4-YL)(2-(4-ISOPROPYL-PIPERAZIN1-YL)ETHYL)-CARBAMATE", 21148 },
	{ "OJD", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-(2-phenylethyl)pyrrolidin-2-one", 21149 },
	{ "OK1", "", "", ResidueType::NON_POLYMER, false, "3-[5-chloro-6-(cyclobutylmethoxy)-2-oxo-2,3-dihydro-1,3-benzoxazol-3-yl]propanoic acid", 21150 },
	{ "OK3", "", "", ResidueType::NON_POLYMER, false, "(R)-3-(4-(AMINOMETHYL)BENZAMIDO)-8-CARBOXY-2,2-DIHYDROXY-3,4-DIHYDRO-2H-BENZO[E][1,2]OXABORININ-2-UIDE", 21151 },
	{ "OKA", "", "", ResidueType::NON_POLYMER, false, "OKADAIC ACID", 21152 },
	{ "OKD", "", "", ResidueType::NON_POLYMER, false, "N-({(1S)-1-CARBOXY-5-[4-(2,5,8,11,14-PENTAOXAPENTADEC-1-YL)-1H-1,2,3-TRIAZOL-1-YL]PENTYL}CARBAMOYL)-L-GLUTAMIC ACID", 21153 },
	{ "OKG", "", "", ResidueType::NON_POLYMER, false, "4-peroxy-4-oxobutanoic acid", 21154 },
	{ "OKH", "", "", ResidueType::NON_POLYMER, false, "2-(4-chlorophenyl)-1-[(1S)-1-cyclohexyl-2-(cyclohexylamino)-2-oxoethyl]-1H-benzimidazole-6-carboxylic acid", 21155 },
	{ "OKI", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[2-(4-chlorophenyl)-1H-benzimidazol-1-yl]-N,2-dicyclohexylethanamide", 21156 },
	{ "OKJ", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-3-amino-2-hydroxy-4-(4-hydroxyphenyl)butanal", 21157 },
	{ "OKO", "", "", ResidueType::NON_POLYMER, false, "N-[5-[4-(5-{[(2R,6S)-2,6-DIMETHYL-4-MORPHOLINYL]METHYL}-1,3-OXAZOL-2-YL)-1H-INDAZOL-6-YL]-2-(METHYLOXY)-3-PYRIDINYL]METHANESULFONAMIDE", 21158 },
	{ "OL1", "", "", ResidueType::NON_POLYMER, false, "7-phenyl-1-(5-pyridin-2-yl-1,3-oxazol-2-yl)heptane-1,1-diol", 21159 },
	{ "OL2", "", "", ResidueType::NON_POLYMER, false, "4-[3-amino-6-(3,4,5-trimethoxyphenyl)pyrazin-2-yl]-2-ethoxybenzoic acid", 21160 },
	{ "OL3", "", "", ResidueType::NON_POLYMER, false, "N-biotin-C-Co4(mu3-O)4(OAc)(Py)4(H2O)3-beta-alanine", 21161 },
	{ "OL4", "", "", ResidueType::NON_POLYMER, false, "N-biotin-C-Co4(mu3-O)4(Py)3(H2O)4-beta-alanine", 21162 },
	{ "OL5", "", "", ResidueType::NON_POLYMER, false, "N-biotin-C-Co4(mu3-O)4(OAc)(Py)3(H2O)3-beta-alanine", 21163 },
	{ "OLA", "OLI", "", ResidueType::NON_POLYMER, false, "OLEIC ACID", 21164 },
	{ "OLB", "", "", ResidueType::NON_POLYMER, false, "(2S)-2,3-dihydroxypropyl (9Z)-octadec-9-enoate", 21165 },
	{ "OLC", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,3-dihydroxypropyl (9Z)-octadec-9-enoate", 21166 },
	{ "OLD", "", "", ResidueType::PEPTIDE_LINKING, false, "3-[2-(4-bromophenyl)-2-oxoethyl]-L-histidine", 21167 },
	{ "OLE", "", "1LU", ResidueType::PEPTIDE_LINKING, true, "2-HYDROXY-4-METHYL-PENTANOIC ACID", 21168 },
	{ "OLF", "", "", ResidueType::NON_POLYMER, false, "4-({(2S)-2-[2-(4-chlorophenyl)-5,6-difluoro-1H-benzimidazol-1-yl]-2-cyclohexylacetyl}amino)-3-methylbenzoic acid", 21169 },
	{ "OLI", "", "OLA", ResidueType::NON_POLYMER, true, "OLEIC ACID", 21170 },
	{ "OLM", "", "", ResidueType::NON_POLYMER, false, "Olmesartan", 21171 },
	{ "OLN", "", "", ResidueType::NON_POLYMER, false, "(S)-2-ACETAMIDO-5-UREIDOPENTANOIC ACID", 21172 },
	{ "OLO", "", "", ResidueType::NON_POLYMER, false, "OLOMOUCINE", 21173 },
	{ "OLP", "", "", ResidueType::NON_POLYMER, false, "2-(2-HYDROXYETHYLAMINO)-6-(3-CHLOROANILINO)-9-ISOPROPYLPURINE", 21174 },
	{ "OLS", "", "", ResidueType::NON_POLYMER, false, "N-biotin-C-Co4(mu3-O)4(Py)4(H2O)4-beta-alanine", 21175 },
	{ "OLT", "", "", ResidueType::PEPTIDE_LINKING, false, "O-METHYL-L-THREONINE", 21176 },
	{ "OLU", "", "", ResidueType::NON_POLYMER, false, "2-(6-HYDROXY-1,3-BENZOTHIAZOL-2-YL)-1,3-THIAZOL-4(5H)-ONE", 21177 },
	{ "OLW", "", "", ResidueType::NON_POLYMER, false, "3-[({2-[2-(1H-imidazol-1-yl)pyrimidin-4-yl]ethyl}amino)methyl]benzonitrile", 21178 },
	{ "OLZ", "", "", ResidueType::PEPTIDE_LINKING, false, "O-(2-aminoethyl)-L-serine", 21179 },
	{ "OM1", "", "", ResidueType::NON_POLYMER, false, "(4-CARBOXY-1,3-BENZODIOXOL-5-YL)METHYL-[[2-[(4-METHOXYPHENYL)METHYLCARBAMOYL]PHENYL]METHYL]AZANIUM", 21180 },
	{ "OM2", "", "", ResidueType::NON_POLYMER, false, "(R)-[2-[[(2S)-BUTAN-2-YL]CARBAMOYL]PHENYL]METHYL-[(4-CARBOXY-1,3-BENZODIOXOL-5-YL)METHYL]-METHYL-AZANIUM", 21181 },
	{ "OM3", "", "", ResidueType::NON_POLYMER, false, "(R)-(4-CARBOXY-1,3-BENZODIOXOL-5-YL)METHYL-[[2-(CYCLOHEXYLMETHYLCARBAMOYL)PHENYL]METHYL]-METHYL-AZANIUM", 21182 },
	{ "OMA", "", "", ResidueType::NON_POLYMER, false, "10-{(1R,2R)-2-[(2E)-hex-2-en-1-yl]cyclopropyl}decanoic acid", 21183 },
	{ "OMB", "", "MOH", ResidueType::NON_POLYMER, true, "OXYMETHYLENE BRIDGING GROUP", 21184 },
	{ "OMC", "", "", ResidueType::RNA_LINKING, false, "O2'-METHYLYCYTIDINE-5'-MONOPHOSPHATE", 21185 },
	{ "OMD", "", "", ResidueType::NON_POLYMER, false, "2-(3,6-DIHYDROXYPHENYL)ACETIC ACID", 21186 },
	{ "OME", "", "", ResidueType::NON_POLYMER, true, "METHOXY GROUP", 21187 },
	{ "OMG", "", "", ResidueType::RNA_LINKING, false, "O2'-METHYLGUANOSINE-5'-MONOPHOSPHATE", 21188 },
	{ "OMH", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[(S)-hydroxy(methoxy)phosphoryl]-L-serine", 21189 },
	{ "OMI", "", "", ResidueType::NON_POLYMER, false, "1-methyl-1,2-dihydro-3H-indol-3-one", 21190 },
	{ "OMK", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[2-(4-chlorophenyl)-5,6-difluoro-1H-benzimidazol-1-yl]-2-cyclohexyl-N-(2-methylphenyl)ethanamide", 21191 },
	{ "OMM", "", "", ResidueType::NON_POLYMER, false, "4-({(2S)-2-[2-(4-chlorophenyl)-5,6-difluoro-1H-benzimidazol-1-yl]-2-cyclohexylacetyl}amino)-3-fluorobenzoic acid", 21192 },
	{ "OMN", "", "", ResidueType::NON_POLYMER, false, "4-BROMO-3-(5'-CARBOXY-4'-CHLORO-2'-FLUOROPHENYL)-1-METHYL-5-TRIFLUOROMETHYL-PYRAZOL", 21193 },
	{ "OMO", "", "", ResidueType::NON_POLYMER, false, "MO(VI)(=O)(OH)2 CLUSTER", 21194 },
	{ "OMP", "", "", ResidueType::NON_POLYMER, false, "OROTIDINE-5'-MONOPHOSPHATE", 21195 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "[(2S,3R,4R,5R)-5-[[[[(2R,3S,4R,5R)-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methoxy-oxidanyl-phosphoryl]oxy-oxidanyl-phosphoryl]oxymethyl]-2,4-bis(oxidanyl)oxolan-3-yl] tetradecanoate", 21196 },
	{ "OMT", "", "", ResidueType::PEPTIDE_LINKING, false, "S-DIOXYMETHIONINE", 21197 },
	{ "OMU", "", "", ResidueType::RNA_LINKING, false, "", 21198 },
	{ "OMX", "", "", ResidueType::PEPTIDE_LINKING, false, "(betaR)-beta-hydroxy-L-Tyrosine", 21199 },
	{ "OMY", "", "", ResidueType::PEPTIDE_LINKING, false, "(betaR)-3-chloro-beta-hydroxy-L-tyrosine", 21200 },
	{ "OMZ", "", "", ResidueType::PEPTIDE_LINKING, false, "(betaR)-3-CHLORO-BETA-HYDROXY-D-TYROSINE", 21201 },
	{ "ON0", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3S,4R,6S)-4,6-diamino-2-{[3-O-(2,6-diamino-2,6-dideoxy-beta-L-idopyranosyl)-beta-D-ribofuranosyl]oxy}-3-hydroxycyclohexyl 2-amino-4,6-O-benzylidene-2-deoxy-alpha-D-glucopyranoside", 21202 },
	{ "ON1", "", "", ResidueType::NON_POLYMER, false, "2-(3,4-dichlorobenzyl)-5,6-dihydroxypyrimidine-4-carboxylic acid", 21203 },
	{ "ON3", "", "", ResidueType::NON_POLYMER, false, "1-(4-{[(2S,3R)-2-(2,3-dihydro-1H-inden-2-yloxy)-3-(3,5-dimethoxy-4-methylphenyl)-3-hydroxypropyl]oxy}phenyl)cyclopropanecarboxylic acid", 21204 },
	{ "ON5", "", "", ResidueType::NON_POLYMER, false, "(Z)-7-[(1R,2R,3R,5R)-5-chloranyl-3-oxidanyl-2-[(E,3S)-3-oxidanyloct-1-enyl]cyclopentyl]hept-5-enoic acid", 21205 },
	{ "ON7", "", "", ResidueType::NON_POLYMER, false, "{1-[(2S,3S)-2-(2,3-dihydro-1H-inden-2-ylmethyl)-3-(3,5-dimethoxy-4-methylphenyl)-3-hydroxypropyl]-4-(methoxycarbonyl)-1H-pyrrol-3-yl}acetic acid", 21206 },
	{ "ON9", "", "", ResidueType::NON_POLYMER, false, "3-{1-[(2S,3S)-3-(4-acetyl-3,5-dimethoxyphenyl)-2-(2,3-dihydro-1H-inden-2-ylmethyl)-3-hydroxypropyl]-4-(methoxycarbonyl)-1H-pyrrol-3-yl}propanoic acid", 21207 },
	{ "ONA", "", "", ResidueType::NON_POLYMER, false, "", 21208 },
	{ "ONB", "", "", ResidueType::NON_POLYMER, false, "5H-dibenzo[b,f]azepine", 21209 },
	{ "ONE", "", "", ResidueType::RNA_LINKING, false, "1-(BETA-D-RIBOFURANOSYL)-PYRIDIN-4-ONE-5'-PHOSPHATE", 21210 },
	{ "ONH", "", "", ResidueType::PEPTIDE_LINKING, false, "N~5~-hydroxy-L-ornithine", 21211 },
	{ "ONK", "", "", ResidueType::PEPTIDE_LIKE, false, "N-hexanoyl-L-valyl-N~1~-[(3S,4S)-3-hydroxy-2,6-dimethylhept-1-en-4-yl]-N~5~,N~5~-dimethyl-L-glutamamide", 21212 },
	{ "ONL", "", "", ResidueType::PEPTIDE_LINKING, false, "5-OXO-L-NORLEUCINE", 21213 },
	{ "ONM", "", "", ResidueType::NON_POLYMER, false, "3'-O-(N-METHYLANTHRANILOYL)-GUANOSINE-5'-TRIPHOSPHATE", 21214 },
	{ "ONO", "", "", ResidueType::NON_POLYMER, false, "2-[2-({[4-(DIAMINOMETHYL)PHENYL]AMINO}CARBONYL)-6-METHOXYPYRIDIN-3-YL]-5-{[(1-FORMYL-2,2-DIMETHYLPROPYL)AMINO]CARBONYL}BENZOIC ACID", 21215 },
	{ "ONP", "", "", ResidueType::NON_POLYMER, false, "O-NITROPHENYL AMINOETHYLDIPHOSPHATE BERYLLIUM TRIFLUORIDE", 21216 },
	{ "ONR", "", "", ResidueType::NON_POLYMER, false, "4-chloro-2-isoxazol-5-yl-phenol", 21217 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "N-[(2R,3S)-3-oxidanylicos-4-en-2-yl]icosanamide", 21218 },
	{ "ONZ", "", "", ResidueType::NON_POLYMER, false, "2-(1,3-benzodioxol-4-ylcarbonylamino)ethanoic acid", 21219 },
	{ "OOA", "", "", ResidueType::NON_POLYMER, false, "3-OXOOCTANOIC ACID", 21220 },
	{ "OOB", "", "", ResidueType::OTHER, false, "5'-O-[(R)-(benzoyloxy)(hydroxy)phosphoryl]adenosine", 21221 },
	{ "OOC", "", "", ResidueType::NON_POLYMER, false, "octyl 4-O-beta-D-allopyranosyl-1-thio-beta-D-altropyranoside", 21222 },
	{ "OOF", "", "", ResidueType::NON_POLYMER, false, "4-({(2S)-2-[2-(4-chlorophenyl)-5,6-difluoro-1H-benzimidazol-1-yl]-2-cyclohexylacetyl}amino)benzoic acid", 21223 },
	{ "OOG", "", "", ResidueType::NON_POLYMER, false, "2-OXOADIPIC ACID", 21224 },
	{ "OOK", "", "", ResidueType::NON_POLYMER, false, "4-({(2S)-2-[2-(4-chlorophenyl)-5,6-difluoro-1H-benzimidazol-1-yl]-2-cyclohexylacetyl}amino)-3,5-difluorobenzoic acid", 21225 },
	{ "OOO", "", "", ResidueType::NON_POLYMER, false, "ethyl (2~{S})-2-[[4-[4-azanyl-5-(4-phenoxyphenyl)pyrrolo[2,3-d]pyrimidin-7-yl]cyclohexyl]amino]-4-methyl-pentanoate", 21226 },
	{ "OOP", "", "", ResidueType::NON_POLYMER, false, "1-deoxy-1-[(4aR)-4a-[(2R)-1-hydroxy-5-{[(S)-hydroxy(phosphonooxy)phosphoryl]oxy}-3-methylidenepentan-2-yl]-7,8-dimethyl-2,4-dioxo-3,4,4a,5-tetrahydrobenzo[g]pteridin-10(2H)-yl]-5-O-phosphono-D-ribitol", 21227 },
	{ "OOQ", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-[[4-[4-azanyl-5-(4-phenoxyphenyl)pyrrolo[2,3-d]pyrimidin-7-yl]cyclohexyl]azaniumyl]-4-methyl-pentanoate", 21228 },
	{ "OOS", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-[[4-[4-azanyl-5-(4-phenoxyphenyl)pyrrolo[2,3-d]pyrimidin-7-yl]cyclohexyl]amino]-4-methyl-pentanamide", 21229 },
	{ "OOU", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-[[4-[4-azanyl-5-(4-phenoxyphenyl)pyrrolo[2,3-d]pyrimidin-7-yl]cyclohexyl]amino]-~{N},4-dimethyl-pentanamide", 21230 },
	{ "OOV", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-[[4-[4-azanyl-5-(4-phenoxyphenyl)pyrrolo[2,3-d]pyrimidin-7-yl]cyclohexyl]amino]-~{N},~{N},4-trimethyl-pentanamide", 21231 },
	{ "OP0", "", "", ResidueType::NON_POLYMER, false, "(2S,5R)-N-(2-aminoethoxy)-1-formyl-5-[(sulfooxy)amino]piperidine-2-carboxamide", 21232 },
	{ "OP1", "", "", ResidueType::NON_POLYMER, false, "1-[(1S)-4-carbamimidamido-1-carboxybutyl]-5-oxo-D-proline", 21233 },
	{ "OP2", "", "", ResidueType::NON_POLYMER, false, "2-[2-[2-[2-[2-(2-hydroxyethyloxy)ethoxy]ethoxy]ethoxy]ethoxy]ethanoic acid", 21234 },
	{ "OPA", "", "", ResidueType::NON_POLYMER, false, "2-(OXALYL-AMINO)-4,7-DIHYDRO-5H-THIENO[2,3-C]PYRAN-3-CARBOXYLIC ACID", 21235 },
	{ "OPB", "", "", ResidueType::NON_POLYMER, false, "4-BUTYL-1-(4-HYDROXYPHENYL)-2-PHENYLPYRAZOLIDINE-3,5-DIONE", 21236 },
	{ "OPC", "", "", ResidueType::NON_POLYMER, false, "(7R,17E)-4-HYDROXY-N,N,N,7-TETRAMETHYL-7-[(8E)-OCTADEC-8-ENOYLOXY]-10-OXO-3,5,9-TRIOXA-4-PHOSPHAHEPTACOS-17-EN-1-AMINIUM 4-OXIDE", 21237 },
	{ "OPD", "", "", ResidueType::NON_POLYMER, false, "9R,13R-12-OXOPHYTODIENOIC ACID", 21238 },
	{ "OPE", "", "", ResidueType::NON_POLYMER, false, "PHOSPHORIC ACID MONO-(2-AMINO-ETHYL) ESTER", 21239 },
	{ "OPG", "", "", ResidueType::NON_POLYMER, false, "OXIRANPSEUDOGLUCOSE", 21240 },
	{ "OPH", "", "", ResidueType::NON_POLYMER, true, "2-HYDROXY-3-PHENYL-PROPIONIC ACID METHYL ESTER", 21241 },
	{ "OPI", "", "", ResidueType::NON_POLYMER, false, "PANTOTHENYL-AMINOETHANOL-11-PIVALIC ACID", 21242 },
	{ "OPL", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-2,4,4-trihydroxy-3-methylbutanal", 21243 },
	{ "OPM", "", "", ResidueType::SACCHARIDE, false, "O1-PENTYL-MANNOSE", 21244 },
	{ "OPN", "", "", ResidueType::NON_POLYMER, false, "{(2-AMINO-ETHYL)-[2-(2-OXO-1,2-DIHYDRO-[1,8]NAPHTHYRIDIN-3-YL)-ACETYL]-AMINO}-ACETIC ACID", 21245 },
	{ "OPO", "", "", ResidueType::NON_POLYMER, false, "O-NITROPHENOL", 21246 },
	{ "OPP", "", "", ResidueType::NON_POLYMER, false, "1-[PYRROL-1-YL-2,5-DIONE-METHOXYMETHYL]-PYRROLE-2,5-DIONE", 21247 },
	{ "OPQ", "", "", ResidueType::NON_POLYMER, false, "((3S,4S)-4-((2S,3S)-2-(2-(NAPTHALEN-6-YL)ACETAMIDO)-3-METHYLPENTANAMIDO)-N-BUTYL-3-HYDROXY-6-METHYLHEPTANAMIDE)", 21248 },
	{ "OPR", "", "", ResidueType::PEPTIDE_LIKE, false, "(5S)-5-amino-8-carbamimidamido-4-oxooctanoic acid", 21249 },
	{ "OPS", "", "", ResidueType::NON_POLYMER, false, "3-OXO-3-[(3-OXOPROPYL)SULFANYL]PROPANE-1-THIOLATE", 21250 },
	{ "OPT", "", "", ResidueType::NON_POLYMER, false, "S-benzyl-N-(biphenyl-4-ylacetyl)-L-cysteinyl-N~5~-(diaminomethyl)-D-ornithyl-N-(2-phenylethyl)-L-tyrosinamide", 21251 },
	{ "OPX", "", "", ResidueType::NON_POLYMER, false, "(1s,3R,4S)-1-[(cyclohexylamino)methyl]-3,4-dihydroxycyclopentanesulfonic acid", 21252 },
	{ "OPY", "", "", ResidueType::NON_POLYMER, false, "(3S)-4-oxo-4-piperidin-1-ylbutane-1,3-diamine", 21253 },
	{ "OQB", "", "", ResidueType::NON_POLYMER, false, "4-OXO-3-[(6-{[4-(QUINOXALIN-2-YLAMINO)-BENZOYLAMINO]-METHYL}-PYRIDINE-3-CARBONYL)-AMINO]-BUTYRIC ACID", 21254 },
	{ "OQC", "", "", ResidueType::NON_POLYMER, false, "[3-chloranyl-4-(furan-3-yl)phenyl]methanamine", 21255 },
	{ "OQR", "", "", ResidueType::NON_POLYMER, false, "{(2R)-7-nitro-2-[(propan-2-ylamino)methyl]-1,2,3,4-tetrahydroquinolin-6-yl}methanol", 21256 },
	{ "OR5", "", "R5P", ResidueType::NON_POLYMER, true, "", 21257 },
	{ "OR8", "", "", ResidueType::NON_POLYMER, false, "2-CHLORO-N-[[4-(3,5-DIMETHYLISOXAZOL-4-YL)PHENYL]METHYL]-1,4-DIMETHYL-1H-PYRAZOLE-4-SULFONAMIDE", 21258 },
	{ "ORA", "", "", ResidueType::NON_POLYMER, false, "7-hydroxy-8-[(E)-phenyldiazenyl]naphthalene-1,3-disulfonic acid", 21259 },
	{ "ORB", "", "", ResidueType::NON_POLYMER, false, "N-{(1R)-1-[4-(2-CHLORO-5-FLUOROPYRIDIN-3-YL)PHENYL]ETHYL}-3,5-DIMETHYLISOXAZOLE-4-SULFONAMIDE", 21260 },
	{ "ORC", "", "", ResidueType::NON_POLYMER, false, "(R)-N-[1-[4-(3,5-DIMETHYLISOXAZOL-4-YL)PHENYL]ETHYL]-3,5-DIMETHYLISOXAZOLE-4-SULFONAMIDE", 21261 },
	{ "ORD", "", "", ResidueType::PEPTIDE_LINKING, false, "D-ORNITHINE", 21262 },
	{ "ORE", "", "", ResidueType::NON_POLYMER, false, "4-(2,7-DIFLUORO-6-HYDROXY-3-OXO-3H-XANTHEN-9-YL)ISOPHTHALIC ACID", 21263 },
	{ "ORG", "", "", ResidueType::NON_POLYMER, false, "4-(cyclohexylamino)-6-piperazin-1-yl-1,3,5-triazine-2-carbonitrile", 21264 },
	{ "ORH", "", "", ResidueType::NON_POLYMER, false, "3,5-dioxo-4-(3-piperidin-1-ylpropyl)-2-[3-(trifluoromethyl)phenyl]-2,3,4,5-tetrahydro-1,2,4-triazine-6-carbonitrile", 21265 },
	{ "ORI", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-(4-hydroxynaphthalen-1-yl)diazenyl]benzenesulfonic acid", 21266 },
	{ "ORN", "", "", ResidueType::PEPTIDE_LINKING, false, "L-ornithine", 21267 },
	{ "ORO", "", "", ResidueType::NON_POLYMER, false, "OROTIC ACID", 21268 },
	{ "ORP", "D1P", "", ResidueType::SACCHARIDE, false, "2-DEOXY-5-PHOSPHONO-RIBOSE", 21269 },
	{ "ORQ", "", "", ResidueType::PEPTIDE_LINKING, false, "N~5~-ACETYL-L-ORNITHINE", 21270 },
	{ "ORX", "", "", ResidueType::NON_POLYMER, false, "N~2~-({3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}METHYL)-D-ORNITHINE", 21271 },
	{ "OS", "", "", ResidueType::NON_POLYMER, false, "OSMIUM ION", 21272 },
	{ "OS1", "", "", ResidueType::NON_POLYMER, false, "Ruthenium octasporine", 21273 },
	{ "OS4", "", "", ResidueType::NON_POLYMER, false, "OSMIUM 4+ ION", 21274 },
	{ "OSA", "", "", ResidueType::NON_POLYMER, false, "7-amino-4-hydroxy-3-[(E)-(5-hydroxy-7-sulfonaphthalen-2-yl)diazenyl]naphthalene-2-sulfonic acid", 21275 },
	{ "OSB", "", "", ResidueType::NON_POLYMER, false, "2-SUCCINYLBENZOATE", 21276 },
	{ "OSC", "", "", ResidueType::NON_POLYMER, false, "(2R,3AS,6R,7AS)-N-(2-{1-[AMINO(IMINO)METHYL]-2,5-DIHYDRO-1H-PYRROL-3-YL}ETHYL)-6-HYDROXY-1-{N-[(2S)-2-HYDROXY-3-PHENYLPROPANOYL]PHENYLALANYL}OCTAHYDRO-1H-INDOLE-2-CARBOXAMIDE", 21277 },
	{ "OSE", "", "", ResidueType::PEPTIDE_LINKING, false, "O-SULFO-L-SERINE", 21278 },
	{ "OSF", "", "", ResidueType::NON_POLYMER, false, "octyl sulfate", 21279 },
	{ "OSL", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-hydroxy-3-(sulfooxy)propanoic acid", 21280 },
	{ "OSM", "", "", ResidueType::NON_POLYMER, false, "1-(OXIDOSULFANYL)METHANAMINE", 21281 },
	{ "OSP", "", "", ResidueType::NON_POLYMER, false, "SULTHIAME", 21282 },
	{ "OSS", "", "", ResidueType::NON_POLYMER, false, "6-(HYDROXYETHYLDITHIO)-8-(AMINOMETHYLTHIO)OCTANOIC ACID", 21283 },
	{ "OST", "", "", ResidueType::NON_POLYMER, false, "METHYL (2Z)-3-METHOXY-2-{2-[(E)-2-PHENYLVINYL]PHENYL}ACRYLATE", 21284 },
	{ "OSU", "", "", ResidueType::NON_POLYMER, false, "N-OCTANOYLSUCROSE", 21285 },
	{ "OSV", "", "", ResidueType::NON_POLYMER, false, "RUTHENIUM OCTASPORINE 4", 21286 },
	{ "OT5", "", "", ResidueType::NON_POLYMER, false, "1-[6-(3,5-dichloro-4-hydroxyphenyl)-4-({trans-4-[(dimethylamino)methyl]cyclohexyl}amino)-1,5-naphthyridin-3-yl]ethanone", 21287 },
	{ "OTA", "", "", ResidueType::NON_POLYMER, false, "2-(OXALYL-AMINO)-4,5,6,7-TETRAHYDRO-THIENO[2,3-C]PYRIDINE-3-CARBOXYLIC ACID", 21288 },
	{ "OTB", "", "BOC", ResidueType::PEPTIDE_LINKING, true, "TERTIARY-BUTOXYFORMIC ACID", 21289 },
	{ "OTC", "", "", ResidueType::NON_POLYMER, false, "OXYTETRACYCLINE", 21290 },
	{ "OTD", "", "", ResidueType::NON_POLYMER, false, "2-OXO-1,2,3,6-TETRAHYDROPYRIMIDINE-4,6-DICARBOXYLIC ACID", 21291 },
	{ "OTE", "", "C8E", ResidueType::NON_POLYMER, true, "2-{2-[2-(2-OCTYLOXY-ETHOXY)-ETHOXYL]-ETHOXY}ETHANOL", 21292 },
	{ "OTF", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,3S)-1-fluoranyl-2-[4-(5-fluoranylpyrimidin-2-yl)phenyl]-N-oxidanyl-3-phenyl-cyclopropane-1-carboxamide", 21293 },
	{ "OTG", "", "", ResidueType::NON_POLYMER, false, "ORTHO-TOLUOYLGLUCOSAMINE", 21294 },
	{ "OTH", "", "", ResidueType::PEPTIDE_LINKING, false, "N,O-dimethyl-L-threonine", 21295 },
	{ "OTJ", "", "", ResidueType::NON_POLYMER, false, "Methyl N-[4-[5-chloro-2-[[3-[5-chloro-2-(tetrazol-1-yl)phenyl]propanoylamino]methyl]-1H-imidazol-4-yl]phenyl]carbamate", 21296 },
	{ "OTK", "", "", ResidueType::NON_POLYMER, false, "(3S,3aR,4S,6S,6aS,8R,9R,9aR,9bS)-6-(acetyloxy)-4-(butanoyloxy)-3,3a-dihydroxy-3,6,9-trimethyl-2-oxododecahydroazuleno[4,5-b]furan-8-yl (2Z)-2-methylbut-2-enoate", 21297 },
	{ "OTM", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[[(E)-3-[5-chloranyl-2-(1,2,3,4-tetrazol-1-yl)phenyl]prop-2-enoyl]amino]-3-phenyl-N-[4-(1H-1,2,3,4-tetrazol-5-yl)phenyl]propanamide", 21298 },
	{ "OTN", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S,5R,6S)-2-(hydroxymethyl)-6-(2-nitrophenyl)sulfanyl-oxane-3,4,5-triol", 21299 },
	{ "OTP", "", "", ResidueType::NON_POLYMER, false, "(2E,6E,10E,14E,18E,22E,26E)-3,7,11,15,19,23,27,31-OCTAMETHYLDOTRIACONTA-2,6,10,14,18,22,26,30-OCTAENYL TRIHYDROGEN DIPHOSPHATE", 21300 },
	{ "OTR", "", "", ResidueType::NON_POLYMER, false, "4-(2R-AMINO-1-HYDROXYETHYL)PHENOL", 21301 },
	{ "OTS", "", "", ResidueType::NON_POLYMER, false, "4-(2S-AMINO-1-HYDROXYETHYL)PHENOL", 21302 },
	{ "OTT", "", "", ResidueType::NON_POLYMER, false, "(2E,4E,6E)-octa-2,4,6-trienoic acid", 21303 },
	{ "OTU", "", "", ResidueType::NON_POLYMER, false, "3-O-alpha-D-glucopyranosyl-D-fructose", 21304 },
	{ "OTW", "", "", ResidueType::NON_POLYMER, false, "4-methylquinoline-2,6-diamine", 21305 },
	{ "OTY", "", "", ResidueType::PEPTIDE_LINKING, false, "2-hydroxy-L-tyrosine", 21306 },
	{ "OUD", "", "", ResidueType::NON_POLYMER, false, "(3~{S})-3-azanyl-4-(carboxyamino)butanoic acid", 21307 },
	{ "OUE", "", "", ResidueType::NON_POLYMER, false, "(4~{S})-4-azanyl-5-(carboxyamino)pentanoic acid", 21308 },
	{ "OUH", "", "", ResidueType::NON_POLYMER, false, "[(2~{S})-2-azanyl-3-(1~{H}-imidazol-5-yl)propyl]carbamic acid", 21309 },
	{ "OUI", "", "", ResidueType::NON_POLYMER, false, "[(2~{S},3~{S})-2-azanyl-3-methyl-pentyl]carbamic acid", 21310 },
	{ "OUK", "", "", ResidueType::NON_POLYMER, false, "[(5~{S})-5-azanyl-6-(carboxyamino)hexyl]azanium", 21311 },
	{ "OUR", "", "", ResidueType::NON_POLYMER, false, "[azanyl-[[(4~{S})-4-azanyl-5-(carboxyamino)pentyl]amino]methylidene]azanium", 21312 },
	{ "OUT", "", "", ResidueType::NON_POLYMER, false, "CARBAMIC ACID", 21313 },
	{ "OUY", "", "", ResidueType::NON_POLYMER, false, "methyl 3-[5-azanyl-6-[[2,4-bis(fluoranyl)phenyl]methylcarbamoyl]-8-oxidanyl-7-oxidanylidene-1,8-naphthyridin-3-yl]propanoate", 21314 },
	{ "OV1", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S)-1-({(2S)-1-{[(2R,3S,4S)-1,3-dihydroxy-2,6-dimethylheptan-4-yl]amino}-4-[(R)-methylsulfinyl]-1-oxobutan-2-yl}amino)-3-methyl-1-oxobutan-2-yl]hexanamide", 21315 },
	{ "OV2", "", "", ResidueType::PEPTIDE_LIKE, false, "N-hexanoyl-L-valyl-N~1~-[(2R,3S,4S)-1,3-dihydroxy-2,6-dimethylheptan-4-yl]-N~5~,N~5~-dimethyl-L-glutamamide", 21316 },
	{ "OVA", "", "", ResidueType::NON_POLYMER, false, "3,4-DIHYDROXY-2-METHOXY-4-METHYL-3-[2-METHYL-3-(3-METHYL-BUT-2-ENYL) -OXIRANYL]-CYCLOHEXANONE", 21317 },
	{ "OVE", "", "", ResidueType::NON_POLYMER, false, "2'-O-(sulfidophosphinato)adenosine", 21318 },
	{ "OWL", "", "", ResidueType::NON_POLYMER, true, "N-1H-imidazol-2-yl-N'-[4-(1H-imidazol-2-ylamino)phenyl]benzene-1,4-diamine", 21319 },
	{ "OX", "", "O", ResidueType::NON_POLYMER, true, "BOUND OXYGEN", 21320 },
	{ "OX1", "", "", ResidueType::NON_POLYMER, false, "", 21321 },
	{ "OX2", "", "", ResidueType::SACCHARIDE, false, "2-(BETA-D-GLUCOPYRANOSYL)-5-METHYL-1,3,4-OXADIAZOLE", 21322 },
	{ "OX3", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXYBENZALDEHYDE O-(CYCLOHEXYLCARBONYL)OXIME", 21323 },
	{ "OX4", "", "", ResidueType::NON_POLYMER, false, "3-FLUORO-4-HYDROXYBENZALDEHYDE O-(CYCLOHEXYLCARBONYL)OXIME", 21324 },
	{ "OX5", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXYBENZALDEHYDE O-(3,3-DIMETHYLBUTANOYL)OXIME", 21325 },
	{ "OX6", "", "", ResidueType::NON_POLYMER, false, "TERT-BUTYL [(1R)-2-METHYL-1-(1,3,4-OXADIAZOL-2-YL)PROPYL]CARBAMATE", 21326 },
	{ "OX7", "", "", ResidueType::NON_POLYMER, false, "TERT-BUTYL [(1S)-2-METHYL-1-(1,3,4-OXADIAZOL-2-YL)PROPYL]CARBAMATE", 21327 },
	{ "OXA", "", "", ResidueType::NON_POLYMER, true, "OXYDIMETHYLENE GROUP", 21328 },
	{ "OXC", "", "", ResidueType::NON_POLYMER, false, "OXONIC ACID", 21329 },
	{ "OXD", "", "", ResidueType::NON_POLYMER, false, "OXALIC ACID", 21330 },
	{ "OXE", "", "", ResidueType::NON_POLYMER, false, "ORTHO-XYLENE", 21331 },
	{ "OXG", "", "", ResidueType::NON_POLYMER, false, "8-OXOGUANINE", 21332 },
	{ "OXI", "", "", ResidueType::NON_POLYMER, false, "OXOLINIC ACID", 21333 },
	{ "OXK", "", "", ResidueType::NON_POLYMER, false, "OXALYL-COENZYME A", 21334 },
	{ "OXL", "", "", ResidueType::NON_POLYMER, false, "OXALATE ION", 21335 },
	{ "OXM", "", "", ResidueType::NON_POLYMER, false, "OXAMIC ACID", 21336 },
	{ "OXN", "", "", ResidueType::NON_POLYMER, false, "OXTOXYNOL-10", 21337 },
	{ "OXO", "", "O", ResidueType::NON_POLYMER, true, "OXO GROUP", 21338 },
	{ "OXP", "", "", ResidueType::NON_POLYMER, false, "2-OXO-3-PENTENOIC ACID", 21339 },
	{ "OXQ", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-1,2,5-OXADIAZOLE-3-CARBOXYLIC ACID", 21340 },
	{ "OXR", "", "", ResidueType::NON_POLYMER, false, "4-OXORETINOL", 21341 },
	{ "OXS", "", "", ResidueType::NON_POLYMER, false, "2-OXALOSUCCINIC ACID", 21342 },
	{ "OXT", "", "", ResidueType::NON_POLYMER, false, "", 21343 },
	{ "OXX", "", "", ResidueType::PEPTIDE_LINKING, false, "OXALYL-ASPARTYL ANHYDRIDE", 21344 },
	{ "OXY", "O2", "", ResidueType::NON_POLYMER, false, "OXYGEN MOLECULE", 21345 },
	{ "OXZ", "", "", ResidueType::NON_POLYMER, false, "TETRAHYDROOXAZINE", 21346 },
	{ "OY0", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-tert-butyl-N-(4-sulfamoylphenyl)pentanamide", 21347 },
	{ "OYA", "", "", ResidueType::NON_POLYMER, false, "OCTANAL", 21348 },
	{ "OYJ", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-1-METHANESULFONYL-PYRROLIDINE-3,4-DICARBOXYLIC ACID 3-[(4-CHLORO-3-FLUORO-PHENYL)-AMIDE] 4-{[2-FLUORO-4-(2-OXO-2H-PYRIDIN-1-YL)-PHENYL]-AMIDE}", 21349 },
	{ "OYL", "", "", ResidueType::PEPTIDE_LINKING, false, "1-ethyl-L-histidine", 21350 },
	{ "OYP", "", "", ResidueType::NON_POLYMER, false, "3-{4-[(tridec-2-yn-1-yloxy)methyl]phenyl}propanoic acid", 21351 },
	{ "OYQ", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-methyl-N-(4-sulfamoylphenyl)hexanamide", 21352 },
	{ "OYS", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-N-(4-sulfamoylphenyl)acetamide", 21353 },
	{ "OZ2", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-{[(R)-{[(2S)-2,3-dihydroxypropyl]oxy}(hydroxy)phosphoryl]oxy}-2-[(6Z)-tridec-6-enoyloxy]propyl (9Z)-octadec-9-enoate", 21354 },
	{ "OZJ", "", "", ResidueType::NON_POLYMER, false, "2,4-diamino-6-(3-formylphenyl)-7H-pyrrolo[2,3-d]pyrimidine-5-carbonitrile", 21355 },
	{ "OZN", "", "", ResidueType::NON_POLYMER, false, "2-[4-[4-[[(6Z)-5-chloranyl-6-pyrazolo[1,5-a]pyridin-3-ylidene-1H-pyrimidin-2-yl]amino]-3,5-dimethyl-pyrazol-1-yl]piperidin-1-yl]-N,N-dimethyl-ethanamide", 21356 },
	{ "OZR", "", "", ResidueType::NON_POLYMER, false, "N-[(E)-3-[(2R,3S,4S)-3,4-dihydroxyoxolan-2-yl]prop-2-enyl]-2,3-dihydroxy-5-nitro-benzamide", 21357 },
	{ "OZS", "", "", ResidueType::NON_POLYMER, false, "N-[(E)-3-[(2R,3S,4R,5R)-3,4-dihydroxy-5-[4-(trifluoromethyl)imidazol-1-yl]oxolan-2-yl]prop-2-enyl]-2,3-dihydroxy-5-nitro-benzamide", 21358 },
	{ "OZT", "", "", ResidueType::PEPTIDE_AMINO_TERMINUS, false, "(4S,5R)-5-methyl-2-oxo-1,3-oxazolidine-4-carboxylic acid", 21359 },
	{ "OZY", "", "", ResidueType::NON_POLYMER, false, "", 21360 },
	{ "OZZ", "", "", ResidueType::NON_POLYMER, false, "N-[(E)-3-[(2R,3S,4R,5R)-3,4-dihydroxy-5-(4-oxopyridin-1-yl)oxolan-2-yl]prop-2-enyl]-2,3-dihydroxy-5-nitro-benzamide", 21361 },
	{ "P", "", "", ResidueType::DNA_LINKING, false, "", 21362 },
	{ "P00", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-azanyl-4-[(E)-[2-methyl-3-oxidanyl-5-(phosphonooxymethyl)pyridin-4-yl]methylideneamino]oxy-butanoic acid", 21363 },
	{ "P01", "", "", ResidueType::NON_POLYMER, false, "2-({6-[(3-CHLOROPHENYL)AMINO]-9-ISOPROPYL-9H-PURIN-2-YL}AMINO)-3-METHYLBUTAN-1-OL", 21364 },
	{ "P02", "", "", ResidueType::NON_POLYMER, false, "", 21365 },
	{ "P03", "", "", ResidueType::NON_POLYMER, false, "2-[3-[3-(2-hydroxyethoxy)propoxy]propoxy]ethanol", 21366 },
	{ "P04", "", "", ResidueType::NON_POLYMER, false, "19-(cyclopropylamino)-4,6,7,15-tetrahydro-5H-16,1-(azenometheno)-10,14-(metheno)pyrazolo[4,3-o][1,3,9]triazacyclohexadecin-8(9H)-one", 21367 },
	{ "P05", "", "", ResidueType::PEPTIDE_LIKE, false, "D-phenylalanyl-N-(pyridin-4-ylmethyl)-L-prolinamide", 21368 },
	{ "P06", "", "", ResidueType::NON_POLYMER, false, "Dabrafenib", 21369 },
	{ "P07", "", "", ResidueType::NON_POLYMER, false, "1,8-DIETHYL-1,8-DIHYDRODIBENZO[3,4:7,8][1,2,3]TRIAZOLO[4',5':5,6]CYCLOOCTA[1,2-D][1,2,3]TRIAZOLE", 21370 },
	{ "P08", "", "", ResidueType::NON_POLYMER, false, "PIK-108", 21371 },
	{ "P09", "", "", ResidueType::NON_POLYMER, false, "2-{[4-(3,4-dimethylphenoxy)phenyl]carbamoyl}benzoic acid", 21372 },
	{ "P0A", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-2-aminoheptanedioic acid", 21373 },
	{ "P0C", "", "", ResidueType::NON_POLYMER, false, "6-methyl-3-(beta-D-ribofuranosyl)-3,7-dihydro-2H-pyrrolo[2,3-d]pyrimidin-2-one", 21374 },
	{ "P0D", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-[(S)-[(1R)-1-aminoethyl](phosphonooxy)phosphoryl]-2-benzylpropanoic acid", 21375 },
	{ "P0E", "", "", ResidueType::NON_POLYMER, false, "PHOSPHATIDYL ETHANOL", 21376 },
	{ "P0F", "", "", ResidueType::NON_POLYMER, false, "3-(5-{[(2-chloro-6-fluorophenyl)methyl]amino}-4H-1,2,4-triazol-3-yl)phenol", 21377 },
	{ "P0G", "", "", ResidueType::NON_POLYMER, false, "8-[(1R)-2-{[1,1-dimethyl-2-(2-methylphenyl)ethyl]amino}-1-hydroxyethyl]-5-hydroxy-2H-1,4-benzoxazin-3(4H)-one", 21378 },
	{ "P0H", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(benzyloxy)carbonyl]glycyl-L-proline", 21379 },
	{ "P0L", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-2-{[(S)-[(1R)-1-amino-3-methylbutyl](hydroxy)phosphoryl]oxy}-3-phenylpropanoic acid", 21380 },
	{ "P0P", "", "", ResidueType::NON_POLYMER, false, "[4-(DIHYDROXYMETHYL)-5-HYDROXY-6-METHYLPYRIDIN-3-YL]METHYL DIHYDROGEN PHOSPHATE", 21381 },
	{ "P0Y", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S,4R)-1-[(2R,3S)-3-amino-2-hydroxy-4-phenylbutyl]-4-[(pyridin-3-ylmethyl)sulfanyl]piperidine-2-carboxylic acid", 21382 },
	{ "P10", "", "", ResidueType::NON_POLYMER, false, "[1-(3-HYDROXY-2-OXO-1-PHENETHYL-PROPYLCARBAMOYL)2-PHENYL-ETHYL]-CARBAMIC ACID PYRIDIN-4-YLMETHYL ESTER", 21383 },
	{ "P11", "", "", ResidueType::NON_POLYMER, false, "IMIDAZOLE-PYRROLE-BETA ALANINE-IMIDAZOLE-BETA ALANINE-IMIDAZOLE-PYRROLE-BETA ALANINE-DIMETHYLAMINO PROPYLAMIDE", 21384 },
	{ "P12", "", "", ResidueType::NON_POLYMER, false, "4-[AMINO(IMINO)METHYL]-1-[2-(3-AMMONIOPROPOXY)-5-METHOXYBENZYL]PIPERAZIN-1-IUM", 21385 },
	{ "P13", "", "", ResidueType::NON_POLYMER, false, "N-[2-(3-AMINOPROPOXY)-5-(1H-INDOL-5-YL)BENZYL]-N-(2-PIPERAZIN-1-YLETHYL)AMINE", 21386 },
	{ "P14", "", "", ResidueType::NON_POLYMER, false, "N-[2-(2-{[(4-{[AMINO(IMINO)METHYL]AMINO}BUTYL)AMINO]METHYL}-4-METHOXYPHENOXY)ETHYL]GUANIDINE", 21387 },
	{ "P15", "", "", ResidueType::NON_POLYMER, false, "2,5,8,11,14,17-HEXAOXANONADECAN-19-OL", 21388 },
	{ "P16", "", "", ResidueType::NON_POLYMER, false, "6-(2,6-DICHLOROPHENYL)-2-{[3-(HYDROXYMETHYL)PHENYL]AMINO}-8-METHYLPYRIDO[2,3-D]PYRIMIDIN-7(8H)-ONE", 21389 },
	{ "P17", "", "", ResidueType::NON_POLYMER, false, "6-(2,6-DICHLORO-PHENYL)-8-METHYL-2-(3-METHYLSULFANYL-PHENYLAMINO)-8H-PYRIDO[2,3-D]PYRIMIDIN-7-ONE", 21390 },
	{ "P18", "", "", ResidueType::NON_POLYMER, false, "3-hydroxy-1-phenylpropan-1-one", 21391 },
	{ "P19", "", "", ResidueType::NON_POLYMER, false, "N,N'-DIPHENYLPYRAZOLO[1,5-A][1,3,5]TRIAZINE-2,4-DIAMINE", 21392 },
	{ "P1A", "", "", ResidueType::NON_POLYMER, false, "2,3,14,20,22-PENTAHYDROXYCHOLEST-7-EN-6-ONE", 21393 },
	{ "P1B", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-{4-[2-(5-ethylpyridin-2-yl)ethoxy]benzyl}-1,3-thiazolidine-2,4-dione", 21394 },
	{ "P1C", "", "", ResidueType::NON_POLYMER, false, "DEACETOXYCEPHALOSPORIN-C", 21395 },
	{ "P1D", "", "", ResidueType::NON_POLYMER, false, "((2S,3AS,4R,6S)-4-(HYDROXYMETHYL)-6-(4-OXO-4,5-DIHYDRO-3H-PYRROLO[3,2-D]PYRIMIDIN-7-YL)-TETRAHYDROFURO[3,4-D][1,3]DIOXOL-2-YL)METHYLPHOSPHONIC ACID", 21396 },
	{ "P1E", "", "", ResidueType::NON_POLYMER, false, "4-{[4-{[(1R,2R)-2-(dimethylamino)cyclopentyl]amino}-5-(trifluoromethyl)pyrimidin-2-yl]amino}-N-methylbenzenesulfonamide", 21397 },
	{ "P1F", "", "", ResidueType::NON_POLYMER, false, "2-(2-azanylphenoxy)-5-hexyl-phenol", 21398 },
	{ "P1G", "", "", ResidueType::NON_POLYMER, false, "((2R,4R,6R,6AS)-4-(2-AMINO-6-OXO-1,6-DIHYDROPURIN-9-YL)-6-(HYDROXYMETHYL)-TETRAHYDROFURO[3,4-D][1,3]DIOXOL-2-YL)METHYLPHOSPHONIC ACID", 21399 },
	{ "P1H", "", "", ResidueType::NON_POLYMER, false, "", 21400 },
	{ "P1L", "", "", ResidueType::PEPTIDE_LINKING, false, "S-PALMITOYL-L-CYSTEINE", 21401 },
	{ "P1O", "", "", ResidueType::NON_POLYMER, false, "1,2-DIDECANOYL-SN-GLYCERO-3-PHOSPHOCHOLINE", 21402 },
	{ "P1P", "", "", ResidueType::RNA_LINKING, false, "3-{[OXIDO(OXO)PHOSPHINO]OXY}PROPAN-1-OLATE", 21403 },
	{ "P1R", "", "", ResidueType::NON_POLYMER, false, "PYRIMIDINE", 21404 },
	{ "P1S", "", "", ResidueType::NON_POLYMER, false, "(6AR,12AR)-3-(HYDROXYMETHYL)-6H-[1,3]DIOXOLO[5,6][1]BENZOFURO[3,2-C]CHROMEN-6A(12AH)-OL", 21405 },
	{ "P1T", "", "", ResidueType::NON_POLYMER, false, "2-[({3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}METHYL)AMINO]ACRYLIC ACID", 21406 },
	{ "P1Y", "", "", ResidueType::NON_POLYMER, false, "2-(3-bromo-4-methoxybenzyl)-5,6-dihydroxypyrimidine-4-carboxylic acid", 21407 },
	{ "P1Z", "", "", ResidueType::NON_POLYMER, false, "4-BUTYL-1,2-DIPHENYL-PYRAZOLIDINE-3,5-DIONE", 21408 },
	{ "P20", "", "", ResidueType::NON_POLYMER, false, "2-(5-{[AMINO(IMINO)METHYL]AMINO}-2-CHLOROPHENYL)-3-SULFANYLPROPANOIC ACID", 21409 },
	{ "P21", "", "", ResidueType::NON_POLYMER, false, "4-chloro-N-(3-methoxypropyl)-N-[(3S)-1-(2-phenylethyl)piperidin-3-yl]benzamide", 21410 },
	{ "P22", "", "", ResidueType::NON_POLYMER, false, "ETHYL DIHYDROGEN DIPHOSPHATE", 21411 },
	{ "P23", "", "", ResidueType::NON_POLYMER, false, "PROPYL TRIHYDROGEN DIPHOSPHATE", 21412 },
	{ "P24", "", "", ResidueType::NON_POLYMER, false, "1-(AMINOETHYL)AMINO-4-AMINOBUTANE", 21413 },
	{ "P25", "", "", ResidueType::NON_POLYMER, false, "PENTYL TRIHYDROGEN DIPHOSPHATE", 21414 },
	{ "P26", "", "", ResidueType::NON_POLYMER, false, "4-[2-(1,1,3,3-tetramethyl-2,3-dihydro-1H-inden-5-yl)-1,3-dioxolan-2-yl]benzoic acid", 21415 },
	{ "P27", "", "", ResidueType::NON_POLYMER, false, "{[2-(1H-1,2,3-BENZOTRIAZOL-1-YL)-2-(3,4-DIFLUOROPHENYL)PROPANE-1,3-DIYL]BIS[4,1-PHENYLENE(DIFLUOROMETHYLENE)]}BIS(PHOSPHONIC ACID)", 21416 },
	{ "P28", "", "", ResidueType::NON_POLYMER, false, "3',5'-DINITRO-N-ACETYL-L-THYRONINE", 21417 },
	{ "P29", "", "", ResidueType::NON_POLYMER, false, "4-(2-(1H-IMIDAZOL-4-YL)ETHYLAMINO)-2-(PHENYLAMINO)PYRAZOLO[1,5-A][1,3,5]TRIAZINE-8-CARBONITRILE", 21418 },
	{ "P2A", "", "", ResidueType::NON_POLYMER, false, "1,2-DIETHANOYL-SN-GLYCERO-3-PHOSPHATE", 21419 },
	{ "P2B", "", "", ResidueType::NON_POLYMER, false, "3-[2-morpholin-4-yl-6-(pyridin-3-ylamino)pyrimidin-4-yl]phenol", 21420 },
	{ "P2C", "", "", ResidueType::NON_POLYMER, false, "2-[(3,5-DICHLORO-4-TRIOXIDANYLPHENYL)AMINO]BENZOIC ACID", 21421 },
	{ "P2D", "", "", ResidueType::NON_POLYMER, false, "pentane-2,4-dione", 21422 },
	{ "P2E", "", "", ResidueType::NON_POLYMER, false, "(Z)-7-[(1R,2R,3R)-3-hydroxy-2-[(E,3S)-3-hydroxyoct-1-enyl]-5-oxo-cyclopentyl]hept-5-enoic acid", 21423 },
	{ "P2F", "", "", ResidueType::NON_POLYMER, false, "5-[1,1-bis(oxidanylidene)-1,2-thiazinan-2-yl]-N3-[(2S,3R)-4-[2-(3-methoxyphenyl)propan-2-ylamino]-3-oxidanyl-1-phenyl-butan-2-yl]-N1,N1-dipropyl-benzene-1,3-dicarboxamide", 21424 },
	{ "P2G", "", "", ResidueType::NON_POLYMER, false, "(2S,4R,6R,6AS)-4-(2-AMINO-6-OXO-1,6-DIHYDROPURIN-9-YL)-6-(HYDROXYMETHYL)-TETRAHYDROFURO[3,4-D][1,3]DIOXOL-2-YLPHOSPHONIC ACID", 21425 },
	{ "P2H", "", "", ResidueType::NON_POLYMER, false, "1-(2-hydroxy-2,2-diphosphonoethyl)-3-phenylpyridinium", 21426 },
	{ "P2I", "", "", ResidueType::NON_POLYMER, false, "1,2-DIACETOYL-SN-GLYCERO-3-PHOSPHOINOSITOL", 21427 },
	{ "P2K", "", "P6G", ResidueType::NON_POLYMER, true, "POLYETHYLENE GLYCOL PEG2000", 21428 },
	{ "P2L", "", "", ResidueType::NON_POLYMER, false, "4-chlorol-2-methyl-5-[[(3~{R})-1-methylpiperidin-3-yl]amino]pyridazin-3-one", 21429 },
	{ "P2M", "", "", ResidueType::NON_POLYMER, false, "N-(pyridin-2-ylmethyl)naphthalene-1-sulfonamide", 21430 },
	{ "P2N", "", "", ResidueType::NON_POLYMER, false, "(5Z)-13-CHLORO-14,16-DIHYDROXY-3,4,7,8,9,10-HEXAHYDRO-1H-2-BENZOXACYCLOTETRADECINE-1,11(12H)-DIONE", 21431 },
	{ "P2O", "", "", ResidueType::NON_POLYMER, false, "3-PROP-2-YN-1-YL-1,3-OXAZOLIDIN-2-ONE", 21432 },
	{ "P2P", "", "", ResidueType::NON_POLYMER, false, "N7-(5'-PHOSPHO-ALPHA-RIBOSYL)-2-HYDROXYPURINE", 21433 },
	{ "P2Q", "", "", ResidueType::PEPTIDE_LINKING, false, "2-hydroxy-5-{[(1S,2E)-1-formyl-4-phenoxybut-2-en-1yl]amino}-L-tyrosine", 21434 },
	{ "P2S", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-AMINO-4-[[(2R)-2-CARBOXYBUTYL](PHOSPHONO)SULFONIMIDOYL]BUTANOIC ACID", 21435 },
	{ "P2T", "", "", ResidueType::RNA_LINKING, false, "", 21436 },
	{ "P2U", "", "", ResidueType::DNA_LINKING, false, "2'-DEOXY-PSEUDOURIDINE-5'MONOPHOSPHATE", 21437 },
	{ "P2X", "", "", ResidueType::NON_POLYMER, false, "2-[4-amino-1-(propan-2-yl)-1H-pyrazolo[3,4-d]pyrimidin-3-yl]-1H-indol-5-ol", 21438 },
	{ "P2Y", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-PYRROLIDIN-2-YLMETHYLAMINE", 21439 },
	{ "P2Z", "", "", ResidueType::NON_POLYMER, false, "Promazine", 21440 },
	{ "P30", "", "", ResidueType::NON_POLYMER, false, "1-(5-tert-butyl-1,2-oxazol-3-yl)-3-(4-{7-[2-(morpholin-4-yl)ethoxy]imidazo[2,1-b][1,3]benzothiazol-2-yl}phenyl)urea", 21441 },
	{ "P31", "", "", ResidueType::NON_POLYMER, false, "5-[(5-chloro-1H-pyrrolo[2,3-b]pyridin-3-yl)methyl]-N-{[6-(trifluoromethyl)pyridin-3-yl]methyl}pyridin-2-amine", 21442 },
	{ "P32", "", "", ResidueType::NON_POLYMER, false, "4-{[(2S)-3-(tert-butylamino)-2-hydroxypropyl]oxy}-3H-indole-2-carbonitrile", 21443 },
	{ "P33", "", "", ResidueType::NON_POLYMER, false, "3,6,9,12,15,18-HEXAOXAICOSANE-1,20-DIOL", 21444 },
	{ "P34", "", "", ResidueType::NON_POLYMER, false, "N~2~,N~2~-DIMETHYL-N~1~-(6-OXO-5,6-DIHYDROPHENANTHRIDIN-2-YL)GLYCINAMIDE", 21445 },
	{ "P35", "", "", ResidueType::NON_POLYMER, false, "4-({5-[(piperidin-4-yl)amino]-1,3-dihydro-2H-isoindol-2-yl}sulfonyl)benzene-1,3-diol", 21446 },
	{ "P36", "", "", ResidueType::NON_POLYMER, false, "1-benzyl-4-(benzyloxy)-3-bromopyridin-2(1H)-one", 21447 },
	{ "P37", "", "", ResidueType::NON_POLYMER, false, "N-cyclopropyl-3-{[1-(2,4-difluorophenyl)-7-methyl-6-oxo-6,7-dihydro-1H-pyrazolo[3,4-b]pyridin-4-yl]amino}-4-methylbenzamide", 21448 },
	{ "P38", "", "", ResidueType::NON_POLYMER, false, "5-methyl-4-[(2-methyl-5-{[(2-morpholin-4-ylpyridin-4-yl)carbonyl]amino}phenyl)amino]-N-(1-phenylethenyl)pyrrolo[2,1-f][1,2,4]triazine-6-carboxamide", 21449 },
	{ "P39", "", "", ResidueType::NON_POLYMER, false, "5-methyl-4-[(2-methyl-5-{[(3-morpholin-4-ylphenyl)carbonyl]amino}phenyl)amino]-N-[(1S)-1-phenylethyl]pyrrolo[2,1-f][1,2,4]triazine-6-carboxamide", 21450 },
	{ "P3A", "", "", ResidueType::NON_POLYMER, false, "PHOSPHATIDYLGLYCEROL-PHOSPHOGLYCEROL", 21451 },
	{ "P3B", "", "", ResidueType::NON_POLYMER, false, "(3E,4R,5R)-4,5-dihydroxy-3-{[(Z)-{3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4(1H)-ylidene}methyl]imino}cyclohex-1-ene-1-carboxylic acid", 21452 },
	{ "P3D", "", "", ResidueType::NON_POLYMER, false, "(4-{(E)-[(5-AMINOPENTYL)IMINO]METHYL}-5-HYDROXY-6-METHYLPYRIDIN-3-YL)METHYL DIHYDROGEN PHOSPHATE", 21453 },
	{ "P3F", "", "", ResidueType::NON_POLYMER, false, "PHOSPHORIC ACID MONO-(5-HYDROXY-6-METHYL-4-{[2-(2-TRIFLUOROMETHYL-BENZOYLAMINO)-ACETYL]-HYDRAZONOMETHYL}-PYRIDIN-3-YLMETHYL)ESTER", 21454 },
	{ "P3G", "", "", ResidueType::NON_POLYMER, false, "3,6,9,12,15-PENTAOXAHEPTADECANE", 21455 },
	{ "P3I", "", "", ResidueType::NON_POLYMER, false, "N-(6-Amino-1-(2-bromobenzyl)-2,4-dioxo-1,2,3,4-tetrahydropyrimidin-5-yl)-N-methylbenzenesulfonamide", 21456 },
	{ "P3J", "", "", ResidueType::NON_POLYMER, false, "3-(PYRIDIN-3-YL)-1H-PYRAZOL-5-AMINE", 21457 },
	{ "P3M", "", "", ResidueType::SACCHARIDE, false, "1-3 SUGAR RING OF PENTAMANNOSYL 6-PHOSPHATE", 21458 },
	{ "P3N", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S)-3-(3-tert-butyl-1,2,4-oxadiazol-5-yl)-1-({(2S)-1-[(4-methylbenzyl)amino]-1-oxo-4-phenylbutan-2-yl}amino)-1-oxopropan-2-yl]-5-methyl-1,2-oxazole-3-carboxamide", 21459 },
	{ "P3P", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-AMINO-4-[METHYL(PHOSPHONOOXY)PHOSPHORYL]BUTANOIC ACID", 21460 },
	{ "P3Q", "", "", ResidueType::PEPTIDE_LINKING, false, "2-hydroxy-5-{[(1E)-1-(2-oxoethylidene)-4-phenylbutyl]amino}-L-tyrosine", 21461 },
	{ "P3S", "", "", ResidueType::NON_POLYMER, false, "L-METHIONINE-S-SULFOXIMINE PHOSPHATE", 21462 },
	{ "P3T", "", "", ResidueType::NON_POLYMER, false, "(4-{[(4-AMINOBUTYL)AMINO]METHYL}-5-HYDROXY-6-METHYLPYRIDIN-3-YL)METHYL DIHYDROGEN PHOSPHATE", 21463 },
	{ "P3U", "", "", ResidueType::NON_POLYMER, false, "2,6-DICHLORO-4-(2-PIPERAZIN-1-YLPYRIDIN-4-YL)-N-(1,5-DIMETHYL,3-ISOBUTYL-1H-PYRAZOL-4-YL)BENZENESULFONAMIDE", 21464 },
	{ "P3Y", "", "", ResidueType::NON_POLYMER, false, "5-[3-(2-METHOXYPHENYL)-1H-PYRROLO[2,3-B]PYRIDIN-5-YL]-N,N-DIMETHYLPYRIDINE-3-CARBOXAMIDE", 21465 },
	{ "P3Z", "", "", ResidueType::NON_POLYMER, false, "(S)-cyclopropyl(4-methoxyphenyl)pyrimidin-5-ylmethanol", 21466 },
	{ "P40", "", "", ResidueType::NON_POLYMER, false, "N-cyclopropyl-4-methyl-3-{2-[(2-morpholin-4-ylethyl)amino]quinazolin-6-yl}benzamide", 21467 },
	{ "P41", "", "", ResidueType::NON_POLYMER, false, "6-[4-(2-fluorophenyl)-1,3-oxazol-5-yl]-N-(1-methylethyl)-1,3-benzothiazol-2-amine", 21468 },
	{ "P42", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{[(1R)-1-hydroxyhexadecyl]oxy}-3-{[(1R)-1-hydroxyoctadecyl]oxy}propyl 2-(trimethylammonio)ethyl phosphate", 21469 },
	{ "P43", "", "", ResidueType::NON_POLYMER, false, "1-{3-[1-({5-[(2-fluorophenyl)ethynyl]furan-2-yl}carbonyl)piperidin-4-yl]phenyl}methanamine", 21470 },
	{ "P44", "", "", ResidueType::NON_POLYMER, false, "2-(CYCLOHEXYLMETHYLAMINO)-4-(PHENYLAMINO)PYRAZOLO[1,5-A][1,3,5]TRIAZINE-8-CARBONITRILE", 21471 },
	{ "P45", "", "", ResidueType::NON_POLYMER, false, "2-(4-CHLOROBENZYLAMINO)-4-(PHENYLAMINO)PYRAZOLO[1,5-A][1,3,5]TRIAZINE-8-CARBONITRILE", 21472 },
	{ "P46", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-amino-4-[4-({2-[(2,4-dihydroxyphenyl)sulfonyl]-2H-isoindol-5-yl}amino)piperidin-1-yl]-4-oxobutanamide", 21473 },
	{ "P47", "", "", ResidueType::NON_POLYMER, false, "(2Z)-5-(4-chlorophenyl)-3-phenylpent-2-enoic acid", 21474 },
	{ "P48", "", "", ResidueType::NON_POLYMER, false, "N,1,4,4-TETRAMETHYL-8-{[4-(4-METHYLPIPERAZIN-1-YL)PHENYL]AMINO}-4,5-DIHYDRO-1H-PYRAZOLO[4,3-H]QUINAZOLINE-3-CARBOXAMIDE", 21475 },
	{ "P49", "", "", ResidueType::NON_POLYMER, false, "1-methyl-8-(phenylamino)-4,5-dihydro-1H-pyrazolo[4,3-h]quinazoline-3-carboxylic acid", 21476 },
	{ "P4A", "", "", ResidueType::NON_POLYMER, false, "4-[4-(4-methoxyphenyl)-5-methyl-1H-pyrazol-3-yl]benzene-1,3-diol", 21477 },
	{ "P4C", "", "", ResidueType::NON_POLYMER, false, "O-ACETALDEHYDYL-HEXAETHYLENE GLYCOL", 21478 },
	{ "P4D", "", "", ResidueType::PEPTIDE_LIKE, false, "(2R)-2-{[(S)-[(1R)-1-amino-2-(4-hydroxyphenyl)ethyl](hydroxy)phosphoryl]methyl}butanedioic acid", 21479 },
	{ "P4E", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,4E)-2-amino-5-phenylpent-4-enoic acid", 21480 },
	{ "P4F", "", "", ResidueType::PEPTIDE_LINKING, false, "5,5-difluoro-4-oxo-5-phosphono-D-norvaline", 21481 },
	{ "P4G", "", "", ResidueType::NON_POLYMER, false, "1-ETHOXY-2-(2-ETHOXYETHOXY)ETHANE", 21482 },
	{ "P4K", "", "", ResidueType::NON_POLYMER, false, "polyethylene glycol", 21483 },
	{ "P4L", "", "", ResidueType::NON_POLYMER, false, "2-pyridin-2-yl-7,8-dihydro-5H-thiopyrano[4,3-d]pyrimidin-4-ol", 21484 },
	{ "P4O", "", "", ResidueType::NON_POLYMER, false, "2-(2-QUINOLIN-3-YLPYRIDIN-4-YL)-1,5,6,7-TETRAHYDRO-4H-PYRROLO[3,2-C]PYRIDIN-4-ONE", 21485 },
	{ "P4P", "119", "", ResidueType::NON_POLYMER, false, "TETRAPHENYLPHOSPHONIUM", 21486 },
	{ "P4T", "", "", ResidueType::NON_POLYMER, false, "2-PHENYLAMINO-4-METHYL-5-ACETYL THIAZOLE", 21487 },
	{ "P4U", "", "", ResidueType::RNA_LINKING, false, "", 21488 },
	{ "P4Y", "", "", ResidueType::NON_POLYMER, false, "5,6-dihydroxy-2-[(2-phenyl-1H-indol-3-yl)methyl]pyrimidine-4-carboxylic acid", 21489 },
	{ "P50", "", "", ResidueType::NON_POLYMER, false, "(19S,22S,25R)-25-amino-22-hydroxy-16,22,26-trioxo-17,21,23-trioxa-22lambda~5~-phosphahexacosan-19-yl (9Z)-octadec-9-enoate", 21490 },
	{ "P51", "", "", ResidueType::NON_POLYMER, false, "2-{[4-(diethylamino)piperidin-1-yl]methyl}-6-iodo-4-(3-phenoxyprop-1-yn-1-yl)phenol", 21491 },
	{ "P52", "", "", ResidueType::NON_POLYMER, false, "Nalpha-[(2S)-2-{[[(1R)-1-amino-3-phenylpropyl](hydroxy)phosphoryl]methyl}-4-methylpentanoyl]-L-tryptophanamide", 21492 },
	{ "P53", "", "", ResidueType::SACCHARIDE, false, "2-(hydroxymethyl)phenyl 6-O-phosphono-beta-D-glucopyranoside", 21493 },
	{ "P54", "", "", ResidueType::NON_POLYMER, false, "8-[(2,4-dimethylphenyl)sulfanyl]-3-pent-4-yn-1-yl-3H-purin-6-amine", 21494 },
	{ "P55", "", "", ResidueType::NON_POLYMER, false, "2-(4-ETHYLPIPERAZIN-1-YL)-4-(PHENYLAMINO)PYRAZOLO[1,5-A][1,3,5]TRIAZINE-8-CARBONITRILE", 21495 },
	{ "P58", "", "", ResidueType::NON_POLYMER, false, "benzyl(methyl)carbamodithioic acid", 21496 },
	{ "P59", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(2-fluorophenyl)-3-phenyl-1,2-dihydroquinazolin-4-one", 21497 },
	{ "P5A", "", "", ResidueType::NON_POLYMER, false, "'5'-O-(N-(L-PROLYL)-SULFAMOYL)ADENOSINE", 21498 },
	{ "P5B", "", "", ResidueType::NON_POLYMER, false, "N-(ETHYLSULFONYL)TRYPTOPHYL-N~1~-{4-[AMINO(IMINO)METHYL]BENZYL}GLUTAMAMIDE", 21499 },
	{ "P5C", "", "", ResidueType::NON_POLYMER, false, "2-{[(1R,2S)-2-aminocyclohexyl]amino}-4-[(3-methylphenyl)amino]pyrimidine-5-carboxamide", 21500 },
	{ "P5D", "", "", ResidueType::PEPTIDE_LIKE, false, "(2R)-2-{[(S)-[(1R)-1-amino-2-phenylethyl](hydroxy)phosphoryl]methyl}butanedioic acid", 21501 },
	{ "P5F", "", "", ResidueType::NON_POLYMER, false, "N-propargylglycine-modified flavin adenine dinucleotide", 21502 },
	{ "P5K", "", "", ResidueType::NON_POLYMER, false, "1-{5-tert-butyl-3-[(1,1-dioxidothiomorpholin-4-yl)carbonyl]thiophen-2-yl}-3-naphthalen-1-ylurea", 21503 },
	{ "P5M", "", "", ResidueType::NON_POLYMER, false, "2-(3,4-dihydroxy-5-methoxyphenyl)-3,5,7-trihydroxychromenium", 21504 },
	{ "P5P", "", "", ResidueType::RNA_LINKING, false, "", 21505 },
	{ "P5S", "", "", ResidueType::NON_POLYMER, false, "O-[(R)-{[(2R)-2,3-bis(octadecanoyloxy)propyl]oxy}(hydroxy)phosphoryl]-L-serine", 21506 },
	{ "P60", "", "", ResidueType::NON_POLYMER, false, "5-(2-fluorophenyl)-1,3-oxazole-4-carboxylic acid", 21507 },
	{ "P61", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(3-fluoro-4-hydroxyphenyl)-2-{[(Z)-{3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4(1H)-ylidene}methyl]imino}propanoic acid", 21508 },
	{ "P63", "", "", ResidueType::NON_POLYMER, false, "N-(3-(8-CYANO-4-(PHENYLAMINO)PYRAZOLO[1,5-A][1,3,5]TRIAZIN-2-YLAMINO)PHENYL)ACETAMIDE", 21509 },
	{ "P64", "", "", ResidueType::NON_POLYMER, false, "7-[({2-[4-(dimethylamino)phenyl]ethyl}amino)methyl]quinolin-2-amine", 21510 },
	{ "P65", "", "", ResidueType::NON_POLYMER, false, "2,4-diamino-6-methyl-5-[3-(2,4,5-trichlorophenoxy)propyloxy]pyrimidine", 21511 },
	{ "P66", "", "", ResidueType::NON_POLYMER, false, "4-chloro-N-cyclopropyl-3-{[1-(2,6-difluorophenyl)-1H-pyrazolo[3,4-d]pyridazin-4-yl]amino}benzamide", 21512 },
	{ "P68", "", "", ResidueType::NON_POLYMER, false, "1-(4-bromophenyl)-3-(2-{3-[(1E)-N-hydroxyethanimidoyl]phenyl}propan-2-yl)urea", 21513 },
	{ "P69", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(2-fluorophenyl)-3-phenyl-1,2-dihydroquinazolin-4-one", 21514 },
	{ "P6A", "", "", ResidueType::NON_POLYMER, false, "3-(5-chlorofuran-2-yl)-5-methyl-4-phenyl-1,2-oxazole", 21515 },
	{ "P6B", "", "", ResidueType::NON_POLYMER, false, "(3S)-1-[(3-phenyl-1,2,4-oxadiazol-5-yl)methyl]pyrrolidin-3-ol", 21516 },
	{ "P6C", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-4-ISOPROPYL-PTERIDINE-6-CARBOXYLIC ACID", 21517 },
	{ "P6F", "", "", ResidueType::NON_POLYMER, false, "1,6-di-O-phosphono-D-fructose", 21518 },
	{ "P6G", "P2K", "", ResidueType::NON_POLYMER, false, "HEXAETHYLENE GLYCOL", 21519 },
	{ "P6L", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-{[{[(2S)-2,3-DIHYDROXYPROPYL]OXY}(HYDROXY)PHOSPHORYL]OXY}-2-[(6E)-HEXADEC-6-ENOYLOXY]PROPYL (8E)-OCTADEC-8-ENOATE", 21520 },
	{ "P6M", "", "", ResidueType::NON_POLYMER, false, "(4S,6R)-4-[2,4-difluoro-5-({[1-(trifluoromethyl)cyclopropyl]amino}methyl)phenyl]-4,6-dimethyl-5,6-dihydro-4H-1,3-thiazin-2-amine", 21521 },
	{ "P6P", "", "", ResidueType::SACCHARIDE, false, "6-O-phosphono-alpha-D-fructofuranose", 21522 },
	{ "P6T", "", "", ResidueType::NON_POLYMER, false, "1,6-di-O-phosphono-D-tagatose", 21523 },
	{ "P6U", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-[2,4-difluoro-5-({[1-(trifluoromethyl)cyclopropyl]amino}methyl)phenyl]-4-methyl-5,6-dihydro-4H-1,3-thiazin-2-amine", 21524 },
	{ "P74", "", "", ResidueType::NON_POLYMER, false, "TERT-BUTYL [3-(3-{[4-(DIETHYLAMINO)PIPERIDIN-1-YL]METHYL}-4-HYDROXY-5-IODOPHENYL)PROP-2-YN-1-YL]CARBAMATE", 21525 },
	{ "P76", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R)-2-hydroxy-1-(hydroxycarbamoyl)propyl]-4-[4-(phenylethynyl)phenyl]piperidine-1-carboxamide", 21526 },
	{ "P77", "", "", ResidueType::NON_POLYMER, false, "2-chloro-10-[3-(4-methylpiperazin-1-yl)propyl]-10H-phenothiazine", 21527 },
	{ "P78", "", "", ResidueType::NON_POLYMER, false, "1-{5-tert-butyl-3-[(1,1-dioxidothiomorpholin-4-yl)carbonyl]thiophen-2-yl}-3-naphthalen-2-ylurea", 21528 },
	{ "P79", "", "", ResidueType::NON_POLYMER, false, "1-{3-tert-butyl-1-[2-(1,1-dioxidothiomorpholin-4-yl)-2-oxoethyl]-1H-pyrazol-5-yl}-3-naphthalen-2-ylurea", 21529 },
	{ "P7A", "", "", ResidueType::NON_POLYMER, false, "1-[5-tert-butyl-2-(1,1-dioxidothiomorpholin-4-yl)thiophen-3-yl]-3-naphthalen-1-ylurea", 21530 },
	{ "P7B", "", "", ResidueType::NON_POLYMER, false, "1-{5-tert-butyl-3-[(5-oxo-1,4-diazepan-1-yl)carbonyl]thiophen-2-yl}-3-naphthalen-1-ylurea", 21531 },
	{ "P7C", "", "", ResidueType::NON_POLYMER, false, "1-[5-tert-butyl-3-({4-[2-(dimethylamino)ethyl]-5-oxo-1,4-diazepan-1-yl}carbonyl)thiophen-2-yl]-3-(2,3-dichlorophenyl)urea", 21532 },
	{ "P7G", "", "", ResidueType::RNA_LINKING, false, "", 21533 },
	{ "P7I", "", "", ResidueType::NON_POLYMER, false, "(2-aminoethyl)phosphonic acid", 21534 },
	{ "P7Y", "", "", ResidueType::NON_POLYMER, false, "2-[(E)-2-nitroethenyl]phenol", 21535 },
	{ "P80", "", "", ResidueType::NON_POLYMER, false, "3-[(E)-2-nitroethenyl]phenol", 21536 },
	{ "P81", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-2-nitroethenyl]phenol", 21537 },
	{ "P83", "", "", ResidueType::NON_POLYMER, false, "1-(9-ethyl-9H-carbazol-3-yl)-N-methylmethanamine", 21538 },
	{ "P84", "", "", ResidueType::NON_POLYMER, false, "2,4-BIS(IODANYL)-6-[[METHYL-(1-METHYLPIPERIDIN-4-YL)AMINO]METHYL]PHENOL", 21539 },
	{ "P85", "", "", ResidueType::NON_POLYMER, false, "N-[(4-fluorophenyl)methyl]-1-[(1R)-1-naphthalen-1-ylethyl]piperidine-4-carboxamide", 21540 },
	{ "P86", "", "", ResidueType::NON_POLYMER, false, "2-{[4-(DIETHYLAMINO)PIPERIDIN-1-YL]METHYL}-4,6-DIIODOPHENOL", 21541 },
	{ "P87", "", "", ResidueType::NON_POLYMER, false, "3-[(3S)-oxolan-3-yl]-1-(pyrrolidin-1-yl)propan-1-one", 21542 },
	{ "P88", "", "", ResidueType::NON_POLYMER, false, "7-(4-{[3-(2,6-dimethylphenyl)-5-(1-methylethyl)isoxazol-4-yl]methoxy}phenyl)isoquinoline-3-carboxylic acid", 21543 },
	{ "P89", "", "", ResidueType::NON_POLYMER, false, "1-{[(1E)-(3-HYDROXY-2-METHYL-5-{[(TRIHYDROXY-LAMBDA^5^-PHOSPHANYL)OXY]METHYL}PYRIDIN-4-YL)METHYLIDENE]AMINO}UNDECAN-2-ONE", 21544 },
	{ "P8D", "", "", ResidueType::NON_POLYMER, false, "phosphinate pseudodipeptide L-Ala-D-Asp", 21545 },
	{ "P8H", "", "", ResidueType::NON_POLYMER, false, "3-bromo-5-[(4-pyrrolidin-1-ylpiperidin-1-yl)carbonyl]pyridine", 21546 },
	{ "P8P", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-{[(R)-hydroxy(phosphonooxy)phosphoryl]oxy}propane-1,2-diyl dioctanoate", 21547 },
	{ "P8S", "", "", ResidueType::NON_POLYMER, false, "heptadecafluoro-1-octanesulfonic acid", 21548 },
	{ "P8X", "", "", ResidueType::NON_POLYMER, false, "DESMETHYL-HBA", 21549 },
	{ "P90", "", "", ResidueType::NON_POLYMER, false, "{4-[(2S,4E)-2-(1,3-BENZOTHIAZOL-2-YL)-2-(1H-1,2,3-BENZOTRIAZOL-1-YL)-5-PHENYLPENT-4-ENYL]PHENYL}(DIFLUORO)METHYLPHOSPHONIC ACID", 21550 },
	{ "P91", "", "", ResidueType::NON_POLYMER, false, "8-bromo-4-(2-chlorophenyl)-N-(2-hydroxyethyl)-6-methyl-1,3-dioxo-1,2,3,6-tetrahydropyrrolo[3,4-e]indole-7-carboxamide", 21551 },
	{ "P93", "", "", ResidueType::NON_POLYMER, false, "N-[(furan-3-yl)methyl]pyrrolidine-1-carboxamide", 21552 },
	{ "P94", "", "", ResidueType::NON_POLYMER, false, "4-(2-{[(2-aminoquinolin-7-yl)methyl]amino}ethyl)benzonitrile", 21553 },
	{ "P95", "", "", ResidueType::NON_POLYMER, false, "~{N}-[3-(pyrimidin-2-ylcarbamoyl)thiophen-2-yl]-[1,3]thiazolo[4,5-c]pyridine-2-carboxamide", 21554 },
	{ "P96", "", "", ResidueType::NON_POLYMER, false, "2-{[4-(diethylamino)piperidin-1-yl]methyl}-6-iodo-4-[3-(phenylamino)prop-1-yn-1-yl]phenol", 21555 },
	{ "P97", "", "", ResidueType::PEPTIDE_LIKE, false, "D-phenylalanyl-N-[(4-chloropyridin-3-yl)methyl]-L-prolinamide", 21556 },
	{ "P98", "", "", ResidueType::NON_POLYMER, false, "2-({[1-phenyl-2-(propan-2-yl)-1H-benzimidazol-6-yl]oxy}methyl)quinoline", 21557 },
	{ "P99", "", "", ResidueType::NON_POLYMER, false, "2-[2,6-difluoro-4-({2-[(phenylsulfonyl)amino]ethyl}sulfanyl)phenoxy]acetamide", 21558 },
	{ "P9A", "", "", ResidueType::NON_POLYMER, false, "3-({3-[(1S,4aS,6S,7S,9S,9aR)-1,6-dimethyl-2-oxodecahydro-6,9-epoxy-4a,7-methanobenzo[7]annulen-1-yl]propanoyl}amino)-2,4-dihydroxybenzoic acid", 21559 },
	{ "P9B", "", "", ResidueType::NON_POLYMER, false, "4-{[(pentafluorophenyl)carbamoyl]amino}benzenesulfonamide", 21560 },
	{ "P9C", "", "", ResidueType::NON_POLYMER, false, "3-({3-[(1S,4S,4aS,6S,7S,9S,9aR)-1,6-dimethyl-2-oxo-4-phenyldecahydro-6,9-epoxy-4a,7-methanobenzo[7]annulen-1-yl]propanoyl}amino)-2,4-dihydroxybenzoic acid", 21561 },
	{ "P9D", "", "", ResidueType::NON_POLYMER, false, "[{2-[({[(3R)-1-{8-[(4-tert-butyl-1,3-thiazol-2-yl)carbamoyl]-4-oxo-3-[(E)-2-(1H-tetrazol-5-yl)ethenyl]-4H-pyrido[1,2-a]pyrimidin-2-yl}piperidin-3-yl]oxy}carbonyl)amino]ethyl}(dimethyl)ammonio]acetate", 21562 },
	{ "P9G", "", "", ResidueType::DNA_LINKING, false, "", 21563 },
	{ "P9I", "", "", ResidueType::NON_POLYMER, false, "1-[1-(PYRIDIN-2-YL)INDOLIZIN-3-YL]ETHAN-1-ONE", 21564 },
	{ "P9J", "", "", ResidueType::NON_POLYMER, false, "4-[(5-methyl-1H-pyrazol-3-yl)amino]-2-phenylphthalazin-1(2H)-one", 21565 },
	{ "P9L", "", "", ResidueType::NON_POLYMER, false, "1,3-dimethyl-6-(morpholin-4-ylsulfonyl)-3,4-dihydroquinazolin-2(1H)-one", 21566 },
	{ "P9M", "", "", ResidueType::NON_POLYMER, false, "N-cyclopentyl-5-(3,5-dimethylisoxazol-4-yl)-2-methylbenzenesulfonamide", 21567 },
	{ "P9N", "", "", ResidueType::NON_POLYMER, false, "Pregnanolone", 21568 },
	{ "P9P", "", "", ResidueType::NON_POLYMER, false, "2-chloranyl-4-nitro-phenol", 21569 },
	{ "P9S", "", "", ResidueType::PEPTIDE_LINKING, false, "dihydroxypropylcysteine", 21570 },
	{ "PA0", "", "", ResidueType::NON_POLYMER, false, "Phenylarsine oxide", 21571 },
	{ "PA1", "", "", ResidueType::NON_POLYMER, false, "2-amino-2-deoxy-alpha-D-glucopyranose", 21572 },
	{ "PA2", "", "", ResidueType::NON_POLYMER, false, "PAROMOMYCIN (RING 2)", 21573 },
	{ "PA3", "", "", ResidueType::NON_POLYMER, true, "PAROMOMYCIN (RING 3)", 21574 },
	{ "PA4", "", "IDG", ResidueType::NON_POLYMER, true, "PAROMOMYCIN (RING 4)", 21575 },
	{ "PA5", "", "", ResidueType::SACCHARIDE, false, "5-PHOSPHOARABINONIC ACID", 21576 },
	{ "PA6", "", "", ResidueType::NON_POLYMER, false, "(R)-2-(FORMYLOXY)-3-(PHOSPHONOOXY)PROPYL PENTANOATE", 21577 },
	{ "PA7", "", "", ResidueType::NON_POLYMER, false, "N-PROPYL CARBOXYAMIDO ADENOSINE", 21578 },
	{ "PA8", "", "", ResidueType::NON_POLYMER, false, "1,2-DIOCTANOYL-SN-GLYCERO-3-PHOSPHATE", 21579 },
	{ "PA9", "", "", ResidueType::NON_POLYMER, false, "N~2~-acetyl-N~5~-(phosphonoacetyl)-L-ornithine", 21580 },
	{ "PAB", "", "", ResidueType::NON_POLYMER, false, "4-AMINOBENZOIC ACID", 21581 },
	{ "PAC", "", "", ResidueType::NON_POLYMER, false, "2-PHENYLACETIC ACID", 21582 },
	{ "PAD", "", "", ResidueType::NON_POLYMER, false, "5-BETA-D-RIBOFURANOSYLPICOLINAMIDE ADENINE-DINUCLEOTIDE", 21583 },
	{ "PAE", "", "", ResidueType::NON_POLYMER, false, "PHOSPHONOACETIC ACID", 21584 },
	{ "PAF", "", "", ResidueType::NON_POLYMER, false, "PANTOATE", 21585 },
	{ "PAG", "", "2PG", ResidueType::NON_POLYMER, true, "2-PHOSPHO-D-GLYCERIC ACID", 21586 },
	{ "PAH", "", "", ResidueType::NON_POLYMER, false, "PHOSPHONOACETOHYDROXAMIC ACID", 21587 },
	{ "PAI", "", "", ResidueType::NON_POLYMER, false, "{[(2,2-DIHYDROXY-ETHYL)-(2,3,4,5-TETRAHYDROXY-6-PHOSPHONOOXY-HEXYL)-AMINO]-METHYL}-PHOSPHONIC ACID", 21588 },
	{ "PAJ", "", "", ResidueType::NON_POLYMER, false, "PANTOYL ADENYLATE", 21589 },
	{ "PAK", "", "", ResidueType::NON_POLYMER, false, "9-CYANO PAULLONE", 21590 },
	{ "PAL", "", "", ResidueType::NON_POLYMER, false, "N-(PHOSPHONACETYL)-L-ASPARTIC ACID", 21591 },
	{ "PAM", "", "", ResidueType::NON_POLYMER, false, "PALMITOLEIC ACID", 21592 },
	{ "PAN", "", "", ResidueType::NON_POLYMER, false, "5-PHOSPHO-D-ARABINOHYDROXAMIC ACID", 21593 },
	{ "PAO", "", "", ResidueType::NON_POLYMER, false, "N-(PHOSPHONOACETYL)-L-ORNITHINE", 21594 },
	{ "PAP", "", "", ResidueType::NON_POLYMER, false, "3'-PHOSPHATE-ADENOSINE-5'-DIPHOSPHATE", 21595 },
	{ "PAQ", "", "", ResidueType::PEPTIDE_LINKING, false, "2-OXY-4-HYDROXY-5-(2-HYDRAZINOPYRIDINE)PHENYLALANINE", 21596 },
	{ "PAR", "", "", ResidueType::NON_POLYMER, false, "PAROMOMYCIN", 21597 },
	{ "PAS", "", "PHD", ResidueType::PEPTIDE_LINKING, true, "2-AMINO-4-OXO-4-PHOSPHONOOXY-BUTYRIC ACID", 21598 },
	{ "PAT", "", "", ResidueType::PEPTIDE_LINKING, false, "ALPHA-PHOSPHONO-TRYPTOPHAN", 21599 },
	{ "PAU", "", "", ResidueType::PEPTIDE_LIKE, false, "PANTOTHENOIC ACID", 21600 },
	{ "PAV", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-2-METHYL-2,3,3,4-TETRAHYDROXYTETRAHYDROFURAN", 21601 },
	{ "PAW", "", "", ResidueType::NON_POLYMER, false, "N-(2-AMINOETHYL)-N'-{2-[(2-AMINOETHYL)AMINO]ETHYL}ETHANE-1,2-DIAMINE", 21602 },
	{ "PAX", "", "", ResidueType::NON_POLYMER, false, "", 21603 },
	{ "PAY", "", "", ResidueType::NON_POLYMER, false, "OCTANE-1,3,5,7-TETRACARBOXYLIC ACID", 21604 },
	{ "PAZ", "", "", ResidueType::NON_POLYMER, false, "N-[(2R)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alanine", 21605 },
	{ "PB", "", "", ResidueType::NON_POLYMER, false, "LEAD (II) ION", 21606 },
	{ "PB0", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[(3R)-3-(acetylamino)-3-(2-methylpropyl)-2-oxopyrrolidin-1-yl]-N-{(1R,2S)-3-(3,5-difluorophenyl)-1-hydroxy-1-[(2R,4R)-4-propoxypyrrolidin-2-yl]propan-2-yl}-4-phenylbutanamide", 21607 },
	{ "PB1", "", "", ResidueType::NON_POLYMER, false, "3-(2-AMINOETHYL)-4-(AMINOMETHYL)HEPTANEDIOIC ACID", 21608 },
	{ "PB2", "", "", ResidueType::NON_POLYMER, false, "1-(biphenyl-4-ylmethyl)-1H-imidazole", 21609 },
	{ "PB3", "", "", ResidueType::NON_POLYMER, false, "N,N'-BIS(3-METHYLBENZYL)PYRIMIDINE-4,6-DICARBOXAMIDE", 21610 },
	{ "PB4", "", "", ResidueType::NON_POLYMER, false, "N,N'-BIS(4-FLUORO-3-METHYLBENZYL)PYRIMIDINE-4,6-DICARBOXAMIDE", 21611 },
	{ "PB5", "", "", ResidueType::NON_POLYMER, false, "N,N'-BIS(PYRIDIN-3-YLMETHYL)PYRIMIDINE-4,6-DICARBOXAMIDE", 21612 },
	{ "PB6", "", "", ResidueType::NON_POLYMER, false, "3-[(1E)-but-1-en-1-yl]-1-(2,2-diphosphonoethyl)pyridinium", 21613 },
	{ "PB7", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{(3S)-3-(acetylamino)-3-[(2S)-butan-2-yl]-2-oxopyrrolidin-1-yl}-N-{(2S,3R)-3-hydroxy-4-[(3-methoxybenzyl)amino]-1-phenylbutan-2-yl}-4-phenylbutanamide", 21614 },
	{ "PB8", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[(3R)-3-(acetylamino)-3-(2-methylpropyl)-2-oxopyrrolidin-1-yl]-N-{(1R,2S)-3-(3,5-difluorophenyl)-1-hydroxy-1-[(3R)-1,2,3,4-tetrahydroisoquinolin-3-yl]propan-2-yl}-4-phenylbutanamide", 21615 },
	{ "PB9", "", "", ResidueType::NON_POLYMER, false, "methyl 4-{[{(3S)-6-cyano-1-[(1-methyl-1H-imidazol-5-yl)methyl]-1,2,3,4-tetrahydroquinolin-3-yl}(pyridin-2-ylsulfonyl)amino]methyl}piperidine-1-carboxylate", 21616 },
	{ "PBA", "", "", ResidueType::NON_POLYMER, false, "PHENYLETHANE BORONIC ACID", 21617 },
	{ "PBB", "", "", ResidueType::PEPTIDE_LINKING, false, "S-(4-BROMOBENZYL)CYSTEINE", 21618 },
	{ "PBC", "", "", ResidueType::NON_POLYMER, false, "PHENYL BORONIC ACID", 21619 },
	{ "PBD", "", "", ResidueType::NON_POLYMER, false, "1-(3,4-dimethoxyphenyl)-3-[3-(1H-imidazol-1-yl)propyl]thiourea", 21620 },
	{ "PBE", "", "", ResidueType::NON_POLYMER, false, "1,1-DIMETHYL-PROLINIUM", 21621 },
	{ "PBF", "", "", ResidueType::PEPTIDE_LINKING, false, "PARA-(BENZOYL)-PHENYLALANINE", 21622 },
	{ "PBG", "", "", ResidueType::NON_POLYMER, false, "3-[5-(AMINOMETHYL)-4-(CARBOXYMETHYL)-1H-PYRROL-3-YL]PROPANOIC ACID", 21623 },
	{ "PBH", "", "", ResidueType::NON_POLYMER, false, "(11aS)-7-methoxy-8-(3-{4-[6-(4-methylpiperazin-1-yl)-1H-benzimidazol-2-yl]phenoxy}propoxy)-1,2,3,10,11,11a-hexahydro-5H-pyrrolo[2,1-c][1,4]benzodiazepin-5-one", 21624 },
	{ "PBI", "", "", ResidueType::NON_POLYMER, false, "[2-AMINOMETHYL-5-OXO-4-(4-OXO-CYCLOHEXA-2,5-DIENYLMETHYL)-4,5-DIHYDRO-IMIDAZOL-1-YL] -ACETALDEHYDE", 21625 },
	{ "PBK", "", "1ZZ", ResidueType::NON_POLYMER, true, "5'-O-[(R)-(dodecanoyloxy)(hydroxy)phosphoryl]adenosine", 21626 },
	{ "PBL", "", "", ResidueType::NON_POLYMER, false, "pentane-2,2,4,4-tetrol", 21627 },
	{ "PBM", "", "", ResidueType::NON_POLYMER, false, "TRIMETHYL LEAD ION", 21628 },
	{ "PBN", "", "", ResidueType::NON_POLYMER, false, "4-PHENYLBUTYLAMINE", 21629 },
	{ "PBO", "", "", ResidueType::NON_POLYMER, false, "1-PYRIDIN-3-YLBUTAN-1-ONE", 21630 },
	{ "PBP", "", "", ResidueType::NON_POLYMER, false, "1-(4-BROMO-PHENYL)-ETHANONE", 21631 },
	{ "PBQ", "", "", ResidueType::NON_POLYMER, false, "PENTABROMOPSEUDILIN", 21632 },
	{ "PBR", "", "", ResidueType::NON_POLYMER, false, "PENTABROMOPHENOL", 21633 },
	{ "PBS", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,4R)-N-OCTANOYL-1-[(ALPHA-D-GALACTOPYRANOSYL)OXY]-2-AMINO-OCTADECANE-3,4-DIOL", 21634 },
	{ "PBT", "", "", ResidueType::DNA_LINKING, false, "[3-HYDROXY-5-(5-METHYL-2,4-DIOXOTETRAHYDRO-1(2H)-PYRIMIDINYL)TETRAHYDRO-2-FURANYL]METHYL DIHYDROGEN PHOSPHATE", 21635 },
	{ "PBU", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-{[(R)-HYDROXY{[(1R,2R,3S,4R,5R,6S)-2,3,6-TRIHYDROXY-4,5-BIS(PHOSPHONOOXY)CYCLOHEXYL]OXY}PHOSPHORYL]OXY}PROPANE-1,2-DIYL DIBUTANOATE", 21636 },
	{ "PBX", "", "", ResidueType::NON_POLYMER, false, "4-bromobenzene-1,2,3-triol", 21637 },
	{ "PBZ", "", "", ResidueType::NON_POLYMER, false, "P-AMINO BENZAMIDINE", 21638 },
	{ "PC", "POC", "", ResidueType::NON_POLYMER, false, "PHOSPHOCHOLINE", 21639 },
	{ "PC0", "", "", ResidueType::NON_POLYMER, false, "1-[2-(4-ETHOXY-3-FLUOROPYRIDIN-2-YL)ETHYL]-3-(5-METHYLPYRIDIN-2-YL)THIOUREA", 21640 },
	{ "PC1", "PC2", "", ResidueType::NON_POLYMER, false, "1,2-DIACYL-SN-GLYCERO-3-PHOSPHOCHOLINE", 21641 },
	{ "PC2", "", "PC1", ResidueType::NON_POLYMER, true, "DI-STEAROYL-3-SN-PHOSPHATIDYLCHOLINE", 21642 },
	{ "PC3", "", "", ResidueType::NON_POLYMER, false, "COPROPORPHYRIN I CONTAINING CO(III)", 21643 },
	{ "PC4", "", "", ResidueType::NON_POLYMER, false, "TETRACHLOROPLATINATE(II)", 21644 },
	{ "PC5", "", "", ResidueType::NON_POLYMER, false, "1,2-DI-N-PENTANOYL-SN-GLYCERO-3-DITHIOPHOSPHOCHOLINE", 21645 },
	{ "PC6", "", "", ResidueType::NON_POLYMER, false, "7-[(DODECANOYLOXY)METHYL]-4-HYDROXY-N,N,N-TRIMETHYL-9-OXO-3,5,8-TRIOXA-4-PHOSPHADOTRIACONTAN-1-AMINIUM 4-OXIDE", 21646 },
	{ "PC7", "", "", ResidueType::NON_POLYMER, false, "(7S)-4-HYDROXY-N,N,N-TRIMETHYL-9-OXO-7-[(PALMITOYLOXY)METHYL]-3,5,8-TRIOXA-4-PHOSPHAHEXACOSAN-1-AMINIUM 4-OXIDE", 21647 },
	{ "PC8", "", "", ResidueType::NON_POLYMER, false, "1,2-DIOCTANOYL-SN-GLYCERO-3-PHOSPHOCHOLINE", 21648 },
	{ "PC9", "", "", ResidueType::NON_POLYMER, false, "(7R,14S)-14,15-DIBROMO-4-HYDROXY-N,N,N-TRIMETHYL-9-OXO-7-[(PALMITOYLOXY)METHYL]-3,5,8-TRIOXA-4-PHOSPHAHEXACOSAN-1-AMINIUM 4-OXIDE", 21649 },
	{ "PCA", "PCC", "", ResidueType::PEPTIDE_LINKING, false, "PYROGLUTAMIC ACID", 21650 },
	{ "PCB", "", "", ResidueType::NON_POLYMER, false, "4,4'-BIS([H]METHYLSULFONYL)-2,2',5,5'-TETRACHLOROBIPHENYL", 21651 },
	{ "PCC", "", "PCA", ResidueType::PEPTIDE_LINKING, true, "5-OXOPROLINE", 21652 },
	{ "PCD", "", "", ResidueType::NON_POLYMER, false, "(MOLYBDOPTERIN-CYTOSINE DINUCLEOTIDE-S,S)-DIOXO-AQUA-MOLYBDENUM(V)", 21653 },
	{ "PCE", "", "", ResidueType::PEPTIDE_LINKING, false, "2-(3-AMINO-4-CYCLOHEXYL-2-HYDROXY-BUTYL)-PENT-4-YNOIC ACID", 21654 },
	{ "PCF", "", "", ResidueType::NON_POLYMER, false, "1,2-DIACYL-SN-GLYCERO-3-PHOSHOCHOLINE", 21655 },
	{ "PCG", "", "", ResidueType::NON_POLYMER, false, "CYCLIC GUANOSINE MONOPHOSPHATE", 21656 },
	{ "PCH", "", "", ResidueType::NON_POLYMER, false, "3-AMINO-4-CYCLOHEXYL-1-(PYRIDIN-4-YLOXY)BUTAN-2-OL", 21657 },
	{ "PCI", "", "", ResidueType::NON_POLYMER, false, "PENTACHLOROPHENOL", 21658 },
	{ "PCJ", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-{[(2S)-3-HYDROXY-2-(PALMITOYLAMINO)PROPYL]THIO}PROPANE-1,2-DIYL DIHEXADECANOATE", 21659 },
	{ "PCK", "", "", ResidueType::NON_POLYMER, false, "(7R,18S,19R)-18,19-DIBROMO-7-{[(9S,10S)-9,10-DIBROMOOCTADECANOYL]OXY}-4-HYDROXY-N,N,N-TRIMETHYL-10-OXO-3,5,9-TRIOXA-4-PHOSPHAHEPTACOSAN-1-AMINIUM 4-OXIDE", 21660 },
	{ "PCL", "", "", ResidueType::NON_POLYMER, false, "PLATINUM(II) DI-CHLORIDE", 21661 },
	{ "PCM", "", "", ResidueType::NON_POLYMER, false, "1-[N[(PHENYLMETHOXY)CARBONYL]-L-LEUCYL-4-[[N/N-[(PHENYLMETHOXY)CARBONYL]-/NL-LEUCYL]AMINO]-3-PYRROLIDINONE/N", 21662 },
	{ "PCN", "", "", ResidueType::NON_POLYMER, false, "2-{1-[2-(2-AMINO-THIAZOL-4-YL)-2-METHOXYIMINO-ACETYLAMINO]-2-OXO-ETHYL}-5,5-DIMETHYL-THIAZOLIDINE-4-CARBOXYLIC ACID", 21663 },
	{ "PCO", "", "", ResidueType::NON_POLYMER, false, "2,4-DIHYDROXY-N-[2-(2-MERCAPTO-VINYLCARBAMOYL)-ETHYL]-3,3-DIMETHYL-BUTYRAMIDE", 21664 },
	{ "PCP", "", "", ResidueType::NON_POLYMER, false, "1-ALPHA-PYROPHOSPHORYL-2-ALPHA,3-ALPHA-DIHYDROXY-4-BETA-CYCLOPENTANE-METHANOL-5-PHOSPHATE", 21665 },
	{ "PCQ", "NEW", "", ResidueType::NON_POLYMER, false, "3,5,3',5'-TETRACHLORO-BIPHENYL-4,4'-DIOL", 21666 },
	{ "PCR", "", "", ResidueType::NON_POLYMER, false, "P-CRESOL", 21667 },
	{ "PCS", "", "", ResidueType::PEPTIDE_LINKING, false, "PHENYLALANYLMETHYLCHLORIDE", 21668 },
	{ "PCT", "", "", ResidueType::NON_POLYMER, false, "PHOSPHONOACETAMIDE", 21669 },
	{ "PCU", "", "", ResidueType::NON_POLYMER, false, "CU(II)MESO(4-N-TETRAMETHYLPYRIDYL)PORPHYRIN", 21670 },
	{ "PCV", "", "", ResidueType::NON_POLYMER, false, "5-AMINO-3-HYDROXY-2-(2-OXO-AZETIDIN-1-YL)-PENTANOIC ACID", 21671 },
	{ "PCW", "", "", ResidueType::NON_POLYMER, false, "1,2-DIOLEOYL-SN-GLYCERO-3-PHOSPHOCHOLINE", 21672 },
	{ "PCX", "", "", ResidueType::NON_POLYMER, false, "DEOXYGUANIDINOPROCLAVAMINIC ACID", 21673 },
	{ "PCY", "", "", ResidueType::NON_POLYMER, false, "Pactamycin", 21674 },
	{ "PCZ", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(1R)-1-{[(2Z)-2-(2-amino-1,3-thiazol-4-yl)-2-(methoxyimino)acetyl]amino}-2-oxoethyl]-5-methylidene-5,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 21675 },
	{ "PD", "", "", ResidueType::NON_POLYMER, false, "PALLADIUM ION", 21676 },
	{ "PD1", "", "", ResidueType::NON_POLYMER, false, "1-TERT-BUTYL-3-[6-(3,5-DIMETHOXY-PHENYL)-2-(4-DIETHYLAMINO-BUTYLAMINO)-PYRIDO[2,3-D]PYRIMIDIN-7-YL]-UREA", 21677 },
	{ "PD2", "", "", ResidueType::NON_POLYMER, false, "PYRIDINE-2,4-DICARBOXYLIC ACID", 21678 },
	{ "PD3", "", "", ResidueType::NON_POLYMER, false, "1-{3-[(4-amino-1-cyclopentyl-1H-pyrazolo[3,4-d]pyrimidin-3-yl)methyl]phenyl}-3-[3-(trifluoromethyl)phenyl]urea", 21679 },
	{ "PD4", "", "", ResidueType::NON_POLYMER, false, "6-(6-methoxypyridin-3-yl)-2-[(2-morpholin-4-ylethyl)amino]-4-(2-propoxyethyl)pyrido[2,3-b]pyrazin-3(4H)-one", 21680 },
	{ "PD5", "", "", ResidueType::NON_POLYMER, false, "1-{4-[4-amino-1-(1-methylethyl)-1H-pyrazolo[3,4-d]pyrimidin-3-yl]phenyl}-3-[3-(trifluoromethyl)phenyl]urea", 21681 },
	{ "PD6", "", "", ResidueType::NON_POLYMER, false, "5-amino-1-butyl-7-phenyl-1,6-naphthyridin-4(1H)-one", 21682 },
	{ "PD7", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-(phosphonooxy)propane-1,2-diyl diheptanoate", 21683 },
	{ "PD8", "", "", ResidueType::NON_POLYMER, false, "PHOSPHORYLATED DIHYDROPTEROATE", 21684 },
	{ "PDA", "", "", ResidueType::NON_POLYMER, false, "2-[(3-HYDROXY-2-METHYL-5-PHOSPHONOOXYMETHYL-PYRIDIN-4-YLMETHYL)-AMINO]-PROPIONIC ACID", 21685 },
	{ "PDB", "", "", ResidueType::NON_POLYMER, false, "1-(2-chlorophenyl)-6-[(2R)-3,3,3-trifluoro-2-methylpropyl]-1,7-dihydro-4H-pyrazolo[3,4-d]pyrimidin-4-one", 21686 },
	{ "PDC", "", "", ResidueType::NON_POLYMER, false, "PYRIDINE-2,6-DICARBOXYLIC ACID", 21687 },
	{ "PDD", "", "", ResidueType::PEPTIDE_LINKING, false, "N-(5'-PHOSPHOPYRIDOXYL)-D-ALANINE", 21688 },
	{ "PDE", "", "", ResidueType::NON_POLYMER, false, "PARA-NITROPHENYL PHOSPHONOBUTANOYL D-ALANINE", 21689 },
	{ "PDF", "", "", ResidueType::NON_POLYMER, false, "4,4-difluoro-L-proline", 21690 },
	{ "PDG", "", "", ResidueType::NON_POLYMER, false, "N-({3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}METHYL)-D-GLUTAMIC ACID", 21691 },
	{ "PDH", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-AMINO-3-PHENYL-1-PROPANOL", 21692 },
	{ "PDI", "", "", ResidueType::NON_POLYMER, false, "PHOSPHORIC ACID MONO-(3-HYDROXY-PROPYL) ESTER", 21693 },
	{ "PDJ", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-{[(2R)-2-AMINO-3-HYDROXYPROPYL]THIO}PROPANE-1,2-DIYL DIHEXADECANOATE", 21694 },
	{ "PDK", "", "", ResidueType::NON_POLYMER, false, "(10S,13R)-3-{2-[{2-[bis(carboxymethyl)amino]ethyl}(carboxymethyl)amino]ethyl}-10-hydroxy-5,16-dioxo-13-(tetradecanoyloxy)-9,11,15-trioxa-3,6-diaza-10-phosphanonacosan-1-oic acid 10-oxide", 21695 },
	{ "PDL", "", "PP3", ResidueType::PEPTIDE_LINKING, true, "N-(5'-PHOSPHOPYRIDOXYL)-L-ALANINE", 21696 },
	{ "PDM", "", "", ResidueType::NON_POLYMER, false, "4-[4-(2,5-DIOXO-PYRROLIDIN-1-YL)-PHENYLAMINO]-4-HYDROXY-BUTYRIC ACID", 21697 },
	{ "PDN", "", "", ResidueType::NON_POLYMER, false, "17,21-DIHYDROXYPREGNA-1,4-DIENE-3,11,20-TRIONE", 21698 },
	{ "PDO", "HPG", "", ResidueType::NON_POLYMER, false, "1,3-PROPANDIOL", 21699 },
	{ "PDP", "", "", ResidueType::NON_POLYMER, false, "PYRIDOXAL-5'-DIPHOSPHATE", 21700 },
	{ "PDQ", "", "", ResidueType::NON_POLYMER, false, "3-amino-7-{(3R)-3-[(1S)-1-aminoethyl]pyrrolidin-1-yl}-1-cyclopropyl-6-fluoro-8-methylquinazoline-2,4(1H,3H)-dione", 21701 },
	{ "PDR", "", "", ResidueType::NON_POLYMER, false, "3-(4-chloro-1H-pyrrolo[2,3-b]pyridin-2-yl)-5,6-dimethoxy-1-methyl-1H-pyrrolo[3,2-b]pyridine", 21702 },
	{ "PDS", "", "", ResidueType::NON_POLYMER, false, "3-{1-[3-(DIMETHYLAMINO)PROPYL]-2-METHYL-1H-INDOL-3-YL}-4-(2-METHYL-1H-INDOL-3-YL)-1H-PYRROLE-2,5-DIONE", 21703 },
	{ "PDT", "", "", ResidueType::NON_POLYMER, false, "1,3-PROPANEDITHIOL", 21704 },
	{ "PDU", "", "", ResidueType::DNA_LINKING, false, "5(1-PROPYNYL)-2'-DEOXYURIDINE-5-MONOPHOSPHATE", 21705 },
	{ "PDV", "", "", ResidueType::NON_POLYMER, false, "Divanadate ion", 21706 },
	{ "PDW", "", "", ResidueType::PEPTIDE_LINKING, false, "methyl D-prolinate", 21707 },
	{ "PDX", "", "", ResidueType::NON_POLYMER, false, "2,3-DI-O-SULFO-ALPHA-D-GLUCOPYRANOSE", 21708 },
	{ "PDY", "", "", ResidueType::NON_POLYMER, false, "N~7~-(4-ethoxyphenyl)-6-methyl-N~5~-[(3S)-piperidin-3-yl]pyrazolo[1,5-a]pyrimidine-5,7-diamine", 21709 },
	{ "PDZ", "", "", ResidueType::NON_POLYMER, false, "6-(4-chloro-2-fluoro-3-phenoxybenzyl)pyridazin-3(2H)-one", 21710 },
	{ "PE0", "", "", ResidueType::NON_POLYMER, false, "PTERINE", 21711 },
	{ "PE1", "", "", ResidueType::PEPTIDE_LINKING, false, "N~2~-({3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}METHYL)-L-LYSINE", 21712 },
	{ "PE2", "", "", ResidueType::NON_POLYMER, false, "9-(4-HYDROXY-3-(HYDROXYMETHYL)BUT-1-YL)GUANINE", 21713 },
	{ "PE3", "", "", ResidueType::NON_POLYMER, false, "3,6,9,12,15,18,21,24,27,30,33,36,39-TRIDECAOXAHENTETRACONTANE-1,41-DIOL", 21714 },
	{ "PE4", "", "", ResidueType::NON_POLYMER, false, "2-{2-[2-(2-{2-[2-(2-ETHOXY-ETHOXY)-ETHOXY]-ETHOXY}-ETHOXY)-ETHOXY]-ETHOXY}-ETHANOL", 21715 },
	{ "PE5", "", "", ResidueType::NON_POLYMER, false, "3,6,9,12,15,18,21,24-OCTAOXAHEXACOSAN-1-OL", 21716 },
	{ "PE6", "", "", ResidueType::NON_POLYMER, false, "PHOSPHORYL-HEXAETHYLENE GLYCOL", 21717 },
	{ "PE7", "", "", ResidueType::NON_POLYMER, false, "1-DEOXY-1-THIO-HEPTAETHYLENE GLYCOL", 21718 },
	{ "PE8", "", "", ResidueType::NON_POLYMER, false, "3,6,9,12,15,18,21-HEPTAOXATRICOSANE-1,23-DIOL", 21719 },
	{ "PE9", "", "", ResidueType::NON_POLYMER, false, "PENTAN-1-OL", 21720 },
	{ "PEA", "", "", ResidueType::NON_POLYMER, false, "2-PHENYLETHYLAMINE", 21721 },
	{ "PEB", "", "", ResidueType::NON_POLYMER, false, "PHYCOERYTHROBILIN", 21722 },
	{ "PEC", "", "", ResidueType::PEPTIDE_LINKING, false, "S,S-PENTYLTHIOCYSTEINE", 21723 },
	{ "PED", "", "", ResidueType::NON_POLYMER, false, "PENTANE-3,4-DIOL-5-PHOSPHATE", 21724 },
	{ "PEE", "", "", ResidueType::NON_POLYMER, false, "1,2-Dioleoyl-sn-glycero-3-phosphoethanolamine", 21725 },
	{ "PEF", "", "", ResidueType::NON_POLYMER, false, "DI-PALMITOYL-3-SN-PHOSPHATIDYLETHANOLAMINE", 21726 },
	{ "PEG", "", "", ResidueType::NON_POLYMER, false, "DI(HYDROXYETHYL)ETHER", 21727 },
	{ "PEH", "", "", ResidueType::NON_POLYMER, false, "DI-STEAROYL-3-SN-PHOSPHATIDYLETHANOLAMINE", 21728 },
	{ "PEI", "", "LEA", ResidueType::NON_POLYMER, true, "PENTANOIC ACID", 21729 },
	{ "PEJ", "", "", ResidueType::NON_POLYMER, false, "PERIODATE", 21730 },
	{ "PEK", "", "", ResidueType::NON_POLYMER, false, "(1S)-2-{[(2-AMINOETHOXY)(HYDROXY)PHOSPHORYL]OXY}-1-[(STEAROYLOXY)METHYL]ETHYL (5E,8E,11E,14E)-ICOSA-5,8,11,14-TETRAENOATE", 21731 },
	{ "PEL", "", "", ResidueType::NON_POLYMER, false, "2-PHENYL-ETHANOL", 21732 },
	{ "PEM", "", "", ResidueType::NON_POLYMER, false, "2-[P-[2-P-CHLOROBENZAMIDO)ETHYL]PHENOXY]-2-METHYLPROPIONIC ACID", 21733 },
	{ "PEO", "", "", ResidueType::NON_POLYMER, false, "HYDROGEN PEROXIDE", 21734 },
	{ "PEP", "", "", ResidueType::NON_POLYMER, false, "PHOSPHOENOLPYRUVATE", 21735 },
	{ "PEQ", "", "", ResidueType::NON_POLYMER, false, "L-PHOSPHOLACTATE", 21736 },
	{ "PER", "", "", ResidueType::NON_POLYMER, false, "PEROXIDE ION", 21737 },
	{ "PET", "", "", ResidueType::NON_POLYMER, false, "1,5-DI(4-AMIDINOPHENOXY)-3-OXA-PENTANE", 21738 },
	{ "PEU", "", "", ResidueType::NON_POLYMER, false, "2,5,8,11,14,17,20,23,26,29,32,35,38,41,44,47,50,53,56,59,62,65,68,71,74,77,80-HEPTACOSAOXADOOCTACONTAN-82-OL", 21739 },
	{ "PEV", "", "", ResidueType::NON_POLYMER, false, "(1S)-2-{[(2-AMINOETHOXY)(HYDROXY)PHOSPHORYL]OXY}-1-[(PALMITOYLOXY)METHYL]ETHYL STEARATE", 21740 },
	{ "PEW", "", "", ResidueType::NON_POLYMER, false, "(1R)-2-{[(2-AMINOETHOXY)(HYDROXY)PHOSPHORYL]OXY}-1-[(PALMITOYLOXY)METHYL]ETHYL (9S,10S)-9,10-DIBROMOOCTADECANOATE", 21741 },
	{ "PEX", "", "", ResidueType::NON_POLYMER, false, "1,2-DIDECANOYL-SN-GLYCERO-3-PHOSPHOETHANOLAMINE", 21742 },
	{ "PEY", "", "", ResidueType::NON_POLYMER, false, "PHENANTHRENE", 21743 },
	{ "PEZ", "", "", ResidueType::NON_POLYMER, false, "2-(PHOSPHONOOXY)BUTANOIC ACID", 21744 },
	{ "PF", "", "PRL", ResidueType::NON_POLYMER, true, "PROFLAVINE", 21745 },
	{ "PF0", "", "", ResidueType::NON_POLYMER, false, "3-hydroxy-2-methylbenzoic acid", 21746 },
	{ "PF1", "", "", ResidueType::NON_POLYMER, false, "N-[(4-AMINO-2-METHYLPYRIMIDIN-5-YL)METHYL]-N-(2-HYDROXYETHYL)FORMAMIDE", 21747 },
	{ "PF2", "", "", ResidueType::NON_POLYMER, false, "2-(4-{(3S,5S)-5-[(3,3-difluoropyrrolidin-1-yl)carbonyl]pyrrolidin-3-yl}piperazin-1-yl)pyrimidine", 21748 },
	{ "PF3", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-({[4-[(PYRIDIN-4-YL)PHENYL]-THIEN-2-YL}CARBOXAMIDO)(PHENYL)PROPANOIC ACID", 21749 },
	{ "PF4", "", "", ResidueType::NON_POLYMER, false, "4,5-bis(4-methoxyphenyl)-2-thiophen-2-yl-1H-imidazole", 21750 },
	{ "PF5", "", "", ResidueType::PEPTIDE_LINKING, false, "2,3,4,5,6-PENTAFLUORO-L-PHENYLALANINE", 21751 },
	{ "PF6", "", "", ResidueType::NON_POLYMER, false, "2-({4-[4-(pyridin-4-ylmethyl)-1H-pyrazol-3-yl]phenoxy}methyl)quinoline", 21752 },
	{ "PF7", "", "", ResidueType::NON_POLYMER, false, "4-(quinolin-3-ylmethyl)piperidine-1-carboxylic acid", 21753 },
	{ "PF8", "", "", ResidueType::NON_POLYMER, false, "2-{[4-(4-pyridin-4-yl-1H-pyrazol-3-yl)phenoxy]methyl}quinoline", 21754 },
	{ "PF9", "", "", ResidueType::NON_POLYMER, false, "2-{[4-(1-methyl-4-pyridin-4-yl-1H-pyrazol-3-yl)phenoxy]methyl}quinoline", 21755 },
	{ "PFA", "", "", ResidueType::NON_POLYMER, false, "[4-(4-HYDROXY-3-ISOPROPYL-PHENOXY)-3,5-DIMETHYL-PHENYL]-6-AZAURACIL", 21756 },
	{ "PFB", "", "", ResidueType::NON_POLYMER, false, "2,3,4,5,6-PENTAFLUOROBENZYL ALCOHOL", 21757 },
	{ "PFC", "", "", ResidueType::NON_POLYMER, false, "PHENYLFERRICROCIN-IRON", 21758 },
	{ "PFD", "", "", ResidueType::NON_POLYMER, false, "5-(2-ETHOXYETHYL)-5-[4-(4-FLUOROPHENOXY)PHENOXY]PYRIMIDINE-2,4,6(1H,3H,5H)-TRIONE", 21759 },
	{ "PFE", "", "", ResidueType::NON_POLYMER, false, "{4-[3-(6,7-DIETHOXY-QUINAZOLIN-4-YLAMINO)-PHENYL]-THIAZOL-2-YL}-METHANOL", 21760 },
	{ "PFF", "", "", ResidueType::PEPTIDE_LINKING, false, "4-FLUORO-L-PHENYLALANINE", 21761 },
	{ "PFG", "", "", ResidueType::NON_POLYMER, false, "10-PARPARGYL-5,8-DIDEAZAFOLATE-4-GLUTAMIC ACID", 21762 },
	{ "PFH", "", "", ResidueType::NON_POLYMER, false, "6,7-DIMETHOXY-4-[(3R)-3-(2-NAPHTHYLOXY)PYRROLIDIN-1-YL]QUINAZOLINE", 21763 },
	{ "PFI", "", "", ResidueType::NON_POLYMER, false, "(6S)-6-CYCLOPENTYL-6-[2-(3-FLUORO-4-ISOPROPOXYPHENYL)ETHYL]-4-HYDROXY-5,6-DIHYDRO-2H-PYRAN-2-ONE", 21764 },
	{ "PFJ", "", "", ResidueType::NON_POLYMER, false, "6,7-DIMETHOXY-4-[(3R)-3-(QUINOXALIN-2-YLOXY)PYRROLIDIN-1-YL]QUINAZOLINE", 21765 },
	{ "PFK", "", "", ResidueType::NON_POLYMER, false, "6-methoxy-7-[2-(quinolin-2-yl)ethoxy]quinazoline", 21766 },
	{ "PFL", "", "", ResidueType::NON_POLYMER, false, "2,6-BIS(1-METHYLETHYL)PHENOL", 21767 },
	{ "PFM", "", "", ResidueType::NON_POLYMER, false, "1-AMINO-7-(2-METHYL-3-OXIDO-5-((PHOSPHONOXY)METHYL)-4-PYRIDOXAL-5-OXO-6-HEPTENATE", 21768 },
	{ "PFN", "", "", ResidueType::NON_POLYMER, false, "FENOPROFEN", 21769 },
	{ "PFO", "", "", ResidueType::NON_POLYMER, false, "4-{4-(4-fluorophenyl)-1-[1-(1,2-oxazol-3-ylmethyl)piperidin-4-yl]-1H-imidazol-5-yl}pyrimidin-2-amine", 21770 },
	{ "PFP", "", "", ResidueType::NON_POLYMER, false, "2-[5,6-BIS-(4-METHOXY-PHENYL)-FURO[2,3-D]PYRIMIDIN-4-YLAMINO]-ETHANOL", 21771 },
	{ "PFQ", "", "", ResidueType::NON_POLYMER, false, "2-[(5,6-DIPHENYLFURO[2,3-D]PYRIMIDIN-4-YL)AMINO]ETHANOL", 21772 },
	{ "PFR", "", "", ResidueType::NON_POLYMER, false, "7-methoxy-4-[(3S)-3-phenylpiperidin-1-yl]-6-[2-(pyridin-2-yl)ethoxy]quinazoline", 21773 },
	{ "PFS", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(acetyloxy)-3-(hexadecyloxy)propyl 2-(trimethylammonio)ethyl phosphate", 21774 },
	{ "PFT", "", "", ResidueType::NON_POLYMER, false, "4-(1,3-dihydro-2H-isoindol-2-ylcarbonyl)benzene-1,3-diol", 21775 },
	{ "PFU", "", "", ResidueType::NON_POLYMER, false, "(1S)-1,4-anhydro-1-(5-carbamoyl-4-hydroxy-1H-pyrazol-3-yl)-5-O-phosphono-D-ribitol", 21776 },
	{ "PFV", "", "", ResidueType::NON_POLYMER, false, "(6R,7S,10Z)-10-(2-amino-1,3-thiazol-4-yl)-1-(1,5-dihydroxy-4-oxo-1,4-dihydropyridin-2-yl)-7-formyl-13,13-dimethyl-3,9-dioxo-6-(sulfoamino)-12-oxa-2,4,8,11-tetraazatetradec-10-en-14-oic acid", 21777 },
	{ "PFW", "", "", ResidueType::NON_POLYMER, false, "7-methoxy-4-[(3S)-3-phenylpiperidin-1-yl]-6-[2-(quinolin-2-yl)ethoxy]quinazoline", 21778 },
	{ "PFX", "", "", ResidueType::PEPTIDE_AMINO_TERMINUS, false, "(2S)-1-({2-[2-(carboxymethoxy)ethoxy]ethyl}amino)-1-oxo-3-(4-phosphonophenyl)propan-2-aminium", 21779 },
	{ "PFY", "", "", ResidueType::NON_POLYMER, false, "(3Z)-5-[(2,6-DICHLOROBENZYL)SULFONYL]-3-[(3,5-DIMETHYL-4-{[(2S)-2-(PYRROLIDIN-1-YLMETHYL)PYRROLIDIN-1-YL]CARBONYL}-1H-PYRROL-2-YL)METHYLIDENE]-1,3-DIHYDRO-2H-INDOL-2-ONE", 21780 },
	{ "PFZ", "", "", ResidueType::NON_POLYMER, false, "1-(N-IMIDAZOLYL)-2-HYDROXY-2-(2,3-DICHLOROPHENYL)OCTANE", 21781 },
	{ "PG0", "", "", ResidueType::NON_POLYMER, false, "2-(2-METHOXYETHOXY)ETHANOL", 21782 },
	{ "PG1", "", "", ResidueType::PEPTIDE_LINKING, false, "PENICILLIN G ACYL-SERINE", 21783 },
	{ "PG2", "", "", ResidueType::NON_POLYMER, false, "PROSTAGLANDIN D2", 21784 },
	{ "PG3", "", "", ResidueType::NON_POLYMER, false, "GUANIDINE-3-PROPANOL", 21785 },
	{ "PG4", "", "", ResidueType::NON_POLYMER, false, "TETRAETHYLENE GLYCOL", 21786 },
	{ "PG5", "", "", ResidueType::NON_POLYMER, false, "1-METHOXY-2-[2-(2-METHOXY-ETHOXY]-ETHANE", 21787 },
	{ "PG6", "", "", ResidueType::NON_POLYMER, false, "1-(2-METHOXY-ETHOXY)-2-{2-[2-(2-METHOXY-ETHOXY]-ETHOXY}-ETHANE", 21788 },
	{ "PG7", "", "", ResidueType::DNA_LINKING, true, "((2R,3R,5R)-5-(2-AMINO-6-HYDROXY-9H-PURIN-9-YL)-3-HYDROXY-TETRAHYDROFURAN-2-YL)METHYL DIHYDROGEN PHOSPHATE", 21789 },
	{ "PG8", "", "", ResidueType::NON_POLYMER, false, "1,2-DIOCTANOYL-SN-GLYCERO-3-[PHOSPHO-RAC-(1-GLYCEROL)", 21790 },
	{ "PG9", "PGY", "", ResidueType::PEPTIDE_LINKING, false, "D-PHENYLGLYCINE", 21791 },
	{ "PGA", "2PL", "", ResidueType::NON_POLYMER, false, "2-PHOSPHOGLYCOLIC ACID", 21792 },
	{ "PGC", "", "PGH", ResidueType::NON_POLYMER, true, "O-PHOSPHOGLYCOLOHYDROXAMATE", 21793 },
	{ "PGD", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-5,6-DIMERCAPTO-7-METHYL-3,7,8A,9-TETRAHYDRO-8-OXA-1,3,9,10-TETRAAZA-ANTHRACEN-4-ONE GUANOSINE DINUCLEOTIDE", 21794 },
	{ "PGE", "PIG", "", ResidueType::NON_POLYMER, false, "TRIETHYLENE GLYCOL", 21795 },
	{ "PGF", "", "", ResidueType::NON_POLYMER, false, "2,5,8,11-TETRAOXATRIDECANE", 21796 },
	{ "PGG", "", "", ResidueType::NON_POLYMER, false, "PARA-NITROPHENYLPHOSPHONOBUTANOYL-GLYCINE", 21797 },
	{ "PGH", "PGC", "", ResidueType::NON_POLYMER, false, "PHOSPHOGLYCOLOHYDROXAMIC ACID", 21798 },
	{ "PGI", "", "", ResidueType::NON_POLYMER, false, "(5R,6R,7S,8S)-5-(HYDROXYMETHYL)-2-(2-PHENYLETHYL)-1,5,6,7,8,8A-HEXAHYDROIMIDAZO[1,2-A]PYRIDINE-6,7,8-TRIOL", 21799 },
	{ "PGJ", "", "", ResidueType::NON_POLYMER, false, "2-(ETHOXYMETHYL)-4-(4-FLUOROPHENYL)-3-[2-(2-HYDROXYPHENOXY)PYRIMIDIN-4-YL]ISOXAZOL-5(2H)-ONE", 21800 },
	{ "PGK", "", "", ResidueType::NON_POLYMER, false, "(1R)-2-{[{[(2R)-2,3-DIHYDROXYPROPYL]OXY}(HYDROXY)PHOSPHORYL]OXY}-1-[(PALMITOYLOXY)METHYL]ETHYL (9S,10S)-9,10-DIBROMOOCTADECANOATE", 21801 },
	{ "PGL", "", "", ResidueType::PEPTIDE_LIKE, false, "(aminomethyl)phosphonic acid", 21802 },
	{ "PGM", "", "", ResidueType::NON_POLYMER, false, "1-MYRISTOYL-2-HYDROXY-SN-GLYCERO-3-[PHOSPHO-RAC-(1-GLYCEROL)]", 21803 },
	{ "PGN", "", "", ResidueType::DNA_LINKING, false, "2'-DEOXYGUANOSINE-3',5'-DIPHOSPHATE", 21804 },
	{ "PGO", "PGQ", "", ResidueType::NON_POLYMER, false, "S-1,2-PROPANEDIOL", 21805 },
	{ "PGP", "", "", ResidueType::RNA_LINKING, false, "GUANOSINE-3',5'-DIPHOSPHATE", 21806 },
	{ "PGQ", "", "PGO", ResidueType::NON_POLYMER, true, "S-1,2-PROPANEDIOL", 21807 },
	{ "PGR", "HP3", "", ResidueType::NON_POLYMER, false, "R-1,2-PROPANEDIOL", 21808 },
	{ "PGS", "SPG", "", ResidueType::NON_POLYMER, false, "", 21809 },
	{ "PGT", "", "", ResidueType::NON_POLYMER, false, "(1S)-2-{[{[(2R)-2,3-DIHYDROXYPROPYL]OXY}(HYDROXY)PHOSPHORYL]OXY}-1-[(PALMITOYLOXY)METHYL]ETHYL STEARATE", 21810 },
	{ "PGU", "", "", ResidueType::NON_POLYMER, false, "N-({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methyl)-L-glutamic acid", 21811 },
	{ "PGV", "", "", ResidueType::NON_POLYMER, false, "(1R)-2-{[{[(2S)-2,3-DIHYDROXYPROPYL]OXY}(HYDROXY)PHOSPHORYL]OXY}-1-[(PALMITOYLOXY)METHYL]ETHYL (11E)-OCTADEC-11-ENOATE", 21812 },
	{ "PGW", "", "", ResidueType::NON_POLYMER, false, "(1R)-2-{[(S)-{[(2S)-2,3-dihydroxypropyl]oxy}(hydroxy)phosphoryl]oxy}-1-[(hexadecanoyloxy)methyl]ethyl (9Z)-octadec-9-enoate", 21813 },
	{ "PGX", "", "", ResidueType::NON_POLYMER, false, "7-[6-(3-HYDROPEROXY-OCT-1-ENYL)-2,3-DIOXA-BICYCLO[2.2.1]HEPT-5-YL]-HEPT-5-ENOIC ACID", 21814 },
	{ "PGY", "", "PG9", ResidueType::PEPTIDE_LINKING, true, "PHENYLGLYCINE", 21815 },
	{ "PGZ", "", "", ResidueType::NON_POLYMER, false, "METHYL 2-O-[(S)-(BENZYLOXY)(HYDROXY)PHOSPHORYL]-3-DEOXY-3-{[(4-METHYLPHENYL)CARBONYL]AMINO}-1-THIO-BETA-D-GALACTOPYRANOSIDE", 21816 },
	{ "PH0", "", "", ResidueType::NON_POLYMER, false, "N-{(2S)-3-[(R)-[(1R)-1-amino-2-phenylethyl](hydroxy)phosphoryl]-2-benzylpropanoyl}-L-phenylalanine", 21817 },
	{ "PH1", "", "", ResidueType::NON_POLYMER, false, "1,2-[DI-2,6,10,14-TETRAMETHYL-HEXADECAN-16-OXY]-PROPANE", 21818 },
	{ "PH2", "HHP", "", ResidueType::NON_POLYMER, false, "2-AMINO-6-HYDROXYMETHYL-7,8-DIHYDRO-3H-PTERIDIN-4-ONE", 21819 },
	{ "PH3", "", "", ResidueType::NON_POLYMER, false, "N-(CHLOROPHENYL)-N'-HYDROXYGUANIDINE", 21820 },
	{ "PH4", "", "", ResidueType::NON_POLYMER, false, "3-{hydroxy[(phosphonooxy)acetyl]amino}propyl dihydrogen phosphate", 21821 },
	{ "PH5", "", "", ResidueType::NON_POLYMER, false, "2-PHENYL-PROP5AC", 21822 },
	{ "PH6", "", "", ResidueType::PEPTIDE_LINKING, false, "(4S)-4-cyclohexyl-L-proline", 21823 },
	{ "PH7", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-(BENZOYLAMINO)-3-[4-(2-BROMOPHENOXY)PHENYL]-2-PROPENOIC ACID", 21824 },
	{ "PH8", "", "", ResidueType::PEPTIDE_LINKING, false, "5-phenyl-L-norvaline", 21825 },
	{ "PH9", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-[(1-ADAMANTYLCARBONYL)AMINO]-3-[4-(2-BROMOPHENOXY)PHENYL]PROP-2-ENOIC ACID", 21826 },
	{ "PHA", "", "", ResidueType::PEPTIDE_LINKING, false, "PHENYLALANINAL", 21827 },
	{ "PHB", "", "", ResidueType::NON_POLYMER, false, "P-HYDROXYBENZOIC ACID", 21828 },
	{ "PHC", "", "", ResidueType::NON_POLYMER, true, "N-METHYL-N-(METHYLBENZYL)FORMAMIDE", 21829 },
	{ "PHD", "ASQ", "", ResidueType::PEPTIDE_LINKING, false, "ASPARTYL PHOSPHATE", 21830 },
	{ "PHE", "", "", ResidueType::PEPTIDE_LINKING, false, "PHENYLALANINE", 21831 },
	{ "PHF", "", "", ResidueType::NON_POLYMER, false, "HF-OXO-PHOSPHATE CLUSTER PHF", 21832 },
	{ "PHG", "", "", ResidueType::NON_POLYMER, false, "PHENYLMERCURY", 21833 },
	{ "PHH", "", "", ResidueType::NON_POLYMER, false, "4,5,6,7-TETRACHLORO-PHTHALIDE", 21834 },
	{ "PHI", "", "", ResidueType::PEPTIDE_LINKING, false, "IODO-PHENYLALANINE", 21835 },
	{ "PHJ", "", "", ResidueType::NON_POLYMER, false, "N-[(AMINOOXY)CARBONYL]-N-PHENYLAMINE", 21836 },
	{ "PHK", "", "", ResidueType::NON_POLYMER, false, "(2R,3S)-3-AMINO-1-CHLORO-4-PHENYL-BUTAN-2-OL", 21837 },
	{ "PHL", "", "", ResidueType::PEPTIDE_LINKING, false, "L-PHENYLALANINOL", 21838 },
	{ "PHM", "HPC", "", ResidueType::PEPTIDE_LIKE, true, "(3S)-3-amino-1-chloro-4-phenylbutan-2-one", 21839 },
	{ "PHN", "", "", ResidueType::NON_POLYMER, false, "1,10-PHENANTHROLINE", 21840 },
	{ "PHO", "", "", ResidueType::NON_POLYMER, false, "PHEOPHYTIN A", 21841 },
	{ "PHP", "", "", ResidueType::NON_POLYMER, false, "(2-PHENYL-1-CARBOBENZYL-OXYVALYL-AMINO)-ETHYL-PHOSPHINIC ACID", 21842 },
	{ "PHQ", "BZO,CBZ", "", ResidueType::NON_POLYMER, false, "benzyl chlorocarbonate", 21843 },
	{ "PHR", "", "", ResidueType::NON_POLYMER, false, "3-(1,3,7-TRIHYDRO-9-D-RIBITYL-2,6,8-PURINETRIONE-7-YL ) HEXANE 1-PHOSPHATE", 21844 },
	{ "PHS", "", "", ResidueType::NON_POLYMER, false, "PHOSPHONIC ACID", 21845 },
	{ "PHT", "", "", ResidueType::NON_POLYMER, false, "PHTHALIC ACID", 21846 },
	{ "PHU", "", "", ResidueType::NON_POLYMER, false, "1-phenylurea", 21847 },
	{ "PHV", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(benzyloxy)carbonyl]-beta-phenyl-D-phenylalanyl-N-[(1S)-4-methoxy-1-phosphonobutyl]-L-prolinamide", 21848 },
	{ "PHW", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(benzyloxy)carbonyl]-beta-phenyl-D-phenylalanyl-N-{(1S,3E)-1-[dihydroxy(diphenoxy)-lambda~5~-phosphanyl]-4-methoxybut-3-en-1-yl}-L-prolinamide", 21849 },
	{ "PHX", "", "", ResidueType::NON_POLYMER, false, "4-{[(Z)-(5-OXO-2-PHENYL-1,3-OXAZOL-4(5H)-YLIDENE)METHYL]AMINO}BUTANOIC ACID", 21850 },
	{ "PHY", "", "", ResidueType::NON_POLYMER, false, "1(S)-AMINOETHYL-(2-CARBOXYPROPYL)PHOSPHORYL-PHOSPHINIC ACID", 21851 },
	{ "PHZ", "", "", ResidueType::NON_POLYMER, false, "1-PHENYLHYDRAZINE", 21852 },
	{ "PI", "", "", ResidueType::NON_POLYMER, false, "HYDROGENPHOSPHATE ION", 21853 },
	{ "PI0", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-[(4-carbamimidoylphenyl)methyl]-2-[[(2R,3R)-3-methyl-2-(phenylmethylsulfonylamino)pentanoyl]amino]pentanediamide", 21854 },
	{ "PI1", "", "", ResidueType::NON_POLYMER, true, "", 21855 },
	{ "PI2", "", "", ResidueType::NON_POLYMER, false, "2-{11-[1-HYDROXY-2-(3-METHYL-BUTYLAMINO)-ETHYL] -6,9-DIOXO-2-OXA-7,10-DIAZA-BICYCLO[11.2.2]HEPTADECA- 1(16),13(17),14-TRIEN-8-YL}-ACETAMIDE", 21856 },
	{ "PI3", "", "", ResidueType::NON_POLYMER, false, "11-[1-HYDROXY-2-(3-METHYL-BUTYLAMINO)-ETHYL]-8-ISOPROPYL-2-OXA-7,10- DIAZA-BICYCLO[11.2.2]HEPTADECA-1(16),13(17),14-TRIENE-6,9-DIONE", 21857 },
	{ "PI4", "", "", ResidueType::NON_POLYMER, false, "1-[2-(8-CARBAMOYLMETHYL-6,9-DIOXO-2-OXA-7,10-DIAZA-BICYCLO[11.2.2]HEPTADECA- 1(16),13(17),14-TRIEN-11-YL)-2-HYDROXY-ETHYL]-PIPERIDINE-2-CARBOXYLIC ACID TERT-BUTYLAMIDE", 21858 },
	{ "PI5", "", "", ResidueType::NON_POLYMER, false, "N-[3-(8-SEC-BUTYL-7,10-DIOXO-2-OXA-6,9-DIAZA-BICYCLO[11.2.2]HEPTADECA-1(16),13(17),14- TRIEN-11-YLAMINO)-2-HYDROXY-1-(4-HYDROXY-BENZYL)-PROPYL]-3-METHYL-2- (2-OXO-PYRROLIDIN-1-YL)-BUTYRAMIDE", 21859 },
	{ "PI6", "0EZ", "", ResidueType::PEPTIDE_LIKE, false, "[1-BENZYL-3-(8-SEC-BUTYL-7,10-DIOXO-2-OXA-6,9-DIAZA-BICYCLO[11.2.2] HEPTADECA-1(16),13(17),14-TRIEN-11-YLAMINO)-2-HYDROXY-PROPYL]-CARBAMIC ACID TERT-BUTYL ESTER", 21860 },
	{ "PI7", "", "", ResidueType::NON_POLYMER, false, "N-[3-(8-SEC-BUTYL-7,10-DIOXO-2-OXA-6,9-DIAZA-BICYCLO[11.2.2] HEPTADECA-1(16),13(17),14-TRIEN-11-YAMINO)-2-HYDROXY-1-(4-HYDROXY-BENZYL) -PROPYL]-3-METHYL-2-PROPIONYLAMINO-BUTYRAMIDE", 21861 },
	{ "PI8", "", "", ResidueType::NON_POLYMER, false, "N-13-[(10S,13S)-9,12-DIOXO-10-(2-BUTYL)-2-OXA-8,11-DIAZABICYCLO [13.2.2] NONADECA-15,17,18-TRIENE] (2R)-BENZYL-(4S)-HYDROXY-5-AMINOPENTANOIC (1R)-HYDROXY-(2S)-INDANEAMIDE", 21862 },
	{ "PI9", "", "", ResidueType::NON_POLYMER, false, "", 21863 },
	{ "PIA", "", "", ResidueType::PEPTIDE_LINKING, false, "[(4Z)-2-[(1S)-1-aminoethyl]-4-(4-hydroxybenzylidene)-5-oxo-4,5-dihydro-1H-imidazol-1-yl]acetic acid", 21864 },
	{ "PIB", "", "", ResidueType::NON_POLYMER, false, "2-(BUTANOYLOXY)-1-{[(HYDROXY{[2,3,4,6-TETRAHYDROXY-5-(PHOSPHONOOXY)CYCLOHEXYL]OXY}PHOSPHORYL)OXY]METHYL}ETHYL BUTANOATE", 21865 },
	{ "PIC", "", "", ResidueType::NON_POLYMER, false, "6-(DIFLUORO-PHOSPHONO-METHYL)-NAPHTHALENE-2-CARBOXYLIC ACID", 21866 },
	{ "PID", "", "", ResidueType::NON_POLYMER, false, "PERIDININ", 21867 },
	{ "PIE", "", "", ResidueType::NON_POLYMER, false, "1,2-DIACYL-SN-GLYCERO-3-PHOSPHOINOSITOL", 21868 },
	{ "PIF", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-{[(S)-hydroxy{[(1R,2R,3R,4R,5S,6R)-2,3,5,6-tetrahydroxy-4-(phosphonooxy)cyclohexyl]oxy}phosphoryl]oxy}propane-1,2-diyl dioctanoate", 21869 },
	{ "PIG", "", "PGE", ResidueType::NON_POLYMER, true, "2-[2-(2-HYDROXY-ETHOXY)-ETHOXY]-ETHANOL", 21870 },
	{ "PIH", "", "", ResidueType::NON_POLYMER, false, "IODOPHENYL", 21871 },
	{ "PII", "", "", ResidueType::NON_POLYMER, false, "2-[(HYDROXY{[(2R,3R,5S,6R)-2,3,4,5,6-PENTAHYDROXYCYCLOHEXYL]OXY}PHOSPHORYL)OXY]-1-[(PALMITOYLOXY)METHYL]ETHYL HEPTADECANOATE", 21872 },
	{ "PIK", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-{[(R)-hydroxy{[(1R,2R,3S,4R,5R,6S)-2,3,6-trihydroxy-4,5-bis(phosphonooxy)cyclohexyl]oxy}phosphoryl]oxy}propane-1,2-diyl dihexadecanoate", 21873 },
	{ "PIL", "", "", ResidueType::NON_POLYMER, false, "3-(CYCLOPENTYLOXY)-N-(3,5-DICHLOROPYRIDIN-4-YL)-4-METHOXYBENZAMIDE", 21874 },
	{ "PIM", "", "", ResidueType::NON_POLYMER, false, "4-PHENYL-1H-IMIDAZOLE", 21875 },
	{ "PIN", "", "", ResidueType::NON_POLYMER, false, "", 21876 },
	{ "PIO", "", "", ResidueType::NON_POLYMER, false, "[(2R)-2-octanoyloxy-3-[oxidanyl-[(1R,2R,3S,4R,5R,6S)-2,3,6-tris(oxidanyl)-4,5-diphosphonooxy-cyclohexyl]oxy-phosphoryl]oxy-propyl] octanoate", 21877 },
	{ "PIP", "", "", ResidueType::NON_POLYMER, false, "PIPERIDINE", 21878 },
	{ "PIQ", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-1-METHYL-6-PHENYLIMIDAZO[4,5-B]PYRIDINE", 21879 },
	{ "PIR", "", "", ResidueType::NON_POLYMER, false, "2-(4-AMINO-PHENYL)-5-HYDROXYMETHYL-PYRROLIDINE-3,4-DIOL", 21880 },
	{ "PIS", "", "", ResidueType::NON_POLYMER, false, "TRIHYDROGEN THIODIPHOSPHATE", 21881 },
	{ "PIT", "", "", ResidueType::NON_POLYMER, false, "PICEATANNOL", 21882 },
	{ "PIU", "", "", ResidueType::NON_POLYMER, false, "1-{2-[4-(AMINOSULFONYL)PHENYL]ETHYL}-2,4,6-TRIMETHYLPYRIDINIUM", 21883 },
	{ "PIV", "", "", ResidueType::PEPTIDE_LINKING, false, "PIVALIC ACID", 21884 },
	{ "PIW", "", "", ResidueType::NON_POLYMER, false, "1-phenyl-1H-imidazole", 21885 },
	{ "PIX", "TF6", "", ResidueType::NON_POLYMER, false, "4-(3-{[5-(trifluoromethyl)pyridin-2-yl]oxy}benzyl)piperidine-1-carboxylic acid", 21886 },
	{ "PIY", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-1H-imidazole", 21887 },
	{ "PIZ", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-{[(R)-{[(1S,2S,3R,4S,5S,6S)-2,6-dihydroxy-3,4,5-tris(phosphonooxy)cyclohexyl]oxy}(hydroxy)phosphoryl]oxy}propane-1,2-diyl dihexadecanoate", 21888 },
	{ "PJ2", "", "", ResidueType::NON_POLYMER, false, "(5Z,12Z,15S)-15-hydroxy-11-oxoprosta-5,9,12-trien-1-oic acid", 21889 },
	{ "PJ7", "", "", ResidueType::NON_POLYMER, false, "4-aminofuran-2-carboxylic acid", 21890 },
	{ "PJA", "", "", ResidueType::NON_POLYMER, false, "4-formyl-3-hydroxy-8-methoxy-1,9-dimethyl-11-oxo-11H-dibenzo[b,e][1,4]dioxepine-6-carboxylic acid", 21891 },
	{ "PJC", "", "", ResidueType::NON_POLYMER, false, "3-(1H-indol-3-yl)-4-[2-(4-oxopiperidin-1-yl)-5-(trifluoromethyl)pyrimidin-4-yl]-1H-pyrrole-2,5-dione", 21892 },
	{ "PJE", "", "", ResidueType::PEPTIDE_LIKE, false, "(E,4S)-4-azanyl-5-[(3S)-2-oxidanylidenepyrrolidin-3-yl]pent-2-enoic acid", 21893 },
	{ "PJJ", "", "", ResidueType::PEPTIDE_LIKE, false, "(2R,4S,5S)-5-amino-2-benzyl-4-hydroxy-6-phenylhexanoic acid", 21894 },
	{ "PJL", "", "", ResidueType::NON_POLYMER, false, "(3~{E})-3-[(~{E})-3-oxidanylprop-2-enoyl]iminopropanoic acid", 21895 },
	{ "PJZ", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(dodecanoyloxy)propyl (4E,6E,8E,10E,12E)-pentadeca-4,6,8,10,12-pentaenoate", 21896 },
	{ "PK0", "", "", ResidueType::NON_POLYMER, false, "4-[(4R)-4-(4-hydroxyphenyl)-3,4-dimethyl-2,5-dioxoimidazolidin-1-yl]-2-(trifluoromethyl)benzonitrile", 21897 },
	{ "PK1", "", "", ResidueType::NON_POLYMER, false, "(5R)-3-(3,4-dichlorophenyl)-5-(4-hydroxyphenyl)-1,5-dimethyl-2-thioxoimidazolidin-4-one", 21898 },
	{ "PK2", "", "", ResidueType::NON_POLYMER, false, "6-amino-4-{2-[(cyclohexylmethyl)amino]ethyl}-2-(methylamino)-1,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 21899 },
	{ "PK3", "", "", ResidueType::NON_POLYMER, false, "6-amino-4-(2-hydroxyethyl)-2-(methylamino)-3,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 21900 },
	{ "PK6", "", "", ResidueType::NON_POLYMER, false, "N-methyl-2-thiophenesulfonamide", 21901 },
	{ "PK9", "", "", ResidueType::NON_POLYMER, false, "tert-butyl {6-oxo-6-[(pyridin-3-ylmethyl)amino]hexyl}carbamate", 21902 },
	{ "PKA", "", "", ResidueType::NON_POLYMER, false, "N-[(2R)-butan-2-yl]-1-(2-chlorophenyl)-N-methylisoquinoline-3-carboxamide", 21903 },
	{ "PKC", "", "", ResidueType::PEPTIDE_LIKE, false, "(2R,3S)-1,3-diamino-4-phenylbutan-2-ol", 21904 },
	{ "PKF", "", "", ResidueType::NON_POLYMER, false, "CARBOBENZOXY-PRO-LYS-PHE-Y(PO2)-ALA-PRO-OME", 21905 },
	{ "PKJ", "", "", ResidueType::NON_POLYMER, false, "N-(1,3-benzodioxol-5-yl)-2-{[5-(4-methylphenyl)[1,3]thiazolo[2,3-c][1,2,4]triazol-3-yl]sulfanyl}acetamide", 21906 },
	{ "PKL", "", "", ResidueType::NON_POLYMER, false, "N-[2-(3-chlorophenyl)ethyl]-3-(4-methylphenyl)imidazo[2,1-b][1,3]thiazole-5-carboxamide", 21907 },
	{ "PKR", "", "", ResidueType::PEPTIDE_LIKE, true, "(2S)-1-methylpyrrolidine-2-carbaldehyde", 21908 },
	{ "PKT", "", "", ResidueType::NON_POLYMER, false, "tert-butyl [(2S)-1-(1H-indol-3-yl)-3-({3-oxo-3-[(pyridin-3-ylmethyl)amino]propyl}sulfanyl)propan-2-yl]carbamate", 21909 },
	{ "PKU", "", "", ResidueType::NON_POLYMER, false, "4-bromanyl-~{N}-methyl-1~{H}-pyrrole-2-carboxamide", 21910 },
	{ "PKZ", "", "", ResidueType::NON_POLYMER, false, "Palmitoyl-CoA", 21911 },
	{ "PL0", "", "", ResidueType::NON_POLYMER, false, "1-phenylguanidine", 21912 },
	{ "PL1", "", "", ResidueType::NON_POLYMER, false, "COBALT (III)-DEGLYCOPEPLEOMYCIN", 21913 },
	{ "PL2", "", "", ResidueType::NON_POLYMER, false, "(4-{[(4-{[AMINO(IMINO)METHYL]AMINO}BUTYL)AMINO]METHYL}-5-HYDROXY-6-METHYLPYRIDIN-3-YL)METHYL DIHYDROGEN PHOSPHATE", 21914 },
	{ "PL3", "", "", ResidueType::NON_POLYMER, false, "HEXADECAN-1-OL", 21915 },
	{ "PL4", "", "", ResidueType::NON_POLYMER, false, "(2S,6S)-2-amino-6-[({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methyl)amino]heptanedioic acid", 21916 },
	{ "PL5", "", "", ResidueType::NON_POLYMER, false, "(2S,6S)-2-amino-6-{[(1E)-{3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methylidene]amino}heptanedioic acid", 21917 },
	{ "PL6", "", "", ResidueType::NON_POLYMER, false, "(E)-N-({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methylidene)-L-glutamic acid", 21918 },
	{ "PL7", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-({(2S)-2-CARBOXY-2-[(PHENOXYACETYL)AMINO]ETHOXY}IMINO)PENTANEDIOIC ACID", 21919 },
	{ "PL8", "", "", ResidueType::NON_POLYMER, false, "[5-hydroxy-4-({[6-(3-hydroxypropyl)-2-oxo-1,2-dihydropyridin-3-yl]amino}methyl)-6-methylpyridin-3-yl]methyl dihydrogen phosphate", 21920 },
	{ "PL9", "", "", ResidueType::NON_POLYMER, false, "2,3-DIMETHYL-5-(3,7,11,15,19,23,27,31,35-NONAMETHYL-2,6,10,14,18,22,26,30,34-HEXATRIACONTANONAENYL-2,5-CYCLOHEXADIENE-1,4-DIONE-2,3-DIMETHYL-5-SOLANESYL-1,4-BENZOQUINONE", 21921 },
	{ "PLA", "AMA", "", ResidueType::NON_POLYMER, false, "2-[(3-HYDROXY-2-METHYL-5-PHOSPHONOOXYMETHYL-PYRIDIN-4-YLMETHYL)-AMINO]-2-METHYL-SUCCINIC ACID", 21922 },
	{ "PLB", "", "", ResidueType::NON_POLYMER, false, "2-[(2,4-DICHLOROBENZOYL)AMINO]-5-(PYRIMIDIN-2-YLOXY)BENZOIC ACID", 21923 },
	{ "PLC", "", "", ResidueType::NON_POLYMER, false, "DIUNDECYL PHOSPHATIDYL CHOLINE", 21924 },
	{ "PLD", "", "", ResidueType::NON_POLYMER, false, "DIUNDECYL PHOSPHATIDYL CHOLINE", 21925 },
	{ "PLE", "", "", ResidueType::PEPTIDE_LIKE, true, "[(1R)-1-amino-3-methylbutyl]phosphonic acid", 21926 },
	{ "PLF", "", "", ResidueType::PEPTIDE_LIKE, false, "2-[5-(1-AMINO-2-METHYL-BUTYL)-[1,2,3]TRIAZOL-1-YL]-PROPIONIC ACID", 21927 },
	{ "PLG", "", "", ResidueType::NON_POLYMER, false, "N-GLYCINE-[3-HYDROXY-2-METHYL-5-PHOSPHONOOXYMETHYL-PYRIDIN-4-YL-METHANE]", 21928 },
	{ "PLH", "HAP", "", ResidueType::NON_POLYMER, false, "METHYLAMINO-PHENYLALANYL-LEUCYL-HYDROXAMIC ACID", 21929 },
	{ "PLI", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-{[(Z)-{3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4(1H)-YLIDENE}METHYL]IMINO}PROPANOIC ACID", 21930 },
	{ "PLJ", "", "", ResidueType::PEPTIDE_LINKING, false, "methyl L-prolinate", 21931 },
	{ "PLK", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-[({3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}METHYL)AMINO]-5-METHYLHEXANOIC ACID", 21932 },
	{ "PLL", "", "", ResidueType::NON_POLYMER, false, "Palladium(II) allyl complex", 21933 },
	{ "PLM", "FAT,PLY", "", ResidueType::NON_POLYMER, false, "PALMITIC ACID", 21934 },
	{ "PLO", "", "", ResidueType::NON_POLYMER, false, "(3BETA)-3-HYDROXYPREGN-5-EN-20-ONE", 21935 },
	{ "PLP", "", "", ResidueType::NON_POLYMER, false, "PYRIDOXAL-5'-PHOSPHATE", 21936 },
	{ "PLQ", "", "", ResidueType::NON_POLYMER, false, "1,4-benzoquinone", 21937 },
	{ "PLR", "", "", ResidueType::NON_POLYMER, false, "(5-HYDROXY-4,6-DIMETHYLPYRIDIN-3-YL)METHYL DIHYDROGEN PHOSPHATE", 21938 },
	{ "PLS", "", "", ResidueType::NON_POLYMER, false, "[3-HYDROXY-2-METHYL-5-PHOSPHONOOXYMETHYL-PYRIDIN-4-YLMETHYL]-SERINE", 21939 },
	{ "PLT", "", "", ResidueType::NON_POLYMER, false, "[3-HYDROXY-2-METHYL-5-PHOSPHONOOXYMETHYL-PYRIDIN-4-YLMETHYL]-L-TRYPTOPHANE", 21940 },
	{ "PLU", "", "", ResidueType::NON_POLYMER, false, "LEUCINE PHOSPHONIC ACID", 21941 },
	{ "PLV", "", "", ResidueType::NON_POLYMER, false, "N-({3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}METHYL)-O-METHYL-L-SERINE", 21942 },
	{ "PLW", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-2-[5-(1S,2S)-(1-AMINO-2-METHYL-BUTYL)-[1,2,3]TRIAZOL-1-YL]-PROPIONIC ACID", 21943 },
	{ "PLX", "", "", ResidueType::NON_POLYMER, false, "(9R,11S)-9-({[(1S)-1-HYDROXYHEXADECYL]OXY}METHYL)-2,2-DIMETHYL-5,7,10-TRIOXA-2LAMBDA~5~-AZA-6LAMBDA~5~-PHOSPHAOCTACOSANE-6,6,11-TRIOL", 21944 },
	{ "PLY", "", "PLM", ResidueType::NON_POLYMER, true, "PALMITOYL", 21945 },
	{ "PLZ", "", "", ResidueType::NON_POLYMER, false, "4-[({3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}METHYL)AMINO]BUTANOIC ACID", 21946 },
	{ "PM0", "", "", ResidueType::NON_POLYMER, false, "premithramycin B", 21947 },
	{ "PM1", "", "", ResidueType::NON_POLYMER, false, "[2-AMINO-6-(2,6-DIFLUORO-BENZOYL)-IMIDAZO[1,2-A]PYRIDIN-3-YL]-PHENYL-METHANONE", 21948 },
	{ "PM2", "", "", ResidueType::NON_POLYMER, false, "1-[3-(1-{[5-(2-PHENYLETHYL)PYRIDIN-3-YL]CARBONYL}PIPERIDIN-4-YL)PHENYL]METHANAMINE", 21949 },
	{ "PM3", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-3-(4-PHOSPHONOMETHYL-PHENYL)-PROPIONIC ACID", 21950 },
	{ "PM4", "", "", ResidueType::NON_POLYMER, false, "S-(2-{[N-(2-HYDROXY-4-{[HYDROXY(OXIDO)PHOSPHINO]OXY}-3,3-DIMETHYLBUTANOYL)-BETA-ALANYL]AMINO}ETHYL) HEXANETHIOATE", 21951 },
	{ "PM5", "", "", ResidueType::NON_POLYMER, false, "S-(2-{[N-(2-HYDROXY-4-{[HYDROXY(OXIDO)PHOSPHINO]OXY}-3,3-DIMETHYLBUTANOYL)-BETA-ALANYL]AMINO}ETHYL) HEPTANETHIOATE", 21952 },
	{ "PM6", "", "", ResidueType::NON_POLYMER, false, "9H-purine-6-thiol", 21953 },
	{ "PM7", "", "", ResidueType::NON_POLYMER, false, "(5aS,12aS,13aS)-12,12-dimethyl-2,3,11,12,12a,13-hexahydro-1H,5H,6H-5a,13a-(epiminomethano)indolizino[7,6-b]carbazol-14-one", 21954 },
	{ "PM8", "", "", ResidueType::NON_POLYMER, false, "S-(2-{[N-(2-HYDROXY-4-{[HYDROXY(OXIDO)PHOSPHINO]OXY}-3,3-DIMETHYLBUTANOYL)-BETA-ALANYL]AMINO}ETHYL) DECANETHIOATE", 21955 },
	{ "PM9", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-{[(Z)-{3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4(1H)-YLIDENE}METHYL]IMINO}-4-(METHYLSULFANYL)BUTANOIC ACID", 21956 },
	{ "PMA", "", "", ResidueType::NON_POLYMER, false, "PYROMELLITIC ACID", 21957 },
	{ "PMB", "", "", ResidueType::NON_POLYMER, false, "PARA-MERCURY-BENZENESULFONIC ACID", 21958 },
	{ "PMC", "", "", ResidueType::NON_POLYMER, false, "3-(PHOSPHONOMETHYL)PYRIDINE-2-CARBOXYLIC ACID", 21959 },
	{ "PMD", "", "", ResidueType::NON_POLYMER, false, "[N-(2,4-DIAMINOPTERIDIN-6-YL)-METHYL]-DIBENZ[B,F]AZEPINE", 21960 },
	{ "PME", "", "", ResidueType::NON_POLYMER, false, "N-L-ALPHA-ASPARTYL L-PHENYLALANINE 1-METHYL ESTER", 21961 },
	{ "PMG", "", "", ResidueType::NON_POLYMER, false, "N-({3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}METHYL)-2-METHYL-L-GLUTAMIC ACID", 21962 },
	{ "PMH", "", "", ResidueType::NON_POLYMER, false, "(5-HYDROXY-4-{[(3-HYDROXYISOXAZOL-4-YL)AMINO]METHYL}-6-METHYLPYRIDIN-3-YL)METHYL DIHYDROGEN PHOSPHATE", 21963 },
	{ "PMI", "", "", ResidueType::NON_POLYMER, false, "(2-AMINO-2,3-DIHYDRO-1H-INDEN-2-YL)PHOSPHONIC ACID", 21964 },
	{ "PMJ", "", "", ResidueType::PEPTIDE_LIKE, false, "N~2~-(benzylsulfonyl)-D-arginyl-N-(4-carbamimidoylbenzyl)glycinamide", 21965 },
	{ "PMK", "", "", ResidueType::NON_POLYMER, false, "(4R,8S,16S,20R)-4,8,12,16,20-pentamethylheptacosyl dihydrogen phosphate", 21966 },
	{ "PML", "", "", ResidueType::NON_POLYMER, false, "PIMELIC ACID", 21967 },
	{ "PMM", "", "", ResidueType::NON_POLYMER, false, "PTERIN-6-YL-METHYL-MONOPHOSPHATE", 21968 },
	{ "PMN", "", "", ResidueType::NON_POLYMER, false, "PLATENSIMYCIN", 21969 },
	{ "PMO", "", "", ResidueType::NON_POLYMER, false, "N1-(5'-PHOSPHO-ALPHA-RIBOSYL)-5-METHOXYBENZIMIDAZOLE", 21970 },
	{ "PMP", "", "", ResidueType::NON_POLYMER, false, "4'-DEOXY-4'-AMINOPYRIDOXAL-5'-PHOSPHATE", 21971 },
	{ "PMQ", "", "", ResidueType::NON_POLYMER, false, "benzylcarbamic acid", 21972 },
	{ "PMR", "", "", ResidueType::NON_POLYMER, false, "Protochlorophyllide", 21973 },
	{ "PMS", "IOX", "", ResidueType::NON_POLYMER, false, "phenylmethanesulfonic acid", 21974 },
	{ "PMT", "", "", ResidueType::RNA_LINKING, false, "PHOSPHORIC ACID MONO-[3-(3-{[5-(4-AMINO-2-OXO-2H-PYRIMIDIN-1-YL)-3,4- DIHYDROXY-TETRAHYDRO-FURAN-2- YLMETHOXY]-HYDROXY-PHOSPHORYLOXY}-3-OXO-PROPYLCARBAMOYL)-3-HYDROXY-2,2- DIMETHYL-PROPYL] ESTER", 21975 },
	{ "PMU", "", "", ResidueType::NON_POLYMER, false, "(3S,4S)-1-{3-[2-amino-6-(propan-2-yl)pyrimidin-4-yl]-4-hydroxyphenyl}pyrrolidine-3,4-diol", 21976 },
	{ "PMV", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-HYDROXY-3-METHYL-5-(PHOSPHONOOXY)PENTANOIC ACID", 21977 },
	{ "PMX", "", "", ResidueType::NON_POLYMER, false, "3-chloro-N-[(2E)-4-methoxy-4-oxobut-2-enoyl]-L-tyrosine", 21978 },
	{ "PMY", "", "", ResidueType::NON_POLYMER, false, "AGLYCON OF PEPLOMYCIN", 21979 },
	{ "PMZ", "", "", ResidueType::NON_POLYMER, false, "1-[10-(3-DIMETHYLAMINO-PROPYL)-10H-PHENOTHIAZIN-2-YL]-ETHANONE", 21980 },
	{ "PN0", "", "", ResidueType::NON_POLYMER, false, "Prinomastat", 21981 },
	{ "PN1", "", "", ResidueType::NON_POLYMER, false, "(2S,6R)-6-{[(2R)-2-AMINO-2-PHENYLETHANOYL]AMINO}-3,3-DIMETHYL-7-OXO-4-THIA-1-AZABICYCLO[3.2.0]HEPTANE-2-CARBOXYLIC ACID", 21982 },
	{ "PN2", "", "", ResidueType::NON_POLYMER, false, "", 21983 },
	{ "PN3", "", "", ResidueType::NON_POLYMER, false, "tert-butyl {(2S)-1-[formyl(hydroxy)amino]-3-phenylpropan-2-yl}carbamate", 21984 },
	{ "PN4", "", "", ResidueType::PEPTIDE_LIKE, false, "(2R)-2,4-dihydroxy-3,3-dimethyl-N-[3-oxo-3-(pentylamino)propyl]butanamide", 21985 },
	{ "PN5", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-hydroxy-2,2-dimethyl-4-oxo-4-({3-oxo-3-[(2-sulfanylethyl)amino]propyl}amino)butyl 2,2-dimethylpropanoate", 21986 },
	{ "PN6", "", "", ResidueType::NON_POLYMER, false, "(3Z,6Z)-3-benzylidene-6-[(5-tert-butyl-1H-imidazol-4-yl)methylidene]piperazine-2,5-dione", 21987 },
	{ "PN7", "", "", ResidueType::NON_POLYMER, false, "N~3~-[(2S)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-N-(2-sulfanylethyl)-beta-alaninamide", 21988 },
	{ "PNA", "", "", ResidueType::SACCHARIDE, false, "4'-NITROPHENYL-ALPHA-D-MANNOPYRANOSIDE", 21989 },
	{ "PNB", "", "", ResidueType::NON_POLYMER, false, "4-NITRO-BENZYLPHOSPHONOBUTANOYL-GLYCINE", 21990 },
	{ "PNC", "", "", ResidueType::NON_POLYMER, false, "PARA-NITROBENZYL GLUTARYL GLYCINIC ACID", 21991 },
	{ "PND", "", "", ResidueType::NON_POLYMER, false, "P-NITROPHENYLHYDRAZINE", 21992 },
	{ "PNE", "", "", ResidueType::NON_POLYMER, false, "PARA-NITROPHENYL PHOSPHONOBUTANOYL L-ALANINE", 21993 },
	{ "PNF", "", "", ResidueType::NON_POLYMER, false, "6-{4-[HYDROXY-(4-NITRO-PHENOXY)-PHOSPHORYL]-BUTYRYLAMINO}-HEXANOIC ACID", 21994 },
	{ "PNG", "", "", ResidueType::SACCHARIDE, false, "4'-NITROPHENYL-ALPHA-D-GLUCOPYRANOSIDE", 21995 },
	{ "PNH", "", "", ResidueType::NON_POLYMER, false, "pentan-2-one", 21996 },
	{ "PNI", "", "", ResidueType::NON_POLYMER, false, "TETRA[N-METHYL-PYRIDYL] PORPHYRIN-NICKEL", 21997 },
	{ "PNJ", "", "", ResidueType::NON_POLYMER, false, "PNP-BETA-D-GLUCOSAMINE", 21998 },
	{ "PNK", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-2-{(R)-carboxy[(phenylacetyl)amino]methyl}-5,5-dimethyl-1,3-thiazolidine-4-carboxylic acid", 21999 },
	{ "PNL", "", "CBG", ResidueType::NON_POLYMER, true, "PROPANAL", 22000 },
	{ "PNM", "", "", ResidueType::NON_POLYMER, false, "OPEN FORM - PENICILLIN G", 22001 },
	{ "PNN", "", "", ResidueType::NON_POLYMER, false, "PENICILLIN G", 22002 },
	{ "PNO", "", "", ResidueType::NON_POLYMER, false, "P-METHYL AMINOPHOSPHINIC ACID", 22003 },
	{ "PNP", "", "", ResidueType::NON_POLYMER, false, "METHYL-PHOSPHONIC ACID MONO-(4-NITRO-PHENYL) ESTER", 22004 },
	{ "PNQ", "", "", ResidueType::NON_POLYMER, false, "P-NITROPHENYL AMINOETHYLDIPHOSPHATE BERYLLIUM TRIFLUORIDE", 22005 },
	{ "PNR", "", "", ResidueType::NON_POLYMER, false, "4-nitrophenyl hexadecanoate", 22006 },
	{ "PNS", "", "", ResidueType::NON_POLYMER, false, "4'-PHOSPHOPANTETHEINE", 22007 },
	{ "PNT", "", "", ResidueType::NON_POLYMER, false, "1,5-BIS(4-AMIDINOPHENOXY)PENTANE", 22008 },
	{ "PNU", "", "", ResidueType::NON_POLYMER, false, "6-CHLORO-2-(1-FURO[2,3-C]PYRIDIN-5-YL-ETHYLSULFANYL)-PYRIMIDIN-4-YLAMINE", 22009 },
	{ "PNV", "", "", ResidueType::NON_POLYMER, false, "(2S,5R,6R)-3,3-DIMETHYL-7-OXO-6-(2-PHENOXYACETAMIDO)-4-THIA-1- AZABICYCLO(3.2.0)HEPTANE-2-CARBOXYLIC ACID", 22010 },
	{ "PNW", "", "", ResidueType::SACCHARIDE, false, "4-nitrophenyl beta-D-glucopyranoside", 22011 },
	{ "PNX", "", "", ResidueType::NON_POLYMER, false, "3,7-DIMETHYL-1-(5-OXOHEXYL)-3,7-DIHYDRO-1H-PURINE-2,6-DIONE", 22012 },
	{ "PNY", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,4-dihydroxy-3,3-dimethyl-N-{3-oxo-3-[(2-sulfanylethyl)amino]propyl}butanamide", 22013 },
	{ "PNZ", "", "", ResidueType::PEPTIDE_CARBOXY_TERMINUS, false, "P-NITRO-BENZYLAMINE", 22014 },
	{ "PO0", "", "", ResidueType::NON_POLYMER, true, "1-BENZYL-(R)-PROPYLAMINE", 22015 },
	{ "PO1", "", "", ResidueType::NON_POLYMER, false, "(9BETA,13ALPHA,14BETA,17ALPHA)-2-METHOXYESTRA-1,3,5(10)-TRIENE-3,17-DIYL DISULFAMATE", 22016 },
	{ "PO2", "", "", ResidueType::NON_POLYMER, false, "HYPOPHOSPHITE", 22017 },
	{ "PO3", "", "", ResidueType::NON_POLYMER, false, "PHOSPHITE ION", 22018 },
	{ "PO4", "IPS", "", ResidueType::NON_POLYMER, false, "PHOSPHATE ION", 22019 },
	{ "PO5", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-(dimethylamino)-3-(4-{[4-(6-morpholin-4-ylpyrazolo[1,5-b]pyridazin-3-yl)pyrimidin-2-yl]amino}phenoxy)propan-2-ol", 22020 },
	{ "PO6", "", "", ResidueType::NON_POLYMER, false, "2-phenoxyacetamide", 22021 },
	{ "PO7", "", "", ResidueType::NON_POLYMER, false, "(6Z)-3-[[2,5-bis(fluoranyl)phenyl]methylidene]-6-[(4-tert-butyl-1H-imidazol-5-yl)methylidene]piperazine-2,5-dione", 22022 },
	{ "POA", "", "", ResidueType::NON_POLYMER, false, "PHOSPHONOACETALDEHYDE", 22023 },
	{ "POB", "", "", ResidueType::NON_POLYMER, false, "2-[(1-AMINO-ETHYL)-PHOSPHATE-PHOSPHINOYLOXY]-BUTYRIC ACID", 22024 },
	{ "POC", "", "PC", ResidueType::NON_POLYMER, true, "PHOSPHOCHOLINE", 22025 },
	{ "POD", "", "", ResidueType::NON_POLYMER, false, "9-HYDROXY-5-(3,4,5-TRIMETHOXYPHENYL)-5,8,8A,9-TETRAHYDROFURO[3',4':6,7]NAPHTHO[2,3-D][1,3]DIOXOL-6(5AH)-ONE", 22026 },
	{ "POF", "", "", ResidueType::NON_POLYMER, false, "(4aS,4bR,10bS,12aS)-12a-methyl-1,3-dioxo-2-(pyridin-3-ylmethyl)-1,2,3,4,4a,4b,5,6,10b,11,12,12a-dodecahydronaphtho[2,1-f]isoquinolin-8-yl sulfamate", 22027 },
	{ "POG", "", "", ResidueType::NON_POLYMER, false, "(20S)-2,5,8,11,14,17-HEXAMETHYL-3,6,9,12,15,18-HEXAOXAHENICOSANE-1,20-DIOL", 22028 },
	{ "POH", "", "", ResidueType::NON_POLYMER, false, "(1Z,4Z,9Z,15Z)-5,10,15,20-tetrakis(1-methylpyridin-1-ium-4-yl)-21,23-dihydroporphyrin", 22029 },
	{ "POI", "", "", ResidueType::NON_POLYMER, false, "N~2~-ACETYL-N~5~-({3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}METHYL)-L-ORNITHINE", 22030 },
	{ "POL", "", "", ResidueType::NON_POLYMER, false, "N-PROPANOL", 22031 },
	{ "POM", "", "", ResidueType::PEPTIDE_LINKING, false, "CIS-5-METHYL-4-OXOPROLINE", 22032 },
	{ "PON", "", "", ResidueType::NON_POLYMER, false, "IMIDO DIPHOSPHATE", 22033 },
	{ "POO", "", "", ResidueType::NON_POLYMER, false, "3-CYCLOHEXYL-1-(2-{METHYL[(1-METHYLPIPERIDIN-3-YL)METHYL]AMINO}-2-OXOETHYL)-2-PHENYL-1H-INDOLE-6-CARBOXYLIC ACID", 22034 },
	{ "POP", "", "", ResidueType::NON_POLYMER, false, "PYROPHOSPHATE 2-", 22035 },
	{ "POQ", "", "", ResidueType::NON_POLYMER, false, "BIS(((3S,4S,5R,6R)-5-(ETHYL(PHOSPHORYLOXY))-3,4,6-TRIHYDROXY-TETRAHYDRO-2H-PYRAN-2-YL)METHYL) HYDROGEN PHOSPHATE", 22036 },
	{ "POR", "", "", ResidueType::NON_POLYMER, false, "PORPHYRIN FE(III)", 22037 },
	{ "POS", "", "", ResidueType::NON_POLYMER, false, "1-[[(4-PHENOXYPHENYL)SULFONYL]AMINO]-3-[[N/N-(4-PYRIDINYLCARBONYL)-L-LEUCYL]AMINO]-2-PROPANOL", 22038 },
	{ "POT", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-(PHENOXYMETHYL)PROPYL METHYLPHOSPHONOCHLORIDOATE", 22039 },
	{ "POU", "", "", ResidueType::NON_POLYMER, false, "Peloruside A", 22040 },
	{ "POV", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(hexadecanoyloxy)-2-[(9Z)-octadec-9-enoyloxy]propyl 2-(trimethylammonio)ethyl phosphate", 22041 },
	{ "POX", "", "", ResidueType::NON_POLYMER, false, "4-amino-6-{[1-(3-fluorobenzyl)-1H-indazol-5-yl]amino}pyrimidine-5-carbaldehyde O-(2-methoxyethyl)oxime", 22042 },
	{ "POY", "", "", ResidueType::NON_POLYMER, false, "3-methyl-1-(5-oxohexyl)-7-propyl-3,7-dihydro-1H-purine-2,6-dione", 22043 },
	{ "POZ", "", "", ResidueType::NON_POLYMER, false, "", 22044 },
	{ "PP0", "", "", ResidueType::NON_POLYMER, false, "ethyl 4-[(4-benzylpiperazin-1-yl)carbonyl]-1-ethyl-3,5-dimethyl-1H-pyrrole-2-carboxylate", 22045 },
	{ "PP1", "", "", ResidueType::NON_POLYMER, false, "1-TER-BUTYL-3-P-TOLYL-1H-PYRAZOLO[3,4-D]PYRIMIDIN-4-YLAMINE", 22046 },
	{ "PP2", "", "", ResidueType::NON_POLYMER, false, "1-TERT-BUTYL-3-(4-CHLORO-PHENYL)-1H-PYRAZOLO[3,4-D]PYRIMIDIN-4-YLAMINE", 22047 },
	{ "PP3", "PDL", "", ResidueType::NON_POLYMER, false, "ALANYL-PYRIDOXAL-5'-PHOSPHATE", 22048 },
	{ "PP4", "", "", ResidueType::NON_POLYMER, false, "METHYL (2S)-[1-((N-FORMYL)-L-VALYL)AMINO-2-(2-NAPHTHYL)ETHYL)HYDROXYPHOSPHINYLOXY]-3-PHENYL PROPANOATE", 22049 },
	{ "PP5", "", "", ResidueType::NON_POLYMER, false, "METHYL (2S)-[1-((N-(NAPHTHALENEACETYL))-L-VALYL)AMINOMETHYL)HYDROXYPHOSPHINYLOXY]-3-PHENYL PROPANOATE", 22050 },
	{ "PP6", "", "", ResidueType::NON_POLYMER, false, "METHYL[CYCLO-7[(2R)-((N-VALYL)AMINO)-2-(HYDROXYL-(1S)-1-METHYLOXYCARBONYL-2-PHENYLETHOXY)PHOSPHINYLOXY-ETHYL]-1-NAPHTHALENEACETAMIDE]", 22051 },
	{ "PP7", "", "", ResidueType::NON_POLYMER, false, "METHYL CYCLO[(2S)-2-[[(1R)-1-(N-(L-N-(3-METHYLBUTANOYL)VALYL-L-ASPARTYL)AMINO)-3-METHYLBUTYL]HYDROXYPHOSPHINYLOXY]-3-(3-AMINOMETHYL)PHENYLPROPANOATE", 22052 },
	{ "PP8", "", "", ResidueType::NON_POLYMER, false, "2-[(1R)-1-(N-(3-METHYLBUTANOYL)-L-VALYL-L-ASPARAGINYL)-AMINO)-3-METHYLBUTYL]HYDROXYPHOSPHINYLOXY]-3-PHENYLPROPANOIC ACID METHYLESTER", 22053 },
	{ "PP9", "", "", ResidueType::NON_POLYMER, false, "PROTOPORPHYRIN IX", 22054 },
	{ "PPB", "", "", ResidueType::NON_POLYMER, false, "1-{[1-(2-AMINO-3-PHENYL-PROPIONYL)-PYRROLIDINE-2-CARBONYL]-AMINO}-2-(3-CYANO-PHENYL)-ETHANEBORONIC ACID", 22055 },
	{ "PPC", "", "", ResidueType::NON_POLYMER, false, "5-PHOSPHORIBOSYL-1-(BETA-METHYLENE) PYROPHOSPHATE", 22056 },
	{ "PPD", "", "", ResidueType::NON_POLYMER, false, "2-[(3-HYDROXY-2-METHYL-5-PHOSPHONOOXYMETHYL-PYRIDIN-4-YLMETHYLENE)-AMINO]-SUCCINIC ACID", 22057 },
	{ "PPE", "", "", ResidueType::NON_POLYMER, false, "4-[(1,3-DICARBOXY-PROPYLAMINO)-METHYL]-3-HYDROXY-2-METHYL-5-PHOSPHONOOXYMETHYL-PYRIDINIUM", 22058 },
	{ "PPF", "", "", ResidueType::NON_POLYMER, false, "PHOSPHONOFORMIC ACID", 22059 },
	{ "PPG", "", "", ResidueType::NON_POLYMER, false, "(2E,3E)-4-(2-aminoethoxy)-2-[({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methyl)imino]but-3-enoic acid", 22060 },
	{ "PPH", "", "", ResidueType::PEPTIDE_LIKE, false, "[(1R)-1-amino-2-phenylethyl]phosphonic acid", 22061 },
	{ "PPI", "", "", ResidueType::NON_POLYMER, false, "PROPANOIC ACID", 22062 },
	{ "PPJ", "", "", ResidueType::NON_POLYMER, false, "N-(HYDROXY{3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}METHYL)NORVALINE", 22063 },
	{ "PPK", "", "", ResidueType::NON_POLYMER, false, "(DIPHOSPHONO)AMINOPHOSPHONIC ACID", 22064 },
	{ "PPL", "", "", ResidueType::NON_POLYMER, true, "PIPERIDINE-2-CARBOXYLIC ACID TERT-BUTYLAMIDE", 22065 },
	{ "PPM", "", "GB", ResidueType::NON_POLYMER, true, "PHOSPHONOMETHYL GROUP", 22066 },
	{ "PPN", "", "", ResidueType::PEPTIDE_LINKING, false, "PARA-NITROPHENYLALANINE", 22067 },
	{ "PPO", "", "", ResidueType::NON_POLYMER, false, "3H-PYRAZOLO[4,3-D]PYRIMIDIN-7-OL", 22068 },
	{ "PPP", "", "", ResidueType::NON_POLYMER, true, "3-PHENYL-1,2-PROPANDIOL", 22069 },
	{ "PPQ", "", "", ResidueType::NON_POLYMER, false, "PHOSPHINOTHRICIN", 22070 },
	{ "PPR", "", "", ResidueType::NON_POLYMER, false, "PHOSPHONOPYRUVATE", 22071 },
	{ "PPS", "", "", ResidueType::NON_POLYMER, false, "", 22072 },
	{ "PPT", "", "", ResidueType::NON_POLYMER, false, "3-(P-TOLYL)PROPIONIC ACID", 22073 },
	{ "PPU", "", "", ResidueType::RNA_LINKING, false, "PUROMYCIN-5'-MONOPHOSPHATE", 22074 },
	{ "PPV", "", "", ResidueType::NON_POLYMER, false, "PYROPHOSPHATE", 22075 },
	{ "PPW", "", "", ResidueType::DNA_LINKING, false, "7-DEAZA-8-AZA-2'-DEOXYGUANOSINE-5'-MONOPHOSPHATE", 22076 },
	{ "PPX", "", "", ResidueType::PEPTIDE_LIKE, false, "[PHENYLALANINYL-PROLINYL]-[2-(PYRIDIN-4-YLAMINO)-ETHYL]-AMINE", 22077 },
	{ "PPY", "1PY", "", ResidueType::NON_POLYMER, false, "3-PHENYLPYRUVIC ACID", 22078 },
	{ "PPZ", "", "", ResidueType::NON_POLYMER, false, "2-(PYRIDO[1,2-E]PURIN-4-YL)AMINO-ETHANOL", 22079 },
	{ "PQ0", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-4-OXO-4,7-DIHYDRO-3H-PYRROLO[2,3-D]PYRIMIDINE-5-CARBONITRILE", 22080 },
	{ "PQ1", "", "", ResidueType::RNA_LINKING, false, "PHOSPHORIC ACID MONO-[5-(2-AMINO-5-AMINOMETHYL-4-OXO-3,5-DIHYDRO-4H-PYRIDO[2,3-D]PYRIMIDIN-8-YL)-3,4-DIHYDROXY-TETRAHYDRO-FURAN-2-YLMETHYL] ESTER", 22081 },
	{ "PQ3", "", "", ResidueType::NON_POLYMER, false, "N2,N9-bis(1-methylquinolin-3-yl)-1,10-phenanthroline-2,9-dicarboxamide", 22082 },
	{ "PQ7", "", "", ResidueType::NON_POLYMER, false, "4-(dimethylamino)-1-{4-[4-(4-{[4-(pyrrolidin-1-yl)pyridinium-1-yl]methyl}phenyl)butyl]benzyl}pyridinium", 22083 },
	{ "PQ9", "", "", ResidueType::NON_POLYMER, false, "5-[(2E,6E,10E,14E,18E,22E)-3,7,11,15,19,23,27-HEPTAMETHYLOCTACOSA-2,6,10,14,18,22,26-HEPTAENYL]-2,3-DIMETHYLBENZO-1,4-QUINONE", 22084 },
	{ "PQA", "", "", ResidueType::NON_POLYMER, false, "[5-AMINO-1-(4-FLUOROPHENYL)-1H-PYRAZOL-4-YL][3-(PIPERIDIN-4-YLOXY)PHENYL]METHANONE", 22085 },
	{ "PQB", "", "", ResidueType::NON_POLYMER, false, "[5-AMINO-1-(4-FLUOROPHENYL)-1H-PYRAZOL-4-YL](3-{[(2R)-2,3-DIHYDROXYPROPYL]OXY}PHENYL)METHANONE", 22086 },
	{ "PQC", "", "", ResidueType::NON_POLYMER, false, "3-[(8-phenylthieno[2,3-h]quinazolin-2-yl)amino]benzenesulfonamide", 22087 },
	{ "PQE", "", "", ResidueType::NON_POLYMER, false, "3,6,12,15,18,21,24-HEPTAOXAHEXATRIACONTAN-1-OL", 22088 },
	{ "PQN", "", "", ResidueType::NON_POLYMER, false, "PHYLLOQUINONE", 22089 },
	{ "PQQ", "", "", ResidueType::NON_POLYMER, false, "PYRROLOQUINOLINE QUINONE", 22090 },
	{ "PQR", "", "", ResidueType::NON_POLYMER, false, "4-[methyl(nitroso)amino]benzene-1,2-diol", 22091 },
	{ "PQW", "", "", ResidueType::NON_POLYMER, false, "N'-[4-[[(2S,4R)-4-[3-[(C-thiophen-2-ylcarbonimidoyl)amino]phenoxy]pyrrolidin-2-yl]methoxy]phenyl]thiophene-2-carboximidamide", 22092 },
	{ "PR", "", "", ResidueType::NON_POLYMER, false, "PRASEODYMIUM ION", 22093 },
	{ "PR0", "HPB", "", ResidueType::PEPTIDE_LIKE, true, "3(S)-AMINO-4-PHENYL-BUTAN-2(R)-OL", 22094 },
	{ "PR1", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-3-[2-OXO-3-(THIENO[3,2-B]PYRIDINE-2-SULFONYLAMINO)-PYRROLIDIN-1-YLMETHYL]-BENZAMIDINE", 22095 },
	{ "PR2", "", "", ResidueType::NON_POLYMER, false, "THIENO[3,2-B]PYRIDINE-2-SULFONIC ACID [2-OXO-1-(1H-PYRROLO[2,3-C]PYRIDIN-2-YLMETHYL)-PYRROLIDIN-3-YL]-AMIDE", 22096 },
	{ "PR3", "", "", ResidueType::PEPTIDE_LINKING, false, "S,S-PROPYLTHIOCYSTEINE", 22097 },
	{ "PR4", "", "", ResidueType::PEPTIDE_LINKING, false, "1-[(2R)-2-carboxy-2-hydroxyethyl]-L-proline", 22098 },
	{ "PR5", "", "", ResidueType::RNA_LINKING, true, "", 22099 },
	{ "PR6", "", "", ResidueType::NON_POLYMER, false, "3-chloro-3-oxopropanoic acid", 22100 },
	{ "PR7", "", "", ResidueType::PEPTIDE_LINKING, false, "1-[(2S)-2-carboxy-2-hydroxyethyl]-L-proline", 22101 },
	{ "PR8", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-hydroxy{[(2S)-pyrrolidin-2-ylcarbonyl]oxy}phosphoryl]adenosine", 22102 },
	{ "PR9", "", "", ResidueType::PEPTIDE_LINKING, false, "D-PROLINAMIDE", 22103 },
	{ "PRA", "", "", ResidueType::NON_POLYMER, false, "3-PHENYLPROPYLAMINE", 22104 },
	{ "PRB", "", "", ResidueType::NON_POLYMER, false, "13-ACETYLPHORBOL", 22105 },
	{ "PRC", "", "", ResidueType::NON_POLYMER, false, "N-[4-METHYL-3-[[4-(3-PYRIDINYL)-2-PYRIMIDINYL]AMINO]PHENYL]-3-PYRIDINECARBOXAMIDE", 22106 },
	{ "PRD", "", "", ResidueType::NON_POLYMER, false, "N6-(2,5-DIMETHOXY-BENZYL)-N6-METHYL-PYRIDO[2,3-D]PYRIMIDINE-2,4,6-TRIAMINE", 22107 },
	{ "PRE", "", "", ResidueType::NON_POLYMER, false, "PREPHENIC ACID", 22108 },
	{ "PRF", "", "", ResidueType::NON_POLYMER, false, "7-DEAZA-7-AMINOMETHYL-GUANINE", 22109 },
	{ "PRH", "", "", ResidueType::NON_POLYMER, false, "6-HYDROXY-1,6-DIHYDRO PURINE NUCLEOSIDE", 22110 },
	{ "PRI", "", "", ResidueType::NON_POLYMER, false, "PYRROLIDINE-2-CARBALDEHYDE", 22111 },
	{ "PRJ", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,3aS,6R,7aS)-6-hydroxyoctahydro-1H-indole-2-carboxylic acid", 22112 },
	{ "PRK", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-propanoyl-L-lysine", 22113 },
	{ "PRL", "PF", "", ResidueType::NON_POLYMER, false, "PROFLAVIN", 22114 },
	{ "PRM", "", "", ResidueType::NON_POLYMER, false, "3,8-DIAMINO-5[3-(DIETHYLMETHYLAMMONIO)PROPYL]-6-PHENYLPHENANTHRIDINIUM", 22115 },
	{ "PRN", "", "", ResidueType::DNA_LINKING, false, "", 22116 },
	{ "PRO", "", "", ResidueType::PEPTIDE_LINKING, false, "PROLINE", 22117 },
	{ "PRP", "", "", ResidueType::SACCHARIDE, false, "ALPHA-PHOSPHORIBOSYLPYROPHOSPHORIC ACID", 22118 },
	{ "PRQ", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3-amino-3-(2-nitrophenyl)propanoic acid", 22119 },
	{ "PRR", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(METHYL-PYRIDINIUM)ALANINE", 22120 },
	{ "PRS", "", "", ResidueType::PEPTIDE_LINKING, false, "THIOPROLINE", 22121 },
	{ "PRT", "", "", ResidueType::NON_POLYMER, false, " PHOSPHORIBOSYL ATP ", 22122 },
	{ "PRU", "", "", ResidueType::NON_POLYMER, false, "(3R,5R,7R)-octane-1,3,5,7-tetracarboxylic acid", 22123 },
	{ "PRV", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-amino(2-nitrophenyl)ethanoic acid", 22124 },
	{ "PRW", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-4-AMINO-2,3-DIHYDROXYBUTANOIC ACID", 22125 },
	{ "PRX", "", "", ResidueType::NON_POLYMER, false, "", 22126 },
	{ "PRY", "", "", ResidueType::NON_POLYMER, false, "2-PROPYL-ANILINE", 22127 },
	{ "PRZ", "", "", ResidueType::NON_POLYMER, false, "2-ISOBUTYL-3-METHOXYPYRAZINE", 22128 },
	{ "PS0", "", "", ResidueType::PEPTIDE_LIKE, true, "3(S)-AMINO-4-PHENYL-BUTAN-2(S)-OL", 22129 },
	{ "PS1", "", "", ResidueType::NON_POLYMER, false, "1,2-DIDECANOYL-SN-GLYCERO-3-[PHOSPHO-L-SERINE]", 22130 },
	{ "PS2", "", "", ResidueType::NON_POLYMER, false, "O-[{[(2R)-2-{[(9S,10S)-9,10-DIBROMOOCTADECANOYL]OXY}-3-(PALMITOYLOXY)PROPYL]OXY}(HYDROXY)PHOSPHORYL]-L-SERINE", 22131 },
	{ "PS4", "", "", ResidueType::NON_POLYMER, false, "N-({(2S)-1-[(3R)-3-amino-4-(3-chlorophenyl)butanoyl]pyrrolidin-2-yl}methyl)-3-(methylsulfonyl)benzamide", 22132 },
	{ "PS5", "", "", ResidueType::NON_POLYMER, false, "PENTASULFIDE-SULFUR", 22133 },
	{ "PS6", "", "", ResidueType::NON_POLYMER, false, "O-[(S)-{[(2S)-2-(hexanoyloxy)-3-(tetradecanoyloxy)propyl]oxy}(hydroxy)phosphoryl]-D-serine", 22134 },
	{ "PS7", "", "", ResidueType::NON_POLYMER, false, "{(1R,2R,3R)-2-[(3E)-4,8-dimethylnona-3,7-dien-1-yl]-2-methyl-3-[(1E,5E)-2,6,10-trimethylundeca-1,5,9-trien-1-yl]cyclopropyl}methyl trihydrogen diphosphate", 22135 },
	{ "PS8", "", "", ResidueType::NON_POLYMER, false, "2,6-DICHLORO-4-(6-PIPERAZIN-1-YLPYRIDIN-3-YL)-N-(1,3,5-TRIMETHYL-1H-PYRAZOL-4-YL)BENZENESULFONAMIDE", 22136 },
	{ "PS9", "", "", ResidueType::NON_POLYMER, false, "octathiocane", 22137 },
	{ "PSA", "", "", ResidueType::PEPTIDE_LIKE, false, "3-HYDROXY-4-AMINO-5-PHENYLPENTANOIC ACID", 22138 },
	{ "PSB", "", "", ResidueType::NON_POLYMER, false, "3-(5-AMINO-7-HYDROXY-[1,2,3]TRIAZOLO[4,5-D]PYRIMIDIN-2-YL)-N-[2-(2-(HYDROXYMETHYL-PHENYLSULFANYL)-BENZYL]-BENZAMIDE", 22139 },
	{ "PSC", "", "", ResidueType::NON_POLYMER, false, "(7R,17E,20E)-4-HYDROXY-N,N,N-TRIMETHYL-9-OXO-7-[(PALMITOYLOXY)METHYL]-3,5,8-TRIOXA-4-PHOSPHAHEXACOSA-17,20-DIEN-1-AMINIUM 4-OXIDE", 22140 },
	{ "PSD", "", "", ResidueType::NON_POLYMER, false, "5'-O-[N-(PROLYL)-SULFAMOYL]ADENOSINE", 22141 },
	{ "PSE", "", "", ResidueType::NON_POLYMER, false, "O-PHOSPHOETHANOLAMINE", 22142 },
	{ "PSF", "", "", ResidueType::NON_POLYMER, false, "1,2-DICAPROYL-SN-PHOSPHATIDYL-L-SERINE", 22143 },
	{ "PSG", "", "", ResidueType::NON_POLYMER, false, "PARA-NITROPHENYL 1-THIO-BETA-D-GLUCOPYRANOSIDE", 22144 },
	{ "PSH", "", "", ResidueType::PEPTIDE_LINKING, false, "1-thiophosphono-L-histidine", 22145 },
	{ "PSI", "GLI", "", ResidueType::PEPTIDE_LIKE, false, "methyl N-{(4S,5S)-5-[(L-alanyl-L-alanyl)amino]-4-hydroxy-6-phenylhexanoyl}-L-valyl-L-valinate", 22146 },
	{ "PSJ", "", "", ResidueType::SACCHARIDE, false, "D-psicose", 22147 },
	{ "PSK", "", "", ResidueType::NON_POLYMER, false, "[(3R,4S)-4-HYDROXY-3-METHYL-2-OXOHEXYL]PHOSPHONIC ACID", 22148 },
	{ "PSL", "", "", ResidueType::NON_POLYMER, false, "PYROSULFATE", 22149 },
	{ "PSM", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[DIHYDROXY(PROPYL)-LAMBDA~4~-SULFANYL]THREONYL-N~1~-{4-[AMINO(IMINO)METHYL]BENZYL}METHIONINAMIDE", 22150 },
	{ "PSN", "", "", ResidueType::NON_POLYMER, false, "BENZYL 2-FORMYLPHENYL HYDROGEN PHOSPHATE", 22151 },
	{ "PSO", "", "", ResidueType::NON_POLYMER, false, "4'-HYDROXYMETHYL-4,5',8-TRIMETHYLPSORALEN", 22152 },
	{ "PSP", "", "", ResidueType::NON_POLYMER, false, "1,3-PROPYLENE-BIS-N,N'-SYN-4-PYRIDINIUMALDOXIME", 22153 },
	{ "PSQ", "", "", ResidueType::NON_POLYMER, false, "NDELTA-(N'-SULPHODIAMINOPHOSPHINYL)-L-ORNITHINE", 22154 },
	{ "PSR", "", "", ResidueType::NON_POLYMER, false, "THIOBUTYRIC ACID S-{2-[3-(2-HYDROXY-3,3-DIMETHYL-4-PHOSPHONOOXY-BUTYRYLAMINO)-PROPIONYLAMINO]-ETHYL} ESTER", 22155 },
	{ "PSS", "", "", ResidueType::PEPTIDE_LIKE, true, "(2S)-2-[(3R)-3-benzyl-2-oxopiperazin-1-yl]hexanoic acid", 22156 },
	{ "PST", "TS", "", ResidueType::DNA_LINKING, false, "THYMIDINE-5'-THIOPHOSPHATE", 22157 },
	{ "PSU", "", "", ResidueType::RNA_LINKING, false, "PSEUDOURIDINE-5'-MONOPHOSPHATE", 22158 },
	{ "PSV", "", "", ResidueType::SACCHARIDE, false, "alpha-D-psicofuranose", 22159 },
	{ "PSW", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(SULFANYLSELANYL)-L-ALANINE", 22160 },
	{ "PSX", "", "", ResidueType::NON_POLYMER, false, "[(2S,3R,4S)-2,4-DIHYDROXY-3-METHYLHEXYL]PHOSPHONIC ACID", 22161 },
	{ "PSY", "", "", ResidueType::NON_POLYMER, false, "phenyl ethenesulfonate", 22162 },
	{ "PSZ", "", "", ResidueType::NON_POLYMER, false, "4-[({3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}METHYL)AMINO]THIOPHENE-2-CARBOXYLIC ACID", 22163 },
	{ "PT", "", "", ResidueType::NON_POLYMER, false, "PLATINUM (II) ION", 22164 },
	{ "PT0", "", "", ResidueType::PEPTIDE_LIKE, false, "(R)-[(1R)-1-amino-3-methylbutyl](2-ethoxy-2-oxoethyl)phosphinic acid", 22165 },
	{ "PT1", "", "", ResidueType::NON_POLYMER, false, "PTEROIC ACID", 22166 },
	{ "PT2", "", "", ResidueType::NON_POLYMER, false, "[ethane-1,2-diaminato(2-)-kappa~2~N,N'](1,10-phenanthroline-kappa~2~N~1~,N~10~)platinum(2+)", 22167 },
	{ "PT3", "", "", ResidueType::NON_POLYMER, false, "N-PROPYL-TARTRAMIC ACID", 22168 },
	{ "PT4", "", "", ResidueType::NON_POLYMER, false, "PLATINUM (IV) ION", 22169 },
	{ "PT5", "", "", ResidueType::NON_POLYMER, false, "(1S)-2-{[(R)-hydroxy{[(1R,2R,3S,4R,5R,6S)-2,3,6-trihydroxy-4,5-bis(phosphonooxy)cyclohexyl]oxy}phosphoryl]oxy}-1-[(octadecanoyloxy)methyl]ethyl (8E,11E)-icosa-5,8,11,14-tetraenoate", 22170 },
	{ "PT6", "", "", ResidueType::NON_POLYMER, false, "1-(3-amino-2-methylbenzyl)-4-[2-(thiophen-2-yl)ethoxy]pyridin-2(1H)-one", 22171 },
	{ "PTA", "", "", ResidueType::PEPTIDE_LIKE, false, "[(1-AMINO-3-METHYL-BUTYL)-HYDROXY-PHOSPHINOYL]-ACETIC ACID", 22172 },
	{ "PTB", "", "", ResidueType::NON_POLYMER, false, "(5-TERT-BUTYL-1,3,4-OXADIAZOL-2-YL)[(2R)-PYRROLIDIN-2-YL]METHANONE", 22173 },
	{ "PTC", "", "", ResidueType::NON_POLYMER, true, "2-METHYLCARBAMOYL-3-(4-PHOSPHONOOXY-PHENYL)-CYCLOPROPANECARBOXYLIC ACID", 22174 },
	{ "PTD", "", "", ResidueType::NON_POLYMER, false, "PENTANEDIAL", 22175 },
	{ "PTE", "", "", ResidueType::NON_POLYMER, false, "TUNGSTOPTERIN COFACTOR", 22176 },
	{ "PTF", "", "", ResidueType::NON_POLYMER, true, "[(METHYLSULFANYL)METHYL]BENZENE", 22177 },
	{ "PTG", "", "", ResidueType::NON_POLYMER, false, "(5E,14E)-11-oxoprosta-5,9,12,14-tetraen-1-oic acid", 22178 },
	{ "PTH", "", "", ResidueType::PEPTIDE_LINKING, false, "CE1-METHYLENE-HYDROXY-PHOSPHOTYROSINE", 22179 },
	{ "PTI", "", "", ResidueType::NON_POLYMER, false, "2-PHENYL-1-[4-(2-PIPERIDIN-1-YL-ETHOXY)-PHENYL]-1,2,3,4-TETRAHYDRO-ISOQUINOLIN-6-OL", 22180 },
	{ "PTJ", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-hydroxy{[(2R)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]oxy}phosphoryl]adenosine", 22181 },
	{ "PTK", "", "", ResidueType::NON_POLYMER, false, "pyrene-1,3,6,8-tetrasulfonic acid", 22182 },
	{ "PTL", "", "", ResidueType::NON_POLYMER, false, "PENTANAL", 22183 },
	{ "PTM", "", "", ResidueType::PEPTIDE_LINKING, false, "ALPHA-METHYL-O-PHOSPHOTYROSINE", 22184 },
	{ "PTN", "", "", ResidueType::NON_POLYMER, false, "PLATINUM TRIAMINE ION", 22185 },
	{ "PTO", "", "", ResidueType::NON_POLYMER, false, "PSEUDOTROPINE", 22186 },
	{ "PTP", "", "THP", ResidueType::NON_POLYMER, true, "THYMIDINE-3',5'-DIPHOSPHATE", 22187 },
	{ "PTQ", "", "", ResidueType::SACCHARIDE, false, "2-phenylethyl 1-thio-beta-D-galactopyranoside", 22188 },
	{ "PTR", "", "", ResidueType::PEPTIDE_LINKING, false, "O-PHOSPHOTYROSINE", 22189 },
	{ "PTS", "", "", ResidueType::NON_POLYMER, false, "(4S-TRANS)-4-(AMINO)-5,6-DIHYDRO-6-METHYL-4H-THIENO (2,3-B)THIOPYRAN-2-SULFONAMIDE-7,7-DIOXIDE", 22190 },
	{ "PTT", "", "", ResidueType::NON_POLYMER, false, "TUNGSTOPTERIN", 22191 },
	{ "PTU", "", "", ResidueType::NON_POLYMER, false, "2-ETHYL-1-PHENYL-ISOTHIOUREA", 22192 },
	{ "PTV", "", "", ResidueType::NON_POLYMER, false, "2-[[5-(4-pyridyl)-1H-1,2,4-triazol-3-yl]sulfanyl]-1-(2-thiophenyl)ethanone", 22193 },
	{ "PTW", "", "", ResidueType::NON_POLYMER, false, "1,3,5-triaza-7-phosphatricyclo[3.3.1.1~3,7~]decane", 22194 },
	{ "PTX", "", "", ResidueType::NON_POLYMER, false, "{[(2E)-2-(2-AMINO-1,3-THIAZOL-4-YL)-2-(METHOXYIMINO)ETHANOYL]AMINO}METHYLPHOSPHONIC ACID", 22195 },
	{ "PTY", "", "", ResidueType::NON_POLYMER, false, "PHOSPHATIDYLETHANOLAMINE", 22196 },
	{ "PU", "", "", ResidueType::RNA_LINKING, false, "PUROMYCIN-N-AMINOPHOSPHONIC ACID", 22197 },
	{ "PU0", "", "", ResidueType::NON_POLYMER, false, "9-BUTYL-8-(2,5-DIMETHOXY-BENZYL)-2-FLUORO-9H-PURIN-6-YLAMINE", 22198 },
	{ "PU1", "", "", ResidueType::NON_POLYMER, false, "8-(2-CHLORO-3,4,5-TRIMETHOXY-BENZYL)-2-FLUORO-9-PENT-4-YLNYL-9H-PURIN-6-YLAMINE", 22199 },
	{ "PU2", "", "", ResidueType::NON_POLYMER, false, "8-(2,5-DIMETHOXY-BENZYL)-2-FLUORO-9H-PURIN-6-YLAMINE", 22200 },
	{ "PU3", "", "", ResidueType::NON_POLYMER, false, "9-BUTYL-8-(3,4,5-TRIMETHOXYBENZYL)-9H-PURIN-6-AMINE", 22201 },
	{ "PU4", "", "", ResidueType::NON_POLYMER, false, "9-BUTYL-8-(4-METHOXYBENZYL)-9H-PURIN-6-AMINE", 22202 },
	{ "PU5", "", "", ResidueType::NON_POLYMER, false, "9-BUTYL-8-(3-METHOXYBENZYL)-9H-PURIN-6-AMINE", 22203 },
	{ "PU6", "", "", ResidueType::NON_POLYMER, false, "8-BENZO[1,3]DIOXOL-,5-YLMETHYL-9-BUTYL-9H-", 22204 },
	{ "PU7", "", "", ResidueType::NON_POLYMER, false, "9-BUTYL-8-(2,5-DIMETHOXY-BENZYL)-9H-PURIN-6-YLAMINE", 22205 },
	{ "PU8", "", "", ResidueType::NON_POLYMER, false, "9-BUTYL-8-(2-CHLORO-3,4,5-TRIMETHOXY-BENZYL)-9H-PURIN-6-YLAMINE", 22206 },
	{ "PU9", "", "", ResidueType::NON_POLYMER, false, "8-(2-CHLORO-3,4,5-TRIMETHOXY-BENZYL)-9-PENT-4-YLNYL-9H-PURIN-6-YLAMINE", 22207 },
	{ "PUA", "", "", ResidueType::NON_POLYMER, false, "ADENYLATE-3'-PHOSPHATE-[[2'-DEOXY-URIDINE-5'-PHOSPHATE]-3'-PHOSPHATE]", 22208 },
	{ "PUB", "", "", ResidueType::NON_POLYMER, false, "PHYCOUROBILIN", 22209 },
	{ "PUC", "", "", ResidueType::NON_POLYMER, false, "(5Z)-7-{(1R,4S,5S,6R)-6-[(1E,3S)-3-hydroxyoct-1-en-1-yl]-2-oxabicyclo[2.2.1]hept-5-yl}hept-5-enoic acid", 22210 },
	{ "PUD", "", "", ResidueType::NON_POLYMER, false, "6-deoxy-L-psicose", 22211 },
	{ "PUF", "", "", ResidueType::NON_POLYMER, false, "6-deoxy-alpha-L-psicofuranose", 22212 },
	{ "PUG", "", "", ResidueType::NON_POLYMER, false, "3-(1,3,7-TRIHYDRO-9-D-RIBITYL-2,6,8-PURINETRIONE-7-YL)", 22213 },
	{ "PUK", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S)-2-amino-3-phenylpropyl]-L-phenylalanine", 22214 },
	{ "PUL", "", "", ResidueType::NON_POLYMER, false, "", 22215 },
	{ "PUM", "", "", ResidueType::NON_POLYMER, false, "(1S)-1,4-anhydro-5-[(N-carbamimidoylglycyl-N~2~-hydroxy-L-glutaminyl)amino]-5-deoxy-1-(2,4-dioxo-1,2,3,4-tetrahydropyrimidin-5-yl)-D-ribitol", 22216 },
	{ "PUN", "", "", ResidueType::NON_POLYMER, false, "2,2,4,4,6,6,8-heptamethylnonane", 22217 },
	{ "PUP", "", "", ResidueType::NON_POLYMER, false, "", 22218 },
	{ "PUR", "", "", ResidueType::NON_POLYMER, false, "PURINE RIBOSIDE", 22219 },
	{ "PUS", "", "", ResidueType::NON_POLYMER, false, "(E)-O-(carbamoylamino)-N-({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methylidene)-L-serine", 22220 },
	{ "PUT", "", "", ResidueType::NON_POLYMER, false, "1,4-DIAMINOBUTANE", 22221 },
	{ "PUW", "", "", ResidueType::NON_POLYMER, false, "N-(PHOSPHONOACETYL)-PUTRESCINE", 22222 },
	{ "PUX", "", "", ResidueType::NON_POLYMER, false, "8-BENZO[1,3]DIOXOL-,5-YLMETHYL-9-BUTYL-2-FLUORO-9H-PURIN-6-YLAMINE", 22223 },
	{ "PUY", "", "", ResidueType::RNA_LINKING, false, "PUROMYCIN", 22224 },
	{ "PUZ", "", "", ResidueType::NON_POLYMER, false, "8-(2,5-DIMETHOXY-BENZYL)-2-FLUORO-9-PENT-9H-PURIN-6-YLAMINE", 22225 },
	{ "PV0", "", "", ResidueType::NON_POLYMER, false, "2-[(2,4-dihydroxyphenyl)sulfonyl]-2,3-dihydro-1H-isoindole-4,6-diol", 22226 },
	{ "PV1", "", "", ResidueType::NON_POLYMER, false, "(5-bromo-2,4-dihydroxyphenyl)(1,3-dihydro-2H-isoindol-2-yl)methanone", 22227 },
	{ "PV2", "", "", ResidueType::NON_POLYMER, false, "4-(isoindolin-2-ylsulfonyl)benzene-1,3-diol", 22228 },
	{ "PV4", "", "", ResidueType::NON_POLYMER, false, "2-phenoxy-5-propyl-phenol", 22229 },
	{ "PV8", "", "", ResidueType::NON_POLYMER, false, "4-[(5-hydroxy-1,3-dihydro-2H-isoindol-2-yl)sulfonyl]benzene-1,3-diol", 22230 },
	{ "PVA", "", "", ResidueType::NON_POLYMER, false, "1-AMINO-2-METHYL-PROPYLPHOSPHONIC ACID", 22231 },
	{ "PVB", "", "", ResidueType::NON_POLYMER, false, "PURVALANOL B", 22232 },
	{ "PVC", "", "", ResidueType::NON_POLYMER, false, "(2E,4R,5S)-2,3,4,5-TETRAHYDROXY-6-(PALMITOYLOXY)HEX-2-ENOIC ACID", 22233 },
	{ "PVE", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-CARBOXY-5-[(3-CARBOXYPROPANOYL)AMINO]-8,9-DIHYDROXY-1,2,3,4-TETRAHYDROPYRIMIDO[1,2-A]QUINOLIN-11-IUM", 22234 },
	{ "PVG", "", "", ResidueType::NON_POLYMER, false, "Phycoviolobilin, green light-absorbing form", 22235 },
	{ "PVH", "", "", ResidueType::PEPTIDE_LINKING, false, "HISTIDINE-METHYL-ESTER", 22236 },
	{ "PVL", "", "PYR", ResidueType::PEPTIDE_LINKING, true, "PYRUVOYL GROUP", 22237 },
	{ "PVN", "", "", ResidueType::NON_POLYMER, false, "PHYCOVIOLOBILIN", 22238 },
	{ "PVO", "", "", ResidueType::PEPTIDE_LINKING, false, "2,2-bis(oxidanyl)propanoic acid", 22239 },
	{ "PVP", "", "", ResidueType::NON_POLYMER, false, "2-{4-[5-chloro-6-methyl-2-(pyridin-2-yl)pyrimidin-4-yl]piperazin-1-yl}ethanol", 22240 },
	{ "PVS", "", "", ResidueType::NON_POLYMER, false, "(ethenylsulfonyl)benzene", 22241 },
	{ "PVW", "", "", ResidueType::NON_POLYMER, false, "3-(2-METHOXYETHYL)-2-THIOXO-1,2,3,7-TETRAHYDRO-6H-PURIN-6-ONE", 22242 },
	{ "PVX", "", "", ResidueType::DNA_LINKING, false, "", 22243 },
	{ "PVZ", "", "", ResidueType::NON_POLYMER, false, "[1-hydroxy-2-(1-nonyl-1H-3lambda~5~-imidazol-3-yl)ethane-1,1-diyl]bis(phosphonic acid)", 22244 },
	{ "PW1", "", "", ResidueType::NON_POLYMER, false, "[2,4-bis(fluoranyl)-3-phenoxy-phenyl]methylazanium", 22245 },
	{ "PW3", "", "", ResidueType::NON_POLYMER, false, "4-acetyl-piperazin-2-one", 22246 },
	{ "PWF", "", "", ResidueType::NON_POLYMER, false, "2-phenylethyl (2E)-3-(4-hydroxy-3-methoxyphenyl)prop-2-enoate", 22247 },
	{ "PWH", "", "", ResidueType::NON_POLYMER, false, "3-methylbut-2-en-1-yl (2E)-3-(3,4-dihydroxyphenyl)prop-2-enoate", 22248 },
	{ "PWK", "", "", ResidueType::NON_POLYMER, false, "4,4'-[(2R,3R)-2,3-dimethylbutane-1,4-diyl]bis(2-methoxyphenol)", 22249 },
	{ "PWU", "", "", ResidueType::NON_POLYMER, false, "ISOPROPYL 6-((4-(1,2-DIMETHYL-1H-IMIDAZOL-5-YL)PHENYL)AMINO)-2-(1-METHYL-1H-PYRAZOL-4-YL)-1H-PYRROLO[3,2-C]PYRIDINE-1-CARBOXYLATE", 22250 },
	{ "PWZ", "", "", ResidueType::NON_POLYMER, false, "(5E)-7-{(1R,4S,5S,6R)-5-[(1E,3S)-3-hydroxyoct-1-en-1-yl]-2-oxabicyclo[2.2.1]hept-6-yl}hept-5-enoic acid", 22251 },
	{ "PX1", "", "", ResidueType::NON_POLYMER, false, "(1Z)-7-AMINO-1-(HYDROXYMETHYLENE)-2-IMINO-4,6-DIMETHYL-3-OXO-2,3-DIHYDRO-1H-PHENOXAZINE-9-CARBALDEHYDE", 22252 },
	{ "PX2", "", "", ResidueType::NON_POLYMER, false, "1,2-DILAUROYL-SN-GLYCERO-3-PHOSPHATE", 22253 },
	{ "PX3", "", "", ResidueType::NON_POLYMER, false, "5-[[[2-[(4-methoxyphenyl)methylcarbamoyl]phenyl]methyl-prop-2-enyl-amino]methyl]-1,3-benzodioxole-4-carboxylic acid", 22254 },
	{ "PX4", "", "", ResidueType::NON_POLYMER, false, "1,2-DIMYRISTOYL-SN-GLYCERO-3-PHOSPHOCHOLINE", 22255 },
	{ "PX5", "", "", ResidueType::NON_POLYMER, false, "4-(1,3-benzothiazol-2-yl)-4-hydroxycyclohexa-2,5-dien-1-one", 22256 },
	{ "PX6", "", "", ResidueType::NON_POLYMER, false, "1,2-DIPALMITOYL-SN-GLYCERO-3-PHOSPHATE", 22257 },
	{ "PX8", "", "", ResidueType::NON_POLYMER, false, "1,2-DISTEAROYL-SN-GLYCERO-3-PHOSPHATE", 22258 },
	{ "PX9", "", "", ResidueType::NON_POLYMER, false, "Pramocaine", 22259 },
	{ "PXA", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-1,9-DICARBONYL-4,6-DIMETHYL-10-DEHYDRO-3-OXO(8-AZA)PHENOXAZINE", 22260 },
	{ "PXB", "", "", ResidueType::NON_POLYMER, false, "parecoxib", 22261 },
	{ "PXC", "", "", ResidueType::NON_POLYMER, false, "phenazine-1,6-dicarboxylic acid", 22262 },
	{ "PXD", "", "", ResidueType::NON_POLYMER, false, "2-(2,2-difluoroethoxy)-N-(5,8-dimethoxy[1,2,4]triazolo[1,5-c]pyrimidin-2-yl)-6-(trifluoromethyl)benzenesulfonamide", 22263 },
	{ "PXE", "", "", ResidueType::NON_POLYMER, false, "2-methyl-5-(1-methylethyl)cyclohexa-2,5-diene-1,4-dione 1-oxime", 22264 },
	{ "PXF", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-1,9-DICARBONYL-4,6-DIMETHYL-10-DEHYDRO-8-FLUORO-3-OXOPHENOXAZINE", 22265 },
	{ "PXG", "", "", ResidueType::NON_POLYMER, false, "3-[O-PHOSPHONOPYRIDOXYL]--AMINO-BENZOIC ACID", 22266 },
	{ "PXH", "", "", ResidueType::NON_POLYMER, false, "(2~{R},4~{S})-5,5-dimethyl-2-[(2~{S},3~{R})-3-oxidanyl-1-oxidanylidene-5-thiophen-2-yl-pentan-2-yl]-1,3-thiazolidine-4-carboxylic acid", 22267 },
	{ "PXI", "", "", ResidueType::NON_POLYMER, false, "4-{[4-(DIMETHYLAMINO)-3-HYDROXY-6-METHYLTETRAHYDRO-2H-PYRAN-2-YL]OXY}-12-ETHYL-3,5,7,11-TETRAMETHYLOXACYCLODODEC-9-ENE-2,8-DIONE", 22268 },
	{ "PXJ", "", "", ResidueType::NON_POLYMER, false, "N,N'-hexane-1,4-diylbis(2,3-dihydroxybenzamide)", 22269 },
	{ "PXK", "", "", ResidueType::NON_POLYMER, false, "6-(4,4-dimethylpent-2-yn-1-yl)-1lambda~4~-pyrrolo[2,3-d][1,3]thiazole", 22270 },
	{ "PXL", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXY-5-(HYDROXYMETHYL)-2-METHYLISONICOTINALDEHYDE", 22271 },
	{ "PXM", "", "", ResidueType::NON_POLYMER, false, "4-(AMINOMETHYL)-5-(HYDROXYMETHYL)-2-METHYLPYRIDIN-3-OL", 22272 },
	{ "PXN", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-[3-{[(2R)-2-hydroxypropyl]oxy}-2,2-bis({[(2R)-2-hydroxypropyl]oxy}methyl)propoxy]propan-2-ol", 22273 },
	{ "PXO", "", "", ResidueType::NON_POLYMER, false, "(1Z)-propanal oxime", 22274 },
	{ "PXP", "", "", ResidueType::NON_POLYMER, false, "PYRIDOXINE-5'-PHOSPHATE", 22275 },
	{ "PXS", "", "", ResidueType::NON_POLYMER, false, "(2S)-propane-1,2-diyl dihexadecanoate", 22276 },
	{ "PXT", "", "", ResidueType::NON_POLYMER, false, "PECTENOTOXIN-2", 22277 },
	{ "PXU", "", "", ResidueType::PEPTIDE_LINKING, false, "2-hydroxy-L-proline", 22278 },
	{ "PXX", "", "", ResidueType::NON_POLYMER, false, "N-1,10-phenanthrolin-5-ylacetamide", 22279 },
	{ "PXY", "", "", ResidueType::NON_POLYMER, false, "PARA-XYLENE", 22280 },
	{ "PXZ", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-1,9-DICARBONYL-4,6-DIMETHYL-10-DEHYDRO-PHENOXAZIN-3-ONE", 22281 },
	{ "PY0", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-1-amino-1,2-dihydroxypropan-1-olate", 22282 },
	{ "PY1", "", "", ResidueType::NON_POLYMER, false, "4-(3-PYRIDIN-2-YL-1H-PYRAZOL-4-YL)QUINOLINE", 22283 },
	{ "PY2", "", "", ResidueType::NON_POLYMER, true, "3-(MERCAPTOMETHYLENE)PYRIDINE", 22284 },
	{ "PY3", "", "", ResidueType::NON_POLYMER, false, "5-[AMINO(IMINO)METHYL]-2-[({[6-[3-AMINO-5-({[(1R)-1-METHYLPROPYL]AMINO}CARBONYL)PHENYL]-3-(ISOPROPYLAMINO)-2-OXOPYRAZIN-1(2H)-YL]ACETYL}AMINO)METHYL]-N-PYRIDIN-4-YLBENZAMIDE", 22285 },
	{ "PY4", "", "", ResidueType::NON_POLYMER, false, "2-[O-PHOSPHONOPYRIDOXYL]-AMINO- BUTYRIC ACID", 22286 },
	{ "PY5", "", "", ResidueType::NON_POLYMER, false, "2-[O-PHOSPHONOPYRIDOXYL]-AMINO-PENTANOIC ACID", 22287 },
	{ "PY6", "", "", ResidueType::NON_POLYMER, false, "2-[O-PHOSPHONOPYRIDOXYL]-AMINO-HEXANOIC ACID", 22288 },
	{ "PY7", "", "", ResidueType::NON_POLYMER, false, "PYRIDIN-4-YLMETHANOL", 22289 },
	{ "PY8", "", "", ResidueType::NON_POLYMER, false, "6-BROMO-13-THIA-2,4,8,12,19-PENTAAZATRICYCLO[12.3.1.1~3,7~]NONADECA-1(18),3(19),4,6,14,16-HEXAENE 13,13-DIOXIDE", 22290 },
	{ "PY9", "", "", ResidueType::NON_POLYMER, false, "4-{[(2R)-2-(2-methylphenyl)pyrrolidin-1-yl]carbonyl}benzene-1,3-diol", 22291 },
	{ "PYA", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(1,10-PHENANTHROL-2-YL)-L-ALANINE", 22292 },
	{ "PYB", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-(1-METHYLPYRROLE)-2-CARBOXYLIC ACID", 22293 },
	{ "PYC", "", "", ResidueType::NON_POLYMER, false, "PYRROLE-2-CARBOXYLATE", 22294 },
	{ "PYD", "", "", ResidueType::NON_POLYMER, false, "2,5-DIMETHYL-PYRIMIDIN-4-YLAMINE", 22295 },
	{ "PYE", "", "", ResidueType::NON_POLYMER, false, "TETRAHYDROPYRAN", 22296 },
	{ "PYF", "", "", ResidueType::NON_POLYMER, false, "3-PYRIDINYLCARBINOL", 22297 },
	{ "PYG", "", "", ResidueType::NON_POLYMER, false, "BENZENE-1,2,3-TRIOL", 22298 },
	{ "PYH", "", "PYL", ResidueType::PEPTIDE_LINKING, true, "N~6~-{[(2R,3R)-3-METHYL-3,4-DIHYDRO-2H-PYRROL-2-YL]CARBONYL}-L-LYSINE", 22299 },
	{ "PYI", "", "", ResidueType::NON_POLYMER, false, "1-[(4-AMINO-2-METHYLPYRIMIDIN-5-YL)METHYL]-3-(2-{[HYDROXY(PHOSPHONOOXY)PHOSPHORYL]OXY}ETHYL)-2-METHYLPYRIDINIUM", 22300 },
	{ "PYJ", "N2B", "", ResidueType::NON_POLYMER, false, "PHENYLETHANE", 22301 },
	{ "PYL", "", "", ResidueType::PEPTIDE_LINKING, false, "PYRROLYSINE", 22302 },
	{ "PYM", "", "", ResidueType::NON_POLYMER, false, "PYRUVAMIDE", 22303 },
	{ "PYN", "", "", ResidueType::NON_POLYMER, false, "3-PYRROLIDIN-1-YL-N-[6-(3-PYRROLIDIN-1-YL-PROPIONYLAMINO)-ACRIDIN-3-YL]-PROPIONAMIDE", 22304 },
	{ "PYO", "", "", ResidueType::RNA_LINKING, false, "1-(BETA-D-RIBOFURANOSYL)-PYRIMIDIN-2-ONE-5'-PHOSPHATE", 22305 },
	{ "PYP", "", "", ResidueType::NON_POLYMER, false, "2'-DEOXYRIBOFURANOSYLPYRENE-5'-MONOPHOSPHATE", 22306 },
	{ "PYQ", "", "", ResidueType::NON_POLYMER, false, "PYROQUILON", 22307 },
	{ "PYR", "PVL", "", ResidueType::NON_POLYMER, false, "PYRUVIC ACID", 22308 },
	{ "PYS", "", "", ResidueType::NON_POLYMER, false, "2-PYRIDINETHIOL", 22309 },
	{ "PYT", "", "", ResidueType::NON_POLYMER, false, "2-AMINOPROP-2-ENAMIDE", 22310 },
	{ "PYU", "", "", ResidueType::NON_POLYMER, false, "2-(1H-pyrrol-1-ylcarbonyl)benzene-1,3,5-triol", 22311 },
	{ "PYV", "", "", ResidueType::NON_POLYMER, false, "4-bromo-N-(pyridin-2-ylmethyl)naphthalene-1-sulfonamide", 22312 },
	{ "PYW", "", "", ResidueType::NON_POLYMER, false, "Pyridomycin", 22313 },
	{ "PYX", "", "", ResidueType::PEPTIDE_LINKING, false, "S-[S-THIOPYRIDOXAMINYL]CYSTEINE", 22314 },
	{ "PYY", "", "", ResidueType::RNA_LINKING, false, "D-RIBOFURANOSYL-BENZENE-5'-MONOPHOSPHATE", 22315 },
	{ "PYZ", "", "", ResidueType::NON_POLYMER, false, "4-IODOPYRAZOLE", 22316 },
	{ "PZ1", "", "", ResidueType::NON_POLYMER, false, "(6R)-6-({[1-(3-HYDROXYPROPYL)-1,7-DIHYDROQUINOLIN-7-YL]OXY}METHYL)-1-(4-{3-[(2-METHOXYBENZYL)OXY]PROPOXY}PHENYL)PIPERAZIN-2-ONE", 22317 },
	{ "PZ2", "", "", ResidueType::NON_POLYMER, false, "3-[2-bromo-4-(1H-pyrazolo[3,4-c]pyridazin-3-ylmethyl)phenoxy]-5-methylbenzonitrile", 22318 },
	{ "PZ3", "", "", ResidueType::NON_POLYMER, false, "4-({(3R)-7-(5-formylfuran-2-yl)-4-[(4-methoxyphenyl)sulfonyl]-1-[(1-methyl-1H-imidazol-5-yl)methyl]-2,3,4,5-tetrahydro-1H-1,4-benzodiazepin-3-yl}methyl)phenyl benzylcarbamate", 22319 },
	{ "PZ5", "", "", ResidueType::NON_POLYMER, false, "5-hept-6-ynyl-6-phenyl-phenanthridin-5-ium-3,8-diamine", 22320 },
	{ "PZA", "", "", ResidueType::NON_POLYMER, false, "PYRAZINE-2-CARBOXAMIDE", 22321 },
	{ "PZB", "", "", ResidueType::NON_POLYMER, false, "4-(4-phenoxy-1H-pyrazol-3-yl)benzene-1,3-diol", 22322 },
	{ "PZD", "", "", ResidueType::NON_POLYMER, false, "(11aS)-7,8-dimethoxy-2-naphthalen-2-yl-1,10,11,11a-tetrahydro-5H-pyrrolo[2,1-c][1,4]benzodiazepin-5-one", 22323 },
	{ "PZE", "", "", ResidueType::NON_POLYMER, false, "piperazine", 22324 },
	{ "PZF", "", "", ResidueType::NON_POLYMER, false, "(3R,4S)-1-[6-(6-METHOXYPYRIDIN-3-YL)PYRIMIDIN-4-YL]-4-(2,4,5-TRIFLUOROPHENYL)PYRROLIDIN-3-AMINE", 22325 },
	{ "PZG", "", "", ResidueType::DNA_LINKING, false, "[(2~{R},3~{S},4~{R},5~{R})-5-(2-azanyl-6-oxidanylidene-1~{H}-purin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methoxy-(3-methyl-1~{H}-pyrazol-4-yl)phosphinic acid", 22326 },
	{ "PZH", "", "", ResidueType::NON_POLYMER, false, "1-(4-BROMOPHENYL)METHANAMINE", 22327 },
	{ "PZI", "", "", ResidueType::NON_POLYMER, false, "2-(2-oxopyrrolidin-1-yl)acetamide", 22328 },
	{ "PZL", "", "", ResidueType::NON_POLYMER, false, "3-[6-bromo-2-fluoro-3-(1H-pyrazolo[3,4-c]pyridazin-3-ylmethyl)phenoxy]-5-chlorobenzonitrile", 22329 },
	{ "PZM", "", "", ResidueType::NON_POLYMER, false, "1-(4-METHOXYPHENYL)METHANAMINE", 22330 },
	{ "PZN", "", "", ResidueType::NON_POLYMER, false, "3-(2-{5-TERT-BUTYL-3-[(4-METHYL-FURAZAN-3-YLMETHYL)-AMINO]-2-OXO-2H-PYRAZIN-1-YL}-BUTYRYLAMINO)-5-(HEXYL-METHYL-AMINO)-4-OXO-PENTANOIC ACID ANION", 22331 },
	{ "PZO", "", "", ResidueType::NON_POLYMER, false, "PYRAZOLE", 22332 },
	{ "PZP", "", "", ResidueType::NON_POLYMER, false, "[5-hydroxy-4-(iminomethyl)-6-methyl-pyridin-3-yl]methyl dihydrogen phosphate", 22333 },
	{ "PZQ", "", "", ResidueType::NON_POLYMER, false, "PRAZIQUANTEL", 22334 },
	{ "PZR", "", "", ResidueType::NON_POLYMER, false, "1H-pyrazolo[4,3-c]pyridine", 22335 },
	{ "PZS", "", "", ResidueType::NON_POLYMER, false, "(5~{S},8~{S},9~{R})-2-[(~{E})-hex-1-enyl]-8-methoxy-3-methyl-9-oxidanyl-8-(phenylcarbonyl)-1-oxa-7-azaspiro[4.4]non-2-ene-4,6-dione", 22336 },
	{ "PZU", "", "", ResidueType::NON_POLYMER, false, "3,6-dideoxy-alpha-D-ribo-hexopyranose", 22337 },
	{ "PZW", "", "", ResidueType::NON_POLYMER, false, "(1R)-9-(azetidin-3-ylamino)-1,8-dimethyl-3,5-dihydro[1,2,4]triazino[3,4-c][1,4]benzoxazin-2(1H)-one", 22338 },
	{ "PZX", "", "", ResidueType::NON_POLYMER, false, "pyridin-3-ylmethyl 5-methyl-1H-pyrazole-3-carboxylate", 22339 },
	{ "PZZ", "", "", ResidueType::NON_POLYMER, false, "3-{3-[(DIMETHYLAMINO)METHYL]-1H-INDOL-7-YL}PROPAN-1-OL", 22340 },
	{ "Q00", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(3S)-3-amino-4-phenylbutyl]-L-phenylalanine", 22341 },
	{ "Q02", "", "", ResidueType::NON_POLYMER, false, "[(R)-amino(phenyl)methyl]phosphonic acid", 22342 },
	{ "Q03", "", "", ResidueType::NON_POLYMER, false, "[(R)-amino(cyclohexyl)methyl]phosphonic acid", 22343 },
	{ "Q04", "", "", ResidueType::NON_POLYMER, false, "[(1R)-1-amino-2-cyclohexylethyl]phosphonic acid", 22344 },
	{ "Q05", "", "", ResidueType::NON_POLYMER, false, "6-{[3-({[2-(3-fluorophenyl)ethyl]amino}methyl)phenoxy]methyl}-4-methylpyridin-2-amine", 22345 },
	{ "Q06", "", "", ResidueType::NON_POLYMER, false, "[(1R)-1-amino-3-cyclopentylpropyl]phosphonic acid", 22346 },
	{ "Q07", "", "", ResidueType::NON_POLYMER, false, "[(1R,2S)-1-amino-2-methylpentyl]phosphonic acid", 22347 },
	{ "Q08", "", "", ResidueType::NON_POLYMER, false, "[(1R)-1-amino-2-propylpentyl]phosphonic acid", 22348 },
	{ "Q0B", "", "", ResidueType::NON_POLYMER, false, "2-amino-1-(2-chlorophenyl)-N-(3-ethoxypropyl)-1H-pyrrolo[2,3-b]quinoxaline-3-carboxamide", 22349 },
	{ "Q0K", "", "", ResidueType::NON_POLYMER, false, "2-amino-5-(p-tolyl)-3H-pyrrolo[2,3-d]pyrimidin-4(7H)-one", 22350 },
	{ "Q10", "", "", ResidueType::NON_POLYMER, false, "6-{[3-(3-aminopropoxy)phenoxy]methyl}-4-methylpyridin-2-amine", 22351 },
	{ "Q11", "", "", ResidueType::NON_POLYMER, false, "7-(2-methoxyphenyl)quinazoline-2,4-diamine", 22352 },
	{ "Q12", "", "", ResidueType::NON_POLYMER, false, "7-(3,4-dimethoxyphenyl)-6-methylquinazoline-2,4-diamine", 22353 },
	{ "Q13", "", "", ResidueType::NON_POLYMER, false, "6,6'-{[(2S,3S)-2-aminobutane-1,3-diyl]bis(oxymethanediyl)}bis(4-methylpyridin-2-amine)", 22354 },
	{ "Q14", "", "", ResidueType::NON_POLYMER, false, "6-[({(2S)-1-amino-4-[(6-amino-4-methylpyridin-2-yl)methoxy]butan-2-yl}oxy)methyl]-4-methylpyridin-2-amine", 22355 },
	{ "Q15", "", "", ResidueType::NON_POLYMER, false, "4-methyl-6-{[3-(piperidin-4-ylmethoxy)phenoxy]methyl}pyridin-2-amine", 22356 },
	{ "Q16", "", "", ResidueType::NON_POLYMER, false, "6-((((3S, 5R)-5-(((6-amino-4-methylpyridin-2-yl)methoxy)methyl)pyrrolidin-3-yl)oxy)methyl)-4-methylpyridin-2-amine", 22357 },
	{ "Q17", "", "", ResidueType::NON_POLYMER, false, "2-{4-[(3-aminopropyl)amino]quinazolin-2-yl}phenol", 22358 },
	{ "Q18", "", "", ResidueType::NON_POLYMER, false, "(2Z)-7-(azepan-1-ylmethyl)-6-hydroxy-2-(1H-indol-3-ylmethylidene)-1-benzofuran-3(2H)-one", 22359 },
	{ "Q19", "", "", ResidueType::NON_POLYMER, false, "1-[3-(2,4-diamino-6-methylquinazolin-7-yl)phenyl]ethanone", 22360 },
	{ "Q1A", "", "", ResidueType::NON_POLYMER, false, "1-[4-(1-aminoisoquinolin-5-yl)phenyl]-3-(5-tert-butyl-1,2-oxazol-3-yl)urea", 22361 },
	{ "Q1T", "", "", ResidueType::NON_POLYMER, false, "3-(2-(6-AMINO-4-METHYLPYRIDIN-2-YL)ETHYL)-5-(METHYL(2-(METHYLAMINO)ETHYL)AMINO)BENZONITRILE", 22362 },
	{ "Q20", "", "", ResidueType::NON_POLYMER, false, "3-(2,4-diamino-6-methylquinazolin-7-yl)-4-ethoxybenzaldehyde", 22363 },
	{ "Q21", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(naphthalen-1-yloxy)-N-[2-(pyridin-4-yl)-1,3-benzoxazol-5-yl]propanamide", 22364 },
	{ "Q22", "", "", ResidueType::NON_POLYMER, false, "(4aS)-5-[(2,4-diaminopteridin-6-yl)methyl]-4a,5-dihydro-2H-dibenzo[b,f]azepin-8-ol", 22365 },
	{ "Q23", "", "", ResidueType::NON_POLYMER, false, "(3R)-1,1-dioxido-2,3-dihydrothiophen-3-yl benzenesulfonate", 22366 },
	{ "Q24", "", "", ResidueType::NON_POLYMER, false, "quinazoline-2,4-diamine", 22367 },
	{ "Q26", "", "", ResidueType::NON_POLYMER, false, "N-[3'-(2,4-diaminoquinazolin-7-yl)-4'-ethoxybiphenyl-3-yl]methanesulfonamide", 22368 },
	{ "Q27", "", "", ResidueType::NON_POLYMER, false, "7-(2-ethoxynaphthalen-1-yl)-6-methylquinazoline-2,4-diamine", 22369 },
	{ "Q28", "", "", ResidueType::NON_POLYMER, false, "4-[3-(8-METHYL-4-OXO-3,4-DIHYDROQUINAZOLIN-2- YL)PROPANAMIDO]-N-(QUINOLIN-8-YL)BENZAMIDE", 22370 },
	{ "Q2N", "", "", ResidueType::NON_POLYMER, false, "2-(4-fluorophenyl)-~{N}-(4-pyridin-2-yl-1,3-thiazol-2-yl)ethanamide", 22371 },
	{ "Q2R", "", "", ResidueType::NON_POLYMER, false, "3-(2-methoxycarbonylphenyl)benzoic acid", 22372 },
	{ "Q2S", "", "", ResidueType::NON_POLYMER, false, "3-(1~{H}-indol-5-yl)benzoic acid", 22373 },
	{ "Q2T", "", "", ResidueType::NON_POLYMER, false, "1-(5-butoxypyridin-3-yl)-4-methyl-8-(morpholin-4-ylmethyl)[1,2,4]triazolo[4,3-a]quinoxaline", 22374 },
	{ "Q2Y", "", "", ResidueType::NON_POLYMER, false, "4-OXO-3-[2-(5-{[4-(QUINOXALIN-2-YLAMINO)-BENZOYLAMINO]-METHYL}-THIOPHEN-2-YL)-ACETYLAMINO]-PENTANOIC ACID", 22375 },
	{ "Q31", "", "", ResidueType::NON_POLYMER, false, "5-[(2S)-2-[[2-(1H-imidazol-4-yl)ethanoylamino]methyl]-4-methyl-pentyl]-1,3-benzodioxole-4-carboxylic acid", 22376 },
	{ "Q35", "", "", ResidueType::NON_POLYMER, false, "2-[4-[5-[(1~{R})-1-[(3,5-dimethoxyphenyl)carbamoyl-(phenylmethyl)carbamoyl]oxypropyl]-1,2-oxazol-3-yl]phenoxy]-2-methyl-propanoic acid", 22377 },
	{ "Q3B", "", "", ResidueType::NON_POLYMER, false, "1-[3-[5-(7-aminothiazolo[5,4-d]pyrimidin-2-yl)-1-[[(2S)-tetrahydrofuran-2-yl]methyl]imidazol-4-yl]phenyl]-3-(4-methoxyphenyl)urea", 22378 },
	{ "Q3C", "", "", ResidueType::NON_POLYMER, false, "quinoline-3-carboxylic acid", 22379 },
	{ "Q42", "", "", ResidueType::NON_POLYMER, false, "(2S,3aR,7aS)-2,3,3a,4,5,6,7,7a-octahydro-1H-indole-2-carboxylic acid", 22380 },
	{ "Q46", "", "", ResidueType::NON_POLYMER, false, "Fe4 H S5", 22381 },
	{ "Q4A", "", "", ResidueType::NON_POLYMER, false, "N-(1-benzylpiperidin-4-yl)-6,7-dimethoxy-2-(4-methyl-1,4-diazepan-1-yl)quinazolin-4-amine", 22382 },
	{ "Q4G", "", "", ResidueType::NON_POLYMER, false, "3-(3-fluorophenyl)benzoic acid", 22383 },
	{ "Q4I", "", "", ResidueType::NON_POLYMER, false, "", 22384 },
	{ "Q4Q", "", "", ResidueType::NON_POLYMER, false, "N-[2-(diethylamino)ethyl]-1-(4-methylphenyl)methanesulfonamide", 22385 },
	{ "Q50", "", "", ResidueType::NON_POLYMER, false, "{(1S)-1-BENZYL-4-[3-CARBAMOYL-1-(1-CARBAMOYL-2-PHENYL-ETHYLCARBAMOYL)-(S)-PROPYLCARBAMOYL]-2-OXO-5-PHENYL-PENTYL}-CARBAMIC ACID TERT-BUTYL ESTER", 22386 },
	{ "Q5F", "", "", ResidueType::NON_POLYMER, false, "N-[2-(4-chloro-2-methylphenoxy)ethyl]thiophene-2-carboxamide", 22387 },
	{ "Q67", "", "", ResidueType::NON_POLYMER, false, "N~2~-(2,3-dichlorophenyl)-N-[2-(pyridin-4-yl)-1,3-benzoxazol-5-yl]-L-alaninamide", 22388 },
	{ "Q6F", "", "", ResidueType::NON_POLYMER, false, "N-[(2,4-dichlorophenyl)methyl]-4-[(methylsulfonyl)amino]benzamide", 22389 },
	{ "Q6T", "", "", ResidueType::NON_POLYMER, false, "1,3-benzodioxole-4-carboxylic acid", 22390 },
	{ "Q6W", "", "", ResidueType::NON_POLYMER, false, "3-{5-oxo-3-[1-(piperidin-4-yl)-1H-pyrazol-4-yl]-5H-benzo[4,5]cyclohepta[1,2-b]pyridin-7-yl}-N-(pyridin-2-ylmethyl)propanamide", 22391 },
	{ "Q6Y", "", "", ResidueType::NON_POLYMER, false, "~{N}-[8-[[(3~{S})-4-cyclopentylcarbonyl-3-methyl-piperazin-1-yl]methyl]-7-methyl-imidazo[1,2-a]pyridin-6-yl]-2-methyl-pyrimidine-5-carboxamide", 22392 },
	{ "Q6Z", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3S)-3-methylcyclohexane-1,2-diol", 22393 },
	{ "Q72", "", "672", ResidueType::NON_POLYMER, true, "(S)-4-(4-(3-(3-CARBAMIMIDOYLPHENYL)-2-(2,4,6-TRIISOPROPYLPHENYLSULFONAMIDO)PROPANOYL)PIPERAZINE-1-CARBONYL)PIPERIDINE-1-CARBOXIMIDAMIDE", 22394 },
	{ "Q74", "", "", ResidueType::NON_POLYMER, false, "2-(3-((4,5,7-trifluorobenzo[d]thiazol-2-yl)methyl)-1H-pyrrolo[2,3-b]pyridin-1-yl)acetic acid", 22395 },
	{ "Q7M", "", "", ResidueType::NON_POLYMER, false, "2-amino-1-[4-({[3-(trifluoromethyl)phenyl]carbamoyl}amino)phenyl]-1H-pyrrolo[2,3-b]quinoxaline-3-carboxamide", 22396 },
	{ "Q7U", "", "", ResidueType::NON_POLYMER, false, "1-(2-chlorophenyl)-3-(1-methylbenzimidazol-2-yl)urea", 22397 },
	{ "Q80", "", "", ResidueType::NON_POLYMER, false, "2-({[(2R,4S)-2-[2-(4-chlorophenyl)ethyl]-2-(1H-imidazol-1-ylmethyl)-1,3-dioxolan-4-yl]methyl}sulfanyl)-5-(trifluoromethyl)pyridine", 22398 },
	{ "Q82", "", "", ResidueType::NON_POLYMER, false, "{[4-R(-4-ALPHA,5-ALPHA,6-BETA,7-BETA)]-HEXAHYDRO-5,6-BIS(HYDROXY)-1,3-BIS(4-HYDROXYMETHYL)METHYL]-4,7-BIS(PHENYLMETHYL)-2H-1,3-DIAZEPIN-2-YLIDENE]CYANAMIDE}", 22399 },
	{ "Q86", "", "", ResidueType::NON_POLYMER, false, "4-phenyl-1-(1H-1,2,4-triazol-1-yl)butan-2-one", 22400 },
	{ "Q88", "", "", ResidueType::NON_POLYMER, false, "9H-purine-6,8-diamine", 22401 },
	{ "Q8A", "", "", ResidueType::NON_POLYMER, false, "quinolin-8-amine", 22402 },
	{ "Q92", "", "", ResidueType::NON_POLYMER, false, "3-quinolin-6-ylbenzoic acid", 22403 },
	{ "Q97", "", "", ResidueType::NON_POLYMER, false, "4,4'-[(1Z)-1-(4-ethoxyphenyl)but-1-ene-1,2-diyl]diphenol", 22404 },
	{ "Q9C", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(3-aminopropyl)amino]butyl}acetamide", 22405 },
	{ "Q9G", "", "", ResidueType::NON_POLYMER, false, "5-(5-FLUORO-2-METHYLPHENYL)-6,7,8,9-TETRAHYDRO-3H-PYRAZOLO[3,4-C]ISOQUINOLIN-1-AMINE", 22406 },
	{ "Q9P", "", "", ResidueType::NON_POLYMER, false, "Azolopyrimidine", 22407 },
	{ "Q9T", "", "", ResidueType::NON_POLYMER, false, "2,4-bis(bromanyl)-6-[3-(trifluoromethyl)-1,2-oxazol-5-yl]phenol", 22408 },
	{ "Q9Y", "", "", ResidueType::NON_POLYMER, false, "~{N}-methyl-3-(3-methylbutyl)-5-oxidanyl-1,2,3-triazole-4-carboxamide", 22409 },
	{ "Q9Z", "", "", ResidueType::NON_POLYMER, false, "3-(3-methylbutyl)-4~{H}-1,2,3-triazol-5-one", 22410 },
	{ "QAB", "", "", ResidueType::NON_POLYMER, false, "2-amino-4,5,6,7-tetrahydro-1-benzothiophene-3-carboxylic acid", 22411 },
	{ "QAC", "", "", ResidueType::PEPTIDE_LINKING, false, "N-[4-(hydroxymethyl)benzoyl]-beta-alanine", 22412 },
	{ "QAF", "", "", ResidueType::NON_POLYMER, false, "{2-[3-(hex-1-yn-1-yl)pyridinium-1-yl]ethane-1,1-diyl}bis(phosphonate)", 22413 },
	{ "QAP", "", "", ResidueType::NON_POLYMER, false, "2-phenylethyl (2E)-3-(3,4-dihydroxyphenyl)prop-2-enoate", 22414 },
	{ "QAQ", "", "", ResidueType::NON_POLYMER, false, "[(4-{2-[(3-hydroxyphenyl)amino]-1H-benzimidazol-1-yl}-1,3,5-triazin-2-yl)amino]acetonitrile", 22415 },
	{ "QAR", "", "", ResidueType::NON_POLYMER, false, "1-(4-amino-6-methyl-1,3,5-triazin-2-yl)-N-(1H-pyrazol-3-yl)-1H-benzimidazol-2-amine", 22416 },
	{ "QAY", "", "", ResidueType::NON_POLYMER, false, "8-[4-(2-azanylethyl)pyrazol-1-yl]-3H-pyrido[3,4-d]pyrimidin-4-one", 22417 },
	{ "QB4", "", "5P8", ResidueType::NON_POLYMER, true, "(10R)-7-amino-12-fluoro-2,10,16-trimethyl-15-oxo-10,15,16,17-tetrahydro-2H-8,4-(metheno)pyrazolo[4,3-h][2,5,11]benzoxadiazacyclotetradecine-3-carbonitrile", 22418 },
	{ "QBB", "", "", ResidueType::NON_POLYMER, false, "4-fluoro-N-(1,2,3,4-tetrahydroisoquinolin-7-yl)benzamide", 22419 },
	{ "QBH", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-(2-hydroxy-5-{[(3S,4S,5R)-4-hydroxy-1,1-dioxido-5-{[3-(propan-2-yl)benzyl]amino}tetrahydro-2H-thiopyran-3-yl]methyl}benzyl)-3-propyl-1,3-oxazolidin-2-one", 22420 },
	{ "QBT", "", "", ResidueType::DNA_LINKING, false, "[(2R,3S,5R)-3-HYDROXY-5-[(5S)-5-METHYL-2,4-DIOXO-1,3-DIAZINAN-1-YL]OXOLAN-2-YL]METHYL DIHYDROGEN PHOSPHATE", 22421 },
	{ "QBY", "", "", ResidueType::NON_POLYMER, false, "6-(BENZYLOXY)-4-(ETHYLSULFANYL)-3-[(MORPHOLIN-4-YL)", 22422 },
	{ "QC0", "", "", ResidueType::NON_POLYMER, false, "N-[4-METHYL-3-[6-(4-METHYLPIPERAZIN-1-YL)-4-OXIDANYLIDENE-QUINAZOLIN-3-YL]PHENYL]FURAN-3-CARBOXAMIDE", 22423 },
	{ "QC1", "", "", ResidueType::NON_POLYMER, false, "3-{[(4-fluorophenyl)methyl]amino}pyridine-4-carboxylic acid", 22424 },
	{ "QC2", "", "", ResidueType::NON_POLYMER, false, "2-[5-(3-hydroxyphenyl)-1H-pyrazol-1-yl]pyridine-4-carboxylic acid", 22425 },
	{ "QC5", "", "", ResidueType::NON_POLYMER, false, "2-(4-(4-fluorophenyl)-5-(1H-pyrrol-1-yl)-1H-pyrazol-1-yl)-N,N-dimethylethanamine", 22426 },
	{ "QCH", "", "", ResidueType::NON_POLYMER, false, "(2S)-6-[[[2-(cyclohexylmethylcarbamoyl)phenyl]methyl-methyl-amino]methyl]-2-(3-hydroxy-3-oxopropyl)-2,3-dihydro-1,4-benzodioxine-5-carboxylic acid", 22427 },
	{ "QCL", "", "", ResidueType::NON_POLYMER, false, "8-azanyl-4-(2-ethylbutoxy)quinoline-2-carbaldehyde", 22428 },
	{ "QCS", "", "", ResidueType::PEPTIDE_LINKING, false, "S-carbamoyl-L-cysteine", 22429 },
	{ "QCT", "", "", ResidueType::NON_POLYMER, false, "2-(3,4-dihydroxyphenyl)-5,7-dihydroxy-4-oxo-4H-chromen-3-yl 6-deoxy-alpha-L-mannopyranoside", 22430 },
	{ "QD0", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-N-methyl-1-[2-(3-methyl-1,2-oxazol-5-yl)ethanoyl]-4-oxidanyl-pyrrolidine-2-carboxamide", 22431 },
	{ "QDK", "", "", ResidueType::SACCHARIDE, false, "L-ribulose", 22432 },
	{ "QDM", "", "", ResidueType::NON_POLYMER, false, "TDP-3,6-dideoxy-3-N,N-dimethylglucose", 22433 },
	{ "QDN", "", "", ResidueType::NON_POLYMER, false, "Quinidine", 22434 },
	{ "QDO", "", "", ResidueType::NON_POLYMER, false, "2,3-bis(bromomethyl)quinoxaline 1,4-dioxide", 22435 },
	{ "QDR", "", "", ResidueType::NON_POLYMER, false, "2-{[(3-amino-1H-1,2,4-triazol-5-yl)sulfanyl]methyl}-8-methylquinazolin-4(3H)-one", 22436 },
	{ "QDS", "", "", ResidueType::PEPTIDE_LINKING, false, "N-(quinoxalin-2-ylcarbonyl)-D-serine", 22437 },
	{ "QED", "", "", ResidueType::NON_POLYMER, false, "N,N'-{[(2-{[(2,3-dihydroxyphenyl)carbonyl]amino}ethyl)imino]diethane-2,1-diyl}bis(1-hydroxy-6-oxo-1,6-dihydropyridine-2-carboxamide)", 22438 },
	{ "QEG", "", "", ResidueType::NON_POLYMER, false, "N~2~-{3-[4-(4-phenylthiophen-2-yl)phenyl]propanoyl}-L-glutaminyl-L-alpha-glutamine", 22439 },
	{ "QEH", "", "LP3", ResidueType::NON_POLYMER, true, "(7R)-4,7-DIHYDROXY-N,N,N-TRIMETHYL-10-OXO-3,5,9-TRIOXA-4-PHOSPHAHEPTACOSAN-1-AMINIUM 4-OXIDE", 22440 },
	{ "QEI", "", "", ResidueType::NON_POLYMER, false, "2-amino-5-({[(1S,4S,5R)-4,5-dihydroxycyclopent-2-en-1-yl]amino}methyl)-3,7-dihydro-4H-pyrrolo[2,3-d]pyrimidin-4-one", 22441 },
	{ "QEJ", "", "", ResidueType::NON_POLYMER, false, "(2S)-pyrrolidine-2-carbonitrile", 22442 },
	{ "QEL", "", "", ResidueType::NON_POLYMER, false, "4-[(1R,2S)-2-(4-benzylpiperidin-1-yl)-1-hydroxypropyl]phenol", 22443 },
	{ "QEM", "", "", ResidueType::NON_POLYMER, false, "4-[(1R,2S)-3-(4-benzylpiperidin-1-yl)-1-hydroxy-2-methylpropyl]phenol", 22444 },
	{ "QFG", "", "", ResidueType::PEPTIDE_LINKING, false, "{(4E)-2-[(1E)-4-amino-4-oxobutanimidoyl]-4-benzylidene-5-oxo-4,5-dihydro-1H-imidazol-1-yl}acetic acid", 22445 },
	{ "QFH", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-2,3-dihydroxy-2-methylbutanoic acid", 22446 },
	{ "QFI", "", "", ResidueType::NON_POLYMER, false, "({4-[(2S,3R)-2-({[(3R,3AS,6AR)-HEXAHYDROFURO[2,3-B]FURAN-3-YLOXY]CARBONYL}AMINO)-3-HYDROXY-4-{ISOBUTYL[(4-METHOXYPHENYL)SULFONYL]AMINO}BUTYL]PHENOXY}METHYL)PHOSPHONIC ACID", 22447 },
	{ "QG8", "", "", ResidueType::NON_POLYMER, false, "", 22448 },
	{ "QG9", "", "", ResidueType::NON_POLYMER, false, "METHYL ((S)-1-(2-(3-((3S,4S)-3-BENZYL-4-HYDROXY-1-((1S,2R)-2-HYDROXY-2,3-DIHYDRO-1H-INDEN-1-YL)-2-OXOPYRROLIDIN-3-YL)PROPYL)-2-(4-(PYRIDIN-4-YL)BENZYL)HYDRAZINYL)-3,3-DIMETHYL-1-OXOBUTAN-2-YL)CARBAMATE", 22449 },
	{ "QGA", "", "", ResidueType::NON_POLYMER, false, "1-[(3-CYCLOHEXYLPROPANOYL)(2-HYDROXYETHYL)AMINO]-1-DEOXY-D-ALLITOL", 22450 },
	{ "QGF", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,4S)-1-({4-[(2,4-dichlorobenzyl)oxy]piperidin-1-yl}sulfonyl)-4-(5-fluoropyrimidin-2-yl)-2-methylpentan-2-yl]-N-hydroxyformamide", 22451 },
	{ "QGG", "", "", ResidueType::NON_POLYMER, false, "1-({4-CHLORO-1-[(DIAMINOMETHYLIDENE)AMINO]ISOQUINOLIN-7-YL}SULFONYL)-D-PROLINE", 22452 },
	{ "QH3", "", "", ResidueType::NON_POLYMER, false, "3,4-dichlorobenzyl carbamimidothioate", 22453 },
	{ "QHA", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,4R,6aR)-4-[(2-fluoroprop-2-en-1-yl)oxy]hexahydrofuro[2,3-b]furan-3-yl {(2S,3R)-3-hydroxy-4-[{[2-(methylamino)-1,3-benzoxazol-6-yl]sulfonyl}(2-methylpropyl)amino]-1-phenylbutan-2-yl}carbamate", 22454 },
	{ "QHC", "", "", ResidueType::NON_POLYMER, false, "N-[(8R)-4-(4-chloro-3-fluorophenyl)-5,6,7,8-tetrahydroisoquinolin-8-yl]propanamide", 22455 },
	{ "QHF", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,4S)-1-({4-[2-(3,5-dimethyl-1,2-oxazol-4-yl)ethyl]piperidin-1-yl}sulfonyl)-4-(5-fluoropyrimidin-2-yl)-2-methylpentan-2-yl]-N-hydroxyformamide", 22456 },
	{ "QHG", "", "", ResidueType::NON_POLYMER, false, "(E)-3-[4-[(1R)-6-HYDROXY-2-ISOBUTYL-3,4-DIHYDRO-1H-ISOQUINOLIN-1-YL]PHENYL]PROP-2-ENOIC ACID", 22457 },
	{ "QHL", "", "", ResidueType::NON_POLYMER, false, "delta-[Ru(tap2-dppz-CN]2+", 22458 },
	{ "QI1", "", "", ResidueType::NON_POLYMER, false, "4-[bis(4-chlorobenzyl)amino]-N-hydroxybutanamide", 22459 },
	{ "QI2", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-2-(2-{[3-(4-fluoro-3-methylphenyl)propyl](methyl)amino}ethyl)-4-(4-fluorophenyl)-N-hydroxy-4-methoxybutanamide", 22460 },
	{ "QI3", "", "", ResidueType::NON_POLYMER, false, "(4R)-4-(4-chlorophenoxy)-1-[(4-chlorophenyl)sulfonyl]-N-hydroxy-L-prolinamide", 22461 },
	{ "QI9", "", "", ResidueType::NON_POLYMER, false, "Quinine", 22462 },
	{ "QIC", "", "", ResidueType::NON_POLYMER, false, "(1S,3R,4S,5R)-1,3,4,5-tetrahydroxycyclohexanecarboxylic acid", 22463 },
	{ "QID", "", "", ResidueType::NON_POLYMER, false, "3-hydroxy-6-(phenylsulfonyl)quinazoline-2,4(1H,3H)-dione", 22464 },
	{ "QIG", "", "", ResidueType::NON_POLYMER, false, "N-1H-indazol-5-yl-2-(6-methylpyridin-2-yl)quinazolin-4-amine", 22465 },
	{ "QIL", "", "", ResidueType::PEPTIDE_LINKING, false, "N-formyl-L-isoleucine", 22466 },
	{ "QIN", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2S)-2-AMINO-1-(3-THIENYLMETHYL)HEXYL]-2-({[(1S,2S)-2-METHYLCYCLOPROPYL]METHYL}AMINO)-6-[METHYL(METHYLSULFONYL)AMINO]ISONICOTINAMIDE", 22467 },
	{ "QIU", "", "", ResidueType::NON_POLYMER, false, "3-[3-(2-acetamidoethyl)phenyl]benzoic acid", 22468 },
	{ "QIV", "", "", ResidueType::NON_POLYMER, false, "N-(5-oxidanyl-1,3-benzothiazol-2-yl)ethanamide", 22469 },
	{ "QIX", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(2R)-4-(HYDROXYAMINO)-2-(2-NAPHTHYLMETHYL)-4-OXOBUTANOYL]-L-ARGINYLGLYCYLGLYCINAMIDE", 22470 },
	{ "QJ2", "", "", ResidueType::NON_POLYMER, false, "6,6'-pentane-1,5-diylbis(4-methylpyridin-2-amine)", 22471 },
	{ "QJ4", "", "", ResidueType::NON_POLYMER, false, "6,6'-heptane-1,7-diylbis(4-methylpyridin-2-amine)", 22472 },
	{ "QJ7", "", "", ResidueType::NON_POLYMER, false, "6-({[5-({[2-(3-fluorophenyl)ethyl]amino}methyl)pyridin-3-yl]oxy}methyl)-4-methylpyridin-2-amine", 22473 },
	{ "QJ8", "", "", ResidueType::NON_POLYMER, false, "6-({[(3R,5S)-5-{[(6-amino-4-methylpyridin-2-yl)methoxy]methyl}pyrrolidin-3-yl]oxy}methyl)-4-methylpyridin-2-amine", 22474 },
	{ "QJ9", "", "", ResidueType::NON_POLYMER, false, "1-{(3S)-1-[4-(1-benzofuran-2-yl)pyrimidin-2-yl]piperidin-3-yl}-3-ethyl-1,3-dihydro-2H-benzimidazol-2-one", 22475 },
	{ "QJS", "", "", ResidueType::NON_POLYMER, false, "5-fluoranyl-3-[[(1~{S},2~{S})-2-phenylcyclopropyl]carbonylamino]-1~{H}-indole-2-carboxylic acid", 22476 },
	{ "QJZ", "", "", ResidueType::NON_POLYMER, false, "N-{6-[2-(methylsulfanyl)pyrimidin-4-yl]-1,3-benzothiazol-2-yl}acetamide", 22477 },
	{ "QK0", "", "", ResidueType::NON_POLYMER, false, "N-[6-(6-chloro-5-{[(4-fluorophenyl)sulfonyl]amino}pyridin-3-yl)-1,3-benzothiazol-2-yl]acetamide", 22478 },
	{ "QK5", "", "", ResidueType::NON_POLYMER, false, "(3-{(3R)-1-[4-(1-benzothiophen-2-yl)pyrimidin-2-yl]piperidin-3-yl}-2-methyl-1H-pyrrolo[2,3-b]pyridin-1-yl)acetonitrile", 22479 },
	{ "QKH", "", "", ResidueType::NON_POLYMER, false, "Methyl-cyclo-hepta-amylose", 22480 },
	{ "QKU", "", "", ResidueType::NON_POLYMER, false, "3-[3-(hydroxymethyl)phenyl]benzoic acid", 22481 },
	{ "QKV", "", "", ResidueType::NON_POLYMER, false, "(6-bromo-1'H,4H-spiro[1,3-benzodioxine-2,4'-piperidin]-1'-yl)methanol", 22482 },
	{ "QL2", "", "", ResidueType::NON_POLYMER, false, "6-[(3,5-difluorophenyl)amino]-9-ethyl-9H-purine-2-carbonitrile", 22483 },
	{ "QLE", "", "", ResidueType::NON_POLYMER, false, "[(3R,4S,5S,7R,9E,11R,12R)-12-ethyl-3,5,7,11-tetramethyl-2,8-bis(oxidanylidene)-1-oxacyclododec-9-en-4-yl] 3-(dimethylamino)propanoate", 22484 },
	{ "QLG", "", "", ResidueType::PEPTIDE_LINKING, false, "[(4Z)-2-[(1Z)-4-AMINO-4-OXOBUTANIMIDOYL]-4-(2-METHYLPROPYLIDENE)-5-OXO-4,5-DIHYDRO-1H-IMIDAZOL-1-YL]ACETIC ACID", 22485 },
	{ "QLI", "", "", ResidueType::NON_POLYMER, false, "(5S,6S)-6-amino-5-[(1-carboxyethenyl)oxy]cyclohexa-1,3-diene-1-carboxylic acid", 22486 },
	{ "QLP", "", "", ResidueType::NON_POLYMER, false, "N~2~-({3-HYDROXY-2-METHYL-5-[(PHOSPHONOOXY)METHYL]PYRIDIN-4-YL}METHYL)-L-GLUTAMINE", 22487 },
	{ "QLR", "", "", ResidueType::NON_POLYMER, false, "6-methyl-5-[(3R)-3-(3,4,5-trimethoxyphenyl)pent-1-yn-1-yl]pyrimidine-2,4-diamine", 22488 },
	{ "QLW", "", "", ResidueType::NON_POLYMER, false, "N,N-dimethyl-1-[[4-(2-phenylethyl)phenyl]methyl]pyridin-1-ium-4-amine", 22489 },
	{ "QLZ", "", "", ResidueType::NON_POLYMER, false, "5-[3-(2,5-dimethoxyphenyl)prop-1-yn-1-yl]-6-propylpyrimidine-2,4-diamine", 22490 },
	{ "QMI", "", "", ResidueType::NON_POLYMER, false, "4-BROMO-2,6-DICHLORO-N-(1,3,5-TRIMETHYL-1H-PYRAZOL-4-YL)BENZENESULFONAMIDE", 22491 },
	{ "QMM", "", "", ResidueType::PEPTIDE_LINKING, false, "N,N-dimethyl-L-glutamine", 22492 },
	{ "QMN", "", "", ResidueType::NON_POLYMER, false, "ethyl (9S)-9-[3-(1H-benzimidazol-2-yloxy)phenyl]-8-oxo-4,5,6,7,8,9-hexahydro-2H-pyrrolo[3,4-b]quinoline-3-carboxylate", 22493 },
	{ "QMP", "", "", ResidueType::NON_POLYMER, false, "cyclohexyl methylphosphonate", 22494 },
	{ "QMQ", "", "", ResidueType::NON_POLYMER, false, "1-(4-(4-(4-((6-amino-9H-purin-9-yl)methyl)phenyl)butyl)benzyl)-4- (dimethylamino)pyridinium", 22495 },
	{ "QMR", "", "", ResidueType::NON_POLYMER, false, "VARENICLINE", 22496 },
	{ "QMS", "", "", ResidueType::NON_POLYMER, false, "N-(QUINOLIN-8-YL)METHANESULFONAMIDE", 22497 },
	{ "QN1", "", "", ResidueType::NON_POLYMER, false, "4,4'-[(3S,4S)-pyrrolidine-3,4-diylbis({[4-(trifluoromethyl)benzyl]imino}sulfonyl)]dibenzamide", 22498 },
	{ "QN2", "", "", ResidueType::NON_POLYMER, false, "N,N'-(3S,4S)-pyrrolidine-3,4-diylbis[N-(4-iodobenzyl)benzenesulfonamide]", 22499 },
	{ "QN3", "", "", ResidueType::NON_POLYMER, false, "N,N'-(3S,4S)-pyrrolidine-3,4-diylbis(N-benzyl-2-chlorobenzenesulfonamide)", 22500 },
	{ "QN7", "", "", ResidueType::NON_POLYMER, false, "(8S)-3,3-DIFLUORO-8-(2'-FLUORO-3'-METHOXYBIPHENYL-3-YL)-8-PYRIDIN-4-YL-2,3,4,8-TETRAHYDROIMIDAZO[1,5-A]PYRIMIDIN-6-AMINE", 22501 },
	{ "QNB", "", "", ResidueType::NON_POLYMER, false, "(3R)-1-azabicyclo[2.2.2]oct-3-yl hydroxy(diphenyl)acetate", 22502 },
	{ "QNC", "", "", ResidueType::NON_POLYMER, false, "quinoline-2-carboxylic acid", 22503 },
	{ "QND", "", "", ResidueType::NON_POLYMER, true, "QUINALDIC ACID", 22504 },
	{ "QNI", "", "", ResidueType::NON_POLYMER, false, "6-(2,9-DIAZASPIRO[5.5]UNDECAN-2-YL)-9H-PURINE", 22505 },
	{ "QNM", "", "", ResidueType::NON_POLYMER, false, "2-[(1-methyl-2-oxidanyl-4-oxidanylidene-quinolin-3-yl)carbonylamino]ethanoic acid", 22506 },
	{ "QNO", "", "", ResidueType::NON_POLYMER, false, "2-NONYL-4-HYDROXYQUINOLINE N-OXIDE", 22507 },
	{ "QNS", "", "", ResidueType::NON_POLYMER, false, "N-[3-chloranyl-4-[[4-(4-methoxyphenyl)oxan-4-yl]methylcarbamoyl]phenyl]furan-2-carboxamide", 22508 },
	{ "QNZ", "", "", ResidueType::NON_POLYMER, false, "(E)-3-(2-(4-cyanostyryl)-4-oxoquinazolin-3(4H)-yl)benzoic acid", 22509 },
	{ "QO9", "", "", ResidueType::NON_POLYMER, false, "1-[(5R,6R,8R,9R)-4-amino-9-{[tert-butyl(dimethyl)silyl]oxy}-6-({[tert-butyl(dimethyl)silyl]oxy}methyl)-2,2-dioxido-1,7-dioxa-2-thiaspiro[4.4]non-3-en-8-yl]-5-methylpyrimidine-2,4(1H,3H)-dione", 22510 },
	{ "QOL", "", "", ResidueType::NON_POLYMER, false, "8-azanyl-4-[2-(hydroxymethyl)-3-oxidanyl-propoxy]quinoline-2-carbaldehyde", 22511 },
	{ "QPA", "", "", ResidueType::PEPTIDE_LINKING, false, "S-[(1S)-1-carboxy-1-(phosphonooxy)ethyl]-L-cysteine", 22512 },
	{ "QPC", "", "", ResidueType::NON_POLYMER, false, "4-[(4-{2-[(2,2-dimethylpropyl)amino]-2-oxoethyl}phenyl)amino]-2-phenylpyrimidine-5-carboxamide", 22513 },
	{ "QPH", "", "", ResidueType::PEPTIDE_LINKING, false, "N-formyl-L-phenylalanine", 22514 },
	{ "QPP", "", "", ResidueType::NON_POLYMER, false, "N-(5-METHYL-1H-PYRAZOL-3-YL)-2-PHENYLQUINAZOLIN-4-AMINE", 22515 },
	{ "QPR", "", "", ResidueType::NON_POLYMER, false, "1-(1-methylindol-3-yl)ethanone", 22516 },
	{ "QPS", "", "", ResidueType::SACCHARIDE, false, "BETA-ACARBOSE", 22517 },
	{ "QPT", "", "", ResidueType::NON_POLYMER, false, "carboplatin", 22518 },
	{ "QPU", "", "", ResidueType::NON_POLYMER, false, "1,5-anhydro-4-O-(4,6-dideoxy-4-{[(1S,2S,3S,4R,5S,6R)-2,3,4,6-tetrahydroxy-5-methylcyclohexyl]amino}-alpha-D-glucopyranosyl)-D-glucitol", 22519 },
	{ "QQ1", "", "", ResidueType::NON_POLYMER, false, "2-[3-(CYCLOHEXYLMETHYL)-5-PHENYL-IMIDAZOL-4-YL]-[1,3]THIAZOLO[4,5-E]PYRIMIDIN-7-AMINE", 22520 },
	{ "QQ2", "", "", ResidueType::NON_POLYMER, false, "[(2-CHLORO-5-METHYLPHENYL){6-[(4-{[(2R)-3-(DIMETHYLAMINO)-2-HYDROXYPROPYL]OXY}PHENYL)AMINO]PYRIMIDIN-4-YL}AMINO]ACETONITRILE", 22521 },
	{ "QQ3", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-(4-METHYL-1,3-DIOXO-1,3-DIHYDRO-2H-PYRROLO[3,4-C]QUINOLIN-2-YL)HEXANOIC ACID", 22522 },
	{ "QQ7", "", "", ResidueType::NON_POLYMER, false, "cucurbit[7]uril", 22523 },
	{ "QQH", "", "", ResidueType::NON_POLYMER, false, "[(3~{R})-3-carboxy-7-[(2,3-dimethylphenyl)methyl]-5-oxidanylidene-2,3-dihydro-[1,3]thiazolo[3,2-a]pyridin-8-yl]-dimethyl-azanium", 22524 },
	{ "QQQ", "", "", ResidueType::NON_POLYMER, false, "1-(1-methylethyl)-1H-benzimidazole-2-sulfonic acid", 22525 },
	{ "QQV", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,4R)-N-(2-azanylideneethyl)-2-morpholin-4-ylcarbonyl-4-(phenylsulfonyl)cyclopentane-1-carboxamide", 22526 },
	{ "QQX", "", "", ResidueType::NON_POLYMER, false, "[(3aR,4R,6R,6aR)-4-(6-aminopurin-9-yl)-2-oxidanyl-2-sulfanylidene-3a,4,6,6a-tetrahydrofuro[3,4-d][1,3,2]dioxaphosphol-6-yl]methanol", 22527 },
	{ "QQY", "", "", ResidueType::NON_POLYMER, false, "[(3aR,4R,6R,6aR)-4-(6-aminopurin-9-yl)-2-oxidanylidene-2-sulfanyl-3a,4,6,6a-tetrahydrofuro[3,4-d][1,3,2]dioxaphosphol-6-yl]methanol", 22528 },
	{ "QQZ", "", "", ResidueType::NON_POLYMER, false, "phosphonooxy-[[[6-(1~{H}-1,2,3,4-tetrazol-5-yl)pyridin-3-yl]sulfonylamino]methyl]borinic acid", 22529 },
	{ "QRG", "", "", ResidueType::PEPTIDE_LIKE, false, "N-acetyl-L-alpha-aspartyl-L-methionine", 22530 },
	{ "QRL", "", "", ResidueType::NON_POLYMER, false, "S-methyl hexanethioate", 22531 },
	{ "QRO", "", "", ResidueType::NON_POLYMER, false, "5-[2-(3,4-difluorophenyl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 22532 },
	{ "QRP", "", "", ResidueType::NON_POLYMER, false, "(3S,8aS)-3-(1H-indol-3-ylmethyl)hexahydropyrrolo[1,2-a]pyrazine-1,4-dione", 22533 },
	{ "QRW", "", "", ResidueType::NON_POLYMER, false, "3-({[4-methyl-5-(pyridin-4-yl)-4H-1,2,4-triazol-3-yl]methyl}amino)-N-[2-(trifluoromethyl)benzyl]benzamide", 22534 },
	{ "QRX", "", "", ResidueType::NON_POLYMER, false, "N-(2,6-difluorobenzyl)-3-({[4-propyl-5-(pyrimidin-4-yl)-4H-1,2,4-triazol-3-yl]methyl}amino)benzamide", 22535 },
	{ "QS5", "", "", ResidueType::NON_POLYMER, false, "N-(4-(((4-(4-methoxyphenyl)oxan-4- yl)methyl)carbamoyl)phenyl)-5-methylfuran-2-carboxamide", 22536 },
	{ "QSC", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-phenylethanamine", 22537 },
	{ "QSI", "", "", ResidueType::NON_POLYMER, false, "5'-O-[N-(L-GLUTAMINYL)-SULFAMOYL]ADENOSINE", 22538 },
	{ "QSN", "", "", ResidueType::NON_POLYMER, false, "N-[6-(1H-imidazol-1-yl)-7-nitro-2,4-dioxo-1,4-dihydroquinazolin-3(2H)-yl]methanesulfonamide", 22539 },
	{ "QSO", "", "", ResidueType::NON_POLYMER, false, "5,7-dihydroxy-3-(4-methoxyphenyl)-4H-chromen-4-one", 22540 },
	{ "QTP", "", "", ResidueType::NON_POLYMER, false, "3-{2-deoxy-5-O-[(R)-hydroxy{[(R)-hydroxy(phosphonooxy)phosphoryl]oxy}phosphoryl]-beta-D-erythro-pentofuranosyl}-7-methyl-3H-imidazo[4,5-b]pyridine", 22541 },
	{ "QTR", "", "", ResidueType::NON_POLYMER, true, "OXYGEN OF QUINONE", 22542 },
	{ "QUA", "", "", ResidueType::NON_POLYMER, false, "8-HYDROXY-4-(1-HYDROXYETHYL)QUINOLINE-2-CARBOXYLIC ACID", 22543 },
	{ "QUB", "", "", ResidueType::NON_POLYMER, false, "(E)-N-(prop-2-en-1-yloxy)-1-(quinolin-4-yl)methanimine", 22544 },
	{ "QUD", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-3-{(1R)-1-CYCLOHEXYL-2-[(CYCLOHEXYLCARBONYL)AMINO]ETHYL}-6-PHENOXYQUINAZOLIN-3-IUM", 22545 },
	{ "QUE", "", "", ResidueType::NON_POLYMER, false, "3,5,7,3',4'-PENTAHYDROXYFLAVONE", 22546 },
	{ "QUH", "", "", ResidueType::NON_POLYMER, false, "", 22547 },
	{ "QUI", "QX", "", ResidueType::NON_POLYMER, false, "2-CARBOXYQUINOXALINE", 22548 },
	{ "QUJ", "", "", ResidueType::NON_POLYMER, false, "8-azanyl-4-(2-methylpropoxy)quinoline-2-carboxylic acid", 22549 },
	{ "QUK", "", "", ResidueType::NON_POLYMER, false, "8-azanyl-4-(3-azanylpropoxy)quinoline-2-carboxylic acid", 22550 },
	{ "QUL", "", "", ResidueType::NON_POLYMER, false, "N,N-diethyl-N'-(10H-indolo[3,2-b]quinolin-11-yl)ethane-1,2-diamine", 22551 },
	{ "QUM", "", "", ResidueType::NON_POLYMER, false, "QUINACRINE MUSTARD", 22552 },
	{ "QUN", "", "", ResidueType::NON_POLYMER, false, "QUINACRINE", 22553 },
	{ "QUO", "", "", ResidueType::RNA_LINKING, false, "2-AMINO-7-DEAZA-(2'',3''-DIHYDROXY-CYCLOPENTYLAMINO)-GUANOSINE-5'-MONOPHOSPHATE", 22554 },
	{ "QUP", "", "", ResidueType::NON_POLYMER, false, "1-(5-chloro-2-methylphenyl)-4-(pyrrolo[2,1-f][1,2,4]triazin-4-yl)-1H-pyrrole-2-carboxamide", 22555 },
	{ "QUS", "", "", ResidueType::NON_POLYMER, false, "(S)-2-AMINO-3-(3,5-DIOXO-[1,2,4]OXADIAZOLIDIN-2-YL)-PROPIONIC ACID", 22556 },
	{ "QUV", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3S,4R)-1-({6-deoxy-6-[(naphthalen-1-ylcarbamoyl)amino]-alpha-D-galactopyranosyl}oxy)-3,4-dihydroxyoctadecan-2-yl]hexacosanamide", 22557 },
	{ "QUW", "", "", ResidueType::NON_POLYMER, false, "4-azanyl-N-[[2,4-bis(fluoranyl)phenyl]methyl]-1-oxidanyl-2-oxidanylidene-6-(5-oxidanylpentyl)-1,8-naphthyridine-3-carboxamide", 22558 },
	{ "QUX", "", "", ResidueType::NON_POLYMER, false, "N-[(3S,4S,5R)-4,5-dihydroxy-1-[(2R,3R,4R,5R,6R)-3,4,5-trihydroxy-6-(hydroxymethyl)oxan-2-yl]nonadecan-3-yl]hexacosanamide", 22559 },
	{ "QUY", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4S,5R,6S)-6-[(2S,3S,4R)-2-(hexacosanoylamino)-3,4-dihydroxy-octadecoxy]-3,4,5-trihydroxy-N-(phenylmethyl)oxane-2-carboxamide", 22560 },
	{ "QUZ", "", "", ResidueType::NON_POLYMER, false, "quinazoline", 22561 },
	{ "QV4", "", "", ResidueType::SACCHARIDE_LINKING, false, "4,6-dideoxy-4-{[(1S,4R,5R,6S)-4-{[alpha-D-glucopyranosyl-(1->4)-alpha-D-glucopyranosyl-(1->4)-alpha-D-glucopyranosyl]oxy}-5,6-dihydroxy-3-(hydroxymethyl)cyclohex-2-en-1-yl]amino}-alpha-D-glucopyranose", 22562 },
	{ "QV6", "", "", ResidueType::NON_POLYMER, false, "3-({4-[(2,4-dimethyl-5-sulfophenyl)amino]-9,10-dioxo-9,10-dihydroanthracen-1-yl}amino)-2,4,6-trimethylbenzenesulfonic acid", 22563 },
	{ "QV7", "", "", ResidueType::NON_POLYMER, false, "3-hydroxy-4-[(E)-{2-sulfo-4-[(E)-(4-sulfophenyl)diazenyl]phenyl}diazenyl]naphthalene-2,7-disulfonic acid", 22564 },
	{ "QV8", "", "", ResidueType::NON_POLYMER, false, "9,10-dioxo-4-(phenylamino)-9,10-dihydroanthracene-2-sulfonic acid", 22565 },
	{ "QVE", "", "", ResidueType::NON_POLYMER, false, "8-azanyl-4-(2-hydroxy-2-oxoethyloxy)quinoline-2-carboxylic acid", 22566 },
	{ "QVR", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{R},4~{S},5~{R})-2-(6-aminopurin-9-yl)-5-[(~{E})-prop-1-enyl]oxolane-3,4-diol", 22567 },
	{ "QVS", "", "", ResidueType::NON_POLYMER, false, "8-azanyl-4-oxidanyl-quinoline-2-carboxylic acid", 22568 },
	{ "QWE", "", "", ResidueType::PEPTIDE_LIKE, false, "amino{[(4S)-4-({[5-(dimethylamino)naphthalen-1-yl]sulfonyl}amino)-5-oxo-5-{(2R)-2-[3-oxo-3-(1,3-thiazol-2-yl)propyl]piperidin-1-yl}pentyl]amino}methaniminium", 22569 },
	{ "QWI", "", "", ResidueType::NON_POLYMER, false, "6-(4-PHENYL-1,9-DIAZASPIRO[5.5]UNDECAN-9-YL)-9H-PURINE", 22570 },
	{ "QWS", "", "", ResidueType::NON_POLYMER, false, "4-(carbamoylamino)-1-[7-(propan-2-yloxy)naphthalen-1-yl]-1H-pyrazole-3-carboxamide", 22571 },
	{ "QWV", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,3R)-3-hydroxy-1-{[6-O-(3-phenylpropanoyl)-alpha-D-galactopyranosyl]oxy}octadecan-2-yl]hexacosanamide", 22572 },
	{ "QX", "", "QUI", ResidueType::NON_POLYMER, true, "QUINOXALINE-2-CARBOXYLIC ACID", 22573 },
	{ "QY9", "", "", ResidueType::NON_POLYMER, false, "phenyl acetate", 22574 },
	{ "QYD", "", "", ResidueType::NON_POLYMER, false, "N-(4-NITROPHENYL)-2-PHENYL-THIOMORPHOLINE-4-CARBOXAMIDE", 22575 },
	{ "QYT", "", "", ResidueType::NON_POLYMER, false, "(5E)-5-(QUINOXALIN-6-YLMETHYLENE)-1,3-THIAZOLIDINE-2,4-DIONE", 22576 },
	{ "QZ3", "", "", ResidueType::NON_POLYMER, false, "N-[4-(3-CYANO-7-ETHYL-5-METHYL-2-OXO-1H-1,6-NAPHTHYRIDIN-4-YL)PHENYL]METHANESULFONAMIDE", 22577 },
	{ "QZE", "", "", ResidueType::NON_POLYMER, false, "4-[3-cyano-2-oxo-7-(1H-pyrazol-4-yl)-5,6-dihydro-1H-benzo[h]quinolin-4-yl]benzoic acid", 22578 },
	{ "QZK", "", "", ResidueType::NON_POLYMER, false, "{[(biphenyl-4-ylsulfonyl)amino]methanediyl}bis(phosphonic acid)", 22579 },
	{ "QZN", "", "", ResidueType::NON_POLYMER, false, "3-amino-7-chloro-2-nonylquinazolin-4(3H)-one", 22580 },
	{ "QZQ", "", "", ResidueType::NON_POLYMER, false, "Betulinic Acid", 22581 },
	{ "QZZ", "", "", ResidueType::NON_POLYMER, false, "4-[3-cyano-6-(3-methoxyphenyl)-2-oxo-1H-pyridin-4-yl]benzoic acid", 22582 },
	{ "R", "", "", ResidueType::DNA_LINKING, false, "", 22583 },
	{ "R00", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S,3S)-3-amino-2-hydroxy-4-phenylbutyl]-L-phenylalanine", 22584 },
	{ "R01", "", "", ResidueType::NON_POLYMER, false, "(4'-{[ALLYL(METHYL)AMINO]METHYL}-1,1'-BIPHENYL-4-YL)(4-BROMOPHENYL)METHANONE", 22585 },
	{ "R02", "", "", ResidueType::NON_POLYMER, false, "{4-[((1S,2S)-2-{[ALLYL(CYCLOPROPYL)AMINO]METHYL}CYCLOPROPYL)METHOXY]PHENYL}(4-BROMOPHENYL)METHANONE", 22586 },
	{ "R03", "", "", ResidueType::NON_POLYMER, false, "ALLYL-{6-[3-(4-BROMO-PHENYL)-1-METHYL-1H-INDAZOL-6-YL]OXY}HEXYL)-N-METHYLAMINE", 22587 },
	{ "R04", "", "", ResidueType::NON_POLYMER, false, "(2E)-N-ALLYL-4-{[3-(4-BROMOPHENYL)-5-FLUORO-1-METHYL-1H-INDAZOL-6-YL]OXY}-N-METHYL-2-BUTEN-1-AMINE", 22588 },
	{ "R07", "", "", ResidueType::NON_POLYMER, false, "1-[(11S)-6,11-dihydrodibenzo[b,e]thiepin-11-yl]-5-hydroxy-3-[(2R)-1,1,1-trifluoropropan-2-yl]-2,3-dihydro-1H-pyrido[2,1-f][1,2,4]triazine-4,6-dione", 22589 },
	{ "R09", "", "", ResidueType::NON_POLYMER, false, "4-{5-(6-methoxynaphthalen-2-yl)-1-methyl-2-[2-methyl-4-(methylsulfonyl)phenyl]-1H-imidazol-4-yl}pyridine", 22590 },
	{ "R0N", "", "", ResidueType::NON_POLYMER, false, "Roniciclib", 22591 },
	{ "R10", "", "", ResidueType::NON_POLYMER, false, "5-O-phosphono-D-ribonic acid", 22592 },
	{ "R11", "", "", ResidueType::NON_POLYMER, false, "4-{[1-METHYL-5-(2-METHYL-BENZOIMIDAZOL-1-YLMETHYL)-1H-BENZOIMIDAZOL-2-YLMETHYL]-AMINO}-BENZAMIDINE", 22593 },
	{ "R12", "", "", ResidueType::NON_POLYMER, false, "(2E,4E,6E,8E)-9-(4-hydroxy-2,3,6-trimethylphenyl)-3,7-dimethylnona-2,4,6,8-tetraenoic acid", 22594 },
	{ "R13", "", "", ResidueType::NON_POLYMER, false, "3-METHYL-7-(5,5,8,8-TETRAMETHYL-5,6,7,8-TETRAHYDRO-NAPHTHALEN-2-YL) -OCTA-2,4,6-TRIENOIC ACID", 22595 },
	{ "R14", "", "", ResidueType::NON_POLYMER, false, "N,N'-[acridine-3,6-diylbis(1H-1,2,3-triazole-1,4-diylbenzene-3,1-diyl)]bis[3-(diethylamino)propanamide]", 22596 },
	{ "R15", "", "", ResidueType::NON_POLYMER, false, "N,N'-(heptane-1,7-diyldicarbamoyl)bis(3-chlorobenzenesulfonamide)", 22597 },
	{ "R16", "", "", ResidueType::NON_POLYMER, false, "HEXADECANE", 22598 },
	{ "R17", "", "", ResidueType::NON_POLYMER, false, "ALLYL-{4-[3-(4-BROMO-PHENYL)-BENZOFURAN-6-YLOXY]-BUT-2-ENYL}-METHYL-AMINE", 22599 },
	{ "R18", "", "", ResidueType::NON_POLYMER, false, "(17BETA)-17-HYDROXY-17-METHYLESTRA-4,9,11-TRIEN-3-ONE", 22600 },
	{ "R19", "", "", ResidueType::NON_POLYMER, false, "ALLYL-{6-[3-(4-BROMO-PHENYL)-BENZOFURAN-6-YLOXY]-HEXYL-}-METHYL-AMIN", 22601 },
	{ "R1A", "", "", ResidueType::PEPTIDE_LINKING, false, "3-{[(2,2,5,5-TETRAMETHYL-1-OXO-2,5-DIHYDRO-1H-PYRROLIUM-3-YL)METHYL]DISULFANYL}-D-ALANINE", 22602 },
	{ "R1B", "", "", ResidueType::NON_POLYMER, false, "S-[(1-oxyl-2,2,4,5,5-pentamethyl-2,5-dihydro-1H-pyrrol-3-yl)methyl] methanesulfonothioate", 22603 },
	{ "R1C", "", "", ResidueType::NON_POLYMER, false, "bis(2,2'-bipyridine-kappa~2~N~1~,N~1'~)[chrysene-5,6-diiminato(2-)-kappa~2~N,N']rhodium(4+)", 22604 },
	{ "R1F", "", "", ResidueType::NON_POLYMER, false, "S-[(1-oxyl-2,2,5,5-tetramethyl-4-phenyl-2,5-dihydro-1H-pyrrol-3-yl)methyl] methanesulfonothioate", 22605 },
	{ "R1P", "RDP", "", ResidueType::SACCHARIDE, false, "RIBOSE-1-PHOSPHATE", 22606 },
	{ "R1S", "", "", ResidueType::NON_POLYMER, false, "N-(6-chloro-1,3-benzothiazol-2-yl)-1-benzothiophene-3-sulfonamide", 22607 },
	{ "R1T", "", "", ResidueType::NON_POLYMER, false, "2-{4-[(4-AMINO-2-METHYLPYRIMIDIN-5-YL)METHYL]-5-[(1R)-1-HYDROXYETHYL]-3-METHYL-2-THIENYL}ETHYL TRIHYDROGEN DIPHOSPHATE", 22608 },
	{ "R1X", "", "", ResidueType::SACCHARIDE, false, "1,4-anhydro-D-ribitol", 22609 },
	{ "R1Z", "", "", ResidueType::NON_POLYMER, false, "Delta-[Ru(bpy)2dppz]2+", 22610 },
	{ "R20", "", "", ResidueType::NON_POLYMER, false, "4-(3-METHYLPHENYL)-1H-1,2,3-TRIAZOLE", 22611 },
	{ "R21", "", "", ResidueType::NON_POLYMER, false, "2-(3-chloro-4-hydroxyphenyl)-N-[2-(4-sulfamoylphenyl)ethyl]acetamide", 22612 },
	{ "R22", "", "", ResidueType::NON_POLYMER, false, "4-(3,5-DIMETHYLPHENOXY)-5-(FURAN-2-YLMETHYLSULFANYLMETHYL)-3-IODO-6-METHYLPYRIDIN-2(1H)-ONE", 22613 },
	{ "R23", "", "", ResidueType::NON_POLYMER, false, "METHYL-[4-(4-PIPERIDINE-1-YLMETHYL-PHENYL)-CYCLOHEXYL]-CARBAMINIC ACID-(4-CHLOROPHENYL)-ESTER", 22614 },
	{ "R24", "", "", ResidueType::NON_POLYMER, false, "1-[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]-3-{3-[(6-nitroquinolin-4-yl)amino]phenyl}urea", 22615 },
	{ "R26", "", "", ResidueType::NON_POLYMER, false, "3-[(4-cyanobenzyl)amino]-6-(trifluoromethyl)quinoxaline-2-carboxylic acid", 22616 },
	{ "R2B", "", "", ResidueType::SACCHARIDE, false, "1,4-anhydro-D-erythro-pent-1-enitol", 22617 },
	{ "R2C", "", "", ResidueType::NON_POLYMER, false, "5-METHOXY-2-[(4-PHENOXYPHENYL)AMINO]BENZOIC ACID", 22618 },
	{ "R2G", "", "", ResidueType::NON_POLYMER, false, "2,5-anhydro-4-deoxy-D-erythro-pent-4-enitol", 22619 },
	{ "R2N", "", "", ResidueType::NON_POLYMER, false, "5-bromo-1-methyl-1H-indole-2-carboxylic acid", 22620 },
	{ "R2P", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-2-amino-3-(4-hydroxy-1,2,5-thiadiazol-3-yl)propanoic acid", 22621 },
	{ "R2S", "", "", ResidueType::NON_POLYMER, false, "N-(6-chloro-1,3-benzothiazol-2-yl)-1-benzothiophene-2-sulfonamide", 22622 },
	{ "R2T", "", "", ResidueType::PEPTIDE_LINKING, false, "beta,gamma-dihydroxyglutamine", 22623 },
	{ "R2Z", "", "", ResidueType::NON_POLYMER, false, "N~2~-({(1R,2Z)-2-[(2R)-2-(formylamino)-3-(phosphonooxy)propylidene]cyclopentyl}carbonyl)-L-argininamide", 22624 },
	{ "R30", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(1H-benzotriazol-1-ylacetyl)(thiophen-3-ylmethyl)amino]phenyl}propanamide", 22625 },
	{ "R31", "", "", ResidueType::NON_POLYMER, false, "(2S,4S,5S)-5-amino-N-(3-amino-2,2-dimethyl-3-oxopropyl)-4-hydroxy-6-{4-[2-(3-methoxypropoxy)phenyl]-3-oxopiperazin-1-yl}-2-(propan-2-yl)hexanamide", 22626 },
	{ "R32", "", "", ResidueType::NON_POLYMER, false, "(2S,4S,5S)-5-amino-N-(3-amino-2,2-dimethyl-3-oxopropyl)-6-[4-(2-chlorophenyl)-2,2-dimethyl-5-oxopiperazin-1-yl]-4-hydroxy-2-(propan-2-yl)hexanamide", 22627 },
	{ "R35", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-tert-butylbutanedioic acid", 22628 },
	{ "R36", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-N-{4-[2-(2,6-DIMETHYL-PHENOXY)-ACETYLAMINO]-3-HYDROXY-1-ISOBUTYL-5-PHENYL-PENTYL}-BENZAMIDE", 22629 },
	{ "R37", "", "", ResidueType::NON_POLYMER, false, "3-AMINO-N-{4-[2-(2,6-DIMETHYL-PHENOXY)-ACETYLAMINO]-3-HYDROXY-1-ISOBUTYL-5-PHENYL-PENTYL}-BENZAMIDE", 22630 },
	{ "R38", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-3-(1~{H}-indol-3-yl)-2-[[(2~{S})-2-methyl-3-sulfanyl-propanoyl]amino]propanoic acid", 22631 },
	{ "R39", "", "", ResidueType::NON_POLYMER, false, "1-[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]-3-[4-(2-morpholin-4-ylethoxy)phenyl]urea", 22632 },
	{ "R3G", "", "", ResidueType::NON_POLYMER, false, "2-[2-(2-{4-[(alpha-D-glucopyranosyloxy)methyl]-1H-1,2,3-triazol-1-yl}ethoxy)ethoxy]ethyl 2-[3,6-bis(diethylamino)-9H-xanthen-9-yl]benzoate", 22633 },
	{ "R3M", "", "", ResidueType::NON_POLYMER, false, "2-[2-(2-{4-[(alpha-D-mannopyranosyloxy)methyl]-1H-1,2,3-triazol-1-yl}ethoxy)ethoxy]ethyl 2-[3,6-bis(diethylamino)-9H-xanthen-9-yl]benzoate", 22634 },
	{ "R3S", "", "", ResidueType::NON_POLYMER, false, "RESVERATROL-3-O-SULFATE", 22635 },
	{ "R3W", "", "", ResidueType::NON_POLYMER, false, "chloroacetic acid", 22636 },
	{ "R3X", "", "", ResidueType::NON_POLYMER, false, "Resveratrol-3-O-glucuronide", 22637 },
	{ "R3Z", "", "", ResidueType::NON_POLYMER, false, "1-[(2S)-2,3-dihydro-1,4-benzodioxin-2-ylmethyl]-3-hydroxythieno[3,2-d]pyrimidine-2,4(1H,3H)-dione", 22638 },
	{ "R40", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(benzyloxy)carbonyl]-L-arginine", 22639 },
	{ "R45", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{(2S)-3-[(S)-(4-bromophenyl)(hydroxy)phosphoryl]-2-[(3-phenyl-1,2-oxazol-5-yl)methyl]propanoyl}-L-alpha-glutamyl-L-alpha-glutamine", 22640 },
	{ "R46", "", "", ResidueType::NON_POLYMER, false, "N-{6-[4-(6-BROMO-1,2-BENZISOTHIAZOL-3-YL)PHENOXY]HEXYL}-N-METHYL-2-PROPEN-1-AMINE", 22641 },
	{ "R47", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S)-3-[(S)-(4-bromophenyl)(hydroxy)phosphoryl]-2-{[3-(3'-chlorobiphenyl-4-yl)-1,2-oxazol-5-yl]methyl}propanoyl]-L-alpha-glutamyl-L-alpha-glutamine", 22642 },
	{ "R48", "", "", ResidueType::NON_POLYMER, false, "1-{3-[(6-aminoquinazolin-4-yl)amino]phenyl}-3-[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]urea", 22643 },
	{ "R49", "", "", ResidueType::NON_POLYMER, false, "1-{4-[(6-aminoquinolin-4-yl)amino]phenyl}-3-[3-tert-butyl-1-(3-methylphenyl)-1H-pyrazol-5-yl]urea", 22644 },
	{ "R4A", "", "", ResidueType::NON_POLYMER, false, "BIS[1H,1'H-2,2'-BIPYRIDINATO(2-)-KAPPA~2~N~1~,N~1'~]{3-[4-(1,10-DIHYDRO-1,10-PHENANTHROLIN-4-YL-KAPPA~2~N~1~,N~10~)BUTOXY]-N,N-DIMETHYLANILINATO(2-)}RUTHENIUM", 22645 },
	{ "R4B", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S)-3-[(R)-(4-bromophenyl)(hydroxy)phosphoryl]-2-{[3-(3'-chlorobiphenyl-4-yl)-1,2-oxazol-5-yl]methyl}propanoyl]-L-alanyl-L-alaninamide", 22646 },
	{ "R4C", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{(2S)-3-[(R)-(4-bromophenyl)(hydroxy)phosphoryl]-2-[(3-phenyl-1,2-oxazol-5-yl)methyl]propanoyl}-L-alanyl-L-alaninamide", 22647 },
	{ "R4E", "", "", ResidueType::NON_POLYMER, false, "5-amino-3-pentylisoquinolin-1(2H)-one", 22648 },
	{ "R4G", "", "", ResidueType::NON_POLYMER, false, "Resveratrol-4'-O-glucuronide", 22649 },
	{ "R4K", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,3R)-2-azanyl-3-hydroxy-3-[(3S)-3-hydroxy-2-oxo-1H-indol-3-yl]propanoic acid", 22650 },
	{ "R4L", "", "", ResidueType::NON_POLYMER, false, "11-cyclopentyl-2-[[2-methoxy-4-[4-(4-methylpiperazin-1-yl)piperidin-1-yl]carbonyl-phenyl]amino]-5-methyl-pyrimido[4,5-b][1,4]benzodiazepin-6-one", 22651 },
	{ "R4M", "", "", ResidueType::NON_POLYMER, false, "(2E,6Z,8E)-3,7-dimethyl-8-[(4R)-4-methyl-3,4-dihydronaphthalen-1(2H)-ylidene]octa-2,6-dienoic acid", 22652 },
	{ "R4N", "", "", ResidueType::NON_POLYMER, false, "4-[(3-chlorophenyl)methyl]-N-[[(3S)-2,3-dihydro-1,4-benzodioxin-3-yl]methyl]-3-oxidanylidene-1,4-benzothiazine-6-carboxamide", 22653 },
	{ "R51", "", "R52", ResidueType::NON_POLYMER, true, "5-O-phosphono-D-ribose", 22654 },
	{ "R52", "R51", "", ResidueType::NON_POLYMER, false, "5-O-phosphono-D-ribose", 22655 },
	{ "R55", "", "", ResidueType::NON_POLYMER, false, "N-[4-({4-[5-(4,4-DIMETHYLPIPERIDIN-1-YL)-2-HYDROXYBENZOYL]BENZOYL}AMINO)AZEPAN-3-YL]ISONICOTINAMIDE", 22656 },
	{ "R56", "", "", ResidueType::NON_POLYMER, false, "5-OXO-6-PHENYLMETHANESULFONYLAMINO-HEXAHYDRO-THIAZOLO[3,2-A]PYRIDINE-3-CARBOXYLIC ACID (3-GUANIDINO-PROPYL)-AMIDE", 22657 },
	{ "R57", "", "", ResidueType::NON_POLYMER, false, "3-[(3-fluoro-4-methoxybenzyl)amino]-6-(trifluoromethyl)quinoxaline-2-carboxylic acid", 22658 },
	{ "R58", "", "", ResidueType::NON_POLYMER, false, "3-[(4-ethoxybenzyl)amino]-6-(trifluoromethyl)quinoxaline-2-carboxylic acid", 22659 },
	{ "R59", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-3-(1~{H}-indol-3-yl)-2-[[(2~{S})-2-methyl-3-sulfanyl-propanoyl]amino]propanoic acid", 22660 },
	{ "R5A", "", "", ResidueType::NON_POLYMER, false, "RUTHENIUM WIRE, 5 CARBON LINKER", 22661 },
	{ "R5B", "", "", ResidueType::NON_POLYMER, false, "RUTHENIUM WIRE WC5", 22662 },
	{ "R5P", "OR5", "", ResidueType::SACCHARIDE, false, "RIBOSE-5-PHOSPHATE", 22663 },
	{ "R5T", "", "", ResidueType::NON_POLYMER, false, "tert-butyl {(1S)-2-(hydroxyamino)-2-oxo-1-[4-(1H-pyrazol-1-yl)phenyl]ethyl}carbamate", 22664 },
	{ "R5V", "", "", ResidueType::NON_POLYMER, false, "N-{(1R)-2-(hydroxyamino)-2-oxo-1-[4-(1H-pyrazol-1-yl)phenyl]ethyl}-2,2-dimethylpropanamide", 22665 },
	{ "R5X", "", "", ResidueType::NON_POLYMER, false, "3-amino-N-{(1R)-2-(hydroxyamino)-2-oxo-1-[4-(1H-pyrazol-1-yl)phenyl]ethyl}benzamide", 22666 },
	{ "R64", "", "", ResidueType::NON_POLYMER, false, "(1-METHYL-1H-IMIDAZOL-2-YL)-(3-METHYL-4-{3-[(PYRIDIN-3-YLMETHYL)-AMINO]-PROPOXY}-BENZOFURAN-2-YL)-METHANONE", 22667 },
	{ "R68", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(4-{3-[(2R)-3,3-DIMETHYLPIPERIDIN-2-YL]-2-FLUORO-6-HYDROXYBENZOYL}BENZOYL)AMINO]AZEPAN-3-YL}ISONICOTINAMIDE", 22668 },
	{ "R69", "", "", ResidueType::NON_POLYMER, false, "N-[4-({4-[5-(DIMETHYLAMINO)-2-HYDROXYBENZOYL]BENZOYL}AMINO)AZEPAN-3-YL]ISONICOTINAMIDE", 22669 },
	{ "R6A", "", "", ResidueType::NON_POLYMER, false, "RUTHENIUM WIRE, 6 CARBON LINKER", 22670 },
	{ "R6C", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-{[6-(BENZYLOXY)-9-ISOPROPYL-9H-PURIN-2-YL]AMINO}BUTAN-1-OL", 22671 },
	{ "R6G", "", "", ResidueType::NON_POLYMER, false, "RHODAMINE 6G", 22672 },
	{ "R71", "", "", ResidueType::NON_POLYMER, false, "[4-({6-[ALLYL(METHYL)AMINO]HEXYL}OXY)-2-FLUOROPHENYL](4-BROMOPHENYL)METHANONE", 22673 },
	{ "R77", "", "", ResidueType::NON_POLYMER, false, "[(2R)-2-{2-[hydroxy(methyl)amino]-2-oxoethyl}-6-phenylhexyl]phosphonic acid", 22674 },
	{ "R78", "", "", ResidueType::NON_POLYMER, false, "4-{[(7R)-8-cyclopentyl-7-ethyl-5-methyl-6-oxo-5,6,7,8-tetrahydropteridin-2-yl]amino}-3-methoxy-N-(1-methylpiperidin-4-yl)benzamide", 22675 },
	{ "R79", "", "", ResidueType::NON_POLYMER, false, "N-(6-{[3-(4-BROMOPHENYL)-1,2-BENZISOTHIAZOL-6-YL]OXY}HEXYL)-N-METHYLPROP-2-EN-1-AMINE", 22676 },
	{ "R7A", "", "", ResidueType::NON_POLYMER, false, "S-[(4-bromo-1-oxyl-2,2,5,5-tetramethyl-2,5-dihydro-1H-pyrrol-3-yl)methyl] methanesulfonothioate", 22677 },
	{ "R7U", "", "", ResidueType::NON_POLYMER, false, "RUTHENIUM WIRE, 7 CARBON LINKER", 22678 },
	{ "R82", "", "", ResidueType::NON_POLYMER, false, "N-(2,4-dimethoxy-5-{[(2R)-2-methyl-2,3-dihydro-1H-indol-1-yl]sulfonyl}phenyl)acetamide", 22679 },
	{ "R83", "", "", ResidueType::NON_POLYMER, false, "N-{2,4-DIMETHOXY-5-[(2-PIPERIDIN-1-YLBENZYL)sulfamoyl]phenyl}acetamide", 22680 },
	{ "R84", "", "", ResidueType::NON_POLYMER, false, "4-{[1-(2-{[({5-[(3-carboxypropanoyl)amino]-2,4-dimethoxyphenyl}sulfonyl)amino]methyl}phenyl)piperidin-4-yl]methoxy}-4-oxobutanoic acid", 22681 },
	{ "R86", "", "", ResidueType::NON_POLYMER, false, "2-{(2R)-4-[2-(1H-IMIDAZOL-1-YL)-6-METHYLPYRIMIDIN-4-YL]-1-ISOBUTYRYLPIPERAZIN-2-YL}-N-[2-(4-METHOXYPHENYL)ETHYL]ACETAMIDE", 22682 },
	{ "R88", "", "", ResidueType::NON_POLYMER, false, "(4-BROMOPHENYL)[4-({(2E)-4-[CYCLOPROPYL(METHYL)AMINO]BUT-2-ENYL}OXY)PHENYL]METHANONE", 22683 },
	{ "R8C", "", "", ResidueType::NON_POLYMER, false, "2,2,2-trifluoro-N-[(1R,2S)-1-{[1-(4-fluorophenyl)-1H-indazol-5-yl]oxy}-1-phenylpropan-2-yl]acetamide", 22684 },
	{ "R8D", "", "", ResidueType::NON_POLYMER, false, "3-chloro-5-[2-chloro-5-(1H-pyrazolo[3,4-b]pyridin-3-ylmethoxy)phenoxy]benzonitrile", 22685 },
	{ "R8E", "", "", ResidueType::NON_POLYMER, false, "3-{5-[(6-amino-1H-pyrazolo[3,4-b]pyridin-3-yl)methoxy]-2-chlorophenoxy}-5-chlorobenzonitrile", 22686 },
	{ "R8G", "", "", ResidueType::NON_POLYMER, false, "2,7-bis[3-(4-methylpiperazin-1-yl)propyl]-4,9-bis{[3-(4-methylpiperazin-1-yl)propyl]amino}benzo[lmn][3,8]phenanthroline-1,3,6,8(2H,7H)-tetrone", 22687 },
	{ "R8J", "", "", ResidueType::NON_POLYMER, false, "6-(5-oxo-4-(1H-1,2,3-triazol-1-yl)-2,5-dihydro-1H-pyrazol-1-yl)nicotinic acid", 22688 },
	{ "R92", "", "", ResidueType::NON_POLYMER, false, "4-chloranyl-~{N}-[(1~{S})-1-(2-hydroxyphenyl)ethyl]-3-sulfamoyl-benzamide", 22689 },
	{ "R94", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[4-(2-HYDROXY-5-PIPERIDIN-1-YLBENZOYL)BENZOYL]AMINO}AZEPAN-3-YL)ISONICOTINAMIDE", 22690 },
	{ "R96", "", "", ResidueType::NON_POLYMER, false, "N-[4-({4-[5-(3,3-DIMETHYLPIPERIDIN-1-YL)-2-HYDROXYBENZOYL]BENZOYL}AMINO)AZEPAN-3-YL]ISONICOTINAMIDE", 22691 },
	{ "R99", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[3-CARBOXY-2-HYDROXY-PROPIONYL]-D-HOMOPHENYLALANYL-AMINO-2-METHYLBUTANE", 22692 },
	{ "R9A", "", "", ResidueType::NON_POLYMER, false, "RUTHENIUM WIRE, 9 CARBON LINKER", 22693 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-1-benzyl-2-[(6-chloro-2-oxo-1H-quinolin-4-yl)methylamino]-2-oxo-ethyl]-4-hydroxy-2-oxo-1H-quinoline-6-carbo", 22694 },
	{ "R9P", "", "", ResidueType::NON_POLYMER, false, "8-bromo-2-{2-chloro-4-[(piperidin-4-ylmethyl)amino]phenyl}[1]benzofuro[3,2-d]pyrimidin-4(3H)-one", 22695 },
	{ "R9T", "", "", ResidueType::NON_POLYMER, false, "(1~{R})-1-[(3,4-dimethoxyphenyl)methyl]-6,7-dimethoxy-1,2,3,4-tetrahydroisoquinoline", 22696 },
	{ "RA0", "", "", ResidueType::NON_POLYMER, false, "3-{3-[ethyl(quinolin-2-yl)amino]phenyl}propanoic acid", 22697 },
	{ "RA1", "", "", ResidueType::NON_POLYMER, false, "2-chloranyl-4-nitro-~{N}-(4-sulfamoylphenyl)benzamide", 22698 },
	{ "RA2", "", "", ResidueType::NON_POLYMER, false, "1-[4-CARBOXY-2-(3-PENTYLAMINO)PHENYL]-5,5'-DI(HYDROXYMETHYL)PYRROLIDIN-2-ONE", 22699 },
	{ "RA4", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(4-NITROBENZOYL)-L-LEUCYL-N-(4-{[AMINO(IMINO)METHYL]AMINO}BUTYL)-L-PROLINAMIDE", 22700 },
	{ "RA5", "", "", ResidueType::NON_POLYMER, false, "8-methoxy-2-oxidanylidene-~{N}-(4-sulfamoylphenyl)chromene-3-carboxamide", 22701 },
	{ "RA8", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(BENZYLSULFONYL)-L-LEUCYL-N-(4-{[AMINO(IMINO)METHYL]AMINO}BUTYL)-L-PROLINAMIDE", 22702 },
	{ "RA9", "", "", ResidueType::NON_POLYMER, false, "2-[(5-azanyl-1,3,4-thiadiazol-2-yl)sulfanyl]-~{N}-(4-sulfamoylphenyl)ethanamide", 22703 },
	{ "RAA", "", "RAM", ResidueType::SACCHARIDE, true, "ALPHA-RHAMNOSE", 22704 },
	{ "RAB", "", "", ResidueType::NON_POLYMER, false, "2-(6-AMINO-PURIN-9-YL)-5-HYDROXYMETHYL-TETRAHYDRO-FURAN-3,4-DIOL", 22705 },
	{ "RAC", "", "", ResidueType::NON_POLYMER, false, "4-(2-DIMETHYLCARBAMOYL-PHENYLCARBAMOYLOXYMETHYL)-BENZOIC ACID", 22706 },
	{ "RAD", "", "", ResidueType::NON_POLYMER, false, "C49-METHYL RAPAMYCIN", 22707 },
	{ "RAE", "", "", ResidueType::SACCHARIDE, false, "2-DEOXY-ALPHA-RHAMNOSE", 22708 },
	{ "RAF", "", "", ResidueType::SACCHARIDE, false, "raffinose", 22709 },
	{ "RAI", "", "", ResidueType::NON_POLYMER, false, "1-(4-CARBOXY-2-GUANIDINOPENTYL)-5,5'-DI(HYDROXYMETHYL)PYRROLIDIN-2-ONE", 22710 },
	{ "RAJ", "", "", ResidueType::NON_POLYMER, false, "N-{3-[3-(DIMETHYLAMINO)PROPYL]-5-(TRIFLUOROMETHYL)PHENYL}-4-METHYL-3-[(3-PYRIMIDIN-4-YLPYRIDIN-2-YL)AMINO]BENZAMIDE", 22711 },
	{ "RAL", "", "", ResidueType::NON_POLYMER, false, "RALOXIFENE", 22712 },
	{ "RAM", "", "", ResidueType::SACCHARIDE, false, "ALPHA-L-RHAMNOSE", 22713 },
	{ "RAN", "", "", ResidueType::NON_POLYMER, false, "PHOSPHORIC ACID MONO-[3,4,6-TRIHYDROXY-5-(1-HYDROXY-ETHYLAMINO)-TETRAHYDRO-PYRAN-2-YLMETHYL] ESTER", 22714 },
	{ "RAO", "", "", ResidueType::SACCHARIDE, false, "1-O-METHYL-ALPHA-RHAMNOSE", 22715 },
	{ "RAP", "", "", ResidueType::NON_POLYMER, false, "RAPAMYCIN IMMUNOSUPPRESSANT DRUG", 22716 },
	{ "RAR", "", "", ResidueType::NON_POLYMER, false, "5-(3,4-dimethoxy-5-{(1E)-3-oxo-3-[(1S)-1-propylphthalazin-2(1H)-yl]prop-1-en-1-yl}benzyl)pyrimidine-2,4-diamine", 22717 },
	{ "RAS", "", "", ResidueType::NON_POLYMER, false, "(1R)-N-(prop-2-en-1-yl)-2,3-dihydro-1H-inden-1-amine", 22718 },
	{ "RAT", "", "", ResidueType::SACCHARIDE, false, "D-arabinaric acid", 22719 },
	{ "RAU", "", "", ResidueType::NON_POLYMER, false, "RASAGILINE", 22720 },
	{ "RAV", "", "", ResidueType::NON_POLYMER, false, "5-ethyl-5-[(2S)-pentan-2-yl]pyrimidine-2,4,6(1H,3H,5H)-trione", 22721 },
	{ "RAW", "", "ECH", ResidueType::NON_POLYMER, true, "beta,beta-caroten-4-one", 22722 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "dichloro[(1,2,3,4,5,6-eta)-6-methylbenzene]1,3,5-triaza-7lambda~5~-phosphatricyclo[3.3.1.1~3,7~]dec-7-ylruthenium", 22723 },
	{ "RAZ", "", "", ResidueType::NON_POLYMER, false, "(1R)-N,4-DIMETHYL-N-(4-METHYLPENT-3-ENYL)CYCLOHEX-3-ENAMINIUM", 22724 },
	{ "RB", "", "", ResidueType::NON_POLYMER, false, "RUBIDIUM ION", 22725 },
	{ "RB0", "", "", ResidueType::NON_POLYMER, false, "D-ribitol", 22726 },
	{ "RB1", "", "", ResidueType::NON_POLYMER, false, "3-[(4-AMINO-1-TERT-BUTYL-1H-PYRAZOLO[3,4-D]PYRIMIDIN-3-YL)METHYL]PHENOL", 22727 },
	{ "RB2", "", "", ResidueType::NON_POLYMER, false, "2-({4-CHLORO-2-[HYDROXY(METHOXY)METHYL]CYCLOHEXYL}AMINO)ETHANE-1,1,2-TRIOL", 22728 },
	{ "RB3", "", "", ResidueType::NON_POLYMER, false, "(1R)-3-{[(1R)-3-METHOXY-1-METHYL-3-OXOPROPYL]OXY}-1-METHYL-3-OXOPROPYL (3R)-3-HYDROXYBUTANOATE", 22729 },
	{ "RB4", "", "", ResidueType::NON_POLYMER, false, "ethyl 2-({N-[2-(1H-indol-3-yl)ethyl]glycyl}amino)-4-phenylthiophene-3-carboxylate", 22730 },
	{ "RB5", "", "", ResidueType::SACCHARIDE, false, "D-ribose", 22731 },
	{ "RB6", "", "", ResidueType::NON_POLYMER, false, "", 22732 },
	{ "RB9", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-2-({N-[2-(1H-indol-3-yl)ethyl]glycyl}amino)-4-phenylthiophene-3-carboxamide", 22733 },
	{ "RBC", "", "", ResidueType::NON_POLYMER, false, "4-[(4R,5R)-3-(METHOXYMETHYL)-5-(2-NAPHTHYLMETHOXY)PIPERIDIN-4-YL]BENZYL 2-CHLOROBENZOATE", 22734 },
	{ "RBD", "", "", ResidueType::DNA_LINKING, false, "(R,R)-N6,N6-(2,3-dihydroxy-1,4-butadiyl)-2'-deoxyadenosine-5'-monophosphate", 22735 },
	{ "RBE", "", "", ResidueType::NON_POLYMER, false, "3-(BENZOYLOXY)-8-AZA-BICYCLO[3.2.1]OCTANE-2-CARBOXYLIC ACID", 22736 },
	{ "RBF", "", "", ResidueType::NON_POLYMER, false, "RIBOFLAVIN", 22737 },
	{ "RBL", "", "", ResidueType::SACCHARIDE, false, "D-ribulose", 22738 },
	{ "RBN", "", "", ResidueType::NON_POLYMER, false, "Benzeneruthenium(II) chloride", 22739 },
	{ "RBP", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-4-(4-BROMOPHENYL)-3-(2-NAPHTHYLMETHOXY)PIPERIDINE", 22740 },
	{ "RBQ", "", "", ResidueType::NON_POLYMER, false, "(8S)-2-(morpholin-4-yl)-9-[2-(propan-2-yloxy)ethyl]-8-(trifluoromethyl)-6,7,8,9-tetrahydro-4H-pyrimido[1,2-a]pyrimidin-4-one", 22741 },
	{ "RBS", "", "", ResidueType::NON_POLYMER, false, "N-(4-PHENYLAMINO-QUINAZOLIN-6-YL)-ACRYLAMIDE", 22742 },
	{ "RBT", "", "", ResidueType::NON_POLYMER, false, "RIFABUTIN", 22743 },
	{ "RBU", "", "", ResidueType::NON_POLYMER, false, "", 22744 },
	{ "RBV", "", "", ResidueType::NON_POLYMER, false, "1-(beta-D-ribofuranosyl)-1H-1,2,4-triazole-3-carboxamide", 22745 },
	{ "RBY", "", "", ResidueType::NON_POLYMER, false, "METHYLENE ADP-BETA-XYLOSE", 22746 },
	{ "RBZ", "RIC", "", ResidueType::NON_POLYMER, false, "ALPHA-RIBAZOLE-5'-PHOSPHATE", 22747 },
	{ "RC0", "", "", ResidueType::NON_POLYMER, false, "5-chloranyl-~{N}-(4-chlorophenyl)-2-(3,5-dimethylpyrazol-1-yl)pyrimidin-4-amine", 22748 },
	{ "RC1", "", "", ResidueType::NON_POLYMER, false, "[3R-[3A,4A,5B(R*)]]-5-(1-CARBOXY-1-PHOSPHONOETHOXY)-4-HYDROXY-3-(PHOSPHONOOXY)-1-CYCLOHEXENE-1-CARBOXYLIC ACID", 22749 },
	{ "RC2", "", "", ResidueType::NON_POLYMER, false, "N-{3-[5-oxo-7-(piperazin-1-yl)-5H-[1,3,4]thiadiazolo[3,2-a]pyrimidin-2-yl]phenyl}glycinamide", 22750 },
	{ "RC4", "", "", ResidueType::NON_POLYMER, false, "1-[7,7-bis(oxidanyl)-8-oxa-7-boranuidabicyclo[4.3.0]nona-1,3,5-trien-4-yl]-3-(2-methoxy-5-methyl-phenyl)urea", 22751 },
	{ "RC5", "", "", ResidueType::NON_POLYMER, false, "[(2R)-2-{2-[hydroxy(methyl)amino]-2-oxoethyl}-5-phenylpentyl]phosphonic acid", 22752 },
	{ "RC7", "", "", ResidueType::PEPTIDE_LINKING, false, "{(2R)-4-(4-HYDROXYBENZYL)-2-[2-(1H-IMIDAZOL-4-YL)ETHYL]-5-OXO-2,5-DIHYDRO-1H-IMIDAZOL-1-YL}ACETALDEHYDE", 22753 },
	{ "RC8", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-({9-(1-methylethyl)-6-[(4-pyridin-2-ylbenzyl)amino]-9H-purin-2-yl}amino)butan-1-ol", 22754 },
	{ "RCA", "", "", ResidueType::NON_POLYMER, false, "6-{[4-(HYDROXYMETHYL)-5-METHYL-2,6-DIOXOHEXAHYDROPYRIMIDIN-5-YL]METHYL}-5-METHYLPYRIMIDINE-2,4(1H,3H)-DIONE", 22755 },
	{ "RCB", "", "", ResidueType::NON_POLYMER, false, "4-nitrophenyl beta-D-glucopyranosyl-(1->4)-beta-D-glucopyranosyl-(1->4)-beta-D-glucopyranoside", 22756 },
	{ "RCC", "", "", ResidueType::NON_POLYMER, false, "", 22757 },
	{ "RCD", "", "", ResidueType::SACCHARIDE, false, "gamma-cyclodextrin", 22758 },
	{ "RCE", "", "", ResidueType::DNA_LINKING, false, "1-{2,5-anhydro-6-deoxy-4-[(phosphonooxy)methyl]-beta-D-gulofuranosyl}pyrimidine-2,4(1H,3H)-dione", 22759 },
	{ "RCH", "", "", ResidueType::NON_POLYMER, false, "N-tert-butyl-2-[2-[6,6-dimethyl-8-(methylsulfonylamino)-11-oxidanylidene-naphtho[2,3-b][1]benzofuran-3-yl]ethynyl]-6-methyl-pyridine-4-carboxamide", 22760 },
	{ "RCI", "", "", ResidueType::NON_POLYMER, false, "(R)-2-Chloropropionic acid", 22761 },
	{ "RCJ", "", "", ResidueType::NON_POLYMER, false, "(2~{S},4~{S},5~{R},6~{R},7~{S},8~{R})-5-acetamido-2,4,6,7,8,9-hexakis(oxidanyl)nonanoic acid", 22762 },
	{ "RCL", "", "", ResidueType::NON_POLYMER, false, "RICINOLEIC ACID", 22763 },
	{ "RCM", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-[(7-chloro-1H-indol-3-yl)methyl]-3-methylimidazolidine-2,4-dione", 22764 },
	{ "RCO", "", "", ResidueType::NON_POLYMER, false, "RESORCINOL", 22765 },
	{ "RCP", "", "", ResidueType::NON_POLYMER, false, "(3R)-1'-(9-ANTHRYLCARBONYL)-3-(MORPHOLIN-4-YLCARBONYL)-1,4'-BIPIPERIDINE", 22766 },
	{ "RCS", "", "", ResidueType::NON_POLYMER, false, "triscarbonyl-cyclopentadienyl-carboxy-4-aminomethylbenzene-sulfonamide rhenium(I)", 22767 },
	{ "RCX", "", "", ResidueType::NON_POLYMER, false, "Rofecoxib", 22768 },
	{ "RCY", "", "", ResidueType::NON_POLYMER, false, "(3'R)-1'-oxyl-2',2',5',5'-tetramethyl-1,3'-bipyrrolidine-2,5-dione", 22769 },
	{ "RCZ", "", "", ResidueType::NON_POLYMER, false, "Ru(TAP)2(Cl-dppz) complex", 22770 },
	{ "RD0", "", "", ResidueType::NON_POLYMER, false, "1-[2-(piperidin-4-yl)ethyl]-5-{5-[1-(pyrrolidin-1-yl)cyclohexyl]-1,3-thiazol-2-yl}-1H-indole", 22771 },
	{ "RD1", "", "", ResidueType::NON_POLYMER, false, "{[6-(phosphonooxy)naphthalen-2-yl]methylene}bis(phosphonic acid)", 22772 },
	{ "RD2", "", "", ResidueType::NON_POLYMER, false, "[(6-hydroxynaphthalen-2-yl)methylene]bis(phosphonic acid)", 22773 },
	{ "RD3", "", "", ResidueType::NON_POLYMER, false, "{[4-(phosphonooxy)phenyl]methylene}bis(phosphonic acid)", 22774 },
	{ "RD7", "", "", ResidueType::NON_POLYMER, false, "1-[2-(piperazin-1-yl)ethyl]-5-{5-[1-(pyrrolidin-1-yl)cyclohexyl]-1,3-thiazol-2-yl}-1H-indole", 22775 },
	{ "RDA", "", "", ResidueType::NON_POLYMER, false, "METHYL 3-CHLORO-2-{3-[(2,5-DIHYDROXY-4-METHOXYPHENYL)AMINO]-3-OXOPROPYL}-4,6-DIHYDROXYBENZOATE", 22776 },
	{ "RDC", "", "", ResidueType::NON_POLYMER, false, "RADICICOL", 22777 },
	{ "RDD", "", "", ResidueType::NON_POLYMER, false, "1-beta-D-ribofuranosyl-1,3,5-triazinane-2,4,6-trione", 22778 },
	{ "RDE", "", "", ResidueType::NON_POLYMER, false, "2-(3-AMINO-2,5,6-TRIMETHOXYPHENYL)ETHYL 5-CHLORO-2,4-DIHYDROXYBENZOATE", 22779 },
	{ "RDF", "", "", ResidueType::PEPTIDE_LIKE, false, "N-ALPHA-L-RHAMNOPYRANOSYLOXY(HYDROXYPHOSPHINYL)-L-LEUCYL-L-TRYPTOPHAN", 22780 },
	{ "RDG", "", "", ResidueType::DNA_LINKING, false, "", 22781 },
	{ "RDI", "", "", ResidueType::NON_POLYMER, false, "RADICICOL", 22782 },
	{ "RDL", "", "", ResidueType::NON_POLYMER, false, "6,7-DIOXO-5H-8-RIBITYLAMINOLUMAZINE", 22783 },
	{ "RDP", "", "R1P", ResidueType::SACCHARIDE, true, "ALPHA-D-RIBOSE-1-PHOSPHATE", 22784 },
	{ "RDR", "", "", ResidueType::NON_POLYMER, false, "4-[(6-CHLORO-1-BENZOTHIEN-2-YL)SULFONYL]-1-{[1-(2-HYDROXYETHYL)-1H-PYRROLO[3,2-C]PYRIDIN-2-YL]METHYL}PIPERAZIN-2-ONE", 22785 },
	{ "RDS", "", "", ResidueType::NON_POLYMER, false, "6-sec-Butoxy-2-[(3-chlorophenyl)sulfanyl]-4-pyrimidinamine", 22786 },
	{ "RDT", "", "", ResidueType::NON_POLYMER, false, "(1R)-6,7-dimethoxy-1-methyl-3,4-dihydroisoquinoline-2(1H)-sulfonamide", 22787 },
	{ "RE", "", "", ResidueType::NON_POLYMER, false, "RHENIUM", 22788 },
	{ "RE0", "", "", ResidueType::PEPTIDE_LINKING, false, "3-[(3R)-3-hydroxy-2-oxo-2,3-dihydro-1H-indol-3-yl]-L-alanine", 22789 },
	{ "RE1", "", "", ResidueType::NON_POLYMER, false, "GLYCYL-L-A-AMINOPIMELYL-E-(D-2-AMINOETHYL)PHOSPHONATE", 22790 },
	{ "RE2", "", "", ResidueType::NON_POLYMER, false, "5-[2-(4-hydroxyphenyl)ethyl]benzene-1,3-diol", 22791 },
	{ "RE3", "", "", ResidueType::PEPTIDE_LINKING, false, "3-[(3S)-3-hydroxy-2-oxo-2,3-dihydro-1H-indol-3-yl]-L-alanine", 22792 },
	{ "RE8", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-(2-hydroxynaphthalen-1-yl)diazenyl]naphthalene-1-sulfonic acid", 22793 },
	{ "RE9", "", "", ResidueType::NON_POLYMER, false, "6-(2,3,4,5,6,7-HEXAHYDRO-2,4,4-TRIMETHYL-1-METYLENEINDEN-2-YL)-3-METHYLHEXA-2,4-DIENOIC ACID", 22794 },
	{ "REA", "3KV", "", ResidueType::NON_POLYMER, false, "RETINOIC ACID", 22795 },
	{ "REB", "", "", ResidueType::NON_POLYMER, false, "[4-({4-[(5-cyclopropyl-1H-pyrazol-3-yl)amino]pyrimidin-2-yl}amino)phenyl]acetonitrile", 22796 },
	{ "REC", "", "", ResidueType::NON_POLYMER, false, "CEPHALOSPORIN", 22797 },
	{ "RED", "", "", ResidueType::NON_POLYMER, false, "DIHYDROLIPOIC ACID", 22798 },
	{ "REE", "", "", ResidueType::NON_POLYMER, false, "2-(2-carboxyethyl)-1,1,1-trimethyldiazanium", 22799 },
	{ "REF", "", "", ResidueType::NON_POLYMER, false, "2,3,7,8-tetrahydroxychromeno[5,4,3-cde]chromene-5,10-dione", 22800 },
	{ "REI", "", "", ResidueType::NON_POLYMER, false, "Tricarbonyl (aqua) (imidazole) rhenium(I)", 22801 },
	{ "REJ", "", "", ResidueType::NON_POLYMER, false, "Tricarbonyl (L-serine) rhenium(I)", 22802 },
	{ "REL", "", "", ResidueType::SACCHARIDE, false, "D-glucuronic acid", 22803 },
	{ "REM", "", "", ResidueType::NON_POLYMER, false, "Nalpha-[(2S)-2-benzyl-3-(tert-butylsulfonyl)propanoyl]-N-[(1S,2R,3S)-1-(cyclohexylmethyl)-3-cyclopropyl-2,3-dihydroxypropyl]-L-histidinamide", 22804 },
	{ "REN", "", "", ResidueType::NON_POLYMER, false, "(S)-reticuline", 22805 },
	{ "REO", "", "", ResidueType::NON_POLYMER, false, "PERRHENATE", 22806 },
	{ "REP", "", "", ResidueType::NON_POLYMER, false, "(1,10 PHENANTHROLINE)-(TRI-CARBON MONOXIDE) RHENIUM (I)", 22807 },
	{ "REQ", "", "", ResidueType::NON_POLYMER, false, "(1,10 PHENANTHROLINE)-(TRI-CARBON MONOXIDE) RHENIUM (I)", 22808 },
	{ "RER", "", "", ResidueType::SACCHARIDE, false, "(1R,3S,4S,5S)-3-amino-2,3,6-trideoxy-3-methyl-alpha-L-arabino-hexopyranose", 22809 },
	{ "RES", "", "", ResidueType::NON_POLYMER, false, "4-PHOSPHO-D-ERYTHRONOHYDROXAMIC ACID", 22810 },
	{ "RET", "", "", ResidueType::NON_POLYMER, false, "RETINAL", 22811 },
	{ "REV", "", "", ResidueType::NON_POLYMER, false, "2,3-dimethoxy-5-[(1S)-1-phenylpropyl]benzene-1,4-diol", 22812 },
	{ "REW", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-1-(4-METHOXYPHENYL)-3-(3-(2-(5-METHYL-2-PHENYLOXAZOL-4-YL)ETHOXY)BENZYL)-4-OXOAZETIDINE-2-CARBOXYLIC ACID", 22813 },
	{ "REX", "", "", ResidueType::NON_POLYMER, false, "GLYCYL-L-ALPHA-AMINO-EPSILON-PIMELYL-D-ALANYL-D-ALANINE", 22814 },
	{ "REY", "", "", ResidueType::NON_POLYMER, false, "GLYCYL-L-ALPHA-AMINO-EPSILON-PIMELYL-D-ALANINE", 22815 },
	{ "REZ", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-AMINO-7-{[(1R)-1-CARBOXYETHYL]AMINO}-7-OXOHEPTANOIC ACID", 22816 },
	{ "RF1", "", "", ResidueType::NON_POLYMER, false, "tert-butyl 4-(3-thiophen-2-yl-1,2,4-oxadiazol-5-yl)piperidine-1-carboxylate", 22817 },
	{ "RF2", "", "", ResidueType::NON_POLYMER, false, "3-(4-fluorophenyl)-5-phenyl-4H-1,2,4-triazole", 22818 },
	{ "RF3", "", "", ResidueType::NON_POLYMER, false, "1-(thiophen-2-ylacetyl)-4-(3-thiophen-2-yl-1,2,4-oxadiazol-5-yl)piperidine", 22819 },
	{ "RF4", "", "", ResidueType::NON_POLYMER, false, "(2-{[2-(2,6-dimethylphenoxy)ethyl]sulfanyl}-1H-benzimidazol-1-yl)acetic acid", 22820 },
	{ "RF5", "", "", ResidueType::SACCHARIDE, false, "2-deoxy-2-fluoro-5-O-phosphono-alpha-D-arabinofuranose", 22821 },
	{ "RF7", "", "", ResidueType::NON_POLYMER, false, "{(2R)-4-[hydroxy(methyl)amino]-4-oxo-2-phenylbutyl}phosphonic acid", 22822 },
	{ "RFA", "", "", ResidueType::NON_POLYMER, false, "", 22823 },
	{ "RFB", "", "", ResidueType::NON_POLYMER, false, "", 22824 },
	{ "RFC", "", "", ResidueType::NON_POLYMER, false, "(R)-IBUPROFENOYL-COENZYME A", 22825 },
	{ "RFH", "", "", ResidueType::NON_POLYMER, false, "", 22826 },
	{ "RFL", "", "", ResidueType::NON_POLYMER, false, "8-DEMETHYL-8-DIMETHYLAMINO-FLAVIN-ADENINE-DINUCLEOTIDE", 22827 },
	{ "RFM", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(1H-benzotriazol-1-ylacetyl)(thiophen-3-ylmethyl)amino]phenyl}benzamide", 22828 },
	{ "RFN", "", "", ResidueType::NON_POLYMER, false, "(2R)-N-hydroxy-2-methyl-2-(methylsulfonyl)-4-(2-oxo-4-phenylpyridin-1(2H)-yl)butanamide", 22829 },
	{ "RFP", "", "", ResidueType::NON_POLYMER, false, "RIFAMPICIN", 22830 },
	{ "RFQ", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(1S)-2-(3-{(Z)-[amino(thiophen-2-yl)methylidene]amino}phenoxy)-1-hydroxyethyl]phenyl}thiophene-2-carboximidamide", 22831 },
	{ "RFV", "", "", ResidueType::NON_POLYMER, false, "rifamycin SV", 22832 },
	{ "RFW", "", "", ResidueType::NON_POLYMER, false, "N-acetyl-D-glucosamine-6-phosphate", 22833 },
	{ "RFX", "", "", ResidueType::NON_POLYMER, false, "(3R)-N-methyl-3-phenyl-3-[4-(trifluoromethyl)phenoxy]propan-1-amine", 22834 },
	{ "RFZ", "", "", ResidueType::NON_POLYMER, false, "5,6-dichloro-1-beta-D-ribofuranosyl-1H-benzimidazole", 22835 },
	{ "RG1", "", "", ResidueType::SACCHARIDE, false, "Rhodopin b-D-glucoside", 22836 },
	{ "RG2", "", "", ResidueType::NON_POLYMER, false, "3-[(4-chlorobenzyl)amino]-6-(trifluoromethyl)quinoxaline-2-carboxylic acid", 22837 },
	{ "RGA", "", "", ResidueType::NON_POLYMER, false, "REIDISPONGIOLIDE A", 22838 },
	{ "RGC", "", "", ResidueType::NON_POLYMER, false, "REIDISPONGIOLIDE C", 22839 },
	{ "RGE", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-AMINO-5-(2-(METHYLSULFINYL)ACETIMIDAMIDO)PENTANOIC ACID", 22840 },
	{ "RGG", "", "", ResidueType::SACCHARIDE, false, "(2R)-2,3-dihydroxypropyl beta-D-galactopyranoside", 22841 },
	{ "RGI", "", "", ResidueType::PEPTIDE_LIKE, false, "METHYLCARBAMIC ACID", 22842 },
	{ "RGJ", "", "", ResidueType::NON_POLYMER, false, "4-(4-CHLORO-2-FLUORO-ANILINO)-6,7-DIMETHOXY-N-METHYL-QUINOLINE-3-CARBOXAMIDE", 22843 },
	{ "RGK", "", "", ResidueType::NON_POLYMER, false, "2-(4-aminophenyl)-3,4-dihydroquinazolin-4-one", 22844 },
	{ "RGL", "", "", ResidueType::PEPTIDE_LINKING, false, "ARGINAL", 22845 },
	{ "RGP", "", "", ResidueType::NON_POLYMER, false, "GAMMA-GLUTAMYL PHOSPHATE", 22846 },
	{ "RGS", "", "", ResidueType::NON_POLYMER, false, "4N-MALONYL-CYSTEINYL-2,4-DIAMINOBUTYRATE DISULFIDE", 22847 },
	{ "RGT", "", "", ResidueType::NON_POLYMER, false, "2-amino-9-{5-O-[(R)-hydroxy{[(R)-hydroxy(phosphonooxy)phosphoryl]oxy}phosphoryl]-beta-D-ribofuranosyl}-9H-purin-6-yl 5-O-phosphono-beta-D-ribofuranoside", 22848 },
	{ "RGZ", "", "", ResidueType::NON_POLYMER, false, "(R)-ROSIGLITAZONE", 22849 },
	{ "RH", "", "", ResidueType::NON_POLYMER, false, "Rhodium", 22850 },
	{ "RH0", "", "", ResidueType::PEPTIDE_LIKE, false, "3-amino-5-S-benzyl-2,3-dideoxy-5-thio-D-erythro-pentonic acid", 22851 },
	{ "RH1", "", "", ResidueType::NON_POLYMER, false, "2,5-DIAZIRIDIN-1-YL-3-(HYDROXYMETHYL)-6-METHYLCYCLOHEXA-2,5-DIENE-1,4-DIONE", 22852 },
	{ "RH2", "", "", ResidueType::NON_POLYMER, false, "N~2~-{[5-(pyridin-3-yl)thiophen-2-yl]methyl}-L-lysinamide", 22853 },
	{ "RH3", "", "", ResidueType::NON_POLYMER, false, "RHODIUM(III) ION", 22854 },
	{ "RH9", "", "", ResidueType::NON_POLYMER, false, "RHIZOPODIN", 22855 },
	{ "RHA", "", "", ResidueType::SACCHARIDE, false, "6-DEOXY-MANNOSE-1'-PHOSPHATE", 22856 },
	{ "RHB", "", "", ResidueType::NON_POLYMER, false, "N-[9-(2-carboxyphenyl)-6-(diethylamino)-3H-xanthen-3-ylidene]-N-ethylethanaminium", 22857 },
	{ "RHC", "", "", ResidueType::NON_POLYMER, false, "5-(3-AMINO-4,4-DIHYROXY-BUTYLSULFANYLMETHYL)-TETRAHYDRO-FURAN-2,3,4-TRIOL", 22858 },
	{ "RHD", "", "", ResidueType::NON_POLYMER, false, "RHODIUM HEXAMINE ION", 22859 },
	{ "RHE", "", "", ResidueType::NON_POLYMER, false, "rhenium (IV) hexachloride", 22860 },
	{ "RHL", "", "", ResidueType::NON_POLYMER, false, "[N,N-di(pyridin-2-yl-kappaN)dodecanamide]rhodium", 22861 },
	{ "RHM", "", "", ResidueType::NON_POLYMER, false, "DELTA-ALPHA-RH[2R,9R-DIAMINO-4,7-DIAZADECANE]9,10-PHENANTHRENEQUINONE DIIMINE", 22862 },
	{ "RHN", "", "", ResidueType::NON_POLYMER, false, "4,5-dihydroxy-9,10-dioxo-9,10-dihydroanthracene-2-carboxylic acid", 22863 },
	{ "RHO", "", "", ResidueType::NON_POLYMER, false, "TETRAMETHYLRHODAMINE-5-MALEIMIDE", 22864 },
	{ "RHP", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-(PROP-2-YNYLAMINO)INDAN-5-OL", 22865 },
	{ "RHQ", "", "", ResidueType::NON_POLYMER, false, "RHODAMINE 6G", 22866 },
	{ "RHS", "", "", ResidueType::NON_POLYMER, false, "3-(CARBOXYAMIDE(2-CARBOXYAMIDE-2-TERTBUTYLETHYL))PENTAN", 22867 },
	{ "RHU", "", "", ResidueType::NON_POLYMER, false, "4-methyl-5-(trifluoromethyl)-1,2,4-triazole-3-thiol", 22868 },
	{ "RHX", "", "", ResidueType::NON_POLYMER, false, "[2,6-BIS(4-PHENYL)-1,3-OXAZOLIN-2-YL]RHODIUM(III)", 22869 },
	{ "RI2", "", "", ResidueType::NON_POLYMER, false, "1,5-di-O-phosphono-alpha-D-ribofuranose", 22870 },
	{ "RI5", "", "", ResidueType::NON_POLYMER, false, "(1aR,2aR,3S,6R,6aS,8aS,8bR,9R)-2a-hydroxy-8b-methyl-9-(prop-1-en-2-yl)hexahydro-3,6-methano-1,5,7-trioxacyclopenta[ij]cyclopropa[a]azulene-4,8(3H)-dione", 22871 },
	{ "RI8", "", "", ResidueType::NON_POLYMER, false, "4-amino-N-{2,6-difluoro-3-[(propylsulfonyl)amino]phenyl}thieno[3,2-d]pyrimidine-7-carboxamide", 22872 },
	{ "RI9", "", "", ResidueType::NON_POLYMER, false, "N-{2,4-difluoro-3-[({6-[(2-hydroxyethyl)amino]pyrimidin-4-yl}carbamoyl)amino]phenyl}propane-1-sulfonamide", 22873 },
	{ "RIA", "", "", ResidueType::RNA_LINKING, false, "2'-O-[(5'-PHOSPHO)RIBOSYL]ADENOSINE-5'-MONOPHOSPHATE", 22874 },
	{ "RIB", "", "", ResidueType::SACCHARIDE, false, "RIBOSE", 22875 },
	{ "RIC", "", "RBZ", ResidueType::NON_POLYMER, true, "PHOSPHORIC ACID MONO-[5-(5,6-DIMETHYL-BENZOIMIDAZOL-1-YL)-3,4-DIHYDROXY-TETRAHYDRO-FURAN-2YLMETHYL] ESTER", 22876 },
	{ "RID", "", "", ResidueType::NON_POLYMER, false, "(3R,5R)-7-[2-(4-fluorophenyl)-5-(1-methylethyl)-4-(morpholin-4-ylsulfonyl)-3-phenyl-1H-pyrrol-1-yl]-3,5-dihydroxyheptanoic acid", 22877 },
	{ "RIE", "", "", ResidueType::NON_POLYMER, false, "(3R,5R)-7-[1-(4-fluorophenyl)-4-(1-methylethyl)-3-{methyl[(1R)-1-phenylethyl]carbamoyl}-1H-pyrazol-5-yl]-3,5-dihydroxyheptanoic acid", 22878 },
	{ "RIF", "", "", ResidueType::NON_POLYMER, false, "RIFAMYCIN CGP 4832", 22879 },
	{ "RIL", "", "", ResidueType::NON_POLYMER, false, "[(4R)-2,2-DIMETHYL-1,3-DIOXOLAN-4-YL]METHYL HYDROGEN HEX-5-ENYLPHOSPHONATE", 22880 },
	{ "RIM", "", "", ResidueType::NON_POLYMER, false, "RIMANTADINE", 22881 },
	{ "RIN", "", "", ResidueType::NON_POLYMER, false, "3-AMINO-AZACYCLOTRIDECAN-2-ONE", 22882 },
	{ "RIO", "", "", ResidueType::NON_POLYMER, false, "RIBOSTAMYCIN", 22883 },
	{ "RIP", "", "", ResidueType::SACCHARIDE, false, "RIBOSE(PYRANOSE FORM)", 22884 },
	{ "RIR", "", "", ResidueType::NON_POLYMER, false, "[(1,2,3,4,5-Eta)-1,2,3,4,5-Pentamethylcyclopentadienyl]iridium(III)", 22885 },
	{ "RIS", "", "", ResidueType::NON_POLYMER, false, "1-HYDROXY-2-(3-PYRIDINYL)ETHYLIDENE BIS-PHOSPHONIC ACID", 22886 },
	{ "RIT", "", "", ResidueType::PEPTIDE_LIKE, false, "RITONAVIR", 22887 },
	{ "RIV", "", "", ResidueType::NON_POLYMER, false, "5-chloro-N-({(5S)-2-oxo-3-[4-(3-oxomorpholin-4-yl)phenyl]-1,3-oxazolidin-5-yl}methyl)thiophene-2-carboxamide", 22888 },
	{ "RJ1", "", "", ResidueType::NON_POLYMER, false, "N-[2-chloro-5-(trifluoromethyl)phenyl]imidodicarbonimidic diamide", 22889 },
	{ "RJ6", "", "", ResidueType::NON_POLYMER, false, "N-(3,5-dimethoxyphenyl)imidodicarbonimidic diamide", 22890 },
	{ "RJA", "", "", ResidueType::NON_POLYMER, false, "Ratjadone A, bound form", 22891 },
	{ "RJE", "", "", ResidueType::NON_POLYMER, false, "2-(2-methoxyethoxy)-6-(methylamino)-9-(phenylmethyl)-7H-purin-8-one", 22892 },
	{ "RJI", "", "", ResidueType::NON_POLYMER, false, "2,4,6-TRIOXO-1-PHENYL-HEXAHYDROPYRIMIDINE-5-CARBOXAMIDE", 22893 },
	{ "RJN", "", "", ResidueType::NON_POLYMER, false, "BENZYL N-{[4-(4-OXO-3,4-DIHYDROQUINAZOLIN-2-YL)PHENYL]METHYL}CARBAMATE", 22894 },
	{ "RJP", "", "", ResidueType::NON_POLYMER, false, "(1R,5R)-1,5-dihydroxy-4-oxo-3-[3-oxo-3-(phenylamino)propyl]cyclohex-2-ene-1-carboxylic acid", 22895 },
	{ "RJW", "", "", ResidueType::NON_POLYMER, false, "(1R,3aR,6aR)-5-hexyl-4-phenyl-3a-(1-phenylethenyl)-1,2,3,3a,6,6a-hexahydropentalen-1-ol", 22896 },
	{ "RKA", "", "", ResidueType::NON_POLYMER, false, "N,N'-(1H-PYRROLE-2,5-DIYLDI-4,1-PHENYLENE)DIBENZENECARBOXIMIDAMIDE", 22897 },
	{ "RKD", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(4-chlorophenyl)-2-hydroxy-2-[4-(1H-pyrazol-4-yl)phenyl]ethanaminium", 22898 },
	{ "RKE", "", "", ResidueType::NON_POLYMER, false, "(R)-ketamine", 22899 },
	{ "RKF", "", "", ResidueType::NON_POLYMER, false, "(11,12-difluorodipyrido[3,2-a:2',3'-c]phenazine-kappa~2~N~4~,N~5~)[bis(pyrazino[2,3-f]quinoxaline-kappa~2~N~1~,N~10~)]ruthenium(2+)", 22900 },
	{ "RKL", "", "", ResidueType::NON_POLYMER, false, "Ru(tap)2(dppz) complex", 22901 },
	{ "RKM", "", "", ResidueType::NON_POLYMER, false, "(11-methyldipyrido[3,2-a:2',3'-c]phenazine-kappa~2~N~4~,N~5~)[bis(pyrazino[2,3-f]quinoxaline-kappa~2~N~1~,N~10~)]ruthenium", 22902 },
	{ "RKN", "", "", ResidueType::NON_POLYMER, false, "(3-chloranyl-4-phenyl-phenyl)methyl-methyl-azanium", 22903 },
	{ "RKP", "", "", ResidueType::NON_POLYMER, false, "Lambda-Ru(phen)2(dppz) complex", 22904 },
	{ "RKS", "", "", ResidueType::NON_POLYMER, false, "methyl N~6~-acetyl-N~2~-[(2,3-dihydroxyphenyl)carbonyl]-N~6~-hydroxy-D-lysyl-N~6~-acetyl-N~6~-hydroxy-L-lysinate", 22905 },
	{ "RKT", "", "", ResidueType::NON_POLYMER, false, "pyrazino[2,3-f]quinoxaline", 22906 },
	{ "RL1", "", "", ResidueType::NON_POLYMER, false, "[5-(6-bromo[1,2,4]triazolo[4,3-a]pyridin-3-yl)-2,4-dihydroxyphenyl](3,4-dihydroisoquinolin-2(1H)-yl)methanone", 22907 },
	{ "RL2", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[3-CARBOXY-2-HYDROXY-PROPIONYL]-L-HOMOPHENYLALANYL-AMINO-2-METHYLBUTANE", 22908 },
	{ "RL3", "", "", ResidueType::NON_POLYMER, false, "[5-(6-bromo[1,2,4]triazolo[4,3-a]pyridin-3-yl)-2,4-dihydroxyphenyl](4-methylpiperazin-1-yl)methanone", 22909 },
	{ "RLB", "", "", ResidueType::NON_POLYMER, false, "Lambda-[Ru(bpy)2dppz]2+", 22910 },
	{ "RLI", "", "", ResidueType::NON_POLYMER, false, "", 22911 },
	{ "RLJ", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(4-cyanophenoxy)-N-[4-cyano-3-(trifluoromethyl)phenyl]-2-hydroxy-2-methylpropanamide", 22912 },
	{ "RLL", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-[(4-cyanonaphthalen-1-yl)oxy]-N-[4-cyano-3-(trifluoromethyl)phenyl]-2-hydroxy-2-methylpropanamide", 22913 },
	{ "RLM", "", "", ResidueType::NON_POLYMER, false, "2,6-bis(chloranyl)-4-[(4-hydroxyphenyl)amino]phenol", 22914 },
	{ "RLP", "", "", ResidueType::NON_POLYMER, false, "3-(7-HYDROXY-8-RIBITYLLUMAZINE-6-YL) PROPIONIC ACID", 22915 },
	{ "RLT", "", "", ResidueType::NON_POLYMER, false, "N-(4-fluorobenzyl)-5-hydroxy-1-methyl-2-(1-methyl-1-{[(5-methyl-1,3,4-oxadiazol-2-yl)carbonyl]amino}ethyl)-6-oxo-1,6-dihydropyrimidine-4-carboxamide", 22916 },
	{ "RM1", "", "", ResidueType::NON_POLYMER, false, "N-METHYL-1(R)-AMINOINDAN", 22917 },
	{ "RM2", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-N-PROPARGYL-1(R)-AMINOINDAN", 22918 },
	{ "RM4", "", "", ResidueType::NON_POLYMER, false, "6-deoxy-beta-L-mannopyranose", 22919 },
	{ "RM8", "", "", ResidueType::NON_POLYMER, false, "2-methyl-3-{[4-(pyridin-2-yl)piperazin-1-yl]methyl}-1H-indole", 22920 },
	{ "RMA", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-2,3-DIHYDRO-1H-INDEN-1-YL]-N-METHYL-N-PROP-2-YNYLAMINE", 22921 },
	{ "RMB", "", "", ResidueType::NON_POLYMER, false, "N1-(5'-PHOSPHO-ALPHA-RIBOSYL)-5-METHYLBENZIMIDAZOLE", 22922 },
	{ "RMC", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-({6-[BENZYL(METHYL)AMINO]-9-ISOPROPYL-9H-PURIN-2-YL}AMINO)BUTAN-1-OL", 22923 },
	{ "RMD", "", "", ResidueType::NON_POLYMER, false, "[(1,2,5,6-eta)-cyclooctane-1,2,5,6-tetrayl]{(1,2,3,4,5-eta)-1-[2-(2,5-dioxopyrrolidin-1-yl)ethyl]cyclopentadienyl}rhodium", 22924 },
	{ "RME", "", "", ResidueType::NON_POLYMER, false, "N-ethyl-2-(4-methylpiperazin-1-yl)pyridine-3-carboxamide", 22925 },
	{ "RML", "", "", ResidueType::NON_POLYMER, false, "(11,12-dimethyldipyrido[3,2-a:2',3'-c]phenazine-kappa~2~N~4~,N~5~)[bis(pyrazino[2,3-f]quinoxaline-kappa~2~N~1~,N~10~)]ruthenium(2+)", 22926 },
	{ "RMM", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-cyano-3-[3-(1H-pyrazol-4-yl)phenyl]prop-2-enamide", 22927 },
	{ "RMN", "", "", ResidueType::NON_POLYMER, false, "(R)-MANDELIC ACID", 22928 },
	{ "RMO", "", "", ResidueType::NON_POLYMER, false, "[arsenothionito(2-)-kappa~2~O,S](oxo)molybdenum", 22929 },
	{ "RMP", "", "", ResidueType::DNA_LINKING, false, "2'-DEOXY-ADENOSINE-5'-RP-MONOMETHYLPHOSPHONATE", 22930 },
	{ "RMR", "", "", ResidueType::NON_POLYMER, false, "3,4,5-trimethoxy-~{N}-(2-thiophen-2-ylethyl)benzamide", 22931 },
	{ "RMT", "", "", ResidueType::NON_POLYMER, false, "(3R,4E)-4-[({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methyl)imino]cyclopent-1-ene-1,3-dicarboxylic acid", 22932 },
	{ "RMY", "", "", ResidueType::NON_POLYMER, false, "ethyl 3-O-[5-(acetylamino)-3,5-dideoxy-D-glycero-alpha-D-galacto-non-2-ulopyranonosyl]-1-thio-beta-D-galactopyranoside", 22933 },
	{ "RN1", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-(naphthalen-1-yloxy)propane-1,2-diol", 22934 },
	{ "RN3", "", "", ResidueType::NON_POLYMER, false, "", 22935 },
	{ "RN6", "", "", ResidueType::NON_POLYMER, false, "", 22936 },
	{ "RN8", "", "", ResidueType::NON_POLYMER, false, "", 22937 },
	{ "RNA", "", "", ResidueType::NON_POLYMER, false, "4-METHYL-N-{(5E)-5-[(5-METHYL-2-FURYL)METHYLENE]-4-OXO-4,5-DIHYDRO-1,3-THIAZOL-2-YL}BENZENESULFONAMIDE", 22938 },
	{ "RNB", "", "", ResidueType::NON_POLYMER, false, "3-chloro-5-[(2E)-3,7-dimethylocta-2,6-dien-1-yl]-4,6-dihydroxy-2-methylbenzaldehyde", 22939 },
	{ "RND", "", "", ResidueType::NON_POLYMER, false, "N-[1-(1H-indol-3-ylmethyl)piperidin-4-yl]-L-tryptophanamide", 22940 },
	{ "RNE", "", "", ResidueType::NON_POLYMER, false, "(2~{E},4~{E},6~{E},8~{E})-3,7-dimethyl-9-(2,6,6-trimethylcyclohexen-1-yl)nona-2,4,6,8-tetraen-1-amine", 22941 },
	{ "RNG", "", "", ResidueType::NON_POLYMER, false, "(6,10-DIOXO-OCTAHYDRO-PYRIDAZINO[1,2-A][1,2]DIAZEPIN-1-YL)-ACETALDEHYDE FRAGMENT", 22942 },
	{ "RNH", "", "", ResidueType::NON_POLYMER, false, "(2R)-N-[3-(heptylamino)-3-oxopropyl]-2,4-dihydroxy-3,3-dimethylbutanamide", 22943 },
	{ "RNK", "", "", ResidueType::NON_POLYMER, false, "4-chloranyl-2-methyl-5-[(3-methylthiophen-2-yl)methylamino]pyridazin-3-one", 22944 },
	{ "RNN", "", "", ResidueType::NON_POLYMER, false, "N,N'-(benzene-1,4-diyldiethane-2,1-diyl)dipropane-2-sulfonamide", 22945 },
	{ "RNO", "", "", ResidueType::NON_POLYMER, false, "(R)-PARA-NITROSTYRENE OXIDE", 22946 },
	{ "RNP", "", "", ResidueType::NON_POLYMER, false, "(1E,2R)-1-(ISOPROPYLIMINO)-3-(1-NAPHTHYLOXY)PROPAN-2-OL", 22947 },
	{ "RNR", "", "", ResidueType::NON_POLYMER, false, "3,6-bis(3-(3'-(R)-fluoropyrrolindino)propionamido)acridine", 22948 },
	{ "RNS", "", "", ResidueType::SACCHARIDE, false, "L-RHAMNOSE", 22949 },
	{ "RNT", "", "", ResidueType::SACCHARIDE, false, "L-RHAMNITOL", 22950 },
	{ "RNY", "", "AQZ", ResidueType::NON_POLYMER, true, "N-(3-{[7-METHOXY-6-(2-PYRROLIDIN-1-YLETHOXY)QUINAZOLIN-4-YL]AMINO}-4-METHYLPHENYL)-2-MORPHOLIN-4-YLPYRIDINE-4-CARBOXAMIDE", 22951 },
	{ "RO0", "", "", ResidueType::NON_POLYMER, false, "1-(3,4-DIMETHOXYBENZYL)-6,7-DIMETHOXY-4-{[4-(2-METHOXYPHENYL)PIPERIDIN-1-YL]METHYL}ISOQUINOLINE", 22952 },
	{ "RO1", "", "", ResidueType::NON_POLYMER, false, "(3S,4AS,8AS)-N-(TERT-BUTYL)-2-[(3S)-3-({3-(METHYLSULFONYL)-N-[(PYRIDIN-3-YLOXY)ACETYL]-L-VALYL}AMINO)-2-OXO-4-PHENYLBUTYL]DECAHYDROISOQUINOLINE-3-CARBOXAMIDE", 22953 },
	{ "RO2", "", "", ResidueType::NON_POLYMER, false, "3-[5-[5-(4-METHYL-PIPERAZIN-1-YL)-1H-IMIDAZO[4,5-B]PYRIDIN-2-YL]-BENZIMIDAZOL-2-YL]-PHENOL", 22954 },
	{ "RO3", "", "", ResidueType::NON_POLYMER, false, "N-{[(2Z)-5-BROMO-1,3-THIAZOL-2(3H)-YLIDENE]CARBAMOYL}-4-METHYLBENZENESULFONAMIDE", 22955 },
	{ "RO4", "", "", ResidueType::NON_POLYMER, false, "[[1-[N-HYDROXY-ACETAMIDYL]-3-METHYL-BUTYL]-CARBONYL-LEUCINYL]-ALANINE ETHYL ESTER", 22956 },
	{ "RO5", "", "", ResidueType::NON_POLYMER, false, "N-[(5-bromo-1,3-thiazol-2-yl)carbamoyl]-3-ethylbenzenesulfonamide", 22957 },
	{ "RO6", "", "", ResidueType::NON_POLYMER, false, "3-(2-chlorophenyl)-7-[(trans-4-hydroxycyclohexyl)amino]-3,4-dihydropyrimido[4,5-d]pyrimidin-2(1H)-one", 22958 },
	{ "RO7", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-methoxy-3-{4-[2-(5-methyl-2-phenyl-1,3-oxazol-4-yl)ethoxy]-1-benzothiophen-7-yl}propanoic acid", 22959 },
	{ "RO8", "", "", ResidueType::NON_POLYMER, false, "N-{[(2Z)-5-bromo-1,3-thiazol-2(3H)-ylidene]carbamoyl}-3-chlorobenzenesulfonamide", 22960 },
	{ "RO9", "", "", ResidueType::NON_POLYMER, false, "1-(3-methoxyphenyl)-N-(5-methyl-1H-pyrazol-3-yl)isoquinolin-3-amine", 22961 },
	{ "ROA", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-(3,4-dihydroxyphenyl)-2-{[(2E)-3-(3,4-dihydroxyphenyl)prop-2-enoyl]oxy}propanoic acid", 22962 },
	{ "ROB", "", "N", ResidueType::SACCHARIDE, true, "1-DEOXY-RIBOFURANOSE-5'-PHOSPHATE", 22963 },
	{ "ROC", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-N-[(2S,3R)-4-[(2S,3S,4aS,8aS)-3-(tert-butylcarbamoyl)-3,4,4a,5,6,7,8,8a-octahydro-1H-isoquinolin-2-yl]-3-hydroxy-1-phenyl-butan-2-yl]-2-(quinolin-2-ylcarbonylamino)butanediamide", 22964 },
	{ "ROD", "", "", ResidueType::NON_POLYMER, false, "2,6-dioxo-5-{2-[2-(trifluoromethyl)phenyl]ethyl}-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 22965 },
	{ "ROE", "", "", ResidueType::NON_POLYMER, false, "5-[2-(6-methoxynaphthalen-2-yl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 22966 },
	{ "ROF", "", "", ResidueType::NON_POLYMER, false, "3-(CYCLOPROPYLMETHOXY)-N-(3,5-DICHLOROPYRIDIN-4-YL)-4-(DIFLUOROMETHOXY)BENZAMIDE", 22967 },
	{ "ROI", "", "", ResidueType::NON_POLYMER, false, "7,8-DIHYDRO-7,7-DIMETHYL-6-HYDROXYPTERIN", 22968 },
	{ "ROK", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-N-[(2-SULFANYLETHYL)CARBAMOYL]BENZENESULFONAMIDE", 22969 },
	{ "ROL", "4RR", "", ResidueType::NON_POLYMER, false, "ROLIPRAM", 22970 },
	{ "ROM", "", "", ResidueType::NON_POLYMER, false, "C-1027 AROMATIZED CHROMOPHORE", 22971 },
	{ "RON", "", "NVA", ResidueType::PEPTIDE_LINKING, true, "NORVALINE", 22972 },
	{ "ROP", "", "", ResidueType::NON_POLYMER, false, "PROPIONAMIDE", 22973 },
	{ "ROR", "", "", ResidueType::SACCHARIDE, false, "L-ribose", 22974 },
	{ "ROS", "", "", ResidueType::NON_POLYMER, false, "N,N'-TETRAMETHYL-ROSAMINE", 22975 },
	{ "ROU", "", "", ResidueType::NON_POLYMER, false, "5-{2-[3,5-bis(trifluoromethyl)phenyl]ethyl}-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 22976 },
	{ "ROX", "", "", ResidueType::NON_POLYMER, false, "ROXITHROMYCIN", 22977 },
	{ "RP1", "", "", ResidueType::NON_POLYMER, false, "6-(6-AMINO-PURIN-9-YL)-2-THIOXO-TETRAHYDRO-2-FURO[3,2-D][1,3,2]DIOXAPHOSPHININE-2,7-DIOL", 22978 },
	{ "RP2", "", "", ResidueType::NON_POLYMER, false, "(2R,4aR,6R,7R,7aS)-6-(6-amino-8-bromo-9H-purin-9-yl)tetrahydro-4H-furo[3,2-d][1,3,2]dioxaphosphinine-2,7-diol 2-sulfide", 22979 },
	{ "RP3", "", "", ResidueType::NON_POLYMER, false, "3'-deoxy-D-ribofuranose-5'-phosphate", 22980 },
	{ "RP4", "", "", ResidueType::NON_POLYMER, false, "(1S,4S,5S)-1,4,5-TRIHYDROXY-3-[3-(PHENYLTHIO)PHENYL]CYCLOHEX-2-ENE-1-CARBOXYLIC ACID", 22981 },
	{ "RP5", "", "", ResidueType::NON_POLYMER, false, "5-O-phosphono-beta-D-ribofuranose", 22982 },
	{ "RP6", "", "", ResidueType::NON_POLYMER, false, "5-(acetylamino)-2,6-anhydro-3,5-dideoxy-3-prop-2-en-1-yl-D-glycero-D-galacto-non-2-enonic acid", 22983 },
	{ "RP8", "", "", ResidueType::NON_POLYMER, false, "5-(aminomethyl)quinolin-2-amine", 22984 },
	{ "RPA", "", "", ResidueType::SACCHARIDE, false, "RHODOPINAL GLUCOSIDE", 22985 },
	{ "RPB", "", "", ResidueType::NON_POLYMER, false, "Rucaparib", 22986 },
	{ "RPC", "", "", ResidueType::RNA_LINKING, false, "", 22987 },
	{ "RPD", "", "", ResidueType::NON_POLYMER, false, "", 22988 },
	{ "RPF", "", "", ResidueType::NON_POLYMER, false, "1-{4-[3-(2-METHOXY-BENZYLOXY)-PROPOXY]-PHENYL}-6-(1,2,,3,4-TETRAHYDRO-QUINOLIN-7-YLOXYMETHYL)-PIPERAZIN-2-ONE", 22989 },
	{ "RPH", "", "", ResidueType::NON_POLYMER, false, "6-HYDROXO-OCTAHYDRO-INDOLE-2-CARBALDEHYDE", 22990 },
	{ "RPI", "", "", ResidueType::PEPTIDE_LINKING, false, "phospho-arginine", 22991 },
	{ "RPL", "", "", ResidueType::NON_POLYMER, false, "", 22992 },
	{ "RPN", "", "", ResidueType::NON_POLYMER, false, "(R)-1-PARA-NITRO-PHENYL-2-AZIDO-ETHANOL", 22993 },
	{ "RPO", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3S,4R,6S)-4,6-diamino-2-{[3-O-(2,6-diamino-2,6-dideoxy-beta-L-idopyranosyl)-beta-D-ribofuranosyl]oxy}-3-hydroxycyclohexyl 2-amino-4-O-benzyl-2-deoxy-alpha-D-glucopyranoside", 22994 },
	{ "RPP", "", "", ResidueType::NON_POLYMER, false, "2-RIBOFURANOSYL-3-IODO-2,3-DIHYDRO-1H-PYRAZOLO[3,4-D]PYRIMIDIN-4-YLAMINE", 22995 },
	{ "RPQ", "", "", ResidueType::NON_POLYMER, false, "D-rhamnopyranose tetrazole", 22996 },
	{ "RPR", "", "", ResidueType::NON_POLYMER, false, "", 22997 },
	{ "RPS", "", "", ResidueType::NON_POLYMER, false, "PHTALIMIDE-RUTHENIUM COMPLEX", 22998 },
	{ "RPT", "", "", ResidueType::NON_POLYMER, false, "RIFAPENTINE", 22999 },
	{ "RPX", "", "", ResidueType::NON_POLYMER, false, "C16-ETHOXY-RAPAMYCIN,IMMUNOSUPPRESSANT DRUG", 23000 },
	{ "RQ3", "", "", ResidueType::NON_POLYMER, false, "2-{4-[(3,5-DIMETHYLANILINO)-CARBONYL-METHYL]-PHENOXY}-2-METHYLPROPIONIC ACID", 23001 },
	{ "RQQ", "", "", ResidueType::NON_POLYMER, false, "N-[(4-methoxyphenyl)methyl]quinoxaline-6-carboxamide", 23002 },
	{ "RQX", "", "", ResidueType::NON_POLYMER, false, "2-amino-3-methoxy-6-methyl-5-[(2E)-3-methylhex-2-en-1-yl]cyclohexa-2,5-diene-1,4-dione", 23003 },
	{ "RR1", "", "", ResidueType::NON_POLYMER, false, "5-(4,6-DIAMINO-[1,3,5]TRIAZIN-2-YLAMINO)-4-HYDROXY-3-(2-SULFO-PHENYLAZO)-NAPHTHALENE-2,7-DISULFONIC ACID", 23004 },
	{ "RR2", "", "", ResidueType::NON_POLYMER, false, "(mu-11,11'-bidipyrido[3,2-a:2',3'-c]phenazine-1kappa~2~N~4~,N~5~:2kappa~2~N~4'~,N~5'~)[tetrakis(1,10-phenanthroline-kappa~2~N~1~,N~10~)]diruthenium", 23005 },
	{ "RR6", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXY-7-(4-{1-[2-HYDROXY-3-(2-HYDROXY-5-SULFO-PHENYLAZO)-BENZYL]-2-SULFO-ETHYLAMINO}-[1,2,5]TRIAZIN-2-YLAMINO)-2-(2-HYDROXY-5-SULFO-PHENYLAZO)-NAPTHALENE-1,8-DISULFONIC ACID", 23006 },
	{ "RR8", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-1-METHANESULFONYL-PYRROLIDINE-3,4-DICARBOXYLIC ACID 3-[(4-CHLORO-PHENYL)-AMIDE] 4-{[2-FLUORO-4-(2-OXO-2H-PYRIDIN-1-YL)-PHENYL]-AMIDE}", 23007 },
	{ "RRA", "", "", ResidueType::NON_POLYMER, false, "prop-2-yn-1-amine", 23008 },
	{ "RRC", "", "", ResidueType::NON_POLYMER, false, "R-ROSCOVITINE", 23009 },
	{ "RRG", "", "", ResidueType::NON_POLYMER, false, "", 23010 },
	{ "RRH", "", "", ResidueType::NON_POLYMER, false, "", 23011 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "(1R,2R)-1,2-diphenylethane-1,2-diamine", 23012 },
	{ "RRM", "", "", ResidueType::NON_POLYMER, false, "(2E,4S,5S,6E,8E)-10-{(2R,3S,6S,8R,9S)-9-butyl-8-[(1E,3E)-4-carboxy-3-methylbuta-1,3-dien-1-yl]-3-methyl-1,7-dioxaspiro[5.5]undec-2-yl}-5-hydroxy-4,8-dimethyldeca-2,6,8-trienoic acid", 23013 },
	{ "RRO", "", "", ResidueType::NON_POLYMER, false, "5-bromo-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 23014 },
	{ "RRP", "", "", ResidueType::NON_POLYMER, false, "3-({4-[(6-CHLORO-1-BENZOTHIEN-2-YL)SULFONYL]-2-OXOPIPERAZIN-1-YL}METHYL)BENZENECARBOXIMIDAMIDE", 23015 },
	{ "RRQ", "", "", ResidueType::NON_POLYMER, false, "4-[[[4-[(4-chlorophenyl)methyl-cyclopentyl-sulfamoyl]phenyl]sulfonyl-(piperidin-4-ylmethyl)amino]methyl]-2-(methylamino)benzoic acid", 23016 },
	{ "RRR", "", "", ResidueType::NON_POLYMER, false, "4-{[(E)-2-(5-CHLOROTHIEN-2-YL)VINYL]SULFONYL}-1-(1H-PYRROLO[3,2-C]PYRIDIN-2-YLMETHYL)PIPERAZIN-2-ONE", 23017 },
	{ "RRS", "", "", ResidueType::NON_POLYMER, false, "N4-HYDROXY-2-ISOBUTYL-N1-(9-OXO-1,8-DIAZA-TRICYCLO[10.6.1.013,18]NONADECA-12(19),13,15,17-TETRAEN-10-YL)-SUCCINAMIDE", 23018 },
	{ "RRT", "", "", ResidueType::NON_POLYMER, false, "(R)-RETRO-THIORPHAN", 23019 },
	{ "RRV", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,4-dihydroxy-N-[(3S)-3-hydroxy-4-phenylbutyl]-3,3-dimethylbutanamide", 23020 },
	{ "RRX", "", "", ResidueType::NON_POLYMER, false, "(3R)-beta,beta-caroten-3-ol", 23021 },
	{ "RS1", "", "", ResidueType::NON_POLYMER, false, "4-[4-(4-CHLORO-PHENOXY)-BENZENESULFONYLMETHYL]-TETRAHYDRO-PYRAN-4-CARBOXYLIC ACID HYDROXYAMIDE", 23022 },
	{ "RS2", "", "", ResidueType::NON_POLYMER, false, "N-HYDROXY-2-[4-(4-PHENOXY-BENZENESULFONYL)-TETRAHYDRO-PYRAN-4-YL]-ACETAMIDE", 23023 },
	{ "RS3", "", "", ResidueType::NON_POLYMER, false, "1-deoxy-1-[8-(dimethylamino)-7-methyl-2,4-dioxo-3,4-dihydrobenzo[g]pteridin-10(2H)-yl]-D-ribitol", 23024 },
	{ "RS7", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(2-OCT-1-YN-1-YLPHENYL)ACRYLIC ACID", 23025 },
	{ "RS8", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2-amino-4-oxo-1,4-dihydropteridin-7-yl)carbonyl]glycyl-L-phenylalanine", 23026 },
	{ "RSA", "", "", ResidueType::NON_POLYMER, false, "N-PROPARGYL-1(S)-AMINOINDAN", 23027 },
	{ "RSD", "", "", ResidueType::NON_POLYMER, false, "RESPINOMYCIN D", 23028 },
	{ "RSE", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{R},4~{R},5~{R})-5-(2-azanyl-7-methyl-6-oxidanylidene-1~{H}-purin-7-ium-9-yl)-4-methoxy-3-oxidanyl-oxolan-2-yl]methyl [phosphonooxy(selanyl)phosphoryl] hydrogen phosphate", 23029 },
	{ "RSF", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,6aR)-hexahydrofuro[2,3-b]furan-3-ol", 23030 },
	{ "RSG", "", "", ResidueType::NON_POLYMER, false, "(3S,3aR,6aS)-hexahydrofuro[2,3-b]furan-3-ol", 23031 },
	{ "RSH", "", "", ResidueType::NON_POLYMER, false, "3-DEOXY-D-LYXO-HEXONIC ACID", 23032 },
	{ "RSK", "", "", ResidueType::NON_POLYMER, false, "(1S,2R)-1,2-diphenylethane-1,2-diamine", 23033 },
	{ "RSM", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(acetylamino)-N-methyl-4-[(R)-methylsulfinyl]butanamide", 23034 },
	{ "RSO", "", "", ResidueType::NON_POLYMER, false, "R-STYRENE OXIDE", 23035 },
	{ "RSP", "", "", ResidueType::RNA_LINKING, false, "4-amino-1-(5-O-phosphono-beta-D-ribofuranosyl)pyrimidine-2(1H)-thione", 23036 },
	{ "RSQ", "", "", ResidueType::RNA_LINKING, false, "", 23037 },
	{ "RSS", "", "", ResidueType::NON_POLYMER, false, "5-METHYL-3-(9-OXO-1,8-DIAZA-TRICYCLO[10.6.1.013,18]NONADECA-12(19),13,15,17-TETRAEN-10-YLCARBAMOYL)-HEXANOIC ACID", 23038 },
	{ "RST", "", "", ResidueType::SACCHARIDE, false, "RISTOSAMINE", 23039 },
	{ "RSV", "", "", ResidueType::NON_POLYMER, false, "6-(thiophen-3-yl)quinolin-2-amine", 23040 },
	{ "RSW", "", "", ResidueType::NON_POLYMER, false, "[(1,2,3,4,5,6-eta)-(1S,2R,3R,4R,5S,6S)-1-carboxycyclohexane-1,2,3,4,5,6-hexayl](chloro)(3-methyl-5,7-dioxo-6,7-dihydro-5H-pyrido[2,3-a]pyrrolo[3,4-c]carbazol-12-ide-kappa~2~N~1~,N~12~)ruthenium(1+)", 23041 },
	{ "RSX", "", "", ResidueType::NON_POLYMER, false, "(4aS,7aR)-octahydro-1H-cyclopenta[b]pyridine-6,6-diylbis(phosphonic acid)", 23042 },
	{ "RSY", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2R)-1-{[(2S,3S)-5-{[(2R)-1-{[(2S)-1-amino-4-methyl-1-oxopentan-2-yl]amino}-3-chloro-1-oxopropan-2-yl]amino}-3-hydroxy-5-oxo-1-phenylpentan-2-yl]amino}-3-methyl-1-oxobutan-2-yl]pyridine-2-carboxamide", 23043 },
	{ "RSZ", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S)-1-{[(2S,3S)-3-hydroxy-5-oxo-5-{[(2R)-1-oxo-3-phenyl-1-(prop-2-yn-1-ylamino)propan-2-yl]amino}-1-phenylpentan-2-yl]amino}-3-methyl-1-oxobutan-2-yl]pyridine-2-carboxamide", 23044 },
	{ "RT", "", "5MU", ResidueType::RNA_LINKING, true, "RIBOSYLTHYMINE-5'-MONOPHOSPHATE", 23045 },
	{ "RT0", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,4S)-4-[4-(4-fluorophenyl)-1,2,3-triazol-1-yl]pyrrolidine-2-carboxylic acid", 23046 },
	{ "RT1", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-3-[(S)-[(1R)-1-amino-2-phenylethyl](hydroxy)phosphoryl]-2-methylpropanoic acid", 23047 },
	{ "RT3", "", "", ResidueType::NON_POLYMER, false, "S-{2-[(2-chloro-4-sulfamoylphenyl)amino]-2-oxoethyl} 6-methyl-3,4-dihydroquinoline-1(2H)-carbothioate", 23048 },
	{ "RT7", "", "", ResidueType::NON_POLYMER, false, "S-{2-[(2-chloro-4-sulfamoylphenyl)amino]-2-oxoethyl} 6,8-dichloro-3,4-dihydroquinoline-1(2H)-carbothioate", 23049 },
	{ "RT8", "", "", ResidueType::NON_POLYMER, false, "NALPHA-[(TRANS-4-METHYLCYCLOHEXYL)CARBONYL]-N-PYRIDIN-4-YL-D-TRYPTOPHANAMIDE", 23050 },
	{ "RTA", "", "", ResidueType::NON_POLYMER, false, "", 23051 },
	{ "RTB", "", "", ResidueType::NON_POLYMER, false, "", 23052 },
	{ "RTC", "", "", ResidueType::NON_POLYMER, false, "RHENIUM (I) TRICARBONYL", 23053 },
	{ "RTD", "", "", ResidueType::NON_POLYMER, false, "(2R)-phenyl(sulfanyl)ethanoic acid", 23054 },
	{ "RTH", "", "", ResidueType::NON_POLYMER, false, "6-[2-(3,3-dimethylbut-1-yn-1-yl)phenyl]quinolin-2-amine", 23055 },
	{ "RTK", "", "", ResidueType::NON_POLYMER, false, "trimethyl(3-oxidanylphosphonoylpropyl)azanium", 23056 },
	{ "RTL", "", "", ResidueType::NON_POLYMER, false, "RETINOL", 23057 },
	{ "RTM", "", "", ResidueType::NON_POLYMER, false, "3-(2-aminoquinolin-3-yl)-N-cyclohexyl-N-methylpropanamide", 23058 },
	{ "RTN", "", "", ResidueType::NON_POLYMER, false, "3-[2-amino-6-(2-methylphenyl)quinolin-3-yl]-N-cyclohexylpropanamide", 23059 },
	{ "RTP", "", "", ResidueType::RNA_LINKING, false, "RIBAVIRIN TRIPHOSPHATE", 23060 },
	{ "RTR", "", "", ResidueType::NON_POLYMER, false, "4-({4-[(6-CHLORO-1-BENZOTHIEN-2-YL)SULFONYL]-2-OXOPIPERAZIN-1-YL}METHYL)BENZENECARBOXIMIDAMIDE", 23061 },
	{ "RTX", "", "", ResidueType::NON_POLYMER, false, "4-(2-chloro-10H-phenoxazin-10-yl)-N,N-diethylbutan-1-amine", 23062 },
	{ "RTY", "", "", ResidueType::NON_POLYMER, false, "4-{4-[(2S,3R)-2-amino-4-bromo-3-hydroxybutyl]phenoxy}butanoic acid", 23063 },
	{ "RTZ", "", "", ResidueType::NON_POLYMER, false, "10-{2-[(2R)-1-methylpiperidin-2-yl]ethyl}-2-(methylsulfanyl)-10H-phenothiazine", 23064 },
	{ "RU", "", "", ResidueType::NON_POLYMER, false, "RUTHENIUM ION", 23065 },
	{ "RU0", "", "", ResidueType::NON_POLYMER, false, "Tetrakis(acetato)chloridodiruthenium(II,III)", 23066 },
	{ "RU1", "", "", ResidueType::NON_POLYMER, false, "bis(oxidaniumylidynemethyl)ruthenium(2+)", 23067 },
	{ "RU2", "", "", ResidueType::NON_POLYMER, false, "pentakis(oxidaniumyl)-(oxidaniumylidynemethyl)ruthenium", 23068 },
	{ "RU5", "", "", ResidueType::NON_POLYMER, false, "2-[4-(4-CHLOROPHENOXY)PHENYL]-1H-BENZIMIDAZOLE-6-CARBOXAMIDE", 23069 },
	{ "RU6", "", "", ResidueType::NON_POLYMER, false, "", 23070 },
	{ "RU7", "", "", ResidueType::NON_POLYMER, false, "PARA-CYMENE RUTHENIUM CHLORIDE", 23071 },
	{ "RU8", "", "", ResidueType::NON_POLYMER, false, "bis(2,2'-bipyridine-kappa~2~N~1~,N~1'~)[2-iodo-N-(1,10-phenanthrolin-5-yl-kappa~2~N~1~,N~10~)acetamide]ruthenium(2+)", 23072 },
	{ "RU9", "", "", ResidueType::NON_POLYMER, false, "2-(4-(3-HYDROXYPHENOXY)PHENYL)-1H-BENZO[D]IMIDAZOLE-5-CARBOXAMIDE", 23073 },
	{ "RUA", "", "", ResidueType::NON_POLYMER, false, "(4'-METHYL-2,2'BIPYRIDINE)BIS(2,2'-BIPYRIDINE)", 23074 },
	{ "RUB", "", "", ResidueType::SACCHARIDE, false, "RIBULOSE-1,5-DIPHOSPHATE", 23075 },
	{ "RUC", "", "", ResidueType::NON_POLYMER, false, "(eta6-benzene)ruthenium", 23076 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "[ethane6-3-(p-tolyl)propanoic acid]Ru(1,3,5-triaza-7-phosphaadamantane)Cl2", 23077 },
	{ "RUF", "", "", ResidueType::NON_POLYMER, false, "7-(2-chlorobenzyl)-1,3-dimethyl-8-piperazin-1-yl-3,7-dihydro-1H-purine-2,6-dione", 23078 },
	{ "RUG", "", "", ResidueType::NON_POLYMER, false, "1-beta-D-glucopyranosyl-4-(hydroxymethyl)-1H-1,2,3-triazole", 23079 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "(ethane6-5,8,9,10-tetrahydroanthracene)Ru(II)(ethylene-diamine)Cl", 23080 },
	{ "RUI", "", "", ResidueType::NON_POLYMER, false, "Cyclopentadienyl(carbon monoxide)(7-oxo-7,10-dihydro-1,8-phenanthrolin-10-yl-kappa~2~C~10~,N~1~)ruthenium", 23081 },
	{ "RUJ", "", "", ResidueType::NON_POLYMER, false, "3-(1,1,1,2-TETRAMETHYLHYDRAZIN-1-IUM-2-YL)PROPANOATE", 23082 },
	{ "RUL", "", "", ResidueType::NON_POLYMER, false, "tetrakis(2,2'-bipyridine-kappa~2~N~1~,N~1'~)(mu-tetrapyrido[3,2-a:2',3'-c:3'',2''-h:2''',3'''-j]phenazine-1kappa~2~N~4~,N~5~:2kappa~2~N~13~,N~14~)diruthenium(4+)", 23083 },
	{ "RUM", "", "", ResidueType::NON_POLYMER, false, "2-({2-[(3R)-3-aminopiperidin-1-yl]-5-bromo-6-oxopyrimidin-1(6H)-yl}methyl)benzonitrile", 23084 },
	{ "RUN", "", "", ResidueType::NON_POLYMER, false, "2-[(1R,3S,4S)-1-BENZYL-4-[N-(BENZYLOXYCARBONYL)-L-VALYL]AMINO-3-PHENYLPENTYL]-4(5)-(2-METHYLPROPIONYL)IMIDAZOLE", 23085 },
	{ "RUO", "", "", ResidueType::NON_POLYMER, false, "oxo-centered triruthenium cluster", 23086 },
	{ "RUP", "", "", ResidueType::NON_POLYMER, false, "(R)-2-(3-ADAMANTAN-1-YL-UREIDO)-3-(3-CARBAMIMIDOYL-PHENYL)-N-PHENETHYL-PROPIONAMIDE", 23087 },
	{ "RUR", "", "", ResidueType::NON_POLYMER, false, "[3,3'-(7,12-diethyl-3,8,13,17-tetramethylporphyrin-2,18-diyl-kappa~4~N~21~,N~22~,N~23~,N~24~)dipropanoato(2-)]ruthenium", 23088 },
	{ "RUS", "", "", ResidueType::RNA_LINKING, false, "1-(5-O-phosphono-beta-D-ribofuranosyl)-2-selanylpyrimidin-4(1H)-one", 23089 },
	{ "RUT", "", "", ResidueType::NON_POLYMER, false, "RUTIN", 23090 },
	{ "RUU", "", "", ResidueType::SACCHARIDE, false, "alpha-L-ribulofuranose", 23091 },
	{ "RUX", "", "", ResidueType::NON_POLYMER, false, "[4-amino-2-methyl-6-(pyridin-2-yl-kappaN)quinazolin-7-yl-kappaC~7~](carbonyl){1-[(2,6-dimethoxyphenoxy)carbonyl]cyclopenta-2,4-dien-1-yl}ruthenium", 23092 },
	{ "RV1", "", "", ResidueType::NON_POLYMER, false, "N-[(4-aminophenyl)sulfonyl]cyclopropanecarboxamide", 23093 },
	{ "RVA", "", "", ResidueType::NON_POLYMER, false, "3-{[(Z)-1-carboxy-2-phenylethenyl]oxy}-2-hydroxybenzoic acid", 23094 },
	{ "RVB", "", "", ResidueType::NON_POLYMER, false, "3-{[(1Z)-1-carboxy-3-methylbut-1-en-1-yl]oxy}-2-hydroxybenzoic acid", 23095 },
	{ "RVC", "", "", ResidueType::NON_POLYMER, false, "3-{[(Z)-1-carboxy-2-cyclopropylethenyl]oxy}-2-hydroxybenzoic acid", 23096 },
	{ "RVD", "", "", ResidueType::NON_POLYMER, false, "3-{[(1Z)-1-carboxybut-1-en-1-yl]oxy}-2-hydroxybenzoic acid", 23097 },
	{ "RVE", "", "", ResidueType::NON_POLYMER, false, "3-[(1-carboxyethenyl)oxy]-2-hydroxybenzoic acid", 23098 },
	{ "RVI", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-{[2-amino-6-(2-methylphenyl)quinolin-3-yl]methyl}-N-(cyclohexylmethyl)pentanamide", 23099 },
	{ "RVN", "", "", ResidueType::NON_POLYMER, false, "5-[(E)-(2-oxidanylidene-1H-indol-3-ylidene)methyl]-1,3-benzodioxole-4-carboxylic acid", 23100 },
	{ "RVP", "", "", ResidueType::NON_POLYMER, false, "RIBAVIRIN MONOPHOSPHATE", 23101 },
	{ "RVX", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[methyl(2-methylpropoxy)phosphoryl]-L-serine", 23102 },
	{ "RW1", "", "", ResidueType::NON_POLYMER, false, "4-phenylpyrimidine", 23103 },
	{ "RW2", "", "", ResidueType::NON_POLYMER, false, "(1S)-4-[({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methyl)amino]cyclopent-3-ene-1,3-dicarboxylic acid", 23104 },
	{ "RW3", "", "", ResidueType::NON_POLYMER, false, "N-[6-(4-amino-1-{[2-(4-methylpiperazin-1-yl)quinolin-3-yl]methyl}-1H-pyrazolo[3,4-d]pyrimidin-3-yl)-1,3-benzothiazol-2-yl]acetamide", 23105 },
	{ "RW4", "", "", ResidueType::NON_POLYMER, false, "3-(2-amino-1,3-benzothiazol-6-yl)-1-{[2-(4-methylpiperazin-1-yl)quinolin-3-yl]methyl}-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 23106 },
	{ "RWF", "WRR", "", ResidueType::NON_POLYMER, false, "R-WARFARIN", 23107 },
	{ "RWJ", "", "", ResidueType::NON_POLYMER, false, "CYCLOPENTANECARBOXYLIC ACID [1-(BENZOTHIAZOLE-2-CARBONYL)-4-GUANIDINO-BUTYL]-AMIDE", 23108 },
	{ "RWX", "", "", ResidueType::NON_POLYMER, false, "2-[(3S,4R)-4-[(3-bromanyl-4-chloranyl-5-methyl-1H-pyrrol-2-yl)carbonylamino]-3-methoxy-piperidin-1-yl]-4-(2-methyl-1,2,4-triazol-3-yl)-1,3-thiazole-5-carboxylic acid", 23109 },
	{ "RWY", "", "", ResidueType::NON_POLYMER, false, "2-(4-phenoxyphenoxy)ethyl thiocyanate", 23110 },
	{ "RWZ", "", "", ResidueType::NON_POLYMER, false, "N-[(2Z)-3,7-dimethylocta-2,6-dien-1-yl]-N'-[(1R,3S,5R,7R)-tricyclo[3.3.1.1~3,7~]dec-2-yl]ethane-1,2-diamine", 23111 },
	{ "RX0", "", "", ResidueType::NON_POLYMER, false, "[(1S,3R,4S)-3-amino-4-hydroxycyclopentyl]{(3R)-3-[(1S)-1-(biphenyl-2-yl)-1-hydroxy-5-methoxypentyl]piperidin-1-yl}methanone", 23112 },
	{ "RX3", "", "", ResidueType::NON_POLYMER, false, "N-({(1S,2R)-2-[(S)-[(1R)-1-{[(BENZYLOXY)CARBONYL]AMINO}-2-PHENYLETHYL](HYDROXY)PHOSPHORYL]CYCLOPENTYL}CARBONYL)-L-TRYPTOPHAN", 23113 },
	{ "RX4", "", "", ResidueType::PEPTIDE_LIKE, false, "N~2~-acetyl-N-{(1R)-1-[(S)-[(2S)-3-{[(2S)-1-amino-1-oxopropan-2-yl]amino}-2-methyl-3-oxopropyl](hydroxy)phosphoryl]-2-phenylethyl}-L-alpha-asparagine", 23114 },
	{ "RX5", "", "", ResidueType::NON_POLYMER, false, "methyl (2-{(R)-(3-chlorophenyl)[(3R)-1-({(2S)-2-(methylamino)-3-[(3R)-tetrahydro-2H-pyran-3-yl]propyl}carbamoyl)piperidin-3-yl]methoxy}ethyl)carbamate", 23115 },
	{ "RX6", "", "", ResidueType::NON_POLYMER, false, "methyl (2-{(R)-(3-chlorophenyl)[(3R)-1-({(2S)-1-(methylamino)-3-[(3R)-tetrahydro-2H-pyran-3-yl]propan-2-yl}carbamoyl)piperidin-3-yl]methoxy}ethyl)carbamate", 23116 },
	{ "RX8", "", "", ResidueType::NON_POLYMER, false, "1-[4-amino-2-(ethoxymethyl)-1H-imidazo[4,5-c]quinolin-1-yl]-2-methylpropan-2-ol", 23117 },
	{ "RXA", "", "", ResidueType::NON_POLYMER, false, "isoquinoline-1,3,4(2H)-trione", 23118 },
	{ "RXB", "", "", ResidueType::NON_POLYMER, false, "(1S)-2-oxo-1-phenyl-2-[(1,3,4-trioxo-1,2,3,4-tetrahydroisoquinolin-5-yl)amino]ethyl acetate", 23119 },
	{ "RXC", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-(3-chlorophenyl)-2-oxo-2-[(1,3,4-trioxo-1,2,3,4-tetrahydroisoquinolin-5-yl)amino]ethyl acetate", 23120 },
	{ "RXD", "", "", ResidueType::NON_POLYMER, false, "N-[3-(2-fluoroethoxy)phenyl]-N'-(1,3,4-trioxo-1,2,3,4-tetrahydroisoquinolin-6-yl)butanediamide", 23121 },
	{ "RXO", "", "", ResidueType::NON_POLYMER, false, "4-arsanyl-2-nitrophenol", 23122 },
	{ "RXP", "", "", ResidueType::NON_POLYMER, false, "1-BENZYLOXYCARBONYLAMINO-2-PHENYL-ETHYL)-{2-[1-CARBAMOYL-2-(1H-INDOL-3-YL)-ETHYLCARBAMOYL]-5-PHENYL-PENTYL}-PHOSPHINIC ACID", 23123 },
	{ "RXR", "", "", ResidueType::NON_POLYMER, false, "[2,2,5,5-tetramethyl-3,4-bis(sulfanylmethyl)-2,5-dihydro-1H-pyrrol-1-yl]oxidanyl radical", 23124 },
	{ "RXT", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-cyclopentyl-3-[4-(7H-pyrrolo[2,3-d]pyrimidin-4-yl)-1H-pyrazol-1-yl]propanenitrile", 23125 },
	{ "RXV", "", "", ResidueType::NON_POLYMER, false, "6-METHOXY-4-(2-{4-[([1,3]OXATHIOLO[5,4-C]PYRIDIN-6-YLMETHYL)AMINO]PIPERIDIN-1-YL}ETHYL)QUINOLINE-3-CARBONITRILE", 23126 },
	{ "RXZ", "", "", ResidueType::NON_POLYMER, false, "SPHINX31", 23127 },
	{ "RYJ", "", "", ResidueType::NON_POLYMER, false, "4-sulfamoyl-N-(2,2,2-trifluoroethyl)benzamide", 23128 },
	{ "RYN", "", "", ResidueType::NON_POLYMER, false, "N-ethyl-N'-(1-methylethyl)-6-(methylsulfanyl)-1,3,5-triazine-2,4-diamine", 23129 },
	{ "RYU", "", "", ResidueType::NON_POLYMER, false, "(2E,3S)-3-HYDROXY-5'-[(4-HYDROXYPIPERIDIN-1-YL)SULFONYL]-3-METHYL-1,3-DIHYDRO-2,3'-BIINDOL-2'(1'H)-ONE", 23130 },
	{ "RYV", "", "", ResidueType::NON_POLYMER, false, "N-ethyl-4-sulfamoylbenzamide", 23131 },
	{ "RYX", "", "", ResidueType::NON_POLYMER, false, "N-(2,2,3,3,3-pentafluoropropyl)-4-sulfamoylbenzamide", 23132 },
	{ "RYY", "", "", ResidueType::NON_POLYMER, false, "N-propyl-4-sulfamoylbenzamide", 23133 },
	{ "RYZ", "", "", ResidueType::NON_POLYMER, false, "N-(2,2,3,3,4,4,4-heptafluorobutyl)-4-sulfamoylbenzamide", 23134 },
	{ "RZ0", "", "", ResidueType::NON_POLYMER, false, "N-butyl-4-sulfamoylbenzamide", 23135 },
	{ "RZ1", "", "", ResidueType::NON_POLYMER, false, "N-(2,2,3,3,4,4,5,5,5-nonafluoropentyl)-4-sulfamoylbenzamide", 23136 },
	{ "RZ4", "", "", ResidueType::PEPTIDE_LINKING, false, "O-tert-butyl-L-serine", 23137 },
	{ "RZ5", "", "", ResidueType::NON_POLYMER, false, "N-pentyl-4-sulfamoylbenzamide", 23138 },
	{ "RZ7", "", "", ResidueType::NON_POLYMER, false, "4-sulfamoyl-N-(2,2,3,3,4,4,5,5,6,6,6-undecafluorohexyl)benzamide", 23139 },
	{ "RZ8", "", "", ResidueType::NON_POLYMER, false, "N-hexyl-4-sulfamoylbenzamide", 23140 },
	{ "RZD", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(acetylamino)-3-[(2S)-2-{[2-(1H-indol-3-yl)ethyl]carbamoyl}pyrrolidin-1-yl]propyl dihydrogen phosphate", 23141 },
	{ "RZH", "", "", ResidueType::NON_POLYMER, false, "2-(5-BROMO-7-ETHYL-2-METHYL-1H-INDOLE-3-YL)ETHAN-1-AMIN", 23142 },
	{ "RZM", "", "", ResidueType::SACCHARIDE, false, "(2R,3R,4R,5R)-4-hydroxy-2,5-bis(hydroxymethyl)pyrrolidin-3-yl alpha-D-glucopyranoside", 23143 },
	{ "RZW", "", "", ResidueType::NON_POLYMER, false, "5,6,8-trimethoxy-1,4-dimethylquinolin-2(1H)-one", 23144 },
	{ "RZX", "", "", ResidueType::NON_POLYMER, false, "2-[(R)-{[4-(3-methoxypropoxy)-3-methylpyridin-2-yl]methyl}sulfinyl]-1H-benzimidazole", 23145 },
	{ "S", "", "", ResidueType::NON_POLYMER, true, "SULFUR ATOM", 23146 },
	{ "S00", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(benzylsulfonyl)-3-cyclohexyl-D-alanyl-N-(4-carbamimidoylbenzyl)-L-prolinamide", 23147 },
	{ "S01", "", "", ResidueType::NON_POLYMER, false, "1-[4-(8-CHLORO-3-METHYL-5,6-DIHYDRO-BENZO[5,6]CYCLOHEPTA[1,2-B]PYRIDIN-11-YLIDENE)-PIPERIDIN-1-YL]-2-PYRIDIN-4-YL-ETHANONE", 23148 },
	{ "S02", "", "", ResidueType::NON_POLYMER, false, "PHOSPHORIC ACID MONO-[2-(4-{2-[4-(2-HYDROXY-ETHOXY)-CYCLOHEXYLIDENE]-ETHYLIDENE}-CYCLOHEXYLOXY) -ETHYL] ESTER", 23149 },
	{ "S03", "", "", ResidueType::NON_POLYMER, false, "1-{4-[4-AMINO-5-(3-METHOXYPHENYL)-7H-PYRROLO[2,3-D]PYRIMIDIN-7-YL]BENZYL}PIPERIDIN-4-OL", 23150 },
	{ "S04", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(benzylsulfonyl)-3-cyclohexyl-D-alanyl-N-[2-(aminomethyl)-5-chlorobenzyl]-L-prolinamide", 23151 },
	{ "S05", "", "", ResidueType::NON_POLYMER, false, "3,4-dihydroquinolin-1(2H)-yl[4-(1H-imidazol-5-yl)piperidin-1-yl]methanone", 23152 },
	{ "S06", "", "", ResidueType::NON_POLYMER, false, "(3S,5R,7R,8S,9S,10R)-7-(hydroxymethyl)-3-(2-naphthyl)-1,6-dioxa-2-azaspiro[4.5]decane-8,9,10-triol", 23153 },
	{ "S0A", "", "", ResidueType::NON_POLYMER, false, "1-[(1R)-1-cyclopropylethyl]-3-phenylurea", 23154 },
	{ "S0B", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-methyl-N-(2-phenylethyl)-4,5-dihydro-1,3-thiazol-2-amine", 23155 },
	{ "S0C", "", "", ResidueType::NON_POLYMER, false, "2-cyclopentyl-N-(1,3-thiazol-2-yl)acetamide", 23156 },
	{ "S0D", "", "", ResidueType::NON_POLYMER, false, "2-(1-methyl-1H-pyrazol-4-yl)-1H-benzimidazole", 23157 },
	{ "S0E", "", "", ResidueType::NON_POLYMER, false, "6-(trifluoromethyl)-1,3-benzothiazol-2-amine", 23158 },
	{ "S0F", "", "", ResidueType::NON_POLYMER, false, "5-(4-bromobenzyl)-1,3-thiazol-2-amine", 23159 },
	{ "S0G", "", "", ResidueType::NON_POLYMER, false, "6-amino-1-methyl-5-(piperidin-1-yl)pyrimidine-2,4(1H,3H)-dione", 23160 },
	{ "S0H", "", "", ResidueType::NON_POLYMER, false, "(S)-2-HYDROXYPROPYLPHOSPHONIC ACID", 23161 },
	{ "S0I", "", "", ResidueType::NON_POLYMER, false, "4-benzyl-3,4-dihydroquinoxalin-2(1H)-one", 23162 },
	{ "S0J", "", "", ResidueType::NON_POLYMER, false, "4-{2,5-dimethyl-1-[(2R)-tetrahydrofuran-2-ylmethyl]-1H-pyrrol-3-yl}-1,3-thiazol-2-amine", 23163 },
	{ "S0K", "", "", ResidueType::NON_POLYMER, false, "N-[2-(morpholin-4-yl)phenyl]thiophene-3-carboxamide", 23164 },
	{ "S0N", "", "", ResidueType::NON_POLYMER, false, "o-succinylbenzoyl-N-coenzyme A", 23165 },
	{ "S0W", "", "", ResidueType::NON_POLYMER, false, "3-(4-CHLOROPHENYL)PROPANOIC ACID", 23166 },
	{ "S10", "", "", ResidueType::NON_POLYMER, false, "DIETHYL PROPANE-1,3-DIYLBISCARBAMATE", 23167 },
	{ "S11", "", "", ResidueType::NON_POLYMER, false, "5-(3,5-DICHLOROPHENYL)THIO-4-ISOPROPYL-1-(PYRIDIN-4-YL-METHYL)-1H-IMIDAZOL-2-YL-METHYL CARBAMATE", 23168 },
	{ "S12", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[(S)-hydroxy{[(2S)-2-hydroxy-3-(octadec-9-enoyloxy)propyl]oxy}phosphoryl]-L-serine", 23169 },
	{ "S13", "", "", ResidueType::NON_POLYMER, false, "(3S,5R,7R,8S,9S,10R)-7-(hydroxymethyl)-3-(4-methylphenyl)-1,6-dioxa-2-azaspiro[4.5]decane-8,9,10-triol", 23170 },
	{ "S14", "", "", ResidueType::NON_POLYMER, false, "6-(4-{(1S,2S)-2-AMINO-1-[(DIMETHYLAMINO)CARBONYL]-3-[(3S)-3-FLUOROPYRROLIDIN-1-YL]-3-OXOPROPYL}PHENYL)-1H-[1,2,4]TRIAZOLO[1,5-A]PYRIDIN-4-IUM", 23171 },
	{ "S16", "", "", ResidueType::NON_POLYMER, false, "3-{[(4-chlorophenyl)carbamoyl]amino}benzoic acid", 23172 },
	{ "S17", "", "", ResidueType::NON_POLYMER, false, "methyl 4-bromo-N-[8-(hydroxyamino)-8-oxooctanoyl]-L-phenylalaninate", 23173 },
	{ "S18", "", "", ResidueType::NON_POLYMER, false, "[N-(3-{bis[2-(pyridin-2-yl-kappaN)ethyl]amino-kappaN}ethyl)-5-(2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl)pentanamide](azido)copper", 23174 },
	{ "S19", "", "", ResidueType::NON_POLYMER, false, "2-{[(3R,4R)-3-aminotetrahydro-2H-pyran-4-yl]amino}-4-[(4-methylphenyl)amino]pyrimidine-5-carboxamide", 23175 },
	{ "S1A", "", "", ResidueType::NON_POLYMER, false, "SORAPHEN A", 23176 },
	{ "S1C", "", "", ResidueType::NON_POLYMER, false, "3-(4-acetamidophenyl)benzoic acid", 23177 },
	{ "S1D", "", "", ResidueType::NON_POLYMER, false, "3-(4-fluorophenyl)benzoic acid", 23178 },
	{ "S1H", "", "", ResidueType::PEPTIDE_LINKING, false, "1-HEXADECANOSULFONYL-O-L-SERINE", 23179 },
	{ "S1P", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4E)-2-amino-3-hydroxyoctadec-4-en-1-yl dihydrogen phosphate", 23180 },
	{ "S1S", "", "", ResidueType::NON_POLYMER, false, "2-(4-((9S,10S,14S,Z)-18-(2-AMINO-2-OXOETHYL)-9-(CARBOXYMETHYL)-14-(NAPHTHALEN-1-YLMETHYL)-8,17,20-TRIOXO-7,16,19-TRIAZASPIRO[5.14]ICOS-11-EN-10-YL)PHENYL)MALONIC ACID", 23181 },
	{ "S1T", "", "", ResidueType::NON_POLYMER, false, "2-{4-[(4-AMINO-2-METHYLPYRIMIDIN-5-YL)METHYL]-5-[(1S)-1-HYDROXYETHYL]-3-METHYL-2-THIENYL}ETHYL TRIHYDROGEN DIPHOSPHATE", 23182 },
	{ "S1Y", "", "", ResidueType::NON_POLYMER, false, "[(2S,3R)-1-{[(4S)-1-(2-aminoethyl)azepan-4-yl]carbamoyl}-2-formylpyrrolidin-3-yl]sulfamic acid", 23183 },
	{ "S20", "", "", ResidueType::NON_POLYMER, false, "(1S)-2-(6-amino-4-methylpyridin-2-yl)-1-{3-[2-(6-amino-4-methylpyridin-2-yl)ethyl]phenyl}ethanol", 23184 },
	{ "S21", "", "", ResidueType::NON_POLYMER, false, "4,4,4-trifluoro-1-(4-nitrophenyl)butane-1,3-dione", 23185 },
	{ "S22", "", "", ResidueType::NON_POLYMER, false, "1-(4-(4-(2-(isopropylsulfonyl)phenylamino)-1H-pyrrolo[2,3-b]pyridin-6-ylamino)-3-methoxyphenyl)piperidin-4-ol", 23186 },
	{ "S23", "", "", ResidueType::NON_POLYMER, false, "N-{(2S)-3-[(1R)-1-aminoethyl](hydroxy)phosphoryl-2-benzylpropanoyl}-L-phenylalanine", 23187 },
	{ "S24", "", "", ResidueType::NON_POLYMER, false, "S-(2,4-dihydroxyphenyl) hydrogen thiocarbonate", 23188 },
	{ "S25", "", "", ResidueType::NON_POLYMER, false, "N-(2-aminoethyl)-5-(2-{[4-(morpholin-4-yl)pyridin-2-yl]amino}-1,3-thiazol-5-yl)pyridine-3-carboxamide", 23189 },
	{ "S26", "", "", ResidueType::NON_POLYMER, false, "ethyl (2~{S})-1-(6-chloranyl-1,3-benzothiazol-2-yl)-4-oxidanyl-5-oxidanylidene-2-thiophen-2-yl-2~{H}-pyrrole-3-carboxylate", 23190 },
	{ "S27", "", "", ResidueType::NON_POLYMER, false, "N-[[2-METHYL-4-HYDROXYCARBAMOYL]BUT-4-YL-N]-BENZYL-P-[PHENYL]-P-[METHYL]PHOSPHINAMID", 23191 },
	{ "S28", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(benzylsulfonyl)glycyl-N-(4-carbamimidoylbenzyl)-L-prolinamide", 23192 },
	{ "S29", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(benzylsulfonyl)-D-alanyl-N-(4-carbamimidoylbenzyl)-L-prolinamide", 23193 },
	{ "S2A", "", "", ResidueType::NON_POLYMER, false, "", 23194 },
	{ "S2C", "", "", ResidueType::PEPTIDE_LINKING, false, "S-2-(BORONOETHYL)-L-CYSTEINE", 23195 },
	{ "S2D", "", "", ResidueType::PEPTIDE_LINKING, false, "N-BENZOYL-D-ALANINE", 23196 },
	{ "S2G", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-HYDROXYPENTANEDIOIC ACID", 23197 },
	{ "S2H", "", "", ResidueType::NON_POLYMER, false, "Hydrogen disulfide", 23198 },
	{ "S2I", "", "", ResidueType::NON_POLYMER, false, "3-[[2-pyridin-2-yl-6-(1,2,4,5-tetrahydro-3-benzazepin-3-yl)pyrimidin-4-yl]amino]propan-1-ol", 23199 },
	{ "S2L", "", "", ResidueType::NON_POLYMER, false, "5-[(E)-2-(2-chloro-4-hydroxyphenyl)ethenyl]benzene-1,3-diol", 23200 },
	{ "S2M", "", "", ResidueType::RNA_LINKING, false, "2'-O-[2-(METHOXY)ETHYL]-2-THIOTHYMIDINE-5'-MONOPHOSPHATE", 23201 },
	{ "S2N", "", "", ResidueType::NON_POLYMER, false, "S-[2-({N-[(2R)-2-hydroxy-4-{[(S)-hydroxy(methoxy)phosphoryl]oxy}-3,3-dimethylbutanoyl]-beta-alanyl}amino)ethyl] (3R)-3-hydroxydodecanethioate", 23202 },
	{ "S2O", "", "", ResidueType::NON_POLYMER, false, "4-(2-hydroxyethyl)benzenesulfonamide", 23203 },
	{ "S2P", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-3-(4-hydroxy-1,2,5-thiadiazol-3-yl)propanoic acid", 23204 },
	{ "S2T", "", "", ResidueType::NON_POLYMER, false, "(2S)-(acetyloxy)(2-chlorophenyl)ethanoic acid", 23205 },
	{ "S2X", "", "", ResidueType::NON_POLYMER, false, "2-(5-acetamido-2-oxidanyl-phenyl)pyridine-4-carboxylic acid", 23206 },
	{ "S30", "", "", ResidueType::NON_POLYMER, false, "2-{[4-amino-3-(3-hydroxyprop-1-yn-1-yl)-1H-pyrazolo[3,4-d]pyrimidin-1-yl]methyl}-5-methyl-3-(2-methylphenyl)quinazolin-4(3H)-one", 23207 },
	{ "S31", "", "", ResidueType::NON_POLYMER, false, "[N-(3-{bis[2-(pyridin-2-yl-kappaN)ethyl]amino-kappaN}propyl)-5-(2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl)pentanamide](azido)(hydroxy)copper", 23208 },
	{ "S32", "", "", ResidueType::NON_POLYMER, false, "[N-(3-{bis[2-(pyridin-2-yl-kappaN)ethyl]amino-kappaN}propyl)-5-(2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl)pentanamide](hydroxy)copper", 23209 },
	{ "S33", "", "", ResidueType::NON_POLYMER, false, "(2S)-N-[[2-(aminomethyl)-5-chloranyl-phenyl]methyl]-1-[(2S)-2-[(3-chloranyl-4-methoxy-phenyl)sulfonylamino]-4-[(4-cyanophenyl)methylamino]-4-oxidanylidene-butanoyl]pyrrolidine-2-carboxamide", 23210 },
	{ "S35", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-({[1-(2-fluorophenyl)-5-{[(2R)-2-hydroxy-3,3-dimethylbutyl]oxy}-1H-pyrazol-3-yl]carbonyl}amino)-3-(2-methylphenyl)propanoic acid", 23211 },
	{ "S36", "", "", ResidueType::NON_POLYMER, false, "3,4-dihydroisoquinolin-2(1H)-yl[2,4-dihydroxy-5-(propan-2-yl)phenyl]methanone", 23212 },
	{ "S38", "", "", ResidueType::NON_POLYMER, false, "4-cyano-N-[(1S,2R)-2-phenylcyclopropyl]benzamide", 23213 },
	{ "S3B", "", "", ResidueType::NON_POLYMER, false, "3-methyl-2-(propanoyloxy)benzoic acid", 23214 },
	{ "S3C", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-sulfanyl-3-(2,3,6-trichlorophenyl)prop-2-enoic acid", 23215 },
	{ "S3F", "", "", ResidueType::NON_POLYMER, false, "oxidized [Fe4-S3] cluster", 23216 },
	{ "S3G", "", "", ResidueType::NON_POLYMER, false, "5-[(2S)-4-methyl-2-[(pyridin-4-ylcarbonylamino)methyl]pentyl]-1,3-benzodioxole-4-carboxylic acid", 23217 },
	{ "S3H", "", "", ResidueType::NON_POLYMER, false, "trisulfane", 23218 },
	{ "S3N", "", "", ResidueType::NON_POLYMER, false, "7-[(3S,4R)-4-[4-(trifluoromethyl)phenyl]carbonylpyrrolidin-3-yl]-3H-quinazolin-4-one", 23219 },
	{ "S3P", "", "", ResidueType::NON_POLYMER, false, "SHIKIMATE-3-PHOSPHATE", 23220 },
	{ "S41", "", "", ResidueType::NON_POLYMER, false, "N,N-dimethyl-5-({2-methyl-6-[(5-methylpyrazin-2-yl)carbamoyl]-1-benzofuran-4-yl}oxy)pyrimidine-2-carboxamide", 23221 },
	{ "S42", "", "", ResidueType::NON_POLYMER, false, "6-[(2R)-3-amino-2-{3-[2-(6-amino-4-methylpyridin-2-yl)ethyl]phenyl}propyl]-4-methylpyridin-2-amine", 23222 },
	{ "S44", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(4-propoxy-3-{[({4-[(3S,5S,7S)-tricyclo[3.3.1.1~3,7~]dec-1-yl]phenyl}carbonyl)amino]methyl}benzyl)butanoic acid", 23223 },
	{ "S45", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-[3-(4-chlorophenyl)-1,2,4-oxadiazol-5-yl]piperidine", 23224 },
	{ "S46", "", "", ResidueType::NON_POLYMER, false, "(4-hydroxyphenyl)(4-methylpiperazin-1-yl)methanone", 23225 },
	{ "S47", "", "", ResidueType::NON_POLYMER, false, "(3S,4S)-pyrrolidine-3,4-diyl bis(naphthalen-1-ylacetate)", 23226 },
	{ "S48", "", "", ResidueType::NON_POLYMER, false, "METHYL N-{(3S)-1-[(1-METHYL-1H-IMIDAZOL-5-YL)METHYL]-6-PHENYL-1,2,3,4-TETRAHYDROQUINOLIN-3-YL}-N-[(1-METHYL-1H-IMIDAZOL-4-YL)SULFONYL]GLYCINATE", 23227 },
	{ "S49", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-N-[(4-carbamimidoylphenyl)methyl]-1-[(2R)-3-phenyl-2-[(phenylmethyl)sulfonylamino]propanoyl]pyrrolidine-2-carboxamide", 23228 },
	{ "S4A", "", "", ResidueType::DNA_LINKING, false, "", 23229 },
	{ "S4B", "", "", ResidueType::NON_POLYMER, false, "{4-[(E)-2-(3,5-dihydroxyphenyl)ethenyl]phenyl}boronic acid", 23230 },
	{ "S4C", "", "", ResidueType::RNA_LINKING, false, "4'-THIO-4'-DEOXY-CYTOSINE-5'-MONOPHOSPHATE", 23231 },
	{ "S4G", "", "", ResidueType::DNA_LINKING, false, "", 23232 },
	{ "S4H", "", "", ResidueType::NON_POLYMER, false, "trithiosulfurous acid", 23233 },
	{ "S4M", "", "", ResidueType::NON_POLYMER, false, "5'-[(S)-(3-AMINOPROPYL)(METHYL)-LAMBDA~4~-SULFANYL]-5'-DEOXYADENOSINE", 23234 },
	{ "S4U", "", "4SU", ResidueType::RNA_LINKING, true, "4-THIOURIDINE-5'-PHOSPHATE", 23235 },
	{ "S51", "", "", ResidueType::NON_POLYMER, false, "2-benzyl-1-phenyl-3-(piperazin-1-ylcarbonyl)-1H-indole", 23236 },
	{ "S52", "", "", ResidueType::NON_POLYMER, false, "2-phenoxy-1-phenyl-3-(piperazin-1-ylcarbonyl)-1H-indole", 23237 },
	{ "S53", "", "", ResidueType::NON_POLYMER, false, "[7-benzyl-2-(5-fluoro-2-methylphenoxy)-1-phenyl-1H-pyrrolo[2,3-c]pyridin-3-yl](piperazin-1-yl)methanone", 23238 },
	{ "S54", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(benzylsulfonyl)-D-valyl-N-(4-carbamimidoylbenzyl)-L-prolinamide", 23239 },
	{ "S55", "", "", ResidueType::NON_POLYMER, false, "METHYL (2S,3R,4S)-3-ETHYL-2-(BETA-D-GLUCOPYRANOSYLOXY)-4-[(1S)-2,3,4,9-TETRAHYDRO-1H-BETA-CARBOLIN-1-YLMETHYL]-3,4-DIHYDRO-2H-PYRAN-5-CARBOXYLATE", 23240 },
	{ "S56", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-[4-amino-7-(2-methoxyethyl)-5-(4-phenoxyphenyl)-7H-pyrrolo[2,3-d]pyrimidin-6-yl]-2-cyano-N-(propan-2-yl)propanamide", 23241 },
	{ "S57", "", "", ResidueType::NON_POLYMER, false, "1-[6-(2-CHLORO-4-METHYXYPHENOXY)-HEXYL]-IMIDAZOLE", 23242 },
	{ "S58", "", "", ResidueType::NON_POLYMER, false, "1-PHENYLSULFONAMIDE-3-TRIFLUOROMETHYL-5-PARABROMOPHENYLPYRAZOLE", 23243 },
	{ "S5B", "", "", ResidueType::NON_POLYMER, false, "4-[(2-tert-butylphenyl)amino]-7-(3,5-dimethyl-1,2-oxazol-4-yl)quinoline-3-carboxylic acid", 23244 },
	{ "S5D", "", "", ResidueType::NON_POLYMER, false, "(R)-6-(2-Amino-2-(3-(2-(6-amino-4-methylpyridin-2-yl)ethyl)phenyl)ethyl)-4-methylpyridin-2-amine", 23245 },
	{ "S5H", "", "", ResidueType::NON_POLYMER, false, "5-ALPHA-PREGNANE-3-BETA-OL-HEMISUCCINATE", 23246 },
	{ "S5P", "", "", ResidueType::NON_POLYMER, false, "6-sulfanyluridine-5'-phosphate", 23247 },
	{ "S5S", "", "", ResidueType::NON_POLYMER, false, "2-sulfanyl-2lambda~4~-tetrasulfane", 23248 },
	{ "S5Z", "", "", ResidueType::NON_POLYMER, false, "4-phenyl-2-(sulfanylmethyl)benzoic acid", 23249 },
	{ "S60", "", "", ResidueType::NON_POLYMER, false, "6-amino-2-methyl-1,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 23250 },
	{ "S61", "", "", ResidueType::NON_POLYMER, false, "(S)-3-{[1-(2-Fluoro-phenyl)-5-hydroxy-1H-pyrazole-3-carbonyl]-amino}-3-o-tolyl-propionic acid", 23251 },
	{ "S62", "", "", ResidueType::NON_POLYMER, false, "1,3-benzothiazole-2,5-disulfonic acid", 23252 },
	{ "S69", "", "", ResidueType::NON_POLYMER, false, "N'-[(E)-(2,4-dihydroxy-6-methylphenyl)methylidene]-2-(3-methoxyphenyl)acetohydrazide", 23253 },
	{ "S6G", "", "", ResidueType::DNA_LINKING, false, "6-THIO-2'-DEOXYGUANOSINE-5'-MONOPHOSPHATE", 23254 },
	{ "S6I", "", "", ResidueType::NON_POLYMER, false, "4-[(cyclopentylcarbamoyl)amino]benzenesulfonamide", 23255 },
	{ "S6L", "", "", ResidueType::NON_POLYMER, false, "2-amino-N-[4-(2-amino-1-benzyl-3-cyano-indol-5-yl)oxyphenyl]acetamide", 23256 },
	{ "S6P", "", "", ResidueType::SACCHARIDE, false, "D-SORBITOL-6-PHOSPHATE", 23257 },
	{ "S70", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXY-2-OXO-4-PHOPHONOXY- BUTYL)-PHOSPHONIC ACID", 23258 },
	{ "S71", "", "", ResidueType::NON_POLYMER, false, "(R)-6-(3-amino-2-(5-(2-(6-amino-4-methylpyridin-2-yl)ethyl)pyridin-3-yl)propyl)-4-methylpyridin-2-amine", 23259 },
	{ "S72", "", "", ResidueType::NON_POLYMER, false, "1-benzyl-N-[cis-4-(2-{[(4-fluorophenyl)methyl][2-(methylamino)-2-oxoethyl]amino}-2-oxoethyl)cyclohexyl]-5-methyl-1H-1,2,3-triazole-4-carboxamide", 23260 },
	{ "S74", "", "", ResidueType::NON_POLYMER, false, "3-{4-[(1-{[(1s,2R,3S)-2,3-diphenylcyclopropyl]carbamoyl}piperidin-4-yl)oxy]phenyl}propanoic acid", 23261 },
	{ "S76", "", "", ResidueType::NON_POLYMER, false, "6-(METHYLAMINO)-1H-PYRIMIDINE-2,4-DIONE", 23262 },
	{ "S79", "", "", ResidueType::NON_POLYMER, false, "6-amino-2-[(1-naphthylmethyl)amino]-3,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 23263 },
	{ "S7B", "", "", ResidueType::NON_POLYMER, false, "2-[(cyclopropylcarbonyl)oxy]-3-methylbenzoic acid", 23264 },
	{ "S7K", "", "", ResidueType::NON_POLYMER, false, "(S)-6-(2-amino-2-(3-(2-(4-methylpyridin-2-yl)ethyl)phenyl)ethyl)-4-methylpyridin-2-amine", 23265 },
	{ "S7M", "", "", ResidueType::NON_POLYMER, false, "[(3S)-3-amino-3-carboxypropyl]{[(2S,3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]methyl}ethylsulfonium", 23266 },
	{ "S7P", "", "", ResidueType::SACCHARIDE, false, "1-C-(hydroxymethyl)-6-O-phosphono-beta-D-altrofuranose", 23267 },
	{ "S80", "", "", ResidueType::NON_POLYMER, false, "N1-HYDROXY-2-(3-HYDROXY-PROPYL)-3-ISOBUTYL-N4-[1-(2-METHOXY-ETHYL)-2-OXO-AZEPAN-3-YL]-SUCCINAMIDE", 23268 },
	{ "S81", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3S,4R,6S)-4,6-diamino-2,3-dihydroxycyclohexyl 2,6-diamino-2,4,6-trideoxy-4-fluoro-alpha-D-glucopyranoside", 23269 },
	{ "S82", "", "", ResidueType::NON_POLYMER, false, "4-[3-(1-methylethyl)-1,2,4-oxadiazol-5-yl]-N-[(1S,2R)-2-phenylcyclopropyl]piperidine-1-carboxamide", 23270 },
	{ "S84", "", "", ResidueType::NON_POLYMER, false, "N1-(3-(2-(6-AMINO-4-METHYLPYRIDIN-2-YL)ETHYL)-5-(TRIFLUOROMETHYL)PHENYL)-N1,N2-DIMETHYLETHANE-1,2-DIAMINE", 23271 },
	{ "S85", "", "", ResidueType::NON_POLYMER, false, "N1-(3-(2-(6-AMINO-4-METHYLPYRIDIN-2-YL)ETHYL)-5-FLUOROPHENYL)-N1,N2-DIMETHYLETHANE-1,2-DIAMINE", 23272 },
	{ "S88", "", "", ResidueType::NON_POLYMER, false, "N-[(3-fluorophenyl)methyl]-1-[(1R)-1-naphthalen-1-ylethyl]piperidine-4-carboxamide", 23273 },
	{ "S89", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2S)-1-hydroxy-3-phenylpropan-2-yl]-Nalpha-[(2E)-3-phenylprop-2-enoyl]-L-phenylalaninamide", 23274 },
	{ "S8A", "", "", ResidueType::NON_POLYMER, false, "(1,1-dioxido-3-oxo-1,2-benzothiazol-2(3H)-yl)acetic acid", 23275 },
	{ "S8F", "", "", ResidueType::NON_POLYMER, false, "3-(3-fluorophenyl)-N-{[2-(1H-imidazol-1-yl)pyrimidin-4-yl]methyl}propan-1-amine", 23276 },
	{ "S8M", "", "", ResidueType::RNA_LINKING, false, "(2~{R},3~{R},4~{S},5~{S})-2-(6-aminopurin-9-yl)-5-[[(3~{S})-3-azanyl-3-(1~{H}-1,2,3,4-tetrazol-5-yl)propyl]sulfanylmethyl]oxolane-3,4-diol", 23277 },
	{ "S8Y", "", "", ResidueType::NON_POLYMER, false, "5-[[[(1R)-2-(tert-butylamino)-2-oxidanylidene-1-phenyl-ethyl]carbamoyl-methyl-amino]methyl]-1,3-benzodioxole-4-carboxylic acid", 23278 },
	{ "S8Z", "", "", ResidueType::NON_POLYMER, false, "(8R)-8-[4-(DIFLUOROMETHOXY)PHENYL]-3,3-DIFLUORO-8-[3-(3-METHOXYPROP-1-YN-1-YL)PHENYL]-2,3,4,8-TETRAHYDROIMIDAZO[1,5-A]PYRIMIDIN-6-AMINE", 23279 },
	{ "S90", "", "", ResidueType::NON_POLYMER, false, "N1-(3-(2-(6-Amino-4-methylpyridin-2-yl)ethyl)-5-fluorophenyl)-N1-cyclopropyl-N2-methylethane-1,2-diamine", 23280 },
	{ "S91", "", "", ResidueType::NON_POLYMER, false, "[4-({5-(AMINOCARBONYL)-4-[(3-METHYLPHENYL)AMINO]PYRIMIDIN-2-YL}AMINO)PHENYL]ACETIC ACID", 23281 },
	{ "S94", "", "", ResidueType::NON_POLYMER, false, "4-phenoxy-N-[(1S,2R)-2-phenylcyclopropyl]piperidine-1-carboxamide", 23282 },
	{ "S97", "", "", ResidueType::NON_POLYMER, false, "6-(2-{3-(aminomethyl)-5-[2-(1H-pyrrolo[2,3-b]pyridin-6-yl)ethyl]phenyl}ethyl)-4-methylpyridin-2-amine", 23283 },
	{ "S98", "", "", ResidueType::NON_POLYMER, false, "6-amino-2-[(thiophen-2-ylmethyl)amino]-1,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 23284 },
	{ "S99", "", "", ResidueType::NON_POLYMER, false, "7-phenyl-1-(4-pyridin-2-yl-1,3-oxazol-2-yl)heptane-1,1-diol", 23285 },
	{ "S9L", "", "", ResidueType::NON_POLYMER, false, "2-[2-(2-HYDROXYETHOXY)ETHOXY]ETHYL DIHYDROGEN PHOSPHATE", 23286 },
	{ "S9T", "", "", ResidueType::NON_POLYMER, false, "(1~{S})-1-[(3,4-dimethoxyphenyl)methyl]-6,7-dimethoxy-1,2,3,4-tetrahydroisoquinoline", 23287 },
	{ "SA0", "", "", ResidueType::SACCHARIDE, false, "2-(hydroxymethyl)phenyl beta-D-glucopyranoside", 23288 },
	{ "SA1", "", "", ResidueType::NON_POLYMER, false, "(3AR,6R,6AS)-6-((S)-((S)-CYCLOHEX-2-ENYL)(HYDROXY)METHYL)-6A-METHYL-4-OXO-HEXAHYDRO-2H-FURO[3,2-C]PYRROLE-6-CARBALDEHYDE", 23289 },
	{ "SA2", "", "", ResidueType::NON_POLYMER, false, "(3R)-4-[(4-CARBOXYBUTANOYL)OXY]-N-[(1E)-3-OXOPROP-1-EN-1-YL]-3-SULFINO-D-VALINE", 23290 },
	{ "SA3", "", "", ResidueType::NON_POLYMER, false, "2,10-DIHYDROXY-12-(BETA-D-GLUCOPYRANOSYL)-6,7,12,13-TETRAHYDROINDOLO[2,3-A]PYRROLO[3,4-C]CARBAZOLE-5,7-DIONE", 23291 },
	{ "SA6", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,4R)-2-[(S)-(1S)-cyclohex-2-en-1-yl(hydroxy)methyl]-4-ethyl-3-hydroxy-3-methyl-5-oxopyrrolidine-2-carbaldehyde", 23292 },
	{ "SA8", "", "", ResidueType::NON_POLYMER, false, "S-5'-AZAMETHIONINE-5'-DEOXYADENOSINE", 23293 },
	{ "SA9", "", "", ResidueType::NON_POLYMER, false, "2-(hydroxymethyl)phenol", 23294 },
	{ "SAA", "", "APG", ResidueType::NON_POLYMER, true, "(S)-ATROLACTIC ACID", 23295 },
	{ "SAB", "", "", ResidueType::NON_POLYMER, false, "4-SULFONAMIDE-[1-(4-AMINOBUTANE)]BENZAMIDE", 23296 },
	{ "SAC", "", "", ResidueType::PEPTIDE_LINKING, false, "N-ACETYL-SERINE", 23297 },
	{ "SAD", "", "", ResidueType::NON_POLYMER, false, "BETA-METHYLENE-SELENAZOLE-4-CARBOXYAMIDE-ADENINE DINUCLEOTIDE", 23298 },
	{ "SAE", "", "", ResidueType::NON_POLYMER, false, "SELENAZOLE-4-CARBOXYAMIDE-ADENINE DINUCLEOTIDE", 23299 },
	{ "SAF", "", "", ResidueType::NON_POLYMER, false, "3-[(1S)-1-(DIMETHYLAMINO)ETHYL]PHENOL", 23300 },
	{ "SAG", "", "", ResidueType::NON_POLYMER, false, "(S)-(+)-2-[4-(FLUOROBENZYLOXY-BENZYLAMINO)PROPIONAMIDE]", 23301 },
	{ "SAH", "", "", ResidueType::PEPTIDE_LINKING, false, "S-ADENOSYL-L-HOMOCYSTEINE", 23302 },
	{ "SAI", "", "", ResidueType::NON_POLYMER, false, "S-ADENOSYL-L-HOMOSELENOCYSTEINE", 23303 },
	{ "SAJ", "", "", ResidueType::NON_POLYMER, false, "", 23304 },
	{ "SAK", "", "", ResidueType::NON_POLYMER, false, "(2S)-5-hydroxy-2-(4-hydroxyphenyl)-7-methoxy-2,3-dihydro-4H-chromen-4-one", 23305 },
	{ "SAL", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXYBENZOIC ACID", 23306 },
	{ "SAM", "", "", ResidueType::NON_POLYMER, false, "S-ADENOSYLMETHIONINE", 23307 },
	{ "SAN", "", "", ResidueType::NON_POLYMER, false, "SULFANILAMIDE", 23308 },
	{ "SAO", "", "", ResidueType::PEPTIDE_LINKING, false, "5'-S-[(3S)-3-azaniumyl-3-carboxypropyl]-5'-thioadenosine", 23309 },
	{ "SAP", "", "AGS", ResidueType::NON_POLYMER, true, "", 23310 },
	{ "SAQ", "", "", ResidueType::NON_POLYMER, false, "2-[(thiophen-2-ylmethyl)amino]-1,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 23311 },
	{ "SAR", "MGY", "", ResidueType::PEPTIDE_LINKING, false, "SARCOSINE", 23312 },
	{ "SAS", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXY-(5-([4-(2-PYRIDINYLAMINO)SULFONYL]PHENYL)AZO)BENZOIC ACID", 23313 },
	{ "SAT", "", "", ResidueType::NON_POLYMER, false, "sulfoacetic acid", 23314 },
	{ "SAU", "", "", ResidueType::NON_POLYMER, false, "13-methyl[1,3]benzodioxolo[5,6-c][1,3]dioxolo[4,5-i]phenanthridin-13-ium", 23315 },
	{ "SAV", "", "", ResidueType::NON_POLYMER, false, "N~4~-(3-methyl-1H-indazol-6-yl)-N~2~-(3,4,5-trimethoxyphenyl)pyrimidine-2,4-diamine", 23316 },
	{ "SAW", "", "", ResidueType::NON_POLYMER, false, "(1R,3S,5R,7S)-N-[8-({[5-(dimethylamino)naphthalen-1-yl]sulfonyl}amino)octyl]-3-hydroxytricyclo[3.3.1.1~3,7~]decane-1-carboxamide", 23317 },
	{ "SAX", "", "", ResidueType::NON_POLYMER, false, "2-(dodecyloxy)-6-hydroxybenzoic acid", 23318 },
	{ "SAY", "", "", ResidueType::DNA_LINKING, false, "[(2R,3S,5R)-3-hydroxy-5-(3-hydroxy-4-methanoyl-phenyl)oxolan-2-yl]methyl dihydrogen phosphate", 23319 },
	{ "SAZ", "", "", ResidueType::NON_POLYMER, false, "(1S)-N,4-DIMETHYL-N-(4-METHYLPENT-3-ENYL)CYCLOHEX-3-ENAMINIUM", 23320 },
	{ "SB", "", "", ResidueType::NON_POLYMER, false, "ANTIMONY (III) ION", 23321 },
	{ "SB0", "", "", ResidueType::NON_POLYMER, false, "trans-4-[4-(4-fluorophenyl)-5-(2-methoxypyrimidin-4-yl)-1H-imidazol-1-yl]cyclohexanol", 23322 },
	{ "SB1", "", "", ResidueType::NON_POLYMER, false, "(21S)-1AZA-4,4-DIMETHYL-6,19-DIOXA-2,3,7,20-TETRAOXOBICYCLO[19.4.0] PENTACOSANE", 23323 },
	{ "SB2", "577", "", ResidueType::NON_POLYMER, false, "4-[5-(4-FLUORO-PHENYL)-2-(4-METHANESULFINYL-PHENYL)-3H-IMIDAZOL-4-YL]-PYRIDINE", 23324 },
	{ "SB3", "", "", ResidueType::NON_POLYMER, false, "1,3-DIPHENYL-1-PROPYL-1-(3,3-DIMETHYL-1,2-DIOXYPENTYL)-2-PIPERIDINE CARBOXYLATE", 23325 },
	{ "SB4", "", "", ResidueType::NON_POLYMER, false, "4-(4-FLUOROPHENYL)-1-(4-PIPERIDINYL)-5-(2-AMINO-4-PYRIMIDINYL)-IMIDAZOLE", 23326 },
	{ "SB5", "", "", ResidueType::NON_POLYMER, false, "4-(FLUOROPHENYL)-1-CYCLOPROPYLMETHYL-5-(2-AMINO-4-PYRIMIDINYL)IMIDAZOLE", 23327 },
	{ "SB6", "", "", ResidueType::NON_POLYMER, false, "4-(4-FLUOROPHENYL)-1-CYCLOROPROPYLMETHYL-5-(4-PYRIDYL)-IMIDAZOLE", 23328 },
	{ "SB7", "", "", ResidueType::NON_POLYMER, false, "[HYDROXY(3-PHENYLPROPYL)AMINO]METHANOL", 23329 },
	{ "SB8", "", "", ResidueType::NON_POLYMER, false, "2-(3-BENZOYLPHENOXY)ETHYL(HYDROXY)FORMAMIDE", 23330 },
	{ "SB9", "", "", ResidueType::NON_POLYMER, false, "HYDROXY[3-(6-METHYLPYRIDIN-2-YL)PROPYL]FORMAMIDE", 23331 },
	{ "SBA", "", "", ResidueType::NON_POLYMER, false, "CARBOBENZYLOXY-(L)-LEUCINYL-(L)LEUCINYL METHOXYMETHYLKETONE", 23332 },
	{ "SBB", "", "", ResidueType::NON_POLYMER, false, "N-[2-(1H-INDOL-5-YL)-BUTYL]-4-SULFAMOYL-BENZAMIDE", 23333 },
	{ "SBC", "", "", ResidueType::NON_POLYMER, false, "1-[4-(AMINOSULFONYL)PHENYL]-1,6-DIHYDROPYRAZOLO[3,4-E]INDAZOLE-3-CARBOXAMIDE", 23334 },
	{ "SBD", "", "", ResidueType::PEPTIDE_LINKING, false, "D-NAPHTHYL-1-ACETAMIDO BORONIC ACID ALANINE", 23335 },
	{ "SBE", "", "", ResidueType::NON_POLYMER, false, "1,3,2-DIOXABOROLAN-2-OL", 23336 },
	{ "SBF", "", "", ResidueType::NON_POLYMER, false, "N-[8-({[5-(dimethylamino)naphthalen-1-yl]sulfonyl}amino)octyl]-2-[(3S,5S,7S)-tricyclo[3.3.1.1~3,7~]dec-1-yl]acetamide", 23337 },
	{ "SBG", "", "", ResidueType::NON_POLYMER, false, "O-[(S)-HYDROXY(METHYL)PHOSPHORYL]-L-SERINE", 23338 },
	{ "SBH", "", "", ResidueType::NON_POLYMER, false, "(S)-4-BROMO-3-HYDROXY-3-METHYLBUTYL DIPHOSPHATE", 23339 },
	{ "SBI", "", "", ResidueType::NON_POLYMER, false, "SORBINIL", 23340 },
	{ "SBK", "", "", ResidueType::NON_POLYMER, false, "Triclopyr", 23341 },
	{ "SBL", "", "", ResidueType::PEPTIDE_LINKING, false, "L-NAPHTHYL-1-ACETAMIDO BORONIC ACID ALANINE", 23342 },
	{ "SBN", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-6-(3,5-DIMETHYLPHENYL)SULFONYLBENZONITRILE", 23343 },
	{ "SBO", "", "", ResidueType::NON_POLYMER, false, "TRIHYDROXYANTIMONITE(III)", 23344 },
	{ "SBP", "", "", ResidueType::NON_POLYMER, false, "[3-(1,3,2-DIOXABOROLAN-2-YLOXY)PROPYL]GUANIDINE", 23345 },
	{ "SBR", "", "", ResidueType::NON_POLYMER, false, "(R)-N-(3-INDOL-1-YL-2-METHYL-PROPYL)-4-SULFAMOYL-BENZAMIDE", 23346 },
	{ "SBS", "", "", ResidueType::NON_POLYMER, false, "(S)-N-(3-INDOL-1-YL-2-METHYL-PROPYL)-4-SULFAMOYL-BENZAMIDE", 23347 },
	{ "SBT", "", "", ResidueType::NON_POLYMER, false, "2-BUTANOL", 23348 },
	{ "SBU", "", "NBU", ResidueType::NON_POLYMER, true, "SEC-BUTYL GROUP", 23349 },
	{ "SBW", "", "", ResidueType::NON_POLYMER, false, "N-(3-hydroxybenzyl)-4-sulfamoylbenzamide", 23350 },
	{ "SBX", "", "", ResidueType::NON_POLYMER, false, "1-CYCLOHEXYL-3-PHENYL-1-PROPYL-1-(3,3-DIMETHYL-1,2-DIOXYPENTYL)-2-PIPERIDINE CARBOXYLATE", 23351 },
	{ "SBY", "", "", ResidueType::NON_POLYMER, false, "3-[DODECYL(DIMETHYL)AMMONIO]PROPANE-1-SULFONATE", 23352 },
	{ "SBZ", "", "", ResidueType::NON_POLYMER, false, "[4-(1,3,2-DIOXABOROLAN-2-YLOXY)METHYL]BENZAMIDINE", 23353 },
	{ "SC", "", "", ResidueType::DNA_LINKING, false, "2-DEOXY-CYTIDINE-5'-THIOPHOSPHORATE", 23354 },
	{ "SC0", "", "", ResidueType::NON_POLYMER, false, "(6E,11E)-HEPTADECA-6,11-DIENE-9,9-DIYLBIS(PHOSPHONIC ACID)", 23355 },
	{ "SC1", "", "", ResidueType::NON_POLYMER, false, "[3R-[3A,4A,5B(S*)]]-5-(1-CARBOXY-1-PHOSPHONOETHOXY)-4-HYDROXY-3-(PHOSPHONOOXY)-1-CYCLOHEXENE-1-CARBOXYLIC ACID", 23356 },
	{ "SC2", "1ZT", "", ResidueType::PEPTIDE_LIKE, false, "N-ACETYL-L-CYSTEINE", 23357 },
	{ "SC3", "", "", ResidueType::NON_POLYMER, false, "7-BENZYL-1,3-DIMETHYL-8-PIPERAZIN-1-YL-3,7-DIHYDRO-PURINE-2,6-DIONE", 23358 },
	{ "SC4", "", "", ResidueType::NON_POLYMER, false, "1[2-CHLORO-4-METHOXY-PHENYL-OXYMETHYL]-4-[2,6-DICHLORO-PHENYL-OXYMETHYL]-BENZENE", 23359 },
	{ "SC5", "", "", ResidueType::NON_POLYMER, false, "2-[((R)-{[4-(AMINOMETHYL)PHENYL]AMINO}{[(1R)-1-PHENYLETHYL]AMINO}METHYL)AMINO]ETHANE-1,1-DIOL", 23360 },
	{ "SC6", "", "", ResidueType::NON_POLYMER, false, "N-{(1S,2R)-1-(3,5-DIFLUOROBENZYL)-2-HYDROXY-2-[(2R,4R)-4-PHENOXYPYRROLIDIN-2-YL]ETHYL}-3-{[(2R)-2-(METHOXYMETHYL)PYRROLIDIN-1-YL]CARBONYL}-5-METHYLBENZAMIDE", 23361 },
	{ "SC7", "", "", ResidueType::NON_POLYMER, false, "N'-{(1S,2R)-1-(3,5-DIFLUOROBENZYL)-2-[(2R,4S)-4-ETHOXYPIPERIDIN-2-YL]-2-HYDROXYETHYL}-5-METHYL-N,N-DIPROPYLISOPHTHALAMIDE", 23362 },
	{ "SC8", "", "", ResidueType::NON_POLYMER, false, "5-(2,3-dichlorophenyl)-N-(pyridin-4-ylmethyl)pyrazolo[1,5-a]pyrimidin-7-amine", 23363 },
	{ "SC9", "", "", ResidueType::NON_POLYMER, false, "6-(2-fluorophenyl)-N-(pyridin-3-ylmethyl)imidazo[1,2-a]pyrazin-8-amine", 23364 },
	{ "SCA", "", "", ResidueType::NON_POLYMER, false, "SUCCINYL-COENZYME A", 23365 },
	{ "SCB", "", "", ResidueType::NON_POLYMER, false, "2-CHLORO-5-(5-{(E)-[(2Z)-3-(2-METHOXYETHYL)-4-OXO-2-(PHENYLIMINO)-1,3-THIAZOLIDIN-5-YLIDENE]METHYL}-2-FURYL)BENZOIC ACID", 23366 },
	{ "SCC", "XL1", "", ResidueType::NON_POLYMER, true, "THIOETHYL GROUP", 23367 },
	{ "SCD", "", "", ResidueType::NON_POLYMER, false, "SUCCINYL(CARBADETHIA)-COENZYME A", 23368 },
	{ "SCE", "", "", ResidueType::NON_POLYMER, false, "3-methyl-N-(pyridin-4-ylmethyl)imidazo[1,2-a]pyrazin-8-amine", 23369 },
	{ "SCF", "", "", ResidueType::NON_POLYMER, false, "5-(2-fluorophenyl)-N-(pyridin-4-ylmethyl)pyrazolo[1,5-a]pyrimidin-7-amine", 23370 },
	{ "SCG", "", "", ResidueType::NON_POLYMER, false, "METHYL (2S,3R,4S)-2-(BETA-D-GLUCOPYRANOSYLOXY)-4-(2-OXOETHYL)-3-VINYL-3,4-DIHYDRO-2H-PYRAN-5-CARBOXYLATE", 23371 },
	{ "SCH", "", "", ResidueType::PEPTIDE_LINKING, false, "S-METHYL-THIO-CYSTEINE", 23372 },
	{ "SCI", "", "", ResidueType::NON_POLYMER, false, "L-THIOCITRULLINE", 23373 },
	{ "SCJ", "", "", ResidueType::NON_POLYMER, false, "3-bromo-5-phenyl-N-(pyridin-3-ylmethyl)pyrazolo[1,5-a]pyrimidin-7-amine", 23374 },
	{ "SCK", "", "", ResidueType::NON_POLYMER, false, "2,2'-[(1,4-DIOXOBUTANE-1,4-DIYL)BIS(OXY)]BIS(N,N,N-TRIMETHYLETHANAMINIUM)", 23375 },
	{ "SCL", "", "", ResidueType::NON_POLYMER, false, "ACETIC ACID SALICYLOYL-AMINO-ESTER", 23376 },
	{ "SCM", "", "", ResidueType::NON_POLYMER, false, "SPECTINOMYCIN", 23377 },
	{ "SCN", "", "", ResidueType::NON_POLYMER, false, "THIOCYANATE ION", 23378 },
	{ "SCO", "", "", ResidueType::NON_POLYMER, false, "SUCCINAMIDE-COA", 23379 },
	{ "SCP", "", "DCS", ResidueType::NON_POLYMER, true, "[3-HYDROXY-2-METHYL-5-PHOSPHONOOXYMETHYL-PYRIDIN-4-YLMETHYL]-N,O-CYCLOSERYLAMIDE", 23380 },
	{ "SCQ", "", "", ResidueType::NON_POLYMER, false, "3-bromo-5-phenyl-N-(pyrimidin-5-ylmethyl)pyrazolo[1,5-a]pyridin-7-amine", 23381 },
	{ "SCR", "", "", ResidueType::SACCHARIDE, false, "SUCROSE OCTASULFATE", 23382 },
	{ "SCS", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(ethyldisulfanyl)-L-alanine", 23383 },
	{ "SCT", "", "", ResidueType::NON_POLYMER, false, "(SOUTH)-METHANOCARBA-THYMIDINE", 23384 },
	{ "SCU", "", "", ResidueType::NON_POLYMER, false, "N,N,N-TRIMETHYL-2-[(4-OXOBUTANOYL)OXY]ETHANAMINIUM", 23385 },
	{ "SCV", "", "", ResidueType::NON_POLYMER, false, "N6-[(1S)-2-{[(1R)-1-CARBOXY-2-METHYLPROPYL]OXY}-1-(MERCAPTOCARBONYL)-2-OXOETHYL]-6-OXO-L-LYSINE", 23386 },
	{ "SCW", "", "", ResidueType::NON_POLYMER, false, "3-bromo-6-phenyl-N-(pyrimidin-5-ylmethyl)imidazo[1,2-a]pyridin-8-amine", 23387 },
	{ "SCX", "", "", ResidueType::NON_POLYMER, false, "N-((2-aminopyrimidin-5-yl)methyl)-5-(2,6-difluorophenyl)-3-ethylpyrazolo[1,5-a]pyrimidin-7-amine", 23388 },
	{ "SCY", "", "", ResidueType::PEPTIDE_LINKING, false, "S-ACETYL-CYSTEINE", 23389 },
	{ "SCZ", "", "", ResidueType::NON_POLYMER, false, "3-cyclopropyl-5-phenyl-N-(pyridin-3-ylmethyl)pyrazolo[1,5-a]pyrimidin-7-amine", 23390 },
	{ "SD1", "", "", ResidueType::NON_POLYMER, false, "2-[(3,4,5-trimethoxyphenyl)amino]-4-(2,6,6-trimethyl-4-oxo-4,5,6,7-tetrahydro-1H-indol-1-yl)benzamide", 23391 },
	{ "SD2", "", "", ResidueType::PEPTIDE_LINKING, false, "N-(SULFANYLACETYL)TYROSYLPROLYLMETHIONINAMIDE", 23392 },
	{ "SD3", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-D-asparagine", 23393 },
	{ "SD4", "", "", ResidueType::PEPTIDE_LINKING, false, "N-hydroxy-L-asparagine", 23394 },
	{ "SD5", "", "", ResidueType::NON_POLYMER, false, "5-[2,6-di(morpholin-4-yl)pyrimidin-4-yl]-4-(trifluoromethyl)pyridin-2-amine", 23395 },
	{ "SD8", "", "", ResidueType::NON_POLYMER, false, "2-[4-(2H-1,4-BENZOTHIAZINE-3-YL)-PIPERAZINE-1-LY]-1,3-THIAZOLE-4-CARBOXYLIC ACID ETHYLESTER", 23396 },
	{ "SDA", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-3,5-DICHLOROBENZENESULFONAMIDE", 23397 },
	{ "SDB", "", "", ResidueType::NON_POLYMER, false, "(4S)-2-[(1S)-1-amino-2-hydroxyethyl]-3,4,5,6-tetrahydropyrimidine-4-carboxylic acid", 23398 },
	{ "SDC", "", "", ResidueType::NON_POLYMER, false, "S-[2-(AMINOSULFONYL)ETHYL]-D-CYSTEINE", 23399 },
	{ "SDD", "", "", ResidueType::SACCHARIDE, false, "D-sorbose", 23400 },
	{ "SDE", "", "", ResidueType::DNA_LINKING, false, "(S,S)-N6,N6-(2,3-dihydroxy-1,4-butadiyl)-2'-deoxyadenosine-5'-monophosphate", 23401 },
	{ "SDF", "", "", ResidueType::NON_POLYMER, false, "[(R)-(2,4-dichlorophenyl)(sulfanyl)methyl]phosphonic acid", 23402 },
	{ "SDG", "", "", ResidueType::DNA_LINKING, false, "2-amino-9-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-9H-purine-6-selenol", 23403 },
	{ "SDH", "", "", ResidueType::DNA_LINKING, false, "(5S)-7-amino-1-[2-deoxy-5-O-(trihydroxy-lambda~5~-phosphanyl)-beta-D-erythro-pentofuranosyl]-1,3,6,8-tetraazaspiro[4.4]non-7-ene-2,4,9-trione", 23404 },
	{ "SDJ", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(1H-imidazol-5-yl)-2-({[(3S,4aR,8aS)-2-(N-phenyl-beta-alanyl)decahydroisoquinolin-3-yl]methyl}amino)propanal", 23405 },
	{ "SDK", "", "", ResidueType::NON_POLYMER, false, "1,3-BIS[[N-[(PHENYLMETHOXY)CARBONYL]-L-LEUCYL]AMINO]-2-PROPANONE", 23406 },
	{ "SDL", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-9-[(2~{R},3~{R},4~{S},5~{R})-5-(hydroxymethyl)-3,4-bis(oxidanyl)oxolan-2-yl]-7-prop-2-enyl-1~{H}-purine-6,8-dione", 23407 },
	{ "SDN", "", "", ResidueType::NON_POLYMER, false, "[(3S)-9-hydroxy-1-methyl-10-oxo-4,10-dihydro-3H-benzo[g]isochromen-3-yl]acetic acid", 23408 },
	{ "SDO", "", "", ResidueType::NON_POLYMER, false, "N~3~-{(2S)-4-[(dihydroxyphosphanyl)oxy]-2-hydroxy-3,3-dimethylbutanoyl}-N-{2-[(3,7-dioxooctyl)sulfanyl]ethyl}-beta-alaninamide", 23409 },
	{ "SDP", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-3-(DIETHOXY-PHOSPHORYLOXY)-PROPIONIC ACID", 23410 },
	{ "SDR", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-2-[(N-acetyl-L-alpha-aspartyl)amino]nonanoic acid", 23411 },
	{ "SDS", "", "", ResidueType::NON_POLYMER, false, "DODECYL SULFATE", 23412 },
	{ "SDT", "", "", ResidueType::NON_POLYMER, false, "3,4-dihydroxy-9,10-secoandrosta-1(10),2,4-triene-9,17-dione", 23413 },
	{ "SDV", "", "", ResidueType::NON_POLYMER, false, "N-[(4R)-1-(2-fluorophenyl)-4,5,6,7-tetrahydroindazol-4-yl]-2,1-benzoxazole-3-carboxamide", 23414 },
	{ "SDX", "", "", ResidueType::NON_POLYMER, false, "s-citryldethia Coenzyme A", 23415 },
	{ "SDZ", "", "", ResidueType::NON_POLYMER, false, "1-[2-HYDROXY-3-(4-CYCLOHEXYL-PHENOXY)-PROPYL]-4-(2-PYRIDYL)-PIPERAZINE", 23416 },
	{ "SE", "", "", ResidueType::NON_POLYMER, false, "SELENIUM ATOM", 23417 },
	{ "SE0", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(1R)-2-[(2S)-2-amino-2-carboxyethoxy]-2-oxo-1-{[(2R)-tetrahydrothiophen-2-ylacetyl]amino}ethyl]-5-methylidene-5,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 23418 },
	{ "SE2", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXY-2H-CHROMEN-2-ONE", 23419 },
	{ "SE4", "", "", ResidueType::NON_POLYMER, false, "SELENATE ION", 23420 },
	{ "SE5", "", "", ResidueType::NON_POLYMER, false, "4-(4-chlorophenethyl)-1H-pyrrole-2-carboxylic acid", 23421 },
	{ "SE7", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-3-SELENINO-PROPIONIC ACID", 23422 },
	{ "SE8", "", "", ResidueType::NON_POLYMER, false, "5-[(2-{[(3S)-5-{[(2S)-2-amino-2-carboxyethyl]amino}-3-carboxy-3-hydroxy-5-oxopentanoyl]amino}ethyl)amino]-2,5-dioxopentanoic acid", 23423 },
	{ "SEA", "", "DHL", ResidueType::NON_POLYMER, true, "THIOETHYLAMINE", 23424 },
	{ "SEB", "", "", ResidueType::PEPTIDE_LINKING, false, "O-BENZYLSULFONYL-SERINE", 23425 },
	{ "SEC", "", "", ResidueType::PEPTIDE_LINKING, false, "SELENOCYSTEINE", 23426 },
	{ "SEE", "", "", ResidueType::PEPTIDE_LINKING, false, "trihydroxy(L-serinato-kappaO~3~)borate(1-)", 23427 },
	{ "SEF", "", "", ResidueType::NON_POLYMER, false, "ethyl (R)-{10-[(hept-6-yn-1-ylcarbamoyl)oxy]decyl}phosphonofluoridate", 23428 },
	{ "SEG", "", "SER", ResidueType::PEPTIDE_LINKING, true, "HYDROXYALANINE", 23429 },
	{ "SEH", "", "", ResidueType::NON_POLYMER, false, "S-BENZYL PHENYLACETOTHIOHYDROXIMATE-O-SULFATE", 23430 },
	{ "SEI", "", "", ResidueType::NON_POLYMER, false, "1-{3-METHYL-2-[4-(MORPHOLINE-4-CARBONYL)-BENZOYLAMINO]-BUTYRYL}-PYRROLIDINE-2-CARBOXYLIC ACID (3,3,4,4,4-PENTAFLUORO-1-ISOPROPYL-2-OXO-BUTYL)-AMIDE", 23431 },
	{ "SEK", "", "", ResidueType::NON_POLYMER, false, "SELENOCYANATE ION", 23432 },
	{ "SEL", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-1,3-PROPANEDIOL", 23433 },
	{ "SEM", "", "", ResidueType::PEPTIDE_LINKING, false, "O-benzyl-L-serine", 23434 },
	{ "SEN", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[N,N-dimethylphosphoramidate]-L-serine", 23435 },
	{ "SEO", "", "BME", ResidueType::NON_POLYMER, true, "2-MERCAPTOETHANOL", 23436 },
	{ "SEP", "", "", ResidueType::PEPTIDE_LINKING, false, "PHOSPHOSERINE", 23437 },
	{ "SER", "SEG", "", ResidueType::PEPTIDE_LINKING, false, "SERINE", 23438 },
	{ "SES", "", "", ResidueType::NON_POLYMER, false, "4-butyl-5-propyl-1,3-selenazol-2-amine", 23439 },
	{ "SET", "", "", ResidueType::PEPTIDE_LINKING, false, "AMINOSERINE", 23440 },
	{ "SEU", "", "ITU", ResidueType::NON_POLYMER, true, "S-ETHYLISOTHIOUREA", 23441 },
	{ "SEY", "", "", ResidueType::NON_POLYMER, false, "selenourea", 23442 },
	{ "SF1", "", "", ResidueType::NON_POLYMER, false, "1-BENZYL-5-CHLORO-3-(PHENYLTHIO)-1H-INDOLE-2-CARBOXYLIC ACID", 23443 },
	{ "SF2", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-1-(3-METHOXYBENZYL)-3-(PHENYLTHIO)-1H-INDOLE-2-CARBOXYLIC ACID", 23444 },
	{ "SF3", "FS3", "", ResidueType::NON_POLYMER, false, "FE4-S3 CLUSTER", 23445 },
	{ "SF4", "FS4", "", ResidueType::NON_POLYMER, false, "IRON/SULFUR CLUSTER", 23446 },
	{ "SF5", "", "", ResidueType::NON_POLYMER, false, "methyl 4-({5-[(3R)-1-(hydroxyamino)-1-oxoheptan-3-yl]-1,2,4-oxadiazol-3-yl}methyl)benzoate", 23447 },
	{ "SF6", "", "", ResidueType::SACCHARIDE, false, "alpha-L-psicofuranose", 23448 },
	{ "SF7", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-{3-[(4-fluorophenyl)methyl]-1,2,4-oxadiazol-5-yl}-N-hydroxyheptanamide", 23449 },
	{ "SF8", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(2-{[(1R)-1-carboxy-4-{[(3S)-3,4-dicarboxy-3-hydroxybutanoyl]amino}butyl]amino}-2-oxoethyl)-2-hydroxybutanedioic acid", 23450 },
	{ "SF9", "", "", ResidueType::SACCHARIDE, false, "beta-L-psicofuranose", 23451 },
	{ "SFA", "", "", ResidueType::NON_POLYMER, false, "SANGLIFEHRIN A", 23452 },
	{ "SFB", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,4R,5R)-5-(6-AMINOPURIN-9-YL)-N-[[(2S,3S,4R,5R)-5-(2,4-DIOXOPYRIMIDIN-1-YL)-4-HYDROXY-2-(HYDROXYMETHYL)OXOLAN-3-YL]METHYLSULFONYL]-3,4-DIHYDROXY-OXOLANE-2-CARBOXAMIDE", 23453 },
	{ "SFC", "", "", ResidueType::NON_POLYMER, false, "(S)-IBUPROFENOYL-COENZYME A", 23454 },
	{ "SFD", "", "", ResidueType::NON_POLYMER, false, "", 23455 },
	{ "SFE", "", "", ResidueType::PEPTIDE_LINKING, false, "(3S)-3-amino-3-phenylpropanoic acid", 23456 },
	{ "SFF", "", "", ResidueType::NON_POLYMER, false, "(4aS,8aR)-N-cyclohexyl-4a,5,6,7,8,8a-hexahydro-4,1,2-benzoxathiazin-3-amine 1,1-dioxide", 23457 },
	{ "SFG", "", "", ResidueType::NON_POLYMER, false, "SINEFUNGIN", 23458 },
	{ "SFI", "", "", ResidueType::NON_POLYMER, false, "2-[(3Z)-6-fluoranyl-2-methyl-3-[(4-methylsulfanylphenyl)methylidene]inden-1-yl]ethanoic acid", 23459 },
	{ "SFJ", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4R,5R,6R)-5-(acetylamino)-2,3-difluoro-4-hydroxy-6-[(1R,2R)-1,2,3-trihydroxypropyl]tetrahydro-2H-pyran-2-carboxylic acid", 23460 },
	{ "SFK", "", "", ResidueType::NON_POLYMER, false, "N-(4-methylpentanoyl)-L-phenylalanine", 23461 },
	{ "SFL", "", "", ResidueType::NON_POLYMER, false, "Scandium Tetrafluoride", 23462 },
	{ "SFM", "", "", ResidueType::NON_POLYMER, false, "", 23463 },
	{ "SFN", "", "SO3", ResidueType::NON_POLYMER, true, "SULFONATE GROUP", 23464 },
	{ "SFO", "", "", ResidueType::NON_POLYMER, false, "SULFONIC ACID", 23465 },
	{ "SFP", "", "", ResidueType::NON_POLYMER, false, "5,10,15,20-TETRAKIS(4-SULPFONATOPHENYL)-21H,23H-PORPHINE", 23466 },
	{ "SFQ", "", "", ResidueType::NON_POLYMER, false, "2-{[(4-iodophenyl)sulfonyl]amino}benzoic acid", 23467 },
	{ "SFR", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(1S,2R)-1-carboxy-2-hydroxypropyl]-5-[(2R)-oxolan-2-yl]-2,3-dihydro-1,3-thiazole-4-carboxylic acid", 23468 },
	{ "SFS", "", "", ResidueType::NON_POLYMER, false, "Fe4-Se4 cluster", 23469 },
	{ "SFT", "", "", ResidueType::NON_POLYMER, false, "SULFOGALACTOCERAMIDE", 23470 },
	{ "SFU", "", "", ResidueType::NON_POLYMER, false, "METHYL 6-DEOXY-1-SELENO-ALPHA-L-GALACTOPYRANOSIDE", 23471 },
	{ "SFX", "", "", ResidueType::NON_POLYMER, false, "(3S)-N-methyl-3-phenyl-3-[4-(trifluoromethyl)phenoxy]propan-1-amine", 23472 },
	{ "SFY", "", "", ResidueType::NON_POLYMER, false, "4-amino-N-(pyridin-2-yl)benzenesulfonamide", 23473 },
	{ "SG1", "", "", ResidueType::NON_POLYMER, false, "3-NITRO-4-(2-OXO-PYRROLIDIN-1-YL)-BENZENESULFONAMIDE", 23474 },
	{ "SG2", "", "", ResidueType::NON_POLYMER, false, "1-METHYL-3-OXO-1,3-DIHYDRO-BENZO[C]ISOTHIAZOLE-5-SULFONIC ACID AMIDE", 23475 },
	{ "SG3", "", "", ResidueType::NON_POLYMER, false, "[(1E,3R,4S)-4-FLUORO-3,5-DIHYDROXY-4-METHYLPENT-1-EN-1-YL]PHOSPHONIC ACID", 23476 },
	{ "SG4", "", "", ResidueType::SACCHARIDE, false, "3,4-di-O-acetyl-6-O-sulfamoyl-alpha-D-glucopyranose", 23477 },
	{ "SG5", "", "", ResidueType::SACCHARIDE, false, "2,3,4-tri-O-propanoyl-6-O-sulfamoyl-alpha-D-glucopyranose", 23478 },
	{ "SG6", "", "", ResidueType::SACCHARIDE, false, "4-O-acetyl-6-O-sulfamoyl-alpha-D-galactopyranose", 23479 },
	{ "SG7", "", "", ResidueType::SACCHARIDE, false, "3,4-di-O-acetyl-6-O-sulfamoyl-alpha-D-mannopyranose", 23480 },
	{ "SG8", "", "", ResidueType::NON_POLYMER, false, "3-chloro-4,7-difluoro-N-[trans-4-(methylamino)cyclohexyl]-N-[3-(pyridin-4-yl)benzyl]-1-benzothiophene-2-carboxamide", 23481 },
	{ "SG9", "", "", ResidueType::NON_POLYMER, false, "Spongistatin-1", 23482 },
	{ "SGA", "", "", ResidueType::SACCHARIDE, false, "O3-SULFONYLGALACTOSE", 23483 },
	{ "SGB", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[(S)-METHYL(1-METHYLETHOXY)PHOSPHORYL]-L-SERINE", 23484 },
	{ "SGC", "GSD", "", ResidueType::SACCHARIDE, false, "4-DEOXY-4-THIO-BETA-D-GLUCOPYRANOSE", 23485 },
	{ "SGD", "", "", ResidueType::SACCHARIDE, false, "6-thio-alpha-D-glucopyranose", 23486 },
	{ "SGE", "", "", ResidueType::NON_POLYMER, false, "13-methyl-13,14-dihydro[1,3]benzodioxolo[5,6-c][1,3]dioxolo[4,5-i]phenanthridine", 23487 },
	{ "SGF", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4E)-2-amino-3-hydroxyoctadec-4-en-1-yl 3-O-sulfo-beta-D-galactopyranoside", 23488 },
	{ "SGI", "", "", ResidueType::NON_POLYMER, false, "3-(4-hydroxyphenyl)propanamide", 23489 },
	{ "SGL", "", "", ResidueType::NON_POLYMER, false, "1-HYDROXY-1-THIO-GLYCEROL", 23490 },
	{ "SGM", "", "", ResidueType::NON_POLYMER, false, "MONOTHIOGLYCEROL", 23491 },
	{ "SGN", "", "", ResidueType::SACCHARIDE, false, "N,O6-DISULFO-GLUCOSAMINE", 23492 },
	{ "SGP", "", "", ResidueType::NON_POLYMER, false, "GUANOSINE-2',3'-CYCLOPHOSPHOROTHIOATE", 23493 },
	{ "SGR", "", "", ResidueType::NON_POLYMER, false, "O-[(R)-AMINO(METHOXY)PHOSPHORYL]-L-SERINE", 23494 },
	{ "SGS", "", "", ResidueType::SACCHARIDE, false, "(E)-(2S,3R,4S,5S,6R)-TETRAHYDRO-3,4,5-TRIHYDROXY-6-(HYDROXYMETHYL)-2H-PYRAN-2-YL 3-(4-HYDROXY-3,5-DIMETHOXYPHENYL)ACRYLATE", 23495 },
	{ "SGT", "", "", ResidueType::NON_POLYMER, false, "2-amino-9-{2-deoxy-5-O-[(R)-hydroxy{[(R)-hydroxy(phosphonooxy)phosphoryl]oxy}phosphoryl]-beta-D-erythro-pentofuranosyl}-1,9-dihydro-6H-purine-6-thione", 23496 },
	{ "SGV", "", "", ResidueType::NON_POLYMER, false, "SANGIVAMYCIN", 23497 },
	{ "SGW", "", "", ResidueType::NON_POLYMER, false, "3-(4-chlorophenyl)-5-methoxyisoquinolin-1(2H)-one", 23498 },
	{ "SGX", "", "", ResidueType::NON_POLYMER, false, "O-[(S)-AMINO(METHOXY)PHOSPHORYL]-L-SERINE", 23499 },
	{ "SH0", "", "", ResidueType::NON_POLYMER, false, "3,3',3'',3'''-[(1R,2S,3S,4S,7S,8S,11S,12S,13S,16S,19S)-3,8,13,17-tetrakis(carboxylatomethyl)-8,13-dimethyl-1,2,3,4,7,8,11,12,13,16,19,20,22,24-tetradecahydroporphyrin-2,7,12,18-tetrayl]tetrapropanoate", 23500 },
	{ "SH1", "", "", ResidueType::NON_POLYMER, false, "N-[(2-PHENYLETHYL)SULFONYL]-D-SERYL-N-[(1S)-4-[(DIAMINOMETHYLENE)AMINO]-1-(HYDROXYMETHYL)BUTYL]-L-ALANINAMIDE", 23501 },
	{ "SH2", "", "", ResidueType::NON_POLYMER, false, "(R)-N-(3-((2-(benzo[d][1,3]dioxol-5-yl)ethyl)amino)-3-oxopropyl)-2,4-dihydroxy-3,3-dimethylbutanamide", 23502 },
	{ "SH3", "", "", ResidueType::NON_POLYMER, false, "N-[2-(1,3-benzodioxol-5-yl)ethyl]-N~3~-[(2R)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alaninamide", 23503 },
	{ "SH4", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-PHENYLETHYL 4-(ACETYLAMINO)BENZYLPHOSPHONATE", 23504 },
	{ "SH5", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-[(8-bromooctanoyl)oxy](hydroxy)phosphoryl]adenosine", 23505 },
	{ "SH6", "", "", ResidueType::NON_POLYMER, false, "8-bromooctanoic acid", 23506 },
	{ "SHA", "", "", ResidueType::NON_POLYMER, false, "SALICYLHYDROXAMIC ACID", 23507 },
	{ "SHB", "", "", ResidueType::SACCHARIDE, false, "methyl beta-D-galactopyranuronate", 23508 },
	{ "SHC", "", "", ResidueType::PEPTIDE_LINKING, false, "S-HEXYLCYSTEINE", 23509 },
	{ "SHD", "", "", ResidueType::NON_POLYMER, false, "alpha-D-altropyranose", 23510 },
	{ "SHF", "", "", ResidueType::NON_POLYMER, false, "LAEVULINIC ACID", 23511 },
	{ "SHG", "", "", ResidueType::SACCHARIDE, false, "2-deoxy-2-fluoro-beta-D-glucopyranose", 23512 },
	{ "SHH", "", "", ResidueType::NON_POLYMER, false, "OCTANEDIOIC ACID HYDROXYAMIDE PHENYLAMIDE", 23513 },
	{ "SHI", "", "", ResidueType::NON_POLYMER, false, "(S)-2-AMINO-3-(3-HYDROXY-ISOXAZOL-4-YL)PROPIONIC ACID", 23514 },
	{ "SHL", "", "", ResidueType::NON_POLYMER, false, "5-hydroxy-6-methyl-4-oxo-4H-pyran-2-carboxylic acid", 23515 },
	{ "SHM", "", "", ResidueType::NON_POLYMER, false, "HOMOBIOTIN", 23516 },
	{ "SHO", "", "", ResidueType::NON_POLYMER, false, "5-HYDROXYLAEVULINIC ACID", 23517 },
	{ "SHP", "", "", ResidueType::PEPTIDE_LINKING, false, "(4-HYDROXYMALTOSEPHENYL)GLYCINE", 23518 },
	{ "SHR", "", "", ResidueType::PEPTIDE_LINKING, false, "N-(5-AMINO-5-CARBOXYPENTYL)GLUTAMIC ACID", 23519 },
	{ "SHT", "", "", ResidueType::NON_POLYMER, false, "O-PHOSPHONO-N-{(2E)-7-[(2-SULFOETHYL)DITHIO]HEPT-2-ENOYL}-L-THREONINE", 23520 },
	{ "SHU", "", "", ResidueType::NON_POLYMER, false, "4,6-DIOXOHEPTANOIC ACID", 23521 },
	{ "SHV", "", "", ResidueType::NON_POLYMER, false, "HEPTANOIC ACID", 23522 },
	{ "SHW", "", "", ResidueType::NON_POLYMER, false, "S-[2-[3-[[(2S)-2-hydroxy-3,3-dimethyl-4-phosphonooxy-butanoyl]amino]propanoylamino]ethyl] (3R)-3-hydroxyoctanethioate", 23523 },
	{ "SHX", "", "", ResidueType::NON_POLYMER, false, "Nalpha-[5-chloro-6-methyl-2-(pyridin-2-yl)pyrimidin-4-yl]-D-phenylalaninamide", 23524 },
	{ "SHY", "", "", ResidueType::NON_POLYMER, false, "4-[(3AS,4R,7R,8AS,8BR)-2-(1,3-BENZODIOXOL-5-YLMETHYL)-7-HYDROXY-1,3-DIOXODECAHYDROPYRROLO[3,4-A]PYRROLIZIN-4-YL]BENZENECARBOXIMIDAMIDE", 23525 },
	{ "SI0", "", "", ResidueType::NON_POLYMER, false, "[N-(2-{bis[2-(pyridin-2-yl-kappaN)ethyl]amino-kappaN}ethyl)-5-(2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl)pentanamide](hydrogen peroxido-kappaO)hydroxycopper", 23526 },
	{ "SI1", "", "", ResidueType::NON_POLYMER, false, "N-(BUTYLSULFONYL)-D-SERYL-N-{4-[AMINO(IMINO)METHYL]BENZYL}-L-ALANINAMIDE", 23527 },
	{ "SI2", "", "SIA", ResidueType::NON_POLYMER, true, "O-SIALIC ACID (CHAIR CONFORMATION)", 23528 },
	{ "SI3", "", "", ResidueType::SACCHARIDE, false, "5-(acetylamino)-3,5-dideoxy-D-glycero-D-galacto-non-2-ulosonic acid", 23529 },
	{ "SI4", "", "", ResidueType::NON_POLYMER, false, "[CuII(biot-pr-dpea)]2+", 23530 },
	{ "SI5", "", "", ResidueType::NON_POLYMER, false, "(4aR,6R,8aS)-8a-(2,4-difluorophenyl)-6-(1-methyl-1H-pyrazol-4-yl)-4,4a,5,6,8,8a-hexahydropyrano[3,4-d][1,3]thiazin-2-amine", 23531 },
	{ "SI6", "", "", ResidueType::NON_POLYMER, false, "(4aR,6R,8aS)-8a-(2,4-difluorophenyl)-6-(1H-pyrazol-4-yl)-4,4a,5,6,8,8a-hexahydropyrano[3,4-d][1,3]thiazin-2-amine", 23532 },
	{ "SI7", "", "", ResidueType::NON_POLYMER, false, "[N-(2-{bis[2-(pyridin-2-yl-kappaN)ethyl]amino-kappaN}ethyl)-5-(2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl)pentanamide](hydroxy)copper", 23533 },
	{ "SI8", "", "", ResidueType::NON_POLYMER, false, "[N-(2-{bis[2-(pyridin-2-yl-kappaN)ethyl]amino-kappaN}ethyl)-5-(2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl)pentanamide](hydrogen peroxido-kappaO)copper", 23534 },
	{ "SI9", "", "", ResidueType::NON_POLYMER, false, "[CuII(biot-bu-dpea)]2+", 23535 },
	{ "SIA", "NAN", "", ResidueType::NON_POLYMER, false, "O-SIALIC ACID", 23536 },
	{ "SIB", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-AMINO-4-({[(2S,3S,4R,5R)-3,4-DIHYDROXY-5-(6-OXO-1,6-DIHYDRO-9H-PURIN-9-YL)TETRAHYDROFURAN-2-YL]METHYL}THIO)BUTANOIC ACID", 23537 },
	{ "SIC", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-2-[(3S)-3-amino-2,5-dioxopyrrolidin-1-yl]-3-sulfanylpropanoic acid", 23538 },
	{ "SID", "", "", ResidueType::NON_POLYMER, false, "methyl 9-S-acetyl-5-(acetylamino)-3,5-dideoxy-9-thio-D-glycero-alpha-D-galacto-non-2-ulopyranosidonic acid", 23539 },
	{ "SIE", "", "", ResidueType::NON_POLYMER, false, "SULFAMIC ACID 1-DECYL-2-(4-SULFAMOYLOXYPHENYL)-1H-INDOL-6-YL ESTER", 23540 },
	{ "SIF", "", "", ResidueType::NON_POLYMER, false, "3-TRIMETHYLSILYLSUCCINIC ACID", 23541 },
	{ "SIG", "", "", ResidueType::NON_POLYMER, false, "STIGMATELLIN", 23542 },
	{ "SIH", "", "", ResidueType::NON_POLYMER, false, "PROGESTERONE-11-ALPHA-OL-HEMISUCCINATE", 23543 },
	{ "SII", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[4-(cyclohexylamino)-1-(3-fluorophenyl)-2-oxo-1,3,8-triazaspiro[4.5]dec-3-en-8-yl]methyl}phenyl)acetamide", 23544 },
	{ "SIJ", "", "", ResidueType::NON_POLYMER, false, "6-(1,9-DIAZASPIRO[5.5]UNDECAN-9-YL)-9H-PURINE", 23545 },
	{ "SIL", "", "", ResidueType::NON_POLYMER, false, "[(4S)-2,2-DIMETHYL-1,3-DIOXOLAN-4-YL]METHYL HYDROGEN HEX-5-ENYLPHOSPHONATE", 23546 },
	{ "SIM", "", "", ResidueType::NON_POLYMER, false, "Simvastatin acid", 23547 },
	{ "SIN", "", "", ResidueType::NON_POLYMER, false, "SUCCINIC ACID", 23548 },
	{ "SIO", "", "", ResidueType::SACCHARIDE, false, "methyl 4,9-di-O-acetyl-5-(acetylamino)-3,5-dideoxy-D-glycero-alpha-D-galacto-non-2-ulopyranosidonic acid", 23549 },
	{ "SIR", "", "", ResidueType::NON_POLYMER, false, "COBALT SIROHYDROCHLORIN", 23550 },
	{ "SIS", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,3R,4S,6R)-4,6-diamino-3-{[(2S,3R)-3-amino-6-(aminomethyl)-3,4-dihydro-2H-pyran-2-yl]oxy}-2-hydroxycyclohexyl 3-deoxy-4-C-methyl-3-(methylamino)-beta-L-arabinopyranoside", 23551 },
	{ "SIX", "", "", ResidueType::NON_POLYMER, false, "2-{5-[(3S,4R)-3-{[(2H-1,3-benzodioxol-5-yl)oxy]methyl}piperidin-4-yl]-2-fluorophenyl}-N-[2-(1H-pyrazol-4-yl)ethyl]acetamide", 23552 },
	{ "SIZ", "", "", ResidueType::SACCHARIDE, false, "N-DIFLUOROACETYL-D-GALACTOSAMINE", 23553 },
	{ "SJ1", "", "", ResidueType::NON_POLYMER, false, "N-(ISOBUTOXYCARBONYL)-D-SERYL-N-((1S)-4-{[AMINO(IMINO)METHYL]AMINO}-1-FORMYLBUTYL)-L-ALANINAMIDE", 23554 },
	{ "SJJ", "", "", ResidueType::NON_POLYMER, false, "5-(4-METHOXYPHENYL)-N-(PYRIDIN-4-YLMETHYL)-1,3-OXAZOLE-4-CARBOXAMIDE", 23555 },
	{ "SJP", "", "", ResidueType::NON_POLYMER, false, "", 23556 },
	{ "SJR", "", "", ResidueType::NON_POLYMER, false, "4-methoxy-N-(pyridin-2-yl)benzamide", 23557 },
	{ "SJZ", "", "", ResidueType::NON_POLYMER, false, "(~{E})-3-[3-(2-methyl-3-phenyl-phenyl)-4-oxidanyl-phenyl]prop-2-enoic acid", 23558 },
	{ "SK1", "", "", ResidueType::NON_POLYMER, false, "N-(BENZYLSULFONYL)-D-SERYL-N-{4-[AMINO(IMINO)METHYL]BENZYL}-L-ALANINAMIDE", 23559 },
	{ "SK2", "", "", ResidueType::NON_POLYMER, false, "(3R)-METHYLCARBAMOYL-7-SULFOAMINO-3,4-DIHYDRO-1H-ISOQUINOLINE-2-CARBOXYLIC ACID BENZYL ESTER", 23560 },
	{ "SK3", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3S,4S,5R)-5-(BENZYLAMINO)CYCLOPENTANE-1,2,3,4-TETROL", 23561 },
	{ "SK4", "", "", ResidueType::NON_POLYMER, false, "4-[(3-methoxyphenyl)amino]-6-(methylsulfonyl)quinoline-3-carboxamide", 23562 },
	{ "SK6", "", "", ResidueType::NON_POLYMER, false, "3-[2-(6-amino-4-methylpyridin-2-yl)ethyl]-5-{[2-(pyridin-2-yl)ethyl]amino}benzonitrile", 23563 },
	{ "SK7", "", "", ResidueType::NON_POLYMER, false, "6-[3-hydroxy-2-(hydroxymethyl)prop-1-en-1-yl]-1,5-dimethylpyrimidine-2,4(1H,3H)-dione", 23564 },
	{ "SK8", "", "", ResidueType::NON_POLYMER, false, "6-(4-fluorophenyl)-5-(pyridin-4-yl)-2,3-dihydroimidazo[2,1-b][1,3]thiazole", 23565 },
	{ "SKA", "", "", ResidueType::NON_POLYMER, false, "7,8-DICHLORO-1,2,3,4-TETRAHYDROISOQUINOLINE", 23566 },
	{ "SKD", "", "", ResidueType::NON_POLYMER, false, "2-ACETYLAMINO-7-(1,2-DIHYDROXY-ETHYL)-3-HYDROXY-6,8-DIOXA-BICYCLO[3.2.1]OCTANE-5-CARBOXYLIC ACID", 23567 },
	{ "SKE", "", "", ResidueType::NON_POLYMER, false, "4-({5-amino-1-[(2,6-difluorophenyl)carbonyl]-1H-1,2,4-triazol-3-yl}amino)benzenesulfonamide", 23568 },
	{ "SKF", "", "", ResidueType::NON_POLYMER, false, "1,2,3,4-TETRAHYDRO-ISOQUINOLINE-7-SULFONIC ACID AMIDE", 23569 },
	{ "SKH", "", "", ResidueType::PEPTIDE_LINKING, false, "(3~{S})-5-[[(5~{S})-5-azanyl-6-oxidanyl-6-oxidanylidene-hexyl]amino]-3-methyl-3-oxidanyl-5-oxidanylidene-pentanoic acid", 23570 },
	{ "SKK", "", "", ResidueType::NON_POLYMER, false, "N-[2-({2-[(2S)-2-cyanopyrrolidin-1-yl]-2-oxoethyl}amino)-2-methylpropyl]-2-methylpyrazolo[1,5-a]pyrimidine-6-carboxamide", 23571 },
	{ "SKM", "", "", ResidueType::NON_POLYMER, false, "(3R,4S,5R)-3,4,5-TRIHYDROXYCYCLOHEX-1-ENE-1-CARBOXYLIC ACID", 23572 },
	{ "SKO", "", "", ResidueType::NON_POLYMER, false, "N'-[6-[2-(6-AZANYL-4-METHYL-PYRIDIN-2-YL)ETHYL]PYRIDIN-2-YL]-N,N'-DIMETHYL-ETHANE-1,2-DIAMINE", 23573 },
	{ "SKP", "", "", ResidueType::NON_POLYMER, false, "5-(1-CARBOXY-1-PHOSPHONOOXY-ETHOXYL)-4-HYDROXY-3-PHOSPHONOOXY-CYCLOHEX-1-ENECARBOXYLIC ACID", 23574 },
	{ "SKT", "", "", ResidueType::NON_POLYMER, false, "(3~{R},4~{R},5~{R})-5-[(~{E})-3-(4-hydroxyphenyl)prop-2-enoyl]oxy-3,4-bis(oxidanyl)cyclohexene-1-carboxylic acid", 23575 },
	{ "SKY", "", "", ResidueType::NON_POLYMER, false, "1-beta-D-glucopyranosyl-4-naphthalen-2-yl-1H-1,2,3-triazole", 23576 },
	{ "SKZ", "", "", ResidueType::NON_POLYMER, false, "", 23577 },
	{ "SL0", "", "", ResidueType::NON_POLYMER, false, "5,7-dihydroxy-2-(4-hydroxyphenyl)-4-oxo-4H-chromen-3-yl 3,4-di-O-acetyl-6-deoxy-alpha-L-mannopyranoside", 23578 },
	{ "SL1", "", "", ResidueType::NON_POLYMER, false, "N-((1S)-4-{[AMINO(IMINO)METHYL]AMINO}-1-FORMYLBUTYL)-2-{(3R)-3-[(BENZYLSULFONYL)AMINO]-2-OXO-5-PHENYL-2,3-DIHYDRO-1H-1,4-BENZODIAZEPIN-1-YL}ACETAMIDE", 23579 },
	{ "SL2", "", "", ResidueType::NON_POLYMER, false, "", 23580 },
	{ "SL3", "", "", ResidueType::NON_POLYMER, false, "", 23581 },
	{ "SL5", "", "", ResidueType::NON_POLYMER, false, "(2S,4S,5R)-2-[(2-hydroxyethoxy)methyl]-5-methyl-1,3-oxazolidine-4-carboxylic acid", 23582 },
	{ "SL6", "", "", ResidueType::NON_POLYMER, false, "(Z)-4-[4-[(4-chlorophenyl)methyl]-1-(cyclohexylmethyl)piperidin-4-yl]-2-oxidanyl-4-oxidanylidene-but-2-enoic acid", 23583 },
	{ "SLA", "", "", ResidueType::NON_POLYMER, false, "Omuralide, open form", 23584 },
	{ "SLB", "", "", ResidueType::NON_POLYMER, false, "5-N-ACETYL-BETA-D-NEURAMINIC ACID", 23585 },
	{ "SLC", "", "", ResidueType::NON_POLYMER, false, "SELENO-CAPTOPRIL", 23586 },
	{ "SLD", "", "", ResidueType::NON_POLYMER, false, "(3Z)-N-[(4E)-5-(4-{(5S)-5-[(acetylamino)methyl]-2-oxo-1,3-oxazolidin-3-yl}-2-fluorophenyl)pent-4-en-1-yl]-3-(4-methyl-2,6-dioxo-1,6-dihydropyrimidin-5(2H)-ylidene)propanamide", 23587 },
	{ "SLE", "", "", ResidueType::NON_POLYMER, false, "2-(THIOMETHYLENE)-4-METHYLPENTANOIC ACID", 23588 },
	{ "SLF", "", "", ResidueType::NON_POLYMER, false, "SULFATE-3-D-GALACTOSYL-BETA-1-1-N-STEAROYL-D-SPHINGOSINE", 23589 },
	{ "SLH", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(1H-imidazol-5-yl)-2-({[(3R,4aS,8aR)-2-(N-phenyl-beta-alanyl)decahydroisoquinolin-3-yl]methyl}amino)propanal", 23590 },
	{ "SLI", "", "", ResidueType::NON_POLYMER, false, "2-hydroxy-N-phenylbenzamide", 23591 },
	{ "SLL", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-azanyl-6-[(4-hydroxy-4-oxo-butanoyl)amino]hexanoic acid", 23592 },
	{ "SLM", "", "", ResidueType::NON_POLYMER, false, "SIALYLAMIDE", 23593 },
	{ "SLN", "", "", ResidueType::NON_POLYMER, false, "1-(4-AZIDO-2-NITROPHENYL)AMINO-3-(1-OXYL-2,2,5,5-TETRAMETHYLPYRROLIDINYL-3-CARBAMIDO)-2-PROPYLDISPHOSPHATE", 23594 },
	{ "SLO", "", "", ResidueType::NON_POLYMER, false, "2-[(3Z)-6-fluoranyl-2-methyl-3-[(4-methylsulfonylphenyl)methylidene]inden-1-yl]ethanoic acid", 23595 },
	{ "SLP", "", "", ResidueType::NON_POLYMER, false, "3-selanylpropanoic acid", 23596 },
	{ "SLQ", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-({9-(1-methylethyl)-6-[(4-pyridin-2-ylbenzyl)amino]-9H-purin-2-yl}amino)butan-1-ol", 23597 },
	{ "SLR", "", "", ResidueType::PEPTIDE_LINKING, false, "(3R,4R)-3-hydroxy-2-[(1S)-1-hydroxy-2-methylpropyl]-4-methyl-5-oxo-D-proline", 23598 },
	{ "SLT", "", "", ResidueType::NON_POLYMER, false, "5-(ACETYLAMINO)-3,5-DIDEOXYNON-2-ULOPYRANONOSYL-(2->3)-BETA-D-LYXO-HEXOPYRANOSYL-(1->4)HEXOPYRANOSE", 23599 },
	{ "SLU", "", "", ResidueType::NON_POLYMER, false, "", 23600 },
	{ "SLX", "", "", ResidueType::NON_POLYMER, false, "(13aS)-3,10-dimethoxy-5,8,13,13a-tetrahydro-6H-isoquino[3,2-a]isoquinoline-2,9-diol", 23601 },
	{ "SLZ", "", "", ResidueType::PEPTIDE_LINKING, false, "L-THIALYSINE", 23602 },
	{ "SM", "", "", ResidueType::NON_POLYMER, false, "SAMARIUM (III) ION", 23603 },
	{ "SM1", "", "", ResidueType::NON_POLYMER, false, "N-(BENZYLSULFONYL)-D-SERYL-N-(4-{[AMINO(IMINO)METHYL]AMINO}BENZYL)-L-ALANINAMIDE", 23604 },
	{ "SM2", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-(2-THIENYLACETYLAMINO)-1-(3-CARBOXYPHENYL)METHYLBORONIC ACID", 23605 },
	{ "SM3", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-(2-THIENYLACETYLAMINO)-1-PHENYLMETHYLBORONIC ACID", 23606 },
	{ "SM4", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-(2-THIOPHEN-2-YL-ACETYLAMINO)-1-(3-(2-CARBOXYVINYL)-PHENYL) METHYLBORONIC ACID", 23607 },
	{ "SM5", "", "", ResidueType::NON_POLYMER, false, "(1E)-5-(1-piperidin-4-yl-3-pyridin-4-yl-1H-pyrazol-4-yl)-2,3-dihydro-1H-inden-1-one oxime", 23608 },
	{ "SM6", "", "", ResidueType::NON_POLYMER, false, "ethyl 3-{[1-(hydroxyamino)-2H-inden-5-yl]amino}thieno[2,3-c]pyridine-2-carboxylate", 23609 },
	{ "SM7", "", "", ResidueType::NON_POLYMER, false, "6-[1-(piperidin-4-yl)-3-(pyridin-4-yl)-1H-pyrazol-4-yl]indeno[1,2-c]pyrazole", 23610 },
	{ "SM8", "", "", ResidueType::NON_POLYMER, false, "SIMOCYCLINONE D8", 23611 },
	{ "SM9", "", "", ResidueType::NON_POLYMER, false, "N-(2-ethoxyethyl)-N-{(2S)-2-hydroxy-3-[(5R)-2-(quinazolin-4-yl)-2,7-diazaspiro[4.5]dec-7-yl]propyl}-2,6-dimethylbenzenesulfonamide", 23612 },
	{ "SMA", "", "", ResidueType::NON_POLYMER, false, "STIGMATELLIN A", 23613 },
	{ "SMB", "", "", ResidueType::NON_POLYMER, false, "2-METHYLBUTANOIC ACID", 23614 },
	{ "SMC", "CYM", "", ResidueType::PEPTIDE_LINKING, false, "S-METHYLCYSTEINE", 23615 },
	{ "SMD", "", "", ResidueType::NON_POLYMER, false, "METHYL-2-S-(ALPHA-D-MANNOPYRANOSYL)-2-THIO-ALPHA-D-MANNOPYRANOSIDE", 23616 },
	{ "SME", "", "", ResidueType::PEPTIDE_LINKING, false, "METHIONINE SULFOXIDE", 23617 },
	{ "SMF", "", "", ResidueType::PEPTIDE_LINKING, false, "4-SULFOMETHYL-L-PHENYLALANINE", 23618 },
	{ "SMG", "", "", ResidueType::NON_POLYMER, false, "N-SUCCINYL METHIONINE", 23619 },
	{ "SMH", "", "", ResidueType::NON_POLYMER, false, "N-(2-ethoxyethyl)-N-{(2S)-2-hydroxy-3-[(2R)-6-hydroxy-4-oxo-3,4-dihydro-1'H-spiro[chromene-2,3'-piperidin]-1'-yl]propyl}-2,6-dimethylbenzenesulfonamide", 23620 },
	{ "SMI", "", "", ResidueType::NON_POLYMER, false, "SPECTINOMYCIN", 23621 },
	{ "SMK", "", "", ResidueType::NON_POLYMER, false, "(3S,6S,7R,9aS)-6-{[(2S)-2-aminobutanoyl]amino}-7-(2-aminoethyl)-N-(diphenylmethyl)-5-oxooctahydro-1H-pyrrolo[1,2-a]azepine-3-carboxamide", 23622 },
	{ "SML", "", "", ResidueType::NON_POLYMER, false, "PHENYL METHYL SULFONE", 23623 },
	{ "SMM", "", "", ResidueType::NON_POLYMER, false, "S-ADENOSYLMETHIONINE METHYL ESTER", 23624 },
	{ "SMN", "", "", ResidueType::NON_POLYMER, false, "(S)-MANDELIC ACID", 23625 },
	{ "SMO", "", "", ResidueType::NON_POLYMER, false, "DIOXOSULFIDOMOLYBDENUM(VI) ION", 23626 },
	{ "SMP", "", "", ResidueType::DNA_LINKING, false, "2'-DEOXY-ADENOSINE-5'-SP-MONOMETHYLPHOSPHONATE", 23627 },
	{ "SMQ", "", "", ResidueType::NON_POLYMER, false, "SIMOCYCLINONE C4", 23628 },
	{ "SMR", "", "", ResidueType::NON_POLYMER, false, "N-{(2S)-3-[(3S)-8',9'-dihydro-1H,3'H-spiro[piperidine-3,7'-pyrano[3,2-e]indazol]-1-yl]-2-hydroxypropyl}-N-(2-ethoxyethyl)-2,6-dimethylbenzenesulfonamide", 23629 },
	{ "SMS", "", "", ResidueType::NON_POLYMER, false, "SULFAMIC ACID 2,3-O-(1-METHYLETHYLIDENE)-4,5-O-SULFONYL-BETA-FRUCTOPYRANOSE ESTER", 23630 },
	{ "SMT", "", "", ResidueType::RNA_LINKING, false, "2'-[(METHYLTHIO)ETHYLOXY]-THYMIDINE-5'-MONOPHOSPHATE", 23631 },
	{ "SMX", "", "", ResidueType::NON_POLYMER, false, "(6R,7R)-7-{[(2R)-2-hydroxy-2-phenylacetyl]amino}-3-{[(1-methyl-1H-tetrazol-5-yl)sulfanyl]methyl}-8-oxo-5-thia-1-azabicyclo[4.2.0]oct-2-ene-2-carboxylic acid", 23632 },
	{ "SMY", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-(1H-indol-3-yl)-1-{4-[(5S)-5-methyl-5,7-dihydrothieno[3,4-d]pyrimidin-4-yl]piperazin-1-yl}-1-oxopropan-2-amine", 23633 },
	{ "SMZ", "", "", ResidueType::NON_POLYMER, false, "N~5~-[(E)-imino(methylsulfanyl)methyl]-L-ornithine", 23634 },
	{ "SN0", "", "", ResidueType::NON_POLYMER, false, "N-(3-CARBOXYPROPANOYL)-L-NORVALINE", 23635 },
	{ "SN1", "", "", ResidueType::NON_POLYMER, false, "2,4-DIHYDROXY-TRANS CINNAMIC ACID", 23636 },
	{ "SN2", "", "", ResidueType::NON_POLYMER, false, "5-[BIS-2(CHLORO-ETHYL)-AMINO]-2,4-DINTRO-BENZAMIDE", 23637 },
	{ "SN3", "", "", ResidueType::NON_POLYMER, false, "", 23638 },
	{ "SN5", "", "", ResidueType::NON_POLYMER, false, "2-deoxy-2-(ethanethioylamino)-beta-D-glucopyranose", 23639 },
	{ "SN6", "", "", ResidueType::NON_POLYMER, false, "1-METHYL-4-[4-[4-(4-(1-METHYLQUINOLINIUM)AMINO)BENZAMIDO]ANILINO]PYRIDINIUM", 23640 },
	{ "SN7", "", "", ResidueType::NON_POLYMER, false, "4-[4-[2-AMINO-4-[4,6-(N-METHYLQUINOLINIUM)AMINO]BENZAMIDO]ANILINO]-N-METHYLPYRIDINIUM MESYLATE", 23641 },
	{ "SN8", "", "", ResidueType::NON_POLYMER, false, "1,6-DIMETHYL-4-(4-(4-(1-METHYLPYRIDINIUM-4-YLAMINO)PHENYLCARBAMOYL)PHENYLAMINO)QUINOLINIUM", 23642 },
	{ "SN9", "", "", ResidueType::NON_POLYMER, false, "8-METHOXY-1-METHYL-4-(4-(4-(1-METHYLPYRIDINIUM-4-YLAMINO)PHENYLCARBAMOYL)PHENYLAMINO)QUINOLINIUM", 23643 },
	{ "SNA", "", "", ResidueType::NON_POLYMER, false, "N-{1-[5-(1-CARBAMOYL-2-MERCAPTO-ETHYLCARBAMOYL)-PENTYLCARBAMOYL]-2-[4-(DIFLUORO-PHOSPHONO-METHYL)-PHENYL]-ETHYL}-3-{2-[4-(DIFLUORO-PHOSPHONO-METHYL)-PHENYL]-ACETYLAMINO}-SUCCINAMIC ACID", 23644 },
	{ "SNB", "", "", ResidueType::NON_POLYMER, false, "1-(3-BROMOPHENYL)-7-CHLORO-6-METHOXY-3,4-DIHYDROISOQUINOLINE", 23645 },
	{ "SNC", "", "", ResidueType::PEPTIDE_LINKING, false, "S-NITROSO-CYSTEINE", 23646 },
	{ "SND", "", "", ResidueType::NON_POLYMER, false, "THIONICOTINAMIDE-ADENINE-DINUCLEOTIDE", 23647 },
	{ "SNE", "", "", ResidueType::NON_POLYMER, false, "Sabinene", 23648 },
	{ "SNF", "", "", ResidueType::NON_POLYMER, false, "(N1E, N2E)-N1, N2-bis(pyridine-2-ylmethylene)propane-1,2-diamine, nickel(II) salt", 23649 },
	{ "SNG", "", "", ResidueType::NON_POLYMER, false, "METHYL 2-ACETAMIDO-1,2-DIDEOXY-1-SELENO-BETA-D-GLUCOPYRANOSIDE", 23650 },
	{ "SNH", "", "", ResidueType::NON_POLYMER, false, "", 23651 },
	{ "SNI", "", "", ResidueType::NON_POLYMER, false, "9-(3,4-DIHYDROXY-5-HYDROXYMETHYL-TETRAHYDRO-FURAN-2-YL)-1,9-DIHYDRO-PURINE-6-THIONE", 23652 },
	{ "SNL", "", "", ResidueType::NON_POLYMER, false, "SPIRONOLACTONE", 23653 },
	{ "SNM", "", "", ResidueType::NON_POLYMER, false, "N,N-dimethyl-L-serine", 23654 },
	{ "SNN", "", "", ResidueType::PEPTIDE_LINKING, false, "L-3-AMINOSUCCINIMIDE", 23655 },
	{ "SNO", "", "", ResidueType::NON_POLYMER, false, "(S)-PARA-NITROSTYRENE OXIDE", 23656 },
	{ "SNP", "", "", ResidueType::NON_POLYMER, false, "1-(ISOPROPYLAMINO)-3-(1-NAPHTHYLOXY)-2-PROPANOL", 23657 },
	{ "SNR", "", "", ResidueType::NON_POLYMER, false, "NORBIOTIN", 23658 },
	{ "SNS", "", "", ResidueType::NON_POLYMER, false, "3,6-bis(3-(3'-(S)-fluoropyrrolindino)propionamido)acridine", 23659 },
	{ "SNT", "", "", ResidueType::NON_POLYMER, false, "(E)-N-(4-benzylpiperazin-1-yl)-1-(3,5-dimethyl-1-phenyl-1H-pyrazol-4-yl)methanimine", 23660 },
	{ "SNU", "", "", ResidueType::NON_POLYMER, false, "4-(1H-pyrrol-1-yl)aniline", 23661 },
	{ "SNW", "", "", ResidueType::NON_POLYMER, false, "Deoxyfructosylglutamine", 23662 },
	{ "SNX", "", "", ResidueType::NON_POLYMER, false, "2-[(2-methoxyethyl)amino]-4-(4-oxo-1,2,3,4-tetrahydro-9H-carbazol-9-yl)benzamide", 23663 },
	{ "SNY", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(4-hydroxy-3,5-dimethoxyphenyl)prop-2-enal", 23664 },
	{ "SO1", "", "", ResidueType::NON_POLYMER, false, "", 23665 },
	{ "SO2", "", "", ResidueType::NON_POLYMER, false, "SULFUR DIOXIDE", 23666 },
	{ "SO3", "SFN", "", ResidueType::NON_POLYMER, false, "SULFITE ION", 23667 },
	{ "SO4", "SUL", "", ResidueType::NON_POLYMER, false, "SULFATE ION", 23668 },
	{ "SO8", "", "", ResidueType::NON_POLYMER, false, "2'-(L-ISOLEUCYL)AMINO-2'-DEOXYADENOSINE", 23669 },
	{ "SOA", "", "", ResidueType::NON_POLYMER, false, "ISATOIC ANHYDRIDE", 23670 },
	{ "SOC", "", "", ResidueType::PEPTIDE_LINKING, false, "DIOXYSELENOCYSTEINE", 23671 },
	{ "SOD", "", "", ResidueType::NON_POLYMER, false, "", 23672 },
	{ "SOE", "", "", ResidueType::SACCHARIDE, false, "alpha-L-sorbopyranose", 23673 },
	{ "SOF", "", "", ResidueType::NON_POLYMER, false, "2-(biphenyl-4-yloxy)-1-[4-(4-ethylpiperazin-1-yl)piperidin-1-yl]ethanone", 23674 },
	{ "SOG", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXYMETHYL-6-OCTYLSULFANYL-TETRAHYDRO-PYRAN-3,4,5-TRIOL", 23675 },
	{ "SOH", "", "", ResidueType::NON_POLYMER, true, "HYDROGEN SULFATE", 23676 },
	{ "SOL", "", "", ResidueType::SACCHARIDE, false, "L-sorbose", 23677 },
	{ "SOM", "", "MPS", ResidueType::NON_POLYMER, true, "METHYL PHOSPHINIC ACID", 23678 },
	{ "SON", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE PHOSPHONOACETIC ACID", 23679 },
	{ "SOO", "", "", ResidueType::NON_POLYMER, false, "S-[2-[3-[[(2S)-2-hydroxy-3,3-dimethyl-4-phosphonooxy-butanoyl]amino]propanoylamino]ethyl] (E)-oct-2-enethioate", 23680 },
	{ "SOP", "", "", ResidueType::NON_POLYMER, false, "", 23681 },
	{ "SOR", "", "", ResidueType::NON_POLYMER, false, "D-SORBITOL", 23682 },
	{ "SOS", "", "", ResidueType::DNA_LINKING, false, "[(1R,2S,4R)-4-({2-AMINO-5-[BENZYL(FORMYL)AMINO]-6-OXO-1,6-DIHYDROPYRIMIDIN-4-YL}AMINO)-2-HYDROXYCYCLOPENTYL]METHYL DIHYDROGEN PHOSPHATE", 23683 },
	{ "SOT", "", "", ResidueType::NON_POLYMER, false, "morpholine-4-sulfonic acid", 23684 },
	{ "SOX", "", "", ResidueType::NON_POLYMER, false, "N-[(2S,4S,6R)-2-(DIHYDROXYMETHYL)-4-HYDROXY-3,3-DIMETHYL-7-OXO-4LAMBDA~4~-THIA-1-AZABICYCLO[3.2.0]HEPT-6-YL]-2-PHENYLACETAMIDE", 23685 },
	{ "SOY", "", "", ResidueType::PEPTIDE_LINKING, true, "OXACILLIN-ACYLATED SERINE", 23686 },
	{ "SP0", "", "", ResidueType::NON_POLYMER, false, "3-FLUORO-N-[1-(4-FLUOROPHENYL)-3-(2-THIENYL)-1H-PYRAZOL-5-YL]BENZENESULFONAMIDE", 23687 },
	{ "SP1", "", "", ResidueType::NON_POLYMER, false, "6-(6-AMINO-PURIN-9-YL)-2-THIOXO-TETRAHYDRO-2-FURO[3,2-D][1,3,2]DIOXAPHOSPHININE-2,7-DIOL", 23688 },
	{ "SP2", "", "", ResidueType::NON_POLYMER, false, "3,4-DIHYDROSPHEROIDENE", 23689 },
	{ "SP3", "", "", ResidueType::NON_POLYMER, false, "N-[1-(4-FLUOROPHENYL)-3-(2-THIENYL)-1H-PYRAZOL-5-YL]-3,5-BIS(TRIFLUOROMETHYL)BENZENESULFONAMIDE", 23690 },
	{ "SP5", "", "", ResidueType::NON_POLYMER, false, "N-[3-({4-[(3-aminopropyl)amino]butyl}amino)propyl]acetamide", 23691 },
	{ "SP6", "", "", ResidueType::NON_POLYMER, false, "BENZYL 6-BENZYL-5,7-DIOXO-6,7-DIHYDRO-5H-[1,3]THIAZOLO[3,2-C]PYRIMIDINE-2-CARBOXYLATE", 23692 },
	{ "SP7", "", "", ResidueType::NON_POLYMER, false, "N-{(1S)-3-[(4-aminobutyl)amino]-1-methylpropyl}acetamide", 23693 },
	{ "SP8", "", "", ResidueType::NON_POLYMER, false, "N-{(1S)-3-[(4-aminobutyl)amino]-1-methylpropyl}benzamide", 23694 },
	{ "SP9", "", "", ResidueType::NON_POLYMER, false, "N-{(1R)-3-[(4-aminobutyl)amino]-1-methylpropyl}benzamide", 23695 },
	{ "SPA", "", "", ResidueType::NON_POLYMER, false, "THIOPHENEACETIC ACID", 23696 },
	{ "SPB", "", "", ResidueType::NON_POLYMER, false, "4-(4-STYRYL-PHENYLCARBAMOYL)-BUTYRIC ACID", 23697 },
	{ "SPC", "", "", ResidueType::NON_POLYMER, false, "N-HYDROXY 1N(4-METHOXYPHENYL)SULFONYL-4-(Z,E-N-METHOXYIMINO)PYRROLIDINE-2R-CARBOXAMIDE", 23698 },
	{ "SPD", "", "", ResidueType::NON_POLYMER, false, "SPERMIDINE", 23699 },
	{ "SPE", "", "", ResidueType::NON_POLYMER, false, "THERMINE", 23700 },
	{ "SPF", "", "", ResidueType::NON_POLYMER, false, "SINAPOYL COENZYME A", 23701 },
	{ "SPG", "", "PGS", ResidueType::NON_POLYMER, true, "", 23702 },
	{ "SPH", "", "", ResidueType::NON_POLYMER, false, "SPHINGOSINE", 23703 },
	{ "SPI", "", "", ResidueType::NON_POLYMER, false, "N-HYDROXY-1-(4-METHOXYPHENYL)SULFONYL-4-BENZYLOXYCARBONYL-PIPERAZINE-2-CARBOXAMIDE", 23704 },
	{ "SPJ", "", "", ResidueType::NON_POLYMER, false, "(3R,3'R)-N~1~,N~1~'-butane-1,4-diyldibutane-1,3-diamine", 23705 },
	{ "SPK", "", "", ResidueType::NON_POLYMER, false, "SPERMINE (FULLY PROTONATED FORM)", 23706 },
	{ "SPL", "", "", ResidueType::NON_POLYMER, false, "OCTANOIC ACID (2-HYDROXY-1-HYDROXYMETHYL-HEPTADEC-3-ENYL)-AMIDE", 23707 },
	{ "SPM", "", "", ResidueType::NON_POLYMER, false, "SPERMINE", 23708 },
	{ "SPN", "", "", ResidueType::NON_POLYMER, false, "SPEROIDENONE", 23709 },
	{ "SPO", "", "", ResidueType::NON_POLYMER, false, "SPHEROIDENE", 23710 },
	{ "SPP", "", "", ResidueType::NON_POLYMER, false, "(1-(5-METHANSULPHONAMIDO-1H-INDOL-2-YL-CARBONYL)4-[METHYLAMINO)PYRIDINYL]PIPERAZINE", 23711 },
	{ "SPQ", "", "", ResidueType::NON_POLYMER, false, "(3R,4S,5R)-5-{[(1R)-1-CARBOXY-2-FLUORO-1-(PHOSPHONOOXY)ETHYL]OXY}-4-HYDROXY-3-(PHOSPHONOOXY)CYCLOHEX-1-ENE-1-CARBOXYLIC ACID", 23712 },
	{ "SPR", "", "", ResidueType::NON_POLYMER, false, "SPIRAMYCIN I", 23713 },
	{ "SPS", "", "", ResidueType::NON_POLYMER, false, "SPARSOMYCIN", 23714 },
	{ "SPT", "", "", ResidueType::DNA_LINKING, false, "", 23715 },
	{ "SPU", "", "", ResidueType::NON_POLYMER, false, "2-{[(R)-{[(2S,3R,4E)-2-amino-3-hydroxyoctadec-4-en-1-yl]oxy}(hydroxy)phosphoryl]oxy}-N,N,N-trimethylethanaminium", 23716 },
	{ "SPV", "", "", ResidueType::NON_POLYMER, false, "SULFOPYRUVATE", 23717 },
	{ "SPW", "", "", ResidueType::NON_POLYMER, false, "N,N'-BIS(3-AMMONIOPROPYL)BUTANE-1,4-DIAMINIUM", 23718 },
	{ "SPX", "", "", ResidueType::NON_POLYMER, false, "SPHINXOLIDE B", 23719 },
	{ "SPY", "", "", ResidueType::NON_POLYMER, true, "pyridine-4-sulfonic acid", 23720 },
	{ "SPZ", "", "", ResidueType::NON_POLYMER, false, "(3S,3'S)-N~1~,N~1~'-butane-1,4-diyldibutane-1,3-diamine", 23721 },
	{ "SQ", "", "", ResidueType::NON_POLYMER, false, "3-ETHYLAMINO-4-METHYLAMINO-CYCLOBUTANE-1,2-DIONE", 23722 },
	{ "SQ1", "", "", ResidueType::NON_POLYMER, false, "[N-(2-{bis[2-(pyridin-2-yl-kappaN)ethyl]amino-kappaN}ethyl)-5-(2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl)pentanamide]copper", 23723 },
	{ "SQ9", "", "", ResidueType::NON_POLYMER, false, "3-[2-amino-6-(cyclohexylmethoxy)-7H-purin-8-yl]-2-methylbenzenesulfonamide", 23724 },
	{ "SQA", "", "", ResidueType::NON_POLYMER, false, "2-AZASQUALENE", 23725 },
	{ "SQD", "", "", ResidueType::NON_POLYMER, false, "1,2-DI-O-ACYL-3-O-[6-DEOXY-6-SULFO-ALPHA-D-GLUCOPYRANOSYL]-SN-GLYCEROL", 23726 },
	{ "SQL", "", "", ResidueType::NON_POLYMER, false, "(6E,10E,14E,18E)-2,6,10,15,19,23-hexamethyltetracosa-2,6,10,14,18,22-hexaene", 23727 },
	{ "SQO", "", "", ResidueType::NON_POLYMER, false, "2-{[2-(4-Morpholinyl)ethyl]amino}-1,7-dihydro-8H-imidazo[4,5-g]quinazolin-8-one", 23728 },
	{ "SQS", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4E)-2-aminooctadec-4-ene-1,3-diol", 23729 },
	{ "SQU", "", "", ResidueType::NON_POLYMER, false, "2,10,23-TRIMETHYL-TETRACOSANE", 23730 },
	{ "SQX", "", "", ResidueType::NON_POLYMER, false, "13-DESMETHYL SPIROLIDE C", 23731 },
	{ "SQZ", "", "", ResidueType::NON_POLYMER, false, "5-[1-[(1S)-1-(4-fluorophenyl)ethyl]-[1,2,3]triazolo[4,5-c]quinolin-8-yl]-1,3-benzoxazole", 23732 },
	{ "SR", "", "", ResidueType::NON_POLYMER, false, "STRONTIUM ION", 23733 },
	{ "SR0", "", "", ResidueType::NON_POLYMER, false, "N~1~-(3-azaniumylpropyl)butane-1,4-diaminium", 23734 },
	{ "SR1", "", "", ResidueType::NON_POLYMER, false, "5-S-METHYL-5-THIO-ALPHA-D-RIBOFURANOSE", 23735 },
	{ "SR2", "", "", ResidueType::NON_POLYMER, false, "(2E)-N-{4-[(3-bromophenyl)amino]quinazolin-6-yl}-4-(dimethylamino)but-2-enamide", 23736 },
	{ "SR3", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-4-(2-amino-2-oxoethoxy)-3-(dihydroxy-lambda~4~-sulfanyl)-3-methyl-4-oxo-2-{[(1E)-3-oxoprop-1-en-1-yl]amino}butanoic acid", 23737 },
	{ "SR7", "", "", ResidueType::NON_POLYMER, false, "N-{2-[3-(piperazin-1-ylmethyl)imidazo[2,1-b][1,3]thiazol-6-yl]phenyl}quinoxaline-2-carboxamide", 23738 },
	{ "SR8", "", "", ResidueType::NON_POLYMER, false, "1-(5-TERT-BUTYL-1,2-OXAZOL-3-YL)-3-(4-PYRIDIN-4-YLOXYPHENYL)UREA", 23739 },
	{ "SRA", "", "", ResidueType::RNA_LINKING, false, "", 23740 },
	{ "SRB", "", "", ResidueType::NON_POLYMER, false, "L-1-NAPHTHYL-2-ACETAMIDO-ETHANE BORONIC ACID", 23741 },
	{ "SRD", "", "", ResidueType::NON_POLYMER, false, "D-1-NAPHTHYL-2-ACETAMIDO-ETHANE BORONIC ACID", 23742 },
	{ "SRE", "", "", ResidueType::NON_POLYMER, false, "(1S,4S)-4-(3,4-dichlorophenyl)-N-methyl-1,2,3,4-tetrahydronaphthalen-1-amine", 23743 },
	{ "SRG", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[[(2S)-1-[[(5S,8S,9E)-2,7-dioxo-5-propan-2-yl-1,6-diazacyclododeca-3,9-dien-8-yl]amino]-3-methyl-1-oxo-butan-2-yl]carbamoylamino]-3-methyl-butanoic acid", 23744 },
	{ "SRI", "", "MH6", ResidueType::NON_POLYMER, true, "(2Z)-3-HYDROXY-2-IMINOPROPANOIC ACID", 23745 },
	{ "SRL", "", "", ResidueType::NON_POLYMER, false, "[2-(3,5-DI-TERT-BUTYL-4-HYDROXY-PHENYL)-1-(DIETHOXY-PHOSPHORYL)-VINYL]-PHOSPHONIC ACID DIETHLYL ESTER", 23746 },
	{ "SRM", "", "", ResidueType::NON_POLYMER, false, "SIROHEME", 23747 },
	{ "SRN", "", "", ResidueType::NON_POLYMER, false, "SORANGICIN A", 23748 },
	{ "SRO", "", "", ResidueType::NON_POLYMER, false, "SEROTONIN", 23749 },
	{ "SRP", "", "", ResidueType::NON_POLYMER, false, "SERYL ADENYLATE", 23750 },
	{ "SRR", "", "", ResidueType::NON_POLYMER, false, "4,4'-[2-(4-ethoxyphenyl)but-1-ene-1,1-diyl]diphenol", 23751 },
	{ "SRS", "", "", ResidueType::NON_POLYMER, false, "4-METHYL-3-(9-OXO-1,8-DIAZA-TRICYCLO[10.6.1.0(13,18)]NONADECA-12(19),13(18),15,17-TETRAENE-10-CARBAMOYL)PENTA-METHYLSULFONEDIIMINE", 23752 },
	{ "SRT", "", "", ResidueType::NON_POLYMER, false, "S,R MESO-TARTARIC ACID", 23753 },
	{ "SRX", "", "", ResidueType::NON_POLYMER, false, "chloro{N-[di(pyridin-2-yl-kappaN)methyl]-4-sulfamoylbenzamide}[(1,2,3,4,5,6-eta)-(1R,2R,3R,4S,5S,6S)-1,2,3,4,5,6-hexamethylcyclohexane-1,2,3,4,5,6-hexayl]ruthenium(2+)", 23754 },
	{ "SRY", "", "", ResidueType::NON_POLYMER, false, "STREPTOMYCIN", 23755 },
	{ "SRZ", "", "", ResidueType::PEPTIDE_LINKING, false, "PROPOXY-L-SERINE", 23756 },
	{ "SS0", "", "", ResidueType::NON_POLYMER, false, "(8R)-8-[(dimethylamino)methyl]-1-[3-(dimethylamino)propyl]-1,7,8,9-tetrahydrochromeno[5,6-d]imidazol-2-amine", 23757 },
	{ "SS1", "", "", ResidueType::NON_POLYMER, false, "1-PHENYLETHANOL", 23758 },
	{ "SS2", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-PHENYLETHANOL", 23759 },
	{ "SS3", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-{[5-(3-METHYL-1H-INDAZOL-5-YL)PYRIDIN-3-YL]OXY}-3-PHENYLPROPAN-2-AMINE", 23760 },
	{ "SS4", "", "", ResidueType::NON_POLYMER, false, "3-PYRIDIN-4-YL-2,4-DIHYDRO-INDENO[1,2-.C.] PYRAZOLE", 23761 },
	{ "SS5", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-[3-(CYCLOHEXYLMETHOXY)PHENYL]-3-{[5-(3-METHYL-1H-INDAZOL-5-YL)PYRIDIN-3-YL]OXY}PROPAN-2-AMINE", 23762 },
	{ "SS6", "", "", ResidueType::NON_POLYMER, false, "1-{3-[(6-aminoquinazolin-4-yl)amino]phenyl}-3-[3-tert-butyl-1-(3-methylphenyl)-1H-pyrazol-5-yl]urea", 23763 },
	{ "SS7", "", "", ResidueType::NON_POLYMER, false, "4-{[(2S)-2-(1,3-dioxo-1,3-dihydro-2H-isoindol-2-yl)propyl]oxy}-3,5-dimethylphenyl acetate", 23764 },
	{ "SS8", "", "", ResidueType::NON_POLYMER, false, "3-PHENETHYL-4H-FURO[3,2-B]PYRROLE-5-CARBOXYLIC ACID", 23765 },
	{ "SS9", "", "", ResidueType::NON_POLYMER, false, "5-[(3-aminopropyl)amino]pentane-1-thiol", 23766 },
	{ "SSA", "", "", ResidueType::NON_POLYMER, false, "5'-O-(N-(L-SERYL)-SULFAMOYL)ADENOSINE", 23767 },
	{ "SSB", "", "", ResidueType::NON_POLYMER, false, "3-BUTYLTHIOLANE 1-OXIDE", 23768 },
	{ "SSC", "", "", ResidueType::NON_POLYMER, false, "(2S,5S)-5-CARBOXYMETHYLPROLINE", 23769 },
	{ "SSD", "", "", ResidueType::NON_POLYMER, false, "1,4-DIDEOXY-1,4-[[2R,3R)-2,4-DIHYDROXY-3-(SULFOXY)BUTYL]EPISULFONIUMYLIDENE]-D-ARABINITOL INNER SALT", 23770 },
	{ "SSE", "", "", ResidueType::NON_POLYMER, false, "1,4-DIDEOXY-1,4-[[2S,3S)-2,4-DIHYDROXY-3-(SULFOXY)BUTYL]EPISELENONIUMYLIDENE]-D-ARABINITOL INNER SALT", 23771 },
	{ "SSF", "", "", ResidueType::NON_POLYMER, false, "2-amino-5-[(1-methoxy-2-methylindolizin-3-yl)carbonyl]benzoic acid", 23772 },
	{ "SSG", "", "", ResidueType::SACCHARIDE, false, "1,4-DEOXY-1,4-DITHIO-BETA-D-GLUCOPYRANOSE", 23773 },
	{ "SSH", "", "", ResidueType::NON_POLYMER, false, "3-DEOXY-D-ARABINO-HEXONIC ACID", 23774 },
	{ "SSI", "", "", ResidueType::NON_POLYMER, false, "[(3S)-4-hydroxy-3-{[(4-oxo-4,5-dihydro-3H-pyrrolo[3,2-d]pyrimidin-7-yl)methyl]amino}butyl]phosphonic acid", 23775 },
	{ "SSJ", "", "", ResidueType::NON_POLYMER, false, "", 23776 },
	{ "SSK", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-1,2-diphenylethane-1,2-diamine", 23777 },
	{ "SSL", "", "", ResidueType::NON_POLYMER, false, "(3-{[2-(DIHYDROXYAMINO)-4-(2LAMBDA~5~-TRIAZA-1,2-DIENYL)PHENYL]AMINO}-9-HYDROXY-8,8,10,10-TETRAMETHYL-1,5-DIOXA-9-AZASPIRO[5.5]UNDEC-3-YL)METHYL TRIHYDROGEN DIPHOSPHATE", 23778 },
	{ "SSM", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(acetylamino)-N-methyl-4-[(S)-methylsulfinyl]butanamide", 23779 },
	{ "SSN", "", "", ResidueType::NON_POLYMER, false, "4-oxobutanoic acid", 23780 },
	{ "SSO", "", "", ResidueType::NON_POLYMER, false, "1,4-DIDEOXY-1,4-[[2S,3S)-2,4-DIHYDROXY-3-(SULFOXY)BUTYL]EPISULFONIUMYLIDENE]-D-ARABINITOL INNER SALT", 23781 },
	{ "SSP", "", "", ResidueType::NON_POLYMER, false, "DITHIOBIS-(PROPANE)", 23782 },
	{ "SSR", "", "", ResidueType::NON_POLYMER, false, "2-(3-fluoro-2-methylbenzyl)-4-methyl-1-phenyl-3-(piperazin-1-ylcarbonyl)-1H-indol-5-ol", 23783 },
	{ "SSS", "", "", ResidueType::NON_POLYMER, false, "N-{[5-AMINO-1-(5-O-PHOSPHONO-BETA-D-ARABINOFURANOSYL)-1H-IMIDAZOL-4-YL]CARBONYL}-L-ASPARTIC ACID", 23784 },
	{ "SST", "", "", ResidueType::NON_POLYMER, false, "L-arabinitol", 23785 },
	{ "SSU", "", "", ResidueType::RNA_LINKING, false, "URIDINE-5'-PHOSPHOROTHIOATE", 23786 },
	{ "SSV", "", "", ResidueType::NON_POLYMER, false, "(3E,5E,7E,9E,11E,13E)-pentadeca-3,5,7,9,11,13-hexaen-2-one", 23787 },
	{ "ST1", "", "", ResidueType::NON_POLYMER, false, "4-(ACETYLAMINO)-3-HYDROXY-5-NITROBENZOIC ACID", 23788 },
	{ "ST2", "", "", ResidueType::NON_POLYMER, false, "4-(ACETYLAMINO)-5-AMINO-3-HYDROXYBENZOIC ACID", 23789 },
	{ "ST3", "", "", ResidueType::NON_POLYMER, false, "4-(ACETYLAMINO)-3-AMINO BENZOIC ACID", 23790 },
	{ "ST4", "", "", ResidueType::NON_POLYMER, false, "4-(ACETYLAMINO)-3-GUANIDINOBENZOIC ACID", 23791 },
	{ "ST5", "", "", ResidueType::NON_POLYMER, false, "4-(ACETYLAMINO)-3-[(HYDROXYACETYL)AMINO]BENZOIC ACID", 23792 },
	{ "ST6", "", "", ResidueType::NON_POLYMER, false, "4-(ACETYLAMINO)-3-[(AMINOACETYL)AMINO]BENZOIC ACID", 23793 },
	{ "ST7", "", "", ResidueType::NON_POLYMER, false, "N,N-dibenzyl-N~5~-[N-(methylcarbamoyl)carbamimidoyl]-N~2~-{[5-({[(E)-(quinolin-4-ylmethylidene)amino]oxy}methyl)-1H-1,2,3-triazol-1-yl]acetyl}-L-ornithinamide", 23794 },
	{ "ST8", "", "", ResidueType::NON_POLYMER, false, "4-{[4-AMINO-6-(CYCLOHEXYLMETHOXY)-5-NITROSOPYRIMIDIN-2-YL]AMINO}BENZAMIDE", 23795 },
	{ "ST9", "", "", ResidueType::NON_POLYMER, false, "STEAROYL-COENZYME A", 23796 },
	{ "STA", "", "", ResidueType::PEPTIDE_LIKE, false, "STATINE", 23797 },
	{ "STB", "", "", ResidueType::NON_POLYMER, false, "4-SULFONAMIDE-[4-(THIOMETHYLAMINOBUTANE)]BENZAMIDE", 23798 },
	{ "STC", "", "", ResidueType::NON_POLYMER, false, "3-[(4-CHLOROANILINO)SULFONYL]THIOPHENE-2-CARBOXYLIC ACID", 23799 },
	{ "STD", "", "", ResidueType::NON_POLYMER, false, "STREPTOLYDIGIN", 23800 },
	{ "STE", "", "", ResidueType::NON_POLYMER, false, "STEARIC ACID", 23801 },
	{ "STF", "", "", ResidueType::NON_POLYMER, false, "(5R)-2-SULFANYL-5-[4-(TRIFLUOROMETHYL)BENZYL]-1,3-THIAZOL-4-ONE", 23802 },
	{ "STG", "", "", ResidueType::NON_POLYMER, false, "ESTRIOL 3-(B-D-GLUCURONIDE)", 23803 },
	{ "STH", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-4H-1,3-BENZOXATHIIN-4-OL", 23804 },
	{ "STI", "", "", ResidueType::NON_POLYMER, false, "4-(4-METHYL-PIPERAZIN-1-YLMETHYL)-N-[4-METHYL-3-(4-PYRIDIN-3-YL-PYRIMIDIN-2-YLAMINO)-PHENYL]-BENZAMIDE", 23805 },
	{ "STJ", "", "", ResidueType::NON_POLYMER, false, "3-(6-{[4-(trifluoromethoxy)phenyl]amino}pyrimidin-4-yl)benzamide", 23806 },
	{ "STL", "", "", ResidueType::NON_POLYMER, false, "RESVERATROL", 23807 },
	{ "STM", "", "", ResidueType::NON_POLYMER, false, "methyl 5-amino-6-(7-amino-6-methoxy-5,8-dioxo-5,8-dihydroquinolin-2-yl)-4-(2-hydroxy-3-methoxyphenyl)-3-methylpyridine-2-carboxylate", 23808 },
	{ "STN", "", "", ResidueType::NON_POLYMER, false, "2-{[FORMYL(HYDROXY)AMINO]METHYL}-4-METHYLPENTANOIC ACID", 23809 },
	{ "STO", "", "STU", ResidueType::NON_POLYMER, true, "STAUROSPORINE", 23810 },
	{ "STP", "", "", ResidueType::NON_POLYMER, false, "", 23811 },
	{ "STR", "", "", ResidueType::NON_POLYMER, false, "PROGESTERONE", 23812 },
	{ "STS", "", "", ResidueType::NON_POLYMER, false, "2-[(1S)-1-BENZYL-2-SULFANYLETHYL]-1H-IMIDAZO[4,5-C]PYRIDIN-5-IUM", 23813 },
	{ "STT", "", "", ResidueType::NON_POLYMER, false, "2-(5-methyl-4-oxo-2-thioxo-2,4-dihydro-3H-1lambda~4~,3-thiazol-3-yl)ethanesulfonic acid", 23814 },
	{ "STU", "STO", "", ResidueType::NON_POLYMER, false, "STAUROSPORINE", 23815 },
	{ "STW", "", "", ResidueType::NON_POLYMER, false, "Stachyose", 23816 },
	{ "STX", "", "", ResidueType::NON_POLYMER, false, "1-(5-TERT-BUTYL-1,3,4-OXADIAZOL-2-YL)-2-(METHYLAMINO)ETHANONE", 23817 },
	{ "STY", "", "TYS", ResidueType::PEPTIDE_LINKING, true, "TYROSINE-O-SULPHONIC ACID", 23818 },
	{ "STZ", "", "", ResidueType::NON_POLYMER, false, "STREPTOZOTOCIN", 23819 },
	{ "SU0", "", "", ResidueType::NON_POLYMER, false, "2-(7-methoxy-2-oxo-2H-chromen-4-yl)-N-(4-sulfamoylphenyl)acetamide", 23820 },
	{ "SU1", "", "", ResidueType::NON_POLYMER, false, "3-[(3-(2-CARBOXYETHYL)-4-METHYLPYRROL-2-YL)METHYLENE]-2-INDOLINONE", 23821 },
	{ "SU2", "", "", ResidueType::NON_POLYMER, false, "3-[4-(1-FORMYLPIPERAZIN-4-YL)-BENZYLIDENYL]-2-INDOLINONE", 23822 },
	{ "SU3", "", "", ResidueType::NON_POLYMER, false, "", 23823 },
	{ "SU4", "", "", ResidueType::NON_POLYMER, false, "N-cyclopropyl-4-oxidanyl-N-[(2R)-2-oxidanyl-2-phenyl-propyl]benzenesulfonamide", 23824 },
	{ "SU6", "", "", ResidueType::NON_POLYMER, false, "3-{2,4-dimethyl-5-[(Z)-(2-oxo-1,2-dihydro-3H-indol-3-ylidene)methyl]-1H-pyrrol-3-yl}propanoic acid", 23825 },
	{ "SU8", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-butylbutanedioic acid", 23826 },
	{ "SU9", "", "", ResidueType::NON_POLYMER, false, "(3Z)-3-(1H-IMIDAZOL-5-YLMETHYLENE)-5-METHOXY-1H-INDOL-2(3H)-ONE", 23827 },
	{ "SUA", "", "", ResidueType::NON_POLYMER, false, "(4-SULFAMOYL-PHENYL)-THIOCARBAMIC ACID O-(2-THIOPHEN-3-YL-ETHYL) ESTER", 23828 },
	{ "SUB", "", "", ResidueType::PEPTIDE_LINKING, false, "3-PHENYL-2-{[4-(TOLUENE-4-SULFONYL)-THIOMORPHOLINE-3-CARBONYL]-AMINO}-PROPIONIC ACID ETHYL ESTER", 23829 },
	{ "SUC", "", "", ResidueType::SACCHARIDE, false, "SUCROSE", 23830 },
	{ "SUD", "", "", ResidueType::NON_POLYMER, false, "4-DIPHOSPHOCYTIDYL-2-C-METHYL-D-ERYTHRITOL 2-PHOSPHATE", 23831 },
	{ "SUE", "", "", ResidueType::NON_POLYMER, false, "", 23832 },
	{ "SUF", "", "", ResidueType::NON_POLYMER, false, "[2-(DIMETHYL-LAMBDA~4~-SULFANYL)-1-HYDROXYETHANE-1,1-DIYL]BIS(PHOSPHONIC ACID)", 23833 },
	{ "SUG", "", "", ResidueType::NON_POLYMER, false, "N~2~-(3-CARBOXYPROPANOYL)-L-ARGININE", 23834 },
	{ "SUH", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-methylbutanedioic acid", 23835 },
	{ "SUI", "", "", ResidueType::PEPTIDE_LINKING, false, "(3-AMINO-2,5-DIOXO-1-PYRROLIDINYL)ACETIC ACID", 23836 },
	{ "SUJ", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-2-[(3S,6R)-3-AMINO-6-HYDROXY-2-OXOPIPERIDINYL]-3-HYDROXYBUTANOIC ACID", 23837 },
	{ "SUL", "", "SO4", ResidueType::NON_POLYMER, true, "SULFATE ANION", 23838 },
	{ "SUM", "", "", ResidueType::NON_POLYMER, false, "2-[3,4-DIHYDROXY-2-HYDROXYMETHYL-5-(2-HYDROXY-NONYL)-TETRAHYDRO-FURAN-2-YLOXY]-6-HYDROXYMETHYL-TETRA HYDRO-PYRAN-3,4,5-TRIOL", 23839 },
	{ "SUN", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[(R)-(DIMETHYLAMINO)(ETHOXY)PHOSPHORYL]-L-SERINE", 23840 },
	{ "SUO", "", "", ResidueType::NON_POLYMER, false, "N~2~-(3-CARBOXYPROPANOYL)-L-ORNITHINE", 23841 },
	{ "SUP", "", "", ResidueType::SACCHARIDE, false, "SUCROSE-6-PHOSHPATE", 23842 },
	{ "SUR", "", "", ResidueType::RNA_LINKING, false, "1-(BETA-D-RIBOFURANOSYL)-2-THIO-URACIL-5'-PHOSPHATE", 23843 },
	{ "SUS", "", "", ResidueType::SACCHARIDE_LINKING, false, "2-deoxy-3,6-di-O-sulfo-2-(sulfoamino)-alpha-D-glucopyranose", 23844 },
	{ "SUV", "", "", ResidueType::NON_POLYMER, false, "[(7R)-4-(5-chloro-1,3-benzoxazol-2-yl)-7-methyl-1,4-diazepan-1-yl][5-methyl-2-(2H-1,2,3-triazol-2-yl)phenyl]methanone", 23845 },
	{ "SUW", "", "", ResidueType::NON_POLYMER, false, "ME-A-9-N-(NAPHTHYL-2-CARBONYL)-AMINO-9-DEOXY-NEU5AC", 23846 },
	{ "SUY", "", "", ResidueType::NON_POLYMER, false, "(1R,5S,6s)-3-[5-chloro-6-ethyl-2-(pyrimidin-5-ylsulfanyl)-7H-pyrrolo[2,3-d]pyrimidin-4-yl]-3-azabicyclo[3.1.0]hexan-6-amine", 23847 },
	{ "SUZ", "", "", ResidueType::NON_POLYMER, false, "[(1Z)-5-fluoro-2-methyl-1-{4-[methylsulfinyl]benzylidene}-1H-inden-3-yl]acetic acid", 23848 },
	{ "SV1", "", "", ResidueType::NON_POLYMER, false, "2-phenylethyl 2-(4-azanyl-2-methanoyl-phenyl)ethanoate", 23849 },
	{ "SV2", "", "", ResidueType::NON_POLYMER, false, "[{2-[(guanine-9-yl)methyl]propane-1,3-diyl}bis(oxymethylene)]bis(phosphonic acid) ", 23850 },
	{ "SV6", "", "", ResidueType::PEPTIDE_LIKE, false, "", 23851 },
	{ "SV7", "", "", ResidueType::NON_POLYMER, false, "phenylphosphonic acid", 23852 },
	{ "SVA", "", "", ResidueType::PEPTIDE_LINKING, false, "SERINE VANADATE", 23853 },
	{ "SVB", "", "", ResidueType::NON_POLYMER, false, "N-(4-methylpiperazin-1-yl)-2-[(5Z)-4-oxo-2-thioxo-5-(2,3,6-trichlorobenzylidene)-1,3-thiazolidin-3-yl]acetamide", 23854 },
	{ "SVC", "", "", ResidueType::NON_POLYMER, false, "N-acetyl-L-leucyl-N-[(2S)-5-carbamimidamido-1-hydroxypentan-2-yl]-L-leucinamide", 23855 },
	{ "SVE", "", "", ResidueType::NON_POLYMER, false, "N-(2,6-DIETHYLPHENYL)-1-METHYL-8-({4-[(1-METHYLPIPERIDIN-4-YL)CARBAMOYL]-2-(TRIFLUOROMETHOXY)PHENYL}AMINO)-4,5-DIHYDRO-1H-PYRAZOLO[4,3-H]QUINAZOLINE-3-CARBOXAMIDE", 23856 },
	{ "SVF", "", "", ResidueType::NON_POLYMER, false, "1-[4-[(4-fluorophenyl)methyl]piperidin-1-yl]ethanone", 23857 },
	{ "SVN", "", "", ResidueType::NON_POLYMER, false, "thieno[2,3-b]pyrazin-7-amine", 23858 },
	{ "SVP", "", "", ResidueType::NON_POLYMER, false, "chloro{di-tert-butyl[2-({5-[(3aS,4S,6aR)-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoyl}amino)ethyl]-lambda~5~-phosphanyl}(1-phenylprop-1-ene-1,3-diyl-kappa~2~C~1~,C~3~)palladium", 23859 },
	{ "SVQ", "", "", ResidueType::NON_POLYMER, false, "1-(4-CHLOROPHENETHYL)-2-(2-CHLOROPHENYL)-6-OXOPIPERIDINE-3-CARBOXYLIC ACID", 23860 },
	{ "SVR", "", "", ResidueType::NON_POLYMER, false, "", 23861 },
	{ "SVS", "", "", ResidueType::NON_POLYMER, false, "5'-deoxy-5'-({[2-(2-hydroxyphenyl)ethyl]sulfonyl}amino)adenosine", 23862 },
	{ "SVV", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[(S)-AMINO(HYDROXY)PHOSPHORYL]-L-SERINE", 23863 },
	{ "SVW", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[(R)-AMINO(HYDROXY)PHOSPHORYL]-L-SERINE", 23864 },
	{ "SVX", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[(R)-ETHOXY(METHYL)PHOSPHORYL]-L-SERINE", 23865 },
	{ "SVY", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[BIS(1-METHYLETHOXY)PHOSPHORYL]-L-SERINE", 23866 },
	{ "SVZ", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[(S)-HYDROXY(ISOPROPYLAMINO)PHOSPHORYL]-L-SERINE", 23867 },
	{ "SW1", "", "", ResidueType::NON_POLYMER, false, "1-[2-(thiophen-2-yl)-1,3-thiazol-4-yl]methanamine", 23868 },
	{ "SW2", "", "", ResidueType::NON_POLYMER, false, "1-[3-(1H-pyrrol-1-yl)phenyl]methanamine", 23869 },
	{ "SW3", "", "", ResidueType::NON_POLYMER, false, "1-(1,5-dimethyl-1H-pyrazol-3-yl)methanamine", 23870 },
	{ "SW4", "", "", ResidueType::NON_POLYMER, false, "2-[(1R,2S)-2-[5-[[(2S)-azetidin-2-yl]methoxy]pyridin-3-yl]cyclopropyl]ethanol", 23871 },
	{ "SWA", "", "", ResidueType::NON_POLYMER, false, "1S-8AB-OCTAHYDRO-INDOLIZIDINE-1A,2A,8B-TRIOL", 23872 },
	{ "SWE", "", "", ResidueType::NON_POLYMER, false, "alpha-D-fructofuranosyl alpha-D-glucopyranoside", 23873 },
	{ "SWF", "WRS", "", ResidueType::NON_POLYMER, false, "S-WARFARIN", 23874 },
	{ "SWG", "", "", ResidueType::PEPTIDE_LINKING, false, "2-[(4Z)-2-[(1R)-1-amino-2-hydroxy-ethyl]-4-(1H-indol-3-ylmethylidene)-5-oxo-imidazol-1-yl]ethanoic acid", 23875 },
	{ "SWH", "", "", ResidueType::NON_POLYMER, false, "{4-[(4-{(Z)-[3-(4-FLUOROBENZYL)-2,4-DIOXO-1,3-THIAZOLIDIN-5-YLIDENE]METHYL}PHENOXY)METHYL]PHENYL}(TRIHYDROXY)BORATE(1-)", 23876 },
	{ "SWI", "", "", ResidueType::NON_POLYMER, false, "SWINHOLIDE A", 23877 },
	{ "SWX", "", "", ResidueType::NON_POLYMER, false, "(4-pyrimidin-5-ylphenyl)methanol", 23878 },
	{ "SWY", "", "", ResidueType::NON_POLYMER, false, "2-[3-[[4-(4-methoxyphenyl)-5-pyridin-4-yl-1,2,4-triazol-3-yl]sulfanyl]propyl]benzo[de]isoquinoline-1,3-dione", 23879 },
	{ "SX", "", "", ResidueType::NON_POLYMER, false, "SULFUR OXIDE", 23880 },
	{ "SX0", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-4-({[(2S,3S,4R,5R)-5-(4-amino-5-bromo-7H-pyrrolo[2,3-d]pyrimidin-7-yl)-3,4-dihydroxytetrahydrofuran-2-yl]methyl}sulfanyl)butanoic acid (non-preferred name)", 23881 },
	{ "SX1", "", "", ResidueType::NON_POLYMER, false, "2-amino-5-bromobenzoic acid", 23882 },
	{ "SX2", "", "", ResidueType::NON_POLYMER, false, "4-[(5-bromopyridin-2-yl)amino]-4-oxobutanoic acid", 23883 },
	{ "SX3", "", "", ResidueType::NON_POLYMER, false, "4-bromo-2-{[(3R,5S)-3,5-dimethylpiperidin-1-yl]carbonyl}aniline", 23884 },
	{ "SX4", "", "", ResidueType::NON_POLYMER, false, "4-bromo-2-{[(2R)-2-(2-chlorobenzyl)pyrrolidin-1-yl]carbonyl}aniline", 23885 },
	{ "SX5", "", "", ResidueType::NON_POLYMER, false, "4-[(4-bromo-2-{[(3R,5S)-3,5-dimethylpiperidin-1-yl]carbonyl}phenyl)amino]-4-oxobutanoic acid", 23886 },
	{ "SX6", "", "", ResidueType::NON_POLYMER, false, "N-(4-bromo-2-{[(3R,5S)-3,5-dimethylpiperidin-1-yl]carbonyl}phenyl)-4-morpholin-4-yl-4-oxobutanamide", 23887 },
	{ "SX7", "", "", ResidueType::NON_POLYMER, false, "2-amino-5-[3-(1-ethyl-1H-pyrazol-5-yl)-1H-pyrrolo[2,3-b]pyridin-5-yl]-N,N-dimethylbenzamide", 23888 },
	{ "SX8", "", "", ResidueType::NON_POLYMER, false, "6-{[6-(1-methyl-1H-pyrazol-4-yl)[1,2,4]triazolo[4,3-b]pyridazin-3-yl]sulfanyl}quinoline", 23889 },
	{ "SXA", "", "", ResidueType::NON_POLYMER, false, "THIOACETIC ACID S-{2-[3-(2-HYDROXY-3,3-DIMETHYL-4-PHOSPHONOOXY-BUTYRYLAMINO)-PROPIONYLAMINO]-ETHYL} ESTER", 23890 },
	{ "SXC", "", "", ResidueType::NON_POLYMER, false, "bromo(4-{3-[(R)-ethoxy(4-nitrophenoxy)phosphoryl]propyl}-2,6-bis[(methylsulfanyl-kappaS)methyl]phenyl-kappaC~1~)palladium(2+)", 23891 },
	{ "SXD", "", "", ResidueType::NON_POLYMER, false, "N-{2-[(3,5-dioxohexyl)sulfanyl]ethyl}-N~3~-[(2S)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alaninamide", 23892 },
	{ "SXE", "", "", ResidueType::PEPTIDE_LINKING, false, "O-{(S)-ETHOXY[(1-METHYLETHYL)AMINO]PHOSPHORYL}-L-SERINE", 23893 },
	{ "SXH", "", "", ResidueType::NON_POLYMER, false, "S-[2-({N-[(2S)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alanyl}amino)ethyl] hexanethioate", 23894 },
	{ "SXI", "", "", ResidueType::NON_POLYMER, false, "(3S,4aS,6S,8aR)-6-[3-chloro-2-(1H-tetrazol-5-yl)phenoxy]decahydroisoquinoline-3-carboxylic acid", 23895 },
	{ "SXJ", "", "", ResidueType::NON_POLYMER, false, "(13alpha,18alpha)-2-cyano-3-hydroxy-12-oxooleana-2,9(11)-dien-28-oic acid", 23896 },
	{ "SXK", "", "", ResidueType::NON_POLYMER, false, "", 23897 },
	{ "SXM", "", "", ResidueType::NON_POLYMER, false, "3-{[2-({N-[(2S)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alanyl}amino)ethyl]sulfanyl}-3-oxopropanoic acid", 23898 },
	{ "SXN", "", "", ResidueType::NON_POLYMER, false, "Salinixanthin", 23899 },
	{ "SXO", "", "", ResidueType::NON_POLYMER, false, "S-[2-({N-[(2S)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alanyl}amino)ethyl] octanethioate", 23900 },
	{ "SXR", "", "", ResidueType::NON_POLYMER, false, "N~3~-{(2S)-4-[(dihydroxyphosphanyl)oxy]-2-hydroxy-3,3-dimethylbutanoyl}-N-{2-[(3-oxo-5-phenylpentyl)sulfanyl]ethyl}-beta-alaninamide", 23901 },
	{ "SXS", "", "", ResidueType::NON_POLYMER, false, "6-amino-1,2-benzothiazol-3(2H)-one 1,1-dioxide", 23902 },
	{ "SXV", "", "", ResidueType::NON_POLYMER, false, "N~3~-[(2S)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-N-{2-[(3-oxobutyl)sulfanyl]ethyl}-beta-alaninamide", 23903 },
	{ "SXX", "", "", ResidueType::NON_POLYMER, false, "SINAPINATE", 23904 },
	{ "SXZ", "", "", ResidueType::NON_POLYMER, false, "(2S)-4-({[(2S,3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl]methyl}sulfanyl)-2-[(3-methylbutanoyl)amino]butanoic acid", 23905 },
	{ "SY1", "", "", ResidueType::NON_POLYMER, false, "2-({2-[(3R)-3-AMINOPIPERIDIN-1-YL]-4-OXOQUINAZOLIN-3(4H)-YL}METHYL)BENZONITRILE", 23906 },
	{ "SY2", "", "", ResidueType::NON_POLYMER, false, "N-{[(1S)-2-methyl-1-{[(5S,8S)-5-(1-methylethyl)-2,7-dioxo-1,6-diazacyclododec-3-en-8-yl]carbamoyl}propyl]carbamoyl}-L-valine", 23907 },
	{ "SY9", "", "", ResidueType::NON_POLYMER, false, "STRYCHNINE", 23908 },
	{ "SYC", "", "", ResidueType::NON_POLYMER, false, "(pyridin-2-ylmethyl)phosphonic acid", 23909 },
	{ "SYD", "", "", ResidueType::NON_POLYMER, false, "[(5-phenylpyridin-2-yl)methyl]phosphonic acid", 23910 },
	{ "SYE", "", "", ResidueType::NON_POLYMER, false, "(quinolin-2-ylmethyl)phosphonic acid", 23911 },
	{ "SYM", "", "", ResidueType::NON_POLYMER, false, "2S,4R-4-METHYLGLUTAMATE", 23912 },
	{ "SYN", "", "", ResidueType::NON_POLYMER, false, "ethenylbenzene", 23913 },
	{ "SYO", "", "", ResidueType::NON_POLYMER, false, "[(3S)-3-hydroxy-2,2-dimethyl-4-oxo-4-[[3-oxo-3-[2-(3-oxooctylsulfanyl)ethylamino]propyl]amino]butyl] dihydrogen phosphate", 23914 },
	{ "SYP", "", "", ResidueType::NON_POLYMER, false, "N-[2-({6-[(2-sulfanylethyl)amino]pyrimidin-4-yl}amino)ethyl]propanamide", 23915 },
	{ "SYR", "", "", ResidueType::NON_POLYMER, false, "SYRINGATE", 23916 },
	{ "SYS", "", "", ResidueType::PEPTIDE_LINKING, false, "3-[(2-amino-2-oxoethyl)selanyl]-L-alanine", 23917 },
	{ "SYY", "", "", ResidueType::NON_POLYMER, false, "methyl 3-[(thiophen-2-ylacetyl)amino]thiophene-2-carboxylate", 23918 },
	{ "SZ0", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S,4R)-1-[(2R,3S)-3-amino-2-hydroxy-4-phenylbutyl]-4-(pyridin-4-ylsulfonyl)piperidine-2-carboxylic acid", 23919 },
	{ "SZ1", "", "", ResidueType::NON_POLYMER, false, "cycloheptanamine", 23920 },
	{ "SZ3", "", "", ResidueType::NON_POLYMER, false, "trans-4-aminocyclohexanol", 23921 },
	{ "SZ4", "", "", ResidueType::NON_POLYMER, false, "1-(3-methoxyphenyl)methanamine", 23922 },
	{ "SZ5", "", "", ResidueType::NON_POLYMER, false, "2-(4-METHYLPHENYL)-3,4-DIHYDROQUINAZOLIN-4-ONE", 23923 },
	{ "SZ6", "", "", ResidueType::NON_POLYMER, false, "N-[4-(2-chloro-5-methylpyrimidin-4-yl)phenyl]-N-(4-{[(difluoroacetyl)amino]methyl}benzyl)-2,4-dihydroxybenzamide", 23924 },
	{ "SZ8", "", "", ResidueType::NON_POLYMER, false, "methyl (4R)-4-amino-1-methyl-L-prolinate", 23925 },
	{ "SZ9", "", "", ResidueType::NON_POLYMER, false, "1-(2,5-dimethylfuran-3-yl)methanamine", 23926 },
	{ "SZC", "", "", ResidueType::NON_POLYMER, false, "N-cyclopentyl-2-[4-(trifluoromethyl)phenyl]-3H-benzimidazole-4-sulfonamide", 23927 },
	{ "SZH", "", "", ResidueType::NON_POLYMER, false, "(2S,6E)-8-{[(R)-hydroxy(phosphonooxy)phosphoryl]oxy}-2,6-dimethyloct-6-en-1-yl (2S)-3,3,3-trifluoro-2-hydrazinopropanoate", 23928 },
	{ "SZL", "", "", ResidueType::NON_POLYMER, false, "6-METHOXY-9H-PURINE", 23929 },
	{ "SZZ", "", "", ResidueType::NON_POLYMER, false, "Sinigrin", 23930 },
	{ "T", "", "DT", ResidueType::DNA_LINKING, true, "THYMIDINE-5'-MONOPHOSPHATE", 23931 },
	{ "T00", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2R,3S)-3-amino-2-hydroxy-4-phenylbutyl]-L-phenylalanine", 23932 },
	{ "T01", "", "", ResidueType::NON_POLYMER, false, "N-(4-fluorobenzoyl)-L-gamma-glutamyl-O-[(S)-{[(1S)-1,3-dicarboxypropyl]amino}(hydroxy)phosphoryl]-L-serine", 23933 },
	{ "T03", "", "", ResidueType::NON_POLYMER, false, "3-[(4-fluorobenzyl)sulfanyl]-4H-1,2,4-triazole", 23934 },
	{ "T04", "", "", ResidueType::NON_POLYMER, false, "2-[[2-fluoro-5-[[[4-[(Z)-(4-oxo-2-sulfanylidene-1,3-thiazolidin-5-ylidene)methyl]phenyl]amino]methyl]phenyl]carbonylamino]pentanedioic acid", 23935 },
	{ "T05", "", "", ResidueType::NON_POLYMER, false, "4-{[(3S)-3-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)piperidin-1-yl]sulfonyl}-2-(3-methylphenoxy)benzoic acid", 23936 },
	{ "T07", "", "", ResidueType::NON_POLYMER, false, "5-[(2,4-dichlorobenzyl)sulfanyl]-4H-1,2,4-triazol-3-amine", 23937 },
	{ "T08", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-{4-[2-(4-{[(2R)-2-hydroxy-3,3-dimethylbutyl]oxy}-3-methylphenyl)propan-2-yl]-2-methylphenoxy}propane-1,2-diol", 23938 },
	{ "T0E", "", "", ResidueType::NON_POLYMER, false, "5-[(3S,4R)-3-{[(2H-1,3-benzodioxol-5-yl)oxy]methyl}piperidin-4-yl]-2-fluoro-N-[(1H-pyrazol-5-yl)methyl]benzamide", 23939 },
	{ "T0I", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-3-(2,4-dihydroxy-5-imidazol-1-yl-phenyl)propanoic acid", 23940 },
	{ "T0M", "", "EMT", ResidueType::NON_POLYMER, true, "Thiomersal", 23941 },
	{ "T0R", "", "", ResidueType::NON_POLYMER, false, " Toremifene", 23942 },
	{ "T0T", "", "", ResidueType::DNA_LINKING, false, "(1R)-1-{4-[(E)-2-(2-aminophenyl)ethenyl]phenyl}-1,4-anhydro-2-deoxy-5-O-phosphonato-D-erythro-pentitol", 23943 },
	{ "T10", "", "", ResidueType::NON_POLYMER, false, "[1-(1-BENZYL-3-HYDROXY-2-OXO-PROPYLCARBAMOYL)-2-PHENYL-ETHYL]-CARBAMIC ACID BENZYL ESTER", 23944 },
	{ "T11", "", "", ResidueType::PEPTIDE_LINKING, false, "4-[3-(TRIFLUOROMETHYL)DIAZIRIDIN-3-YL]-L-PHENYLALANINE", 23945 },
	{ "T12", "", "", ResidueType::NON_POLYMER, false, "1-(3-HYDROXYPROPYL)-2-[(3-NITROBENZOYL)AMINO]-1H-BENZIMIDAZOL-5-YL PIVALATE", 23946 },
	{ "T13", "", "", ResidueType::NON_POLYMER, false, "2,3,4,5,6-pentafluoro-N-(3-fluoro-4-methoxyphenyl)benzenesulfonamide", 23947 },
	{ "T15", "", "", ResidueType::NON_POLYMER, false, "2-{3-[(benzylsulfonyl)amino]-6-methyl-2-oxopyridin-1(2H)-yl}-N-({1-[2-(tert-butylamino)-2-oxoethyl]-4-methyl-1H-imidazol-5-yl}methyl)acetamide", 23948 },
	{ "T16", "", "", ResidueType::NON_POLYMER, false, "BOROLOG2", 23949 },
	{ "T17", "", "", ResidueType::NON_POLYMER, false, "", 23950 },
	{ "T18", "", "", ResidueType::NON_POLYMER, false, "N-{3-[6-fluoro-1-(4-fluorobenzyl)-4-hydroxy-2-oxo-1,2-dihydroquinolin-3-yl]-1,1-dioxido-4H-1,4-benzothiazin-7-yl}methanesulfonamide", 23951 },
	{ "T19", "", "", ResidueType::PEPTIDE_LIKE, false, "PHENYLMETHYLENECARBOXY-(METHYLENEAMINO-FORMYL-DIPHENYLMETHYL)METHY-PRO-BOROVAL", 23952 },
	{ "T1A", "", "", ResidueType::NON_POLYMER, false, "TETRAETHYLARSONIUM ION", 23953 },
	{ "T1C", "", "", ResidueType::NON_POLYMER, false, "TIGECYCLINE", 23954 },
	{ "T1D", "", "", ResidueType::NON_POLYMER, false, "5-(4-METHOXYBIPHENYL-3-YL)-1,2,5-THIADIAZOLIDIN-3-ONE 1,1-DIOXIDE", 23955 },
	{ "T1G", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-3-HYDROXY-2-METHYLBUTANOYL-COA", 23956 },
	{ "T1N", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[6-(methylsulfanyl)naphthalen-2-yl]propanoic acid", 23957 },
	{ "T1P", "", "", ResidueType::NON_POLYMER, false, "3-{2,6,8-TRIOXO-9-[(2R,3S,4R)-2,3,4,5-TETRAHYDROXYPENTYL]-1,2,3,6,8,9-HEXAHYDRO-7H-PURIN-7-YL}PROPYL DIHYDROGEN PHOSPHATE", 23958 },
	{ "T1Q", "", "", ResidueType::NON_POLYMER, false, "N-(2,4-difluoro-3-{2-[(3-hydroxypropyl)amino]-8-methyl-7-oxo-7,8-dihydropyrido[2,3-d]pyrimidin-6-yl}phenyl)propane-1-sulfonamide", 23959 },
	{ "T20", "", "", ResidueType::NON_POLYMER, false, "3-nitro-N-[1-phenyl-5-(piperidin-1-ylmethyl)-1H-benzimidazol-2-yl]benzamide", 23960 },
	{ "T21", "", "", ResidueType::NON_POLYMER, false, "2-[3-(trifluoromethyl)phenyl]furo[3,2-c]pyridin-4(5H)-one", 23961 },
	{ "T22", "", "", ResidueType::NON_POLYMER, false, "2-({6-[(3R)-3-aminopiperidin-1-yl]-3-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl}methyl)benzonitrile", 23962 },
	{ "T23", "MEP", "", ResidueType::RNA_LINKING, false, "2'-O-METHYL-3'-METHYL-3'-DEOXY-ARABINOFURANOSYL-THYMINE-5'-PHOSPHATE", 23963 },
	{ "T24", "", "", ResidueType::NON_POLYMER, false, "(9Z,11E,13S,15Z)-13-hydroxyoctadeca-9,11,15-trienoic acid", 23964 },
	{ "T25", "", "", ResidueType::NON_POLYMER, false, "(9Z)-11-[(2R,3S)-3-pentyloxiran-2-yl]undec-9-enoic acid", 23965 },
	{ "T26", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[[3-[[4-[(Z)-(4-OXO-2-SULFANYLIDENE-1,3-THIAZOLIDIN-5-YLIDENE)METHYL]PHENYL]METHYLAMINO]PHENYL]CARBONYLAMINO]PENTANEDIOIC ACID", 23966 },
	{ "T27", "", "", ResidueType::NON_POLYMER, false, "4-{[4-({4-[(E)-2-cyanoethenyl]-2,6-dimethylphenyl}amino)pyrimidin-2-yl]amino}benzonitrile", 23967 },
	{ "T28", "", "", ResidueType::NON_POLYMER, false, "11-bromo-5,6,7,8-tetrahydropyrimido[4',5':3,4]cyclohepta[1,2-b]indol-2-amine", 23968 },
	{ "T29", "", "", ResidueType::NON_POLYMER, false, "TRI166 (BIFUNCTIONAL BORONATE INHIBITOR)", 23969 },
	{ "T2A", "", "", ResidueType::NON_POLYMER, false, "5-methyl-7-phenyl-N-(3,4,5-trimethoxyphenyl)imidazo[5,1-f][1,2,4]triazin-2-amine", 23970 },
	{ "T2B", "", "", ResidueType::NON_POLYMER, false, "4-{4-[(2S)-2-amino-3-hydroxypropyl]-2,6-diiodophenoxy}phenol", 23971 },
	{ "T2D", "", "", ResidueType::NON_POLYMER, false, "1,2,5-THIADIAZOLIDIN-3-ONE-1,1-DIOXIDE", 23972 },
	{ "T2M", "", "", ResidueType::NON_POLYMER, false, "TERT-BUTYL 2-CYANO-2-METHYLHYDRAZINECARBOXYLATE", 23973 },
	{ "T2P", "", "", ResidueType::NON_POLYMER, false, "3-{2,6,8-TRIOXO-9-[(2S,3R,4R)-2,3,4,5-TETRAHYDROXYPENTYL]-1,2,3,6,8,9-HEXAHYDRO-7H-PURIN-7-YL}PROPYL DIHYDROGEN PHOSPHATE", 23974 },
	{ "T2S", "", "", ResidueType::RNA_LINKING, false, "THYMIDINE-5'-DITHIOPHOSPHORATE", 23975 },
	{ "T2T", "", "", ResidueType::RNA_LINKING, false, "", 23976 },
	{ "T3", "", "", ResidueType::NON_POLYMER, false, "3,5,3'TRIIODOTHYRONINE", 23977 },
	{ "T30", "", "", ResidueType::NON_POLYMER, false, "3-[1-(4-fluorophenyl)cyclopropyl]-4-(1-methylethyl)-5-[4-(trifluoromethoxy)phenyl]-4H-1,2,4-triazole", 23978 },
	{ "T31", "", "U37", ResidueType::RNA_LINKING, true, "", 23979 },
	{ "T32", "", "", ResidueType::DNA_LINKING, false, "", 23980 },
	{ "T33", "", "", ResidueType::NON_POLYMER, false, "3,3'-DEIODO-THYROXINE", 23981 },
	{ "T35", "", "", ResidueType::NON_POLYMER, false, "2-[4-[5-[(1~{S})-1-[(3,5-dimethoxyphenyl)carbamoyl-(phenylmethyl)carbamoyl]oxypropyl]-1,2-oxazol-3-yl]phenoxy]-2-methyl-propanoic acid", 23982 },
	{ "T36", "", "5PY", ResidueType::DNA_LINKING, true, "", 23983 },
	{ "T37", "", "NYM", ResidueType::DNA_LINKING, true, "", 23984 },
	{ "T38", "", "", ResidueType::RNA_LINKING, false, "", 23985 },
	{ "T39", "", "", ResidueType::RNA_LINKING, false, "", 23986 },
	{ "T3A", "", "", ResidueType::NON_POLYMER, false, "N-(TRIS(HYDROXYMETHYL)METHYL)-3-AMINOPROPANESULFONIC ACID", 23987 },
	{ "T3C", "", "", ResidueType::NON_POLYMER, false, "2-[[3-(1,4-diazepan-1-yl)phenyl]amino]-4-[4-methyl-2-(methylamino)-1,3-thiazol-5-yl]pyrimidine-5-carbonitrile", 23988 },
	{ "T3E", "", "", ResidueType::NON_POLYMER, false, "3-[[5-cyano-4-[4-methyl-2-(methylamino)-1,3-thiazol-5-yl]pyrimidin-2-yl]amino]benzenesulfonamide", 23989 },
	{ "T3F", "", "", ResidueType::NON_POLYMER, false, "(3R,4S,5R,6R)-4-amino-3,5-dihydroxy-6-methyloxan-2-yl][hydroxy-[[(2R,3S,5R)-3-hydroxy-5-(5-methyl-2,4-dioxopyrimidin-1-yl)oxolan-2-yl]methoxy]phosphoryl] hydrogen phosphate", 23990 },
	{ "T3M", "", "", ResidueType::NON_POLYMER, false, "4-[3-amino-6-(3,4,5-trimethoxyphenyl)pyrazin-2-yl]benzoic acid", 23991 },
	{ "T3O", "", "", ResidueType::NON_POLYMER, false, "4-[(1S,2R,5S)-4,4,8-TRIMETHYL-3-OXABICYCLO[3.3.1]NON-7-EN-2-YL]PHENOL", 23992 },
	{ "T3P", "", "", ResidueType::DNA_LINKING, false, "THYMIDINE-3'-PHOSPHATE", 23993 },
	{ "T3Q", "", "", ResidueType::NON_POLYMER, false, "[(3R,4S,5S,6R)-4-amino-3,5-dihydroxy-6-methyloxan-2-yl][hydroxy-[[(2R,3S,5R)-3-hydroxy-5-(5-methyl-2,4-dioxopyrimidin-1-yl)oxolan-2-yl]methoxy]phosphoryl] hydrogen phosphate", 23994 },
	{ "T3S", "", "", ResidueType::NON_POLYMER, false, "5'-deoxy-5'-piperidin-1-ylthymidine", 23995 },
	{ "T3Y", "", "", ResidueType::NON_POLYMER, false, "25,26,27,28-tetrahydroxypentacyclo[19.3.1.1~3,7~.1~9,13~.1~15,19~]octacosa-1(25),3(28),4,6,9(27),10,12,15(26),16,18,21,23-dodecaene-5,11,17,23-tetrasulfonic acid", 23996 },
	{ "T40", "", "", ResidueType::NON_POLYMER, false, "5-methyl-3-[4-(piperazin-1-ylmethyl)phenyl]isoquinolin-1(2H)-one", 23997 },
	{ "T41", "", "", ResidueType::RNA_LINKING, false, "", 23998 },
	{ "T42", "", "", ResidueType::PEPTIDE_LIKE, false, "MORPHOLINO-DIPHENYLALANINE-METHOXYPROPYLBORONIC ACID", 23999 },
	{ "T44", "", "", ResidueType::NON_POLYMER, false, "3,5,3',5'-TETRAIODO-L-THYRONINE", 24000 },
	{ "T45", "", "", ResidueType::NON_POLYMER, false, "METHYL 2H-1,2,3-TRIAZOLE-4-CARBOXYLATE", 24001 },
	{ "T46", "", "", ResidueType::NON_POLYMER, false, "dTDP-4-keto-6-deoxyglucose", 24002 },
	{ "T48", "", "", ResidueType::DNA_LINKING, false, "", 24003 },
	{ "T49", "", "", ResidueType::DNA_LINKING, false, "", 24004 },
	{ "T4A", "", "", ResidueType::NON_POLYMER, false, "", 24005 },
	{ "T4B", "", "", ResidueType::NON_POLYMER, false, "", 24006 },
	{ "T4E", "", "", ResidueType::NON_POLYMER, false, "4-(3-amino-5-phenyl-1,2,4-triazin-6-yl)-2-chlorophenol", 24007 },
	{ "T4F", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-6-azanyl-2-[[(2~{S})-3-cyclohexyl-1-oxidanylidene-1-[[(1~{R},2~{S},4~{R})-1,7,7-trimethyl-2-bicyclo[2.2.1]heptanyl]amino]propan-2-yl]sulfamoylamino]hexanoic acid", 24008 },
	{ "T4G", "", "", ResidueType::NON_POLYMER, false, "6-(2,6-dimethylpyridin-4-yl)-5-phenyl-1,2,4-triazin-3-amine", 24009 },
	{ "T4K", "", "", ResidueType::NON_POLYMER, false, "", 24010 },
	{ "T4P", "", "", ResidueType::NON_POLYMER, false, "3-{2,6,8-TRIOXO-9-[(2R,3R,4R)-2,3,4,5-TETRAHYDROXYPENTYL]-1,2,3,6,8,9-HEXAHYDRO-7H-PURIN-7-YL}PROPYL DIHYDROGEN PHOSPHATE", 24011 },
	{ "T4S", "", "", ResidueType::DNA_LINKING, false, "1-(2-DEOXY-5-O-PHOSPHONO-BETA-D-ERYTHRO-PENTOFURANOSYL)-4-HYDROSELENO-5-METHYLPYRIMIDIN-2(1H)-ONE", 24012 },
	{ "T50", "", "", ResidueType::NON_POLYMER, false, "1-(2,6-DIFLUOROBENZYL)-2-(2,6-DIFLUOROPHENYL)-4-METHYL-1H-BENZIMIDAZOLE", 24013 },
	{ "T51", "", "", ResidueType::NON_POLYMER, false, "N-[2-({2-[({4-[(4-methylpiperazin-1-yl)methyl]benzoyl}amino)methyl]benzyl}oxy)phenyl]-3-nitrobenzamide", 24014 },
	{ "T53", "", "", ResidueType::NON_POLYMER, false, "N-[2-({3-[({4-[(4-methylpiperazin-1-yl)methyl]benzoyl}amino)methyl]benzyl}oxy)phenyl]-3-nitrobenzamide", 24015 },
	{ "T55", "", "", ResidueType::NON_POLYMER, false, "8-METHYLNONANOIC ACID", 24016 },
	{ "T57", "", "", ResidueType::NON_POLYMER, false, "N-{6-[(4-fluorobenzoyl)amino]hexanoyl}-L-gamma-glutamyl-5-{[(S)-{[(1S)-1,3-dicarboxypropyl]amino}(hydroxy)phosphoryl]oxy}-L-norvaline", 24017 },
	{ "T5A", "", "", ResidueType::NON_POLYMER, false, "P1-(5'-ADENOSYL)P5-(5'-THYMIDYL)PENTAPHOSPHATE", 24018 },
	{ "T5C", "", "", ResidueType::NON_POLYMER, false, "2-{(1E,3Z,5E,7E)-7-[3,3-DIMETHYL-5-SULFO-1-(2-SULFOETHYL)-1,3-DIHYDRO-2H-INDOL-2-YLIDENE]-4-METHYLHEPTA-1,3,5-TRIEN-1-YL}-3,3-DIMETHYL-5-SULFO-1-(2-SULFOETHYL)-3H-INDOLIUM", 24019 },
	{ "T5E", "", "", ResidueType::NON_POLYMER, false, "2,7-bis[4-(4-methylpiperazin-1-yl)butyl]-4,9-bis{[4-(4-methylpiperazin-1-yl)butyl]amino}benzo[lmn][3,8]phenanthroline-1,3,6,8(2H,7H)-tetrone", 24020 },
	{ "T5F", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-[[(2~{S})-1-(1-adamantylamino)-3-cyclohexyl-1-oxidanylidene-propan-2-yl]sulfamoylamino]-6-azanyl-hexanoic acid", 24021 },
	{ "T5J", "", "", ResidueType::NON_POLYMER, false, "2-(3-fluoro-4-methyl-anilino)-4-methyl-quinolin-5-ol", 24022 },
	{ "T5K", "", "", ResidueType::NON_POLYMER, false, "", 24023 },
	{ "T5M", "", "", ResidueType::NON_POLYMER, false, "2-TERT-BUTYL-4-(1,3-DIHYDRO-2H-ISOINDOL-2-YLCARBONYL)PHENOL", 24024 },
	{ "T5O", "", "", ResidueType::DNA_LINKING, false, "", 24025 },
	{ "T5P", "", "", ResidueType::NON_POLYMER, false, "3-{2,6,8-TRIOXO-9-[(2S,3S,4R)-2,3,4,5-TETRAHYDROXYPENTYL]-1,2,3,6,8,9-HEXAHYDRO-7H-PURIN-7-YL}PROPYL DIHYDROGEN PHOSPHATE", 24026 },
	{ "T5S", "", "", ResidueType::DNA_LINKING, false, "", 24027 },
	{ "T5X", "", "", ResidueType::NON_POLYMER, false, "2-C-{3-[(4-amino-2-methylpyrimidin-5-yl)methyl]-5-(2-{[(R)-hydroxy(phosphonooxy)phosphoryl]oxy}ethyl)-4-methyl-1,3-thiazol-3-ium-2-yl}-5-O-phosphono-D-xylitol", 24028 },
	{ "T62", "", "", ResidueType::NON_POLYMER, false, "5-(2-amino-[1,2,4]triazolo[1,5-c]quinazolin-5-ylmethyl)-benzene-1,3-diol", 24029 },
	{ "T64", "", "", ResidueType::DNA_LINKING, false, "(6-4)photoproduct", 24030 },
	{ "T65", "", "", ResidueType::NON_POLYMER, false, "2-[E-(E-2-oxidanylidenehexadec-5-enylidene)amino]ethanoic acid", 24031 },
	{ "T66", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINOETHYLLYSINE-CARBONYLMETHYLENE-THYMINE", 24032 },
	{ "T68", "", "", ResidueType::NON_POLYMER, false, "N-[(pyridin-2-ylcarbonyl)carbamoyl]-beta-D-glucopyranosylamine", 24033 },
	{ "T6A", "", "", ResidueType::RNA_LINKING, false, "N-[N-(9-B-D-RIBOFURANOSYLPURIN-6-YL)CARBAMOYL]THREONINE-5'-MONOPHOSPHATE", 24034 },
	{ "T6C", "", "", ResidueType::NON_POLYMER, false, "2,4,6-trichlorophenol", 24035 },
	{ "T6E", "", "", ResidueType::NON_POLYMER, false, "1-[4-(4-aminothieno[2,3-d]pyrimidin-5-yl)phenyl]-3-[2-fluoro-5-(trifluoromethyl)phenyl]urea", 24036 },
	{ "T6F", "", "", ResidueType::NON_POLYMER, false, "2-C-{3-[(4-amino-2-methylpyrimidin-5-yl)methyl]-5-(2-{[(R)-hydroxy(phosphonooxy)phosphoryl]oxy}ethyl)-4-methyl-1,3-thiazol-3-ium-2-yl}-6-O-phosphono-D-glucitol", 24037 },
	{ "T6K", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4R,6R)-3,4-dihydroxy-6-methyl-5-oxotetrahydro-2H-pyran-2-yl {(2R,3S,5R)-3-hydroxy-5-[(5R)-5-methyl-2,4-dioxotetrahydropyrimidin-1(2H)-yl]tetrahydrofuran-2-yl}methyl dihydrogen diphosphate", 24038 },
	{ "T6P", "", "", ResidueType::SACCHARIDE, false, "Trehalose-6-phosphate", 24039 },
	{ "T6Q", "", "", ResidueType::NON_POLYMER, false, "2-[[3-(4-ethanoyl-1,4-diazepan-1-yl)phenyl]amino]-4-[4-methyl-2-(methylamino)-1,3-thiazol-5-yl]pyrimidine-5-carbonitrile", 24040 },
	{ "T6T", "", "", ResidueType::SACCHARIDE, false, "alpha-D-tagatopyranose", 24041 },
	{ "T73", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,4S)-1,7,7-trimethylbicyclo[2.2.1]heptan-2-yl 4-hydroxybenzoate", 24042 },
	{ "T74", "", "", ResidueType::NON_POLYMER, false, "N~3~-(2,6-dimethylphenyl)-1-(3-methoxy-3-methylbutyl)-N~6~-(4-piperazin-1-ylphenyl)-1H-pyrazolo[3,4-d]pyrimidine-3,6-diamine", 24043 },
	{ "T75", "", "", ResidueType::NON_POLYMER, false, "TAK-715", 24044 },
	{ "T76", "", "", ResidueType::NON_POLYMER, false, "(6R,21AS)-17-CHLORO-6-CYCLOHEXYL-2,3,6,7,10,11,19,20-OCTAHYDRO-1H,5H-PYRROLO[1,2-K][1,4,8,11,14]BENZOXATETRAAZA-CYCLOHEPTADECINE-5,8,12,21(9H,13H,21AH)-TETRONE", 24045 },
	{ "T77", "", "", ResidueType::NON_POLYMER, false, "6-{4-[2-(dimethylamino)ethoxy]phenyl}-N-(1,3-dithiolan-2-ylmethyl)-5-phenyl-7H-pyrrolo[2,3-d]pyrimidin-4-amine", 24046 },
	{ "T7M", "", "", ResidueType::NON_POLYMER, false, "(2R)-1-(heptadecanoyloxy)-3-{[(R)-hydroxy{[(1R,2R,3R,4R,5S,6R)-2,3,5,6-tetrahydroxy-4-(phosphonooxy)cyclohexyl]oxy}phosphoryl]oxy}propan-2-yl (5Z,8Z,11Z,14Z)-icosa-5,8,11,14-tetraenoate", 24047 },
	{ "T7O", "", "", ResidueType::NON_POLYMER, false, "3-[3-(acetyloxymethyl)phenyl]benzoic acid", 24048 },
	{ "T7X", "", "", ResidueType::NON_POLYMER, false, "Phosphatidylinositol", 24049 },
	{ "T7Z", "", "", ResidueType::NON_POLYMER, false, "4-(4-methyl-2-methylimino-3H-1,3-thiazol-5-yl)-2-[(4-methyl-3-morpholin-4-ylsulfonyl-phenyl)amino]pyrimidine-5-carbonitrile", 24050 },
	{ "T80", "", "", ResidueType::NON_POLYMER, false, "METHYLPENTA(OXYETHYL) HEPTADECANOATE", 24051 },
	{ "T87", "", "", ResidueType::NON_POLYMER, false, "[(1-{2[(4-CARBAMIMIDOYL-PHENYLAMINO)-METHYL]-1-METHYL-1H-BENZOIMIDAZOL-5-YL}-CYCLOPROPYL)-PYRIDIN-2-YL-METHYLENEAMINOOXY]-ACETIC ACID ETHYL ESTER", 24052 },
	{ "T8B", "", "", ResidueType::NON_POLYMER, false, "Thermorubin", 24053 },
	{ "T8G", "", "", ResidueType::NON_POLYMER, false, "(2~{S},3~{R},4~{R})-4-(2-cyclohexyloxy-2-oxidanylidene-ethyl)sulfanyl-3-methyl-2-[(2~{S},3~{R})-3-oxidanyl-1-oxidanylidene-butan-2-yl]-3,4-dihydro-2~{H}-pyrrole-5-carboxylic acid", 24054 },
	{ "T8L", "", "", ResidueType::PEPTIDE_LINKING, false, "Thio-phosohothreonine", 24055 },
	{ "T8N", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-(2-methoxy-2-oxoethyl)but-2-enedioic acid", 24056 },
	{ "T8T", "", "", ResidueType::NON_POLYMER, false, "2'-deoxyguanosine-5'-O-(1-thiotriphosphate)", 24057 },
	{ "T8X", "", "", ResidueType::NON_POLYMER, false, "2-O-sulfo-alpha-D-glucopyranosyl 2-O-hexadecanoyl-3-O-[(2E,4S,6S,8S)-2,4,6,8-tetramethyltetracos-2-enoyl]-alpha-D-glucopyranoside", 24058 },
	{ "T92", "", "", ResidueType::NON_POLYMER, false, "2-[(5-chloro-2-{[4-(4-methylpiperazin-1-yl)phenyl]amino}pyrimidin-4-yl)amino]phenyl prop-2-enoate", 24059 },
	{ "T94", "", "", ResidueType::NON_POLYMER, false, "1-(3,4,5-trihydroxyphenyl)nonan-1-one", 24060 },
	{ "T95", "", "", ResidueType::NON_POLYMER, false, "N-(2,6-dimethylphenyl)-4-(2-ethoxyphenoxy)-2-({4-[4-(2-hydroxyethyl)piperazin-1-yl]phenyl}amino)pyrimidine-5-carboxamide", 24061 },
	{ "T98", "", "", ResidueType::NON_POLYMER, false, "5-(4,4-DIMETHYL-2-THIOXO-1,4-DIHYDRO-2H-3,1-BENZOXAZIN-6-YL)-1-METHYL-1H-PYRROLE-2-CARBONITRILE", 24062 },
	{ "T99", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE-5'-SP-ALPHA-THIO-TRIPHOSPHATE", 24063 },
	{ "T9H", "", "", ResidueType::NON_POLYMER, false, "2-fluoranyl-N-[(2R)-3-(1H-indol-3-yl)-1-oxidanylidene-1-(pyridin-4-ylamino)propan-2-yl]-4-(4-thiophen-2-ylsulfonylpiperazin-1-yl)benzamide", 24064 },
	{ "T9N", "", "", ResidueType::NON_POLYMER, false, "2-[(3-hydroxyphenyl)amino]-4-[4-methyl-2-(methylamino)-1,3-thiazol-5-yl]pyrimidine-5-carbonitrile", 24065 },
	{ "T9T", "", "", ResidueType::NON_POLYMER, false, "triphenylstannanyl", 24066 },
	{ "TA0", "", "", ResidueType::NON_POLYMER, false, "Tantalum", 24067 },
	{ "TA1", "", "", ResidueType::NON_POLYMER, false, "TAXOL", 24068 },
	{ "TA2", "", "", ResidueType::NON_POLYMER, false, "(2R,3S)-3-AMINO-3-PHENYLPROPANE-1,2-DIOL", 24069 },
	{ "TA3", "", "", ResidueType::DNA_LINKING, false, "(4S,5R)-3-(2-DEOXY-5-O-PHOSPHONO-BETA-D-ERYTHRO-PENTOFURANOSYL)-5-METHYL-1,3-DIAZABICYCLO[2.2.0]HEXAN-2-ONE", 24070 },
	{ "TA4", "", "", ResidueType::PEPTIDE_LINKING, false, "(S)-2-[4-(AMINOMETHYL)-1H-1,2,3-TRIAZOL-1-YL]-4-METHYLPENTANOIC ACID", 24071 },
	{ "TA5", "", "", ResidueType::NON_POLYMER, false, "2H-1,2,3-TRIAZOL-4-YLMETHANOL", 24072 },
	{ "TA6", "", "", ResidueType::NON_POLYMER, false, "6-O-PHOSPHONO-BETA-D-TAGATOFURANOSE", 24073 },
	{ "TA7", "", "", ResidueType::NON_POLYMER, false, "4,4,4-trifluoro-1-(4-methoxyphenyl)butane-1,3-dione", 24074 },
	{ "TA8", "", "", ResidueType::NON_POLYMER, false, "POLYACRYLIC ACID", 24075 },
	{ "TA9", "", "", ResidueType::NON_POLYMER, false, "9-oxo-N-[[(2R,3R,4R,5R,6S)-3,4,5-trihydroxy-6-methyl-piperidin-2-yl]methyl]fluorene-1-carboxamide", 24076 },
	{ "TAA", "", "", ResidueType::NON_POLYMER, false, "[4-(2,2,2-TRIFLUORO-ACETYLAMINO)-BENZYL]-PHOSPHONIC ACID MONO-[2-(2,2-DICHLORO-1-HYDROXY-ETHYLAMINO)-3-HYDROXY-1-(4-NITRO-PHENYL)-PROPYL] ESTER", 24077 },
	{ "TAB", "", "", ResidueType::NON_POLYMER, false, "ACETIC ACID N-[2-CHLORO-5-[6-ETHYL-2,4-DIAMINO-PYRIMID-5-YL]-PHENYL]-[BENZYL-TRIAZEN-3-YL]ETHYL ESTER", 24078 },
	{ "TAC", "", "", ResidueType::NON_POLYMER, false, "TETRACYCLINE", 24079 },
	{ "TAD", "", "", ResidueType::NON_POLYMER, false, "BETA-METHYLENE-THIAZOLE-4-CARBOXYAMIDE-ADENINE DINUCLEOTIDE", 24080 },
	{ "TAE", "", "", ResidueType::NON_POLYMER, false, "N1-[(E)-4-DIHYDROXYPHOSPHONYL-BUT-2-ENYL]-THYMINE", 24081 },
	{ "TAF", "", "", ResidueType::DNA_LINKING, false, "", 24082 },
	{ "TAG", "", "", ResidueType::SACCHARIDE, false, "D-tagatose", 24083 },
	{ "TAJ", "", "", ResidueType::NON_POLYMER, false, "taccalonolide AJ", 24084 },
	{ "TAK", "", "", ResidueType::NON_POLYMER, false, "6-[4-(2-piperidin-1-ylethoxy)phenyl]-3-pyridin-4-ylpyrazolo[1,5-a]pyrimidine", 24085 },
	{ "TAL", "", "", ResidueType::RNA_LINKING, false, "9-(6-DEOXY-ALPHA-L-TALOFURANOSYL)-6-METHYLPURINE", 24086 },
	{ "TAM", "", "", ResidueType::NON_POLYMER, false, "TRIS(HYDROXYETHYL)AMINOMETHANE", 24087 },
	{ "TAN", "", "", ResidueType::NON_POLYMER, false, "2,2-dimethylpropanenitrile", 24088 },
	{ "TAO", "", "", ResidueType::NON_POLYMER, false, "TROLEANDOMYCIN", 24089 },
	{ "TAP", "", "", ResidueType::NON_POLYMER, false, "7-THIONICOTINAMIDE-ADENINE-DINUCLEOTIDE PHOSPHATE", 24090 },
	{ "TAQ", "", "", ResidueType::NON_POLYMER, false, "2,4,6-TRIAMINOQUINAZOLINE", 24091 },
	{ "TAR", "", "", ResidueType::NON_POLYMER, false, "D(-)-TARTARIC ACID", 24092 },
	{ "TAS", "", "", ResidueType::NON_POLYMER, false, "TRIHYDROXYARSENITE(III)", 24093 },
	{ "TAT", "", "", ResidueType::NON_POLYMER, false, "ADENOSINE-5'-RP-ALPHA-THIO-TRIPHOSPHATE", 24094 },
	{ "TAU", "", "", ResidueType::NON_POLYMER, false, "2-AMINOETHANESULFONIC ACID", 24095 },
	{ "TAV", "", "", ResidueType::PEPTIDE_LINKING, false, "N-METHYL-N-{2-[(2-NAPHTHYLSULFONYL)AMINO]-5-[(2-NAPHTHYLSULFONYL)OXY]BENZOYL}-L-ASPARTIC ACID", 24096 },
	{ "TAX", "", "", ResidueType::NON_POLYMER, false, "(Z)-2-[4-(1,2)-DIPHENYL-1-BUTENYL)-PHENOXY]-N,N-DIMETHYLETHANAMINIUM", 24097 },
	{ "TAY", "", "", ResidueType::NON_POLYMER, false, "2,2-dimethylpropanamide", 24098 },
	{ "TAZ", "", "", ResidueType::NON_POLYMER, false, "TAZOBACTAM", 24099 },
	{ "TB", "", "", ResidueType::NON_POLYMER, false, "TERBIUM(III) ION", 24100 },
	{ "TB0", "", "", ResidueType::NON_POLYMER, false, "tert-butyl isocyanide", 24101 },
	{ "TB1", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-(BENZYLOXY)-L-ASPARTIC ACID", 24102 },
	{ "TB2", "", "", ResidueType::NON_POLYMER, false, "(4-tert-butylphenyl)acetaldehyde", 24103 },
	{ "TB6", "", "", ResidueType::NON_POLYMER, false, "[(2R)-2-hydroxypropyl]phosphonic acid", 24104 },
	{ "TB7", "", "", ResidueType::NON_POLYMER, false, "TERT-BUTYL 3-[(4-OXO-3H-PYRIDO[2,3-D]PYRIMIDIN-2-YL)AMINO]AZETIDINE-1-CARBOXYLATE", 24105 },
	{ "TB9", "TIB", "", ResidueType::NON_POLYMER, false, "4-CHLORO-8-METHYL-7-(3-METHYL-BUT-2-ENYL)-6,7,8,9-TETRAHYDRO-2H-2,7,9A-TRIAZA-BENZO[CD]AZULENE-1-THIONE", 24106 },
	{ "TBA", "", "", ResidueType::NON_POLYMER, false, "TETRABUTYLAMMONIUM ION", 24107 },
	{ "TBB", "", "", ResidueType::NON_POLYMER, false, "tert-butylcarbamic acid", 24108 },
	{ "TBC", "", "", ResidueType::NON_POLYMER, false, "(9S,10R)-9-HYDROXY-7,8,9,10-TETRAHYDROBENZO[A]PYRENE", 24109 },
	{ "TBD", "", "", ResidueType::NON_POLYMER, false, "2*-DEOXY-THYMIDINE-5*-ALPHA BORANO DIPHOSPHATE (ISOMER RP)", 24110 },
	{ "TBE", "", "", ResidueType::NON_POLYMER, false, "TAZOBACTAM INTERMEDIATE", 24111 },
	{ "TBF", "", "", ResidueType::NON_POLYMER, false, "TERT-BUTYL FORMATE", 24112 },
	{ "TBG", "HV5", "", ResidueType::PEPTIDE_LINKING, false, "3-methyl-L-valine", 24113 },
	{ "TBH", "", "", ResidueType::NON_POLYMER, false, "5-(2-{2-[(TERT-BUTOXY-HYDROXY-METHYL)-AMINO]-1-HYDROXY-3-PHENYL-PROPYLAMINO}-3-HYDROXY-3-PENTYLAMINO-PROPYL)-2-CARBOXYMETHOXY-BENZOIC ACID", 24114 },
	{ "TBI", "", "", ResidueType::NON_POLYMER, false, "TAZOBACTAM TRANS-ENAMINE INTERMEDIATE", 24115 },
	{ "TBL", "", "", ResidueType::NON_POLYMER, false, "N-[(4-methoxyphenyl)sulfonyl]-D-alanine", 24116 },
	{ "TBM", "TMB", "", ResidueType::PEPTIDE_LINKING, true, "4-METHYL-4-[(E)-2-BUTENYL]-4,N-DIMETHYL-THREONINE", 24117 },
	{ "TBN", "", "", ResidueType::NON_POLYMER, false, "'2-(4-AMINO-PYRROLO[2,3-D]PYRIMIDIN-7-YL)-5-HYDROXYMETHYL-TETRAHYDRO-FURAN-3,4-DIOL", 24118 },
	{ "TBO", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-8-METHYL-7-(3-METHYL-BUT-2-ENYL)-6,7,8,9-TETRAHYDRO-2H-2,7,9A-TRIAZA-BENZO[CD]AZULENE-1-THIONE", 24119 },
	{ "TBP", "", "", ResidueType::NON_POLYMER, false, "2,4,6-TRIBROMOPHENOL", 24120 },
	{ "TBQ", "", "", ResidueType::NON_POLYMER, false, "(3~{R})-1-(4-chlorophenyl)-4,4-dimethyl-3-(1,2,4-triazol-1-ylmethyl)pentan-3-ol", 24121 },
	{ "TBR", "", "", ResidueType::NON_POLYMER, false, "HEXATANTALUM DODECABROMIDE", 24122 },
	{ "TBS", "", "", ResidueType::NON_POLYMER, false, "4,5,6,7-TETRABROMOBENZOTRIAZOLE", 24123 },
	{ "TBT", "", "", ResidueType::NON_POLYMER, false, "8,9,10,11-TETRAHYDRO-BENZO[A]ANTHRACENE-8,9,10-TRIOL", 24124 },
	{ "TBU", "", "", ResidueType::NON_POLYMER, false, "TERTIARY-BUTYL ALCOHOL", 24125 },
	{ "TBV", "", "", ResidueType::NON_POLYMER, false, "", 24126 },
	{ "TBX", "", "", ResidueType::NON_POLYMER, false, "(3~{S})-1-(4-chlorophenyl)-4,4-dimethyl-3-(1,2,4-triazol-1-ylmethyl)pentan-3-ol", 24127 },
	{ "TBY", "", "", ResidueType::NON_POLYMER, false, "tributylstannanyl", 24128 },
	{ "TBZ", "", "", ResidueType::NON_POLYMER, false, "2''-(4-METHOXYPHENYL)-5-(3-AMINO-1-PYRROLIDINYL)-2,5',2',5''-TRI-BENZIMIDAZOLE", 24129 },
	{ "TC0", "", "", ResidueType::NON_POLYMER, false, "4'-[5-[[3-[(CYCLOPROPYLAMINO)METHYL]PHENYL]AMINO]-1H-PYRAZOL-3-YL]-[1,1'-BIPHENYL]-2,4-DIOL", 24130 },
	{ "TC1", "", "", ResidueType::DNA_LINKING, false, "3-(5-PHOSPHO-2-DEOXY-BETA-D-RIBOFURANOSYL)-2-OXO-1,3-DIAZA-PHENOTHIAZINE", 24131 },
	{ "TC2", "", "", ResidueType::NON_POLYMER, false, "N-{2-[bis(2-{[(2,3-dihydroxyphenyl)carbonyl]amino}ethyl)amino]ethyl}-1-hydroxy-6-oxo-1,6-dihydropyridine-2-carboxamide", 24132 },
	{ "TC3", "", "", ResidueType::NON_POLYMER, false, "ETHYL HYDROGEN METHYLAMIDOPHOSPHATE", 24133 },
	{ "TC4", "", "", ResidueType::NON_POLYMER, false, "BUTYL-PHOSPHINIC ACID 2,3-BIS-BUTYLCARBAMOYLOXY-PROPYL ESTER GROUP", 24134 },
	{ "TC5", "", "", ResidueType::NON_POLYMER, false, "ETHYL HYDROGEN PROPYLAMIDOPHOSPHATE", 24135 },
	{ "TC6", "", "", ResidueType::NON_POLYMER, false, "(2E)-Hexenoyl-CoA", 24136 },
	{ "TC7", "", "", ResidueType::NON_POLYMER, false, "2,4,5-trichlorophenol", 24137 },
	{ "TC8", "", "", ResidueType::NON_POLYMER, false, "3-(2,6-difluorophenyl)-2-(methylthio)quinazolin-4(3H)-one", 24138 },
	{ "TC9", "", "", ResidueType::NON_POLYMER, false, "D-TUBOCURARINE", 24139 },
	{ "TCA", "", "", ResidueType::NON_POLYMER, false, "PHENYLETHYLENECARBOXYLIC ACID", 24140 },
	{ "TCB", "", "", ResidueType::SACCHARIDE, false, "THIOCELLOBIOSE", 24141 },
	{ "TCC", "", "", ResidueType::NON_POLYMER, false, "2-(2,4-DICHLORO-PHENYLAMINO)-PHENOL", 24142 },
	{ "TCD", "", "", ResidueType::NON_POLYMER, false, "3,5-DICHLORO-2-{4-[(3,5-DICHLOROPYRIDIN-2-YL)OXY]PHENOXY}PYRIDINE", 24143 },
	{ "TCE", "", "", ResidueType::NON_POLYMER, false, "", 24144 },
	{ "TCF", "", "", ResidueType::NON_POLYMER, false, "3-(4-BROMOPHENYL)PROPANAMIDE", 24145 },
	{ "TCG", "", "", ResidueType::NON_POLYMER, false, "", 24146 },
	{ "TCH", "", "", ResidueType::NON_POLYMER, false, "TAUROCHOLIC ACID", 24147 },
	{ "TCI", "", "", ResidueType::NON_POLYMER, false, "(6aR,10aR)-6,6,9-trimethyl-3-pentyl-6a,7,8,10a-tetrahydro-6H-benzo[c]chromen-1-ol", 24148 },
	{ "TCJ", "", "", ResidueType::DNA_LINKING, false, "[(1~{S},2~{R},4~{R},6~{S},8~{R})-8-(4-azanyl-5-methyl-2-oxidanylidene-pyrimidin-1-yl)-6-oxidanyl-9-oxatricyclo[4.3.0.0^{2,4}]nonan-2-yl] dihydrogen phosphate", 24149 },
	{ "TCK", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(1S)-5-amino-1-(chloroacetyl)pentyl]-4-methylbenzenesulfonamide", 24150 },
	{ "TCL", "", "", ResidueType::NON_POLYMER, false, "TRICLOSAN", 24151 },
	{ "TCM", "", "", ResidueType::NON_POLYMER, false, "THIOCAMPHOR", 24152 },
	{ "TCN", "", "", ResidueType::NON_POLYMER, false, "TETRACYANONICKELATE ION", 24153 },
	{ "TCO", "", "", ResidueType::NON_POLYMER, false, "TERT-BUTYL(1S)-1-CYCLOHEXYL-2-OXOETHYLCARBAMATE", 24154 },
	{ "TCP", "", "", ResidueType::DNA_LINKING, false, "5'-METHYLTHYMIDINE", 24155 },
	{ "TCQ", "", "", ResidueType::PEPTIDE_LINKING, false, "(1S,2R)-N-{(1E)-5-[(2S)-2-amino-2-carboxyethyl]-2-hydroxy-4-oxocyclohexa-2,5-dien-1-ylidene}-2-phenylcyclopropanaminium", 24156 },
	{ "TCR", "", "", ResidueType::PEPTIDE_LINKING, false, "CYCLOMETHYLTRYPTOPHAN", 24157 },
	{ "TCT", "", "", ResidueType::NON_POLYMER, false, "6-(4-CHLORO-2-HYDROXY-PHENOXY)-NAPHTHALEN-2-OL", 24158 },
	{ "TCU", "", "", ResidueType::NON_POLYMER, false, "5-HEXYL-2-(2-METHYLPHENOXY)PHENOL", 24159 },
	{ "TCV", "", "", ResidueType::NON_POLYMER, false, "1,1,2-trichloroethene", 24160 },
	{ "TCW", "", "", ResidueType::NON_POLYMER, false, "Tolcapone", 24161 },
	{ "TCX", "", "", ResidueType::NON_POLYMER, false, "ethylphosphoramidic acid", 24162 },
	{ "TCY", "", "", ResidueType::DNA_LINKING, false, "(2R,3aS,4aR,5aR,5bS)-2-(6-amino-9H-purin-9-yl)-3a-hydroxyhexahydrocyclopropa[4,5]cyclopenta[1,2-b]furan-5a(4H)-yl dihydrogen phosphate", 24163 },
	{ "TCZ", "", "", ResidueType::NON_POLYMER, false, "1,3,5-TRICHLORO-BENZENE", 24164 },
	{ "TD1", "", "", ResidueType::NON_POLYMER, false, "O-[(2S)-2-amino-3-hydroxypropanoyl]-N-(2,3-dihydroxybenzoyl)-L-serine", 24165 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "3-deoxy-3-[4-(3-fluorophenyl)-1H-1,2,3-triazol-1-yl]-beta-D-galactopyranosyl 3-deoxy-3-[4-(3-fluorophenyl)-1H-1,2,3-triazol-1-yl]-1-thio-beta-D-galactopyranoside", 24166 },
	{ "TD3", "", "", ResidueType::NON_POLYMER, false, "2-[hydroxy(4-hydroxybutyl)amino]-2-oxoethyl dihydrogen phosphate", 24167 },
	{ "TD4", "", "", ResidueType::NON_POLYMER, false, "4-{hydroxy[(phosphonooxy)acetyl]amino}butyl dihydrogen phosphate", 24168 },
	{ "TD5", "", "", ResidueType::NON_POLYMER, false, "(4~{R})-4-[3-[(4-azanyl-2-methyl-pyrimidin-5-yl)methyl]-4-methyl-5-[2-[oxidanyl(phosphonooxy)phosphoryl]oxyethyl]-1,3-thiazol-3-ium-2-yl]-4-oxidanyl-butanoic acid", 24169 },
	{ "TD6", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-{3-[(4-amino-2-methylpyrimidin-5-yl)methyl]-5-(2-{[(S)-hydroxy(phosphonooxy)phosphoryl]oxy}ethyl)-4-methyl-1,3lambda~5~-thiazol-2-yl}-4-hydroxybutanoic acid", 24170 },
	{ "TD7", "", "", ResidueType::NON_POLYMER, false, "(4E)-4-{3-[(4-amino-2-methylpyrimidin-5-yl)methyl]-5-(2-{[(S)-hydroxy(phosphonooxy)phosphoryl]oxy}ethyl)-4-methyl-1,3-thiazol-2(3H)-ylidene}-4-hydroxybutanoic acid", 24171 },
	{ "TD8", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-{3-[(4-amino-2-methylpyrimidin-5-yl)methyl]-4-methyl-5-(2-{[(phosphonatooxy)phosphinato]oxy}ethyl)-1,3-thiazol-3-ium-2-yl}-5-hydroxypentanoate", 24172 },
	{ "TD9", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-{3-[(4-amino-2-methylpyrimidin-5-yl)methyl]-4-methyl-5-(2-{[(phosphonatooxy)phosphinato]oxy}ethyl)-1,3-thiazol-3-ium-2-yl}-5-hydroxypentanoate", 24173 },
	{ "TDA", "", "", ResidueType::NON_POLYMER, false, "N-TRIDECANOIC ACID", 24174 },
	{ "TDB", "", "", ResidueType::NON_POLYMER, false, "6-METHYL-2(PROPANE-1-SULFONYL)-2H-THIENO[3,2-D][1,2,3]DIAZABORININ-1-OL", 24175 },
	{ "TDC", "", "", ResidueType::NON_POLYMER, false, "5A,6-ANHYDROTETRACYCLINE", 24176 },
	{ "TDD", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-2-amino-3,3-dimethyl-butanoic acid", 24177 },
	{ "TDE", "", "", ResidueType::NON_POLYMER, false, "(E)-(2R,3R,4S,5R)-3,4,5-TRIHYDROXY-2-METHOXY-8,8-DIMETHYL-NON-6-ENOIC ACID ((3S,6R)-6-HYDROXY-2-OXO-AZEPAN-3-YL)-AMIDE", 24178 },
	{ "TDF", "", "", ResidueType::PEPTIDE_LINKING, false, "4-(trifluoromethyl)-D-phenylalanine", 24179 },
	{ "TDG", "", "", ResidueType::SACCHARIDE, false, "THIODIGALACTOSIDE", 24180 },
	{ "TDH", "", "", ResidueType::NON_POLYMER, false, "4,4'-(1H-1,2,3-triazole-1,5-diyl)diphenol", 24181 },
	{ "TDI", "", "", ResidueType::NON_POLYMER, false, "(3R,4S)-1-[(4-AMINO-5H-PYRROLO[3,2-D]PYRIMIDIN-7-YL)METHYL]-4-[(METHYLSULFANYL)METHYL]PYRROLIDIN-3-OL", 24182 },
	{ "TDK", "", "", ResidueType::NON_POLYMER, false, "3-[(4-AMINO-2-METHYLPYRIMIDIN-5-YL)METHYL]-2-{(1S)-1-HYDROXY-1-[(R)-HYDROXY(METHOXY)PHOSPHORYL]ETHYL}-5-(2-{[(S)-HYDROXY(PHOSPHONOOXY)PHOSPHORYL]OXY}ETHYL)-4-METHYL-1,3-THIAZOL-3-IUM", 24183 },
	{ "TDL", "", "", ResidueType::NON_POLYMER, false, "3-[(4-AMINO-2-METHYLPYRIMIDIN-5-YL)METHYL]-2-(1-CARBOXY-1-HYDROXYETHYL)-5-(2-{[HYDROXY(PHOSPHONOOXY)PHOSPHORYL]OXY}ETHYL)-4-METHYL-1,3-THIAZOL-3-IUM", 24184 },
	{ "TDM", "", "", ResidueType::NON_POLYMER, false, "2-[(2E)-3-[(4-AMINO-2-METHYLPYRIMIDIN-5-YL)METHYL]-2-(1-HYDROXYETHYLIDENE)-4-METHYL-2,3-DIHYDRO-1,3-THIAZOL-5-YL]ETHYL TRIHYDROGEN DIPHOSPHATE", 24185 },
	{ "TDN", "", "", ResidueType::NON_POLYMER, false, "2-[(2E)-3-[(4-azanyl-2-methyl-pyrimidin-5-yl)methyl]-4-methyl-2-(1-oxidanylpropylidene)-1,3-thiazol-5-yl]ethyl phosphono hydrogen phosphate", 24186 },
	{ "TDO", "", "", ResidueType::NON_POLYMER, false, "DTDP-4-KETO-L-RHAMNOSE", 24187 },
	{ "TDP", "", "", ResidueType::NON_POLYMER, false, "THIAMIN DIPHOSPHATE", 24188 },
	{ "TDR", "", "", ResidueType::NON_POLYMER, false, "THYMINE", 24189 },
	{ "TDS", "", "", ResidueType::NON_POLYMER, false, "8-HYDROXY-5,7-DIMETHOXY-3-METHYL-2-TRIDECYL-4H-CHROMEN-4-ONE", 24190 },
	{ "TDT", "", "", ResidueType::NON_POLYMER, false, "1-AZEPAN-1-YL-2-PHENYL-2-(4-THIOXO-1,4-DIHYDRO-PYRAZOLO[3,4-D]PYRIMIDIN-5-YL)ETHANONE ADDUCT", 24191 },
	{ "TDU", "", "", ResidueType::NON_POLYMER, false, "1-(1,2,3-benzothiadiazol-6-yl)-3-[2-(cyclohex-1-en-1-yl)ethyl]urea", 24192 },
	{ "TDV", "", "", ResidueType::PEPTIDE_LIKE, false, "1-[(2S,4S)-4-[4-(4-fluorophenyl)-1,2,3-triazol-1-yl]-2-pyrrolidin-1-ylcarbonyl-pyrrolidin-1-yl]-4-phenyl-butan-1-one", 24193 },
	{ "TDW", "", "", ResidueType::NON_POLYMER, false, "2-[3-[(4-azanyl-2-methyl-pyrimidin-5-yl)methyl]-4-methyl-2-[(1S)-1-oxidanylethyl]-1,3-thiazol-3-ium-5-yl]ethyl phosphono hydrogen phosphate", 24194 },
	{ "TDX", "", "", ResidueType::NON_POLYMER, false, "THYMIDINE-5'-DIPHOSPHO-BETA-D-XYLOSE", 24195 },
	{ "TDY", "", "", ResidueType::DNA_LINKING, false, "", 24196 },
	{ "TDZ", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-(4-{[(2R)-6-HYDROXY-2,5,7,8-TETRAMETHYL-3,4-DIHYDRO-2H-CHROMEN-2-YL]METHOXY}BENZYL)-1,3-THIAZOLIDINE-2,4-DIONE", 24197 },
	{ "TE", "", "", ResidueType::NON_POLYMER, false, "TELLURIUM", 24198 },
	{ "TE1", "", "", ResidueType::NON_POLYMER, false, "(2Z)-3-{2-hydroxy-5-[(1S)-1-hydroxy-3-methylbutyl]-4-methoxyphenyl}prop-2-enoic acid", 24199 },
	{ "TE2", "", "", ResidueType::NON_POLYMER, false, "", 24200 },
	{ "TE4", "", "", ResidueType::NON_POLYMER, false, "Tetracaine", 24201 },
	{ "TE6", "", "", ResidueType::NON_POLYMER, false, "Orthotelluric acid", 24202 },
	{ "TE7", "", "", ResidueType::NON_POLYMER, false, "5-{[2-(dimethylamino)ethyl]amino}-8-methoxy-6H-imidazo[4,5,1-de]acridin-6-one", 24203 },
	{ "TEA", "", "", ResidueType::NON_POLYMER, false, "TRIETHYLAMMONIUM ION", 24204 },
	{ "TEB", "", "", ResidueType::NON_POLYMER, false, "(4R,5S)-3-(1-(4,5-dihydrothiazol-2-yl)azetidin-3-ylthio)-5-((2S,3R)-3-hydroxy-1-oxobutan-2-yl)-4-methyl-4,5- dihydro-1H-pyrrole-2-carboxylic acid", 24205 },
	{ "TEC", "", "", ResidueType::NON_POLYMER, false, "2-amino-6-O-decanoyl-2-deoxy-beta-D-glucopyranose", 24206 },
	{ "TED", "", "", ResidueType::DNA_LINKING, false, "", 24207 },
	{ "TEE", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-ETHENETHIOL", 24208 },
	{ "TEF", "", "", ResidueType::PEPTIDE_LINKING, false, "4-(2H-tetrazol-2-yl)-L-phenylalanine", 24209 },
	{ "TEG", "", "", ResidueType::NON_POLYMER, false, "[2-(2-hydroxyethoxy)ethoxy]acetic acid", 24210 },
	{ "TEI", "", "", ResidueType::NON_POLYMER, false, "2-(3-CYANO-4-ISOBUTOXY-PHENYL)-4-METHYL-5-THIAZOLE-CARBOXYLIC ACID", 24211 },
	{ "TEJ", "", "", ResidueType::NON_POLYMER, false, "(1S,3R,5Z,7E,20S,23S)-1,3-dihydroxy-23,26-epoxy-9,10-secocholesta-5,7,10,25(27)-tetraen-26-one", 24212 },
	{ "TEL", "", "", ResidueType::NON_POLYMER, false, "TELITHROMYCIN", 24213 },
	{ "TEM", "", "", ResidueType::NON_POLYMER, false, "N-(2-HYDROXY-4-OXO-BUTYL)-N-(3-OXO-TRANSPROPENYL)AMINE", 24214 },
	{ "TEN", "", "", ResidueType::NON_POLYMER, false, "TRIETHYL PHOSPHATE", 24215 },
	{ "TEO", "", "", ResidueType::NON_POLYMER, false, "MALATE LIKE INTERMEDIATE", 24216 },
	{ "TEP", "", "", ResidueType::NON_POLYMER, false, "THEOPHYLLINE", 24217 },
	{ "TER", "", "", ResidueType::NON_POLYMER, false, "N-(3-AMINO-PROPYL)-N-(5-AMINOPROPYL)-1,4-DIAMINOBUTANE", 24218 },
	{ "TES", "", "", ResidueType::NON_POLYMER, false, "TESTOSTERONE", 24219 },
	{ "TET", "", "", ResidueType::NON_POLYMER, false, "URIDINE-DIPHOSPHATE-2(N-ACETYLGLUCOSAMINYL-3-FLUORO-2-PHOSPHONOOXY)PROPIONIC ACID", 24220 },
	{ "TEU", "", "", ResidueType::NON_POLYMER, false, "1-O-alpha-D-glucopyranosyl-D-fructose", 24221 },
	{ "TEW", "", "", ResidueType::NON_POLYMER, false, "6-tungstotellurate(VI)", 24222 },
	{ "TEX", "", "", ResidueType::NON_POLYMER, false, "(2S,5S)-9-[(3R)-3,7-dimethylocta-1,6-dien-3-yl]-5-(hydroxymethyl)-1-methyl-2-(propan-2-yl)-1,2,4,5,6,8-hexahydro-3H-[1,4]diazonino[7,6,5-cd]indol-3-one", 24223 },
	{ "TEY", "", "", ResidueType::NON_POLYMER, false, "", 24224 },
	{ "TF0", "", "", ResidueType::SACCHARIDE, false, "2-(acetylamino)-2-deoxy-3-O-beta-D-galactopyranosyl-alpha-D-galactopyranose", 24225 },
	{ "TF1", "", "", ResidueType::NON_POLYMER, false, "4-({(2R,5S)-2,5-DIMETHYL-4-[(2R)-3,3,3-TRIFLUORO-2-HYDROXY-2-METHYLPROPANOYL]PIPERAZIN-1-YL}CARBONYL)BENZONITRILE", 24226 },
	{ "TF2", "", "", ResidueType::NON_POLYMER, false, "(N-{4-[(ETHYLANILINO)SULFONYL]-2-METHYLPHENYL}-3,3,3-TRIFLUORO-2-HYDROXY-2-METHYLPROPANAMIDE", 24227 },
	{ "TF3", "", "", ResidueType::NON_POLYMER, false, "N-(2-AMINOETHYL)-2-{3-CHLORO-4-[(4-ISOPROPYLBENZYL)OXY]PHENYL} ACETAMIDE", 24228 },
	{ "TF4", "", "", ResidueType::NON_POLYMER, false, "DICHLORO-ACETIC ACID", 24229 },
	{ "TF5", "", "", ResidueType::NON_POLYMER, false, "2-[(2',3',4'-TRIFLUOROBIPHENYL-2-YL)OXY]ETHANOL", 24230 },
	{ "TF6", "", "PIX", ResidueType::NON_POLYMER, true, "4-(3-{[5-(trifluoromethyl)pyridin-2-yl]oxy}benzyl)piperidine-1-carboxylic acid", 24231 },
	{ "TF7", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-(dihydroxy-lambda~4~-sulfanyl)-4-(1H-1,2,3-triazol-1-yl)-D-valine", 24232 },
	{ "TFA", "", "", ResidueType::NON_POLYMER, false, "trifluoroacetic acid", 24233 },
	{ "TFB", "", "", ResidueType::NON_POLYMER, false, "TETRAHYDROFURAN-2-CARBOXYLIC ACID", 24234 },
	{ "TFC", "", "", ResidueType::NON_POLYMER, false, "1,1,1-TRIFLUORO-3-(OCTYLTHIO)ACETONE", 24235 },
	{ "TFD", "", "", ResidueType::NON_POLYMER, false, "N-[5-chloro-6-methyl-2-(pyridin-2-yl)pyrimidin-4-yl]-N'-[6-(trifluoromethyl)pyridin-2-yl]ethane-1,2-diamine", 24236 },
	{ "TFE", "", "", ResidueType::RNA_LINKING, false, "", 24237 },
	{ "TFF", "", "", ResidueType::DNA_LINKING, false, "5'-O-[(R)-{[(R)-[difluoro(phosphono)methyl](hydroxy)phosphoryl](difluoro)methyl}(hydroxy)phosphoryl]thymidine", 24238 },
	{ "TFG", "", "", ResidueType::NON_POLYMER, false, "2,2,2-TRIFLUORO-1-{5-[(3-PHENYL-5,6-DIHYDROIMIDAZO[1,2-A]PYRAZIN-7(8H)-YL)CARBONYL]THIOPHEN-2-YL}ETHANE-1,1-DIOL", 24239 },
	{ "TFH", "", "HDZ", ResidueType::NON_POLYMER, true, "NITROGEN OF TRIFLUORO-ETHYLHYDRAZINE", 24240 },
	{ "TFI", "", "", ResidueType::NON_POLYMER, false, "2-[5-METHANESULFONYLAMINO-2-(4-AMINOPHENYL)-6-OXO-1,6-DIHYDRO-1-PYRIMIDINYL]-N-(3,3,3-TRIFLUORO-1-ISOPROPYL-2-OXOPROPYL)ACETAMIDE", 24241 },
	{ "TFK", "", "", ResidueType::NON_POLYMER, false, "3-[[(METHYLAMINO)SULFONYL]AMINO]-2-OXO-6-PHENYL-N-[3,3,3-TRIFLUORO-1-(1-METHYLETHYL)-2-OXOPHENYL]-1(2H)-PYRIDINE ACETAMIDE", 24242 },
	{ "TFL", "", "", ResidueType::NON_POLYMER, false, "2-[4-(DIMETHYLAMINO)PHENYL]-6-HYDROXY-3-METHYL-1,3-BENZOTHIAZOL-3-IUM", 24243 },
	{ "TFM", "", "", ResidueType::NON_POLYMER, false, "S-ETHYL-N-[4-(TRIFLUOROMETHYL)PHENYL]ISOTHIOUREA", 24244 },
	{ "TFN", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(benzylsulfonyl)-O-tert-butyl-D-seryl-N-(4-carbamimidoylbenzyl)glycinamide", 24245 },
	{ "TFO", "", "", ResidueType::DNA_LINKING, false, "[2-(6-AMINO-9H-PURIN-9-YL)-1-METHYLETHOXY]METHYLPHOSPHONIC ACID", 24246 },
	{ "TFP", "", "", ResidueType::NON_POLYMER, false, "10-[3-(4-METHYL-PIPERAZIN-1-YL)-PROPYL]-2-TRIFLUOROMETHYL-10H-PHENOTHIAZINE", 24247 },
	{ "TFQ", "", "", ResidueType::PEPTIDE_LINKING, false, "4-(2,2,2-TRIFLUOROETHYL)-L-PHENYLALANINE", 24248 },
	{ "TFR", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-2-amino-7-oxo-7-{[(2R,3S)-4,4,4-trifluoro-3-hydroxybutan-2-yl]amino}heptanoic acid", 24249 },
	{ "TFS", "", "", ResidueType::NON_POLYMER, false, "trifluoromethanesulfonic acid", 24250 },
	{ "TFT", "", "", ResidueType::DNA_LINKING, false, "(L)-ALPHA-THREOFURANOSYL-THYMINE-3'-MONOPHOSPHATE", 24251 },
	{ "TFU", "", "", ResidueType::NON_POLYMER, false, "(2S,3S,4R,5S,6R)-2-methyl-6-methylselanyl-oxane-3,4,5-triol", 24252 },
	{ "TFV", "", "", ResidueType::NON_POLYMER, false, "N-[5-chloro-6-methyl-2-(pyridin-2-yl)pyrimidin-4-yl]-N'-[5-(trifluoromethyl)pyridin-2-yl]ethane-1,2-diamine", 24253 },
	{ "TFX", "", "", ResidueType::NON_POLYMER, false, "2-[4-(dimethylamino)phenyl]-3,6-dimethyl-1,3-benzothiazol-3-ium", 24254 },
	{ "TFY", "", "", ResidueType::NON_POLYMER, false, "", 24255 },
	{ "TFZ", "", "", ResidueType::NON_POLYMER, false, "N-phenyl-2-(trifluoromethyl)benzamide", 24256 },
	{ "TG0", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-1-(3-amino-2-methylbenzoyl)-4-hydroxy-N-(4-(4-methylthiazol-5-yl)benzyl)pyrrolidine-2-carboxamide", 24257 },
	{ "TG1", "", "", ResidueType::NON_POLYMER, false, "", 24258 },
	{ "TG4", "", "", ResidueType::NON_POLYMER, false, "2-(butylamino)-~{N}-[2-(4-sulfamoylphenyl)ethyl]ethanamide", 24259 },
	{ "TG5", "", "", ResidueType::NON_POLYMER, false, "2-(butylamino)-~{N}-(4-sulfamoylphenyl)ethanamide", 24260 },
	{ "TG6", "", "", ResidueType::NON_POLYMER, false, "6-O-phosphono-D-tagatose", 24261 },
	{ "TGA", "", "", ResidueType::NON_POLYMER, false, "METHANETHIOSULFONYL-GALACTOSIDE", 24262 },
	{ "TGC", "", "", ResidueType::NON_POLYMER, false, "3-thiaglutaryl-CoA", 24263 },
	{ "TGD", "", "", ResidueType::NON_POLYMER, false, "1-deoxy-D-tagatose", 24264 },
	{ "TGE", "", "", ResidueType::NON_POLYMER, false, "7-(6-methoxypyridin-3-yl)-3-{[2-(morpholin-4-yl)ethyl]amino}-1-(2-propoxyethyl)pyrido[3,4-b]pyrazin-2(1H)-one", 24265 },
	{ "TGF", "", "", ResidueType::NON_POLYMER, false, "2-[4-(4-{4-[(2-AMINO-5-FORMYL-4-OXO-3,4,5,6,7,8-HEXAHYDRO-PTERIDIN-6-YLMETHYL)-AMINO]-BENZOYLAMINO}-4-CARBOXY-BUTYRYLAMINO)-4-CARBOXY-BUTYRYLAMINO]-PENTANEDIOIC ACID", 24266 },
	{ "TGG", "", "", ResidueType::NON_POLYMER, false, "GAMMA-GLUTAMYL-S-(1,2-DICARBOXYETHYL)CYSTEINYLGLYCINE", 24267 },
	{ "TGJ", "", "", ResidueType::NON_POLYMER, false, "1-deoxy-L-tagatose", 24268 },
	{ "TGK", "", "", ResidueType::SACCHARIDE, false, "1-deoxy-beta-L-tagatopyranose", 24269 },
	{ "TGL", "", "", ResidueType::NON_POLYMER, false, "TRISTEAROYLGLYCEROL", 24270 },
	{ "TGN", "", "", ResidueType::NON_POLYMER, false, "3-(HYDROXY-PHENYL-PHOSPHINOYLOXY)-8-METHYL-8-AZA-BICYCLO[3.2.1]OCTANE-2-CARBOXYLIC ACID METHYL ESTER", 24271 },
	{ "TGP", "", "", ResidueType::DNA_LINKING, false, "", 24272 },
	{ "TGR", "", "", ResidueType::NON_POLYMER, false, "1-deoxy-alpha-D-xylo-hex-3-ulofuranose", 24273 },
	{ "TGS", "", "", ResidueType::NON_POLYMER, false, "1-deoxy-D-xylo-hex-3-ulose", 24274 },
	{ "TGT", "", "", ResidueType::NON_POLYMER, false, "TAGETITOXIN", 24275 },
	{ "TGU", "", "", ResidueType::NON_POLYMER, true, "TRIGALACTURONIC ACID", 24276 },
	{ "TGW", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(2,4-dichlorophenyl)-1-methyl-2,3-dihydropyrido[2,3-d]pyrimidin-4-one", 24277 },
	{ "TGX", "", "", ResidueType::NON_POLYMER, false, "7-methyl-2H-1,4-benzothiazin-3(4H)-one", 24278 },
	{ "TGY", "", "", ResidueType::SACCHARIDE, false, "1-deoxy-alpha-D-tagatopyranose", 24279 },
	{ "TGZ", "", "", ResidueType::NON_POLYMER, false, "(2~{S},3~{R},4~{S},5~{R},6~{R})-2-[(2~{S},3~{R},4~{S},5~{R},6~{R})-4-[4-(3-fluorophenyl)-1,2,3-triazol-1-yl]-6-(hydroxymethyl)-3,5-bis(oxidanyl)oxan-2-yl]sulfanyl-6-(hydroxymethyl)oxane-3,4,5-triol", 24280 },
	{ "TH", "", "", ResidueType::NON_POLYMER, false, "THORIUM ION", 24281 },
	{ "TH0", "", "", ResidueType::NON_POLYMER, false, "4-MERCAPTOBENZENE-1,3-DIOL", 24282 },
	{ "TH1", "", "", ResidueType::NON_POLYMER, false, "2-(BETA-D-GLUCOPYRANOSYL)-5-METHYL-BENZOTHIAZOLE", 24283 },
	{ "TH2", "", "", ResidueType::NON_POLYMER, false, "TESTOSTERONE HEMISUCCINATE", 24284 },
	{ "TH3", "", "", ResidueType::NON_POLYMER, false, "TRANS DELTA2 PALMITENOYL-COENZYMEA", 24285 },
	{ "TH4", "", "", ResidueType::NON_POLYMER, false, "{(2Z)-3-[(6-chloropyridin-3-yl)methyl]-1,3-thiazolidin-2-ylidene}cyanamide", 24286 },
	{ "TH5", "", "", ResidueType::PEPTIDE_LINKING, false, "O-acetyl-L-threonine", 24287 },
	{ "TH6", "", "", ResidueType::PEPTIDE_LINKING, false, "4-HYDROXY-L-THREONINE", 24288 },
	{ "TH7", "", "", ResidueType::NON_POLYMER, false, "2,4-dihydroxybenzenesulfenic acid", 24289 },
	{ "TH8", "", "", ResidueType::NON_POLYMER, false, "THIAMPHENICOL", 24290 },
	{ "TH9", "", "", ResidueType::NON_POLYMER, false, "(2Z)-4-({3-[3-(hexyloxy)phenyl]propyl}amino)-2-hydroxy-4-oxobut-2-enoic acid", 24291 },
	{ "THA", "", "", ResidueType::NON_POLYMER, false, "TACRINE", 24292 },
	{ "THB", "", "H4B", ResidueType::NON_POLYMER, true, "TETRAHYDROBIOPTERIN", 24293 },
	{ "THC", "", "", ResidueType::PEPTIDE_LINKING, false, "N-METHYLCARBONYLTHREONINE", 24294 },
	{ "THD", "", "", ResidueType::NON_POLYMER, false, "2-[3-[(4-AMINO-2-METHYL-5-PYRIMIDINYL)METHYL]-2-(1,2-DIHYDROXYETHYL)-4-METHYL-1,3-THIAZOL-3-IUM-5-YL]ETHYL TRIHYDROGEN DIPHOSPHATE", 24295 },
	{ "THE", "", "", ResidueType::NON_POLYMER, false, "THREONATE ION", 24296 },
	{ "THF", "", "", ResidueType::NON_POLYMER, false, "5-HYDROXYMETHYLENE-6-HYDROFOLIC ACID", 24297 },
	{ "THG", "", "", ResidueType::NON_POLYMER, false, "(6S)-5,6,7,8-TETRAHYDROFOLATE", 24298 },
	{ "THH", "", "", ResidueType::NON_POLYMER, false, "N-[4-({[(6S)-2-AMINO-4-HYDROXY-5-METHYL-5,6,7,8-TETRAHYDROPTERIDIN-6-YL]METHYL}AMINO)BENZOYL]-L-GLUTAMIC ACID", 24299 },
	{ "THI", "", "", ResidueType::NON_POLYMER, false, "THIAZOLO-3-PHENYLISOINDOL-1-ONE", 24300 },
	{ "THJ", "", "", ResidueType::NON_POLYMER, false, "THIOSULFATE", 24301 },
	{ "THK", "", "", ResidueType::NON_POLYMER, false, "4-(4-CHLORO-PHENYL)-1-{3-[2-(4-FLUORO-PHENYL)-[1,3]DITHIOLAN-2-YL]-PROPYL}-PIPERIDIN-4-OL", 24302 },
	{ "THL", "", "THG", ResidueType::NON_POLYMER, true, "N-[4-({[(6S)-2-AMINO-4-OXO-1,4,5,6,7,8-HEXAHYDROPTERIDIN-6-YL]METHYL}AMINO)BENZOYL]-L-GLUTAMIC ACID", 24303 },
	{ "THM", "", "", ResidueType::OTHER, false, "THYMIDINE", 24304 },
	{ "THN", "", "", ResidueType::NON_POLYMER, false, "2-[CARBOXY-(2-THIOPHEN-2-YL-ACETYLAMINO)-METHYL]-5-METHYLENE-5,6-DIHYDRO-2H-[1,3]THIAZINE-4-CARBOXYLIC ACID", 24305 },
	{ "THO", "", "", ResidueType::PEPTIDE_LINKING, false, "REDUCED THREONINE", 24306 },
	{ "THP", "PTP", "", ResidueType::DNA_LINKING, false, "THYMIDINE-3',5'-DIPHOSPHATE", 24307 },
	{ "THQ", "", "TZP", ResidueType::NON_POLYMER, true, "PHOSPHORIC ACID MONO-[2-(4-METHYL-THIAZOL-5-YL)-ETHYL] ESTER", 24308 },
	{ "THR", "", "", ResidueType::PEPTIDE_LINKING, false, "THREONINE", 24309 },
	{ "THS", "", "", ResidueType::NON_POLYMER, false, "THYMIDINE-5'-(DITHIO)PHOSPHATE", 24310 },
	{ "THT", "", "", ResidueType::NON_POLYMER, false, "TRANS-2-HEXADECENOYL-(N-ACETYL-CYSTEAMINE)-THIOESTER", 24311 },
	{ "THU", "", "", ResidueType::NON_POLYMER, false, "TETRAHYDRODEOXYURIDINE", 24312 },
	{ "THV", "", "", ResidueType::NON_POLYMER, false, "C2-1-HYDROXY-3-METHYL-PROPYL-THIAMIN DIPHOSPHATE", 24313 },
	{ "THW", "", "", ResidueType::NON_POLYMER, false, "C2-1-HYDROXYPHENYL-THIAMIN DIPHOSPHATE", 24314 },
	{ "THX", "", "", ResidueType::DNA_LINKING, false, "", 24315 },
	{ "THY", "", "", ResidueType::NON_POLYMER, false, "C2-1-HYDROXY-2-METHYL-BUTYL-THIAMIN DIPHOSPHATE", 24316 },
	{ "THZ", "BOT", "", ResidueType::PEPTIDE_LINKING, false, "1-[(4S)-4-amino-5-(1,3-benzothiazol-2-yl)-5-oxopentyl]guanidine", 24317 },
	{ "TI1", "", "", ResidueType::NON_POLYMER, false, "[2(R,S)-2-SULFANYLHEPTANOYL]-PHE-ALA", 24318 },
	{ "TI2", "", "", ResidueType::NON_POLYMER, false, "(2-SULFANYL-3-PHENYLPROPANOYL)-PHE-TYR", 24319 },
	{ "TI3", "", "", ResidueType::NON_POLYMER, false, "[(2S)-2-SULFANYL-3-PHENYLPROPANOYL]-GLY-(5-PHENYLPROLINE)", 24320 },
	{ "TI4", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,5R,7S)-2-(pyridin-3-yl)-1-azatricyclo[3.3.1.1~3,7~]decane", 24321 },
	{ "TI7", "", "", ResidueType::NON_POLYMER, false, "3-(2-methylphenyl)benzoic acid", 24322 },
	{ "TI8", "", "", ResidueType::NON_POLYMER, false, "3-[(2~{R},3~{S},4~{R},5~{R})-5-[6-azanyl-8-[(4-chlorophenyl)methylamino]purin-9-yl]-3,4-bis(oxidanyl)oxolan-2-yl]propyl prop-2-enoate", 24323 },
	{ "TI9", "", "", ResidueType::NON_POLYMER, false, "3-[(2S)-pyrrolidin-2-ylethynyl]pyridine", 24324 },
	{ "TIA", "", "", ResidueType::NON_POLYMER, false, "2-(1,5-DIDEOXYRIBOSE)-4-AMIDO-THIAZOLE", 24325 },
	{ "TIB", "", "TB9", ResidueType::NON_POLYMER, true, "4-CHLORO-8-METHYL-7-(3-METHYL-BUT-2-ENYL)-6,7,8,9-TETRAHYDRO-2H-2,7,9A-TRIAZA-BENZO[CD]AZULENE-1-THIONE", 24326 },
	{ "TIC", "", "", ResidueType::NON_POLYMER, false, "ticlopidine", 24327 },
	{ "TID", "", "", ResidueType::NON_POLYMER, false, "4-(5-amino-1,3,4-thiadiazol-2-yl)benzoic acid", 24328 },
	{ "TIF", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(benzylsulfonyl)-D-leucyl-N-(4-carbamimidoylbenzyl)-L-prolinamide", 24329 },
	{ "TIG", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(2-aminoethyl)-L-tryptophan", 24330 },
	{ "TIH", "", "", ResidueType::PEPTIDE_LINKING, false, "BETA(2-THIENYL)ALANINE", 24331 },
	{ "TII", "", "", ResidueType::NON_POLYMER, false, "(5R)-1-methyl-7-[5-(propan-2-yloxy)pyridin-3-yl]-1,7-diazaspiro[4.4]nonane", 24332 },
	{ "TIL", "", "", ResidueType::NON_POLYMER, false, "[2-[5-CARBOXYETHYL-2-PHENOLATO(NITRILOMETHYLIDYNE)][PHENOLATO]]CHROMIUM(III)", 24333 },
	{ "TIM", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-(tert-butylamino)-3-[(4-morpholin-4-yl-1,2,5-thiadiazol-3-yl)oxy]propan-2-ol", 24334 },
	{ "TIN", "", "", ResidueType::NON_POLYMER, false, "", 24335 },
	{ "TIO", "", "", ResidueType::NON_POLYMER, false, "(2-MERCAPTOMETHYL-3-PHENYL-PROPIONYL)-GLYCINE", 24336 },
	{ "TIQ", "", "", ResidueType::NON_POLYMER, false, "Ticagrelor", 24337 },
	{ "TIR", "", "", ResidueType::NON_POLYMER, false, "TIRANDAMYCIN E", 24338 },
	{ "TIS", "", "", ResidueType::PEPTIDE_LINKING, false, "O-(1,1-dihydroxyethyl)-L-serine", 24339 },
	{ "TIT", "", "", ResidueType::NON_POLYMER, false, "N-((3S,4S)-5-[(4-BROMOBENZYL)OXY]-3-HYDROXY-4-{[N-(PYRIDIN-2-YLCARBONYL)-L-VALYL]AMINO}PENTANOYL)-L-ALANYL-L-LEUCINAMIDE", 24340 },
	{ "TIV", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-3-(5,6-dihydro-4H-pyrrolo[3,2,1-ij]quinolin-1-yl)-4-(1H-indol-3-yl)pyrrolidine-2,5-dione", 24341 },
	{ "TIY", "", "", ResidueType::NON_POLYMER, false, "2,3,4,6-tetrahydroxy-5H-benzo[7]annulen-5-one", 24342 },
	{ "TIZ", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-[4-(AMINOCARBONYL)-1,3-THIAZOL-2-YL]-1,4-ANHYDRO-D-RIBITOL", 24343 },
	{ "TJ2", "", "", ResidueType::NON_POLYMER, false, "3-{(1S)-2-(tert-butylamino)-1-[(4-chlorobenzyl)(formyl)amino]-2-oxoethyl}-6-chloro-1H-indole-2-carboxylic acid", 24344 },
	{ "TJ3", "", "", ResidueType::NON_POLYMER, false, "5-[[5-chloranyl-2-(3,5-dimethylpyrazol-1-yl)pyrimidin-4-yl]amino]-1,3-dihydroindol-2-one", 24345 },
	{ "TJE", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{[(S)-{(1R)-1-[(N-acetyl-L-tyrosyl)amino]ethyl}(hydroxy)phosphoryl]methyl}-4-phenylbutanoic acid", 24346 },
	{ "TJF", "", "", ResidueType::NON_POLYMER, false, "4-[4-methyl-2-(methylamino)-1,3-thiazol-5-yl]-2-{[3-(morpholin-4-ylcarbonyl)phenyl]amino}pyrimidine-5-carbonitrile", 24347 },
	{ "TJH", "", "", ResidueType::NON_POLYMER, false, "2-({2-[(6-chloro-1,2,3,4-tetrahydroacridin-9-yl)amino]ethyl}amino)-5-hydroxynaphthalene-1,4-dione", 24348 },
	{ "TJM", "", "", ResidueType::NON_POLYMER, false, "5-(2,5-DIMETHYL-3-THIENYL)-1H-PYRAZOLE-3-CARBOXAMIDE", 24349 },
	{ "TK1", "", "", ResidueType::NON_POLYMER, false, "1-({5-[4-(methylsulfonyl)phenoxy]-2-pyridin-2-yl-1H-benzimidazol-6-yl}methyl)pyrrolidine-2,5-dione", 24350 },
	{ "TK3", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,7E,17beta)-17-{(2R,6R)-6-hydroxy-7-[(3S,5S,7S)-tricyclo[3.3.1.1~3,7~]dec-1-yl]hept-4-yn-2-yl}-2-methylidene-9,10-secoestra-5,7-diene-1,3-diol", 24351 },
	{ "TK4", "", "", ResidueType::NON_POLYMER, false, "2-ACETYLAMINO-NAPTHALENE-1,5-DISULFONIC ACID", 24352 },
	{ "TKA", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,7E,17beta)-17-{(2R,6S)-6-hydroxy-6-[(3S,5S,7S)-tricyclo[3.3.1.1~3,7~]dec-1-yl]hex-4-yn-2-yl}-2-methylidene-9,10-secoestra-5,7-diene-1,3-diol", 24353 },
	{ "TKD", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,7E,17beta)-17-{(2R,6S)-6-hydroxy-7-[(3S,5S,7S)-tricyclo[3.3.1.1~3,7~]dec-1-yl]hept-4-yn-2-yl}-2-methylidene-9,10-secoestra-5,7-diene-1,3-diol", 24354 },
	{ "TKL", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-2-{4-[(1S)-1,5-diaminopentyl]-1H-1,2,3-triazol-1-yl}-4-methylpentanoic acid", 24355 },
	{ "TKT", "", "", ResidueType::NON_POLYMER, false, "(3-ENDO)-8-METHYL-8-AZABICYCLO[3.2.1]OCT-3-YL 1H-INDOLE-3-CARBOXYLATE", 24356 },
	{ "TKW", "", "", ResidueType::NON_POLYMER, false, "", 24357 },
	{ "TL", "", "", ResidueType::NON_POLYMER, false, "THALLIUM (I) ION", 24358 },
	{ "TL1", "", "", ResidueType::NON_POLYMER, false, "2,5-BIS-O-{3-[AMINO(IMINO)METHYL]PHENYL}-1,4:3,6-DIANHYDRO-D-GLUCITOL", 24359 },
	{ "TL2", "", "", ResidueType::NON_POLYMER, false, "2-O-{4-[AMINO(IMINO)METHYL]PHENYL}-5-O-{3-[AMINO(IMINO)METHYL]PHENYL}-1,4:3,6-DIANHYDRO-D-GLUCITOL", 24360 },
	{ "TL3", "", "", ResidueType::NON_POLYMER, false, "2,5-BIS-O-{4-[AMINO(IMINO)METHYL]PHENYL}-1,4:3,6-DIANHYDRO-D-GLUCITOL", 24361 },
	{ "TL4", "", "", ResidueType::NON_POLYMER, false, "2-O-{3-[AMINO(IMINO)METHYL]PHENYL}-5-O-{4-[AMINO(IMINO)METHYL]PHENYL}-1,4:3,6-DIANHYDRO-D-GLUCITOL", 24362 },
	{ "TL5", "", "", ResidueType::NON_POLYMER, false, "(5R)-4-HYDROXY-3,5-DIMETHYL-5-[(1E,3E)-2-METHYLPENTA-1,3-DIENYL]THIOPHEN-2(5H)-ONE", 24363 },
	{ "TL6", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-[(1E)-BUTA-1,3-DIENYL]-4-HYDROXY-3,5-DIMETHYLTHIOPHEN-2(5H)-ONE", 24364 },
	{ "TLA", "", "", ResidueType::NON_POLYMER, false, "L(+)-TARTARIC ACID", 24365 },
	{ "TLB", "", "", ResidueType::RNA_LINKING, false, "2'-O,3'-C-METHYLENE-ARABINOFURANOSYL-THYMINE-5'-MONOPHOSPHATE", 24366 },
	{ "TLC", "", "", ResidueType::DNA_LINKING, false, "2-O,3-ETHDIYL-ARABINOFURANOSYL-THYMINE-5'-MONOPHOSPHATE", 24367 },
	{ "TLD", "", "", ResidueType::NON_POLYMER, false, "4-methylbenzene-1,2-dithiol", 24368 },
	{ "TLE", "", "", ResidueType::NON_POLYMER, false, "(5R)-3-ethyl-4-hydroxy-5-methyl-5-[(1E)-2-methylbuta-1,3-dien-1-yl]thiophen-2(5H)-one", 24369 },
	{ "TLF", "", "", ResidueType::NON_POLYMER, false, "2-[(3-chloro-2-methylphenyl)amino]benzoic acid", 24370 },
	{ "TLG", "", "", ResidueType::NON_POLYMER, false, "(5R)-3-acetyl-4-hydroxy-5-methyl-5-[(1Z)-2-methylbuta-1,3-dien-1-yl]thiophen-2(5H)-one", 24371 },
	{ "TLH", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-methyl-5-[(1E)-2-methylbuta-1,3-dienyl]-4-oxidanyl-3-[2,2,2-tris(fluoranyl)ethanoyl]thiophen-2-one", 24372 },
	{ "TLJ", "", "", ResidueType::NON_POLYMER, false, "(5R)-4-hydroxy-5-methyl-5-[(1E)-2-methylbuta-1,3-dien-1-yl]-3-propylthiophen-2(5H)-one", 24373 },
	{ "TLL", "", "", ResidueType::NON_POLYMER, false, "N-[4-({[(6S)-2-amino-5-methyl-4-oxo-1,4,5,6,7,8-hexahydropteridin-6-yl]methyl}amino)benzoyl]-L-gamma-glutamyl-L-glutamic acid", 24374 },
	{ "TLM", "", "", ResidueType::NON_POLYMER, false, "THIOLACTOMYCIN", 24375 },
	{ "TLN", "", "", ResidueType::RNA_LINKING, false, "[(1R,3R,4R,7S)-7-HYDROXY-3-(THYMIN-1-YL)-2,5-DIOXABICYCLO[2.2.1]HEPT-1-YL]METHYL DIHYDROGEN PHOSPHATE", 24376 },
	{ "TLO", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-hydroxy{[(S)-hydroxy(phenoxy)phosphoryl]oxy}phosphoryl]thymidine", 24377 },
	{ "TLP", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXY-2-[(3-HYDROXY-2-METHYL-5-PHOSPHONOOXYMETHYL-PYRIDIN-4-YLMETHYL)-AMINO]-BUTYRIC ACID", 24378 },
	{ "TLS", "", "", ResidueType::NON_POLYMER, false, "", 24379 },
	{ "TLT", "", "", ResidueType::NON_POLYMER, false, "Tolmetin", 24380 },
	{ "TLV", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-2-azanyl-3-[4-[3,5-bis(chloranyl)-4-oxidanyl-phenoxy]-3,5-bis(chloranyl)phenyl]propanoic acid", 24381 },
	{ "TLX", "", "", ResidueType::NON_POLYMER, false, "N1-(2-AMINO-4-METHYLPENTYL)OCTAHYDRO-PYRROLO[1,2-A] PYRIMIDINE", 24382 },
	{ "TLY", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-azanyl-6-(ethanethioylamino)hexanoic acid", 24383 },
	{ "TLZ", "", "", ResidueType::NON_POLYMER, false, "D-altritol", 24384 },
	{ "TM1", "", "", ResidueType::NON_POLYMER, false, "", 24385 },
	{ "TM2", "", "", ResidueType::NON_POLYMER, false, "", 24386 },
	{ "TM3", "", "", ResidueType::NON_POLYMER, false, "2-[[6-[[[2-(3-hydroxypropyl)-5-methylphenyl]amino]methyl]-2-[[3-(4-morpholinyl)propyl]amino]-1H-benzimidazol-1-yl]methyl]-6-methyl-3-pyridinol", 24387 },
	{ "TM4", "", "", ResidueType::NON_POLYMER, false, "3-hydroxy-2-methyl-4H-pyran-4-thione", 24388 },
	{ "TM5", "", "", ResidueType::SACCHARIDE, false, "THIO-MALTOPENTAOSE", 24389 },
	{ "TM6", "", "", ResidueType::SACCHARIDE, false, "THIO-MALTOHEXAOSE", 24390 },
	{ "TM7", "", "", ResidueType::NON_POLYMER, false, "5-hydroxy-2-methyl-4H-pyran-4-thione", 24391 },
	{ "TM9", "", "", ResidueType::SACCHARIDE, false, "(2R,3R,4S,5R,6R)-3-azanyl-6-[bis(oxidanyl)methyl]oxane-2,4,5-triol", 24392 },
	{ "TMA", "", "", ResidueType::NON_POLYMER, false, "TETRAMETHYLAMMONIUM ION", 24393 },
	{ "TMB", "", "TBM", ResidueType::PEPTIDE_LINKING, true, "N-METHYL-4-[(E)-2-BUTENYL]-4,N-DIMETHYL-THREONINE", 24394 },
	{ "TMC", "", "", ResidueType::NON_POLYMER, false, "1-[4-HYDROXY-5-(HYDROXYMETHYL)BICYCLO[3.1.0]HEX-2-YL]-5-METHYLPYRIMIDINE-2,4(1H,3H)-DIONE", 24395 },
	{ "TMD", "", "", ResidueType::PEPTIDE_LINKING, false, "(6,7-DIHYDRO)4-[(E)-BUTENYL]-4,N-DIMETHYL-THREONINE", 24396 },
	{ "TME", "", "", ResidueType::NON_POLYMER, false, "PROPANE", 24397 },
	{ "TMF", "", "", ResidueType::NON_POLYMER, false, "5,10-METHYLENE-6-HYDROFOLIC ACID", 24398 },
	{ "TMG", "", "", ResidueType::NON_POLYMER, false, "2-(1,3-THIAZOL-4-YL)-1H-BENZIMIDAZOLE", 24399 },
	{ "TMH", "", "", ResidueType::NON_POLYMER, false, "(+)-alpha-Pinene", 24400 },
	{ "TMI", "", "", ResidueType::NON_POLYMER, false, "1-[PHENYL-(4-PHENYLPHENYL)-METHYL]IMIDAZOLE", 24401 },
	{ "TMJ", "", "", ResidueType::NON_POLYMER, false, "N-(4-CHLOROPHENYL)-1,2,3,4-TETRAHYDROISOQUINOLINE-7-SULFONAMIDE", 24402 },
	{ "TML", "", "", ResidueType::NON_POLYMER, true, "METHYL PART OF N-TRIMETHYLLYSINE", 24403 },
	{ "TMM", "", "", ResidueType::NON_POLYMER, false, "1,3,5-BENZENETRICARBOXYLIC ACID", 24404 },
	{ "TMN", "", "TRS", ResidueType::NON_POLYMER, true, "TRIS(HYDROXYMETHYL)AMINOMETHANE", 24405 },
	{ "TMO", "", "", ResidueType::NON_POLYMER, false, "trimethylamine oxide", 24406 },
	{ "TMP", "", "", ResidueType::NON_POLYMER, false, "THYMIDINE-5'-PHOSPHATE", 24407 },
	{ "TMQ", "", "", ResidueType::NON_POLYMER, false, "TRIMETREXATE", 24408 },
	{ "TMR", "", "", ResidueType::SACCHARIDE, false, "2,6-DIDEOXY-4-THIOMETHYL-BETA-D-RIBOHEXOPYRANOSIDE", 24409 },
	{ "TMS", "", "", ResidueType::NON_POLYMER, false, "N-PROPYL-4-[(E)-2-(3,4,5-TRIMETHOXY-PHENYL)-VINYL]-BENZAMIDE", 24410 },
	{ "TMT", "", "", ResidueType::NON_POLYMER, false, "2,3,4-TRIMETHYL-1,3-THIAZOLE", 24411 },
	{ "TMU", "", "", ResidueType::NON_POLYMER, false, "N-(4-METHOXYBENZYL)-N'-(5-NITRO-1,3-THIAZOL-2-YL)UREA", 24412 },
	{ "TMV", "", "", ResidueType::NON_POLYMER, false, "THIAMINE-PHOSPHOVANADATE", 24413 },
	{ "TMX", "", "", ResidueType::SACCHARIDE, false, "2-deoxy-2-(trimethylammonio)-beta-D-glucopyranose", 24414 },
	{ "TMY", "", "", ResidueType::NON_POLYMER, false, "ethyl (2,3,4-trimethoxy-6-octanoylphenyl)acetate", 24415 },
	{ "TMZ", "", "", ResidueType::NON_POLYMER, false, "3,4,5-TRIMETHYL-1,3-THIAZOLE", 24416 },
	{ "TN1", "", "", ResidueType::NON_POLYMER, false, "5,6,7,8-TETRAHYDRONAPHTHALEN-1-OL", 24417 },
	{ "TN2", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-2-(2-CHLORO-4-NITROPHENOXY)PHENOL", 24418 },
	{ "TN3", "", "", ResidueType::NON_POLYMER, false, "3-CHLORO-4-(4-CHLORO-2-HYDROXYPHENOXY)-N-METHYLBENZAMIDE", 24419 },
	{ "TN4", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3S,4R)-4-hydroxy-2-methoxy-4-methyl-3-[(2R,3R)-2-methyl-3-(3-methylbut-2-en-1-yl)oxiran-2-yl]cyclohexyl (chloroacetyl)carbamate", 24420 },
	{ "TN5", "", "", ResidueType::NON_POLYMER, false, "2-(4-AMINO-2-CHLOROPHENOXY)-5-CHLOROPHENOL", 24421 },
	{ "TN6", "", "", ResidueType::NON_POLYMER, false, "diethylphosphoramidic acid", 24422 },
	{ "TN7", "", "", ResidueType::NON_POLYMER, false, "ethyl hydrogen ethylamidophosphate", 24423 },
	{ "TNA", "", "", ResidueType::NON_POLYMER, false, "N-[(3S)-3-{[(3S)-3-amino-3-carboxypropyl]amino}-3-carboxypropyl]-L-glutamic acid", 24424 },
	{ "TNB", "", "", ResidueType::PEPTIDE_LINKING, false, "S-(2,3,6-TRINITROPHENYL)CYSTEINE", 24425 },
	{ "TNC", "", "", ResidueType::NON_POLYMER, false, "4-DIMETHYLAMINO-1,10,11,12-TETRAHYDROXY-3-OXO-3,4,4A,5-TETRAHYDRO-NAPHTHACENE-2-CARBOXYLIC ACID AMIDE", 24426 },
	{ "TND", "", "", ResidueType::NON_POLYMER, false, "N-1,2,3,4-TETRAHYDRONAPHTH-1-YL-2'-[3,5-DIMETHOXYBENZAMIDO]-2'-DEOXY-ADENOSINE", 24427 },
	{ "TNE", "", "", ResidueType::NON_POLYMER, false, "8-METHYL-8-AZABICYCLO[3,2,1]OCTAN-3-ONE", 24428 },
	{ "TNF", "", "", ResidueType::NON_POLYMER, false, "PICRIC ACID", 24429 },
	{ "TNG", "", "", ResidueType::NON_POLYMER, false, "propane-1,2,3-triyl trinitrate", 24430 },
	{ "TNH", "", "", ResidueType::NON_POLYMER, false, "N-[6-(1,2,3,4-tetrahydroacridin-9-ylamino)hexyl]pyridine-3-carboxamide", 24431 },
	{ "TNK", "", "", ResidueType::NON_POLYMER, false, "6-BENZYL-1-BENZYLOXYMETHYL-5-ISOPROPYL URACIL", 24432 },
	{ "TNL", "", "", ResidueType::NON_POLYMER, false, "2,4,6-TRINITROTOLUENE", 24433 },
	{ "TNM", "", "", ResidueType::NON_POLYMER, false, "[(2R)-1-(6-aminopurin-9-yl)propan-2-yl]oxymethyl-phosphonooxy-phosphinic acid", 24434 },
	{ "TNP", "", "", ResidueType::NON_POLYMER, true, "3,5,6,8-TETRAMETHYL-N-METHYL PHENANTHROLINIUM", 24435 },
	{ "TNR", "", "", ResidueType::PEPTIDE_LINKING, false, "O-(2-ACETAMIDO-2-DEOXY-ALPHA-D-GALACTOPYRANOSYL)-L-SERINE", 24436 },
	{ "TNS", "", "", ResidueType::NON_POLYMER, false, "", 24437 },
	{ "TNT", "", "", ResidueType::NON_POLYMER, false, "1,3-BIS(AMIDINOPHENOXY)PROPANE", 24438 },
	{ "TNV", "", "", ResidueType::NON_POLYMER, false, "[2-(6-AMINO-9H-PURIN-9-YL)-1-METHYLETHOXY]METHYL-TRIPHOSPHATE", 24439 },
	{ "TNX", "", "", ResidueType::NON_POLYMER, false, "N-[(2R,3S,4R)-2-(hydroxymethyl)-3,4-bis(oxidanyl)-3,4-dihydro-2H-pyran-5-yl]ethanethioamide", 24440 },
	{ "TNY", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,3R)-3-{[(2S,3R,4R,5R,6R)-3-(acetylamino)-4,5-dihydroxy-6-(hydroxymethyl)tetrahydro-2H-pyran-2-yl]oxy}-2-aminobutanoic acid (non-preferred name)", 24441 },
	{ "TO1", "", "", ResidueType::NON_POLYMER, false, "4-amino-7-(beta-D-ribofuranosyl)-7H-pyrrolo[2,3-d]pyrimidine-5-carbonitrile", 24442 },
	{ "TO2", "", "", ResidueType::NON_POLYMER, false, "(1R,2S)-1-(3,4-dimethoxyphenyl)-2-(2-methoxyphenoxy)propane-1,3-diol", 24443 },
	{ "TOA", "ADG", "", ResidueType::SACCHARIDE, false, "3-DEOXY-3-AMINO GLUCOSE", 24444 },
	{ "TOB", "", "", ResidueType::NON_POLYMER, false, "1,3-DIAMINO-5,6-DIHYDROXYCYCLOHEXANE", 24445 },
	{ "TOC", "", "", ResidueType::SACCHARIDE, false, "2,3,6-TRIDEOXY-2,6-DIAMINO GLUCOSE", 24446 },
	{ "TOD", "", "", ResidueType::NON_POLYMER, false, "(2S)-({(2R)-2-[(1S)-1-hydroxy-2-(hydroxyamino)-2-oxoethyl]-4-methylpentanoyl}amino)(phenyl)ethanoic acid", 24447 },
	{ "TOE", "", "", ResidueType::NON_POLYMER, false, "2-[2-(2-METHOXY-ETHOXY)-ETHOXY]-ETHOXYL", 24448 },
	{ "TOF", "", "", ResidueType::NON_POLYMER, false, "1,6-dimethylpyrimido[5,4-e][1,2,4]triazine-5,7(1H,6H)-dione", 24449 },
	{ "TOG", "", "", ResidueType::NON_POLYMER, false, "4-[3-[(4-azanyl-2-methyl-pyrimidin-5-yl)methyl]-4-methyl-5-[2-[oxidanyl(phosphonooxy)phosphoryl]oxyethyl]-1,3-thiazol-3-ium-2-yl]-4-oxidanyl-butanoic acid", 24450 },
	{ "TOH", "", "", ResidueType::NON_POLYMER, false, "(3E)-4-(2-HYDROXYPHENYL)-2-OXOBUT-3-ENOIC ACID", 24451 },
	{ "TOI", "", "", ResidueType::NON_POLYMER, false, "", 24452 },
	{ "TOK", "", "", ResidueType::NON_POLYMER, false, "(3alpha,8alpha)-17-(1H-benzimidazol-1-yl)androsta-5,16-dien-3-ol", 24453 },
	{ "TOL", "", "", ResidueType::NON_POLYMER, false, "TOLRESTAT", 24454 },
	{ "TOM", "", "", ResidueType::NON_POLYMER, false, "4-(2-METHOXYPHENYL)-2-OXOBUT-3-ENOIC ACID", 24455 },
	{ "TON", "", "", ResidueType::NON_POLYMER, false, "2-{2-[4-(1,1,3,3-TETRAMETHYLBUTYL)PHENOXY]ETHOXY}ETHANOL", 24456 },
	{ "TOP", "", "", ResidueType::NON_POLYMER, false, "TRIMETHOPRIM", 24457 },
	{ "TOQ", "", "", ResidueType::PEPTIDE_LINKING, false, "6,7-dihydroxy-L-tryptophan", 24458 },
	{ "TOR", "", "", ResidueType::NON_POLYMER, false, "", 24459 },
	{ "TOS", "", "", ResidueType::NON_POLYMER, true, "P-SULFINOTOLUENE", 24460 },
	{ "TOT", "", "", ResidueType::NON_POLYMER, false, "1,1-(4,4,8,8-TETRAMETHYL-4,8-DIAZAUNDECAMETHYLENE)-BIS-4-3-METHYL-2,3-DIHYDRO-(BENZO-1,3-THIAZOLE)-2-METHYLIDENE)-QUINOLINIUM", 24461 },
	{ "TOU", "", "", ResidueType::NON_POLYMER, false, "THIOUREA", 24462 },
	{ "TOX", "", "", ResidueType::PEPTIDE_LINKING, false, "1-hydroperoxy-L-tryptophan", 24463 },
	{ "TOY", "", "", ResidueType::NON_POLYMER, false, "TOBRAMYCIN", 24464 },
	{ "TP0", "", "", ResidueType::NON_POLYMER, false, "Amitriptyline", 24465 },
	{ "TP1", "", "", ResidueType::DNA_LINKING, false, "2-(METHYLAMINO)-ETHYLGLYCINE-CARBONYLMETHYLENE-THYMINE", 24466 },
	{ "TP2", "", "", ResidueType::NON_POLYMER, false, "N-[TOSYL-D-PROLINYL]AMINO-ETHANETHIOL", 24467 },
	{ "TP3", "", "", ResidueType::NON_POLYMER, false, "4-[[GLUTAMIC ACID]-CARBONYL]-BENZENE-SULFONYL-D-PROLINE", 24468 },
	{ "TP4", "", "", ResidueType::NON_POLYMER, false, "N-[4-[[GLUTAMIC ACID]-CARBONYL]-BENZENE-SULFONYL-D-PROLINYL]-3-AMINO-PROPANOIC ACID", 24469 },
	{ "TP5", "", "", ResidueType::NON_POLYMER, false, "THIOPHENE-3-CARBOXIMIDAMIDE", 24470 },
	{ "TP6", "", "", ResidueType::NON_POLYMER, false, "3-(1,3,7-TRIHYDRO-9-D-RIBITYL-2,6,8-PURINETRIONE-7-YL) 1-PHOSPHATE", 24471 },
	{ "TP7", "", "", ResidueType::NON_POLYMER, false, "Coenzyme B", 24472 },
	{ "TP8", "", "", ResidueType::NON_POLYMER, false, "5-(2-{[HYDROXY(PHOSPHONOOXY)PHOSPHORYL]OXY}ETHYL)-2-[(1Z)-1-HYDROXY-3-(PHOSPHONOOXY)PROP-1-EN-1-YL]-3-{[(4Z)-4-IMINO-2-METHYL-4,5-DIHYDROPYRIMIDIN-5-YL]METHYL}-4-METHYL-1,3-THIAZOL-3-IUM", 24473 },
	{ "TP9", "", "", ResidueType::NON_POLYMER, false, "(3Z)-4-{[(4-AMINO-2-METHYLPYRIMIDIN-5-YL)METHYL]AMINO}-3-MERCAPTOPENT-3-EN-1-YL TRIHYDROGEN DIPHOSPHATE", 24474 },
	{ "TPA", "", "", ResidueType::NON_POLYMER, false, "TRANS-2-PHENYLCYCLOPROPYLAMINE", 24475 },
	{ "TPB", "", "", ResidueType::NON_POLYMER, false, "4-[4-(2,4,6-TRIMETHYL-PHENYLAMINO)-PYRIMIDIN-2-YLAMINO]-BENZONITRILE", 24476 },
	{ "TPC", "", "", ResidueType::DNA_LINKING, false, "", 24477 },
	{ "TPD", "", "", ResidueType::NON_POLYMER, false, "N-(2-THIENYLMETHYL)-2,5-THIOPHENEDISULFONAMIDE", 24478 },
	{ "TPE", "", "", ResidueType::NON_POLYMER, false, "", 24479 },
	{ "TPF", "", "", ResidueType::NON_POLYMER, false, "2-(2,4-DIFLUOROPHENYL)-1,3-DI(1H-1,2,4-TRIAZOL-1-YL)PROPAN-2-OL", 24480 },
	{ "TPG", "", "", ResidueType::RNA_LINKING, false, "2,2,7-TRIMETHYL-GUANOSINE-5'-TRIPHOSPHATE-5'-GUANOSINE", 24481 },
	{ "TPH", "", "HPH", ResidueType::PEPTIDE_LINKING, true, "2-AMINO-3-PHENYL-PROPANE-1,1-DIOL GROUP", 24482 },
	{ "TPI", "", "", ResidueType::NON_POLYMER, false, "4-CARBAMOYL-4-{[6-(DIFLUORO-PHOSPHONO-METHYL)-NAPHTHALENE-2-CARBONYL]-AMINO}-BUTYRIC ACID", 24483 },
	{ "TPJ", "", "", ResidueType::PEPTIDE_LINKING, false, "(5R)-5-tert-butyl-L-proline", 24484 },
	{ "TPK", "", "", ResidueType::PEPTIDE_LINKING, false, "(1R)-1-[(2S)-pyrrolidin-2-yl]ethane-1,2-diol", 24485 },
	{ "TPL", "", "", ResidueType::PEPTIDE_LINKING, false, "TRYPTOPHANOL", 24486 },
	{ "TPM", "", "", ResidueType::NON_POLYMER, false, "2-(4-AMINOBENZYLAMINO)-3,4,5,6-TETRAHYDROPYRIDINIUM", 24487 },
	{ "TPN", "", "", ResidueType::PEPTIDE_LIKE, false, "2-AMINOETHYLGLYCINE-CARBONYLMETHYLENE-THYMINE", 24488 },
	{ "TPO", "", "", ResidueType::PEPTIDE_LINKING, false, "PHOSPHOTHREONINE", 24489 },
	{ "TPP", "", "", ResidueType::NON_POLYMER, false, "THIAMINE DIPHOSPHATE", 24490 },
	{ "TPQ", "", "", ResidueType::PEPTIDE_LINKING, false, "5-(2-CARBOXY-2-AMINOETHYL)-2-HYDROXY-1,4-BENZOQUINONE", 24491 },
	{ "TPR", "", "", ResidueType::NON_POLYMER, false, "TOSYL-D-PROLINE", 24492 },
	{ "TPS", "", "", ResidueType::NON_POLYMER, false, "THIAMIN PHOSPHATE", 24493 },
	{ "TPT", "", "", ResidueType::NON_POLYMER, false, "", 24494 },
	{ "TPU", "", "", ResidueType::NON_POLYMER, false, "2-{1-[(4-AMINO-2-METHYLPYRIMIDIN-5-YL)METHYL]-5-METHYL-1H-1,2,3-TRIAZOL-4-YL}ETHYL TRIHYDROGEN DIPHOSPHATE", 24495 },
	{ "TPV", "", "", ResidueType::NON_POLYMER, false, "N-(3-{(1R)-1-[(6R)-4-HYDROXY-2-OXO-6-PHENETHYL-6-PROPYL-5,6-DIHYDRO-2H-PYRAN-3-YL]PROPYL}PHENYL)-5-(TRIFLUOROMETHYL)-2-PYRIDINESULFONAMIDE", 24496 },
	{ "TPW", "", "", ResidueType::NON_POLYMER, false, "2-{4-[(4-AMINO-2-METHYLPYRIMIDIN-5-YL)METHYL]-3-METHYLTHIOPHEN-2-YL}ETHYL TRIHYDROGEN DIPHOSPHATE", 24497 },
	{ "TPX", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-3-FORMYL-2-({[(4-METHYLPHENYL)SULFONYL]AMINO}METHYL)PENTANOIC ACID", 24498 },
	{ "TPY", "", "", ResidueType::NON_POLYMER, false, "(2S,3S)-3-FORMYL-2-({[(4-NITROPHENYL)SULFONYL]AMINO}METHYL)PENTANOIC ACID", 24499 },
	{ "TPZ", "", "", ResidueType::NON_POLYMER, false, "O-phosphono-N-(5-sulfanylpentanoyl)-L-threonine", 24500 },
	{ "TQ1", "", "", ResidueType::NON_POLYMER, false, "5-(HYDROXYMETHYL)-8-(1H-PYRROL-2-YL)-2H-[1,2,4]TRIAZOLO[4,3-A]QUINOLIN-1-ONE", 24501 },
	{ "TQ2", "", "", ResidueType::NON_POLYMER, false, "(2S)-tert-butoxy[4-(3,4-dimethylphenyl)-2-methylquinolin-3-yl]ethanoic acid", 24502 },
	{ "TQ3", "", "", ResidueType::NON_POLYMER, false, "5-PHENYLSULFANYL-2,4-QUINAZOLINEDIAMINE", 24503 },
	{ "TQ4", "", "", ResidueType::NON_POLYMER, false, "5-[(4-METHYLPHENYL)SULFANYL]-2,4-QUINAZOLINEDIAMINE", 24504 },
	{ "TQ5", "", "", ResidueType::NON_POLYMER, false, "5-[4-TERT-BUTYLPHENYLSULFANYL]-2,4-QUINAZOLINEDIAMINE", 24505 },
	{ "TQ6", "", "", ResidueType::NON_POLYMER, false, "5-(4-MORPHOLIN-4-YL-PHENYLSULFANYL)-2,4-QUINAZOLINEDIAMINE", 24506 },
	{ "TQ8", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-4-chloro-3-oxo-1-phenyl-butan-2-yl]-4-methyl-benzenesulfonamide", 24507 },
	{ "TQ9", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-4-OXOPENTANOIC ACID", 24508 },
	{ "TQD", "", "", ResidueType::NON_POLYMER, false, "(2R,6S)-6-{[methyl(3,4,5-trimethoxyphenyl)amino]methyl}-1,2,5,6,7,8-hexahydroquinazoline-2,4-diamine", 24509 },
	{ "TQI", "", "", ResidueType::PEPTIDE_LINKING, false, "N-{[4-CHLORO-3-(TRIFLUOROMETHYL)PHENYL]SULFONYL}-L-TRYPTOPHAN", 24510 },
	{ "TQJ", "", "", ResidueType::NON_POLYMER, false, "N-[(2S)-1-[4-(5-BROMOPYRIDIN-2-YL)PIPERAZIN-1-YL]SULFONYL-5-PYRIMIDIN-2-YL-PENTAN-2-YL]-N-HYDROXY-METHANAMIDE", 24511 },
	{ "TQL", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-N-oxidanyl-C-pyridin-3-yl-carbonimidoyl]benzene-1,3-diol", 24512 },
	{ "TQP", "", "", ResidueType::NON_POLYMER, false, "", 24513 },
	{ "TQQ", "", "", ResidueType::PEPTIDE_LINKING, false, "(S)-2-AMINO-3-(6,7-DIHYDRO-6-IMINO-7-OXO-1H-INDOL-3-YL)PROPANOIC ACID", 24514 },
	{ "TQT", "", "", ResidueType::NON_POLYMER, false, "6-(OCTAHYDRO-1H-INDOL-1-YLMETHYL)DECAHYDROQUINAZOLINE-2,4-DIAMINE", 24515 },
	{ "TQU", "", "", ResidueType::NON_POLYMER, false, "4-(1H-1,2,4-triazol-1-yl)quinolin-6-amine", 24516 },
	{ "TQV", "", "", ResidueType::NON_POLYMER, false, "O-CRESYL-SALIGENIN PHOSPHATE", 24517 },
	{ "TQX", "", "", ResidueType::NON_POLYMER, false, "(2S)-tert-butoxy[4-(8-fluoro-5-methyl-3,4-dihydro-2H-chromen-6-yl)-2-methylquinolin-3-yl]ethanoic acid", 24518 },
	{ "TQZ", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-3-PENTASULFANYLPROPAN-1-OL", 24519 },
	{ "TR0", "", "", ResidueType::NON_POLYMER, false, "(4R)-N-(BIPHENYL-4-YLMETHYL)-4-HYDROXY-1-[(3-METHYLISOXAZOL-5-YL)ACETYL]-L-PROLINAMIDE", 24520 },
	{ "TR1", "", "", ResidueType::NON_POLYMER, false, "2-(2-{2-[(BIPHENYL-4-YLMETHYL)-AMINO]-3-MERCAPTO-PENTANOYLAMINO}-ACETYLAMINO)-3-METHYL-BUTYRIC ACID METHYL ESTER", 24521 },
	{ "TR2", "", "", ResidueType::NON_POLYMER, false, "thieno[3,2-b]pyridin-7-ol", 24522 },
	{ "TR3", "", "", ResidueType::NON_POLYMER, false, "N-[3-(methylsulfanyl)-1-phenyl-1H-indazol-6-yl]piperidine-4-carboxamide", 24523 },
	{ "TR4", "", "", ResidueType::NON_POLYMER, false, "5-amino-3-(methylsulfanyl)-1-phenyl-1H-pyrazole-4-carbonitrile", 24524 },
	{ "TR5", "", "", ResidueType::NON_POLYMER, false, "5-methyl-1-(5-O-phosphono-beta-D-ribofuranosyl)-1,5-dihydro-1,4,5,6,8-pentaazaacenaphthylen-3-amine", 24525 },
	{ "TR6", "", "", ResidueType::NON_POLYMER, false, "Trovafloxacin", 24526 },
	{ "TR7", "", "", ResidueType::NON_POLYMER, false, "methyl L-tryptophanate", 24527 },
	{ "TR8", "", "", ResidueType::NON_POLYMER, false, "", 24528 },
	{ "TR9", "", "", ResidueType::NON_POLYMER, false, "(5S)-2,5-dihydroxy-3-methylcyclohex-2-ene-1,4-dione", 24529 },
	{ "TRA", "", "", ResidueType::NON_POLYMER, false, "ACONITATE ION", 24530 },
	{ "TRB", "", "TB9", ResidueType::NON_POLYMER, true, "4-CHLORO-8-METHYL-7-(3-METHYL-BUT-2-ENYL)-6,7,8,9-TETRAHYDRO-2H-2,7,9A-TRIAZA-BENZO[CD]AZULENE-1-THIONE", 24531 },
	{ "TRC", "", "", ResidueType::NON_POLYMER, false, "TRICARBALLYLIC ACID", 24532 },
	{ "TRD", "", "", ResidueType::NON_POLYMER, false, "TRIDECANE", 24533 },
	{ "TRE", "", "", ResidueType::SACCHARIDE, false, "TREHALOSE", 24534 },
	{ "TRF", "", "", ResidueType::PEPTIDE_LINKING, false, "N1-FORMYL-TRYPTOPHAN", 24535 },
	{ "TRG", "", "MLY", ResidueType::PEPTIDE_LINKING, true, "L-(N,N DIMETHYL)LYSINE", 24536 },
	{ "TRH", "", "", ResidueType::NON_POLYMER, false, "2'-DEOXY-THYMIDINE-BETA-L-RHAMNOSE", 24537 },
	{ "TRI", "", "", ResidueType::NON_POLYMER, false, "1,2,4-TRIAZOLE", 24538 },
	{ "TRJ", "", "", ResidueType::NON_POLYMER, false, "META-DI(AMINOMETHYL)BENZENE", 24539 },
	{ "TRK", "", "", ResidueType::NON_POLYMER, false, "TIRANDAMYCIN D", 24540 },
	{ "TRL", "", "", ResidueType::NON_POLYMER, false, "{1-[2-(1-FORMYL-PROPYL)-3-METHANESULFONYLAMINO-PYRROLIDINE-1-CARBONYL]-2-METHYL-PROPYL}-CARBAMIC ACID TERT-BUTYL ESTER", 24541 },
	{ "TRM", "", "", ResidueType::NON_POLYMER, false, "1H-BENOXIMIDAZOLE-2-CARBOXYLIC ACID", 24542 },
	{ "TRN", "", "", ResidueType::PEPTIDE_LINKING, false, "NZ2-TRYPTOPHAN", 24543 },
	{ "TRO", "", "", ResidueType::PEPTIDE_LINKING, false, "2-HYDROXY-TRYPTOPHAN", 24544 },
	{ "TRP", "LTR", "", ResidueType::PEPTIDE_LINKING, false, "TRYPTOPHAN", 24545 },
	{ "TRQ", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-3-(6,7-DIOXO-6,7-DIHYDRO-1H-INDOL-3-YL)-PROPIONIC ACID", 24546 },
	{ "TRR", "", "", ResidueType::NON_POLYMER, false, "2,4-DIAMINO-5-(3,4,5-TRIMETHOXY-BENZYL)-PYRIMIDIN-1-IUM", 24547 },
	{ "TRS", "TMN", "", ResidueType::NON_POLYMER, false, "2-AMINO-2-HYDROXYMETHYL-PROPANE-1,3-DIOL", 24548 },
	{ "TRT", "", "", ResidueType::NON_POLYMER, false, "FRAGMENT OF TRITON X-100", 24549 },
	{ "TRU", "", "", ResidueType::NON_POLYMER, false, "6-CHLORO-3-(DICHLOROMETHYL)-3,4-DIHYDRO-2H-1,2,4-BENZOTHIADIAZINE-7-SULFONAMIDE 1,1-DIOXIDE", 24550 },
	{ "TRW", "", "", ResidueType::PEPTIDE_LINKING, false, "TRW3-(2-AMINO-3-HYDROXY-PROPYL)-6-(N'-CYCLOHEXYL-HYDRAZINO)OCTAHYDRO-INDOL-7-OL", 24551 },
	{ "TRX", "", "", ResidueType::PEPTIDE_LINKING, false, "6-HYDROXYTRYPTOPHAN", 24552 },
	{ "TRY", "", "", ResidueType::PEPTIDE_LINKING, false, "(2Z)-2-amino-3-(1H-indol-3-yl)prop-2-enoic acid", 24553 },
	{ "TRZ", "", "", ResidueType::NON_POLYMER, false, "TRAZEOLIDE", 24554 },
	{ "TS", "", "PST", ResidueType::DNA_LINKING, true, "THYMIDINE-5'-THIOPHOSPHATE", 24555 },
	{ "TS0", "", "", ResidueType::NON_POLYMER, false, "4-{2,6,8-TRIOXO-9-[(2S,3R,4R)-2,3,4,5-TETRAHYDROXYPENTYL]-1,2,3,6,8,9-HEXAHYDRO-7H-PURIN-7-YL}BUTYL DIHYDROGEN PHOSPHATE", 24556 },
	{ "TS1", "", "", ResidueType::NON_POLYMER, false, "4-{2,6,8-TRIOXO-9-[(2R,3S,4R)-2,3,4,5-TETRAHYDROXYPENTYL]-1,2,3,6,8,9-HEXAHYDRO-7H-PURIN-7-YL}BUTYL DIHYDROGEN PHOSPHATE", 24557 },
	{ "TS2", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-4-[4-(4-AMINO-4-CARBOXY-BUTYRYLAMINO)-5,8,19,22-TETRAOXO-1,2-DITHIA-6,9,13,18,21-PENTAAZA-CYCLOTETRACOS-23-YLCARBAMOYL]-BUTYRIC ACID", 24558 },
	{ "TS3", "", "GCG", ResidueType::NON_POLYMER, true, "BIS[[5-GLUTAMYL-CYSTEINYL-GLYCYL]-AMINOPROPYL]AMINE", 24559 },
	{ "TS4", "", "", ResidueType::NON_POLYMER, false, "GLUTATHIONYLSPERMIDINE DISULFIDE", 24560 },
	{ "TS5", "", "", ResidueType::NON_POLYMER, false, "GLUTATHIONYLSPERMIDINE", 24561 },
	{ "TS6", "", "", ResidueType::NON_POLYMER, false, "Monothiophosphate", 24562 },
	{ "TS8", "", "", ResidueType::NON_POLYMER, false, "3,4,5-TRIACETYLOXY-6-(ACETYLOXYMETHYL)OXANE-2-THIOL", 24563 },
	{ "TS9", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,3S,4R)-2-amino-3,4-dihydroxy-3-methylpentanoic acid", 24564 },
	{ "TSA", "BAR", "", ResidueType::NON_POLYMER, false, "8-HYDROXY-2-OXA-BICYCLO[3.3.1]NON-6-ENE-3,5-DICARBOXYLIC ACID", 24565 },
	{ "TSB", "", "", ResidueType::NON_POLYMER, false, "5'-O-(N-(L-THREONYL)-SULFAMOYL)ADENOSINE", 24566 },
	{ "TSC", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-AMINO-2-(1H-INDOL-3-YL)ETHANOL", 24567 },
	{ "TSD", "", "", ResidueType::NON_POLYMER, false, "3-TRIMETHYLSILYL-PROPIONATE-2,2,3,3,-D4", 24568 },
	{ "TSE", "", "", ResidueType::NON_POLYMER, false, "THIOPHOSPHONOACETIC ACID", 24569 },
	{ "TSF", "", "", ResidueType::NON_POLYMER, false, "3-(1,3,7-TRIHYDRO-9-D-RIBITYL-2,6,8-PURINETRIONE-7-YL) 1,1 DIFLUOROPENTANE-1-PHOSPHATE", 24570 },
	{ "TSH", "", "", ResidueType::NON_POLYMER, false, "2-(1H-INDOL-3-YL)ETHANIMINE", 24571 },
	{ "TSI", "", "", ResidueType::NON_POLYMER, false, "(2S,3R)-1-AMINO-2-METHYLBUTANE-2,3-DIOL", 24572 },
	{ "TSJ", "", "", ResidueType::NON_POLYMER, false, "3-methyl-4-({3-[3-methyl-5-(trifluoromethyl)phenyl]-1H-pyrazol-5-yl}carbamoyl)benzoic acid", 24573 },
	{ "TSK", "", "", ResidueType::NON_POLYMER, false, "3-(5-fluoro-6-iodo-1-methyl-1H-indol-3-yl)-4-(7-methoxy-1-benzofuran-3-yl)-1H-pyrrole-2,5-dione", 24574 },
	{ "TSL", "", "", ResidueType::NON_POLYMER, false, "TRANS-ENAMINE INTERMEDIATE OF SULBACTAM", 24575 },
	{ "TSM", "", "", ResidueType::NON_POLYMER, false, "2-methylpropane-2-sulfonic acid", 24576 },
	{ "TSN", "", "", ResidueType::NON_POLYMER, false, "TRICHOSTATIN A", 24577 },
	{ "TSO", "", "", ResidueType::NON_POLYMER, true, "(1R,3S,5S,8R)-8-HYDROXY-2-OXABICYCLO[3.3.1]NON-6-ENE-3,5-DICARBOXYLIC ACID", 24578 },
	{ "TSP", "", "", ResidueType::NON_POLYMER, false, "3'-THIO-THYMIDINE-5'-PHOSPHATE", 24579 },
	{ "TSR", "", "", ResidueType::NON_POLYMER, false, "2-(1H-INDOL-3-YL)ACETAMIDE", 24580 },
	{ "TSS", "", "", ResidueType::NON_POLYMER, false, "2-(1H-INDOL-3-YL)ETHANAMINE", 24581 },
	{ "TST", "", "", ResidueType::PEPTIDE_LINKING, false, "4-METHYL-2-{[4-(TOLUENE-4-SULFONYL)-THIOMORPHOLINE-3-CARBONYL]-AMINO}-PENTANOIC ACID", 24582 },
	{ "TSU", "", "", ResidueType::NON_POLYMER, false, "PARA-TOLUENE SULFONATE", 24583 },
	{ "TSV", "", "", ResidueType::NON_POLYMER, false, "", 24584 },
	{ "TSX", "", "", ResidueType::NON_POLYMER, false, "N-[4-(1-ALLYL-3-BUTYL-2,6-DIOXO-2,3,6,7-TETRAHYDRO-1H-PURIN-8-YLMETHYL)-PHENYL]-ACETAMIDE", 24585 },
	{ "TSY", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-3-trisulfanylpropanoic acid", 24586 },
	{ "TSZ", "", "", ResidueType::NON_POLYMER, false, "HYDRAZINECARBOTHIOAMIDE", 24587 },
	{ "TT", "", "", ResidueType::DNA_LINKING, false, "", 24588 },
	{ "TT1", "", "", ResidueType::NON_POLYMER, false, "4-benzyl-3-[(2-chlorobenzyl)sulfanyl]-5-thiophen-2-yl-4H-1,2,4-triazole", 24589 },
	{ "TT2", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,7E,17beta)-17-{(1S,2E,5R)-5-hydroxy-1-methyl-5-[(3S,5S,7S)-tricyclo[3.3.1.1~3,7~]dec-1-yl]pent-2-en-1-yl}-2-methylidene-9,10-secoestra-5,7-diene-1,3-diol", 24590 },
	{ "TT4", "", "", ResidueType::NON_POLYMER, false, "1-phenyl-1H-1,2,4-triazole-3,5-diamine", 24591 },
	{ "TT8", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-azanyl-4-[[(2S,3S,4R,5R)-5-[6-(methylamino)purin-9-yl]-3,4-bis(oxidanyl)oxolan-2-yl]methylsulfanyl]butanoic acid", 24592 },
	{ "TTA", "", "", ResidueType::NON_POLYMER, false, "TETRAPHENYL-ARSONIUM", 24593 },
	{ "TTB", "", "", ResidueType::NON_POLYMER, false, "4-[(1E)-2-(5,5,8,8-TETRAMETHYL-5,6,7,8-TETRAHYDRONAPHTHALEN-2-YL)PROP-1-ENYL]BENZOIC ACID", 24594 },
	{ "TTC", "", "", ResidueType::NON_POLYMER, false, "(S)-10-[(DIMETHYLAMINO)METHYL]-4-ETHYL-4,9-DIHYDROXY-1H-PYRANO[3',4':6,7]INOLIZINO[1,2-B]-QUINOLINE-3,14(4H,12H)-DIONE", 24595 },
	{ "TTD", "", "", ResidueType::DNA_LINKING, false, "CIS-SYN CYCLOBUTANE THYMINE DIMER", 24596 },
	{ "TTE", "", "", ResidueType::NON_POLYMER, false, "PHOSPHOMETHYL PHOSPHONIC ACID DEOXYTHYMIDYLATE ESTER", 24597 },
	{ "TTF", "", "", ResidueType::NON_POLYMER, false, "4,4,4-TRIFLUORO-1-THIEN-2-YLBUTANE-1,3-DIONE", 24598 },
	{ "TTG", "", "", ResidueType::NON_POLYMER, false, "2-(1-DIMETHYLAMINOMETHYL-2-HYDROXY-8-HYDROXYMETHYL-9-OXO-9,11-DIHYDRO-INDOLIZINO[1,2-B]QUINOLIN-7-YL)-2-HYDROXY-BUTYRIC ACID", 24599 },
	{ "TTH", "", "GER", ResidueType::NON_POLYMER, true, "2,6,10,14-TETRAMETHYL-HEXADECA-2,6,10,14-TETRAENE", 24600 },
	{ "TTI", "", "", ResidueType::DNA_LINKING, false, "", 24601 },
	{ "TTJ", "", "", ResidueType::NON_POLYMER, false, "(2R)-N-[3-(3,5-dimethylphenyl)-1H-pyrazol-5-yl]-1,4-dioxane-2-carboxamide", 24602 },
	{ "TTL", "", "", ResidueType::NON_POLYMER, false, "TRANS-(1S,2S)-2-AMINO-1,2,3,4-TETRAHYDRONAPHTHALEN-1-OL", 24603 },
	{ "TTM", "", "", ResidueType::DNA_LINKING, false, "N3-ETHYL-THYMIDINE-5'-MONOPHOSPHATE", 24604 },
	{ "TTN", "", "", ResidueType::NON_POLYMER, false, "TARTRONATE", 24605 },
	{ "TTO", "", "", ResidueType::NON_POLYMER, false, "(3,4-DIHYDROXY-PHENYL)-TRIPHENYL-ARSONIUM", 24606 },
	{ "TTP", "", "", ResidueType::NON_POLYMER, false, "THYMIDINE-5'-TRIPHOSPHATE", 24607 },
	{ "TTQ", "", "", ResidueType::PEPTIDE_LINKING, false, "6-AMINO-7-HYDROXY-L-TRYPTOPHAN", 24608 },
	{ "TTR", "", "", ResidueType::NON_POLYMER, false, "9-ACETYL-2,3,4,9-TETRAHYDRO-1H-CARBAZOL-1-ONE", 24609 },
	{ "TTS", "", "", ResidueType::PEPTIDE_LINKING, false, "3-((3E)-4-HYDROXY-3-{[2-(4-HYDROXYPHENYL)ETHYL]IMINO}-6-OXOCYCLOHEXA-1,4-DIEN-1-YL)ALANINE", 24610 },
	{ "TTT", "", "", ResidueType::NON_POLYMER, false, "5-amino-2-methyl-N-[(1R)-1-naphthalen-1-ylethyl]benzamide", 24611 },
	{ "TTX", "", "", ResidueType::NON_POLYMER, false, "TENTOXIN", 24612 },
	{ "TTY", "", "", ResidueType::NON_POLYMER, false, "4-oxo-4,5,6,7-tetrahydro-1-benzofuran-3-carboxylic acid", 24613 },
	{ "TTZ", "", "", ResidueType::NON_POLYMER, false, "N-[(3AS,4R,5S,6S,6AS)-4,5,6-TRIHYDROXY-4-(HYDROXYMETHYL)-4,5,6,6A-TETRAHYDRO-3AH-CYCLOPENTA[D][1,3]THIAZOL-2-YL]-ALPHA-D-GLUCOPYRANOSYLAMINE", 24614 },
	{ "TU0", "", "", ResidueType::NON_POLYMER, false, "(E)-2-(5-BROMO-2-HYDROXYPHENYL)ETHENESULFONIC ACID", 24615 },
	{ "TU1", "", "", ResidueType::NON_POLYMER, false, "4-[2,5-bis(fluoranyl)phenyl]-2-fluoranyl-N-[(2R)-3-(1H-indol-3-yl)-1-oxidanylidene-1-(pyridin-4-ylamino)propan-2-yl]benzamide", 24616 },
	{ "TUB", "", "", ResidueType::NON_POLYMER, false, "(1beta,1'alpha)-7',12'-dihydroxy-6,6'-dimethoxy-2,2',2'-trimethyltubocuraran-2'-ium", 24617 },
	{ "TUC", "", "", ResidueType::NON_POLYMER, false, "(isoquinolin-5-yloxy)acetic acid", 24618 },
	{ "TUD", "", "", ResidueType::NON_POLYMER, false, "TAUROCHENODEOXYCHOLIC ACID", 24619 },
	{ "TUE", "", "", ResidueType::NON_POLYMER, false, "7-[[5-[(methylideneamino)methyl]pyridin-3-yl]oxymethyl]quinolin-2-amine", 24620 },
	{ "TUH", "", "", ResidueType::NON_POLYMER, false, "5-[2,4-dihydroxy-5-(propan-2-yl)phenyl]-4-(1-methyl-1H-indol-5-yl)-2,4-dihydro-3H-1,2,4-triazol-3-one", 24621 },
	{ "TUI", "", "", ResidueType::NON_POLYMER, false, "2-(4-(2-((3-(5-(PYRIDIN-2-YLTHIO)THIAZOL-2-YL)UREIDO)METHYL)-1H-IMIDAZOL-4-YL)PHENOXY)ACETIC ACID", 24622 },
	{ "TUL", "", "", ResidueType::NON_POLYMER, false, "2-thioxo-2,3-dihydropyrimidin-4(1H)-one", 24623 },
	{ "TUM", "", "", ResidueType::NON_POLYMER, false, "Tunicamycin", 24624 },
	{ "TUN", "", "", ResidueType::NON_POLYMER, false, "ETHYL HYDROGEN DIETHYLAMIDOPHOSPHATE", 24625 },
	{ "TUO", "", "", ResidueType::NON_POLYMER, false, "2-(hydrazinocarbonyl)-3-phenyl-1H-indole-5-sulfonamide", 24626 },
	{ "TUQ", "", "", ResidueType::NON_POLYMER, false, "4-(4-chloro-2-{5-[(trimethyl-1H-pyrazol-4-yl)methyl]-1,3,4-oxadiazol-2-yl}phenoxy)piperidine", 24627 },
	{ "TUR", "", "", ResidueType::NON_POLYMER, false, "3-O-alpha-D-glucopyranosyl-alpha-D-fructofuranose", 24628 },
	{ "TUT", "", "", ResidueType::NON_POLYMER, false, "5-chloranyl-N-[2-(3-methoxyphenyl)ethanimidoyl]-2-piperidin-4-yloxy-benzamide", 24629 },
	{ "TUX", "", "", ResidueType::NON_POLYMER, false, "1,5-ANHYDRO-2-C-(CARBOXYMETHYL-N-HYDROXYAMIDE)-2-DEOXY-3-O-MYRISTOYL-D-GLUCITOL", 24630 },
	{ "TV2", "", "", ResidueType::NON_POLYMER, false, "5-(1,3-benzodioxol-5-ylmethyl)[1,2,4]triazolo[1,5-c]quinazolin-2-amine", 24631 },
	{ "TV4", "", "", ResidueType::NON_POLYMER, false, "N-(6-amino-5-bromopyridin-3-yl)-2,6-difluoro-3-[(propylsulfonyl)amino]benzamide", 24632 },
	{ "TVA", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(2R,3S)-3-amino-2-hydroxy-4-(thiophen-2-yl)butyl]-L-norvaline", 24633 },
	{ "TVC", "", "", ResidueType::NON_POLYMER, false, "3-naphthalen-2-ylbenzoic acid", 24634 },
	{ "TVN", "", "", ResidueType::NON_POLYMER, false, "N-{(2R)-4-(methylamino)-4-oxo-2-[4-(phosphonooxy)benzyl]butanoyl}-L-valyl-L-aspartamide", 24635 },
	{ "TVP", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-ACETYL-2-METHYL-1,2,3,4-TETRAHYDROQUINOLINE", 24636 },
	{ "TVU", "", "", ResidueType::NON_POLYMER, false, "N-[1,1-bis(oxidanylidene)thian-4-yl]-7-(3,4-dimethoxyphenyl)-5-methyl-4-oxidanylidene-thieno[3,2-c]pyridine-2-carboxamide", 24637 },
	{ "TVZ", "", "", ResidueType::NON_POLYMER, false, "3-(4-aminocarbonylphenyl)benzoic acid", 24638 },
	{ "TW5", "", "", ResidueType::NON_POLYMER, false, "(R)-N-(3-(1H-indol-3-yl)-1-oxo-1-(pyridin-4-ylamino)propan-2-yl)-4-(4-(4-chlorophenyl)piperazin-1-yl)-2-fluorobenzamide", 24639 },
	{ "TWL", "", "", ResidueType::NON_POLYMER, false, "ETHYL (5R)-4,5,6,7-TETRAHYDRO-1H-INDAZOLE-5-CARBOXYLATE", 24640 },
	{ "TWN", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-[(2S,3S,4R)-3,4-DIMETHYLTETRAHYDROFURAN-2-YL]BUTYL LAURATE", 24641 },
	{ "TWO", "", "", ResidueType::NON_POLYMER, false, "3,4-dimethoxybenzoic acid", 24642 },
	{ "TWT", "", "", ResidueType::NON_POLYMER, false, "DOCOSANE", 24643 },
	{ "TX1", "", "", ResidueType::NON_POLYMER, false, "2,4-dibromo-6-({[(2-nitrophenyl)carbonyl]amino}methyl)phenyl 2-chlorobenzoate", 24644 },
	{ "TX2", "", "", ResidueType::DNA_LINKING, false, "5'-O-{(R)-hydroxy[(2-sulfanylethyl)amino]phosphoryl}thymidine", 24645 },
	{ "TX3", "", "", ResidueType::NON_POLYMER, false, "2,4-dibromo-6-({[(2-chlorophenyl)carbonyl]amino}methyl)phenyl 2-methylbenzoate", 24646 },
	{ "TX4", "", "", ResidueType::NON_POLYMER, false, "L-THREONOHYDROXAMATE 4-PHOSPHATE", 24647 },
	{ "TX5", "", "", ResidueType::NON_POLYMER, false, "(1R,3R)-5-((Z)-2-((1R,7AS)-HEXAHYDRO-1-((S)-6-HYDROXY-6-METHYLHEPT-4-YN-2-YL)-7A-METHYL-1H-INDEN-4(7AH)-YLIDENE)ETHYLIDENE)CYCLOHEXANE-1,3-DIOL", 24648 },
	{ "TX6", "", "", ResidueType::NON_POLYMER, false, "(6aS,7S,10aS)-8-hydroxy-4-methoxy-2,7,10a-trimethyl-5,6,6a,7,10,10a-hexahydrobenzo[h]quinazoline-9-carbonitrile", 24649 },
	{ "TXA", "", "", ResidueType::NON_POLYMER, false, "threonylcarbamoyladenylate", 24650 },
	{ "TXB", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4R,5R)-5-sulfanyloxane-2,3,4-triol", 24651 },
	{ "TXC", "", "", ResidueType::NON_POLYMER, false, "2-[(2-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)methoxy]ethyl L-valinate", 24652 },
	{ "TXD", "", "", ResidueType::NON_POLYMER, false, "1,4,5,6-TETRAHYDRONICOTINAMIDE ADENINE DINUCLEOTIDE", 24653 },
	{ "TXE", "", "", ResidueType::NON_POLYMER, false, "", 24654 },
	{ "TXF", "", "", ResidueType::NON_POLYMER, false, "(Z)-4-(1-{4-[2-(DIMETHYLAMINO)ETHOXY]PHENYL}-5-HYDROXY-2-PHENYLPENT-1-ENYL)PHENOL", 24655 },
	{ "TXG", "", "", ResidueType::NON_POLYMER, false, "(3S,6S,9S,15aR)-6,9-dibenzyl-3-{6,6-dihydroxy-6-[(2S)-oxiran-2-yl]hexyl}octahydro-2H-pyrido[1,2-a][1,4,7,10]tetraazacyclododecine-1,4,7,10(3H,12H)-tetrone", 24656 },
	{ "TXI", "", "", ResidueType::NON_POLYMER, false, "(2R)-N-(4-chloro-3-oxobutyl)-2,4-dihydroxy-3,3-dimethylbutanamide", 24657 },
	{ "TXL", "", "", ResidueType::NON_POLYMER, false, "TAXOTERE", 24658 },
	{ "TXN", "", "", ResidueType::NON_POLYMER, false, "", 24659 },
	{ "TXP", "", "", ResidueType::NON_POLYMER, false, "1,4,5,6-TETRAHYDRONICOTINAMIDE ADENINE DINUCLEOTIDE PHOSPHATE", 24660 },
	{ "TXQ", "", "", ResidueType::NON_POLYMER, false, "1,2,5,8-tetrahydroxyanthracene-9,10-dione", 24661 },
	{ "TXS", "", "", ResidueType::NON_POLYMER, false, "1-(2,5-dideoxy-5-pyrrolidin-1-yl-beta-L-erythro-pentofuranosyl)-5-methylpyrimidine-2,4(1H,3H)-dione", 24662 },
	{ "TXT", "", "", ResidueType::NON_POLYMER, false, "4,6-dideoxy-4-{[(1S,2R,3R,4S,5S)-2,3,4-trihydroxy-5-(hydroxymethyl)cyclohexyl]amino}-alpha-D-allopyranosyl-(1->4)-alpha-D-glucopyranosyl-(1->4)-alpha-D-glucopyranosyl-(1->4)-alpha-D-glucopyranose", 24663 },
	{ "TXW", "", "", ResidueType::NON_POLYMER, false, "5-methyl-7-propyl-1,6-naphthyridin-2(1H)-one", 24664 },
	{ "TXY", "", "", ResidueType::PEPTIDE_LINKING, false, "3-[(5S)-4,5-dihydroxycyclohexa-1,3-dien-1-yl]-L-alanine", 24665 },
	{ "TXZ", "", "", ResidueType::NON_POLYMER, false, "O-phosphono-N-(6-sulfanylhexanoyl)-L-threonine", 24666 },
	{ "TY0", "", "", ResidueType::PEPTIDE_LIKE, false, "(3S)-3-amino-4-(4-tert-butoxyphenyl)-1-hydroxybutan-2-one", 24667 },
	{ "TY1", "", "", ResidueType::PEPTIDE_LINKING, false, "O-tert-butyl-L-tyrosine", 24668 },
	{ "TY2", "", "", ResidueType::PEPTIDE_LINKING, false, "3-AMINO-L-TYROSINE", 24669 },
	{ "TY3", "", "DAH", ResidueType::PEPTIDE_LINKING, true, "3-HYDROXY-L-TYROSINE", 24670 },
	{ "TY4", "", "", ResidueType::NON_POLYMER, false, "4-bromo-2-({[(2-chlorophenyl)carbonyl]amino}methyl)-6-methylphenyl 2,4-dichlorobenzoate", 24671 },
	{ "TY5", "", "", ResidueType::PEPTIDE_LINKING, false, "O-benzyl-L-tyrosine", 24672 },
	{ "TY8", "", "", ResidueType::PEPTIDE_LINKING, false, "2,4-bis(hydroperoxy)-5-hydroxy-L-phenylalanine", 24673 },
	{ "TY9", "", "", ResidueType::PEPTIDE_LINKING, false, "3,4-bis(hydroperoxy)-5-hydroxy-L-phenylalanine", 24674 },
	{ "TYA", "", "", ResidueType::NON_POLYMER, false, "", 24675 },
	{ "TYB", "", "", ResidueType::PEPTIDE_LINKING, false, "TYROSINAL", 24676 },
	{ "TYC", "", "", ResidueType::NON_POLYMER, false, "L-TYROSINAMIDE", 24677 },
	{ "TYD", "", "", ResidueType::NON_POLYMER, false, "THYMIDINE-5'-DIPHOSPHATE", 24678 },
	{ "TYE", "", "", ResidueType::NON_POLYMER, false, "4-[(2S)-2-amino-3-hydroxypropyl]phenol", 24679 },
	{ "TYF", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-hydroxy-3-(4-hydroxyphenyl)propanoic acid", 24680 },
	{ "TYI", "", "", ResidueType::PEPTIDE_LINKING, false, "3,5-DIIODOTYROSINE", 24681 },
	{ "TYJ", "", "", ResidueType::PEPTIDE_LINKING, false, "2,5-dihydroxy-N-methyl-L-tyrosine", 24682 },
	{ "TYK", "", "", ResidueType::NON_POLYMER, false, "TYLOSIN", 24683 },
	{ "TYL", "NNS", "", ResidueType::NON_POLYMER, false, "N-(4-HYDROXYPHENYL)ACETAMIDE (TYLENOL)", 24684 },
	{ "TYM", "", "", ResidueType::NON_POLYMER, false, "TRYPTOPHANYL-5'AMP", 24685 },
	{ "TYN", "", "", ResidueType::PEPTIDE_LINKING, false, "AMINOBENZOFURAZAN-O-TYROSINE", 24686 },
	{ "TYO", "", "", ResidueType::PEPTIDE_LINKING, false, "(4Z,6E)-2-AMINO-7-HYDROPEROXY-4-[(E)-2-HYDROXYVINYL]HEPTA-4,6-DIENOIC ACID", 24687 },
	{ "TYP", "", "", ResidueType::NON_POLYMER, false, "CYCLO-(L-TYROSINE-L-PROLINE) INHIBITOR", 24688 },
	{ "TYQ", "", "", ResidueType::PEPTIDE_LINKING, false, "3-AMINO-6-HYDROXY-TYROSINE", 24689 },
	{ "TYR", "", "", ResidueType::PEPTIDE_LINKING, false, "TYROSINE", 24690 },
	{ "TYS", "STY", "", ResidueType::PEPTIDE_LINKING, false, "O-SULFO-L-TYROSINE", 24691 },
	{ "TYT", "", "", ResidueType::PEPTIDE_LINKING, false, "TYROSINE DERIVATIVE", 24692 },
	{ "TYU", "", "", ResidueType::RNA_LINKING, false, "TETRAHYDROURIDINE", 24693 },
	{ "TYV", "", "", ResidueType::SACCHARIDE, false, "TYVELOSE", 24694 },
	{ "TYW", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-2-amino-3-(4-hydroxyphenyl)propane-1,1-diol", 24695 },
	{ "TYX", "", "", ResidueType::PEPTIDE_LINKING, false, "S-(2-ANILINO-2-OXOETHYL)-L-CYSTEINE", 24696 },
	{ "TYY", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(4-HYDROXY-3-IMINO-6-OXO-CYCLOHEXA-1,4-DIENYL)-ALANINE", 24697 },
	{ "TYZ", "", "", ResidueType::NON_POLYMER, false, "PARA ACETAMIDO BENZOIC ACID", 24698 },
	{ "TZ1", "", "", ResidueType::NON_POLYMER, false, "N-{5-[(7-chloroquinolin-4-yl)sulfanyl]-1,3,4-thiadiazol-2-yl}thiophene-2-carboxamide", 24699 },
	{ "TZ2", "", "", ResidueType::NON_POLYMER, false, "~{N}-(2-azidoethyl)-1,2,3,4-tetrahydroacridin-9-amine", 24700 },
	{ "TZ4", "", "", ResidueType::NON_POLYMER, false, "3,8-DIAMINO-6-PHENYL-5-[6-[1-[2-[(1,2,3,4-TETRAHYDRO-9-ACRIDINYL)AMINO]ETHYL]-1H-1,2,3-TRIAZOL-4-YL]HEXYL]-PHENANTHRIDINIUM", 24701 },
	{ "TZ5", "", "", ResidueType::NON_POLYMER, false, "3,8-DIAMINO-6-PHENYL-5-[6-[1-[2-[(1,2,3,4-TETRAHYDRO-9-ACRIDINYL)AMINO]ETHYL]-1H-1,2,3-TRIAZOL-5-YL]HEXYL]-PHENANTHRIDINIUM", 24702 },
	{ "TZA", "", "", ResidueType::NON_POLYMER, false, "TRANS-AMICLENOMYCIN", 24703 },
	{ "TZB", "", "", ResidueType::PEPTIDE_LINKING, false, "(4S)-2-[(1E)-1-AMINOPROP-1-ENYL]-4,5-DIHYDRO-1,3-THIAZOLE-4-CARBOXYLIC ACID", 24704 },
	{ "TZC", "", "", ResidueType::NON_POLYMER, false, "1,2,4-TRIAZOLE-CARBOXAMIDINE", 24705 },
	{ "TZD", "", "", ResidueType::NON_POLYMER, false, "2-{3-[(4-AMINO-2-METHYLPYRIMIDIN-5-YL)METHYL]-4-METHYL-2-OXO-2,3-DIHYDRO-1,3-THIAZOL-5-YL}ETHYL TRIHYDROGEN DIPHOSPHATE", 24706 },
	{ "TZE", "", "", ResidueType::NON_POLYMER, false, "2-(4-METHYL-THIAZOL-5-YL)-ETHANOL", 24707 },
	{ "TZF", "", "", ResidueType::NON_POLYMER, false, "4-(1H-1,2,4-triazol-1-yl)phenol", 24708 },
	{ "TZG", "", "", ResidueType::NON_POLYMER, false, "(S)-2-amino-3-(2-(2-carboxyethyl)-5-chloro-4-nitrophenyl)propionic acid", 24709 },
	{ "TZL", "", "", ResidueType::NON_POLYMER, false, "2-(SEC-BUTYL)THIAZOLE", 24710 },
	{ "TZM", "", "", ResidueType::NON_POLYMER, false, "3-(1H-1,2,4-triazol-1-ylmethyl)aniline", 24711 },
	{ "TZN", "", "", ResidueType::NON_POLYMER, false, "[4-(4-amino-6,7-dimethoxyquinazolin-2-yl)piperazin-1-yl][(2R)-tetrahydrofuran-2-yl]methanone", 24712 },
	{ "TZO", "", "", ResidueType::PEPTIDE_LINKING, true, "1,3-THIAZOLE-4-CARBOXYLIC ACID", 24713 },
	{ "TZP", "THQ", "", ResidueType::NON_POLYMER, false, "4-METHYL-5-HYDROXYETHYLTHIAZOLE PHOSPHATE", 24714 },
	{ "TZT", "", "", ResidueType::NON_POLYMER, false, "SOBLIDOTIN", 24715 },
	{ "TZY", "", "", ResidueType::NON_POLYMER, false, "6-[4-(4-FLUOROPHENYL)-1,3-OXAZOL-5-YL]-3-ISOPROPYL[1,2,4]TRIAZOLO[4,3-A]PYRIDINE", 24716 },
	{ "TZZ", "", "", ResidueType::NON_POLYMER, false, "TRIMETHYL PHOSPHATE", 24717 },
	{ "U", "", "", ResidueType::RNA_LINKING, false, "URIDINE-5'-MONOPHOSPHATE", 24718 },
	{ "U01", "", "", ResidueType::NON_POLYMER, false, "3-[1-(4-BROMO-PHENYL)-2-METHYL-PROPYL]-4-HYDROXY-CHROMEN-2-ONE", 24719 },
	{ "U02", "", "", ResidueType::NON_POLYMER, false, "[2-(3-{[6-(1-BENZYL-PROPYL)-4-HYDROXY-2-OXO-2H-PYRAN-3-YL]-CYCLOPROPYL-METHYL}-PHENYLCARBAMOYL)-ETHYL]-CARBAMIC ACID TERT-BUTYL ESTER", 24720 },
	{ "U03", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-7-METHOXY-3-(1-PHENYL-PROPYL)-CHROMEN-2-ONE", 24721 },
	{ "U04", "", "", ResidueType::NON_POLYMER, false, "({3-[1-(4-HYDROXY-2-OXO-2H-CHROMEN-3-YL)-PROPYL]-PHENYLCARBAMOYL}-METHYL)-CARBAMIC ACID TERT-BUTYL ESTER", 24722 },
	{ "U05", "", "", ResidueType::NON_POLYMER, false, "6,11-DIHYDRO-11-ETHYL-6-METHYL-9-NITRO-5H-PYRIDO[2,3-B][1,5]BENZODIAZEPIN-5-ONE", 24723 },
	{ "U06", "", "", ResidueType::NON_POLYMER, false, "4-[3-[3-[2,4-bis(azanyl)-6-ethyl-pyrimidin-5-yl]prop-2-ynyl]-4-methoxy-phenyl]benzoic acid", 24724 },
	{ "U0E", "", "", ResidueType::NON_POLYMER, false, "N-[[1-[N-ACETAMIDYL]-[1-CYCLOHEXYLMETHYL-2-HYDROXY-4-ISOPROPYL]-BUT-4-YL]-CARBONYL]-GLUTAMINYL-ARGINYL-AMIDE", 24725 },
	{ "U1", "", "", ResidueType::NON_POLYMER, false, "URANIUM ATOM", 24726 },
	{ "U10", "", "", ResidueType::NON_POLYMER, false, "UBIQUINONE-10", 24727 },
	{ "U11", "", "", ResidueType::NON_POLYMER, false, "METHYL N-{(2S,3R)-3-AMINO-2-HYDROXY-3-[4-(TRIFLUOROMETHYL)PHENYL]PROPANOYL}ALANYLGLYCINATE", 24728 },
	{ "U12", "", "", ResidueType::NON_POLYMER, false, "5-IMINO-4-(3-TRIFLUOROMETHYL-PHENYLAZO)-5H-PYRAZOL-3-YLAMINE", 24729 },
	{ "U13", "", "", ResidueType::NON_POLYMER, false, "4-(4-FLUORO-PHENYLAZO)-5-IMINO-5H-PYRAZOL-3-YLAMINE", 24730 },
	{ "U14", "", "", ResidueType::NON_POLYMER, false, "3-(5-AMINO-3-IMINO-3H-PYRAZOL-4-YLAZO)-BENZOIC ACID", 24731 },
	{ "U15", "", "", ResidueType::NON_POLYMER, false, "METHYL N-[(2S,3R)-3-AMINO-2-HYDROXY-3-(4-METHYLPHENYL)PROPANOYL]-D-ALANYL-D-LEUCINATE", 24732 },
	{ "U16", "", "", ResidueType::NON_POLYMER, false, "METHYL N-[(2S,3R)-3-AMINO-2-HYDROXY-3-(4-ISOPROPYLPHENYL)PROPANOYL]-D-ALANYL-D-LEUCINATE", 24733 },
	{ "U17", "", "", ResidueType::NON_POLYMER, false, "METHYL N-[(2S,3R)-3-AMINO-2-HYDROXYHEPTANOYL]-L-SERYL-L-LEUCINATE", 24734 },
	{ "U18", "", "F89", ResidueType::NON_POLYMER, true, "(S)-2-(5-(((1,2-DIHYDRO-3-METHYL-1-OXOBENZO(F)QUINAZOLIN-9-YL)METHYL)AMINO)1-OXO-2-ISOINDOLINYL)GLUTARIC ACID", 24735 },
	{ "U19", "", "", ResidueType::NON_POLYMER, false, "5-IMINO-4-(2-TRIFLUOROMETHYL-PHENYLAZO)-5H-PYRAZOL-3-YLAMINE", 24736 },
	{ "U1K", "", "", ResidueType::NON_POLYMER, false, "(S)-2-AMINO-3-(3-HYDROXY-5-TERT-BUTYLISOTHIAZOL-4-YL) PROPRIONIC ACID", 24737 },
	{ "U1N", "", "", ResidueType::NON_POLYMER, false, "4-[(3R)-3-{[2-(4-FLUOROPHENYL)-2-OXOETHYL]AMINO}BUTYL]BENZAMIDE", 24738 },
	{ "U1P", "", "", ResidueType::NON_POLYMER, false, "", 24739 },
	{ "U1S", "", "", ResidueType::NON_POLYMER, false, "1-{5-deoxy-5-[4-(ethoxycarbonyl)piperidin-1-yl]-alpha-L-arabinofuranosyl}pyrimidine-2,4(1H,3H)-dione", 24740 },
	{ "U1T", "", "", ResidueType::NON_POLYMER, false, "5-methyl-3-[4-(pyrrolidin-1-ylmethyl)phenyl]isoquinolin-1(2H)-one", 24741 },
	{ "U20", "", "", ResidueType::NON_POLYMER, false, "uridine-5'-diphosphate-3-O-(R-3-hydroxymyristoyl)-N-acetyl-D-glucosamine", 24742 },
	{ "U21", "", "", ResidueType::NON_POLYMER, false, "uridine-5'-diphosphate-3-O-(R-3-hydroxydecanoyl)-N-acetyl-D-glucosamine", 24743 },
	{ "U22", "", "", ResidueType::NON_POLYMER, false, "uridine-5'-diphosphate-3-N-(R-3-hydroxylauroyl)-N-acetyl-D-glucosamine", 24744 },
	{ "U25", "", "U5P", ResidueType::RNA_LINKING, true, "URIDINE-5'-MONOPHOSPHATE", 24745 },
	{ "U2F", "", "", ResidueType::NON_POLYMER, false, "URIDINE-5'-DIPHOSPHATE-2-DEOXY-2-FLUORO-ALPHA-D-GLUCOSE", 24746 },
	{ "U2G", "", "", ResidueType::NON_POLYMER, false, "URIDYLYL-2'-5'-PHOSPHO-GUANOSINE", 24747 },
	{ "U2L", "", "", ResidueType::RNA_LINKING, false, "", 24748 },
	{ "U2N", "", "", ResidueType::DNA_LINKING, true, "", 24749 },
	{ "U2P", "", "", ResidueType::RNA_LINKING, false, "PHOSPHORIC ACID MONO-[2-(2,4-DIOXO-3,4-DIHYDRO-2H-PYRIMIDIN-1-YL)-4-HYDROXY-5-HYDROXYMETHYL-TETRAHYDRO-FURAN-3-YL] ESTER", 24750 },
	{ "U2S", "", "", ResidueType::NON_POLYMER, false, "1-(5-deoxy-5-morpholin-4-yl-alpha-L-arabinofuranosyl)pyrimidine-2,4(1H,3H)-dione", 24751 },
	{ "U2X", "", "", ResidueType::PEPTIDE_LINKING, false, "O-(cyclohexylmethyl)-L-tyrosine", 24752 },
	{ "U2Z", "", "", ResidueType::NON_POLYMER, false, "[1-[2-(aminomethyl)phenyl]-5-methyl-pyrazol-3-yl]methanol", 24753 },
	{ "U31", "", "", ResidueType::RNA_LINKING, false, "", 24754 },
	{ "U32", "", "", ResidueType::NON_POLYMER, false, "4-[(5-ISOPROPYL-1,3-THIAZOL-2-YL)AMINO]BENZENESULFONAMIDE", 24755 },
	{ "U33", "", "", ResidueType::DNA_LINKING, false, "", 24756 },
	{ "U34", "", "", ResidueType::RNA_LINKING, false, "", 24757 },
	{ "U36", "", "", ResidueType::RNA_LINKING, false, "2'-O-METHYOXYETHYL-URIDINE-5'-MONOPHOSPHATE", 24758 },
	{ "U37", "T31", "", ResidueType::RNA_LINKING, false, "", 24759 },
	{ "U3H", "", "", ResidueType::NON_POLYMER, false, "", 24760 },
	{ "U3M", "", "", ResidueType::NON_POLYMER, false, "3-quinolin-6-yl-5-quinolin-7-yl-benzoic acid", 24761 },
	{ "U3P", "", "", ResidueType::NON_POLYMER, false, "3'-URIDINEMONOPHOSPHATE", 24762 },
	{ "U3S", "", "", ResidueType::NON_POLYMER, false, "1-(5-deoxy-5-piperidin-1-yl-alpha-L-arabinofuranosyl)pyrimidine-2,4(1H,3H)-dione", 24763 },
	{ "U3X", "", "", ResidueType::PEPTIDE_LINKING, false, "4-[(cyclohexylmethyl)amino]-L-phenylalanine", 24764 },
	{ "U46", "", "", ResidueType::NON_POLYMER, false, "(5E)-7-{6-[(1E)-3-HYDROXYOCT-1-ENYL]-2-OXABICYCLO[2.2.1]HEPT-5-YL}HEPT-5-ENOIC ACID", 24765 },
	{ "U49", "", "", ResidueType::NON_POLYMER, false, "(20S)-19,20,21,22-TETRAHYDRO-19-OXO-5H-18,20-ETHANO-12,14-ETHENO-6,10-METHENO-18H-BENZ[D]IMIDAZO[4,3-K][1,6,9,12]OXATRIAZA-CYCLOOCTADECOSINE-9-CARBONITRILE", 24766 },
	{ "U4J", "", "", ResidueType::NON_POLYMER, false, "3-(4-methoxyphenyl)benzoic acid", 24767 },
	{ "U4S", "", "", ResidueType::NON_POLYMER, false, "1-(5-deoxy-5-pyrrolidin-1-yl-alpha-L-arabinofuranosyl)pyrimidine-2,4(1H,3H)-dione", 24768 },
	{ "U4W", "", "", ResidueType::NON_POLYMER, false, "N-[5-(3,5-DIFLUOROBENZYL)-1H-INDAZOL-3-YL]-2-[(4-HYDROXYCYCLOHEXYL)AMINO]-4-(4-METHYLPIPERAZIN-1-YL) BENZAMIDE", 24769 },
	{ "U51", "", "", ResidueType::NON_POLYMER, false, "(5Z)-7-{(1R,4S,5R,6R)-6-[(1E)-oct-1-en-1-yl]-2,3-diazabicyclo[2.2.1]hept-2-en-5-yl}hept-5-enoic acid", 24770 },
	{ "U52", "", "", ResidueType::NON_POLYMER, false, "2-[6-[[5-chloranyl-2-[(3~{S},5~{R})-3,5-dimethylpiperidin-1-yl]pyrimidin-4-yl]amino]-1-methyl-2-oxidanylidene-quinolin-3-yl]oxy-~{N}-methyl-ethanamide", 24771 },
	{ "U53", "", "", ResidueType::NON_POLYMER, false, "ethyl 4-(2-cyanoethylsulfanyl)-6-methoxy-quinoline-3-carboxylate", 24772 },
	{ "U55", "", "", ResidueType::NON_POLYMER, false, "4-[(6-AMINO-4-PYRIMIDINYL)AMINO]BENZENESULFONAMIDE", 24773 },
	{ "U5M", "", "", ResidueType::RNA_LINKING, false, "1-(2,6-dideoxy-2-fluoro-5-O-phosphono-alpha-L-talofuranosyl)pyrimidine-2,4(1H,3H)-dione", 24774 },
	{ "U5P", "U25", "", ResidueType::NON_POLYMER, false, "URIDINE-5'-MONOPHOSPHATE", 24775 },
	{ "U5R", "", "", ResidueType::NON_POLYMER, false, "1-(2,6-dideoxy-2-fluoro-5-O-phosphono-beta-D-allofuranosyl)pyrimidine-2,4(1H,3H)-dione", 24776 },
	{ "U63", "", "", ResidueType::NON_POLYMER, false, "2-deoxy-2-fluoro-4-O-beta-D-glucopyranosyl-beta-D-glucopyranose", 24777 },
	{ "U66", "", "", ResidueType::NON_POLYMER, false, "(20S)-19,20,22,23-TETRAHYDRO-19-OXO-5H,21H-18,20-ETHANO-12,14-ETHENO-6,10-METHENOBENZ[D]IMIDAZO[4,3-L][1,6,9,13]OXATRIAZACYCLONOADECOSINE-9-CARBONITRILE", 24778 },
	{ "U6B", "", "", ResidueType::NON_POLYMER, false, "4-AZANYL-N-[(2S)-1-AZANYLIDENE-3-[4-(4-CYANOPHENYL)PHENYL]PROPAN-2-YL]OXANE-4-CARBOXAMIDE", 24779 },
	{ "U6M", "", "", ResidueType::NON_POLYMER, false, "", 24780 },
	{ "U73", "", "", ResidueType::NON_POLYMER, false, "N-(5-ISOPROPYL-THIAZOL-2-YL)-2-PYRIDIN-3-YL-ACETAMIDE", 24781 },
	{ "U75", "", "", ResidueType::NON_POLYMER, false, "4-[3-[3-[2,4-bis(azanyl)-6-ethyl-pyrimidin-5-yl]prop-2-ynyl]-5-methoxy-phenyl]benzoic acid", 24782 },
	{ "U7E", "", "", ResidueType::NON_POLYMER, false, "5-(3-SULFAMOYLPHENYL)-1H-1,2,3,4-TETRAZOL-1-IDE", 24783 },
	{ "U85", "", "", ResidueType::NON_POLYMER, false, "1-((4'-((6-amino-3H-purin-3-yl)methyl)biphenyl-4-yl)methyl)-4-(dimethylamino)pyridinium", 24784 },
	{ "U89", "", "", ResidueType::NON_POLYMER, false, "N-[4-[[3-(2,4-DIAMINO-1,6-DIHYDRO-6-OXO-4-PYRIMIDINYL)-PROPYL]-[2-((2-OXO-2-((4-PHOSPHORIBOXY)-BUTYL)-AMINO)-ETHYL)-THIO-ACETYL]-AMINO]BENZOYL]-1-GLUTAMIC ACID", 24785 },
	{ "U8D", "", "", ResidueType::NON_POLYMER, false, "(3-{[3-(2-amino-2-oxoethyl)-1-benzyl-2-ethyl-1H-indol-5-yl]oxy}propyl)phosphonic acid", 24786 },
	{ "U8K", "", "", ResidueType::NON_POLYMER, false, "3-(phenylsulfonylamino)pyridine-2-carboxylic acid", 24787 },
	{ "U8U", "", "", ResidueType::RNA_LINKING, false, "5-METHYLAMINOMETHYL-2-THIOURIDINE-5'-MONOPHOSPHATE", 24788 },
	{ "U91", "", "", ResidueType::NON_POLYMER, false, "1,5-dimethyl-3-oxidanyl-~{N}-[2,3,5,6-tetrakis(fluoranyl)-4-phenyl-phenyl]pyrazole-4-carboxamide", 24789 },
	{ "U94", "", "", ResidueType::NON_POLYMER, false, "", 24790 },
	{ "U98", "", "", ResidueType::NON_POLYMER, false, "2-(3-(trifluoromethyl)anilino)pyridine-3-sulfonamide", 24791 },
	{ "UA1", "", "", ResidueType::NON_POLYMER, false, "N-(TERT-BUTOXYCARBONYL)-L-TYROSYL-N-METHYL-4-(SULFOAMINO)-L-PHENYLALANINAMIDE", 24792 },
	{ "UA2", "", "", ResidueType::NON_POLYMER, false, "3,4-PYRROLIDINEDIOL,2-(4-AMINO-5H-PYRROLO[3,2-D]PYRIMIDIN-7-YL)-5-(HYDROXYMETHYL)-2S,3S,4R,5R", 24793 },
	{ "UA3", "", "", ResidueType::NON_POLYMER, false, "", 24794 },
	{ "UA4", "", "", ResidueType::NON_POLYMER, false, "(2S)-6-(2,4-DIAMINO-6-ETHYLPYRIMIDIN-5-YL)-2-(3,5-DIFLUOROPHENYL)-4-(3-METHOXYPROPYL)-2-METHYL-2H-1,4-BENZOXAZIN-3(4H)-ONE", 24795 },
	{ "UA5", "", "", ResidueType::NON_POLYMER, false, "(4-ETHYLPHENYL)SULFAMIC ACID", 24796 },
	{ "UAA", "", "", ResidueType::NON_POLYMER, false, "URACIL-6-ACETIC ACID", 24797 },
	{ "UAD", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-5-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)-3,4-dihydroxytetrahydrofuran-2-yl]methyl (2S,3R,4S,5S)-3,4,5-trihydroxytetrahydro-2H-pyran-2-yl dihydrogen diphosphate", 24798 },
	{ "UAG", "", "", ResidueType::NON_POLYMER, false, "URIDINE-5'-DIPHOSPHATE-N-ACETYLMURAMOYL-L-ALANINE-D-GLUTAMATE", 24799 },
	{ "UAH", "", "", ResidueType::NON_POLYMER, false, "(5-hydroxy-6-methylpyridin-3-yl)methyl dihydrogen phosphate", 24800 },
	{ "UAL", "", "", ResidueType::PEPTIDE_LINKING, false, "(2Z)-2-amino-3-(carbamoylamino)prop-2-enoic acid", 24801 },
	{ "UAM", "", "", ResidueType::NON_POLYMER, false, "Amicoumacin A", 24802 },
	{ "UAN", "", "", ResidueType::NON_POLYMER, false, "9-METHYL-2-(METHYLAMINO)-1H-PURIN-6-ONE", 24803 },
	{ "UAP", "", "", ResidueType::NON_POLYMER, false, "4-deoxy-2-O-sulfo-alpha-L-threo-hex-4-enopyranuronic acid", 24804 },
	{ "UAR", "", "", ResidueType::RNA_LINKING, false, "", 24805 },
	{ "UB1", "", "", ResidueType::NON_POLYMER, false, "3-({3-[(2S)-2-amino-2-carboxyethyl]-5-methyl-2,6-dioxo-3,6-dihydropyrimidin-1(2H)-yl}methyl)-4,5-dibromothiophene-2-carboxylic acid", 24806 },
	{ "UB2", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(S)-({[(benzyloxy)carbonyl]amino}methyl)(hydroxy)phosphoryl]-L-alanyl-L-leucine", 24807 },
	{ "UB3", "", "", ResidueType::NON_POLYMER, false, "N-[(S)-({[(benzyloxy)carbonyl]amino}methyl)(hydroxy)phosphoryl]-L-valyl-L-leucine", 24808 },
	{ "UBA", "", "", ResidueType::NON_POLYMER, false, "(S)-1-(2-AMINO-2-CARBOXYETHYL)-3(2-CARBOXYTHIOPHENE-3-YL-METHYL)-5-METHYLPYRIMIDINE-2,4-DIONE", 24809 },
	{ "UBB", "", "", ResidueType::NON_POLYMER, false, "2',3'-DIDEOXY-URIDINE-5'-MONOPHOSPHATE", 24810 },
	{ "UBC", "", "", ResidueType::NON_POLYMER, false, "(S)-1-(2-AMINO-2-CARBOXYETHYL)-3-(2-CARBOXYBENZYL)PYRIMIDINE-2,4-DIONE", 24811 },
	{ "UBD", "", "", ResidueType::RNA_LINKING, false, "", 24812 },
	{ "UBE", "", "", ResidueType::NON_POLYMER, false, "3-({3-[(2S)-2-amino-2-carboxyethyl]-5-methyl-2,6-dioxo-3,6-dihydropyrimidin-1(2H)-yl}methyl)-5-phenylthiophene-2-carboxylic acid", 24813 },
	{ "UBF", "", "", ResidueType::NON_POLYMER, false, "3-({3-[(2S)-2-amino-2-carboxyethyl]-5-bromo-2,6-dioxo-3,6-dihydropyrimidin-1(2H)-yl}methyl)thiophene-2-carboxylic acid", 24814 },
	{ "UBI", "", "", ResidueType::DNA_LINKING, false, "", 24815 },
	{ "UBP", "", "", ResidueType::NON_POLYMER, false, "3-[3-(2-carboxyethyl)-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl]-L-alanine", 24816 },
	{ "UBR", "", "BRU", ResidueType::DNA_LINKING, true, "", 24817 },
	{ "UBS", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(S)-({[(benzyloxy)carbonyl]amino}methyl)(hydroxy)phosphoryl]-L-leucyl-L-valine", 24818 },
	{ "UBT", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(R)-({[(benzyloxy)carbonyl]amino}methyl)(hydroxy)phosphoryl]-L-leucylglycine", 24819 },
	{ "UBU", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(R)-({[(benzyloxy)carbonyl]amino}methyl)(hydroxy)phosphoryl]-N-ethyl-L-leucinamide", 24820 },
	{ "UBV", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(S)-({[(benzyloxy)carbonyl]amino}methyl)(hydroxy)phosphoryl]-L-leucyl-L-isoleucine", 24821 },
	{ "UBW", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(R)-({[(benzyloxy)carbonyl]amino}methyl)(hydroxy)phosphoryl]-L-leucyl-L-norvaline", 24822 },
	{ "UBX", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(S)-({[(benzyloxy)carbonyl]amino}methyl)(hydroxy)phosphoryl]-N-methyl-L-leucinamide", 24823 },
	{ "UBY", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(S)-({[(benzyloxy)carbonyl]amino}methyl)(hydroxy)phosphoryl]-L-leucyl-L-alanine", 24824 },
	{ "UBZ", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-2-({N-[(R)-({[(benzyloxy)carbonyl]amino}methyl)(hydroxy)phosphoryl]-L-leucyl}amino)butanoic acid", 24825 },
	{ "UC1", "", "", ResidueType::NON_POLYMER, false, "2-METHYL-FURAN-3-CARBOTHIOIC ACID [4-CHLORO-3-(3-METHYL-BUT-2-ENYLOXY)-PHENYL]-AMIDE", 24826 },
	{ "UC2", "", "", ResidueType::NON_POLYMER, false, "N-[4-CLORO-3-(T-BUTYLOXOME)PHENYL-2-METHYL-3-FURAN-CARBOTHIAMIDE", 24827 },
	{ "UC3", "", "", ResidueType::NON_POLYMER, false, "1-METHYL ETHYL 2-CHLORO-5-[[[(1-METHYLETHOXY)THIOOXO]METHYL]AMINO]-BENZOATE", 24828 },
	{ "UC4", "", "", ResidueType::NON_POLYMER, false, "1-METHYL ETHYL 1-CHLORO-5-[[(5,6DIHYDRO-2-METHYL-1,4-OXATHIIN-3-YL)CARBONYL]AMINO]BENZOATE", 24829 },
	{ "UC5", "", "", ResidueType::NON_POLYMER, false, "2'-DEOXY-5'-O-[(S)-HYDROXY(PHOSPHONOMETHYL)PHOSPHORYL]URIDINE", 24830 },
	{ "UC9", "", "", ResidueType::NON_POLYMER, false, "4-{6-[(2S)-4-(2,4-diamino-6-ethylpyrimidin-5-yl)but-3-yn-2-yl]-2H-1,3-benzodioxol-4-yl}benzoic acid", 24831 },
	{ "UCA", "", "", ResidueType::NON_POLYMER, false, "", 24832 },
	{ "UCB", "", "", ResidueType::NON_POLYMER, false, "1-(CYCLOHEPTYLMETHYL)-4-{[(2,7-DICHLORO-9H-XANTHEN-9-YL)CARBONYL]AMINO}-1-ETHYLPIPERIDINIUM", 24833 },
	{ "UCC", "", "", ResidueType::NON_POLYMER, false, "", 24834 },
	{ "UCD", "", "", ResidueType::SACCHARIDE, false, "(4S,5R,6R)-6-((2R,3R,4R,5R,6R)-3-ACETAMIDO-2,5-DIHYDROXY-6-(HYDROXYMETHYL)-TETRAHYDRO-2H-PYRAN-4-YLOXY)-4,5-DIHYDROXY-5,6-DIHYDRO-4H-PYRAN-2-CARBOXYLIC ACID", 24835 },
	{ "UCG", "", "", ResidueType::NON_POLYMER, false, "", 24836 },
	{ "UCK", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-1-(2-chlorophenyl)carbonyl-N-[(4-chlorophenyl)methyl]-4-oxidanyl-pyrrolidine-2-carboxamide", 24837 },
	{ "UCL", "", "", ResidueType::DNA_LINKING, false, "", 24838 },
	{ "UCM", "", "", ResidueType::NON_POLYMER, false, "REL-(9R,12S)-9,10,11,12-TETRAHYDRO-9,12-EPOXY-1H-DIINDOLO[1,2,3-FG:3',2',1'-KL]PYRROLO[3,4-I][1,6]BENZODIAZOCINE-1,3(2H)-DIONE", 24839 },
	{ "UCN", "", "", ResidueType::NON_POLYMER, false, "7-HYDROXYSTAUROSPORINE", 24840 },
	{ "UCP", "", "", ResidueType::NON_POLYMER, false, "PHOSPHOMETHYL PHOSPHONIC ACID DEOXYURIDYLATE ESTER", 24841 },
	{ "UD0", "", "", ResidueType::NON_POLYMER, false, "", 24842 },
	{ "UD1", "", "", ResidueType::NON_POLYMER, false, "URIDINE-DIPHOSPHATE-N-ACETYLGLUCOSAMINE", 24843 },
	{ "UD2", "", "", ResidueType::NON_POLYMER, false, "URIDINE-DIPHOSPHATE-N-ACETYLGALACTOSAMINE", 24844 },
	{ "UD4", "", "", ResidueType::NON_POLYMER, false, "UDP-2-acetamido-4-amino-2,4,6-trideoxy-alpha-D-glucopyranose", 24845 },
	{ "UD5", "", "", ResidueType::RNA_LINKING, false, "5-FLUOROURIDINE", 24846 },
	{ "UD6", "", "", ResidueType::NON_POLYMER, false, "", 24847 },
	{ "UD7", "", "", ResidueType::NON_POLYMER, false, "", 24848 },
	{ "UDA", "", "", ResidueType::NON_POLYMER, false, "3'-1-CARBOXY-1-PHOSPHONOOXY-ETHOXY-URIDINE-DIPHOSPHATE-N-ACETYLGLUCOSAMINE", 24849 },
	{ "UDB", "", "", ResidueType::NON_POLYMER, false, "(S)-N-(cyclopentylmethyl)-2-(3-(3,5-difluorophenyl)ureido)-N-(2-(hydroxyamino)-2-oxoethyl)-3,3-dimethylbutanamide", 24850 },
	{ "UDC", "", "", ResidueType::SACCHARIDE, false, "2-(acetylamino)-3-O-[(2S,3S)-2-carboxy-3,4-dihydroxybutan-2-yl]-2-deoxy-alpha-D-glucopyranose", 24851 },
	{ "UDD", "", "", ResidueType::NON_POLYMER, false, "N-[4-(trifluoromethyl)phenyl]-N-[1-[5-(trifluoromethyl)pyridin-2-yl]piperidin-4-yl]pyridin-3-amine", 24852 },
	{ "UDG", "", "", ResidueType::NON_POLYMER, false, "", 24853 },
	{ "UDH", "", "", ResidueType::NON_POLYMER, false, "6-AMINOHEXYL-URIDINE-C1,5'-DIPHOSPHATE", 24854 },
	{ "UDM", "", "", ResidueType::NON_POLYMER, false, "URIDINE-DIPHOSPHATE-METHYLENE-N-ACETYL-GLUCOSAMINE", 24855 },
	{ "UDN", "", "", ResidueType::NON_POLYMER, false, "Uridine-Diphosphate-Methylene-N-acetyl-galactosamine", 24856 },
	{ "UDO", "", "", ResidueType::NON_POLYMER, false, "(S)-2-(4-chlorophenyl)-2-pyridin-3-yl-1-[4-[4-(trifluoromethyl)phenyl]piperazin-1-yl]ethanone", 24857 },
	{ "UDP", "", "", ResidueType::RNA_LINKING, false, "URIDINE-5'-DIPHOSPHATE", 24858 },
	{ "UDR", "", "", ResidueType::NON_POLYMER, false, "(E)-S-Methyl 5-(1-(3,7-Dimethyl-2-oxo-2,3-dihydrobenzo[d]oxazol-5-yl)-5-(5-methyl-1,3,4-oxadiazol-2-yl)pent-1-enyl)-2-methoxy-3-methylbenzothioate", 24859 },
	{ "UDS", "", "", ResidueType::PEPTIDE_LINKING, false, "N-[(3-HYDROXYQUINOLIN-2-YL)CARBONYL]-D-SERINE", 24860 },
	{ "UDT", "", "", ResidueType::NON_POLYMER, false, "O-DECYL HYDROGEN THIOCARBONATE", 24861 },
	{ "UDX", "", "", ResidueType::NON_POLYMER, false, "URIDINE-5'-DIPHOSPHATE-XYLOPYRANOSE", 24862 },
	{ "UDY", "", "", ResidueType::NON_POLYMER, false, "6-fluoranyl-~{N}-(4-pyridin-2-yl-1,3-thiazol-2-yl)-1,3-benzothiazol-2-amine", 24863 },
	{ "UDZ", "", "", ResidueType::NON_POLYMER, false, "", 24864 },
	{ "UE1", "", "", ResidueType::NON_POLYMER, false, "", 24865 },
	{ "UEG", "", "", ResidueType::NON_POLYMER, false, "4,5-bis(hydroxymethyl)-2-methyl-pyridin-3-ol", 24866 },
	{ "UEK", "", "", ResidueType::NON_POLYMER, false, "N-{5-[(3S,4R)-1-[(3R)-3-amino-4-(4-chlorophenyl)butanoyl]-4-(hydroxymethyl)pyrrolidin-3-yl]-2-chlorophenyl}-2-(4-fluorophenyl)acetamide", 24867 },
	{ "UEN", "", "", ResidueType::NON_POLYMER, false, "N4-cyclohexyl-5-(4-fluorophenyl)-7H-pyrrolo[2,3-d]pyrimidine-2,4-diamine", 24868 },
	{ "UEP", "", "", ResidueType::NON_POLYMER, false, "", 24869 },
	{ "UET", "", "", ResidueType::NON_POLYMER, false, "N-(BENZYLSULFONYL)-D-PHENYLALANYL-N-(4-CARBAMIMIDOYLBENZYL)GLYCINAMIDE", 24870 },
	{ "UF0", "", "", ResidueType::PEPTIDE_LINKING, false, "O-[(R)-hydroxy{[(3R)-3-hydroxy-4-{[3-({2-[(hydroxyacetyl)amino]ethyl}amino)-3-oxopropyl]amino}-2,2-dimethyl-4-oxobutyl]oxy}phosphoryl]-L-serine", 24871 },
	{ "UF2", "", "", ResidueType::DNA_LINKING, false, "1-(2-deoxy-2-fluoro-5-O-phosphono-beta-D-arabinofuranosyl)pyrimidine-2,4(1H,3H)-dione", 24872 },
	{ "UFE", "", "", ResidueType::NON_POLYMER, false, "Fe(III) Uroporphyrin", 24873 },
	{ "UFG", "", "", ResidueType::NON_POLYMER, false, "URIDINE-5'-DIPHOSPHATE-4-DEOXY-4-FLUORO-ALPHA-D-GALACTOSE", 24874 },
	{ "UFM", "", "", ResidueType::NON_POLYMER, false, "URIDINE-5'-DIPHOSPHATE-MANNOSE", 24875 },
	{ "UFO", "", "", ResidueType::NON_POLYMER, false, "1-(1,4-dimethyl-1,2,3,4-tetrahydroquinoxalin-6-yl)methanamine", 24876 },
	{ "UFP", "", "", ResidueType::DNA_LINKING, false, "5-FLUORO-2'-DEOXYURIDINE-5'-MONOPHOSPHATE", 24877 },
	{ "UFR", "", "", ResidueType::DNA_LINKING, false, "", 24878 },
	{ "UFT", "", "", ResidueType::DNA_LINKING, false, "", 24879 },
	{ "UFV", "", "", ResidueType::NON_POLYMER, false, "3-BROMO-5-(TRIFLUOROMETHYL)BENZENE-1,2-DIAMINE", 24880 },
	{ "UFZ", "", "", ResidueType::NON_POLYMER, false, "(phenylmethyl)azanium", 24881 },
	{ "UGA", "", "", ResidueType::NON_POLYMER, false, "", 24882 },
	{ "UGB", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4S,5R,6R)-6-[[[(2R,3S,4R,5R)-5-(2,4-dioxopyrimidin-1-yl)-3,4-dihydroxy-oxolan-2-yl]methoxy-hydroxy-phosphoryl]oxy-hydroxy-phosphoryl]oxy-3,4,5-trihydroxy-oxane-2-carboxylic acid", 24883 },
	{ "UGC", "", "", ResidueType::NON_POLYMER, false, "(2S)-(carbamoylamino)(hydroxy)ethanoic acid", 24884 },
	{ "UGI", "", "", ResidueType::NON_POLYMER, false, "5-(6-morpholin-4-yl-2-pyrrolidin-1-yl-pyrimidin-4-yl)-4-(trifluoromethyl)pyridin-2-amine", 24885 },
	{ "UGJ", "", "", ResidueType::NON_POLYMER, false, "3,6-Diamino-4-(2-chlorophenyl)thieno[2,3-b]pyridine-2,5-dicarbonitrile", 24886 },
	{ "UGT", "", "", ResidueType::NON_POLYMER, false, "N-[3-[[(3R)-pyrrolidin-3-yl]oxymethyl]phenyl]thiophene-2-carboximidamide", 24887 },
	{ "UGX", "", "", ResidueType::NON_POLYMER, false, "N-(2,2-dimethylpropyl)-2-[1-oxo-7-(thiophen-3-yl)-1,2,3,4-tetrahydropyrrolo[1,2-a]pyrazin-4-yl]acetamide", 24888 },
	{ "UGY", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-amino(carbamoylamino)ethanoic acid", 24889 },
	{ "UHB", "", "", ResidueType::NON_POLYMER, false, "2-[4-[(2S,3S,4R,5R)-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]carbonylpiperazin-1-yl]-N-(1-oxidanylidene-2,3-dihydroisoindol-4-yl)ethanamide", 24890 },
	{ "UHD", "", "", ResidueType::NON_POLYMER, false, "6-HYDROXY-5-UNDECYL-1,3-BENZOTHIAZOLE-4,7-DIONE", 24891 },
	{ "UHF", "", "", ResidueType::NON_POLYMER, false, "N-((2R,4S)-2-butyl-5-methyl-4-(3-(5-methylpyridin-2-yl)ureido)-3-oxohexyl)-N-hydroxyformamide", 24892 },
	{ "UHH", "", "", ResidueType::NON_POLYMER, false, "(3ALPHA,5ALPHA,7ALPHA,8ALPHA,12ALPHA,14BETA,17ALPHA)-3,7,12-TRIHYDROXYCHOL-1-EN-24-AMIDE", 24893 },
	{ "UHX", "", "", ResidueType::NON_POLYMER, false, "6-(4-fluorophenyl)-5-(4-methoxyphenyl)-7H-pyrrolo[2,3-d]pyrimidine-2,4-diamine", 24894 },
	{ "UI1", "", "", ResidueType::NON_POLYMER, false, "6-[(Z)-AMINO(IMINO)METHYL]-N-[4-(AMINOMETHYL)PHENYL]-4-(PYRIMIDIN-2-YLAMINO)-2-NAPHTHAMIDE", 24895 },
	{ "UI2", "", "", ResidueType::NON_POLYMER, false, "8-(PYRIMIDIN-2-YLAMINO)NAPHTHALENE-2-CARBOXIMIDAMIDE", 24896 },
	{ "UI3", "", "", ResidueType::NON_POLYMER, false, "7-METHOXY-8-[1-(METHYLSULFONYL)-1H-PYRAZOL-4-YL]NAPHTHALENE-2-CARBOXIMIDAMIDE", 24897 },
	{ "UIB", "", "", ResidueType::NON_POLYMER, false, "(1R,3AS,4R,8AS,8BR)-4-{5-(PHENYL[1,3]DIOXOL-5-YLMETHYL)-4-ETHYL-2,3,3-TRIMETHYL-6-OXO-OCTAHYDRO-PYRROLO[3,4-C]PYRROL-1-YL}-BENZAMIDINE", 24898 },
	{ "UIC", "", "GRL", ResidueType::NON_POLYMER, true, "(3AS,5R,6AR)-HEXAHYDRO-2H-CYCLOPENTA[B]FURAN-5-YL {(1S,2R)-1-BENZYL-2-HYDROXY-3-[{[4-(HYDROXYMETHYL)PHENYL]SULFONYL}(ISOBUTYL)AMINO]PROPYL}CARBAMATE", 24899 },
	{ "UIH", "", "", ResidueType::NON_POLYMER, false, "6-(4-bromophenyl)-5-phenyl-7H-pyrrolo[2,3-d]pyrimidine-2,4-diamine", 24900 },
	{ "UIN", "", "", ResidueType::NON_POLYMER, false, "5,6,7,8,9,10-HEXAHYDRO-4-HYDROXY-3-(1-PHENYLPROPYL)CYCLOOCTA[B]PYRAN-2-ONE", 24901 },
	{ "UIP", "", "", ResidueType::NON_POLYMER, false, "(1R,3AS,4R,8AS,8BR)-4-(2-BENZO[1,3]DIOXOL-5-YLMETHYL-1-ETHYL-3-OXO-DECAHYDRO-PYRROLO[3,4-A]PYRROLIZIN-4-YL)-BENZAMIDINE", 24902 },
	{ "UIQ", "", "", ResidueType::NON_POLYMER, false, "(1R,3AS,4R,8AS,8BR)-4-(2-BENZO[1,3]DIOXOL-5-YLMETHYL-1-ISOPROPYL-3-OXO-DECAHYDRO-PYRROLO[3,4-A]PYRROLIZIN-4-YL)-BENZAMIDINE", 24903 },
	{ "UIR", "", "", ResidueType::NON_POLYMER, false, "(1R,3AS,4R,8AS,8BR)-4-(2-BENZO[1,3]DIOXOL-5-YL-1-CYCLOPROPYL-3-OXO-DECAHYDRO-PYRROLO[3,4-A]PYRROLIZIN-4-YL)-BENZAMIDINE", 24904 },
	{ "UIZ", "", "", ResidueType::NON_POLYMER, false, "(1R,3AS,4R,8AS,8BR)-4-(2-BENZO[1,3]DIOXOL-5-YLMETHYL)-1-BENZYL-3-OXO-DECAHYDRO-PYRROLO[3,4-A]PYRROZILIN-4-YL-BENZAMIDINE", 24905 },
	{ "UJ6", "", "", ResidueType::NON_POLYMER, false, "5-{[(3S)-2-oxo-2,3-dihydro-1H-indol-3-yl]methyl}-1,3-benzodioxole-4-carboxylic acid", 24906 },
	{ "UJB", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-[(5-chloro-2-thienyl)methyl]-8-[(3R,5R)-3,5-dimethylmorpholin-4-yl]-2-(trifluoromethyl)-3,4-dihydro-2H-pyrimido[1,2-a]pyrimidin-6-one", 24907 },
	{ "UKA", "", "", ResidueType::NON_POLYMER, false, "6-(2,2-diphenylethylamino)-9-[(2R,3R,4S,5S)-5-(ethylcarbamoyl)-3,4-dihydroxy-oxolan-2-yl]-N-[2-[(1-pyridin-2-ylpiperidin-4-yl)carbamoylamino]ethyl]purine-2-carboxamide", 24908 },
	{ "UKC", "", "", ResidueType::NON_POLYMER, false, "8-ETHYL-6-METHOXY-3-METHYL-8H-1,3A,7,8,9-PENTAAZA-DIBENZO[E,H]AZULENE", 24909 },
	{ "UKP", "", "", ResidueType::NON_POLYMER, false, "[2,4,6-TRIISOPROPYL-PHENYLSULFONYL-L-[3-AMIDINO-PHENYLALANINYL]]-N'-BETA-ALANINYL-PIPERAZINE", 24910 },
	{ "UKW", "", "", ResidueType::NON_POLYMER, false, "4-ethynyl-N-[(1S,2R)-2-hydroxy-1-(oxocarbamoyl)propyl]benzamide", 24911 },
	{ "UL4", "", "", ResidueType::NON_POLYMER, false, "3-[(5-acetyl-2-ethoxyphenyl)carbamoyl]benzoic acid", 24912 },
	{ "UL7", "", "", ResidueType::NON_POLYMER, false, "1-{1-[(3-bromo-5-chloro-2-hydroxyphenyl)methyl piperidin-4-yl}piperidin-4-ol]", 24913 },
	{ "ULA", "", "", ResidueType::NON_POLYMER, false, "ULAPUALIDE A", 24914 },
	{ "ULF", "", "", ResidueType::NON_POLYMER, false, "[(1R,3R,4R,5R,7S)-3-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)-5-fluoro-7-hydroxy-2-oxabicyclo[2.2.1]hept-1-yl]methyl dihydrogen phosphate", 24915 },
	{ "ULI", "", "", ResidueType::NON_POLYMER, false, "tetracontane", 24916 },
	{ "ULP", "", "", ResidueType::NON_POLYMER, false, "", 24917 },
	{ "UM0", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[[(2R)-2-[(2S,3R,4R,5S,6R)-3-acetamido-2,5-dihydroxy-6-(hydroxymethyl)oxan-4-yl]oxypropanoyl]amino]propanoic acid", 24918 },
	{ "UM1", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R)-2-[[(2R)-2-(2-aminoethanoylamino)propanoyl]amino]propanoic acid", 24919 },
	{ "UM2", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-N-butyl-propanamide", 24920 },
	{ "UM3", "", "", ResidueType::NON_POLYMER, false, "", 24921 },
	{ "UMA", "", "", ResidueType::PEPTIDE_LINKING, false, "URIDINE-5'-DIPHOSPHATE-N-ACETYLMURAMOYL-L-ALANINE", 24922 },
	{ "UMC", "", "", ResidueType::NON_POLYMER, false, "", 24923 },
	{ "UMF", "", "", ResidueType::NON_POLYMER, false, "", 24924 },
	{ "UMG", "", "", ResidueType::NON_POLYMER, false, "METHYL-UMBELLIFERTL-N-ACETYL-CHITOTRIOSE", 24925 },
	{ "UMK", "", "", ResidueType::NON_POLYMER, false, "4-(4-BROMOPHENYL)PIPERIDIN-4-OL", 24926 },
	{ "UML", "", "", ResidueType::NON_POLYMER, false, "", 24927 },
	{ "UMO", "", "", ResidueType::NON_POLYMER, false, "", 24928 },
	{ "UMP", "", "", ResidueType::NON_POLYMER, false, "", 24929 },
	{ "UMQ", "", "", ResidueType::NON_POLYMER, false, "UNDECYL-MALTOSIDE", 24930 },
	{ "UMS", "", "", ResidueType::DNA_LINKING, false, "2'-METHYLSELENYL-2'-DEOXYURIDINE-5'-PHOSPHATE", 24931 },
	{ "UMX", "", "", ResidueType::DNA_LINKING, false, "[(1R,3R,4R,5S,7S)-3-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)-7-hydroxy-5-methyl-2-oxabicyclo[2.2.1]hept-1-yl]methyl dihydrogen phosphate", 24932 },
	{ "UN1", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINOHEXANEDIOIC ACID", 24933 },
	{ "UN2", "", "", ResidueType::PEPTIDE_LINKING, false, "2-AMINO-4,4-DIHYDROXYBUTANOIC ACID", 24934 },
	{ "UN3", "", "", ResidueType::NON_POLYMER, false, "(2-METHYL-5-PHENYL-2H-PYRAZOL-3-YL)-SULFAMIC ACID", 24935 },
	{ "UN4", "", "", ResidueType::NON_POLYMER, false, "5-{[(2-AMINO-9H-PURIN-6-YL)OXY]METHYL}-2-PYRROLIDINONE", 24936 },
	{ "UN5", "", "", ResidueType::NON_POLYMER, false, "{3(S)-METHYLCARBAMOYL-2-[3-(3-SULFOAMINO-PHENYL)-PROPIONYL]-1,2,3,4-TETRAHYDRO-ISOQUINOLIN-7-YL}-SULFAMIC ACID", 24937 },
	{ "UN6", "", "", ResidueType::NON_POLYMER, false, "(3-{[3-(3-SULFOAMINO-PHENYL)-PROPIONYLAMINO]-METHYL}-PHENYL)-SULFAMIC ACID", 24938 },
	{ "UN7", "", "", ResidueType::NON_POLYMER, false, "3-[3-(3(S)-METHYLCARBAMOYL-7-SULFOAMINO-3,4,-DIHYDRO-1H-ISOQUINOLIN-2-YL)-3-OXO-PROPYL]-BENZOIC ACID", 24939 },
	{ "UN8", "", "", ResidueType::NON_POLYMER, false, "N-(4-{[3-BUTYL-1-(2-FLUOROBENZYL)-2,6-DIOXO-2,3,6,7-TETRAHYDRO-1H-PURIN-8-YL]METHYL}PHENYL)-1-METHYL-1H-IMIDAZOLE-4-SULFONAMIDE", 24940 },
	{ "UN9", "", "", ResidueType::NON_POLYMER, false, "N-[(1-CHLORO-4-HYDROXYISOQUINOLIN-3-YL)CARBONYL]GLYCINE", 24941 },
	{ "UNA", "", "", ResidueType::NON_POLYMER, false, "UNDECANAL", 24942 },
	{ "UNB", "", "", ResidueType::NON_POLYMER, false, "N-(4-CARBAMIMIDOYL-BENZYL)-2-[2-HYDROXY-6-METHYL-3-(NAPHTHALENE-1-SULFONYLAMINO)-PHENYL]-ACETAMIDE", 24943 },
	{ "UNC", "", "", ResidueType::NON_POLYMER, false, "5-AMINO-6-NITROPYRIMIDINE-2,4(1H,3H)-DIONE", 24944 },
	{ "UND", "", "", ResidueType::NON_POLYMER, false, "UNDECANE", 24945 },
	{ "UNE", "", "", ResidueType::NON_POLYMER, false, "5-bromo-7-methoxy-1-benzofuran-2-carboxylic acid", 24946 },
	{ "UNF", "", "", ResidueType::NON_POLYMER, false, "4-O-(4-deoxy-beta-L-threo-hex-4-enopyranuronosyl)-beta-D-galactopyranuronic acid", 24947 },
	{ "UNG", "", "", ResidueType::NON_POLYMER, false, "4-O-(4-DEOXY-BETA-L-THREO-HEX-4-ENOPYRANURONOSYL)-ALPHA-D-GALACTOPYRANURONIC ACID", 24948 },
	{ "UNH", "", "", ResidueType::NON_POLYMER, false, "({1-[1-CARBAMOYL-PHENYL-METHYL)-CARBAMOYL]-METHYL}-AMINOOXALYL)-BUTYLCARBAMOYL)-3-METHYL-BUTYLCARBAMOYL)-CYCLOHEXYL-METHYL)-CARBAMIC ACID ISOBUTYL ESTER", 24949 },
	{ "UNI", "", "", ResidueType::NON_POLYMER, false, "4-CYANO-N-(3-CYCLOPROPYL(5,6,7,8,9,10-HEXAHYDRO-4-HYDROXY-2-OXO-CYCLOOCTA[B]PYRAN-3-YL)METHYL)PHENYL BENZENSULFONAMIDE", 24950 },
	{ "UNJ", "", "", ResidueType::NON_POLYMER, false, "5-bromo-1-benzofuran-2-carboxylic acid", 24951 },
	{ "UNK", "", "", ResidueType::PEPTIDE_LINKING, false, "UNKNOWN", 24952 },
	{ "UNL", "", "", ResidueType::NON_POLYMER, false, "Unknown ligand", 24953 },
	{ "UNM", "", "", ResidueType::NON_POLYMER, false, "7-[(cis-4-aminocyclohexyl)amino]-5-bromo-1-benzofuran-2-carboxylic acid", 24954 },
	{ "UNN", "", "", ResidueType::NON_POLYMER, false, "(6,7-DIFLUORO-QUINAZOLIN-4-YL)-(1-METHYL-2,2-DIPHENYL-ETHYL)-AMINE", 24955 },
	{ "UNP", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-hydroxy{[(S)-hydroxy(phosphonoamino)phosphoryl]oxy}phosphoryl]uridine", 24956 },
	{ "UNQ", "", "", ResidueType::NON_POLYMER, false, "5-{6-[(trans-4-aminocyclohexyl)amino]pyrazin-2-yl}-1-benzofuran-2-carboxylic acid", 24957 },
	{ "UNR", "", "", ResidueType::NON_POLYMER, false, "3-(2-hydroxy-2,2-diphosphonoethyl)-1-methylpyridinium", 24958 },
	{ "UNT", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-{4-[3-(5-methyl-2-phenyl-1,3-oxazol-4-yl)propyl]phenyl}-2-(2H-1,2,3-triazol-2-yl)propanoic acid", 24959 },
	{ "UNU", "", "", ResidueType::NON_POLYMER, false, "BENZAMIDE", 24960 },
	{ "UNV", "", "", ResidueType::NON_POLYMER, false, "6,7-dihydro-5H-cyclopenta[b]pyridine-6,6-diylbis(phosphonic acid)", 24961 },
	{ "UNX", "DUM", "", ResidueType::NON_POLYMER, false, "UNKNOWN ATOM OR ION", 24962 },
	{ "UO1", "", "", ResidueType::NON_POLYMER, false, "N-(1-acetyl-1H-indol-3-yl)-N-(5-hydroxy-2-methylphenyl)acetamide", 24963 },
	{ "UOC", "", "", ResidueType::NON_POLYMER, false, "undecan-2-one", 24964 },
	{ "UOI", "", "", ResidueType::NON_POLYMER, false, "3-methyl-N-(pyridin-4-yl)-1,2-oxazole-5-carboxamide", 24965 },
	{ "UOQ", "", "", ResidueType::NON_POLYMER, false, "undeca-2-one coenzyme A", 24966 },
	{ "UOX", "", "", ResidueType::PEPTIDE_LINKING, false, "3-(oxido-lambda~4~-selanyl)-L-alanine", 24967 },
	{ "UP1", "", "", ResidueType::NON_POLYMER, false, "URIDINE-5'-DIPHOSPHATE-2-DEOXY-2-FLUOROGALACTOSE", 24968 },
	{ "UP2", "", "", ResidueType::NON_POLYMER, false, "UROPORPHYRINOGEN III", 24969 },
	{ "UP3", "", "", ResidueType::NON_POLYMER, false, "", 24970 },
	{ "UP5", "", "", ResidueType::NON_POLYMER, false, "P1-(ADENOSINE-5'-P5-(URIDINE-5')PENTAPHOSPHATE", 24971 },
	{ "UP6", "", "", ResidueType::NON_POLYMER, false, "", 24972 },
	{ "UP8", "", "", ResidueType::NON_POLYMER, false, "3-AMINOBENZENE-1,2-DICARBOXYLIC ACID", 24973 },
	{ "UPA", "", "", ResidueType::NON_POLYMER, false, "URIDYLYL-2'-5'-PHOSPHO-ADENOSINE", 24974 },
	{ "UPC", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-[(R)-hydroxy{[(R)-hydroxy(phosphonooxy)phosphoryl]methyl}phosphoryl]uridine", 24975 },
	{ "UPE", "", "", ResidueType::DNA_LINKING, false, "", 24976 },
	{ "UPF", "", "", ResidueType::NON_POLYMER, false, "URIDINE-5'-DIPHOSPHATE-2-DEOXY-2-FLUOROGALACTOSE", 24977 },
	{ "UPG", "GUD", "", ResidueType::NON_POLYMER, false, "URIDINE-5'-DIPHOSPHATE-GLUCOSE", 24978 },
	{ "UPL", "", "", ResidueType::NON_POLYMER, false, "UNKNOWN BRANCHED FRAGMENT OF PHOSPHOLIPID", 24979 },
	{ "UPM", "", "", ResidueType::NON_POLYMER, false, "", 24980 },
	{ "UPN", "", "", ResidueType::NON_POLYMER, false, "", 24981 },
	{ "UPP", "", "", ResidueType::NON_POLYMER, false, "PHENYL-URIDINE-5'-DIPHOSPHATE", 24982 },
	{ "UPR", "", "", ResidueType::NON_POLYMER, false, "2'-DEOXYURIDINE-5'-ALPHA,BETA-AMINOPHOSPHORANE-TRIPHOSPHATE", 24983 },
	{ "UPS", "", "", ResidueType::DNA_LINKING, false, "2'-deoxy-5'-O-thiophosphonouridine", 24984 },
	{ "UPT", "", "", ResidueType::NON_POLYMER, false, "1-[(2R,3aR,4R,6R,6aR)-2-hydroxy-6-(hydroxymethyl)-2-sulfidotetrahydrofuro[3,4-d][1,3,2]dioxaphosphol-4-yl]pyrimidine-2,4(1H,3H)-dione", 24985 },
	{ "UPU", "", "", ResidueType::NON_POLYMER, false, "", 24986 },
	{ "UPV", "", "", ResidueType::RNA_LINKING, false, "", 24987 },
	{ "UPX", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(1E)-N-1H-IMIDAZOL-2-YLETHANEHYDRAZONOYL]PHENYL}-7-NITRO-1H-INDOLE-2-CARBOXAMIDE", 24988 },
	{ "UQ", "", "", ResidueType::NON_POLYMER, false, "Coenzyme Q10, (2Z,6E,10Z,14E,18E,22E,26Z)-isomer", 24989 },
	{ "UQ1", "", "", ResidueType::NON_POLYMER, false, "UBIQUINONE-1", 24990 },
	{ "UQ2", "", "", ResidueType::NON_POLYMER, false, "UBIQUINONE-2", 24991 },
	{ "UQ5", "", "", ResidueType::NON_POLYMER, false, "2,3-DIMETHOXY-5-METHYL-6-(3,11,15,19-TETRAMETHYL-EICOSA-2,6,10,14,18-PENTAENYL)-[1,4]BENZOQUINONE", 24992 },
	{ "UQ6", "", "", ResidueType::NON_POLYMER, false, "5-(3,7,11,15,19,23-HEXAMETHYL-TETRACOSA-2,6,10,14,18,22-HEXAENYL)-2,3-DIMETHOXY-6-METHYL-BENZENE-1,4-DIOL", 24993 },
	{ "UQ7", "", "", ResidueType::NON_POLYMER, false, "UBIQUINONE-7", 24994 },
	{ "UQ8", "", "", ResidueType::NON_POLYMER, false, "Ubiquinone-8", 24995 },
	{ "UQ9", "", "", ResidueType::NON_POLYMER, false, "Ubiquinone-9", 24996 },
	{ "UR2", "", "", ResidueType::NON_POLYMER, false, "4-[3-CARBOXYMETHYL-3-(4-PHOSPHONOOXY-BENZYL)-UREIDO]-4-[(3-CYCLOHEXYL-PROPYL)-METHYL-CARBAMOYL]BUTYRIC ACID", 24997 },
	{ "UR3", "3MU", "", ResidueType::RNA_LINKING, false, "3-METHYLURIDINE-5'-MONOPHOSHATE", 24998 },
	{ "URA", "", "", ResidueType::NON_POLYMER, false, "URACIL", 24999 },
	{ "URB", "", "", ResidueType::NON_POLYMER, false, "5-bromopyrimidine-2,4(1H,3H)-dione", 25000 },
	{ "URC", "", "", ResidueType::NON_POLYMER, false, "URIC ACID", 25001 },
	{ "URD", "", "", ResidueType::RNA_LINKING, false, "1-((2R,3R,4S,5R)-TETRAHYDRO-3,4-DIHYDROXY-5-(HYDROXYMETHYL)FURAN-2-YL)PYRIDINE-2,4(1H,3H)-DIONE", 25002 },
	{ "URE", "", "", ResidueType::NON_POLYMER, false, "UREA", 25003 },
	{ "URF", "", "", ResidueType::NON_POLYMER, false, "5-FLUOROURACIL", 25004 },
	{ "URI", "", "", ResidueType::NON_POLYMER, false, "URIDINE", 25005 },
	{ "URM", "", "", ResidueType::NON_POLYMER, false, "", 25006 },
	{ "URN", "", "", ResidueType::NON_POLYMER, false, "5,6-DIAMINOPYRIMIDINE-2,4(1H,3H)-DIONE", 25007 },
	{ "URO", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(1H-IMIDAZOL-4-YL)ACRYLIC ACID", 25008 },
	{ "URP", "", "", ResidueType::NON_POLYMER, false, "N-(AMINOCARBONYL)-BETA-ALANINE", 25009 },
	{ "URQ", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-(carbamoylamino)-2-methylpropanoic acid", 25010 },
	{ "URS", "", "", ResidueType::NON_POLYMER, false, "N-PHENYLTHIOUREA", 25011 },
	{ "URT", "", "", ResidueType::DNA_HYDROXY_TERMINUS, false, "({[(2R,5R)-5-(6-amino-9H-purin-9-yl)-4-fluoro-2,5-dihydrofuran-2-yl]oxy}methyl)phosphonic acid", 25012 },
	{ "URU", "", "", ResidueType::RNA_LINKING, false, "", 25013 },
	{ "URX", "", "", ResidueType::DNA_LINKING, false, "[(1R,3R,4R,5R,7S)-3-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)-7-hydroxy-5-methyl-2-oxabicyclo[2.2.1]hept-1-yl]methyl dihydrogen phosphate", 25014 },
	{ "URY", "", "K0I", ResidueType::NON_POLYMER, true, "3-[[2-pyridin-2-yl-6-(1,2,4,5-tetrahydro-3-benzazepin-3-yl)pyrimidin-4-yl]amino]propanoic acid", 25015 },
	{ "US1", "", "", ResidueType::DNA_LINKING, false, "", 25016 },
	{ "US2", "", "", ResidueType::DNA_LINKING, false, "", 25017 },
	{ "US3", "", "", ResidueType::DNA_LINKING, false, "1-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-5-methyl-2-selanylpyrimidin-4(1H)-one", 25018 },
	{ "US4", "", "", ResidueType::DNA_LINKING, false, "[(2R,3S,5R)-3-({[(2R,3S,5R)-5-(6-amino-9H-purin-9-yl)-3-hydroxytetrahydrofuran-2-yl]methoxy}methoxy)-5-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)tetrahydrofuran-2-yl]methyl dihydrogen phosphate", 25019 },
	{ "US5", "", "", ResidueType::RNA_LINKING, false, "1-(5-O-phosphono-beta-D-ribofuranosyl)-4-selanylpyrimidin-2(1H)-one", 25020 },
	{ "USC", "", "", ResidueType::NON_POLYMER, false, "5-[(methylsulfonyl)amino]benzene-1,3-dicarboxylic acid", 25021 },
	{ "USM", "", "", ResidueType::DNA_LINKING, false, "", 25022 },
	{ "USQ", "", "", ResidueType::NON_POLYMER, false, "SULFOQUINOVOSE-URIDINE-C1,5'-DIPHOSPHATE", 25023 },
	{ "UT0", "", "", ResidueType::NON_POLYMER, false, "1-[4-ethoxy-3-[(1-methylsulfonylindol-6-yl)amino]phenyl]ethanone", 25024 },
	{ "UTH", "", "", ResidueType::NON_POLYMER, false, "4-((2-(TERT-BUTYL)PHENYL)AMINO)-7-(3,5-dimethylisoxazol-4-yl)-1,8-naphthyridine-3-carboxylic acid", 25025 },
	{ "UTP", "", "", ResidueType::NON_POLYMER, false, "", 25026 },
	{ "UTX", "", "", ResidueType::NON_POLYMER, false, "2-cyano-3-((6-(((2-((2-cyanoethyl)(borocaptate-10B)sulfonio)acetyl)carbamoyl)oxy)hexyl)amino)quinoxaline 1,4-dioxide", 25027 },
	{ "UU3", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-[(1S)-1,2-bis(oxidanyl)ethyl]oxolane-2,3,4-trione", 25028 },
	{ "UU4", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-4-(L-serylamino)butanoic acid", 25029 },
	{ "UU5", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-4-[(oxoacetyl)amino]butanoic acid", 25030 },
	{ "UUA", "", "", ResidueType::NON_POLYMER, false, "uridine uronic acid", 25031 },
	{ "UUD", "", "", ResidueType::NON_POLYMER, false, "N-(1,3-BENZOTHIAZOL-2-YL)ACETAMIDE", 25032 },
	{ "UUL", "", "", ResidueType::NON_POLYMER, false, "4-{[4-(4-chlorophenyl)-1,3-thiazol-2-yl]amino}phenol", 25033 },
	{ "UUN", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-2-[(6-oxo-4-phenyl-1,6-dihydropyrimidin-2-yl)sulfanyl]acetamide", 25034 },
	{ "UUU", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,3S,4S,5R,6R)-5-amino-6-(hydroxymethyl)cyclohexane-1,2,3,4-tetrol", 25035 },
	{ "UV4", "", "", ResidueType::NON_POLYMER, false, "3-(benzoylamino)-N-oxobenzamide", 25036 },
	{ "UV8", "", "", ResidueType::NON_POLYMER, false, "3-bromo-4-[(1E)-2-(5,5,8,8-tetramethyl-5,6,7,8-tetrahydronaphthalen-2-yl)prop-1-en-1-yl]benzoic acid", 25037 },
	{ "UVC", "", "", ResidueType::NON_POLYMER, false, "URIDINE-2',3'-VANADATE", 25038 },
	{ "UVP", "", "", ResidueType::NON_POLYMER, false, "1-[(5E)-5,6-dideoxy-2-O-methyl-6-phosphono-beta-D-ribo-hex-5-enofuranosyl]-2,4-dihydroxypyrimidin-1-ium", 25039 },
	{ "UVW", "", "", ResidueType::NON_POLYMER, false, "ACETYLPHOSPHATE", 25040 },
	{ "UVX", "", "", ResidueType::DNA_LINKING, false, "[(1R,3R,4R,7S)-3-(2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)-7-hydroxy-5-methylidene-2-oxabicyclo[2.2.1]hept-1-yl]methyl dihydrogen phosphate", 25041 },
	{ "UW1", "", "", ResidueType::NON_POLYMER, false, "5-amino-1-tert-butyl-3-(7-ethoxyquinolin-3-yl)-1H-pyrazole-4-carboxamide", 25042 },
	{ "UW2", "", "", ResidueType::NON_POLYMER, false, "1-{4-amino-3-[2-(cyclopropyloxy)quinolin-6-yl]-1H-pyrazolo[3,4-d]pyrimidin-1-yl}-2-methylpropan-2-ol", 25043 },
	{ "UW3", "", "", ResidueType::NON_POLYMER, false, "5-amino-3-[7-(cyclobutyloxy)quinolin-3-yl]-1-cyclohexyl-1H-pyrazole-4-carboxamide", 25044 },
	{ "UW4", "", "", ResidueType::NON_POLYMER, false, "5-amino-1-tert-butyl-3-[2-(cyclobutyloxy)quinolin-6-yl]-1H-pyrazole-4-carboxamide", 25045 },
	{ "UW5", "", "", ResidueType::NON_POLYMER, false, "1-{4-amino-3-[6-(cyclopropyloxy)naphthalen-2-yl]-1H-pyrazolo[3,4-d]pyrimidin-1-yl}-2-methylpropan-2-ol", 25046 },
	{ "UW9", "", "", ResidueType::NON_POLYMER, false, "1-[(2S)-2-(dimethylamino)-3-methylbutyl]-3-(6-ethoxynaphthalen-2-yl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 25047 },
	{ "UWA", "", "", ResidueType::NON_POLYMER, false, "3-(7-ethoxynaphthalen-2-yl)-1-(2-methylpropyl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 25048 },
	{ "UWB", "", "", ResidueType::NON_POLYMER, false, "3-(7-ethoxynaphthalen-2-yl)-1-(piperidin-4-ylmethyl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 25049 },
	{ "UWN", "", "", ResidueType::NON_POLYMER, false, "[2-(phenylamino)benzene-1,4-diyl]bis{[4-(pyrrolidin-1-yl)piperidin-1-yl]methanone}", 25050 },
	{ "UWU", "", "", ResidueType::NON_POLYMER, false, "6-chloranyl-7-oxidanyl-4-phenyl-chromen-2-one", 25051 },
	{ "UWX", "", "", ResidueType::NON_POLYMER, false, "~{N}-[1,4-dimethyl-7-morpholin-4-yl-2,3-bis(oxidanylidene)quinoxalin-6-yl]-4-(2-methylpropyl)benzenesulfonamide", 25052 },
	{ "UX0", "", "", ResidueType::NON_POLYMER, false, "(1S,2R,3R,5R)-3-(HYDROXYMETHYL)-5-((5-METHOXYQUINAZOLIN-4-YL)AMINO)CYCLOPENTANE-1,2-DIOL", 25053 },
	{ "UX9", "", "", ResidueType::NON_POLYMER, false, "methyl [(2S)-1-{2-(2-{(3R,4S)-3-benzyl-4-hydroxy-1-[(1S,2R)-2-hydroxy-2,3-dihydro-1H-inden-1-yl]-2-oxopyrrolidin-3-yl}ethyl)-2-[4-(pyridin-4-yl)benzyl]hydrazinyl}-3,3-dimethyl-1-oxobutan-2-yl]carbamate", 25054 },
	{ "UXH", "", "", ResidueType::NON_POLYMER, false, "6,8-diamino-7-chloro-1-methyl-2-oxo-1,2-dihydropyrrolo[4,3,2-de]quinoline-4-carboxamide", 25055 },
	{ "UZ9", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-AMINO-6-({(4R)-4-[(10R,13S)-10,13-DIMETHYL-3-OXOHEXADECAHYDRO-1H-CYCLOPENTA[A]PHENANTHREN-17-YL]PENTANOYL}AMINO)HEXANOIC ACID", 25056 },
	{ "UZR", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-2'-triaza-1,2-dien-2-ium-1-yl-uridine-5'-monophosphate", 25057 },
	{ "V", "", "", ResidueType::NON_POLYMER, false, "VANADIUM ION", 25058 },
	{ "V02", "", "", ResidueType::NON_POLYMER, false, "3-[(R)-2-azanylethylsulfanyl-(3-ethylphenyl)-phenyl-methyl]phenol", 25059 },
	{ "V04", "", "", ResidueType::NON_POLYMER, false, "4-[(2-fluoro-4-iodophenyl)amino]-N-(2-hydroxyethoxy)-1H-indazole-5-carboxamide", 25060 },
	{ "V0L", "", "", ResidueType::NON_POLYMER, false, "volitinib", 25061 },
	{ "V0N", "", "", ResidueType::NON_POLYMER, false, "2-[(2R,3S,4R,5R)-1-[3-(4-fluorophenyl)propyl]-5-(hydroxymethyl)-3,4-bis(oxidanyl)pyrrolidin-2-yl]-N-methyl-ethanamide", 25062 },
	{ "V10", "", "", ResidueType::NON_POLYMER, false, "N^6^-[(1R)-2-[(1R)-1-carboxy-2-(methylsulfanyl)ethoxy]-2-oxo-1-(sulfanylmethyl)ethyl]-6-oxo-L-lysine", 25063 },
	{ "V11", "", "", ResidueType::NON_POLYMER, false, "[(1S,5R)-8-[(2R)-2-HYDROXY-2-PHENYL-ETHYL]-8-AZABICYCLO[3.2.1]OCTAN-3-YL] BENZOATE", 25064 },
	{ "V12", "", "", ResidueType::NON_POLYMER, false, "5'-[(1H-BENZIMIDAZOL-2-YLACETYL)AMINO]-5'-DEOXYCYTIDINE", 25065 },
	{ "V13", "", "", ResidueType::NON_POLYMER, false, "2,3,5,6-tetrafluoro-4-[(2-hydroxyethyl)sulfonyl]benzenesulfonamide", 25066 },
	{ "V14", "", "", ResidueType::NON_POLYMER, false, "3-(cyclooctylamino)-2,5,6-trifluoro-4-[(2-hydroxyethyl)sulfonyl]benzenesulfonamide", 25067 },
	{ "V15", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-6-(2-PHENYLETHYL)PYRIMIDIN-4(3H)-ONE", 25068 },
	{ "V1A", "", "", ResidueType::NON_POLYMER, false, "S-(1-oxyl-2,2,5,5-tetramethyl-2,5-dihydro-1H-imidazol-4-yl) methanesulfonothioate", 25069 },
	{ "V1F", "", "", ResidueType::NON_POLYMER, false, "3-(benzylamino)-2,5,6-trifluoro-4-[(2-phenylethyl)sulfonyl]benzenesulfonamide", 25070 },
	{ "V1N", "", "", ResidueType::NON_POLYMER, false, "[(2S,3R,4R,5R)-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl] 2-(1H-indol-3-yl)ethyl hydrogen phosphate", 25071 },
	{ "V1T", "", "", ResidueType::NON_POLYMER, false, "1,3-dimethyl-2-oxo-2,3-dihydro-1H-benzimidazole-5-carboxamide", 25072 },
	{ "V20", "", "", ResidueType::NON_POLYMER, false, "N6^-[(1R)-2-[(1S)-1-CARBOXY-2-(METHYLSULFANYL)ETHOXY]-2-OXO-1-(SULFANYLMETHYL)ETHYL]-6-OXO-L-LYSINE", 25073 },
	{ "V21", "", "", ResidueType::NON_POLYMER, false, "3-methylthiobenzimidazo[1,2-c][1,2,3]thiadiazol-7-sulfonamide", 25074 },
	{ "V24", "", "", ResidueType::NON_POLYMER, false, "N-[([1,1'-biphenyl]-4-yl)sulfonyl]-N-({1-[3,4,6-tri-O-acetyl-2-(acetylamino)-2-deoxy-beta-D-glucopyranosyl]-1H-1,2,3-triazol-4-yl}methyl)-D-valine", 25075 },
	{ "V25", "", "", ResidueType::NON_POLYMER, false, "ethyl 3-[(E)-2-amino-1-cyanoethenyl]-6,7-dichloro-1-methyl-1H-indole-2-carboxylate", 25076 },
	{ "V26", "", "", ResidueType::NON_POLYMER, false, "2,3,6-tris(fluoranyl)-5-(methylamino)-4-(2-phenylethylsulfonyl)benzenesulfonamide", 25077 },
	{ "V28", "", "", ResidueType::NON_POLYMER, false, "N-({1-[2-(acetylamino)-2-deoxy-beta-D-glucopyranosyl]-1H-1,2,3-triazol-4-yl}methyl)-N-[([1,1'-biphenyl]-4-yl)sulfonyl]-D-valine", 25078 },
	{ "V2C", "", "", ResidueType::NON_POLYMER, false, "methyl 3-chloro-2-(2-(1-(2-ethoxybenzyl)-1 H-imidazol-2-yl)ethyl)-4,6-dihydroxybenzoate", 25079 },
	{ "V2H", "", "", ResidueType::NON_POLYMER, false, "(1S,3R,5Z,7E,22E)-9,10-secoergosta-5,7,10,22-tetraene-1,3-diol", 25080 },
	{ "V2Z", "", "", ResidueType::NON_POLYMER, false, "3-PROPYL-5-(3-PYRIDYL)-1H-PYRAZIN-2-ONE", 25081 },
	{ "V30", "", "", ResidueType::NON_POLYMER, false, "2-[(5,6-dimethyl-4-oxo-3,4-dihydrothieno[2,3-d]pyrimidin-2-yl)sulfanyl]-N-(2-hydroxyethyl)acetamide", 25082 },
	{ "V35", "", "", ResidueType::NON_POLYMER, false, "D-1-(4-CHLOROPHENYL)-2-(ACETAMIDO)ETHANE BORONIC ACID", 25083 },
	{ "V36", "", "", ResidueType::NON_POLYMER, false, "L-1-(4-CHLOROPHENYL)-2-(ACETAMIDO)ETHANE BORONIC ACID", 25084 },
	{ "V37", "", "", ResidueType::NON_POLYMER, false, "[(1R,5S)-8-PHENETHYL-8-AZABICYCLO[3.2.1]OCTAN-3-YL] BENZOATE", 25085 },
	{ "V38", "", "", ResidueType::NON_POLYMER, false, "[(1R,5S)-8-[(2R)-2-HYDROXY-2-PHENYL-ETHYL]-8-METHYL-8-AZONIABICYCLO[3.2.1]OCTAN-3-YL] BENZOATE", 25086 },
	{ "V3L", "", "", ResidueType::RNA_LINKING, false, "", 25087 },
	{ "V45", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{(5S)-5-[(3-chlorophenyl)methyl]-2-oxo-1,3-oxazolidin-3-yl}-4-methyl-N-{(2S)-1-oxo-3-[(3S)-2-oxopyrrolidin-3-yl]propan-2-yl}pentanamide", 25088 },
	{ "V49", "", "", ResidueType::NON_POLYMER, false, "4-(1,3-benzothiazol-2-ylsulfanyl)-2,3,5,6-tetrakis(fluoranyl)benzenesulfonamide", 25089 },
	{ "V4E", "", "", ResidueType::NON_POLYMER, false, "Thiamine Triphosphate", 25090 },
	{ "V4O", "", "", ResidueType::NON_POLYMER, false, "CYCLO-TETRAMETAVANADATE", 25091 },
	{ "V4Z", "", "", ResidueType::NON_POLYMER, false, "5-chloranyl-N2-[(1S)-1-(5-fluoranylpyridin-2-yl)ethyl]-N4-(3-propan-2-yloxy-1H-pyrazol-5-yl)pyrimidine-2,4-diamine", 25092 },
	{ "V50", "", "", ResidueType::NON_POLYMER, false, "4-[(4,6-dimethylpyrimidin-2-yl)thio]-2,3,5,6-tetrafluorobenzenesulfonamide", 25093 },
	{ "V51", "", "", ResidueType::NON_POLYMER, false, "4-(1-adamantylamino)-2,3,5,6-tetrakis(fluoranyl)benzenesulfonamide", 25094 },
	{ "V55", "", "", ResidueType::NON_POLYMER, false, "4-hydroxy-3-methoxybenzaldehyde", 25095 },
	{ "V56", "", "", ResidueType::NON_POLYMER, false, "(4S,7S,17S)-17-(3-chlorophenyl)-7-(hydroxymethyl)-4-(2-methylpropyl)-1-oxa-3,6,11-triazacycloheptadecane-2,5,10-trione", 25096 },
	{ "V5A", "", "", ResidueType::NON_POLYMER, false, "adenosine-5'-vanadate", 25097 },
	{ "V5X", "", "", ResidueType::NON_POLYMER, false, "(2R)-N~8~-HYDROXY-2-{[(5-METHOXY-2-METHYL-1H-INDOL-3-YL)ACETYL]AMINO}-N~1~-[2-(2-PHENYL-1H-INDOL-3-YL)ETHYL]OCTANEDIAMIDE", 25098 },
	{ "V63", "", "", ResidueType::NON_POLYMER, false, "[(1R,5S)-8-AZABICYCLO[3.2.1]OCTAN-3-YL] BENZOATE", 25099 },
	{ "V64", "", "", ResidueType::NON_POLYMER, false, "tert-butyl [(4S,7S,10S)-7-(cyclohexylmethyl)-10-(hydroxymethyl)-5,8,13-trioxo-22-oxa-6,9,14,20,21-pentaazabicyclo[17.2.1]docosa-1(21),19-dien-4-yl]carbamate", 25100 },
	{ "V65", "", "", ResidueType::NON_POLYMER, false, "4-[(4-chlorobenzyl)(cyclohexyl)amino]-6-morpholin-4-yl-1,3,5-triazine-2-carboxamide", 25101 },
	{ "V66", "", "", ResidueType::NON_POLYMER, false, "tert-butyl [(4S,7S,10S)-7-(cyclohexylmethyl)-10-(hydroxymethyl)-5,8,13-trioxo-23-oxa-6,9,14,21,22-pentaazabicyclo[18.2.1]tricosa-1(22),20-dien-4-yl]carbamate", 25102 },
	{ "V68", "", "", ResidueType::NON_POLYMER, false, "1-[(1-methylpiperidin-4-yl)methyl]-3-[6-(2-methylpropoxy)naphthalen-2-yl]pyrazolo[3,4-d]pyrimidin-4-amine", 25103 },
	{ "V69", "", "", ResidueType::NON_POLYMER, false, "(4S,7S,17R)-7-(hydroxymethyl)-4-(2-methylpropyl)-17-pentyl-1-oxa-3,6,11-triazacycloheptadecane-2,5,10-trione", 25104 },
	{ "V6F", "", "", ResidueType::NON_POLYMER, false, "(4R)-1-acetyl-4-hydroxy-N-methyl-L-prolinamide", 25105 },
	{ "V71", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3S,4R,6S)-4,6-diamino-2,3-dihydroxycyclohexyl 2,6-diamino-2,4,6-trideoxy-4-fluoro-alpha-D-galactopyranoside", 25106 },
	{ "V78", "", "", ResidueType::NON_POLYMER, false, "", 25107 },
	{ "V7H", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(3-hydroxy-3-oxopropyl)-6-[[[2-[(phenylmethyl)carbamoyl]phenyl]methylamino]methyl]-2,3-dihydro-1,4-benzodioxine-5-carboxylic acid", 25108 },
	{ "V7O", "", "", ResidueType::NON_POLYMER, false, "META VANADATE", 25109 },
	{ "V7V", "", "", ResidueType::NON_POLYMER, false, "3-[3-(1~{H}-1,2,3,4-tetrazol-5-yl)phenyl]benzoic acid", 25110 },
	{ "V8W", "", "", ResidueType::NON_POLYMER, false, "(R)-azanyl-[(2S)-pyrrolidin-2-yl]methanol", 25111 },
	{ "V90", "", "", ResidueType::NON_POLYMER, false, "2-(cyclooctylamino)-3,5,6-trifluoro-4-[(2-hydroxyethyl)sulfanyl]benzenesulfonamide", 25112 },
	{ "V98", "", "", ResidueType::NON_POLYMER, false, "~{N}4-[(4-chlorophenyl)methyl]-~{N}4-cyclopentyl-~{N}1-(phenylmethyl)-~{N}1-(piperidin-4-ylmethyl)benzene-1,4-disulfonamide", 25113 },
	{ "V9C", "", "", ResidueType::NON_POLYMER, false, "2-phenylethylcarbamic acid", 25114 },
	{ "VA", "", "", ResidueType::NON_POLYMER, false, "(Z)-OCTADEC-11-ENYL ACETATE", 25115 },
	{ "VA1", "", "", ResidueType::NON_POLYMER, false, "{5-[(DIFORMYLAMINO)METHYL]-1-BENZOTHIEN-2-YL}BORONIC ACID", 25116 },
	{ "VA3", "", "", ResidueType::NON_POLYMER, false, "TRIVANADATE", 25117 },
	{ "VAA", "", "", ResidueType::NON_POLYMER, false, "N-[VALINYL]-N'-[ADENOSYL]-DIAMINOSUFONE", 25118 },
	{ "VAB", "", "", ResidueType::NON_POLYMER, false, "4-oxo-4-{[2-(prop-2-en-1-ylsulfanyl)-1,3-benzothiazol-6-yl]amino}butanoic acid", 25119 },
	{ "VAC", "", "", ResidueType::NON_POLYMER, false, "N,N-BIS(2-HYDROXY-1-INDANYL)-2,6- DIPHENYLMETHYL-4-HYDROXY-1,7-HEPTANDIAMIDE", 25120 },
	{ "VAD", "", "", ResidueType::PEPTIDE_LINKING, false, "DEAMINOHYDROXYVALINE", 25121 },
	{ "VAE", "", "", ResidueType::NON_POLYMER, false, "3-{[(E)-1-carboxy-2-phenylethenyl]oxy}-2-hydroxybenzoic acid", 25122 },
	{ "VAF", "", "", ResidueType::PEPTIDE_LINKING, true, "METHYLVALINE", 25123 },
	{ "VAH", "", "", ResidueType::PEPTIDE_LINKING, false, "(3R)-3-hydroxy-L-norvaline", 25124 },
	{ "VAI", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-2-amino-3-methylbutane-1,1-diol", 25125 },
	{ "VAK", "", "", ResidueType::NON_POLYMER, false, "methyl (1R,2R,4S)-2-ethyl-2,4,5,7-tetrahydroxy-6,11-dioxo-1,2,3,4,6,11-hexahydrotetracene-1-carboxylate", 25126 },
	{ "VAL", "", "", ResidueType::PEPTIDE_LINKING, false, "VALINE", 25127 },
	{ "VAM", "", "", ResidueType::NON_POLYMER, false, "METHYL 4-O-(4-THIO-BETA-D-GLUCOPYRANOSYL)-BETA-D-GLUCOPYRANOSIDE", 25128 },
	{ "VAO", "", "", ResidueType::NON_POLYMER, false, "2-(5-cyano-2-oxidanyl-phenyl)pyridine-4-carboxylic acid", 25129 },
	{ "VAP", "", "", ResidueType::NON_POLYMER, false, "6,7,8-trimethoxy-1,4-dimethylquinolin-2(1H)-one", 25130 },
	{ "VAR", "", "", ResidueType::NON_POLYMER, false, "9-amino-5-(2-aminopyrimidin-4-yl)pyrido[3',2':4,5]pyrrolo[1,2-c]pyrimidin-4-ol", 25131 },
	{ "VAS", "", "", ResidueType::PEPTIDE_LIKE, true, "(2S,4S,5S)-5-amino-6-cyclohexyl-4-hydroxy-2-(1-methylethyl)hexanoic acid", 25132 },
	{ "VAU", "", "", ResidueType::NON_POLYMER, false, "(1R,3S,4S,5R)-3-(aminomethyl)-1,3,4,5-tetrakis(oxidanyl)cyclohexane-1-carboxylic acid", 25133 },
	{ "VAW", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4S)-methyl 4-(2-(2-(1H-indol-3-yl)ethylamino)ethyl)-2-((2S,3R,4S,5S,6R)-3,4,5-trihydroxy-6-(hydroxymethyl)tetrahydro-2H-pyran-2-yloxy)-3-vinyl-3,4-dihydro-2H-pyran-5-carboxylate", 25134 },
	{ "VAZ", "", "", ResidueType::NON_POLYMER, false, "N^6^-{(1R)-2-{[(1S,2R)-1-carboxy-2-hydroxy-2-(methylsulfanyl)ethyl]oxy}-1-[(oxidosulfanyl)methyl]-2-oxoethyl}-6-oxo-L-lysine", 25135 },
	{ "VB1", "", "", ResidueType::PEPTIDE_LINKING, false, "N^6^-[(1R)-2-{[(1S)-1-carboxypropyl]amino}-2-oxo-1-(sulfanylmethyl)ethyl]-6-oxo-L-lysine", 25136 },
	{ "VBC", "", "", ResidueType::NON_POLYMER, false, "3-(4-aminophenyl)benzoic acid", 25137 },
	{ "VBM", "", "", ResidueType::NON_POLYMER, false, "METHYL {(7R)-6-CYANO-7-(4-CYANOPHENYL)-5-METHYL-4-[3-(TRIFLUOROMETHYL)PHENYL]-4,7-DIHYDRO[1,2,4]TRIAZOLO[1,5-A]PYRIMIDIN-2-YL}CARBAMATE", 25138 },
	{ "VBN", "", "", ResidueType::NON_POLYMER, false, "", 25139 },
	{ "VBP", "", "", ResidueType::NON_POLYMER, false, "4-({3-[(2R)-2-amino-2-carboxyethyl]-2,6-dioxo-3,6-dihydropyrimidin-1(2H)-yl}methyl)benzoic acid", 25140 },
	{ "VBZ", "", "", ResidueType::NON_POLYMER, false, "(1R,4R,5R,7R,8R)-2-Benzyl-5-hydroxymethyl-2-aza-bicyclo[2.2.2]octane-4,7,8-triol", 25141 },
	{ "VC1", "", "", ResidueType::NON_POLYMER, false, "methyl 3-chloro-2-(2-{2-[(4-fluorophenyl)methyl]phenyl}ethyl)-4,6-dihydroxybenzoate", 25142 },
	{ "VC2", "", "", ResidueType::NON_POLYMER, false, "(3S,5S,7aR)-2,2-dimethyl-5-(sulfanylmethyl)tetrahydro[1,3]thiazolo[4,3-b][1,3]thiazole-3-carboxylic acid", 25143 },
	{ "VC3", "", "", ResidueType::NON_POLYMER, false, "3-(4-nitrophenyl)-1H-pyrazole", 25144 },
	{ "VC4", "", "", ResidueType::NON_POLYMER, false, "methyl 2-[2-(2-benzylpyridin-3-yl)ethyl]-3-chloro-4,6-dihydroxybenzoate", 25145 },
	{ "VC5", "", "", ResidueType::NON_POLYMER, false, "methyl 2-[2-(2-benzylphenyl)ethyl]-3-chloro-4,6-dihydroxybenzoate", 25146 },
	{ "VCA", "", "", ResidueType::NON_POLYMER, false, "VACCENIC ACID", 25147 },
	{ "VCE", "", "", ResidueType::NON_POLYMER, false, "3-{[(E)-1-carboxy-2-cyclopropylethenyl]oxy}-2-hydroxybenzoic acid", 25148 },
	{ "VD1", "", "", ResidueType::NON_POLYMER, false, "5-{2-[1-(1-METHYL-PROPYL)-7A-METHYL-OCTAHYDRO-INDEN-4-YLIDENE]-ETHYLIDENE}-2-METHYLENE-CYCLOHEXANE-1,3-DIOL", 25149 },
	{ "VD2", "", "", ResidueType::NON_POLYMER, false, "5-{2-[1-(5-HYDROXY-1,5-DIMETHYL-HEXYL)-7A-METHYL-OCTAHYDRO-INDEN-4-YLIDENE]-ETHYLIDENE}-2-METHYL-CYCLOHEXANE-1,3-DIOL", 25150 },
	{ "VD3", "", "", ResidueType::NON_POLYMER, false, "(1S,3Z)-3-[(2E)-2-[(1R,3AR,7AS)-7A-METHYL-1-[(2R)-6-METHYLHEPTAN-2-YL]-2,3,3A,5,6,7-HEXAHYDRO-1H-INDEN-4-YLIDENE]ETHYLIDENE]-4-METHYLIDENE-CYCLOHEXAN-1-OL", 25151 },
	{ "VD4", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,7E,17Z)-17-(5-hydroxy-1,5-dimethylhexylidene)-2-methylene-9,10-secoestra-5,7-diene-1,3-diol", 25152 },
	{ "VD5", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,7E,17E)-17-(5-hydroxy-1,5-dimethylhexylidene)-2-methylene-9,10-secoestra-5,7-diene-1,3-diol", 25153 },
	{ "VD9", "", "", ResidueType::NON_POLYMER, false, "4-(propylsulfanyl)benzenesulfonamide", 25154 },
	{ "VDA", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3R,5Z)-17-{(1S)-1-[(2-ethyl-2-hydroxybutyl)sulfanyl]ethyl}-2-(2-hydroxyethoxy)-9,10-secoestra-5,7,16-triene-1,3-diol", 25155 },
	{ "VDB", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3R,5Z,7E)-17-{(1R)-1-[(2-ethyl-2-hydroxybutyl)sulfanyl]ethyl}-2-(2-hydroxyethoxy)-9,10-secoestra-5,7,16-triene-1,3-diol", 25156 },
	{ "VDL", "", "", ResidueType::PEPTIDE_LINKING, false, "(2R,3R)-2,3-DIAMINOBUTANOIC ACID", 25157 },
	{ "VDM", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,3R,6S)-4-(HYDROXYMETHYL)-6-{[(1S,2S,3S,4R,5R)-2,3,4-TRIHYDROXY-5-(HYDROXYMETHYL)CYCLOHEXYL]AMINO}CYCLOHEX-4-ENE-1,2,3-TRIOL", 25158 },
	{ "VDN", "", "", ResidueType::NON_POLYMER, false, "2-{2-ETHOXY-5-[(4-ETHYLPIPERAZIN-1-YL)SULFONYL]PHENYL}-5-METHYL-7-PROPYLIMIDAZO[5,1-F][1,2,4]TRIAZIN-4(1H)-ONE", 25159 },
	{ "VDO", "", "", ResidueType::NON_POLYMER, false, "[(1R,2R,3S,4S,5S)-2,3,4-TRIHYDROXY-5-{[(1S,4R,5S,6S)-4,5,6-TRIHYDROXY-3-(HYDROXYMETHYL)CYCLOHEX-2-EN-1-YL]AMINO}CYCLOHEXYL]METHYL DIHYDROGEN PHOSPHATE", 25160 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "", 25161 },
	{ "VDX", "", "", ResidueType::NON_POLYMER, false, "5-{2-[1-(5-HYDROXY-1,5-DIMETHYL-HEXYL)-7A-METHYL-OCTAHYDRO-INDEN-4-YLIDENE]-ETHYLIDENE}-4-METHYLENE-CYCLOHEXANE-1,3-DIOL", 25162 },
	{ "VDY", "", "", ResidueType::NON_POLYMER, false, "3-{2-[1-(5-HYDROXY-1,5-DIMETHYL-HEXYL)-7A-METHYL-OCTAHYDRO-INDEN-4-YLIDENE]-ETHYLIDENE}-4-METHYLENE-CYCLOHEXANOL", 25163 },
	{ "VDZ", "", "", ResidueType::NON_POLYMER, false, "5-{2-[1-(5-HYDROXY-1,5-DIMETHYL-HEXYL)-7A-METHYL-OCTAHYDRO-INDEN-4-YLIDENE]-ETHYLIDENE}-2-METHYLENE-CYCLOHEXANE-1,3-DIOL", 25164 },
	{ "VEA", "", "", ResidueType::NON_POLYMER, false, "5-OXA-PROTOPORPHYRIN IX CONTAINING FE", 25165 },
	{ "VEK", "", "", ResidueType::NON_POLYMER, false, "6-bromo-2-(1-methyl-1H-imidazol-5-yl)-7-{4-[(5-methyl-1,2-oxazol-3-yl)methyl]piperazin-1-yl}-1H-imidazo[4,5-b]pyridine", 25166 },
	{ "VER", "", "", ResidueType::NON_POLYMER, false, "IRON-OCTAETHYLPORPHYRIN", 25167 },
	{ "VES", "", "", ResidueType::NON_POLYMER, false, "Pyrrolidine", 25168 },
	{ "VET", "", "", ResidueType::DNA_LINKING, false, "[(1R,2S,4R)-2-HYDROXY-4-[(5R)-5-HYDROXY-5-METHYL-2,4-DIOXO-IMIDAZOLIDIN-1-YL]CYCLOPENTYL]METHYL DIHYDROGEN PHOSPHATE", 25169 },
	{ "VFB", "", "", ResidueType::NON_POLYMER, false, "3,4-dihydro[1,2,4]triazolo[1,5-a][3,1]benzimidazol-9-ium", 25170 },
	{ "VFC", "", "", ResidueType::NON_POLYMER, false, "N-[(2R)-1-(3-cyanoazetidin-1-yl)-1-oxidanylidene-propan-2-yl]-2-(6-fluoranyl-1-methyl-indazol-3-yl)-5H-pyrrolo[2,3-b]pyrazine-7-carboxamide", 25171 },
	{ "VFV", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-1-(3,4'-difluorobiphenyl-4-yl)-2-(1H-imidazol-1-yl)ethyl]-4-(5-phenyl-1,3,4-oxadiazol-2-yl)benzamide", 25172 },
	{ "VG0", "", "", ResidueType::NON_POLYMER, false, "N-{(1S,2R)-1-benzyl-2-hydroxy-3-[(1,1,5-trimethylhexyl)amino]propyl}-3-(ethylamino)-5-(2-oxopyrrolidin-1-yl)benzamide", 25173 },
	{ "VG1", "", "", ResidueType::SACCHARIDE, false, "ALPHA-D-GLUCOSE-1-PHOSPHATE-6-VANADATE", 25174 },
	{ "VG2", "", "", ResidueType::NON_POLYMER, false, "4-(2-aminoethoxy)-N-(3-chloro-5-piperidin-1-ylphenyl)-3,5-dimethylbenzamide", 25175 },
	{ "VG3", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R)-1-benzyl-3-{[(1S)-2-(cyclohexylamino)-1-methyl-2-oxoethyl]amino}-2-hydroxypropyl]-3-(pentylsulfonyl)benzamide", 25176 },
	{ "VG4", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R)-1-benzyl-3-{[(1S)-2-(cyclohexylamino)-1-methyl-2-oxoethyl]amino}-2-hydroxypropyl]-3-(2-oxo-2,3-dihydro-1H-pyrrol-1-yl)-5-propoxybenzamide", 25177 },
	{ "VG5", "", "", ResidueType::NON_POLYMER, false, " N-[(1S,2R)-1-benzyl-3-{[(1S)-2-(cyclohexylamino)-1-methyl-2-oxoethyl]amino}-2-hydroxypropyl]-3-(ethylamino)-5-(2-oxopyrrolidin-1-yl)benzamide", 25178 },
	{ "VG6", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R)-1-benzyl-2-hydroxy-3-{[3-(trifluoromethyl)benzyl]amino}propyl]-3-(ethylamino)-5-(2-oxopyrrolidin-1-yl)benzamide", 25179 },
	{ "VG7", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R)-1-benzyl-3-(cyclohexylamino)-2-hydroxypropyl]-3-(ethylamino)-5-(2-oxopyrrolidin-1-yl)benzamide", 25180 },
	{ "VG8", "", "", ResidueType::NON_POLYMER, false, "4-(1,4'-bipiperidin-1'-yl)-7-({5-chloro-2-[(2-methoxyphenyl)amino]pyrimidin-4-yl}amino)-2-methyl-2,3-dihydro-1H-isoindol-1-one", 25181 },
	{ "VG9", "", "", ResidueType::NON_POLYMER, false, "6-{[(2,5-DIETHOXYPHENYL)AMINO]METHYL}-5-METHYLPYRIDO[2,3-D]PYRIMIDINE-2,4-DIAMINE", 25182 },
	{ "VGA", "", "", ResidueType::NON_POLYMER, false, "1-[(3S)-5-PHENYL-3-THIOPHEN-2-YL-3H-1,4-BENZODIAZEPIN-2-YL]AZETIDIN-3-OL", 25183 },
	{ "VGB", "", "", ResidueType::NON_POLYMER, false, "(5R,6R,7R,8S)-6,7-dihydroxy-5-(hydroxymethyl)-2-(2-phenylethyl)-8-(propanoylamino)-5,6,7,8-tetrahydro-1H-imidazo[1,2-a]pyridin-4-ium", 25184 },
	{ "VGC", "", "", ResidueType::NON_POLYMER, false, "6-CYCLOHEXYL-4-METHYL-5-PHENYL-4H-THIENO[3,2-B]PYRROLE-2-CARBOXYLIC ACID", 25185 },
	{ "VGD", "", "", ResidueType::NON_POLYMER, false, "6-chloro-1H-benzimidazol-2-amine", 25186 },
	{ "VGF", "", "", ResidueType::NON_POLYMER, false, "1-(3,4-DICHLOROBENZYL)-7-PHENYL-1H-BENZIMIDAZOL-2-AMINE", 25187 },
	{ "VGG", "", "", ResidueType::NON_POLYMER, false, "1-tert-butyl-3-(3-methylbenzyl)-1H-pyrazolo[3,4-d]pyrimidin-4-amine", 25188 },
	{ "VGH", "", "", ResidueType::NON_POLYMER, false, "3-[(1R)-1-(2,6-dichloro-3-fluorophenyl)ethoxy]-5-(1-piperidin-4-yl-1H-pyrazol-4-yl)pyridin-2-amine", 25189 },
	{ "VGI", "", "", ResidueType::NON_POLYMER, false, "2-(3-BROMOPHENYL)-6-[(2-HYDROXYETHYL)AMINO]-1H-BENZO[DE]ISOQUINOLINE-1,3(2H)-DIONE", 25190 },
	{ "VGJ", "", "", ResidueType::NON_POLYMER, false, "(3R,7S,11S)-3,7,11,15-tetramethylhexadecanoic acid", 25191 },
	{ "VGK", "", "", ResidueType::NON_POLYMER, false, "4-[2-AMINO-5-(3,4,5-TRIMETHOXYPHENYL)PYRIDIN-3-YL]BENZOIC ACID", 25192 },
	{ "VGL", "", "", ResidueType::NON_POLYMER, false, "PYRAZINE-2-CARBOXYLIC ACID", 25193 },
	{ "VGM", "", "", ResidueType::NON_POLYMER, false, "4-[2-AMINO-5-(4-HYDROXY-3-METHOXYPHENYL)PYRIDIN-3-YL]BENZAMIDE", 25194 },
	{ "VGN", "", "", ResidueType::NON_POLYMER, false, "2-ACETAMIDO-5-(4-PHENYLPHENYL)BENZOIC ACID", 25195 },
	{ "VGP", "", "", ResidueType::NON_POLYMER, false, "(1R)-1,4-anhydro-6-deoxy-1-[(6R)-8-ethenyl-1,6-dihydroxy-10,12-dimethoxy-6H-dibenzo[c,h]chromen-4-yl]-D-galactitol", 25196 },
	{ "VGX", "", "", ResidueType::NON_POLYMER, false, "4-hydroxy-2-oxobutanoic acid", 25197 },
	{ "VH0", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,4S)-4-[4-(aminomethyl)-1,2,3-triazol-1-yl]pyrrolidine-2-carboxylic acid", 25198 },
	{ "VH1", "", "", ResidueType::NON_POLYMER, false, "2-(4-AMINOBENZYL)-1,3-DIOXO-2,3-DIHYDRO-1H-BENZO[DE]ISOQUINOLINE-5-SULFONATE", 25199 },
	{ "VH2", "", "", ResidueType::NON_POLYMER, false, "N-[5-[(4-BROMOPHENYL)METHYL]-4-HYDROXY-1,3-THIAZOL-2-YL]NAPHTHALENE-1-SULFONAMIDE", 25200 },
	{ "VHA", "", "", ResidueType::NON_POLYMER, false, "22-methyl-13,18-dioxa-7-thia-3,5-diazatetracyclo[17.3.1.1~2,6~.1~8,12~]pentacosa-1(23),2(25),3,5,8(24),9,11,19,21-nonaen-4-amine", 25201 },
	{ "VHC", "", "", ResidueType::NON_POLYMER, false, "4-amino-20,22-dimethyl-13-oxa-7-thia-3,5,17-triazatetracyclo[17.3.1.1~2,6~.1~8,12~]pentacosa-1(23),2(25),3,5,8(24),9,11,19,21-nonaen-18-one", 25202 },
	{ "VHD", "", "", ResidueType::NON_POLYMER, false, "4-(1,3-DIHYDRO-2H-ISOINDOL-2-YLCARBONYL)-6-(1-METHYLETHYL)BENZENE-1,3-DIOL", 25203 },
	{ "VHE", "", "", ResidueType::NON_POLYMER, false, "4-amino-18,20-dimethyl-7-thia-3,5,11,15-tetraazatricyclo[15.3.1.1(2,6)]docosa-1(20),2,4,6(22),17(21),18-hexaene-10,16-dione", 25204 },
	{ "VHH", "", "", ResidueType::NON_POLYMER, false, "5-[(3aS,4S,6aR)-1,3-dimethyl-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoic acid", 25205 },
	{ "VHI", "", "", ResidueType::NON_POLYMER, false, "5-{(3aS,4S,6aR)-1-[(benzyloxy)carbonyl]-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl}pentanoic acid", 25206 },
	{ "VHS", "", "", ResidueType::NON_POLYMER, false, "3-[(1S)-1-(2,6-DICHLORO-3-FLUOROPHENYL)ETHOXY]-5-(1-PIPERIDIN-4-YLPYRAZOL-4-YL)PYRIDIN-2-AMINE", 25207 },
	{ "VHT", "", "", ResidueType::NON_POLYMER, false, "methyl 2-[[3-[[2,4-bis(fluoranyl)phenyl]methylcarbamoyl]-1-oxidanyl-2-oxidanylidene-1,8-naphthyridin-4-yl]amino]ethanoate", 25208 },
	{ "VHW", "", "", ResidueType::NON_POLYMER, false, "", 25209 },
	{ "VI", "", "", ResidueType::NON_POLYMER, false, "1,3-DIPHENYL-1H-PYRAZOLE-4,5-DICARBOXYLIC ACID", 25210 },
	{ "VIA", "", "", ResidueType::NON_POLYMER, false, "5-{2-ETHOXY-5-[(4-METHYLPIPERAZIN-1-YL)SULFONYL]PHENYL}-1-METHYL-3-PROPYL-1H,6H,7H-PYRAZOLO[4,3-D]PYRIMIDIN-7-ONE", 25211 },
	{ "VIB", "", "", ResidueType::NON_POLYMER, false, "3-(4-AMINO-2-METHYL-PYRIMIDIN-5-YLMETHYL)-5-(2-HYDROXY-ETHYL)-4-METHYL-THIAZOL-3-IUM", 25212 },
	{ "VIF", "", "", ResidueType::NON_POLYMER, false, "Flopristin", 25213 },
	{ "VIG", "", "", ResidueType::NON_POLYMER, false, "4-AMINO HEXANOIC ACID", 25214 },
	{ "VII", "", "", ResidueType::NON_POLYMER, false, "2,5-DIPHENYLFURAN-3,4-DICARBOXYLIC ACID", 25215 },
	{ "VIN", "", "", ResidueType::NON_POLYMER, false, "12-(2-hydroxyethyl)-2-(1-methylethoxy)-13,14-dihydronaphtho[2,1-a]pyrrolo[3,4-c]carbazol-5(12H)-one", 25216 },
	{ "VIO", "", "", ResidueType::NON_POLYMER, false, "N5-(1-IMINO-3-BUTENYL)-L-ORNITHINE", 25217 },
	{ "VIQ", "", "", ResidueType::NON_POLYMER, false, "4-METHOXY-2,3,6-TRIMETHYL-N-(1,3,5-TRIMETHYL-1H-PYRAZOL-4-YL)BENZENESULFONAMIDE", 25218 },
	{ "VIR", "", "", ResidueType::NON_POLYMER, false, "VIRGINIAMYCIN M1", 25219 },
	{ "VIS", "", "", ResidueType::NON_POLYMER, false, "2-chloranyl-~{N}-(4-chloranyl-3-pyridin-2-yl-phenyl)-4-methylsulfonyl-benzamide", 25220 },
	{ "VIT", "", "", ResidueType::NON_POLYMER, false, "VITAMIN E", 25221 },
	{ "VIV", "", "", ResidueType::NON_POLYMER, false, "(2R)-2,5,7,8-TETRAMETHYL-2-[(4R,8R)-4,8,12-TRIMETHYLTRIDECYL]CHROMAN-6-OL", 25222 },
	{ "VJ6", "", "", ResidueType::NON_POLYMER, false, "valerjesomycin", 25223 },
	{ "VJJ", "", "", ResidueType::NON_POLYMER, false, "3-phenoxybenzoic acid", 25224 },
	{ "VJK", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-methyl-2-[[2-(1H-pyrrolo[2,3-b]pyridin-3-yl)pyrimidin-4-yl]amino]-N-[2,2,2-tris(fluoranyl)ethyl]butanamide", 25225 },
	{ "VJP", "", "", ResidueType::NON_POLYMER, false, "1-[(4-aminophenyl)sulfonyl]piperidin-2-one", 25226 },
	{ "VK3", "", "", ResidueType::NON_POLYMER, false, "MENADIONE", 25227 },
	{ "VKC", "", "", ResidueType::NON_POLYMER, false, "(2-hydroxyethoxy)acetic acid", 25228 },
	{ "VKJ", "", "", ResidueType::NON_POLYMER, false, "", 25229 },
	{ "VL4", "", "", ResidueType::NON_POLYMER, false, "(2S)-6-[[[2-(cyclobutylmethylcarbamoyl)phenyl]methyl-methyl-amino]methyl]-2-(3-hydroxy-3-oxopropyl)-2,3-dihydro-1,4-benzodioxine-5-carboxylic acid", 25230 },
	{ "VLB", "", "", ResidueType::NON_POLYMER, false, "(2ALPHA,2'BETA,3BETA,4ALPHA,5BETA)-VINCALEUKOBLASTINE", 25231 },
	{ "VLL", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2,3-DIAMINOBUTANOIC ACID", 25232 },
	{ "VLM", "", "", ResidueType::PEPTIDE_LINKING, false, "VALINYLAMINE", 25233 },
	{ "VLT", "", "", ResidueType::PEPTIDE_LIKE, false, "(2E,4S)-4-amino-5-(4-hydroxyphenyl)pent-2-enoic acid", 25234 },
	{ "VM1", "", "", ResidueType::NON_POLYMER, false, "5-(2-thienyl)nicotinic acid", 25235 },
	{ "VM2", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3S,4R,5R)-4-(cyclohexylmethylamino)-5-(hydroxymethyl)cyclopentane-1,2,3-triol", 25236 },
	{ "VM7", "", "", ResidueType::NON_POLYMER, false, "3-(3-methylsulfonylphenyl)benzoic acid", 25237 },
	{ "VME", "", "", ResidueType::PEPTIDE_LIKE, false, "METHYL L-VALINATE", 25238 },
	{ "VMP", "", "", ResidueType::NON_POLYMER, false, "N-[[(2R,3R,4S,5S,6R)-6-(hydroxymethyl)-3,4,5-tris(oxidanyl)oxan-2-yl]carbamoyl]naphthalene-2-carboxamide", 25239 },
	{ "VMS", "", "", ResidueType::PEPTIDE_LINKING, false, "5'O-[N-(L-VALYL)SULPHAMOYL]ADENOSINE", 25240 },
	{ "VMX", "", "", ResidueType::NON_POLYMER, false, "5'-{[(3-aminopropyl)sulfonyl]amino}-5'-deoxyadenosine", 25241 },
	{ "VMY", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-(5-{[1-(2,6-DIFLUOROBENZYL)-1H-PYRAZOL-3-YL]AMINO}-1,3,4-THIADIAZOL-2-YL)-1-(4-METHYL-1,3-THIAZOL-2-YL)ETHANOL", 25242 },
	{ "VN3", "", "", ResidueType::NON_POLYMER, false, "VANADATE ION", 25243 },
	{ "VN4", "", "", ResidueType::NON_POLYMER, false, "oxido(dioxo)vanadium", 25244 },
	{ "VNF", "", "", ResidueType::NON_POLYMER, false, "4'-chloro-N-[(1R)-2-(1H-imidazol-1-yl)-1-phenylethyl]biphenyl-4-carboxamide", 25245 },
	{ "VNI", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-1-(2,4-dichlorophenyl)-2-(1H-imidazol-1-yl)ethyl]-4-(5-phenyl-1,3,4-oxadiazol-2-yl)benzamide", 25246 },
	{ "VNJ", "", "", ResidueType::NON_POLYMER, false, "2-aminoacetophenone", 25247 },
	{ "VNK", "", "", ResidueType::NON_POLYMER, false, "N-hexanoyl-L-valyl-N~1~-[(3S,4S)-3-hydroxy-2,6-dimethylheptan-4-yl]-N~5~,N~5~-dimethyl-L-glutamamide", 25248 },
	{ "VNL", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-3-METHOXYBENZOATE", 25249 },
	{ "VNP", "", "", ResidueType::NON_POLYMER, false, "3-[(4-AMINO-2-METHYLPYRIMIDIN-5-YL)METHYL]-5-(2-{[HYDROXY(PHOSPHONOAMINO)PHOSPHORYL]OXY}ETHYL)-4-METHYL-1,3-THIAZOL-3-IUM", 25250 },
	{ "VNR", "", "", ResidueType::NON_POLYMER, false, "1-deoxy-1-[(4aR)-4a-[(2Z)-2-(2-{[(S)-hydroxy(phosphonooxy)phosphoryl]oxy}ethyl)but-2-en-1-yl]-7,8-dimethyl-2,4-dioxo-3,4,4a,5-tetrahydrobenzo[g]pteridin-10(2H)-yl]-5-O-phosphono-D-ribitol", 25251 },
	{ "VNT", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-1-(2,4-dichlorophenyl)-2-(1H-1,2,4-triazol-1-yl)ethyl]-4-(5-phenyl-1,3,4-oxadiazol-2-yl)benzamide", 25252 },
	{ "VNY", "", "", ResidueType::NON_POLYMER, false, "PARA-BIPHENYL METHYLENE C-LINKED MANNOSIDE", 25253 },
	{ "VO1", "", "", ResidueType::NON_POLYMER, false, "3-(benzyloxy)-N-(4-methyl-1,3-thiazol-2-yl)pyridin-2-amine", 25254 },
	{ "VO2", "", "", ResidueType::NON_POLYMER, false, "3-(benzyloxy)-5-methyl-N-(4-methyl-1,3-thiazol-2-yl)pyridin-2-amine", 25255 },
	{ "VO3", "", "", ResidueType::NON_POLYMER, false, "TETRAMETAVANADATE", 25256 },
	{ "VO4", "", "", ResidueType::NON_POLYMER, false, "VANADATE ION", 25257 },
	{ "VOD", "", "", ResidueType::NON_POLYMER, false, "(4-VINYLPHENYL)METHANESULFONIC ACID", 25258 },
	{ "VOG", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,3R,4S,5S)-5-[(1,3-dihydroxypropan-2-yl)amino]-1-(hydroxymethyl)cyclohexane-1,2,3,4-tetrol", 25259 },
	{ "VOL", "", "", ResidueType::PEPTIDE_LINKING, false, "L-VALINOL", 25260 },
	{ "VOR", "", "", ResidueType::NON_POLYMER, false, "Voriconazole", 25261 },
	{ "VPA", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-N-(6-O-beta-D-xylopyranosyl-beta-D-glucopyranosyl)ethylamidine", 25262 },
	{ "VPC", "", "", ResidueType::NON_POLYMER, false, "Phthalocyanine containing GA", 25263 },
	{ "VPF", "", "", ResidueType::PEPTIDE_LIKE, false, "N-(3-carboxypropanoyl)-L-valyl-N-[(1S)-2-phenyl-1-phosphonoethyl]-L-prolinamide", 25264 },
	{ "VPM", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-hydroxy-2-(propan-2-yl)butanedioic acid", 25265 },
	{ "VPP", "", "", ResidueType::NON_POLYMER, false, "(2S,4S)-2-[(R)-carboxy{[(2R)-2-{[(4-ethyl-2,3-dioxopiperazin-1-yl)carbonyl]amino}-2-phenylacetyl]amino}methyl]-5,5-dimethyl-1,3-thiazolidine-4-carboxylic acid", 25266 },
	{ "VPR", "", "", ResidueType::NON_POLYMER, false, "2-PROPYLPENTANAMIDE", 25267 },
	{ "VPU", "", "", ResidueType::NON_POLYMER, false, "[[(3R,4R,5S,6R)-4,5-dihydroxy-6-(hydroxymethyl)-3-(pentanoylamino)oxan-2-ylidene]amino] N-phenylcarbamate", 25268 },
	{ "VPX", "", "", ResidueType::NON_POLYMER, false, "ethyl [(1R,3aR,4aR,6R,8aR,9S,9aS)-9-{(E)-2-[5-(3-fluorophenyl)pyridin-2-yl]ethenyl}-1-methyl-3-oxododecahydronaphtho[2,3-c]furan-6-yl]carbamate", 25269 },
	{ "VQ7", "", "", ResidueType::NON_POLYMER, false, "6-[1,1-bis(oxidanylidene)-1,4-thiazinan-4-yl]-4-[[4-[4-chloranyl-3-(trifluoromethyl)phenoxy]-3,5-bis(fluoranyl)phenyl]methoxy]-1-methyl-pyrimidin-2-one", 25270 },
	{ "VQI", "", "", ResidueType::NON_POLYMER, false, "(E)-3-[4-(6-hydroxy-2-isobutyl-7-methyl-3,4-dihydro-1H-isoquinolin-1-yl)phenyl]prop-2-enoic acid", 25271 },
	{ "VR", "", "", ResidueType::NON_POLYMER, false, "2-METHYLPROPYL HYDROGEN (R)-METHYLPHOSPHONATE", 25272 },
	{ "VR0", "", "", ResidueType::PEPTIDE_LINKING, false, "N~5~-[N-(methylcarbamoyl)carbamimidoyl]-L-ornithine", 25273 },
	{ "VR1", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-({(5Z)-5-[(5-ETHYL-2-FURYL)METHYLENE]-4-OXO-4,5-DIHYDRO-1,3-THIAZOL-2-YL}AMINO)-2-(4-FLUOROPHENYL)-N-[(4-NITROPHENYL)SULFONYL]ACETAMIDE", 25274 },
	{ "VR2", "", "", ResidueType::NON_POLYMER, false, "1-[(3S)-5-(4-iodanylphenoxy)-3-methyl-pentyl]-3-pyridin-4-yl-imidazolidin-2-one", 25275 },
	{ "VRA", "", "", ResidueType::NON_POLYMER, false, "N-{3,4-difluoro-2-[(2-fluoro-4-iodophenyl)amino]-6-methoxyphenyl}-1-[(2S)-2,3-dihydroxypropyl]cyclopropanesulfonamide", 25276 },
	{ "VRB", "", "", ResidueType::NON_POLYMER, false, "Phycoviolobilin, blue light-absorbing form", 25277 },
	{ "VRG", "", "", ResidueType::NON_POLYMER, false, "N~2~-acetyl-N~5~-[N-(methylcarbamoyl)carbamimidoyl]-L-ornithyl-N-methyl-L-phenylalanyl-L-aspartic acid", 25278 },
	{ "VRO", "", "", ResidueType::NON_POLYMER, false, "5-[2-(4-methoxyphenyl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25279 },
	{ "VRT", "", "", ResidueType::NON_POLYMER, false, "2'-(L-NORVALYL)AMINO-2'-DEOXYADENOSINE", 25280 },
	{ "VRV", "", "", ResidueType::NON_POLYMER, false, "6-(5-BROMO-2-HYDROXYPHENYL)-2-OXO-4-PHENYL-1,2-DIHYDROPYRIDINE-3-CARBONITRILE", 25281 },
	{ "VRX", "", "", ResidueType::NON_POLYMER, false, "(2S)-({(5Z)-5-[(5-ETHYL-2-FURYL)METHYLENE]-4-OXO-4,5-DIHYDRO-1,3-THIAZOL-2-YL}AMINO)(4-FLUOROPHENYL)ACETIC ACID", 25282 },
	{ "VRZ", "", "", ResidueType::NON_POLYMER, false, "1-[4-(4-amino-7-cyclopentyl-7H-pyrrolo[2,3-d]pyrimidin-5-yl)phenyl]-3-benzylurea", 25283 },
	{ "VS0", "", "", ResidueType::NON_POLYMER, false, "N-[4-(4-amino-7-cyclopentyl-7H-pyrrolo[2,3-d]pyrimidin-5-yl)phenyl]benzamide", 25284 },
	{ "VS1", "", "", ResidueType::NON_POLYMER, false, "3-[[N-[MORPHOLIN-N-YL]-CARBONYL]-PHENYLALANINYL-AMINO]-5- PHENYL-PENTANE-1-SULFONYLBENZENE", 25285 },
	{ "VS2", "", "", ResidueType::NON_POLYMER, false, "3-[N-[BENZYLOXYCARBONYL]-PHENYLALANINYL-AMINO]-5-PHENYL-PENTANE-1-SULFONYLMETHYLBENZENE", 25286 },
	{ "VS3", "", "", ResidueType::NON_POLYMER, false, "3-[N-[BENZYLOXYCARBONYL]-PHENYLALANINYL-AMINO]-5-PHENYL-PENTANE-1-SULFONIC ACID 4-NITRO-PHENYL ESTER", 25287 },
	{ "VS4", "", "", ResidueType::NON_POLYMER, false, "3-[[N-[4-METHYL-PIPERAZINYL]CARBONYL]-PHENYLALANINYL-AMINO]-5-PHENYL-PENTANE-1-SULFONIC ACID BENZYLOXY-AMIDE", 25288 },
	{ "VS8", "", "", ResidueType::NON_POLYMER, false, "N4-cyclohexyl-5,6-diphenyl-7H-pyrrolo[2,3-d]pyrimidine-2,4-diamine", 25289 },
	{ "VSA", "", "", ResidueType::NON_POLYMER, false, "1-[4-(4-amino-7-cyclopentyl-7H-pyrrolo[2,3-d]pyrimidin-5-yl)phenyl]-3-phenylurea", 25290 },
	{ "VSB", "", "", ResidueType::NON_POLYMER, false, "7-[cis-4-(4-methylpiperazin-1-yl)cyclohexyl]-5-(4-phenoxyphenyl)-7H-pyrrolo[2,3-d]pyrimidin-4-amine", 25291 },
	{ "VSC", "", "", ResidueType::PEPTIDE_LIKE, false, "", 25292 },
	{ "VSE", "", "", ResidueType::NON_POLYMER, false, "7-[trans-4-(4-methylpiperazin-1-yl)cyclohexyl]-5-(4-phenoxyphenyl)-7H-pyrrolo[2,3-d]pyrimidin-4-amine", 25293 },
	{ "VSF", "", "", ResidueType::NON_POLYMER, false, "5-(4-phenoxyphenyl)-7-(tetrahydro-2H-pyran-4-yl)-7H-pyrrolo[2,3-d]pyrimidin-4-amine", 25294 },
	{ "VSG", "", "", ResidueType::NON_POLYMER, false, "7-(1-methylpiperidin-4-yl)-5-(4-phenoxyphenyl)-7H-pyrrolo[2,3-d]pyrimidin-4-amine", 25295 },
	{ "VSH", "", "", ResidueType::NON_POLYMER, false, "tert-butyl {4-[4-amino-1-(propan-2-yl)-1H-pyrazolo[3,4-d]pyrimidin-3-yl]-2-methoxyphenyl}carbamate", 25296 },
	{ "VSI", "", "", ResidueType::NON_POLYMER, false, "N-{N-[4-(acetylamino)-3,5-dichlorobenzyl]carbamimidoyl}-2-(6-cyano-1H-indol-1-yl)acetamide", 25297 },
	{ "VSO", "", "", ResidueType::NON_POLYMER, false, "VINYLSULPHONIC ACID", 25298 },
	{ "VSP", "", "", ResidueType::NON_POLYMER, false, "N-(3-{[4-amino-1-(propan-2-yl)-1H-pyrazolo[3,4-d]pyrimidin-3-yl]methyl}phenyl)ethanesulfonamide", 25299 },
	{ "VSV", "", "", ResidueType::NON_POLYMER, false, "N-({3-[({4-[(Z)-(2,4-DIOXO-1,3-THIAZOLIDIN-5-YLIDENE)METHYL]PHENYL}AMINO)METHYL]PHENYL}CARBONYL)-D-GLUTAMIC ACID", 25300 },
	{ "VT1", "", "", ResidueType::NON_POLYMER, false, "(R)-2-(2,4-Difluorophenyl)-1,1-difluoro-3-(1H-tetrazol-1-yl)-1-(5-(4-(2,2,2-trifluoroethoxy)phenyl)pyridin-2-yl)propan-2-ol", 25301 },
	{ "VT2", "", "", ResidueType::NON_POLYMER, false, "(R)-4-((4-((6-(2-(2,4-difluorophenyl)-1,1-difluoro-2-hydroxy-3-(1H-tetrazol-1-yl)propyl)pyridin-3-yl)ethynyl)phenoxy)methyl)benzonitrile", 25302 },
	{ "VT3", "", "", ResidueType::NON_POLYMER, false, "8-HYDROXY-2-(4-METHYLPHENYL)-3,4-DIHYDROQUINAZOLIN-4-ONE", 25303 },
	{ "VT4", "", "", ResidueType::NON_POLYMER, false, "2-hexyl-1-methyl-5-(2-methylphenoxy)pyridin-4(1H)-one", 25304 },
	{ "VT5", "", "", ResidueType::NON_POLYMER, false, "(2~{R})-1-(4-chloranyl-2-fluoranyl-phenyl)-2-cyclohexyl-3-ethanoyl-4-oxidanyl-2~{H}-pyrrol-5-one", 25305 },
	{ "VTB", "", "", ResidueType::NON_POLYMER, false, "?", 25306 },
	{ "VTI", "", "", ResidueType::NON_POLYMER, false, "N-{N-[4-(acetylamino)-3,5-dichlorobenzyl]carbamimidoyl}-2-(1H-indol-1-yl)acetamide", 25307 },
	{ "VTP", "", "", ResidueType::NON_POLYMER, false, "(2Z,6Z,10Z,14Z,18Z,22E,26E)-3,7,11,15,19,23,27,31-octamethyldotriaconta-2,6,10,14,18,22,26,30-octaen-1-yl trihydrogen diphosphate", 25308 },
	{ "VTQ", "", "", ResidueType::NON_POLYMER, false, "RRR-ALPHA-TOCOPHERYLQUINONE", 25309 },
	{ "VU2", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[(4-CHLOROBENZYL)OXY]-2-PHENYLETHANAMINE", 25310 },
	{ "VU3", "", "", ResidueType::NON_POLYMER, false, "2-(2-(4-PHENYLPIPERIDIN-1-YL)ETHYL)-1H-INDOLE", 25311 },
	{ "VUP", "", "", ResidueType::NON_POLYMER, false, "4-(1-ethyl-6-methyl-imidazo[4,5-c]pyridin-2-yl)-1,2,5-oxadiazol-3-amine", 25312 },
	{ "VUR", "", "", ResidueType::NON_POLYMER, false, "(S)-2-AMINO-5-(2-MERCAPTOACETIMIDAMIDO)PENTANOIC ACID", 25313 },
	{ "VV7", "", "", ResidueType::NON_POLYMER, false, "DENDRON-D3", 25314 },
	{ "VVA", "", "", ResidueType::NON_POLYMER, false, "2-{[(S)-(2-aminoethoxy)(hydroxy)phosphoryl]oxy}ethyl heptadecanoate", 25315 },
	{ "VVO", "", "", ResidueType::NON_POLYMER, false, "oxovanadium(2+)", 25316 },
	{ "VVQ", "", "", ResidueType::NON_POLYMER, false, "5-(2-aminopyrimidin-4-yl)-2-(5-chloro-2-methylphenyl)-1H-pyrrole-3-carboxamide", 25317 },
	{ "VVS", "", "", ResidueType::NON_POLYMER, false, "2,6-bis(1H-imidazol-1-ylmethyl)-4-(2,4,4-trimethylpentan-2-yl)phenol", 25318 },
	{ "VVT", "", "", ResidueType::NON_POLYMER, false, "6-chloro-3-phenyl-4-(pyridin-4-yl)pyridazine", 25319 },
	{ "VVV", "", "", ResidueType::NON_POLYMER, false, "5,6,8-trimethoxy-4-methylquinolin-2(1H)-one", 25320 },
	{ "VVX", "", "", ResidueType::NON_POLYMER, false, "6-(1H-Indol-4-yl)-4-(5-{[4-(1-methylethyl)-1-piperazinyl]methyl}-1,3-oxazol-2-yl)-1H-indazole", 25321 },
	{ "VWN", "", "", ResidueType::NON_POLYMER, false, "2-[(1-methyl-1H-benzimidazol-2-yl)methyl]-6-morpholin-4-ylpyrimidin-4(3H)-one", 25322 },
	{ "VWS", "", "", ResidueType::NON_POLYMER, false, "5-{[(4-chlorophenyl)sulfonyl]amino}-2-methyl-1-benzofuran-3-carboxylic acid", 25323 },
	{ "VWW", "", "", ResidueType::PEPTIDE_LIKE, false, "L-gamma-glutamyl-S-benzyl-N-[(S)-carboxy(phenyl)methyl]-L-cysteinamide", 25324 },
	{ "VX", "", "", ResidueType::NON_POLYMER, false, "O-ETHYLMETHYLPHOSPHONIC ACID ESTER GROUP", 25325 },
	{ "VX1", "", "", ResidueType::NON_POLYMER, false, "4-[3-(4-chlorophenyl)-2,1-benzisoxazol-5-yl]pyrimidin-2-amine", 25326 },
	{ "VX2", "", "", ResidueType::NON_POLYMER, false, "N-cyclohexyl-3-[3-(trifluoromethyl)phenyl][1,2,4]triazolo[4,3-b]pyridazin-6-amine", 25327 },
	{ "VX3", "", "", ResidueType::NON_POLYMER, false, "2,3-diphenyl-1H-indole-7-carboxylic acid", 25328 },
	{ "VX6", "", "", ResidueType::NON_POLYMER, false, "CYCLOPROPANECARBOXYLIC ACID {4-[4-(4-METHYL-PIPERAZIN-1-YL)-6-(5-METHYL-2H-PYRAZOL-3-YLAMINO)-PYRIMIDIN-2-YLSULFANYL]-PHENYL}-AMIDE", 25329 },
	{ "VXA", "", "", ResidueType::NON_POLYMER, false, "METHYLPHOSPHONIC ACID ESTER GROUP", 25330 },
	{ "VXL", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,4R,6aR)-4-[2-(methylamino)-2-oxoethoxy]hexahydrofuro[2,3-b]furan-3-yl [(2S,3R)-3-hydroxy-4-{[(4-methoxyphenyl)sulfonyl](2-methylpropyl)amino}-1-phenylbutan-2-yl]carbamate", 25331 },
	{ "VXO", "", "", ResidueType::NON_POLYMER, false, "5-[(2S)-2-[[2-(1H-indol-3-yl)ethanoylamino]methyl]-4-methyl-pentyl]-1,3-benzodioxole-4-carboxylic acid", 25332 },
	{ "VXQ", "", "", ResidueType::NON_POLYMER, false, "1-(2,3-dihydro-1-benzofuran-5-yl)methanamine", 25333 },
	{ "VXR", "", "", ResidueType::NON_POLYMER, false, "(5Z)-5-[(5-ETHYL-2-FURYL)METHYLENE]-2-{[(S)-(4-FLUOROPHENYL)(1H-TETRAZOL-5-YL)METHYL]AMINO}-1,3-THIAZOL-4(5H)-ONE", 25334 },
	{ "VXU", "", "", ResidueType::NON_POLYMER, false, "3,4-dihydro-2H-1,5-benzodioxepin-6-ylmethanamine", 25335 },
	{ "VXX", "", "", ResidueType::NON_POLYMER, false, "METHYL VANILLATE", 25336 },
	{ "VYA", "", "", ResidueType::NON_POLYMER, false, "2-[(4~{Z})-2-[(1~{S})-1-azanyl-3-methyl-butyl]-4-[(4-hydroxyphenyl)methylidene]-5-oxidanylidene-imidazol-1-yl]ethanoic acid", 25337 },
	{ "VYD", "", "", ResidueType::NON_POLYMER, false, "(3S,5R)-5-{[4-(2-chlorophenyl)-2,2-dimethyl-5-oxopiperazin-1-yl]methyl}-N-(3-methylbutyl)piperidine-3-carboxamide", 25338 },
	{ "VYE", "", "", ResidueType::NON_POLYMER, false, "(3S,5R)-5-[4-(2-chlorophenyl)-2,2-dimethyl-5-oxopiperazin-1-yl]-N-(3-methylbutyl)piperidine-3-carboxamide", 25339 },
	{ "VYF", "", "", ResidueType::NON_POLYMER, false, "(3S,5R)-5-[4-(2-chlorophenyl)-2,2-dimethyl-5-oxopiperazin-1-yl]-N-(2,6-dimethylheptan-4-yl)piperidine-3-carboxamide", 25340 },
	{ "VYI", "", "", ResidueType::NON_POLYMER, false, "N-(2-FLUOROPHENYL)-4-[(4-FLUOROPHENYL)SULFONYL]-2,3,4,5-TETRAHYDRO-1,4-BENZOXAZEPIN-6-AMINE", 25341 },
	{ "VYR", "", "", ResidueType::NON_POLYMER, false, "N-[(S)-1-[5-(5-Chloro-thiophen-2-yl)-isoxazol-3-ylmethyl]-2-(4-methoxy-piperidin-1-yl)-2-oxo-ethyl]-2-ethyl-3-(3-oxo-morpholin-4-yl)-benzenesulfonamide", 25342 },
	{ "VZ4", "", "", ResidueType::NON_POLYMER, false, "(9beta)-2-ethyl-17-oxoestra-1(10),2,4-trien-3-yl sulfamate", 25343 },
	{ "VZ5", "", "", ResidueType::NON_POLYMER, false, "(14beta,17alpha)-2-ethyl-17-hydroxyestra-1(10),2,4-trien-3-yl sulfamate", 25344 },
	{ "VZV", "", "", ResidueType::NON_POLYMER, false, "1-{[(5R,6S)-5,6-bis(4-chlorophenyl)-6-methyl-3-(propan-2-yl)-5,6-dihydroimidazo[2,1-b][1,3]thiazol-2-yl]carbonyl}-N,N-dimethyl-L-prolinamide", 25345 },
	{ "VZZ", "", "", ResidueType::NON_POLYMER, false, "11-[(MERCAPTOCARBONYL)OXY]UNDECANOIC ACID", 25346 },
	{ "W", "", "", ResidueType::NON_POLYMER, false, "TUNGSTEN ION", 25347 },
	{ "W01", "", "", ResidueType::NON_POLYMER, false, "2,6-DIMETHYL-1-(3-[3-METHYL-5-ISOXAZOLYL]-PROPANYL)-4-[2N-METHYL-2H-TETRAZOL-5-YL]-PHENOL", 25348 },
	{ "W02", "", "", ResidueType::NON_POLYMER, false, "2,6-DIMETHYL-1-(3-[3-METHYL-5-ISOXAZOLYL]-PROPANYL)-4-[4-METHYL-2H-TETRAZOL-2-YL]-PHENOL", 25349 },
	{ "W03", "", "", ResidueType::NON_POLYMER, false, "2,6-DIMETHYL-1-(3-[3-METHYL-5-ISOXAZOLYL]-PROPANYL)-4-[2-METHYL-4-ISOXAZOLYL]-PHENOL", 25350 },
	{ "W05", "", "", ResidueType::NON_POLYMER, false, "DELTA-(L-ALPHA-AMINOADIPOYL)-L-CYSTEINYL-D-ALANINE", 25351 },
	{ "W06", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-3-(1~{H}-indol-3-yl)-2-[2,2,3,3,4,4,5,5,6,6,6-undecakis(fluoranyl)hexanoylamino]propanoic acid", 25352 },
	{ "W07", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-{4-[2-(4-{[(2R)-2-hydroxy-3,3-dimethylbutyl]oxy}phenyl)propan-2-yl]phenoxy}propane-1,2-diol", 25353 },
	{ "W09", "", "", ResidueType::NON_POLYMER, false, "N-(2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,9-heptadecafluorononanoyl)-L-tryptophan", 25354 },
	{ "W0I", "", "", ResidueType::NON_POLYMER, false, "4-fluoro-5-hexyl-2-phenoxyphenol", 25355 },
	{ "W0T", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-3-(1~{H}-indol-3-yl)-2-[2,2,3,3,4,4,5,5,6,6,7,7,7-tridecakis(fluoranyl)heptanoylamino]propanoic acid", 25356 },
	{ "W10", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-3-(1~{H}-indol-3-yl)-2-[2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,10-nonadecakis(fluoranyl)decanoylamino]propanoic acid", 25357 },
	{ "W11", "", "", ResidueType::NON_POLYMER, false, "3-{3,5-DIMETHYL-4-[3-(3-METHYL-ISOXAZOL-5-YL)-PROPOXY]-PHENYL}-5-TRIFLUOROMETHYL-[1,2,4]OXADIAZOLE", 25358 },
	{ "W12", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-{4-[4-(4-{[(2R)-2-hydroxy-3,3-dimethylbutyl]oxy}phenyl)heptan-4-yl]phenoxy}propane-1,2-diol", 25359 },
	{ "W13", "", "", ResidueType::NON_POLYMER, false, "(5R)-2-[(2-chlorophenyl)sulfanyl]-5-[2,6-dichloro-3-(tetrahydro-2H-pyran-4-ylamino)phenyl]-3-hydroxycyclohex-2-en-1-one", 25360 },
	{ "W14", "", "", ResidueType::NON_POLYMER, false, "2-(trifluoroacetyl)-1,2,3,4-tetrahydroisoquinolin-7-ol", 25361 },
	{ "W16", "", "", ResidueType::NON_POLYMER, false, "5-(2-CHLOROETHYL)-1,3,4-THIADIAZOL-2-AMINE", 25362 },
	{ "W19", "", "", ResidueType::NON_POLYMER, false, "4-{[4-(1-benzothiophen-4-yloxy)-3-chlorophenyl]amino}-N-(2-hydroxyethyl)-8,9-dihydro-7H-pyrimido[4,5-b]azepine-6-carboxamide", 25363 },
	{ "W1G", "", "", ResidueType::NON_POLYMER, false, "2-PHENOXY-5-(2-PROPENYL)PHENOL", 25364 },
	{ "W1Z", "", "", ResidueType::NON_POLYMER, false, "(2~{S})-3-(1~{H}-indol-3-yl)-2-[2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,12-tricosakis(fluoranyl)dodecanoylamino]propanoic acid", 25365 },
	{ "W22", "", "", ResidueType::NON_POLYMER, false, "[(2S)-4-methyl-3-oxo-2,3,4,5-tetrahydro-1H-1,4-benzodiazepin-2-yl]acetic acid", 25366 },
	{ "W23", "", "", ResidueType::NON_POLYMER, false, "2-[(trifluoromethyl)sulfonyl]-1,2,3,4-tetrahydroisoquinolin-6-ol", 25367 },
	{ "W29", "", "", ResidueType::NON_POLYMER, false, "4-(3-ethylthiophen-2-yl)benzene-1,2-diol", 25368 },
	{ "W2C", "", "", ResidueType::NON_POLYMER, false, "(2S,4S)-N-[(2S)-1-azanylidene-3-[4-(4-cyanophenyl)phenyl]propan-2-yl]-4-oxidanyl-piperidine-2-carboxamide", 25369 },
	{ "W2D", "", "", ResidueType::NON_POLYMER, false, "2-amino-5-(1,3-benzodioxol-5-ylmethyl)[1,2,4]triazolo[1,5-c]quinazoline-8-sulfonamide", 25370 },
	{ "W2E", "", "", ResidueType::NON_POLYMER, false, "METHYL 4-(4-OXO-3,4-DIHYDROQUINAZOLIN-2-YL)BENZOATE", 25371 },
	{ "W2K", "", "", ResidueType::NON_POLYMER, false, "4-(4-Methylpiperazin-1-yl)-N-(2-oxo-5-(pyridin-4-yl)-1,2-dihydropyridin-3-yl)benzamide", 25372 },
	{ "W2P", "", "", ResidueType::NON_POLYMER, false, "N-{2-[4-({3-chloro-4-[3-(trifluoromethyl)phenoxy]phenyl}amino)-5H-pyrrolo[3,2-d]pyrimidin-5-yl]ethyl}-4-(dimethylamino)butanamide", 25373 },
	{ "W2R", "", "", ResidueType::NON_POLYMER, false, "1-{3-[2-chloro-4-({5-[2-(2-hydroxyethoxy)ethyl]-5H-pyrrolo[3,2-d]pyrimidin-4-yl}amino)phenoxy]phenyl}-3-cyclohexylurea", 25374 },
	{ "W2X", "", "", ResidueType::NON_POLYMER, false, "N~6~-[(1R)-1-({[(1R,2R)-1-CARBOXY-3-HYDROXY-2-METHYLPROPYL]OXY}CARBONYL)-2-MERCAPTOPROP-2-EN-1-YL]-6-OXO-L-LYSINE", 25375 },
	{ "W30", "", "", ResidueType::NON_POLYMER, false, "6-(2-(5-((2-methoxyethyl)(methyl)amino)pyridin-3-yl)ethyl)-4-methylpyridin-2-amine", 25376 },
	{ "W31", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-phenylethyl (4-chloro-3-{[(4S)-4-(2,6-dichlorophenyl)-2-hydroxy-6-oxocyclohex-1-en-1-yl]sulfanyl}phenyl)acetate", 25377 },
	{ "W32", "", "", ResidueType::NON_POLYMER, false, "4-({3-chloro-4-[3-(trifluoromethyl)phenoxy]phenyl}amino)-N-[2-(methylsulfonyl)ethyl]-8,9-dihydro-7H-pyrimido[4,5-b]azepine-6-carboxamide", 25378 },
	{ "W33", "", "", ResidueType::NON_POLYMER, false, "5-(5-(6-CHLORO-4-(4,5-DIHYDRO-2-OXAZOLYL)PHENOXY)PENTYL)-3-METHYL ISOXAZOLE", 25379 },
	{ "W35", "", "", ResidueType::NON_POLYMER, false, "5-(5-(4-(4,5-DIHYDRO-2-OXAZOLY)PHENOXY)PENTYL)-3-METHYL ISOXAZOLE", 25380 },
	{ "W37", "", "", ResidueType::NON_POLYMER, false, "N-(6-{[1-(4-BROMOPHENYL)ISOQUINOLIN-6-YL]OXY}HEXYL)-N-METHYLPROP-2-EN-1-AMINE", 25381 },
	{ "W42", "", "", ResidueType::NON_POLYMER, false, "5-(5-(2,6-DICHLORO-4-(4,5-DIHYDRO-2-OXAZOLYL)PHENOXY)PENTYL)-3-(HYDROXYETHYL OXYMETHYLENEOXYMETHYL) ISOXAZOLE", 25382 },
	{ "W43", "", "", ResidueType::NON_POLYMER, false, "5-(7-(6-CHLORO-4-(5-HYDRO-4-METHYL-2-OXAZOLYL)PHENOXY)HEPTYL)-3-METHYL ISOXAZOLE", 25383 },
	{ "W4A", "", "", ResidueType::NON_POLYMER, false, "5-methyl-~{N}-[2-(4-methylpiperazin-1-yl)-5-(trifluoromethyl)phenyl]furan-2-carboxamide", 25384 },
	{ "W4N", "", "", ResidueType::NON_POLYMER, false, "(1R,4R,5R)-1,4,5-trihydroxy-3-[(1S)-1-hydroxy-2-phenyl]ethylcyclohex-2-ene-1-carboxylic acid", 25385 },
	{ "W54", "", "", ResidueType::NON_POLYMER, false, "5-(5-(2,6-DICHLORO-4-(4,5-DIHYDRO-2-OXAZOLY)PHENOXY)PENTYL)-3-METHYL ISOXAZOLE", 25386 },
	{ "W56", "", "", ResidueType::NON_POLYMER, false, "5-(5-(4-(5-HYDRO-4-METHYL-2-OXAZOLYL)PHENOXY)PENTYL)-3-METHYL ISOXAZOLE", 25387 },
	{ "W59", "", "", ResidueType::NON_POLYMER, false, "5-(7-(5-HYDRO-4-ETHYL-2-OXAZOLYL)PHENOXY)HEPTYL)-3-METHYL ISOXAZOLE", 25388 },
	{ "W61", "", "", ResidueType::NON_POLYMER, false, "1,3-thiazolidin-3-yl[(2S,4S)-4-{4-[2-(trifluoromethyl)quinolin-4-yl]piperazin-1-yl}pyrrolidin-2-yl]methanone", 25389 },
	{ "W64", "", "", ResidueType::NON_POLYMER, false, "4-methyl-6-(2-(5-(4-methylpiperazin-1-yl)pyridin-3-yl)ethyl)pyridin-2-amine", 25390 },
	{ "W66", "", "", ResidueType::NON_POLYMER, false, "4-METHYL-6-(2-(5-(3-(METHYLAMINO)PROPYL)PYRIDIN-3-YL)ETHYL)PYRIDIN-2-AMINE", 25391 },
	{ "W67", "", "", ResidueType::NON_POLYMER, false, "6-(2-(5-(3-(DIMETHYLAMINO)PROPYL)PYRIDIN-3-YL)ETHYL)-4-METHYLPYRIDIN-2-AMINE", 25392 },
	{ "W6Q", "", "", ResidueType::NON_POLYMER, false, "(2~{R},3~{S})-3-azanyl-~{N}-[(2,5-dimethylphenyl)methyl]-2-oxidanyl-butanamide", 25393 },
	{ "W6Y", "", "", ResidueType::NON_POLYMER, false, "5-[2-(5-carboxynaphthalen-2-yl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25394 },
	{ "W70", "", "", ResidueType::NON_POLYMER, false, "2,6-dioxo-5-[2-(4-phenoxyphenyl)ethyl]-1,2,3,6- tetrahydropyrimidine-4-carboxylic acid", 25395 },
	{ "W71", "", "", ResidueType::NON_POLYMER, false, "5-(7-(4-(4,5-DIHYDRO-2-OXAZOLYL)PHENOXY)HEPTYL)-3-METHYL ISOXAZOLE", 25396 },
	{ "W72", "", "", ResidueType::NON_POLYMER, false, "6-DEOXY-6-[(2R,3R,4R)-3,4-DIHYDROXY-2-(HYDROXYMETHYL)PYRROLIDIN-1-YL]-L-GULONIC ACID", 25397 },
	{ "W73", "", "", ResidueType::NON_POLYMER, false, "2,6-dioxo-5-[2-(phenanthren-9-yl)ethyl]-1,2,3,6- tetrahydropyrimidine-4-carboxylic acid", 25398 },
	{ "W74", "", "", ResidueType::NON_POLYMER, false, "2,6-dioxo-5-{2-[4-(trifluoromethoxy)phenyl]ethyl}-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25399 },
	{ "W75", "", "", ResidueType::NON_POLYMER, false, "5-[2-(3,5-dimethoxyphenyl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25400 },
	{ "W76", "", "", ResidueType::NON_POLYMER, false, "5-[2-(3-methoxyphenyl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25401 },
	{ "W77", "", "", ResidueType::NON_POLYMER, false, "2,4-dichloro-N-(pyridin-3-yl)benzamide", 25402 },
	{ "W7A", "", "", ResidueType::NON_POLYMER, false, "2,6-dioxo-5-[2-(4-phenylphenyl)ethyl]-1,2,3,6- tetrahydropyrimidine-4-carboxylic acid", 25403 },
	{ "W7B", "", "", ResidueType::NON_POLYMER, false, "5-[2-(naphthalen-1-yl)ethyl]-2,6-dioxo-1,2,3,6- tetrahydropyrimidine-4-carboxylic acid", 25404 },
	{ "W7C", "", "", ResidueType::NON_POLYMER, false, "5-[2-(5-methoxynaphthalen-2-yl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25405 },
	{ "W7D", "", "", ResidueType::NON_POLYMER, false, "5-[2-(8-methoxynaphthalen-2-yl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25406 },
	{ "W7E", "", "", ResidueType::NON_POLYMER, false, "2-[[4-[2-[[3-[(2-methyl-1,3-benzothiazol-6-yl)amino]-3-oxidanylidene-propyl]carbamoylamino]ethoxy]phenyl]methyl]propanedioic acid", 25407 },
	{ "W7F", "", "", ResidueType::NON_POLYMER, false, "5-[2-(7-methoxynaphthalen-1-yl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25408 },
	{ "W7G", "", "", ResidueType::NON_POLYMER, false, "5-[2-(2-methoxyphenyl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25409 },
	{ "W7H", "", "", ResidueType::NON_POLYMER, false, "5-[2-(naphthalen-2-yl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25410 },
	{ "W7I", "", "", ResidueType::NON_POLYMER, false, "5-[2-(3-methoxynaphthalen-2-yl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25411 },
	{ "W7J", "", "", ResidueType::NON_POLYMER, false, "5-[2-(6-carboxynaphthalen-2-yl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25412 },
	{ "W7K", "", "", ResidueType::NON_POLYMER, false, "5-[2-(3,6-dimethoxynaphthalen-2-yl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25413 },
	{ "W7L", "", "", ResidueType::NON_POLYMER, false, "5-[2-(6-methoxynaphthalen-1-yl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25414 },
	{ "W7M", "", "", ResidueType::NON_POLYMER, false, "5-{2-[6-(methoxycarbonyl)naphthalen-2-yl]ethyl}-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25415 },
	{ "W7N", "", "", ResidueType::NON_POLYMER, false, "5-(2-{6-[(2-hydroxyethyl)carbamoyl]naphthalen-2-yl}ethyl)-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25416 },
	{ "W7O", "", "", ResidueType::NON_POLYMER, false, "5-[2-(3-carboxyphenyl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25417 },
	{ "W7P", "", "", ResidueType::NON_POLYMER, false, "5-[2-(4-carboxyphenyl)ethyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25418 },
	{ "W7Q", "", "", ResidueType::NON_POLYMER, false, "5-{2-[1-(tert-butoxycarbonyl)-2,3-dihydro-1H-indol-5-yl]ethyl}-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25419 },
	{ "W81", "", "", ResidueType::NON_POLYMER, false, "(5R,6R)-6-azaniumyl-5-ethoxycyclohexa-1,3-diene-1-carboxylate", 25420 },
	{ "W83", "", "", ResidueType::NON_POLYMER, false, "5-{2-[7-(methoxymethoxy)naphthalen-2-yl]ethyl}-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25421 },
	{ "W84", "", "", ResidueType::NON_POLYMER, false, "5-(7-(5-HYDRO-4-METHYL-2-OXAZOLYL)PHENOXY)HEPTYL)-3-METHYL ISOXAZOLE", 25422 },
	{ "W85", "", "", ResidueType::NON_POLYMER, false, "5-{2-[3-(methoxycarbonyl)phenyl]ethyl}-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25423 },
	{ "W86", "", "", ResidueType::NON_POLYMER, false, "5-{4-[4-(methoxycarbonyl)phenyl]butyl}-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25424 },
	{ "W87", "", "", ResidueType::NON_POLYMER, false, "5-{4-[5-(methoxycarbonyl)naphthalen-2-yl]butyl}-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25425 },
	{ "W88", "", "", ResidueType::NON_POLYMER, false, "5-[4-(6-carboxynaphthalen-2-yl)butyl]-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25426 },
	{ "W8G", "", "", ResidueType::NON_POLYMER, false, "4-thiomorpholino-7H-pyrrolo[2,3-d]pyrimidin-2-amine", 25427 },
	{ "W8L", "", "", ResidueType::NON_POLYMER, false, "3-(4-chlorophenyl)-5-methylisoquinolin-1(2H)-one", 25428 },
	{ "W8R", "", "", ResidueType::NON_POLYMER, false, "5-(7-(5-HYDRO-4-METHYL-2-OXAZOLYL)PHENOXY)HEPTYL)-3-METHYL ISOXAZOLE", 25429 },
	{ "W8X", "", "", ResidueType::NON_POLYMER, false, "{2-[(4-bromobenzyl)carbamoyl]-5-chlorophenoxy}acetic acid", 25430 },
	{ "W8Z", "", "", ResidueType::NON_POLYMER, false, "5-{2-[3-(methoxymethoxy)naphthalen-2-yl]ethyl}-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25431 },
	{ "W91", "", "", ResidueType::NON_POLYMER, false, "5-(3-(2,6-DICHLORO-4-(4,5-DIHYDRO-2-OXAZOLYL)PHENOXY)PROPYL)-3-METHYL ISOXAZOLE", 25432 },
	{ "W94", "", "", ResidueType::NON_POLYMER, false, "[(2S,4S)-4-{4-[1-phenyl-3-(trifluoromethyl)-1H-pyrazol-5-yl]piperidin-1-yl}pyrrolidin-2-yl](1,3-thiazolidin-3-yl)methanone", 25433 },
	{ "W9L", "", "", ResidueType::NON_POLYMER, false, "1-ethyl-3-naphthalen-1-ylurea", 25434 },
	{ "W9M", "", "", ResidueType::NON_POLYMER, false, "3-(3,4-dichlorophenyl)-1,1-dimethyl-urea", 25435 },
	{ "W9T", "", "", ResidueType::NON_POLYMER, false, "4-O-beta-D-galactopyranosyl-beta-D-fructofuranose", 25436 },
	{ "W9Z", "", "", ResidueType::NON_POLYMER, false, "6-{(1S)-1-[6-(1-methyl-1H-pyrazol-4-yl)[1,2,4]triazolo[4,3-b]pyridazin-3-yl]ethyl}quinoline", 25437 },
	{ "WA1", "", "", ResidueType::NON_POLYMER, false, "1-phenyl-3-(1,2,3-thiadiazol-5-yl)urea", 25438 },
	{ "WA2", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-methyl-4-(7H-purin-6-ylamino)butan-1-ol", 25439 },
	{ "WA5", "", "", ResidueType::NON_POLYMER, false, "4-azanylidene-N-[[2,4-bis(fluoranyl)phenyl]methyl]-1-oxidanyl-2-oxidanylidene-1,8-naphthyridine-3-carboxamide", 25440 },
	{ "WAC", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(12bS)-7-oxo-1,3,4,6,7,12b-hexahydroindolo[2,3-a]quinolizin-12(2H)-yl]propyl}propane-2-sulfonamide", 25441 },
	{ "WAI", "", "", ResidueType::NON_POLYMER, false, "4-{2-[4-(2-AMINOETHYL)PIPERAZIN-1-YL]PYRIDIN-4-YL}-N-(3-CHLORO-4-METHYLPHENYL)PYRIMIDIN-2-AMINE", 25442 },
	{ "WAN", "", "", ResidueType::NON_POLYMER, false, "5-ethoxy-4-(1-methyl-7-oxo-3-propyl-6,7-dihydro-1H-pyrazolo[4,3-d]pyrimidin-5-yl)thiophene-2-sulfonamide", 25443 },
	{ "WAQ", "", "", ResidueType::NON_POLYMER, false, "PIMELOYL-AMP", 25444 },
	{ "WAY", "", "", ResidueType::NON_POLYMER, false, "N-HYDROXY-2-[(4-METHOXY-BENZENESULFONYL)-PYRIDIN-3-YLMETHYL-AMINO]-3-METHYL-BENZAMIDE", 25445 },
	{ "WBI", "", "", ResidueType::NON_POLYMER, false, "N-(6-oxo-1,6-dihydro-3,4'-bipyridin-5-yl)-4-(piperidin-1-yl)benzamide", 25446 },
	{ "WBT", "", "", ResidueType::NON_POLYMER, false, "3-FLUORO-5-MORPHOLIN-4-YL-N-[1-(2-PYRIDIN-4-YLETHYL)-1H-INDOL-6-YL]BENZAMIDE", 25447 },
	{ "WBU", "", "", ResidueType::NON_POLYMER, false, "5-AMINO-1H-PYRIMIDINE-2,4-DIONE", 25448 },
	{ "WC1", "", "", ResidueType::NON_POLYMER, false, "(2-{2-[(2S)-3-methylbutan-2-yl]-5-phenyl-1H-indol-3-yl}ethane-1,1-diyl)bis(phosphonic acid)", 25449 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "p-coumaroyl-CoA", 25450 },
	{ "WCC", "", "", ResidueType::NON_POLYMER, false, "FE(3)-NI(1)-S(4) CLUSTER", 25451 },
	{ "WCE", "", "", ResidueType::NON_POLYMER, false, "3-CHLORO-BENZAMIDE", 25452 },
	{ "WCP", "", "", ResidueType::NON_POLYMER, false, "(4R)-3-fluoro-4-hydroxy-4-{[(1r,4R)-4-{[(3-oxo-3,4-dihydro-2H-pyrido[3,2-b][1,4]oxazin-6-yl)methyl]amino}-2-oxabicyclo[2.2.2]oct-1-yl]methyl}-4,5-dihydro-7H-pyrrolo[3,2,1-de][1,5]naphthyridin-7-one", 25453 },
	{ "WCR", "", "", ResidueType::PEPTIDE_LINKING, false, "[(2R,4Z)-2-(aminomethyl)-2-hydroxy-4-(4-hydroxybenzylidene)-5-oxoimidazolidin-1-yl]acetic acid", 25454 },
	{ "WCU", "", "", ResidueType::NON_POLYMER, false, "~{N}2-(1,3-benzodioxol-5-yl)benzene-1,2-diamine", 25455 },
	{ "WCX", "", "", ResidueType::NON_POLYMER, false, "4-{5-[(1-METHYLPIPERIDIN-4-YL)OXY]-1H-BENZIMIDAZOL-1-YL}-2-{(1R)-1-[2-(TRIFLUOROMETHYL)PHENYL]ETHOXY}BENZAMIDE", 25456 },
	{ "WDL", "", "", ResidueType::NON_POLYMER, false, "1,3,5-triazine-2,4,6-triol", 25457 },
	{ "WDR", "", "", ResidueType::NON_POLYMER, false, "(4S)-6-(3,5-dimethyl-1,2-oxazol-4-yl)-4-(2-hydroxyethoxy)-3-methyl-3,4-dihydroquinazolin-2(1H)-one", 25458 },
	{ "WDS", "", "", ResidueType::NON_POLYMER, false, "3-pentyl-2-[(pyridin-2-ylmethyl)sulfanyl]-7-(pyrrolidin-1-ylcarbonyl)quinazolin-4(3H)-one", 25459 },
	{ "WDT", "", "", ResidueType::NON_POLYMER, false, "2-nitro-5-(phenylsulfonyl)phenol", 25460 },
	{ "WDU", "", "", ResidueType::NON_POLYMER, false, "4-chloro-N-(4-chlorobenzyl)-5-nitro-1H-pyrazole-3-carboxamide", 25461 },
	{ "WDV", "", "", ResidueType::NON_POLYMER, false, "4-nitro-2-({4-[3-(trifluoromethyl)phenyl]piperazin-1-yl}methyl)phenol", 25462 },
	{ "WDW", "", "", ResidueType::NON_POLYMER, false, "3,6-dihydropyridin-1(2H)-yl(5-methyl-1H-indol-2-yl)methanone", 25463 },
	{ "WDX", "", "", ResidueType::NON_POLYMER, false, "[4-(2-hydroxyethyl)piperidin-1-yl](5-methyl-1H-indol-2-yl)methanone", 25464 },
	{ "WE0", "", "", ResidueType::NON_POLYMER, false, "(3~{S})-3-[[(3~{S})-2-[(2~{S})-3-methyl-2-(naphthalen-2-ylcarbonylamino)butanoyl]-4-oxidanyl-2-azabicyclo[2.2.2]octan-3-yl]carbonylamino]-4-oxidanyl-butanoic acid", 25465 },
	{ "WEF", "", "", ResidueType::NON_POLYMER, false, "N-({4-methyl-2-[4-(trifluoromethyl)phenyl]-1,3-thiazol-5-yl}carbonyl)-L-tyrosine", 25466 },
	{ "WF3", "", "", ResidueType::NON_POLYMER, false, "methyl (2E)-3-methoxy-2-[2-({[6-methyl-3-(trifluoromethyl)quinoxalin-2-yl]oxy}methyl)phenyl]prop-2-enoate", 25467 },
	{ "WF4", "", "", ResidueType::NON_POLYMER, false, "4-methyl-2-[4-(trifluoromethyl)phenyl]-1,3-thiazole-5-carboxylic acid", 25468 },
	{ "WF8", "", "", ResidueType::NON_POLYMER, false, "5-isopropylamino-2-phenyl-6-(1H-1,2,4-triazol-5-yl)-3(2H)-pyridazinone", 25469 },
	{ "WFE", "", "", ResidueType::NON_POLYMER, false, "N-{[(3S)-3-amino-1-(5-ethyl-7H-pyrrolo[2,3-d]pyrimidin-4-yl)pyrrolidin-3-yl]methyl}-2,4-difluorobenzamide", 25470 },
	{ "WFF", "", "", ResidueType::NON_POLYMER, false, "6-[4-(2,4-difluorophenyl)-5-oxo-2,5-dihydrofuran-3-yl]-2H-1,4-benzoxazin-3(4H)-one", 25471 },
	{ "WFG", "", "", ResidueType::NON_POLYMER, false, "6-[(2S)-4-(4-fluorophenyl)-2-methyl-5-oxo-2,5-dihydrofuran-3-yl]-2H-1,4-benzoxazin-3(4H)-one", 25472 },
	{ "WFP", "", "", ResidueType::PEPTIDE_LINKING, false, "3,5-difluoro-L-phenylalanine", 25473 },
	{ "WG8", "", "", ResidueType::NON_POLYMER, false, "(4S)-2-(8-hydroxyquinolin-2-yl)-4,5-dihydro-1,3-thiazole-4-carboxylic acid", 25474 },
	{ "WGG", "", "", ResidueType::NON_POLYMER, false, "N-(3-methoxybenzyl)-4-oxo-3,4-dihydroquinazoline-2-carboxamide", 25475 },
	{ "WGT", "", "", ResidueType::NON_POLYMER, false, "", 25476 },
	{ "WGX", "", "", ResidueType::NON_POLYMER, false, "~{N}-[1,4-dimethyl-2,3-bis(oxidanylidene)-7-piperidin-1-yl-quinoxalin-6-yl]-5,6,7,8-tetrahydronaphthalene-2-sulfonamide", 25477 },
	{ "WGZ", "", "", ResidueType::NON_POLYMER, false, "5-{6-[(1-METHYLPIPERIDIN-4-YL)OXY]-1H-BENZIMIDAZOL-1-YL}-3-{(1R)-1-[2-(TRIFLUOROMETHYL)PHENYL]ETHOXY}THIOPHENE-2-CARBOXAMIDE", 25478 },
	{ "WH6", "", "", ResidueType::NON_POLYMER, false, "2-[(1R)-2-carboxy-1-(naphthalen-1-ylmethyl)ethyl]-1,3-dioxo-2,3-dihydro-1H-isoindole-5-carboxylic acid", 25479 },
	{ "WHA", "", "", ResidueType::NON_POLYMER, false, "4-{[4-amino-6-(5-chloro-1H,3H-benzo[de]isochromen-6-yl)-1,3,5-triazin-2-yl]sulfanyl}butanamide", 25480 },
	{ "WHF", "", "", ResidueType::NON_POLYMER, false, "3-(5-AMINO-1,3,4-THIADIAZOL-2-YL)-1-THIOPHEN-2-YLPROPAN-1-ONE", 25481 },
	{ "WHH", "", "", ResidueType::NON_POLYMER, false, "4-[2-({6-fluoro-2-[(3-methoxybenzyl)carbamoyl]-4-oxo-3,4-dihydroquinazolin-5-yl}oxy)ethyl]benzoic acid", 25482 },
	{ "WHJ", "", "", ResidueType::NON_POLYMER, false, "CARMOTEROL", 25483 },
	{ "WHU", "", "", ResidueType::NON_POLYMER, false, "2-azanyl-N-[[4-bromanyl-3-(3-chloranyl-5-cyano-phenoxy)-2-fluoranyl-phenyl]methyl]-4-chloranyl-1H-imidazole-5-carboxamide", 25484 },
	{ "WHW", "", "", ResidueType::NON_POLYMER, false, "9S,13R-12-OXOPHYTODIENOIC ACID", 25485 },
	{ "WI2", "", "", ResidueType::NON_POLYMER, false, "1-[3-amino-6-(3-methoxyphenyl)pyrazin-2-yl]piperidine-4-carboxylic acid", 25486 },
	{ "WI4", "", "", ResidueType::NON_POLYMER, false, "N-(2-chlorophenyl)-4-pyrrol-1-yl-1,3,5-triazin-2-amine", 25487 },
	{ "WIA", "", "", ResidueType::NON_POLYMER, false, "METHYL(6S)-1-THIO-L-MANNO-HEXODIALDO-6,2-PYRANOSIDE", 25488 },
	{ "WIN", "", "", ResidueType::NON_POLYMER, false, "methyl (5beta,7alpha,9beta,10alpha,11alpha,12alpha,13beta,15alpha)-15-{[(2E)-3,4-dimethylpent-2-enoyl]oxy}-3,11,12-trihydroxy-2,16-dioxo-13,20-epoxypicras-3-en-21-oate", 25489 },
	{ "WJ1", "", "", ResidueType::NON_POLYMER, false, "(S)-2-chloro-3-phenylpropanoic acid", 25490 },
	{ "WJ2", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-chloro-3-phenylpropanoic acid", 25491 },
	{ "WJZ", "", "", ResidueType::NON_POLYMER, false, "TIOPRONIN", 25492 },
	{ "WL3", "", "", ResidueType::NON_POLYMER, false, "2-(4-fluorophenyl)carbonylbenzoic acid", 25493 },
	{ "WLH", "", "", ResidueType::NON_POLYMER, false, "2-(4-METHYLPIPERAZIN-1-YL)-3,4,5,6,7,8-HEXAHYDROQUINAZOLIN-4-ONE", 25494 },
	{ "WLL", "", "", ResidueType::NON_POLYMER, false, "N-(3-methoxybenzyl)-4-oxo-3,4-dihydrothieno[2,3-d]pyrimidine-2-carboxamide", 25495 },
	{ "WLM", "", "", ResidueType::NON_POLYMER, false, "5-CHLORO-2-METHOXY-N-[2-[4-[(5-PROPAN-2-YL-1,3,4-THIADIAZOL-2-YL)SULFAMOYL]PHENYL]ETHYL]BENZAMIDE", 25496 },
	{ "WLU", "", "", ResidueType::PEPTIDE_LINKING, false, "(4R)-5-hydroxy-N-methyl-L-leucine", 25497 },
	{ "WM1", "", "", ResidueType::NON_POLYMER, false, "pyridine-2-carboxamide", 25498 },
	{ "WM2", "", "", ResidueType::NON_POLYMER, false, "cyclohexanecarboxamide", 25499 },
	{ "WM3", "", "", ResidueType::NON_POLYMER, false, "benzenesulfonohydrazide", 25500 },
	{ "WM4", "", "", ResidueType::NON_POLYMER, false, "benzohydrazide", 25501 },
	{ "WM9", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-[3-(3-chlorophenyl)phenyl]-2-methyl-5,6-dihydro-1,3-oxazin-4-amine", 25502 },
	{ "WMJ", "", "", ResidueType::NON_POLYMER, false, "1-[[(2R,3S,5S)-5-[5-methyl-2,4-bis(oxidanylidene)pyrimidin-1-yl]-3-oxidanyl-oxolan-2-yl]methyl]-3-(4-nitrophenyl)urea", 25503 },
	{ "WMM", "", "", ResidueType::NON_POLYMER, false, "N-phenyl-4-[(4H-1,2,4-triazol-3-ylsulfanyl)methyl]-1,3-thiazol-2-amine", 25504 },
	{ "WMP", "", "", ResidueType::NON_POLYMER, false, "", 25505 },
	{ "WMR", "", "", ResidueType::NON_POLYMER, false, "5-butyl-8,8-dimethyl-3,6,8,9-tetrahydropyrazolo[3,4-b]thiopyrano[4,3-d]pyridin-1-amine", 25506 },
	{ "WN6", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{[(S)-[(1R)-1-aminoethyl](hydroxy)phosphoryl]methyl}-4-phenylbutanoic acid", 25507 },
	{ "WNN", "", "", ResidueType::NON_POLYMER, false, "4-oxo-N-{3-[2-(1H-1,2,4-triazol-3-ylsulfanyl)ethoxy]benzyl}-3,4-dihydroquinazoline-2-carboxamide", 25508 },
	{ "WO2", "", "", ResidueType::NON_POLYMER, false, "OCTADECATUNGSTENYL DIPHOSPHATE", 25509 },
	{ "WO3", "", "", ResidueType::NON_POLYMER, false, "TRI-TUNGSTEN(VI) OXIDE COMPLEX", 25510 },
	{ "WO4", "", "", ResidueType::NON_POLYMER, false, "TUNGSTATE(VI)ION", 25511 },
	{ "WO5", "", "", ResidueType::NON_POLYMER, false, "TUNGSTATE(VI) ION", 25512 },
	{ "WO6", "", "", ResidueType::NON_POLYMER, false, "trioxido(oxo)tungsten", 25513 },
	{ "WOC", "", "", ResidueType::NON_POLYMER, false, "2,2-dimethylbutanedioic acid", 25514 },
	{ "WOE", "", "", ResidueType::NON_POLYMER, false, "4-CHLORO-6-(2-METHOXYPHENYL)PYRIMIDIN-2-AMINE", 25515 },
	{ "WOO", "", "", ResidueType::NON_POLYMER, false, "beta-L-allopyranose", 25516 },
	{ "WOP", "", "", ResidueType::NON_POLYMER, false, "5-[[methyl-[[(1S)-2-oxidanylidene-1-phenyl-2-[(phenylmethyl)amino]ethyl]carbamoyl]amino]methyl]-1,3-benzodioxole-4-carboxylic acid", 25517 },
	{ "WOS", "", "", ResidueType::NON_POLYMER, false, "4-methyl-6-[2-(5-morpholin-4-ylpyridin-3-yl)ethyl]pyridin-2-amine", 25518 },
	{ "WOT", "", "", ResidueType::NON_POLYMER, false, "phenylazanium", 25519 },
	{ "WOW", "", "", ResidueType::NON_POLYMER, false, "2-chloro-4-{(2-methylbenzyl)[(3S)-1-(methylsulfonyl)pyrrolidin-3-yl]amino}benzonitrile", 25520 },
	{ "WP1", "", "", ResidueType::NON_POLYMER, false, "2,2-dimethyl-2,3-dihydro-1-benzofuran-7-carboxamide", 25521 },
	{ "WP5", "", "", ResidueType::NON_POLYMER, false, "METHYL [(4S)-6-BROMO-2-METHYL-4-PHENYLQUINAZOLIN-3(4H)-YL]ACETATE", 25522 },
	{ "WP6", "", "", ResidueType::NON_POLYMER, false, "(4S)-3-BENZYL-6-CHLORO-2-METHYL-4-PHENYL-3,4-DIHYDROQUINAZOLINE", 25523 },
	{ "WP7", "", "", ResidueType::NON_POLYMER, false, "(4S)-6-CHLORO-3-{2-[4-(FURAN-2-YLCARBONYL)PIPERAZIN-1-YL]ETHYL}-2-METHYL-4-PHENYL-3,4-DIHYDROQUINAZOLINE", 25524 },
	{ "WPA", "", "", ResidueType::PEPTIDE_LINKING, false, "(betaR)-beta-methoxy-L-phenylalanine", 25525 },
	{ "WPC", "", "", ResidueType::NON_POLYMER, false, "[29H,31H-phthalocyaninato(2-)-kappa~4~N~29~,N~30~,N~31~,N~32~]iron", 25526 },
	{ "WPE", "", "", ResidueType::NON_POLYMER, false, "N-{2-[(4S)-6-CHLORO-2-METHYL-4-PHENYLQUINAZOLIN-3(4H)-YL]ETHYL}FURAN-2-CARBOXAMIDE", 25527 },
	{ "WPF", "", "", ResidueType::NON_POLYMER, false, "3-[(4S)-6-CHLORO-2-METHYL-4-(4-METHYLPHENYL)QUINAZOLIN-3(4H)-YL]-N,N-DIMETHYLPROPAN-1-AMINE", 25528 },
	{ "WPG", "", "", ResidueType::NON_POLYMER, false, "(3-{(3R,4R)-3-(2-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)-4-[(2R)-2-hydroxy-2-phosphonoethoxy]pyrrolidin-1-yl}-3-oxopropyl)phosphonic acid", 25529 },
	{ "WPH", "", "", ResidueType::NON_POLYMER, false, "1-(4-{2-[(6-{4-[2-(dimethylamino)ethoxy]phenyl}furo[2,3-d]pyrimidin-4-yl)amino]ethyl}phenyl)-3-phenylurea", 25530 },
	{ "WPI", "", "", ResidueType::NON_POLYMER, false, "1,4-bis[(4E)-5-(3,4,5-trimethoxyphenyl)pent-4-en-1-yl]-1,4-diazepane", 25531 },
	{ "WPL", "", "", ResidueType::NON_POLYMER, false, "(1S,3R,4R,5R)-3-(aminomethyl)-1,4,5-trihydroxycyclohexanecarboxylic acid", 25532 },
	{ "WPP", "", "", ResidueType::NON_POLYMER, false, "Piperacillin", 25533 },
	{ "WQP", "", "", ResidueType::NON_POLYMER, false, "5-(ACETYLAMINO)-3,5-DIDEOXY-2-O-PHOSPHONO-D-ERYTHRO-L-MANNO-NONONIC ACID", 25534 },
	{ "WQQ", "", "", ResidueType::NON_POLYMER, false, "1-(3-CHLOROPHENYL)-5-(3,5-DIMETHYLISOXAZOL-4-YL)-6-METHYL-N-[4-(METHYLSULFONYL)BENZYL]-2-OXO-1,2-DIHYDROPYRIDINE-3-CARBOXAMIDE", 25535 },
	{ "WQS", "", "", ResidueType::NON_POLYMER, false, "2-[(3S)-5-fluoranyl-2-oxidanylidene-1,3-dihydroindol-3-yl]ethanoic acid", 25536 },
	{ "WR1", "", "", ResidueType::NON_POLYMER, false, "NALPHA-[(BENZYLOXY)CARBONYL]-N-[(1R)-4-HYDROXY-1-METHYL-2-OXOBUTYL]-L-PHENYLALANINAMIDE", 25537 },
	{ "WR2", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-N^1^-[(1S)-2,2-DIMETHYL-1-(METHYLCARBAMOYL)PROPYL]-N^4^-HYDROXY-2-(2-METHYLPROPYL)-3-{[(1,3-THIAZOL-2-YLCARBONYL)AMINO]METHYL}BUTANEDIAMIDE", 25538 },
	{ "WR7", "", "", ResidueType::NON_POLYMER, false, "2-(2-methyl-5-nitro-1H-imidazol-1-yl)ethyl [(1R)-2,2,2-trichloro-1-(pyrimidin-2-ylamino)ethyl]carbamate", 25539 },
	{ "WRA", "", "", ResidueType::NON_POLYMER, false, "6,6-DIMETHYL-1-[3-(2,4,5-TRICHLOROPHENOXY)PROPOXY]-1,6-DIHYDRO-1,3,5-TRIAZINE-2,4-DIAMINE", 25540 },
	{ "WRB", "", "", ResidueType::NON_POLYMER, false, "1-[3-(4-BROMO-PHENOXY)-PROPOXY]-6,6-DIMETHYL-1.6-DIHYDRO-[1,3,5]TRIAZINE-2,4-DIAMINE", 25541 },
	{ "WRG", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-2-[[(2S)-2-acetamido-5-[[N-(methylcarbamoyl)carbamimidoyl]amino]pentanoyl]-methyl-amino]-3-phenyl-propanoic acid", 25542 },
	{ "WRO", "", "", ResidueType::NON_POLYMER, false, "2,6-dioxo-5-{2-[3-(trifluoromethyl)phenyl]ethyl}-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25543 },
	{ "WRP", "", "", ResidueType::PEPTIDE_LINKING, false, "(betaR)-beta-hydroxy-1-[(3R)-3-hydroxy-2-methylbutan-2-yl]-L-tryptophan", 25544 },
	{ "WRR", "", "RWF", ResidueType::NON_POLYMER, true, "4-HYDROXY-3-[(1S,3R)-3-HYDROXY-1-PHENYLBUTYL]-2H-CHROMEN-2-ONE", 25545 },
	{ "WRS", "", "SWF", ResidueType::NON_POLYMER, true, "4-HYDROXY-3-[(1S,3S)-3-HYDROXY-1-PHENYLBUTYL]-2H-CHROMEN-2-ONE", 25546 },
	{ "WS1", "", "", ResidueType::NON_POLYMER, false, "6-(1-beta-D-Glucopyranosyloxymethyl)-N-(5'-deoxyluridine-5'-yl)picolinamide", 25547 },
	{ "WS2", "", "", ResidueType::NON_POLYMER, false, "6-(1-beta-D-Galactopyranosyloxymethyl)-N-(5'-deoxyluridine-5'-yl)picolinamide", 25548 },
	{ "WS3", "", "", ResidueType::NON_POLYMER, false, "5'-deoxy-5'-[({6-[(alpha-D-galactopyranosyloxy)methyl]pyridin-2-yl}carbonyl)amino]uridine", 25549 },
	{ "WS6", "", "", ResidueType::NON_POLYMER, false, "(9aS)-2-amino-9a-methyl-8,9,9a,10-tetrahydrobenzo[g]pteridine-4,6(3H,7H)-dione", 25550 },
	{ "WS7", "", "", ResidueType::NON_POLYMER, false, "(9aS)-2-amino-9a-methyl-6,7,8,9,9a,10-hexahydrobenzo[g]pteridin-4(3H)-one", 25551 },
	{ "WSA", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(L-TRYPTOPHYLAMINO)SULFONYL]ADENOSINE", 25552 },
	{ "WSD", "", "", ResidueType::NON_POLYMER, false, "6-acetyl-2-amino-7,7-dimethyl-7,8-dihydropteridin-4(3H)-one", 25553 },
	{ "WSH", "", "", ResidueType::NON_POLYMER, false, "BENZYL [(4R)-1-METHYL-6-PHENYL-4H-[1,2,4]TRIAZOLO[4,3-A][1,4]BENZODIAZEPIN-4-YL]CARBAMATE", 25554 },
	{ "WSK", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-(3,6-DIBROMO-9H-CARBAZOL-9-YL)-3-(DIMETHYLAMINO)PROPAN-2-OL", 25555 },
	{ "WSQ", "", "8M0", ResidueType::NON_POLYMER, true, "OCTAMOLYBDATE", 25556 },
	{ "WST", "", "", ResidueType::NON_POLYMER, false, "(3AS,4R,9BR)-4-(4-HYDROXYPHENYL)-1,2,3,3A,4,9B-HEXAHYDROCYCLOPENTA[C]CHROMEN-9-OL", 25557 },
	{ "WT2", "", "", ResidueType::NON_POLYMER, false, "(S)-2-AMINO-5-(2-OXOACETIMIDAMIDO)PENTANOIC ACID", 25558 },
	{ "WT4", "", "", ResidueType::NON_POLYMER, false, "N-[(5S)-5-amino-5-carboxypentanoyl]-L-homocysteyl-S-methyl-D-cysteine", 25559 },
	{ "WTC", "", "", ResidueType::NON_POLYMER, false, "6-benzyl-1-cyclopentyl-1,5-dihydro-4H-pyrazolo[3,4-d]pyrimidin-4-one", 25560 },
	{ "WTI", "", "", ResidueType::NON_POLYMER, false, "4-[2-AMINO-5-(2,3-DIHYDROTHIENO[3,4-B][1,4]DIOXIN-5-YL)PYRIDIN-3-YL]BENZAMIDE", 25561 },
	{ "WTJ", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-5-(2,3-DIHYDROTHIENO[3,4-B][1,4]DIOXIN-5-YL)-N-[2-(DIMETHYLAMINO)ETHYL]PYRIDINE-3-CARBOXAMIDE", 25562 },
	{ "WTZ", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-2,3-Dihydroxy-2-methylbutanoic acid", 25563 },
	{ "WUB", "", "", ResidueType::NON_POLYMER, false, "(1R,10aS)-1,2,10,10a-tetrahydrophenazine-1-carboxylic acid", 25564 },
	{ "WUL", "", "", ResidueType::NON_POLYMER, false, "8-BROMANYL-2-[[(3S)-3-OXIDANYLPYRROLIDIN-1-YL]METHYL]-3H-[1]BENZOFURO[3,2-D]PYRIMIDIN-4-ONE", 25565 },
	{ "WUN", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4R,5S,6R)-3-azanyl-5-[(4-chlorophenyl)methoxy]-6-(hydroxymethyl)oxane-2,4-diol", 25566 },
	{ "WUP", "", "", ResidueType::NON_POLYMER, false, "5,15-Diphenylporphyrin containing FE", 25567 },
	{ "WV7", "", "", ResidueType::NON_POLYMER, false, "2-(trifluoroacetyl)-1,2,3,4-tetrahydroisoquinolin-6-ol", 25568 },
	{ "WVH", "", "", ResidueType::NON_POLYMER, false, "4-[4-[2,4-bis(fluoranyl)phenyl]piperazin-1-yl]-2-fluoranyl-N-[(2R)-3-(1H-indol-3-yl)-1-oxidanylidene-1-(pyridin-4-ylamino)propan-2-yl]benzamide", 25569 },
	{ "WVI", "", "", ResidueType::NON_POLYMER, false, "3-METHYL-4-(THIOPHEN-2-YL)-1H-PYRAZOL-5-AMINE", 25570 },
	{ "WVL", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,3R)-2-amino-3,5-dimethylhex-4-enoic acid", 25571 },
	{ "WVP", "", "", ResidueType::NON_POLYMER, false, "5,15-Bisethynyl-10,20-diphenylporphyrin containing FE", 25572 },
	{ "WVV", "", "", ResidueType::NON_POLYMER, false, "3-(2-fluorophenyl)benzoic acid", 25573 },
	{ "WW2", "", "", ResidueType::NON_POLYMER, false, "cyclohexyl (S)-methylphosphonofluoridoate", 25574 },
	{ "WW3", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-azepan-1-yldiazenyl]benzenesulfonamide", 25575 },
	{ "WW7", "", "", ResidueType::NON_POLYMER, false, "N-(6-AMINOHEXYL)-5-CHLORO-1-NAPHTHALENESULFONAMIDE", 25576 },
	{ "WW8", "", "", ResidueType::NON_POLYMER, false, "N-[(3S)-1-({6-chloro-3-[1-(4-chlorobenzyl)-4-phenyl-1H-imidazol-5-yl]-1H-indol-2-yl}carbonyl)pyrrolidin-3-yl]-N,N',N'-trimethylpropane-1,3-diamine", 25577 },
	{ "WWF", "", "", ResidueType::NON_POLYMER, false, "C2-1-HYDROXY-3-METHYL-BUTYL-THIAMIN", 25578 },
	{ "WWL", "", "", ResidueType::NON_POLYMER, false, "5-(phenylsulfonyl)thiophene-2-sulfonamide", 25579 },
	{ "WWO", "", "", ResidueType::NON_POLYMER, false, "3-(benzylamino)-2,5,6-trifluoro-4-[(2-hydroxyethyl)sulfonyl]benzenesulfonamide", 25580 },
	{ "WWV", "", "", ResidueType::NON_POLYMER, false, "4-({[2-(1-methylethyl)phenyl]carbamoyl}amino)benzenesulfonamide", 25581 },
	{ "WWX", "", "", ResidueType::NON_POLYMER, false, "2,3,6-trifluoro-5-{[(1R,2S)-2-hydroxy-1,2-diphenylethyl]amino}-4-[(2-hydroxyethyl)sulfonyl]benzenesulfonamide", 25582 },
	{ "WWZ", "", "", ResidueType::NON_POLYMER, false, "4-{[(4-fluorophenyl)carbamoyl]amino}benzenesulfonamide", 25583 },
	{ "WX5", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-[(2R)-5-carbamimidamido-2-[(phenylmethyl)sulfonylamino]pentanoyl]-N-[[5-chloranyl-2-(hydroxymethyl)phenyl]methyl]pyrrolidine-2-carboxamide", 25584 },
	{ "WXP", "", "", ResidueType::NON_POLYMER, false, "5,10,15-Triphenylporphyrin cpntaining FE", 25585 },
	{ "WXV", "", "", ResidueType::NON_POLYMER, false, "N,1-DIMETHYL-8-{[1-(METHYLSULFONYL)PIPERIDIN-4-YL]AMINO}-1H-PYRAZOLO[4,3-H]QUINAZOLINE-3-CARBOXAMIDE", 25586 },
	{ "WY1", "", "", ResidueType::NON_POLYMER, false, "2-({4-CHLORO-6-[(2,3-DIMETHYLPHENYL)AMINO]PYRIMIDIN-2-YL}SULFANYL)ACETIC ACID", 25587 },
	{ "WY2", "", "", ResidueType::NON_POLYMER, false, "(6,7-DIHYDRO-5H-CYCLOPENTA[D]IMIDAZO[2,1-B]THIAZOL-2-YL]-4,7-DIHYDRO[1,4]THIAZEPINE-3,6-DICARBOXYLIC ACID", 25588 },
	{ "WY3", "", "", ResidueType::NON_POLYMER, false, "7-HYDROXY-4-(MORPHOLINOMETHYL)CHROMEN-2-ONE", 25589 },
	{ "WY4", "", "", ResidueType::NON_POLYMER, false, "7-(5,6-DIHYDRO-8H-IMIDAZO[2,1-C][1,4]OXAZIN-2-YL)-6-FORMYL-2,7-DIHYDRO- [1,4]THIAZEPINE-3-CARBOXYLIC ACID", 25590 },
	{ "WY5", "", "", ResidueType::NON_POLYMER, false, "7-oxidanyl-2-oxidanylidene-6-(3,5,5,8,8-pentamethyl-6,7-dihydronaphthalen-2-yl)chromene-3-carboxylic acid", 25591 },
	{ "WYD", "", "", ResidueType::NON_POLYMER, false, "", 25592 },
	{ "WYE", "", "", ResidueType::NON_POLYMER, false, "(2Z)-4,6-dihydroxy-2-{[1-methyl-4-(4-methylpiperazin-1-yl)-1H-pyrrolo[2,3-b]pyridin-3-yl]methylidene}-1-benzofuran-3(2H)-one", 25593 },
	{ "WYF", "", "", ResidueType::NON_POLYMER, false, "(2Z)-4,6-dihydroxy-2-[(8-methoxy-1,2,3,4-tetrahydropyrazino[1,2-a]indol-10-yl)methylidene]-1-benzofuran-3(2H)-one", 25594 },
	{ "WYP", "", "", ResidueType::NON_POLYMER, false, "5-Ethynyl-10,20-diphenylporphyrin containing FE", 25595 },
	{ "WYQ", "", "", ResidueType::NON_POLYMER, false, "propan-2-yl {[4-ethoxy-3-(1-methyl-7-oxo-3-propyl-6,7-dihydro-1H-pyrazolo[4,3-d]pyrimidin-5-yl)phenyl]sulfonyl}carbamate", 25596 },
	{ "WZ1", "", "", ResidueType::NON_POLYMER, false, "methyl 3-S-alpha-D-mannopyranosyl-3-thio-alpha-D-mannopyranoside", 25597 },
	{ "WZ2", "", "", ResidueType::NON_POLYMER, false, "methyl alpha-D-mannopyranosyl-(1->3)-[alpha-D-mannopyranosyl-(1->6)]-3-thio-alpha-D-mannopyranoside", 25598 },
	{ "WZ3", "", "", ResidueType::NON_POLYMER, false, "methyl alpha-D-mannopyranosyl-(1->3)-[6-thio-alpha-D-mannopyranosyl-(1->6)]-beta-D-mannopyranoside", 25599 },
	{ "WZ4", "", "", ResidueType::NON_POLYMER, false, "methyl 2-(acetylamino)-2-deoxy-beta-D-glucopyranosyl-(1->2)-alpha-D-mannopyranosyl-(1->3)-[alpha-D-mannopyranosyl-(1->6)-6-thio-alpha-D-mannopyranosyl-(1->6)]-beta-D-mannopyranoside", 25600 },
	{ "WZ5", "", "", ResidueType::NON_POLYMER, false, "methyl 2-(acetylamino)-2-deoxy-beta-D-glucopyranosyl-(1->2)-alpha-D-mannopyranosyl-(1->3)-[alpha-D-mannopyranosyl-(1->6)-alpha-D-mannopyranosyl-(1->6)]-beta-D-mannopyranoside", 25601 },
	{ "WZA", "", "", ResidueType::NON_POLYMER, false, "(9BETA,14BETA,17BETA)-17-HYDROXY-2-METHOXYESTRA-1,3,5(10)-TRIEN-3-YL SULFAMATE", 25602 },
	{ "WZB", "", "", ResidueType::NON_POLYMER, false, "(9BETA,13ALPHA,14BETA,17ALPHA)-2-ETHYLESTRA-1(10),2,4-TRIENE-3,17-DIYL DISULFAMATE", 25603 },
	{ "WZC", "", "", ResidueType::NON_POLYMER, false, "(13ALPHA,14BETA,17ALPHA)-3-HYDROXY-2-METHOXYESTRA-1,3,5(10)-TRIEN-17-YL SULFAMATE", 25604 },
	{ "WZO", "", "", ResidueType::NON_POLYMER, false, "[(2~{R},3~{R},4~{R},5~{R})-5-(2-azanyl-7-methyl-6-oxidanylidene-1~{H}-purin-7-ium-9-yl)-4-methoxy-3-oxidanyl-oxolan-2-yl]methyl [phosphonooxy(sulfanyl)phosphoryl] hydrogen phosphate", 25605 },
	{ "WZV", "", "", ResidueType::NON_POLYMER, false, "5-(2,2,2-Trifluoro-ethoxy)-pyridine-2-carboxylic acid [3-((S)-2-amino-1,4-dimethyl-6-oxo-1,4,5,6-tetrahydro-pyrimidin-4-yl)-phenyl]-amide", 25606 },
	{ "X", "", "", ResidueType::DNA_LINKING, false, "", 25607 },
	{ "X00", "", "", ResidueType::NON_POLYMER, false, "{(1,1,3,3-tetramethyldisiloxane-1,3-diyl)bis[5-(methylsulfanyl)benzene-3,1-diyl]}bis({4-[3-(aminomethyl)phenyl]piperidin-1-yl}methanone)", 25608 },
	{ "X01", "", "", ResidueType::NON_POLYMER, false, "3-(4-amino-1,3,5-triazin-2-yl)-4-hydroxybenzonitrile", 25609 },
	{ "X02", "", "", ResidueType::NON_POLYMER, false, "[4-amino-2-(prop-2-en-1-ylamino)-1,3-thiazol-5-yl](phenyl)methanone", 25610 },
	{ "X03", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-(2-methylbutan-2-yl)-4,5,6,7-tetrahydro-1H-indazole-3-carbohydrazide", 25611 },
	{ "X04", "", "", ResidueType::NON_POLYMER, false, "(2-AMINO-4-FORMYL-5-HYDROXY-6-METHYLPYRIDIN-3-YL)METHYL DIHYDROGEN PHOSPHATE", 25612 },
	{ "X05", "", "", ResidueType::NON_POLYMER, false, "AMINO-CASTANOSPERMINE", 25613 },
	{ "X06", "", "", ResidueType::NON_POLYMER, false, "4-chloro-2-(4,6-diamino-1,3,5-triazin-2-yl)phenol", 25614 },
	{ "X07", "", "", ResidueType::NON_POLYMER, false, "5-nitro-2-[(pyridin-3-ylmethyl)amino]benzamide", 25615 },
	{ "X09", "", "", ResidueType::NON_POLYMER, false, "AMINO-AUSTRALINE", 25616 },
	{ "X0A", "", "", ResidueType::NON_POLYMER, false, "2-[4-amino-6-(phenylamino)-1,3,5-triazin-2-yl]-4-chlorophenol", 25617 },
	{ "X0B", "", "", ResidueType::NON_POLYMER, false, "5-[3-[4-(aminomethyl)phenoxy]propyl]-2-[(8E)-8-(1,3-benzothiazol-2-ylhydrazinylidene)-6,7-dihydro-5H-naphthalen-2-yl]-1,3-thiazole-4-carboxylic acid", 25618 },
	{ "X0D", "", "", ResidueType::NON_POLYMER, false, "(R)-2-(3-(3-((2,4-DIFLUOROPENYL)ETHYNYL)BENZOYL)-3-PROPYLUREIDO)-3-(ISOBUTYLTHIO) PROPANOIC ACID", 25619 },
	{ "X0J", "", "", ResidueType::NON_POLYMER, false, "4-[4-(biphenyl-3-ylmethyl)piperazin-1-yl]-N-{[4-({(1R)-3-(dimethylamino)-1-[(phenylsulfanyl)methyl]propyl}amino)-3-nitrophenyl]sulfonyl}benzamide", 25620 },
	{ "X0P", "", "", ResidueType::NON_POLYMER, false, "2-methoxy-6-[[[3-[(4-methoxyphenyl)methylcarbamoyl]naphthalen-2-yl]methyl-methyl-amino]methyl]benzoic acid", 25621 },
	{ "X0Q", "", "", ResidueType::NON_POLYMER, false, "5-[1-(3-cyanophenyl)-1,2,3-triazol-4-yl]thiophene-2-sulfonamide", 25622 },
	{ "X0R", "", "", ResidueType::NON_POLYMER, false, "(R)-3-(4-BROMOBENZYLTHIO)-2-(3-(3-((2,4-DIFLUOROPHENYL)ETHYNYL)BENZOYL)-3-PROPYLUREIDO)PROPANOIC ACID", 25623 },
	{ "X0T", "", "", ResidueType::NON_POLYMER, false, "7-[(2S)-2,3-DIHYDROXYPROPYL]-1,3-DIMETHYL-3,7-DIHYDRO-1H-PURINE-2,6-DIONE", 25624 },
	{ "X0U", "", "", ResidueType::NON_POLYMER, false, "6,7-DIHYDRO[1,4]DIOXINO[2,3-F][1,3]BENZOTHIAZOL-2-AMINE", 25625 },
	{ "X0V", "", "", ResidueType::NON_POLYMER, false, "4-(TRIFLUOROMETHYL)BENZENE-1,2-DIAMINE", 25626 },
	{ "X0W", "", "", ResidueType::NON_POLYMER, false, "5,6-DIMETHOXY-2-METHYL-1,3-BENZOTHIAZOLE", 25627 },
	{ "X0X", "", "", ResidueType::SACCHARIDE, false, "beta-D-talopyranuronic acid", 25628 },
	{ "X11", "", "", ResidueType::NON_POLYMER, false, "2-(4,6-diamino-1,3,5-triazin-2-yl)phenol", 25629 },
	{ "X12", "", "", ResidueType::NON_POLYMER, false, "", 25630 },
	{ "X13", "", "", ResidueType::NON_POLYMER, false, "N,N,N-trimethyl-13-[(methylsulfonyl)sulfanyl]tridecan-1-aminium", 25631 },
	{ "X14", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-(2-methylbutan-2-yl)-N-(4-sulfamoylbenzyl)-4,5,6,7-tetrahydro-2H-indazole-3-carboxamide", 25632 },
	{ "X15", "", "", ResidueType::NON_POLYMER, false, "1,3-BISPHOSPHOGLYCERIC ACID", 25633 },
	{ "X16", "", "", ResidueType::NON_POLYMER, false, "N-{[3-(4-amino-2-methylquinazolin-7-yl)phenyl]sulfonyl}-L-threoninamide", 25634 },
	{ "X17", "", "", ResidueType::NON_POLYMER, false, "(5S)-2-amino-5-(4-methoxy-3-methylphenyl)-3-methyl-5-[(3S,5S,7S)-tricyclo[3.3.1.1~3,7~]dec-1-yl]-3,5-dihydro-4H-imidazol-4-one", 25635 },
	{ "X19", "", "", ResidueType::NON_POLYMER, false, "(5S)-N-methyl-5-(2-methylbutan-2-yl)-4,5,6,7-tetrahydro-2H-indazole-3-carboxamide", 25636 },
	{ "X1E", "", "", ResidueType::NON_POLYMER, false, "(2S,5R,6R)-6-AMINO-3,3-DIMETHYL-7-OXO-4-THIA-1-AZABICYCLO[3.2.0]HEPTANE-2-CARBOXYLIC ACID", 25637 },
	{ "X1H", "", "", ResidueType::NON_POLYMER, false, "[6-HYDROXY-2-(4-HYDROXYPHENYL)-1-BENZOTHIOPHEN-3-YL](4-METHOXYPHENYL)METHANONE", 25638 },
	{ "X1N", "", "", ResidueType::NON_POLYMER, false, "2-METHYL-N-[(1Z)-3-NITROCYCLOHEXA-2,4-DIEN-1-YLIDENE]-4,5-DIHYDRO[1,3]THIAZOLO[4,5-H]QUINAZOLIN-8-AMINE", 25639 },
	{ "X1P", "", "", ResidueType::NON_POLYMER, false, "1-O-PHOSPHONO-ALPHA-D-XYLOPYRANOSE", 25640 },
	{ "X1R", "", "", ResidueType::NON_POLYMER, false, "3-(PROPYLSULFONYL)PROPANOIC ACID", 25641 },
	{ "X1S", "", "", ResidueType::NON_POLYMER, false, "3-SULFOPROPANOIC ACID", 25642 },
	{ "X1X", "", "", ResidueType::SACCHARIDE, false, "alpha-D-talopyranuronic acid", 25643 },
	{ "X20", "", "", ResidueType::NON_POLYMER, false, "tert-butyl 6-{[2-chloro-4-(dimethylcarbamoyl)phenyl]amino}-2-(1,3-oxazol-5-yl)-1H-pyrrolo[3,2-c]pyridine-1-carboxylate", 25644 },
	{ "X21", "", "", ResidueType::NON_POLYMER, false, "tert-butyl 6-{[2-chloro-4-(1-methyl-1H-imidazol-5-yl)phenyl]amino}-2-(1-methyl-1H-pyrazol-4-yl)-1H-pyrrolo[3,2-c]pyridine-1-carboxylate", 25645 },
	{ "X22", "", "", ResidueType::NON_POLYMER, false, "(3S,6S,7S,9aS)-6-{[(2S)-2-aminobutanoyl]amino}-N-(diphenylmethyl)-7-(hydroxymethyl)-5-oxooctahydro-1H-pyrrolo[1,2-a]azepine-3-carboxamide", 25646 },
	{ "X23", "", "", ResidueType::NON_POLYMER, false, "(3S,6S,7R,9aS)-6-{[(2S)-2-aminobutanoyl]amino}-7-(aminomethyl)-N-(diphenylmethyl)-5-oxooctahydro-1H-pyrrolo[1,2-a]azepine-3-carboxamide", 25647 },
	{ "X24", "", "", ResidueType::NON_POLYMER, false, "TERT-BUTYL [(TRANS-4-{[({2-[4-(AMINOMETHYL)PHENYL]QUINOLIN-4-YL}CARBONYL)AMINO]METHYL}CYCLOHEXYL)METHYL]CARBAMATE", 25648 },
	{ "X25", "", "", ResidueType::NON_POLYMER, false, "4-{[2-(3-benzyl-1,2,4-oxadiazol-5-yl)-3-methyl-1-benzofuran-4-yl]oxy}piperidine", 25649 },
	{ "X28", "", "", ResidueType::NON_POLYMER, false, "", 25650 },
	{ "X29", "", "", ResidueType::NON_POLYMER, false, "4-(6-bromo[1,2,4]triazolo[4,3-a]pyridin-3-yl)-6-chlorobenzene-1,3-diol", 25651 },
	{ "X2A", "", "", ResidueType::NON_POLYMER, false, "(6S,8R)-N,N'-bis[3-({4-[3-(aminomethyl)phenyl]piperidin-1-yl}carbonyl)phenyl]-8-hydroxy-6-(1-hydroxycyclobutyl)-5,7-dioxaspiro[3.4]octane-6,8-dicarboxamide", 25652 },
	{ "X2C", "", "", ResidueType::NON_POLYMER, false, "4-methyl-6-{[(3R,4R)-4-(2-{[(1R,2S)-2-(3-methylphenyl)cyclopropyl]amino}ethoxy)pyrrolidin-3-yl]methyl}pyridin-2-amine", 25653 },
	{ "X2D", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,4R)-4-(2-{[(1R,2S)-2-(3-chlorophenyl)cyclopropyl]amino}ethoxy)pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 25654 },
	{ "X2E", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,4R)-4-(2-{[(2R)-1-(3-fluorophenyl)propan-2-yl]amino}ethoxy)pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 25655 },
	{ "X2F", "", "", ResidueType::SACCHARIDE, false, "2-DEOXY-2-FLUORO XYLOPYRANOSE", 25656 },
	{ "X2K", "", "", ResidueType::NON_POLYMER, false, "(3Z)-5-amino-3-[(3,5-dimethyl-1H-pyrrol-2-yl)methylidene]-1,3-dihydro-2H-indol-2-one", 25657 },
	{ "X2L", "", "", ResidueType::NON_POLYMER, false, "(3Z)-5-AMINO-3-[(4-METHOXYPHENYL)METHYLIDENE]-1,3-DIHYDRO-2H-INDOL-2-ONE", 25658 },
	{ "X2M", "", "", ResidueType::NON_POLYMER, false, "(3Z)-3-[(3,5-DIMETHYL-1H-PYRROL-2-YL)METHYLIDENE]-1,3-DIHYDRO-2H-INDOL-2-ONE", 25659 },
	{ "X2N", "", "", ResidueType::NON_POLYMER, false, "POSACONAZOLE", 25660 },
	{ "X2O", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-AMINO-3-[(2R)-2-METHYL-1,1-DIPHENYL-BUTYL]SULFANYL-PROPANOIC ACID", 25661 },
	{ "X2P", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,5S)-8'-(3-chloro-4-fluorobenzyl)-6'-hydroxy-2'-[(2S)-2-hydroxypropyl]-9',10'-dihydro-2'H-spiro[bicyclo[3.1.0]hexane-2,3'-imidazo[5,1-a][2,6]naphthyridine]-1',5',7'(8'H)-trione", 25662 },
	{ "X2W", "", "", ResidueType::PEPTIDE_LINKING, false, "N-ACETYL-L-GLUTAMYL 5-PHOSPHATE", 25663 },
	{ "X2X", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-hydroxy-2-methyl-3-oxobutanoic acid", 25664 },
	{ "X32", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(R)-({[(benzyloxy)carbonyl]amino}methyl)(hydroxy)phosphoryl]-L-leucyl-L-phenylalanine", 25665 },
	{ "X35", "", "", ResidueType::NON_POLYMER, false, "[4-amino-2-(prop-2-en-1-ylamino)-1,3-thiazol-5-yl](pyridin-3-yl)methanone", 25666 },
	{ "X36", "", "", ResidueType::NON_POLYMER, false, "[4-amino-2-(phenylamino)-1,3-thiazol-5-yl](phenyl)methanone", 25667 },
	{ "X37", "", "", ResidueType::NON_POLYMER, false, "4-(4-tert-butylbenzyl)-1-(7H-pyrrolo[2,3-d]pyrimidin-4-yl)piperidin-4-aminium", 25668 },
	{ "X39", "", "", ResidueType::NON_POLYMER, false, "4-AMINO-N-(4-CHLOROBENZYL)-1-(7H-PYRROLO[2,3-D]PYRIMIDIN-4-YL)PIPERIDINE-4-CARBOXAMIDE", 25669 },
	{ "X3A", "", "", ResidueType::NON_POLYMER, false, "[4-amino-2-(phenylamino)-1,3-thiazol-5-yl](pyridin-3-yl)methanone", 25670 },
	{ "X3G", "", "", ResidueType::NON_POLYMER, false, "4-{[5-fluoro-4-(3-{[(3R)-3-hydroxypyrrolidin-1-yl]methyl}-4-methyl-1H-pyrrol-1-yl)pyrimidin-2-yl]amino}-2,6-dimethylphenyl methanesulfonate", 25671 },
	{ "X3H", "", "", ResidueType::NON_POLYMER, false, "PIRONETIN", 25672 },
	{ "X3J", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-{2-[(2-AMINOETHYL)AMINO]-2-OXOETHYL}-2-HYDROXYBUTANEDIOIC ACID", 25673 },
	{ "X3X", "", "", ResidueType::NON_POLYMER, false, "bis[(2S)-2,3-dihydroxypropyl] hydrogen phosphate", 25674 },
	{ "X40", "", "", ResidueType::NON_POLYMER, false, "4-{[4-amino-5-(pyridin-3-ylcarbonyl)-1,3-thiazol-2-yl]amino}benzenesulfonamide", 25675 },
	{ "X41", "", "", ResidueType::NON_POLYMER, false, "1-MYRISTOYL-2-MYRISTOLEOYL-SN-GLYCERO-3-PHOSPHATE", 25676 },
	{ "X42", "", "", ResidueType::NON_POLYMER, false, "4-{[4-amino-5-(3-fluorobenzoyl)-1,3-thiazol-2-yl]amino}benzenesulfonamide", 25677 },
	{ "X43", "", "", ResidueType::NON_POLYMER, false, "4-{[4-amino-5-(3-nitrobenzoyl)-1,3-thiazol-2-yl]amino}benzenesulfonamide", 25678 },
	{ "X44", "", "", ResidueType::NON_POLYMER, false, "4-{[4-amino-5-(4-sulfamoylbenzoyl)-1,3-thiazol-2-yl]amino}benzenesulfonamide", 25679 },
	{ "X45", "", "", ResidueType::NON_POLYMER, false, "(5S)-2-amino-5-(4-methoxy-3-methylphenyl)-3-methyl-5-(3-pyridin-3-ylphenyl)-3,5-dihydro-4H-imidazol-4-one", 25680 },
	{ "X46", "", "", ResidueType::NON_POLYMER, false, "[4-amino-2-(phenylamino)-1,3-thiazol-5-yl](3-methoxyphenyl)methanone", 25681 },
	{ "X48", "", "", ResidueType::NON_POLYMER, false, "3-hydroxy-6-phenylpyridin-2(5H)-one", 25682 },
	{ "X4A", "", "", ResidueType::DNA_LINKING, false, "[(2R,3S,5S)-2,3,5-TRIHYDROXYTETRAHYDROFURAN-2-YL]METHYL DIHYDROGEN PHOSPHATE", 25683 },
	{ "X4B", "", "", ResidueType::NON_POLYMER, false, "4-chloro-5-nitro-2-[(pyridin-3-ylmethyl)amino]benzamide", 25684 },
	{ "X4C", "", "", ResidueType::NON_POLYMER, false, "8-methyl-6-[2-(5-methyl-1-phenyl-1H-benzimidazol-2-yl)ethyl]imidazo[1,5-a]pyrimidine", 25685 },
	{ "X4D", "", "", ResidueType::NON_POLYMER, false, "7-[2-(5-methyl-1-phenyl-1H-benzimidazol-2-yl)ethyl]imidazo[1,5-b]pyridazine", 25686 },
	{ "X4G", "", "", ResidueType::NON_POLYMER, false, "(3R)-1-{[1-(5-fluoro-2-{[4-(2-hydroxyethoxy)-3,5-dimethylphenyl]amino}pyrimidin-4-yl)-4-methyl-1H-pyrrol-3-yl]methyl}pyrrolidin-3-ol", 25687 },
	{ "X4S", "", "", ResidueType::SACCHARIDE, false, "beta-D-xylopyranosyl-(1->4)-4-thio-beta-D-xylopyranosyl-(1->4)-4-thio-beta-D-xylopyranosyl-(1->4)-4-thio-beta-D-xylopyranose", 25688 },
	{ "X4Z", "", "", ResidueType::NON_POLYMER, false, "(3E)-N-[(1S)-2-(DIMETHYLAMINO)-1-PHENYLETHYL]-6,6-DIMETHYL-3-[(2-METHYLTHIENO[3,2-D]PYRIMIDIN-4-YL)IMINO]-4,6-DIHYDROPYRROLO[3,4-C]PYRAZOLE-5(3H)-CARBOXAMIDE", 25689 },
	{ "X55", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-benzyl-2-(2-bromo-4-hydroxy-5-methoxyphenyl)-1,3-thiazolidin-4-one", 25690 },
	{ "X5G", "", "", ResidueType::NON_POLYMER, false, "1-({1-[2-({3,5-dimethyl-4-[2-(pyrrolidin-1-yl)ethoxy]phenyl}amino)pyrimidin-4-yl]-4-methyl-1H-pyrrol-3-yl}methyl)azetidin-3-ol", 25691 },
	{ "X5S", "", "", ResidueType::SACCHARIDE, false, "beta-D-xylopyranosyl-(1->4)-4-thio-beta-D-xylopyranosyl-(1->4)-4-thio-beta-D-xylopyranosyl-(1->4)-4-thio-beta-D-xylopyranosyl-(1->4)-4-thio-beta-D-xylopyranose", 25692 },
	{ "X62", "", "", ResidueType::NON_POLYMER, false, "4-chloro-2-{[(2-chloropyrimidin-5-yl)methyl]amino}-5-nitrobenzamide", 25693 },
	{ "X63", "", "", ResidueType::NON_POLYMER, false, "2-{[(2-aminopyrimidin-5-yl)methyl]amino}-4-[(2-hydroxyethyl)amino]-5-nitrobenzamide", 25694 },
	{ "X64", "", "", ResidueType::NON_POLYMER, false, "4-{[4-amino-5-(2-nitrobenzoyl)-1,3-thiazol-2-yl]amino}benzenesulfonamide", 25695 },
	{ "X65", "", "", ResidueType::NON_POLYMER, false, "5-nitro-2-[(4-sulfamoylbenzyl)amino]benzamide", 25696 },
	{ "X66", "", "", ResidueType::NON_POLYMER, false, "2-(4,6-diamino-1,3,5-triazin-2-yl)benzene-1,4-diol", 25697 },
	{ "X67", "", "", ResidueType::NON_POLYMER, false, "2-(4,6-diamino-1,3,5-triazin-2-yl)-4-fluorophenol", 25698 },
	{ "X69", "", "", ResidueType::NON_POLYMER, false, "4-methoxy-5-nitro-2-[(pyridin-3-ylmethyl)amino]benzamide", 25699 },
	{ "X6A", "", "", ResidueType::NON_POLYMER, false, "2-{[(2-aminopyrimidin-5-yl)methyl]amino}-4-chloro-5-nitrobenzamide", 25700 },
	{ "X6B", "", "", ResidueType::NON_POLYMER, false, "4-amino-N-(3-fluorophenyl)-2-[(4-sulfamoylphenyl)amino]-1,3-thiazole-5-carboxamide", 25701 },
	{ "X6C", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-1-ethanoyl-N-[[4-(1,3-oxazol-5-yl)phenyl]methyl]-4-oxidanyl-pyrrolidine-2-carboxamide", 25702 },
	{ "X6D", "", "", ResidueType::NON_POLYMER, false, "6-BROMO-7-[4-(4-CHLOROBENZYL)PIPERAZIN-1-YL]-2-[4-(MORPHOLIN-4-YLMETHYL)PHENYL]-3H-IMIDAZO[4,5-B]PYRIDINE", 25703 },
	{ "X6G", "", "", ResidueType::NON_POLYMER, false, "1-[(1-{2-[(3,5-dimethylphenyl)amino]pyrimidin-4-yl}-3-methyl-1H-pyrazol-4-yl)methyl]azetidin-3-ol", 25704 },
	{ "X6K", "", "", ResidueType::NON_POLYMER, false, "3-(4-MORPHOLIN-4-YLPYRIDO[3',2':4,5]FURO[3,2-D]PYRIMIDIN-2-YL)PHENOL", 25705 },
	{ "X6L", "", "", ResidueType::NON_POLYMER, false, "2-amino-8-[2-oxo-2-(4-phenylphenyl)ethyl]sulfanyl-1,9-dihydropurin-6-one", 25706 },
	{ "X6P", "", "", ResidueType::NON_POLYMER, false, "3-(1-methylpyrrol-2-yl)benzoic acid", 25707 },
	{ "X6W", "", "", ResidueType::NON_POLYMER, false, "methyl-3-methyl-5-phenyl-2H-pyrazol-4-methyl amine", 25708 },
	{ "X6X", "", "", ResidueType::SACCHARIDE, false, "2-amino-2-deoxy-alpha-D-galactopyranose", 25709 },
	{ "X72", "", "", ResidueType::NON_POLYMER, false, "4-chloro-5-nitro-2-[(pyrimidin-5-ylmethyl)amino]benzamide", 25710 },
	{ "X73", "", "", ResidueType::NON_POLYMER, false, "2-{[(6-chloropyridin-3-yl)methyl]amino}-5-nitrobenzamide", 25711 },
	{ "X75", "", "", ResidueType::NON_POLYMER, false, "4-chloro-2-{[(6-chloropyridin-3-yl)methyl]amino}-5-nitrobenzamide", 25712 },
	{ "X76", "", "", ResidueType::NON_POLYMER, false, "2-[(pyridin-3-ylmethyl)amino]benzamide", 25713 },
	{ "X7A", "", "", ResidueType::NON_POLYMER, false, "[(5R)-5-amino-5-carboxy-7-(piperidin-1-yl)heptyl](trihydroxy)borate(1-)", 25714 },
	{ "X7E", "", "", ResidueType::NON_POLYMER, false, "(4R)-5-[(S)-(3,4-DIFLUOROPHENYL)(HYDROXY)METHYL]-4-(3-HYDROXYPHENYL)-1,6-DIMETHYL-3,4-DIHYDROPYRIMIDINE-2(1H)-THIONE", 25715 },
	{ "X7G", "", "", ResidueType::NON_POLYMER, false, "1-[(3-methyl-1-{2-[(1-methyl-1H-indazol-5-yl)amino]pyrimidin-4-yl}-1H-pyrazol-4-yl)methyl]azetidin-3-ol", 25716 },
	{ "X7O", "", "", ResidueType::NON_POLYMER, false, "5-AMINO-3-METHYL-PYRROLIDINE-2-CARBOXYLIC ACID", 25717 },
	{ "X81", "", "", ResidueType::NON_POLYMER, false, "1-STEAROYL-2-OLEOYL-SN-GLYCERO-3-PHOSPHATE", 25718 },
	{ "X84", "", "", ResidueType::NON_POLYMER, false, "4-[(3-hydroxypropyl)amino]-5-nitro-2-[(pyridin-3-ylmethyl)amino]benzamide", 25719 },
	{ "X85", "", "", ResidueType::NON_POLYMER, false, "4-{[3-(morpholin-4-yl)propyl]amino}-5-nitro-2-[(pyridin-3-ylmethyl)amino]benzamide", 25720 },
	{ "X86", "", "", ResidueType::NON_POLYMER, false, "4-[(3-methoxypropyl)amino]-5-nitro-2-[(pyridin-3-ylmethyl)amino]benzamide", 25721 },
	{ "X87", "", "", ResidueType::NON_POLYMER, false, "4-[(3-aminopropyl)amino]-5-nitro-2-[(pyridin-3-ylmethyl)amino]benzamide", 25722 },
	{ "X88", "", "", ResidueType::NON_POLYMER, false, "5-nitro-2-[(pyrazin-2-ylmethyl)amino]benzamide", 25723 },
	{ "X89", "", "", ResidueType::NON_POLYMER, false, "1-[(2R)-2-[(2,4-dichlorobenzyl)oxy]-2-(2,4-dichlorophenyl)ethyl]-1H-imidazole", 25724 },
	{ "X8A", "", "", ResidueType::NON_POLYMER, false, "[(5R)-5-carboxy-5-(methylamino)-7-(piperidin-1-yl)heptyl](trihydroxy)borate(1-)", 25725 },
	{ "X8D", "", "", ResidueType::NON_POLYMER, false, "5-METHYL[1,2,4]TRIAZOLO[4,3-A]QUINOLIN-1(2H)-ONE", 25726 },
	{ "X8E", "", "", ResidueType::NON_POLYMER, false, "5-METHYL-8-PYRIDIN-4-YL[1,2,4]TRIAZOLO[4,3-A]QUINOLIN-1(2H)-ONE", 25727 },
	{ "X8G", "", "", ResidueType::NON_POLYMER, false, "1-[(1-{2-[(3-chloro-1-methyl-1H-indazol-5-yl)amino]pyrimidin-4-yl}-3-methyl-1H-pyrazol-4-yl)methyl]azetidin-3-ol", 25728 },
	{ "X8I", "", "", ResidueType::NON_POLYMER, false, "7-(3-hydroxyphenyl)-5-methyl[1,2,4]triazolo[4,3-a]quinolin-1(2H)-one", 25729 },
	{ "X8M", "", "", ResidueType::NON_POLYMER, false, "IPRATROPIUM", 25730 },
	{ "X8U", "", "", ResidueType::NON_POLYMER, false, "2-[(8E)-8-(1,3-benzothiazol-2-ylhydrazinylidene)-6,7-dihydro-5H-naphthalen-2-yl]-5-(4-phenylbutyl)-1,3-thiazole-4-carboxylic acid", 25731 },
	{ "X8W", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(4-hydroxyphenyl)-1-(2,4,6-trihydroxyphenyl)prop-2-en-1-one", 25732 },
	{ "X8Z", "", "", ResidueType::NON_POLYMER, false, "L-CAPTOPRIL", 25733 },
	{ "X92", "", "", ResidueType::NON_POLYMER, false, "RAMIPRILAT", 25734 },
	{ "X93", "", "", ResidueType::NON_POLYMER, false, "TRANDOLAPRILAT", 25735 },
	{ "X94", "", "", ResidueType::NON_POLYMER, false, "PERINDOPRILAT", 25736 },
	{ "X95", "", "", ResidueType::NON_POLYMER, false, "(S)-1-N2-(1-CARBOXY-3-PHENYLPROPYL)-L-LYSYL-L-TRYPTOPHAN", 25737 },
	{ "X96", "", "", ResidueType::NON_POLYMER, false, "2-{[4-(aminomethyl)benzyl]amino}-5-nitrobenzamide", 25738 },
	{ "X97", "", "", ResidueType::NON_POLYMER, false, "3-{4-oxo-4-[(2S)-2-(pyrrolidin-1-ylcarbonyl)pyrrolidin-1-yl]butyl}-5,5-diphenylimidazolidine-2,4-dione", 25739 },
	{ "X98", "", "", ResidueType::NON_POLYMER, false, "1-{3-oxo-3-[(2S)-2-(pyrrolidin-1-ylcarbonyl)pyrrolidin-1-yl]propyl}-3-phenylquinoxalin-2(1H)-one", 25740 },
	{ "X99", "", "", ResidueType::NON_POLYMER, false, "2-{3-[(2S)-4,4-difluoro-2-(pyrrolidin-1-ylcarbonyl)pyrrolidin-1-yl]-3-oxopropyl}-isoindole-1,3(2H)-dione", 25741 },
	{ "X9F", "", "", ResidueType::NON_POLYMER, false, "N^4^-1H-INDAZOL-4-YL-N^2^-[3-(METHYLSULFONYL)PHENYL]PYRIMIDINE-2,4-DIAMINE", 25742 },
	{ "X9G", "", "", ResidueType::NON_POLYMER, false, "1-[(1-{2-[(3-chloro-1,2-dimethyl-1H-indol-5-yl)amino]pyrimidin-4-yl}-3-methyl-1H-pyrazol-4-yl)methyl]azetidin-3-ol", 25743 },
	{ "X9I", "", "", ResidueType::NON_POLYMER, false, "4-{[(2-carbamoyl-4-nitrophenyl)amino]methyl}benzoic acid", 25744 },
	{ "X9Q", "", "", ResidueType::PEPTIDE_LINKING, false, "{(2S)-2-[(1S)-1-AMINOETHYL]-4-BENZYL-5-OXO-2,5-DIHYDRO-1H-IMIDAZOL-1-YL}ACETIC ACID", 25745 },
	{ "X9X", "", "", ResidueType::NON_POLYMER, false, "D-allitol", 25746 },
	{ "XA0", "", "", ResidueType::NON_POLYMER, false, "4-chloro-5-nitro-2-[(3,4,5-trifluorobenzyl)amino]benzamide", 25747 },
	{ "XA1", "", "", ResidueType::NON_POLYMER, false, "{(5R)-5-amino-5-carboxy-5-[1-(4-chlorobenzyl)piperidin-4-yl]pentyl}(trihydroxy)borate(1-)", 25748 },
	{ "XA2", "", "", ResidueType::NON_POLYMER, false, "(R)-2-amino-6-borono-2-(1-(3,4-dichlorobenzyl)piperidin-4-yl)hexanoic acid", 25749 },
	{ "XA7", "", "", ResidueType::NON_POLYMER, false, "TETRAHEXYL AMMONNIUM", 25750 },
	{ "XAA", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-1-AMINO-1-(1,3-THIAZOL-2-YL)PROPAN-2-OL", 25751 },
	{ "XAC", "", "", ResidueType::NON_POLYMER, false, "N-(2-aminoethyl)-2-[4-(2,6-dioxo-1,3-dipropyl-2,3,6,7-tetrahydro-1H-purin-8-yl)phenoxy]acetamide", 25752 },
	{ "XAD", "", "", ResidueType::DNA_LINKING, false, "9-(2,3-DIDEOXY-6-O-PHOSPHONO-BETA-D-ERYTHRO-HEXOPYRANOSYL)-9H-PURIN-6-AMINE", 25753 },
	{ "XAE", "", "", ResidueType::DNA_LINKING, false, "3-(2-DEOXY-5-O-PHOSPHONO-BETA-D-ERYTHRO-PENTOFURANOSYL)-3H-IMIDAZO[4,5-G]QUINAZOLIN-8-AMINE", 25754 },
	{ "XAH", "", "", ResidueType::NON_POLYMER, false, "5'-O-{(R)-hydroxy[(L-lysylamino)oxy]phosphoryl}adenosine", 25755 },
	{ "XAL", "", "", ResidueType::DNA_LINKING, false, "[(1S,4R,6R)-6-HYDROXY-4-(ADENIN-9-YL)CYCLOHEX-2-EN-1-YL]METHYL DIHYDROGEN PHOSPHATE", 25756 },
	{ "XAM", "", "", ResidueType::NON_POLYMER, false, "", 25757 },
	{ "XAN", "", "", ResidueType::NON_POLYMER, false, "XANTHINE", 25758 },
	{ "XAO", "GCL", "", ResidueType::NON_POLYMER, false, "CYCLOHEXYLMETHYL-2,3-DIHYDROXY-5-METHYL-HEXYLAMIDE", 25759 },
	{ "XAP", "", "", ResidueType::NON_POLYMER, false, "3-AMINOOXY-1-AMINOPROPANE", 25760 },
	{ "XAR", "", "", ResidueType::DNA_LINKING, false, "[(1R,4S,6S)-4-(6-AMINO-9H-PURIN-9-YL)-6-HYDROXYCYCLOHEX-2-EN-1-YL]METHYL DIHYDROGEN PHOSPHATE", 25761 },
	{ "XAT", "", "", ResidueType::NON_POLYMER, false, "", 25762 },
	{ "XAV", "", "", ResidueType::NON_POLYMER, false, "2-[4-(trifluoromethyl)phenyl]-7,8-dihydro-5H-thiopyrano[4,3-d]pyrimidin-4-ol", 25763 },
	{ "XAX", "", "", ResidueType::NON_POLYMER, false, "{[(5aR,8R,9aR)-2-amino-4-oxo-6,7-di(sulfanyl-kappaS)-3,5,5a,8,9a,10-hexahydro-4H-pyrano[3,2-g]pteridin-8-yl]methyl dihydrogenato(2-) phosphate}(hydroxy)oxo(thioxo)molybdenum", 25764 },
	{ "XAZ", "", "", ResidueType::NON_POLYMER, false, "5,7-dimethylpyrazolo[1,5-a]pyrimidin-2-amine", 25765 },
	{ "XBB", "", "", ResidueType::NON_POLYMER, false, "(3S)-2,3,4,5-TETRAHYDROPYRIDIN-3-AMINE", 25766 },
	{ "XBG", "", "", ResidueType::NON_POLYMER, false, "(2S,3AS,6AS)-OCTAHYDROCYCLOPENTA[B]PYRROLE-2-CARBOXYLIC-ACID", 25767 },
	{ "XBJ", "", "", ResidueType::NON_POLYMER, false, "4-FLUORO-2-(4-{[(3S,4R)-4-(1-HYDROXY-1-METHYLETHYL)PYRROLIDIN-3-YL]AMINO}-6,7-DIMETHOXYQUINAZOLIN-2-YL)PHENOL", 25768 },
	{ "XBK", "", "", ResidueType::NON_POLYMER, false, "4,5-DE-EPOXYPIMARICIN", 25769 },
	{ "XBL", "", "", ResidueType::NON_POLYMER, false, "6-(3,4-dihydroisoquinolin-2(1H)-yl)-3-methyl-[1,2,4]triazolo[3,4-a]phthalazine", 25770 },
	{ "XBO", "", "MO7", ResidueType::NON_POLYMER, true, "HEPTAMOLYBDATE", 25771 },
	{ "XBP", "", "", ResidueType::SACCHARIDE, false, "XYLULOSE-1,5-BISPHOSPHATE", 25772 },
	{ "XBR", "", "", ResidueType::NON_POLYMER, false, "3-(1-(4-Chlorophenyl)-3,4-dihydro-1H-pyrido(3,4-b)indol-2(9H)-yl)propanoic acid", 25773 },
	{ "XBS", "", "", ResidueType::NON_POLYMER, false, "3-[(E)-2-(4-boronophenyl)ethenyl]benzoic acid", 25774 },
	{ "XBT", "", "", ResidueType::NON_POLYMER, false, "2-[(1R)-1-methylpropyl]-4,5-dihydro-1,3-thiazole", 25775 },
	{ "XBU", "", "", ResidueType::NON_POLYMER, false, "methyl (2~{R})-3-(4-hydroxyphenyl)-2-[(4-hydroxyphenyl)methyl]-4-oxidanyl-5-oxidanylidene-furan-2-carboxylate", 25776 },
	{ "XBV", "", "", ResidueType::NON_POLYMER, false, "(3R,4R)-1-(2,2-DIFLUORO-ETHYL)-PYRROLIDINE-3,4-DICARBOXYLIC ACID 3-[(5-CHLORO-PYRIDIN-2-YL)-AMIDE]-4-{[2-FLUORO-4-(2-OXO-2H-PYRIDIN-1-YL)-PHENYL]-AMIDE}", 25777 },
	{ "XBZ", "", "", ResidueType::NON_POLYMER, false, "1,2,4-trimethylbenzene", 25778 },
	{ "XC2", "", "", ResidueType::NON_POLYMER, false, "(3R)-8-CYCLOPROPYL-6-(MORPHOLIN-4-YLMETHYL)-7-(1-NAPHTHYLMETHYL)-5-OXO-2,3-DIHYDRO-5H-[1,3]THIAZOLO[3,2-A]PYRIDINE-3-CARBOXYLIC ACID", 25779 },
	{ "XC5", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-[(S)-hydroxy{[(S)-hydroxy(phosphonooxy)phosphoryl]methyl}phosphoryl]cytidine", 25780 },
	{ "XCA", "", "", ResidueType::NON_POLYMER, false, "(8alpha,10alpha,25S)-3-hydroxycholesta-3,5-dien-26-oic acid", 25781 },
	{ "XCC", "", "", ResidueType::NON_POLYMER, false, "FE(4)-NI(1)-S(4) CLUSTER", 25782 },
	{ "XCF", "", "", ResidueType::NON_POLYMER, false, "5-[[(2R)-2-cyclopropyl-7,8-dimethoxy-2H-chromen-5-yl]methyl]pyrimidine-2,4-diamine", 25783 },
	{ "XCG", "", "", ResidueType::NON_POLYMER, false, "2-(2-BENZOFURANYL)-2-IMIDAZOLINE", 25784 },
	{ "XCH", "", "", ResidueType::NON_POLYMER, false, "Droxinostat", 25785 },
	{ "XCL", "", "", ResidueType::DNA_LINKING, false, "[(1S,4R,6R)-6-HYDROXY-4-(CYTOSIN-9-YL)CYCLOHEX-2-EN-1-YL]METHYL DIHYDROGEN PHOSPHATE", 25786 },
	{ "XCN", "", "", ResidueType::PEPTIDE_LINKING, false, "S-cyano-L-cysteine", 25787 },
	{ "XCP", "", "", ResidueType::PEPTIDE_LIKE, false, "(1S,2S)-2-aminocyclopentanecarboxylic acid", 25788 },
	{ "XCR", "", "", ResidueType::DNA_LINKING, false, "[(1R,4S,6S)-4-(4-amino-2-oxopyrimidin-1(2H)-yl)-6-hydroxycyclohex-2-en-1-yl]methyl dihydrogen phosphate", 25789 },
	{ "XCS", "", "", ResidueType::DNA_LINKING, false, "(1R)-1-(4-AMINO-6-METHYL-2-OXO-1,2-DIHYDROQUINAZOLIN-8-YL)-1,4-ANHYDRO-2-DEOXY-5-O-PHOSPHONO-D-ERYTHRO-PENTITOL", 25790 },
	{ "XCT", "", "", ResidueType::DNA_LINKING, false, "4-AMINO-1-(2,3-DIDEOXY-6-O-PHOSPHONO-BETA-D-ERYTHRO-HEXOPYRANOSYL)PYRIMIDIN-2(1H)-ONE", 25791 },
	{ "XCX", "", "", ResidueType::NON_POLYMER, false, "2-(4-{2-[1,3-benzoxazol-2-yl(heptyl)amino]ethyl}phenoxy)-2-methylpropanoic acid", 25792 },
	{ "XCY", "", "", ResidueType::DNA_LINKING, false, "{5-[4-{[4-(AMINOMETHYL)BENZYL]AMINO}-2-OXOPYRIMIDIN-1(2H)- YL]-3-HYDROXYTETRAHYDROFURAN-2-YL}METHYL DIHYDROGEN PHOSPHATE", 25793 },
	{ "XCZ", "", "", ResidueType::NON_POLYMER, false, "1.7.6 4-methylpyrimidine-2-sulfonamide", 25794 },
	{ "XD1", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-2-[(1R)-1-amino-2-oxoethyl]-5,5-dimethyl-1,3-thiazolidine-4-carboxylic acid", 25795 },
	{ "XD2", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(1R)-1-{[(2R)-2-hydroxy-2-phenylacetyl]amino}-2-oxoethyl]-5-{[(1-methyl-1H-tetrazol-5-yl)sulfanyl]methyl}-3,6-dihydro-2H-1,3-thiazine-4-carboxylic acid", 25796 },
	{ "XD3", "", "", ResidueType::NON_POLYMER, false, "1,5-anhydro-2-deoxy-3-O-(2-deoxy-alpha-D-arabino-hexopyranosyl)-D-arabino-hex-1-enitol", 25797 },
	{ "XD6", "", "", ResidueType::NON_POLYMER, false, "(5Z)-13-CHLORO-14,16-DIHYDROXY-1,11-DIOXO-3,4,7,8,9,10,11,12-OCTAHYDRO-1H-2-BENZOXACYCLOTETRADECINE-6-CARBALDEHYDE", 25798 },
	{ "XD9", "", "", ResidueType::NON_POLYMER, false, "(4R,6R,7S)-4,6,7-TRIHYDROXY-2-[(1E)-PROP-1-EN-1-YL]-4,5,6,7-TETRAHYDRO-1-BENZOTHIOPHENE-4-CARBOXYLIC ACID", 25799 },
	{ "XDA", "", "", ResidueType::NON_POLYMER, false, "4-{[2-(phosphonooxy)ethyl]carbamoyl}benzyl [(1R,6S)-6-(dimethylcarbamoyl)cyclohex-2-en-1-yl]carbamate", 25800 },
	{ "XDE", "", "", ResidueType::NON_POLYMER, false, "4-[(1S)-1-hydroxy-2-(methylamino)ethyl]benzene-1,2-diol", 25801 },
	{ "XDH", "", "", ResidueType::NON_POLYMER, false, "4,4'-propane-2,2-diylbis(2,6-dichlorophenol)", 25802 },
	{ "XDI", "", "", ResidueType::NON_POLYMER, false, "4,4'-propane-2,2-diylbis(2,6-dibromophenol)", 25803 },
	{ "XDK", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-4-PYRIDYL-PYRIMIDINE", 25804 },
	{ "XDL", "", "", ResidueType::NON_POLYMER, false, "XYLOSE-DERIVED ISOFAGOMINE LACTAM", 25805 },
	{ "XDM", "", "", ResidueType::NON_POLYMER, false, "~{N}-[(3-chlorophenyl)methyl]-4-ethanoyl-3-ethyl-5-methyl-1~{H}-pyrrole-2-carboxamide", 25806 },
	{ "XDN", "", "", ResidueType::NON_POLYMER, false, "PIPERIDINE-3,4,5-TRIOL", 25807 },
	{ "XDP", "", "", ResidueType::SACCHARIDE, false, "D-XYLULOSE-2,2-DIOL-1,5-BISPHOSPHATE", 25808 },
	{ "XDR", "", "", ResidueType::NON_POLYMER, false, "hexyl (5S,6R,8R)-6-hydroxy-5-methyl-13-oxo-5,6,7,8-tetrahydro-13H-5,8-epoxy-4b,8a,14-triazadibenzo[b,h]cycloocta[1,2,3,4-jkl]cyclopenta[e]-as-indacene-6-carboxylate", 25809 },
	{ "XDS", "", "", ResidueType::NON_POLYMER, false, "(5S)-5-(dioxidanyl)-9-methyl-7H-purine-2,6,8-trione", 25810 },
	{ "XDT", "", "", ResidueType::PEPTIDE_LINKING, false, "O-methyl-D-allothreonine", 25811 },
	{ "XDX", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-(alpha-D-glucopyranosyloxy)-3-(phosphonooxy)propanoic acid", 25812 },
	{ "XE", "", "", ResidueType::NON_POLYMER, false, "XENON", 25813 },
	{ "XE4", "", "", ResidueType::NON_POLYMER, false, "1,3-CYCLOHEXANEDIOL, 4-METHYLENE-5-[(2E)-[(1S,3AS,7AS)-OCTAHYDRO-1-(5-HYDROXY-5-METHYL-1,3-HEXADIYNYL)-7A-METHYL-4H-INDEN-4-YLIDENE]ETHYLIDENE]-, (1R,3S,5Z)", 25814 },
	{ "XEB", "", "", ResidueType::NON_POLYMER, false, "7-[[4-chloranyl-3-(methylaminomethyl)phenoxy]methyl]quinolin-2-amine", 25815 },
	{ "XED", "", "", ResidueType::NON_POLYMER, false, "DEXTROFLOXACINE", 25816 },
	{ "XEG", "", "", ResidueType::NON_POLYMER, false, "(2R,3S)-2-(3,4-dihydroxyphenyl)-5,7-dihydroxy-3,4-dihydro-2H-chromen-3-yl 3,4,5-trihydroxybenzoate", 25817 },
	{ "XEN", "", "", ResidueType::NON_POLYMER, false, "1-butyl-1,4,5,6-tetrahydropyridine-3-carboxamide", 25818 },
	{ "XEV", "", "", ResidueType::NON_POLYMER, false, "3-(3-methoxyphenyl)benzoic acid", 25819 },
	{ "XEZ", "", "", ResidueType::NON_POLYMER, false, "6-(1H-PYRAZOL-3-YL)-3-(1H-PYRAZOL-4-YL)IMIDAZO[1,2-A]PYRAZINE", 25820 },
	{ "XF5", "", "", ResidueType::NON_POLYMER, false, "4-(PIPERAZIN-1-YL)-1H-INDOLE", 25821 },
	{ "XFA", "", "", ResidueType::NON_POLYMER, false, "2-{[5-chloro-2-(4-chlorophenoxy)phenyl](2-{[2-(methylamino)ethyl]amino}-2-oxoethyl)amino}-N-(1,3-dihydro-2H-isoindol-2-yl)-N-methylacetamide", 25822 },
	{ "XFC", "", "", ResidueType::DNA_LINKING, false, "4-amino-1-(2-deoxy-2-fluoro-5-O-phosphono-beta-D-arabinofuranosyl)-2-oxo-1,2-dihydropyrimidine-5-carbaldehyde", 25823 },
	{ "XFE", "", "", ResidueType::NON_POLYMER, false, "(3R)-1-(5-methyl-7H-pyrrolo[2,3-d]pyrimidin-4-yl)pyrrolidin-3-amine", 25824 },
	{ "XFH", "", "", ResidueType::NON_POLYMER, false, "6-(2-{3-[2-(2-amino-6-methylpyridin-4-yl)ethyl]phenyl}ethyl)-4-methylpyridin-2-amine", 25825 },
	{ "XFI", "", "", ResidueType::NON_POLYMER, false, "N-((1S,2R)-3-(((1S)-2-(CYCLOHEXYLAMINO)-1-METHYL-2-OXOETHYL)AMINO)-2-HYDROXY-1-( PHENYLMETHYL)PROPYL)-3-((METHYLSULFONYL)(PHENYL)AMINO) BENZAMIDE", 25826 },
	{ "XFJ", "", "", ResidueType::NON_POLYMER, false, "6,6'-(pyridine-3,5-diyldiethane-2,1-diyl)bis(4-methylpyridin-2-amine)", 25827 },
	{ "XFK", "", "", ResidueType::NON_POLYMER, false, "6-(2-{5-[2-(2-amino-6-methylpyridin-4-yl)ethyl]pyridin-3-yl}ethyl)-4-methylpyridin-2-amine", 25828 },
	{ "XFL", "", "", ResidueType::NON_POLYMER, false, "6,6'-(pyridine-2,6-diyldiethane-2,1-diyl)bis(4-methylpyridin-2-amine)", 25829 },
	{ "XFM", "", "", ResidueType::NON_POLYMER, false, "6-(2-{6-[2-(2-amino-6-methylpyridin-4-yl)ethyl]pyridin-2-yl}ethyl)-4-methylpyridin-2-amine", 25830 },
	{ "XFN", "", "", ResidueType::NON_POLYMER, false, "6,6'-[(5-aminobenzene-1,3-diyl)diethane-2,1-diyl]bis(4-methylpyridin-2-amine)", 25831 },
	{ "XFW", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-2,5,5-tris(azanyl)pentanoic acid", 25832 },
	{ "XG1", "", "", ResidueType::NON_POLYMER, false, "2-butyl-2H-pyrazolo[3,4-c]quinolin-4-amine", 25833 },
	{ "XG4", "", "", ResidueType::NON_POLYMER, false, "2'-deoxy-5'-O-[(R)-hydroxy{[(R)-hydroxy(phosphonooxy)phosphoryl]amino}phosphoryl]guanosine", 25834 },
	{ "XGA", "", "", ResidueType::DNA_LINKING, false, "6-AMINO-3-(2-DEOXY-5-O-PHOSPHONO-BETA-D-ERYTHRO-PENTOFURANOSYL)-3,7-DIHYDRO-8H-IMIDAZO[4,5-G]QUINAZOLIN-8-ONE", 25835 },
	{ "XGH", "", "", ResidueType::NON_POLYMER, false, "2-[(2S)-4-[(4-fluorophenyl)sulfonyl]-7-(1,1,1,3,3,3-hexafluoro-2-hydroxypropan-2-yl)-3,4-dihydro-2H-1,4-benzothiazin-2-yl]-N-(2-hydroxy-2-methylpropyl)acetamide", 25836 },
	{ "XGL", "", "", ResidueType::DNA_LINKING, false, "[(1S,4R,6R)-6-HYDROXY-4-(GUANIN-9-YL)CYCLOHEX-2-EN-1-YL]METHYL DIHYDROGEN PHOSPHATE", 25837 },
	{ "XGP", "", "", ResidueType::NON_POLYMER, false, "1-O-phosphono-beta-D-glucopyranose", 25838 },
	{ "XGR", "", "", ResidueType::DNA_LINKING, false, "[(1R,4S,6S)-4-(2-amino-6-oxo-1,6-dihydro-9H-purin-9-yl)-6-hydroxycyclohex-2-en-1-yl]methyl dihydrogen phosphate", 25839 },
	{ "XGU", "", "", ResidueType::DNA_LINKING, false, "2-AMINO-9-(2,3-DIDEOXY-6-O-PHOSPHONO-BETA-D-ERYTHRO-HEXOPYRANOSYL)-1,9-DIHYDRO-6H-PURIN-6-ONE", 25840 },
	{ "XH2", "", "", ResidueType::NON_POLYMER, false, "(1R,4R,5R)-1,4,5-trihydroxy-3-(2-hydroxy)ethylcyclohex-2-ene-1-carboxylic acid", 25841 },
	{ "XH8", "", "", ResidueType::NON_POLYMER, false, "7-(((3-(PYRIDIN-3-YL)PROPYL)AMINO)METHYL)QUINOLIN-2-", 25842 },
	{ "XHA", "", "", ResidueType::NON_POLYMER, false, "2-[(2~{R},3~{S},4~{R},5~{R})-5-(hydroxymethyl)-3,4-bis(oxidanyl)-1-[3-[3-(trifluoromethyl)phenyl]propyl]pyrrolidin-2-yl]-~{N}-methyl-ethanamide", 25843 },
	{ "XHP", "", "", ResidueType::NON_POLYMER, false, "2-amino-6-methylidene-6,7-dihydropteridin-4(3H)-one", 25844 },
	{ "XI1", "", "", ResidueType::NON_POLYMER, false, "N-[4-(3-chloranyl-4-cyano-phenoxy)cyclohexyl]-1,1,1-tris(fluoranyl)methanesulfonamide", 25845 },
	{ "XI2", "", "", ResidueType::NON_POLYMER, false, "6-(2,4-difluorophenoxy)-N-[(1R)-1-methyl-2-(methylsulfonyl)ethyl]-1H-pyrazolo[3,4-d]pyrimidin-3-amine", 25846 },
	{ "XI7", "", "", ResidueType::NON_POLYMER, false, "2-4-DIOXO-4-PHENYLBUTANOIC ACID", 25847 },
	{ "XIF", "", "", ResidueType::NON_POLYMER, false, "PIPERIDINE-3,4-DIOL", 25848 },
	{ "XIG", "", "", ResidueType::NON_POLYMER, false, "", 25849 },
	{ "XIH", "", "", ResidueType::NON_POLYMER, false, "2-({8-[(3R)-3-AMINOPIPERIDIN-1-YL]-1,3-DIMETHYL-2,6-DIOXO-1,2,3,6-TETRAHYDRO-7H-PURIN-7-YL}METHYL)BENZONITRILE", 25850 },
	{ "XIL", "", "", ResidueType::NON_POLYMER, false, "3-HYDROXY-4-(3,4,5-TRIHYDROXY-TETRAHYDRO-PYRAN-2-YLOXY)-PIPERIDIN-2-ONE", 25851 },
	{ "XIM", "", "", ResidueType::NON_POLYMER, false, "5,6,7,8-TETRAHYDRO-IMIDAZO[1,2-A]PYRIDINE-6,7,8-TRIOL", 25852 },
	{ "XIN", "", "", ResidueType::NON_POLYMER, false, "methyl (3Z)-3-{[(4-{methyl[(4-methylpiperazin-1-yl)acetyl]amino}phenyl)amino](phenyl)methylidene}-2-oxo-2,3-dihydro-1H-indole-6-carboxylate", 25853 },
	{ "XIX", "", "", ResidueType::NON_POLYMER, false, "3,5-DIAMINO-1H-[1,2,4]TRIAZOLE", 25854 },
	{ "XIY", "", "", ResidueType::NON_POLYMER, false, "2-HYDROXYMETHYL-BENZOIMIDAZOLE", 25855 },
	{ "XIZ", "", "", ResidueType::NON_POLYMER, false, "(E)-PYRIDIN-4-YL-ACRYLIC ACID", 25856 },
	{ "XJ0", "", "", ResidueType::NON_POLYMER, false, "(E)-3-(2-AMINO-PYRIDINE-5YL)-ACRYLIC ACID", 25857 },
	{ "XJ1", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(3-{6-[(TRANS-4-AMINOCYCLOHEXYL)AMINO]PYRAZIN-2-YL}PHENYL)PROP-2-ENOIC ACID", 25858 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-2-[(2-amino-5-quinolyl)methylamino]-1-benzyl-2-oxo-ethyl]-4-hydroxy-2-oxo-1H-quinoline-6-carboxamide", 25859 },
	{ "XJG", "", "", ResidueType::NON_POLYMER, false, "1,3-DIHYDROISOINDOL-2-YL-(2-HYDROXY-4-METHOXY-5-PROPAN-2-YL-PHENYL)METHANONE", 25860 },
	{ "XJH", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,4R)-4-(3-phenoxyphenoxy)pyrrolidin-3-yl]methyl}pyridin-2-amine", 25861 },
	{ "XJO", "", "", ResidueType::NON_POLYMER, false, "(3R,4S,5S,7R,9E,11R,12R)-12-ethyl-3,5,7,11-tetramethyl-2,8-dioxooxacyclododec-9-en-4-yl 2-[(dimethylamino)methyl]benzoate", 25862 },
	{ "XJS", "", "", ResidueType::NON_POLYMER, false, "", 25863 },
	{ "XJX", "", "", ResidueType::NON_POLYMER, false, "Onalespib", 25864 },
	{ "XK0", "", "", ResidueType::NON_POLYMER, false, "(4S)-4-(4-methoxyphenyl)-4-methyl-5,6-dihydro-1,3-thiazin-2-amine", 25865 },
	{ "XK2", "", "", ResidueType::NON_POLYMER, false, "[4R-(4ALPHA,5ALPHA,6BETA,7BETA)]-HEXAHYDRO-5,6-DIHYDROXY-1,3-BIS[2-NAPHTHYL-METHYL]-4,7-BIS(PHENYLMETHYL)-2H-1,3-DIAZEPIN-2-ONE", 25866 },
	{ "XK3", "", "", ResidueType::NON_POLYMER, false, "4-[3-AMINO-6-(3-ETHYLTHIOPHEN-2-YL)PYRAZIN-2-YL]CYCLOHEXANE-1-CARBOXYLIC ACID", 25867 },
	{ "XK9", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(1E)-N-(N-hydroxycarbamimidoyl)ethanehydrazonoyl]phenyl}-7-nitro-1H-indole-2-carboxamide", 25868 },
	{ "XKA", "", "", ResidueType::NON_POLYMER, false, "[2-[[(2~{S},3~{S},4~{S},5~{S},6~{R})-6-(hydroxymethyl)-3,4,5-tris(oxidanyl)oxan-2-yl]amino]-1,3-thiazol-5-yl]-(4-methyl-2-pyrazin-2-yl-1,3-thiazol-5-yl)methanone", 25869 },
	{ "XKL", "", "", ResidueType::NON_POLYMER, false, "5-[2,4-dihydroxy-6-(4-nitrophenoxy)phenyl]-N-ethyl-1,2-oxazole-3-carboxamide", 25870 },
	{ "XL1", "", "SCC", ResidueType::NON_POLYMER, true, "ETHANETHIOL", 25871 },
	{ "XL2", "", "", ResidueType::NON_POLYMER, false, "2-({4-[(1R)-1-(dimethylamino)ethyl]phenyl}amino)-6-fluoro-1,3-benzothiazole-4-carboxamide", 25872 },
	{ "XL3", "", "", ResidueType::NON_POLYMER, false, "propane-1-thiol", 25873 },
	{ "XLB", "", "", ResidueType::NON_POLYMER, false, "3-[(E)-2-(4-borono-2-chlorophenyl)ethenyl]benzoic acid", 25874 },
	{ "XLC", "", "", ResidueType::NON_POLYMER, false, "3-CHLORO-N-[4-CHLORO-2-[[(4-CHLOROPHENYL)AMINO]CARBONYL]PHENYL]-4-[(4-METHYL-1-PIPERAZINYL)METHYL]-2-THIOPHENECARBOXAMIDE", 25875 },
	{ "XLD", "", "", ResidueType::NON_POLYMER, false, "3-CHLORO-N-[4-CHLORO-2-[[(5-CHLORO-2-PYRIDINYL)AMINO]CARBONYL]-6-METHOXYPHENYL]-4-[[(4,5-DIHYDRO-2-OXAZOLYL)METHYLAMINO]METHYL]-2-THIOPHENECARBOXAMIDE", 25876 },
	{ "XLF", "", "", ResidueType::SACCHARIDE, false, "beta-D-xylulofuranose", 25877 },
	{ "XLI", "", "", ResidueType::PEPTIDE_LIKE, false, "N-acetyl-L-leucyl-N-[(4S,5S,7R)-8-(butylamino)-5-hydroxy-2,7-dimethyl-8-oxooctan-4-yl]-L-methioninamide", 25878 },
	{ "XLM", "", "", ResidueType::NON_POLYMER, false, "METHYL 3-O-BETA-D-XYLOPYRANOSYL-ALPHA-D-MANNOPYRANOSIDE", 25879 },
	{ "XLO", "", "", ResidueType::NON_POLYMER, false, "3-[(E)-2-(2-chloro-4-hydroxyphenyl)ethenyl]benzoic acid", 25880 },
	{ "XLS", "", "", ResidueType::SACCHARIDE, false, "D-XYLOSE (LINEAR FORM)", 25881 },
	{ "XLX", "", "", ResidueType::NON_POLYMER, false, "4,4'-(ethylenediimino)bis[4-oxobutyrate]", 25882 },
	{ "XM0", "", "", ResidueType::NON_POLYMER, false, "INDAN-2-AMINE", 25883 },
	{ "XM1", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(4-chlorobenzyl)-3-oxo-3-[4-(7H-pyrrolo[2,3-d]pyrimidin-4-yl)piperazin-1-yl]propan-1-amine", 25884 },
	{ "XM5", "", "", ResidueType::NON_POLYMER, false, "6-methoxy-9-methyl[1,3]dioxolo[4,5-h]quinolin-8(9H)-one", 25885 },
	{ "XMA", "", "", ResidueType::NON_POLYMER, false, "(-)-7-[(6-CHLORO-2-NAPHTHALENYL)SULFONYL]TETRAHYDRO-8A-(METHOXYMETHYL)-1'-(4-PYRIDINYL)-SPIRO[5H-OXAZOLO[3,2-A]PYRAZINE-2(3H),4'-PIPERIDIN]-5-ONE", 25886 },
	{ "XMB", "", "", ResidueType::NON_POLYMER, false, "4-[(2R)-3-[[(6-CHLORO-2-NAPHTHALENYL)SULFONYL]AMINO]-1-OXO-2-[[[1-(4-PYRIDINYL)-4-PIPERIDINYL]METHYL]AMINO]PROPYL]-THIOMORPHOLINE-1,1-DIOXIDE", 25887 },
	{ "XMC", "", "", ResidueType::NON_POLYMER, false, "4-[[4-[(6-CHLORO-2-NAPHTHALENYL)SULFONYL]-6-OXO-1-[[1-(4-PYRIDINYL)-4-PIPERIDINYL]METHYL]-2-PIPERAZINYL]CARBONYL]MORPHOLINE", 25888 },
	{ "XMD", "", "", ResidueType::NON_POLYMER, false, "(2R)-4-[(6-CHLORO-2-NAPHTHALENYL)SULFONYL]-6-OXO-1-[[1-(4-PYRIDINYL)-4-PIPERIDINYL]METHYL]-2-PIPERAZINECARBOXYLIC ACID ETHYL ESTER", 25889 },
	{ "XME", "", "", ResidueType::NON_POLYMER, false, "4-[(6-CHLORO-2-NAPHTHALENYL)SULFONYL]-1-[[4-HYDROXYIMINOMETHYL-1-(4-PYRIDINYL)-4-PIPERIDINYL]METHYL]PIPERAZINONE", 25890 },
	{ "XMF", "", "", ResidueType::NON_POLYMER, false, "4-[(6-CHLORO-2-NAPHTHALENYL)SULFONYL]-1-[[4-HYDROXYMETHYL-1-(4-PYRIDINYL)-4-PIPERIDINYL]METHYL]PIPERAZINONE", 25891 },
	{ "XMG", "", "", ResidueType::NON_POLYMER, false, "4-[(6-CHLORO-2-NAPHTHALENYL)SULFONYL]-1-[[1-(4-PYRIDINYL)-4-PIPERIDINYL] METHYL]-2-PIPERAZINECARBOXYLIC ACID", 25892 },
	{ "XMH", "", "", ResidueType::NON_POLYMER, false, "4-[(6-CHLORO-2-NAPHTHALENYL)SULFONYL]-1-[[1-(4-PYRIDINYL)-4-PIPERIDINYL]METHYL]-2-PIPERAZINECARBOXYLIC ACID ETHYL ESTER", 25893 },
	{ "XMI", "", "", ResidueType::NON_POLYMER, false, "4-[(6-CHLORO-2-NAPHTHALENYL)SULFONYL]-1-[[1-(4-PYRIDINYL)-4-PIPERIDINYL]METHYL]PIPERAZINONE", 25894 },
	{ "XMJ", "", "", ResidueType::NON_POLYMER, false, "4-[[(1E)-2-(4-CHLOROPHENYL)ETHENYL]SULFONYL]-1-[[1-(4-PYRIDINYL)-4-PIPERIDINYL]METHYL]PIPERAZINONE", 25895 },
	{ "XMK", "", "", ResidueType::NON_POLYMER, false, "1-[[(1E)-2-(4-CHLOROPHENYL)ETHENYL]SULFONYL]-4-[[1-(4-PYRIDINYL)-4-PIPERIDINYL]METHYL]PIPERAZINE", 25896 },
	{ "XMM", "", "", ResidueType::SACCHARIDE, false, "(2R,3S,4S,5S,6R)-2-(5-BROMO-4-CHLORO-1H-INDOL-3-YLOXY)-TETRAHYDRO-6-(HYDROXYMETHYL)-2H-PYRAN-3,4,5-TRIOL", 25897 },
	{ "XMP", "", "", ResidueType::NON_POLYMER, false, "XANTHOSINE-5'-MONOPHOSPHATE", 25898 },
	{ "XMQ", "", "", ResidueType::NON_POLYMER, false, "2,6-dichloro-4-[3-(4-methylpiperazin-1-yl)propyl]-N-(1,3,5-trimethyl-1H-pyrazol-4-yl)benzenesulfonamide", 25899 },
	{ "XMS", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-(4-chlorophenyl)-3-(1-methylbenzotriazol-5-yl)propanoic acid", 25900 },
	{ "XN1", "", "", ResidueType::NON_POLYMER, false, "N-[2-HYDROXY-1-INDANYL]-5-[(2-TERTIARYBUTYLAMINOCARBONYL)-4(3-PYRIDYLMETHYL)PIPERAZINO]-4-HYDROXY-2-(1-PHENYLETHYL)-PENTANAMIDE", 25901 },
	{ "XN2", "", "", ResidueType::NON_POLYMER, false, "N-[2-HYDROXY-1-INDANYL]-5-[(2-TERTIARYBUTYLAMINOCARBONYL)-4(BENZO[1,3]DIOXOL-5-YLMETHYL)-PIPERAZINO]-4-HYDROXY-2-(1-PHENYLETHYL)-PENTANAMIDE", 25902 },
	{ "XN3", "", "", ResidueType::NON_POLYMER, false, "N-[2(R)-HYDROXY-1(S)-INDANYL]-5-[(2(S)-TERTIARY BUTYLAMINOCARBONYL)-4(BENZO[1,3]DIOXOL-5-YLMETHYL)-PIPERAZINO]-4(S)-HYDROXY-2(R)-PHENYLMETHYLPENTANAMIDE", 25903 },
	{ "XNA", "", "", ResidueType::NON_POLYMER, false, "N~8~-(cyclopropylmethyl)-N~4~-(2-methylphenyl)-2-(piperazin-1-yl)pyrimido[5,4-d]pyrimidine-4,8-diamine", 25904 },
	{ "XNB", "", "", ResidueType::NON_POLYMER, false, "N~8~-(cyclopropylmethyl)-N~4~-[2-(methylsulfanyl)phenyl]-2-(piperazin-1-yl)pyrimido[5,4-d]pyrimidine-4,8-diamine", 25905 },
	{ "XNC", "", "", ResidueType::NON_POLYMER, false, "(11S)-11-[4-(benzyloxy)-2-fluorophenyl]-3,3-dimethyl-10-[(6-methylpyridin-2-yl)carbonyl]-2,3,4,5,10,11-hexahydrothiopyrano[3,2-b][1,5]benzodiazepin-6-ol 1,1-dioxide", 25906 },
	{ "XND", "", "", ResidueType::NON_POLYMER, false, "(11R)-10-acetyl-11-(2,4-dichlorophenyl)-6-hydroxy-3,3-dimethyl-2,3,4,5,10,11-hexahydro-1H-dibenzo[b,e][1,4]diazepin-1-one", 25907 },
	{ "XNH", "", "", ResidueType::NON_POLYMER, false, "(3~{R})-4-[2-[4-[1-(3-methoxy-[1,2,4]triazolo[4,3-b]pyridazin-6-yl)piperidin-4-yl]phenoxy]ethyl]-1,3-dimethyl-piperazin-2-one", 25908 },
	{ "XNI", "", "", ResidueType::NON_POLYMER, false, "(11S)-10-acetyl-11-[4-(benzyloxy)-3-chlorophenyl]-3,3-dimethyl-2,3,4,5,10,11-hexahydro-1H-dibenzo[b,e][1,4]diazepin-1-one", 25909 },
	{ "XNL", "", "", ResidueType::NON_POLYMER, false, "(1~{R})-1-cyclohexyl-2-pyrido[3,4-b]indol-9-yl-ethanol", 25910 },
	{ "XNM", "", "", ResidueType::NON_POLYMER, false, "(4-{[4-(4-chlorophenyl)pyrimidin-2-yl]amino}phenyl)[4-(2-hydroxyethyl)piperazin-1-yl]methanone", 25911 },
	{ "XNN", "", "", ResidueType::NON_POLYMER, false, "N~8~-(cyclopropylmethyl)-2-(2,6-diazaspiro[3.3]hept-2-yl)-N~4~-[2-(methylsulfanyl)phenyl]pyrimido[5,4-d]pyrimidine-4,8-diamine", 25912 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "Tricyclic NADPH", 25913 },
	{ "XNS", "", "", ResidueType::NON_POLYMER, false, "METHYL ESTER OCTYL ALPHA-1O-D-MANNOPYRANNOSIDE", 25914 },
	{ "XNV", "", "", ResidueType::NON_POLYMER, false, "ethyl (4R)-4-({(2S)-2-[3-{[(5-methyl-1,2-oxazol-3-yl)carbonyl]amino}-2-oxopyridin-1(2H)-yl]pent-4-ynoyl}amino)-5-[(3S)-2-oxopyrrolidin-3-yl]pentanoate", 25915 },
	{ "XNW", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,4S,5R)-1,4,5-TRIHYDROXY-2-(4-METHOXYBENZYL)-3-OXOCYCLOHEXANECARBOXYLIC ACID", 25916 },
	{ "XNZ", "", "", ResidueType::NON_POLYMER, false, "(11R)-10-acetyl-11-[4-(benzyloxy)-2-chlorophenyl]-6-hydroxy-3,3-dimethyl-2,3,4,5,10,11-hexahydro-1H-dibenzo[b,e][1,4]diazepin-1-one", 25917 },
	{ "XO3", "", "", ResidueType::NON_POLYMER, false, "5-[(2R,4S)-2-(phenylmethyl)piperidin-4-yl]-1,2-oxazol-3-one", 25918 },
	{ "XOC", "", "", ResidueType::NON_POLYMER, false, "N-phenothiazin-10-yl-2-piperidin-1-yl-ethanamide", 25919 },
	{ "XOG", "", "", ResidueType::NON_POLYMER, false, "(2E,6E)-2,6-dimethylocta-2,6-dienedial", 25920 },
	{ "XOJ", "", "", ResidueType::NON_POLYMER, false, "1-tert-butyl-3-[2-[3-(diethylamino)propylamino]-6-(3,5-dimethoxyphenyl)pyrido[2,3-d]pyrimidin-7-yl]urea", 25921 },
	{ "XOK", "", "", ResidueType::PEPTIDE_LINKING, false, "(2~{S})-2-azanyl-6-[[(6~{S})-6-sulfanyloctanoyl]amino]hexanoic acid", 25922 },
	{ "XOP", "", "", ResidueType::NON_POLYMER, false, "8-METHYL-8-AZABICYCLO[3.2.1]OCTAN-3-YL PHENYLPHOSPHONATE", 25923 },
	{ "XOS", "", "", ResidueType::NON_POLYMER, false, "3-[(E)-2-(4-hydroxyphenyl)ethenyl]benzoic acid", 25924 },
	{ "XP0", "", "", ResidueType::NON_POLYMER, false, "5-(phenylethynyl)-4-(pyrrolidin-1-yl)-7H-pyrrolo[2,3-d]pyrimidin-2-amine", 25925 },
	{ "XP1", "", "", ResidueType::NON_POLYMER, false, "4-(DIMETHYLAMINO)BENZOIC ACID", 25926 },
	{ "XP4", "", "", ResidueType::NON_POLYMER, false, "1,2-DIMYRISTOYL-SN-GLYCERO-3-PHOSPHATE", 25927 },
	{ "XP5", "", "", ResidueType::NON_POLYMER, false, "(4S,7R)-7-(heptanoyloxy)-4-hydroxy-N,N,N-trimethyl-10-oxo-3,5,9-trioxa-4-phosphahexadecan-1-aminium 4-oxide", 25928 },
	{ "XP8", "", "", ResidueType::NON_POLYMER, false, "O-phosphono-N-(8-sulfanyloctanoyl)-L-threonine", 25929 },
	{ "XP9", "", "", ResidueType::NON_POLYMER, false, "O-phosphono-N-(9-sulfanylnonanoyl)-L-threonine", 25930 },
	{ "XPA", "", "", ResidueType::NON_POLYMER, false, "1,2-DIDECANOYL-SN-GLYCERO-3-PHOSPHATE", 25931 },
	{ "XPB", "", "", ResidueType::DNA_LINKING, false, "O6-[4-oxo-4-(3-pyridyl)butyl]-2'-deoxyguanosine-5'-monophosphate", 25932 },
	{ "XPC", "", "", ResidueType::PEPTIDE_LIKE, false, "(3S,4R)-4-aminopyrrolidine-3-carboxylic acid", 25933 },
	{ "XPE", "", "", ResidueType::NON_POLYMER, false, "3,6,9,12,15,18,21,24,27-NONAOXANONACOSANE-1,29-DIOL", 25934 },
	{ "XPF", "", "", ResidueType::NON_POLYMER, false, "N-{(3S,4S)-4-[4-(5-cyanothiophen-2-yl)phenoxy]tetrahydrofuran-3-yl}propane-2-sulfonamide", 25935 },
	{ "XPG", "", "", ResidueType::NON_POLYMER, false, "7-[(1R,3R)-3-hydroxy-2-[(1E,3S)-3-hydroxyoct-1-en-1-yl]-5-oxocyclopentyl]heptanoic acid", 25936 },
	{ "XPH", "", "", ResidueType::PEPTIDE_LIKE, false, "[(1S)-1-amino-2-phenylethyl]phosphonic acid", 25937 },
	{ "XPL", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-[(3R,5R)-5-amino-3-methyl-D-prolyl]-L-lysine", 25938 },
	{ "XPM", "", "", ResidueType::NON_POLYMER, false, "tetradecylpropanedioic acid", 25939 },
	{ "XPO", "", "", ResidueType::NON_POLYMER, false, "formyl phosphate", 25940 },
	{ "XPP", "", "HP2", ResidueType::NON_POLYMER, true, "HYDROXYPYRROLE-IMIDAZOLE-PYRROLE POLYAMIDE", 25941 },
	{ "XPR", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,3aS,6R,7aS)-6-(sulfooxy)octahydro-1H-indole-2-carboxylic acid", 25942 },
	{ "XPT", "", "", ResidueType::NON_POLYMER, false, "1-[chloro(dipropyl)-lambda~4~-sulfanyl]propane", 25943 },
	{ "XPX", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-[(HYDROXY{[(2R,3R,5S,6R)-3,4,5-TRIHYDROXY-2,6-BIS(ALPHA-D-MANNOPYRANOSYLOXY)CYCLOHEXYL]OXY}PHOSPHORYL)OXY]PROPANE-1,2-DIYL DIHEXADECANOATE", 25944 },
	{ "XPY", "", "", ResidueType::NON_POLYMER, false, "5-{[(1R,2S)-2-aminocyclohexyl]amino}-N-[1-methyl-3-(trifluoromethyl)-1H-pyrazol-4-yl]pyrazolo[1,5-a]pyrimidine-3-carboxamide", 25945 },
	{ "XQ0", "", "", ResidueType::NON_POLYMER, false, "3-METHYL-1H-INDAZOL-6-OL", 25946 },
	{ "XQ9", "", "", ResidueType::NON_POLYMER, false, "1-(1-adamantyl)-3-(1-methylsulfonylpiperidin-4-yl)urea", 25947 },
	{ "XQB", "", "", ResidueType::NON_POLYMER, false, "2-imino,3-carboxy,5-hydroxy,6-oxo hexanoic acid", 25948 },
	{ "XQC", "", "", ResidueType::NON_POLYMER, false, "4-[(1R)-1-hydroxy-2-{[1-(4-hydroxyphenyl)-2-methylpropan-2-yl]amino}ethyl]benzene-1,2-diol", 25949 },
	{ "XQG", "", "", ResidueType::NON_POLYMER, false, "6-METHYLSULFANYL-9H-PURINE", 25950 },
	{ "XQI", "", "", ResidueType::NON_POLYMER, false, "METHYL 2-(3,5-DIHYDROXYPHENYL)ETHANOATE", 25951 },
	{ "XQK", "", "", ResidueType::NON_POLYMER, false, "METHYL 5-ISOXAZOL-5-YL-3-METHYL-1H-PYRAZOLE-4-CARBOXYLATE", 25952 },
	{ "XQO", "", "", ResidueType::NON_POLYMER, false, "2-[(2S,3S,4R,5R)-5-(hydroxymethyl)-3,4-bis(oxidanyl)-1-pentyl-pyrrolidin-2-yl]-N-methyl-ethanamide", 25953 },
	{ "XR1", "", "", ResidueType::NON_POLYMER, false, "6-[2-chloro-4-(1,3-thiazol-5-yl)phenyl]-8-ethyl-2-{[4-(4-methylpiperazin-1-yl)phenyl]amino}pyrido[2,3-d]pyrimidin-7(8H)-one", 25954 },
	{ "XR2", "", "", ResidueType::NON_POLYMER, false, "1-METHYL-9-[12-(9-METHYLPHENAZIN-10-IUM-1-YL)-12-OXO-2,11-DIAZA-5,8-DIAZONIADODEC-1-ANOYL]PHENAZIN-10-IUM", 25955 },
	{ "XRA", "", "", ResidueType::NON_POLYMER, false, "2-[4-(furan-2-ylcarbonyl)piperazin-1-yl]-6,7-dimethoxyquinazolin-4-amine", 25956 },
	{ "XRG", "", "", ResidueType::NON_POLYMER, false, "1-methyl-3-(N-methylcarbamimidoyl)urea", 25957 },
	{ "XRJ", "", "", ResidueType::NON_POLYMER, false, "2-[(2S,3R,4R,5R)-5-(hydroxymethyl)-3,4-bis(oxidanyl)-1-pentyl-pyrrolidin-2-yl]-N-methyl-ethanamide", 25958 },
	{ "XRO", "", "", ResidueType::NON_POLYMER, false, "5-{2-[4-(cyanomethyl)phenyl]ethyl}-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 25959 },
	{ "XRS", "", "", ResidueType::NON_POLYMER, false, "(2R)-N,N-dimethyl-4-(1-methylimidazol-2-yl)oxy-butan-2-amine", 25960 },
	{ "XRX", "", "", ResidueType::NON_POLYMER, false, "3-(dimethylamino)butyl dimethylcarbamate", 25961 },
	{ "XS2", "", "", ResidueType::NON_POLYMER, false, "METHYL4,4II,4III,4IV-TETRATHIO-BETA-D-XYLOPENTOSIDE", 25962 },
	{ "XS6", "", "", ResidueType::NON_POLYMER, false, "6-[(3-aminopropyl)amino]-N-hydroxyhexanamide", 25963 },
	{ "XSN", "", "", ResidueType::PEPTIDE_LINKING, false, "L-alpha-asparagine", 25964 },
	{ "XSP", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-oxo-2-(phosphonooxy)propanoic acid", 25965 },
	{ "XT0", "", "", ResidueType::NON_POLYMER, false, "2-[4-[(4-cyclopentyl-1,2,3-triazol-1-yl)methyl]-2-oxidanyl-phenoxy]benzenecarbonitrile", 25966 },
	{ "XT1", "", "", ResidueType::NON_POLYMER, false, "", 25967 },
	{ "XT2", "", "", ResidueType::NON_POLYMER, false, "", 25968 },
	{ "XT3", "", "", ResidueType::NON_POLYMER, false, "2-[4-[(4-cyclohexyl-1,2,3-triazol-1-yl)methyl]-2-oxidanyl-phenoxy]benzenecarbonitrile", 25969 },
	{ "XT5", "", "", ResidueType::NON_POLYMER, false, "5-[(4-cyclopropyl-1,2,3-triazol-1-yl)methyl]-2-(2-methylphenoxy)phenol", 25970 },
	{ "XTC", "", "", ResidueType::NON_POLYMER, false, "(4S,4aS,5aR,12aS)-4-(dimethylamino)-3,10,12,12a-tetrahydroxy-9-nitro-1,11-dioxo-1,4,4a,5,5a,6,11,12a-octahydrotetracene-2-carboxamide", 25971 },
	{ "XTF", "", "", ResidueType::DNA_LINKING, false, "[(1R,4R,5S,6R)-5-fluoro-6-hydroxy-4-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)cyclohex-2-en-1-yl]methyl dihydrogen phosphate", 25972 },
	{ "XTG", "", "", ResidueType::NON_POLYMER, false, "4-NITROPHENYL 6-THIO-6-S-ALPHA-D-XYLOPYRANOSYL-BETA-D-GLUCOPYRANOSIDE", 25973 },
	{ "XTH", "", "", ResidueType::DNA_LINKING, false, "1-(2,3-DIDEOXY-6-O-PHOSPHONO-BETA-D-ERYTHRO-HEXOPYRANOSYL)-5-METHYLPYRIMIDINE-2,4(1H,3H)-DIONE", 25974 },
	{ "XTK", "", "", ResidueType::NON_POLYMER, false, "4-[(2S)-3-(tert-butylamino)-2-hydroxypropoxy]-7-methyl-1H-indole-2-carbonitrile", 25975 },
	{ "XTL", "", "", ResidueType::DNA_LINKING, false, "[(1S,4R,6R)-6-HYDROXY-4-(THYMIN-9-YL)CYCLOHEX-2-EN-1-YL]METHYL DIHYDROGEN PHOSPHATE", 25976 },
	{ "XTN", "", "", ResidueType::NON_POLYMER, false, "2-amino-1,5-dihydropteridine-4,6-dione", 25977 },
	{ "XTR", "HDP", "", ResidueType::DNA_LINKING, false, "[(1R,4S,6S)-6-hydroxy-4-(5-methyl-2,4-dioxo-3,4-dihydropyrimidin-1(2H)-yl)cyclohex-2-en-1-yl]methyl dihydrogen phosphate", 25978 },
	{ "XTS", "", "", ResidueType::RNA_LINKING, false, "9-[(2R,3R,4S,5R)-3,4-DIHYDROXY-5-(HYDROXYMETHYL)OXOLAN-2-YL]-3H-PURINE-2,6-DIONE", 25979 },
	{ "XTV", "", "", ResidueType::NON_POLYMER, false, "2-[4-[(4-cyclopropyl-1,2,3-triazol-1-yl)methyl]-2-oxidanyl-phenoxy]benzenecarbonitrile", 25980 },
	{ "XTW", "", "", ResidueType::NON_POLYMER, false, "2-(2-chloranylphenoxy)-5-[(4-cyclopropyl-1,2,3-triazol-1-yl)methyl]phenol", 25981 },
	{ "XTY", "", "", ResidueType::DNA_LINKING, false, "(1R)-1,4-ANHYDRO-2-DEOXY-1-(6-METHYL-2,4-DIOXO-1,2,3,4-TETRAHYDROQUINAZOLIN-8-YL)-5-O-PHOSPHONO-D-ERYTHRO-PENTITOL", 25982 },
	{ "XTZ", "", "", ResidueType::NON_POLYMER, false, "4-{[(2-amino-4-oxo-3,4,7,8-tetrahydropteridin-6-yl)methyl]amino}-N-(1,3-thiazol-2-yl)benzenesulfonamide", 25983 },
	{ "XU1", "", "", ResidueType::NON_POLYMER, false, "benzo[c][1,8]naphthyridin-6(5H)-one", 25984 },
	{ "XU2", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(6-oxo-5,6-dihydrobenzo[c][1,8]naphthyridin-1-yl)amino]phenyl}benzamide", 25985 },
	{ "XU3", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-4-(2-chlorophenyl)sulfonyl-1-[1-(5-chlorothiophen-2-yl)cyclopropyl]carbonyl-N-[1-(iminomethyl)cyclopropyl]pyrrolidine-2-carboxamide", 25986 },
	{ "XU5", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-4-(2-chlorophenyl)sulfonyl-N-[1-(iminomethyl)cyclopropyl]-1-[1-(4-methylphenyl)cyclopropyl]carbonyl-pyrrolidine-2-carboxamide", 25987 },
	{ "XUA", "", "", ResidueType::DNA_LINKING, false, "", 25988 },
	{ "XUG", "", "", ResidueType::DNA_LINKING, false, "", 25989 },
	{ "XUL", "", "", ResidueType::SACCHARIDE, false, "D-XYLULOSE", 25990 },
	{ "XV1", "", "", ResidueType::NON_POLYMER, false, "7-(2-fluorobenzyl)quinolin-8-ol", 25991 },
	{ "XV6", "638", "", ResidueType::NON_POLYMER, false, "", 25992 },
	{ "XVE", "", "", ResidueType::NON_POLYMER, false, "PHENYLMETHYL N-[(2S)-4-CHLORO-3-OXO-1-PHENYL-BUTAN-2-YL]CARBAMATE", 25993 },
	{ "XW1", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-7-ethoxy-7-oxoheptanoic acid", 25994 },
	{ "XWG", "", "", ResidueType::NON_POLYMER, false, "(3AS,4R,5S,8AS,8BR)-4-[5-(5-CHLOROTHIOPHEN-2-YL)-1,2-OXAZOL-3-YL]-2-[3-[1-(2-HYDROXYETHYL)PYRROLIDIN-1-IUM-1-YL]PROPYL]-4,6,7,8,8A,8B-HEXAHYDRO-3AH-PYRROLO[3,4-A]PYRROLIZINE-1,3-DIONE", 25995 },
	{ "XWW", "", "", ResidueType::NON_POLYMER, false, "N2-[(1S)-1-(5-fluoropyrimidin-2-yl)ethyl]-n4-(1-methylimidazol-4-yl)-6-morpholino-1,3,5-triazine-2,4-diamine", 25996 },
	{ "XX1", "", "", ResidueType::PEPTIDE_LINKING, false, "N~6~-7H-PURIN-6-YL-L-LYSINE", 25997 },
	{ "XX2", "", "", ResidueType::NON_POLYMER, false, "1-KETO,2-HYDROXY,4-NITROBENZENE, 1 ELECTRON OXIDIZED", 25998 },
	{ "XX3", "", "", ResidueType::NON_POLYMER, false, "(1S)-1-HYDROPEROXY-1-HYDROXY-2-KETO-5-NITROCYCLOHEXA-3,5-DIENE", 25999 },
	{ "XX4", "", "", ResidueType::NON_POLYMER, false, "3-(2-AMINO-6-BENZOYLQUINAZOLIN-3(4H)-YL)-N-CYCLOHEXYL-N-METHYLPROPANAMIDE", 26000 },
	{ "XX5", "", "", ResidueType::NON_POLYMER, false, "(S,S)-2-{1-CARBOXY-2-[3-(3,5-DICHLORO-BENZYL)-3H-IMIDAZOL-4-YL]-ETHYLAMINO}-4-METHYL-PENTANOIC ACID", 26001 },
	{ "XX6", "", "", ResidueType::NON_POLYMER, false, "2-{[(2R)-2-HYDROXY-3-(9-PHENANTHRYLOXY)PROPYL]AMINO}PROPANE-1,3-DIOL", 26002 },
	{ "XX7", "", "", ResidueType::NON_POLYMER, false, "2-{[(2S)-2-HYDROXY-3-(9-PHENANTHRYLOXY)PROPYL]AMINO}PROPANE-1,3-DIOL", 26003 },
	{ "XX8", "", "", ResidueType::NON_POLYMER, false, "{3-[(4-amino-2-methylpyrimidin-5-yl)methyl]phenyl}methanol", 26004 },
	{ "XX9", "", "", ResidueType::NON_POLYMER, false, "N-benzyl-N-(3-tert-butyl-4-hydroxyphenyl)-2,6-dichloro-4-(dimethylamino)benzamide", 26005 },
	{ "XXA", "", "", ResidueType::PEPTIDE_LINKING, false, "2,4,5-trideoxy-2-(methylamino)-4-[(2E)-penta-2,4-dien-1-yl]-L-xylonic acid", 26006 },
	{ "XXB", "", "", ResidueType::NON_POLYMER, false, "1-butyl-1H-pyrazole-5-carboxylic acid", 26007 },
	{ "XXC", "", "", ResidueType::NON_POLYMER, false, "7-phenylheptanoic acid", 26008 },
	{ "XXD", "", "", ResidueType::NON_POLYMER, false, "(2S)-pentane-1,2,5-triol", 26009 },
	{ "XXE", "", "", ResidueType::NON_POLYMER, false, "4-(1H-pyrrol-1-yl)pyridine-2-carboxylic acid", 26010 },
	{ "XXG", "", "", ResidueType::NON_POLYMER, false, "3,3-dihydroxy-4-oxocyclohexa-1,5-diene-1-sulfonic acid", 26011 },
	{ "XXH", "", "", ResidueType::NON_POLYMER, false, "4-nitrobenzaldehyde", 26012 },
	{ "XXJ", "", "", ResidueType::NON_POLYMER, false, "4-azanyl-N-[[2,4-bis(fluoranyl)phenyl]methyl]-1-oxidanyl-2-oxidanylidene-6-[2-(phenylsulfonyl)ethyl]-1,8-naphthyridine-3-carboxamide", 26013 },
	{ "XXK", "", "", ResidueType::NON_POLYMER, false, "3-amino-5-[4-(morpholin-4-yl)pyrido[3',2':4,5]furo[3,2-d]pyrimidin-2-yl]phenol", 26014 },
	{ "XXL", "", "", ResidueType::NON_POLYMER, false, "ethyl (3-oxo-2,3-dihydro-4H-1,4-benzoxazin-4-yl)acetate", 26015 },
	{ "XXM", "", "", ResidueType::SACCHARIDE, false, "(2S,3R,4R)-4-(hydroxymethyl)oxolane-2,3,4-triol", 26016 },
	{ "XXO", "", "", ResidueType::NON_POLYMER, false, "2-(furan-2-yl)pyridine-4-carboxylic acid", 26017 },
	{ "XXP", "", "", ResidueType::NON_POLYMER, false, "2-KETO,5-NITRO,6-HYDROXY-3,5-HEXADIENOIC ACID", 26018 },
	{ "XXR", "", "", ResidueType::SACCHARIDE, false, "6-deoxy-alpha-D-mannopyranose", 26019 },
	{ "XXT", "", "", ResidueType::NON_POLYMER, false, "[(3aS,5R,5aS,6S,8S,8aS,9S,9aR)-9-acetyloxy-8-hydroxy-5,8a-dimethyl-1-methylidene-2-oxo-4,5,5a,6,7,8,9,9a-octahydro-3aH-azuleno[6,5-b]furan-6-yl] acetate", 26020 },
	{ "XXX", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,4R,5R,6R)-6-((1R,2R,3S,4R,6S)-4,6-DIAMINO-2,3-DIHYDROXYCYCLOHEXYLOXY)-5-AMINO-2-(AMINOMETHYL)-TETRAHYDRO-2H-PYRAN-3,4-DIOL", 26021 },
	{ "XXY", "", "", ResidueType::PEPTIDE_LINKING, false, "2-[(1R,2R)-1-amino-2-hydroxypropyl]-1-(carboxymethyl)-4-(1H-imidazol-5-ylmethyl)-1H-imidazol-5-olate", 26022 },
	{ "XXZ", "", "", ResidueType::NON_POLYMER, false, "1-[4-(AMINOMETHYL)BENZOYL]-5'-FLUORO-1'H-SPIRO[PIPERIDINE-4,2'-QUINAZOLIN]-4'-AMINE", 26023 },
	{ "XY1", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-[5-(2-azanylethyl)-2-oxidanyl-phenyl]diazenyl]benzoic acid", 26024 },
	{ "XY2", "", "", ResidueType::NON_POLYMER, false, "N,N'-DIMETHYL-N-(ACETYL)-N'-(7-NITROBENZ-2-OXA-1,3-DIAZOL-4-YL)ETHYLENEDIAMINE", 26025 },
	{ "XY3", "", "", ResidueType::NON_POLYMER, false, "5-[(5-{[4-{[4-(2-hydroxyethyl)piperazin-1-yl]methyl}-3-(trifluoromethyl)phenyl]carbamoyl}-2-methylphenyl)ethynyl]-1-methyl-1H-imidazole-2-carboxamide", 26026 },
	{ "XYA", "", "", ResidueType::NON_POLYMER, false, "2-(6-AMINO-OCTAHYDRO-PURIN-9-YL)-5-HYDROXYMETHYL-TETRAHYDRO-FURAN-3,4-DIOL", 26027 },
	{ "XYB", "", "", ResidueType::SACCHARIDE, false, "4-O-beta-D-xylopyranosyl-beta-D-xylopyranose", 26028 },
	{ "XYC", "", "", ResidueType::PEPTIDE_LINKING, false, "(2~{S})-2-azanyl-3-cyclopentyl-propanoic acid", 26029 },
	{ "XYD", "", "", ResidueType::NON_POLYMER, false, "2,5-DIMETHYLANILINE", 26030 },
	{ "XYF", "", "", ResidueType::NON_POLYMER, false, "5(R)-5-FLUORO-BETA-D-XYLOPYRANOSYL-ENZYME INTERMEDIATE", 26031 },
	{ "XYG", "", "", ResidueType::PEPTIDE_LINKING, false, "[(4Z)-2-[(1Z)-ETHANIMIDOYL]-4-(4-HYDROXYBENZYLIDENE)-5-OXO-4,5-DIHYDRO-1H-IMIDAZOL-1-YL]ACETIC ACID", 26032 },
	{ "XYH", "", "", ResidueType::NON_POLYMER, false, "XYLAROHYDROXAMATE", 26033 },
	{ "XYL", "", "", ResidueType::NON_POLYMER, false, "D-XYLITOL", 26034 },
	{ "XYM", "", "", ResidueType::NON_POLYMER, false, "(2Z)-3-[(carboxymethyl)sulfanyl]-2-hydroxyprop-2-enoic acid", 26035 },
	{ "XYN", "", "", ResidueType::NON_POLYMER, false, "3-[(carboxymethyl)sulfanyl]-2-oxopropanoic acid", 26036 },
	{ "XYP", "", "", ResidueType::SACCHARIDE, false, "BETA-D-XYLOPYRANOSE", 26037 },
	{ "XYQ", "", "", ResidueType::NON_POLYMER, false, "", 26038 },
	{ "XYS", "", "", ResidueType::SACCHARIDE, false, "XYLOPYRANOSE", 26039 },
	{ "XYT", "", "", ResidueType::NON_POLYMER, false, "Cellobiose-6-phosphate", 26040 },
	{ "XYW", "", "", ResidueType::NON_POLYMER, false, "2,6-bis(fluoranyl)-N-[3-[5-[2-[(3-methylsulfonylphenyl)amino]pyrimidin-4-yl]-2-morpholin-4-yl-1,3-thiazol-4-yl]phenyl]benzenesulfonamide", 26041 },
	{ "XYY", "", "", ResidueType::NON_POLYMER, false, "(3s)-{4-Chloro-3-[(N-methylmethanesulfonamido) methyl]phenyl}-3-(1-methyl-1H-1,2,3-benzotriazol-5-yl) propanoic acid", 26042 },
	{ "XYZ", "", "", ResidueType::NON_POLYMER, false, "BETA-D-XYLOFURANOSE", 26043 },
	{ "XZ2", "", "", ResidueType::NON_POLYMER, false, "2-(3-chloro-4-fluorobenzyl)-6,7-dihydroxy-N,N-dimethyl-1-oxo-2,3-dihydro-1H-isoindole-4-sulfonamide", 26044 },
	{ "XZ4", "", "", ResidueType::NON_POLYMER, false, "methyl 2-[[3-[[2,4-bis(fluoranyl)phenyl]methylcarbamoyl]-7-methoxy-1-oxidanyl-2-oxidanylidene-1,8-naphthyridin-4-yl]amino]ethanoate", 26045 },
	{ "XZ8", "", "", ResidueType::NON_POLYMER, false, "4-(1-acetyl-1H-indol-3-yl)-5-methyl-1,2-dihydro-3H-pyrazol-3-one", 26046 },
	{ "XZA", "", "", ResidueType::PEPTIDE_LIKE, false, "diazanecarboxylic acid", 26047 },
	{ "XZB", "", "", ResidueType::NON_POLYMER, false, "N-(1,1-dioxo-1-thian-4-yl)-5-methyl-4-oxo-7-3-(trifluoromethyl)phenyl-4H,5H-thieno-3,2-c-pyridine-2-carboximidamide", 26048 },
	{ "XZN", "", "", ResidueType::NON_POLYMER, false, "4-[(3,5-DICHLORO-4-METHOXYPHENYL)AMINO]-6-METHOXY-7-[3-(4-METHYLPIPERAZIN-1-YL)PROPOXY]QUINOLINE-3-CARBONITRILE", 26049 },
	{ "XZP", "", "", ResidueType::NON_POLYMER, false, "(1R,2R)-2-aminocyclopentane-1-carboxylic acid", 26050 },
	{ "XZZ", "", "", ResidueType::NON_POLYMER, false, "6-chloro-7-hydroxy-4-methyl-2H-chromen-2-one", 26051 },
	{ "Y", "", "", ResidueType::DNA_LINKING, false, "", 26052 },
	{ "Y00", "", "", ResidueType::NON_POLYMER, false, "DOBUTAMINE", 26053 },
	{ "Y01", "", "", ResidueType::NON_POLYMER, false, "CHOLESTEROL HEMISUCCINATE", 26054 },
	{ "Y02", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S,5R,6E)-3,4,5-trihydroxy-2-methoxy-8,8-dimethyl-N-[2-(2,4,6-trimethylphenoxy)ethyl]non-6-enamide", 26055 },
	{ "Y03", "", "", ResidueType::NON_POLYMER, false, "(2-{2-[(3,5-dichlorophenyl)amino]-2-oxoethoxy}phenyl)phosphonic acid", 26056 },
	{ "Y04", "", "", ResidueType::NON_POLYMER, false, "(2-{2-[(2-chlorophenyl)amino]-2-oxoethoxy}phenyl)phosphonic acid", 26057 },
	{ "Y06", "", "", ResidueType::NON_POLYMER, false, "(2-{2-[(3-chlorophenyl)amino]-2-oxoethoxy}phenyl)phosphonic acid", 26058 },
	{ "Y07", "", "", ResidueType::NON_POLYMER, false, "[2-(2-{[2-chloro-5-(trifluoromethyl)phenyl]amino}-2-oxoethoxy)phenyl]phosphonic acid", 26059 },
	{ "Y08", "", "", ResidueType::NON_POLYMER, false, "(E,2R,3R,4S,5R)-N-[[(3S)-1-cyclopropylcarbonylpiperidin-3-yl]methyl]-2-methoxy-8,8-dimethyl-3,4,5-tris(oxidanyl)non-6-enamide", 26060 },
	{ "Y09", "", "", ResidueType::NON_POLYMER, false, "(2-{2-[(3-methoxyphenyl)amino]-2-oxoethoxy}phenyl)phosphonic acid", 26061 },
	{ "Y0R", "", "", ResidueType::NON_POLYMER, false, "5-[1-(4-methylphenyl)-1,2,3-triazol-4-yl]thiophene-2-sulfonamide", 26062 },
	{ "Y0V", "", "", ResidueType::NON_POLYMER, false, "2-hydroxy-3,5-diiodo-4-(1H-pyrrol-1-yl)benzoic acid", 26063 },
	{ "Y0X", "", "", ResidueType::NON_POLYMER, false, "", 26064 },
	{ "Y1", "", "", ResidueType::NON_POLYMER, false, "YTTRIUM ION", 26065 },
	{ "Y10", "", "", ResidueType::NON_POLYMER, false, "(E,2R,3R,4S,5R)-N-(2,3-dihydro-1H-inden-2-yl)-2-methoxy-8,8-dimethyl-3,4,5-tris(oxidanyl)non-6-enamide", 26066 },
	{ "Y11", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-2-[(4-cyano-1-methylpiperidin-4-yl)amino]-1-(cyclohexylmethyl)-2-oxoethyl]morpholine-4-carboxamide", 26067 },
	{ "Y12", "", "", ResidueType::NON_POLYMER, false, "4-{(1E)-3-OXO-3-[(2-PHENYLETHYL)AMINO]PROP-1-EN-1-YL}-1,2-PHENYLENE DIACETATE", 26068 },
	{ "Y13", "", "", ResidueType::NON_POLYMER, false, "(2E)-3-(3,4-DIHYDROXYPHENYL)-N-[2-(4-HYDROXYPHENYL)ETHYL]ACRYLAMIDE", 26069 },
	{ "Y14", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-2-{[(3S)-1-benzyl-3-cyanopyrrolidin-3-yl]amino}-1-(cyclohexylmethyl)-2-oxoethyl]morpholine-4-carboxamide", 26070 },
	{ "Y15", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-2-{[(1R)-2-(benzyloxy)-1-cyano-1-methylethyl]amino}-1-(cyclohexylmethyl)-2-oxoethyl]morpholine-4-carboxamide", 26071 },
	{ "Y16", "", "", ResidueType::NON_POLYMER, false, "(E,2R,3R,4S,5R)-N-(2-azanyl-2-oxidanylidene-ethyl)-2-methoxy-8,8-dimethyl-3,4,5-tris(oxidanyl)non-6-enamide", 26072 },
	{ "Y19", "", "", ResidueType::NON_POLYMER, false, "1-deoxy-1-{[(5S)-2,6-dioxo-5-(propanoylamino)-1,2,5,6-tetrahydropyrimidin-4-yl]amino}-D-ribitol", 26073 },
	{ "Y1N", "", "", ResidueType::NON_POLYMER, false, "2-methyl-2-[4-[2-[4-[(E)-phenyldiazenyl]phenoxy]ethyl]phenoxy]propanoic acid", 26074 },
	{ "Y1Z", "", "", ResidueType::NON_POLYMER, false, "2-chloro-N-[5-(3-methyl[1,2,4]triazolo[3,4-a]phthalazin-6-yl)-2-(morpholin-4-yl)phenyl]benzenesulfonamide", 26075 },
	{ "Y22", "", "", ResidueType::NON_POLYMER, false, "6-(trifluoromethyl)-3-{[4-(trifluoromethyl)benzyl]amino}quinoxaline-2-carboxylic acid", 26076 },
	{ "Y27", "", "", ResidueType::NON_POLYMER, false, "(R)-TRANS-4-(1-AMINOETHYL)-N-(4-PYRIDYL) CYCLOHEXANECARBOXAMIDE", 26077 },
	{ "Y28", "", "", ResidueType::PEPTIDE_LINKING, false, "O-benzyl-N-(carboxycarbonyl)-D-tyrosine", 26078 },
	{ "Y2B", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,4R)-4-(2-{[(1S,2R)-2-(3-fluorophenyl)cyclopropyl]amino}ethoxy)pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 26079 },
	{ "Y2F", "", "", ResidueType::NON_POLYMER, false, "6-{[(3R,4R)-4-(2-{[(2S)-1-(3-fluorophenyl)propan-2-yl]amino}ethoxy)pyrrolidin-3-yl]methyl}-4-methylpyridin-2-amine", 26080 },
	{ "Y3", "", "", ResidueType::NON_POLYMER, false, "4-ACETYLAMINO-5-HYDROXYNAPHTHALENE-2,7-DISULFONIC ACID", 26081 },
	{ "Y30", "", "", ResidueType::NON_POLYMER, false, "3-{(1S)-2-(tert-butylamino)-1-[{4-[(4-chlorobenzyl)oxy]benzyl}(formyl)amino]-2-oxoethyl}-6-chloro-1H-indole-2-carboxylic acid", 26082 },
	{ "Y38", "", "", ResidueType::NON_POLYMER, false, "N-[2-(benzoylamino)ethyl]-N-(biphenyl-4-ylsulfonyl)-D-valine", 26083 },
	{ "Y39", "", "", ResidueType::NON_POLYMER, false, "(1S,2S)-2-nonylcyclopropanecarboxylic acid", 26084 },
	{ "Y3A", "", "", ResidueType::NON_POLYMER, false, "N-[(benzyloxy)carbonyl]glycyl-N-[(2S,3R)-4-chloro-3-hydroxy-1-phenylbutan-2-yl]glycinamide", 26085 },
	{ "Y3J", "", "", ResidueType::NON_POLYMER, false, "5,5-DIFLUOROMETHYL ADENOSINE", 26086 },
	{ "Y3L", "", "", ResidueType::NON_POLYMER, false, "N-(5-CHLORANYL-1,3-BENZOTHIAZOL-2-YL)ETHANAMIDE", 26087 },
	{ "Y3M", "", "", ResidueType::NON_POLYMER, false, "ethyl (9S)-9-[5-(1H-benzimidazol-2-ylsulfanyl)furan-2-yl]-8-hydroxy-5,6,7,9-tetrahydro-2H-pyrrolo[3,4-b]quinoline-3-carboxylate", 26088 },
	{ "Y46", "", "", ResidueType::NON_POLYMER, false, "N-(6-AMINO-1-BENZYL-2,4-DIOXO-1,2,3,4-TETRAHYDROPYRIMIDIN-5-YL)BENZENESULFONAMIDE", 26089 },
	{ "Y4L", "", "", ResidueType::NON_POLYMER, false, "((4-Chlorophenyl)sulfamoyl))dimethylamine", 26090 },
	{ "Y50", "", "", ResidueType::NON_POLYMER, false, "E-3-(3-azanyl-4-methoxy-phenyl)-1-(5-methoxy-2,2-dimethyl-chromen-8-yl)prop-2-en-1-one", 26091 },
	{ "Y52", "", "", ResidueType::NON_POLYMER, false, "methyl (2E)-3-methoxy-2-(2-{[(5-methoxy-1,3-benzothiazol-2-yl)sulfanyl]methyl}phenyl)prop-2-enoate", 26092 },
	{ "Y55", "", "", ResidueType::NON_POLYMER, false, "7-(furan-2-yl)-2-hydroxyisoquinoline-1,3(2H,4H)-dione", 26093 },
	{ "Y5H", "", "", ResidueType::NON_POLYMER, false, "3-[(3AS,4R,5S,8AS,8BR)-4-[2-(5-CHLOROTHIOPHEN-2-YL)-1,3-OXAZOL-4-YL]-1,3-DIOXO-4,6,7,8,8A,8B-HEXAHYDRO-3AH-PYRROLO[3,4-A]PYRROLIZIN-2-YL]PROPYL-TRIMETHYL-AZANIUM", 26094 },
	{ "Y5P", "", "", ResidueType::RNA_LINKING, false, "1-(5-O-phosphono-beta-D-ribofuranosyl)-1,4-dihydropyrimidine", 26095 },
	{ "Y69", "", "", ResidueType::NON_POLYMER, false, "11-[2-(2-ethoxyethoxy)ethoxy]undecanal", 26096 },
	{ "Y6M", "", "", ResidueType::NON_POLYMER, false, "(2R)-1,2,3,4-tetrahydroquinoline-2,7-diol", 26097 },
	{ "Y6W", "", "", ResidueType::NON_POLYMER, false, "", 26098 },
	{ "Y70", "", "", ResidueType::NON_POLYMER, false, "S-Pomalidomide", 26099 },
	{ "Y7N", "", "", ResidueType::NON_POLYMER, false, "5-[(E)-[(2S)-2-(6-azanylhexanoylamino)-2,3-dihydroinden-1-ylidene]methyl]-1,3-benzodioxole-4-carboxylic acid", 26100 },
	{ "Y7Y", "", "", ResidueType::NON_POLYMER, false, "methyl (3aS,4S,6aR)-4-(5-methoxy-5-oxopentyl)-2-oxohexahydro-1H-thieno[3,4-d]imidazole-1-carboxylate", 26101 },
	{ "Y80", "", "", ResidueType::NON_POLYMER, false, "4-[(2E)-3-(4-methoxyphenyl)-2-phenylprop-2-enoyl]-3,4-dihydroquinoxalin-2(1H)-one", 26102 },
	{ "Y81", "", "", ResidueType::NON_POLYMER, false, "4-[(5-phenylpyridin-3-yl)carbonyl]-3,4-dihydroquinoxalin-2(1H)-one", 26103 },
	{ "Y83", "", "", ResidueType::NON_POLYMER, false, "tert-butyl [(2S)-1-(1H-indol-3-yl)-3-{[(2S)-3-oxo-2-(phenylamino)-3-{[(pyridin-3-yl)methyl]amino}propyl]sulfanyl}propan-2-yl]carbamate", 26104 },
	{ "Y8I", "", "", ResidueType::NON_POLYMER, false, "2,4-bis(bromanyl)phenol", 26105 },
	{ "Y8L", "", "", ResidueType::NON_POLYMER, false, "3,4-DIMETHYL-5-(2-{[(1Z)-4-PIPERAZIN-1-YLCYCLOHEXA-2,4-DIEN-1-YLIDENE]AMINO}PYRIMIDIN-4-YL)-1,3-THIAZOL-2(3H)-ONE", 26106 },
	{ "Y9B", "", "", ResidueType::NON_POLYMER, false, "4-oxidanyl-~{N}-[2,3,5,6-tetrakis(fluoranyl)-4-phenyl-phenyl]-1,2,5-thiadiazole-3-carboxamide", 26107 },
	{ "Y9Z", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-{[(S)-[2-(acetylamino)ethoxy](hydroxy)phosphoryl]oxy}(hydroxy)phosphoryl]guanosine", 26108 },
	{ "YA1", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,7E,17beta)-17-[(2R,3R)-3-butyl-6-hydroxy-6-methylheptan-2-yl]-2-methylidene-9,10-secoestra-5,7-diene-1,3-diol", 26109 },
	{ "YA2", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,7E,17beta)-17-[(2R,3R)-3-butyl-5-ethyl-5-hydroxyheptan-2-yl]-2-methylidene-9,10-secoestra-5,7-diene-1,3-diol", 26110 },
	{ "YAC", "", "", ResidueType::NON_POLYMER, false, "(4Z)-6-oxo-6-phenylhex-4-enoic acid", 26111 },
	{ "YAK", "", "", ResidueType::NON_POLYMER, false, "N-{3-[(4aR,7aS)-1-(4-fluorobenzyl)-4-hydroxy-2-oxo-2,4a,5,6,7,7a-hexahydro-1H-cyclopenta[b]pyridin-3-yl]-1,1-dioxido-2H-1,2,4-benzothiadiazin-7-yl}methanesulfonamide", 26112 },
	{ "YAM", "", "", ResidueType::NON_POLYMER, false, "N-methyl-N-{3-[({2-[(2-oxo-2,3-dihydro-1H-indol-5-yl)amino]-5-(trifluoromethyl)pyrimidin-4-yl}amino)methyl]pyridin-2-yl}methanesulfonamide", 26113 },
	{ "YAN", "", "", ResidueType::NON_POLYMER, false, "1,2-DICHLOROBENZENE", 26114 },
	{ "YAP", "", "", ResidueType::NON_POLYMER, true, "5'-O-[(R)-{[(2S)-2-amino-3-(4-hydroxyphenyl)propanoyl]oxy}(hydroxy)phosphoryl]adenosine", 26115 },
	{ "YAU", "", "", ResidueType::NON_POLYMER, false, "N-{2-chloro-5-[(3S,4R)-1-[(3R)-4-(4-chlorophenyl)-3-hydroxybutanoyl]-4-(hydroxymethyl)pyrrolidin-3-yl]phenyl}-2-(4-fluorophenyl)acetamide", 26116 },
	{ "YB", "", "", ResidueType::NON_POLYMER, false, "YTTERBIUM (III) ION", 26117 },
	{ "YB2", "", "", ResidueType::NON_POLYMER, false, "YTTERBIUM (II) ION", 26118 },
	{ "YBH", "", "", ResidueType::NON_POLYMER, false, "4-OXO-3-{6-[4-(QUINOXALIN-2-YLOXY)-BENZOYLAMINO]-2-THIOPHEN-2-YL-HEXANOYLAMINO}-BUTYRIC ACID", 26119 },
	{ "YBN", "", "", ResidueType::NON_POLYMER, false, "3-methoxybenzyl 3-(piperidin-4-yloxy)-1-benzothiophene-2-carboxylate", 26120 },
	{ "YBT", "", "", ResidueType::NON_POLYMER, false, "BIS-(2-HYDROXYETHYL)AMINO-TRIS(HYDROXYMETHYL)METHANE YTTRIUM", 26121 },
	{ "YBY", "", "", ResidueType::NON_POLYMER, false, "N-{[(1S)-1-carboxy-2-(4-hydroxy-3-iodophenyl)ethyl]carbamoyl}-L-glutamic acid", 26122 },
	{ "YC2", "", "", ResidueType::NON_POLYMER, false, "N-{[(1S)-1-carboxy-5-{[(4-iodophenyl)carbonyl]amino}pentyl]carbamoyl}-L-glutamic acid", 26123 },
	{ "YC8", "", "", ResidueType::NON_POLYMER, false, "3-(4-phenylbutanoylamino)pyridine-4-carboxylic acid", 26124 },
	{ "YCF", "", "", ResidueType::NON_POLYMER, false, "(2E)-N-hydroxy-2-[1-(4-{[(4-{(1E)-1-[2-(N'-hydroxycarbamimidoyl)hydrazinylidene]ethyl}phenyl)carbamoyl]amino}phenyl)ethylidene]hydrazinecarboximidamide", 26125 },
	{ "YCL", "", "", ResidueType::NON_POLYMER, false, "2-{[(2S)-1-amino-5-{[(1Z)-2-chloroethanimidoyl]amino}-1-oxopentan-2-yl]carbamoyl}benzoic acid", 26126 },
	{ "YCM", "", "", ResidueType::PEPTIDE_LINKING, false, "S-(2-AMINO-2-OXOETHYL)-L-CYSTEINE", 26127 },
	{ "YCN", "", "", ResidueType::NON_POLYMER, false, "1,4,7,10-tetraazacyclododecane", 26128 },
	{ "YCO", "", "", ResidueType::DNA_LINKING, false, "3-(2-deoxy-5-O-phosphono-beta-D-erythro-pentofuranosyl)-1H-pyrimido[5,4-b][1,4]benzoxazin-2(3H)-one", 26129 },
	{ "YCP", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-piperidine-2-carboxylic acid", 26130 },
	{ "YCU", "", "", ResidueType::NON_POLYMER, false, "1-[5-(2-METHOXYETHYL)-4-METHYL-THIOPHEN-2-YL]SULFONYL-3-[4-METHOXY-6-(METHYLCARBAMOYLAMINO)PYRIDIN-2-YL]UREA", 26131 },
	{ "YD3", "", "", ResidueType::NON_POLYMER, false, "8-[[(3R,4R)-3-[[1,1-bis(oxidanylidene)thian-4-yl]methoxy]piperidin-4-yl]amino]-3-methyl-5-(5-methylpyridin-3-yl)-1H-quinolin-2-one", 26132 },
	{ "YDI", "", "", ResidueType::NON_POLYMER, false, "5-[4-(2-DIMETHYLAMINOETHYLOXY)PHENYL]-2-UREIDO-THIOPHENE-3-CARBOXAMIDE", 26133 },
	{ "YDJ", "", "", ResidueType::NON_POLYMER, false, "5-(3-fluorophenyl)-N-[(3S)-3-piperidyl]-3-ureido-thiophene-2-carboxamide", 26134 },
	{ "YDK", "", "", ResidueType::NON_POLYMER, false, "2-(CARBAMOYLAMINO)-5-PHENYL-N-[(3S)-PIPERIDIN-3-YL]THIOPHENE-3-CARBOXAMIDE", 26135 },
	{ "YDP", "", "", ResidueType::NON_POLYMER, false, "(3S,4S),-3,4-Bis-[(4-carbamoyl-benzensulfonyl)-(3-methyl-but-2-enyl)-amino]-pyrrolidine", 26136 },
	{ "YDR", "", "", ResidueType::NON_POLYMER, false, "6-S-alpha-D-mannopyranosyl-6-thio-alpha-D-mannopyranose", 26137 },
	{ "YDZ", "", "", ResidueType::NON_POLYMER, false, "", 26138 },
	{ "YE1", "", "", ResidueType::NON_POLYMER, false, "", 26139 },
	{ "YE2", "", "", ResidueType::NON_POLYMER, false, "", 26140 },
	{ "YE5", "", "", ResidueType::NON_POLYMER, false, "1-[4-ethoxy-3-[3-(2~{H}-1,2,3,4-tetrazol-5-yl)phenyl]phenyl]ethanone", 26141 },
	{ "YE6", "", "", ResidueType::NON_POLYMER, false, "5-(2-chlorophenyl)furan-2-carbohydrazide", 26142 },
	{ "YE7", "", "", ResidueType::NON_POLYMER, false, "IMIDAZO[2,1-A]ISOQUINOLINE-2-CARBOHYDRAZIDE", 26143 },
	{ "YEG", "", "", ResidueType::NON_POLYMER, false, "cyclopentanol", 26144 },
	{ "YEJ", "", "", ResidueType::NON_POLYMER, false, "8-[[(3R,4R)-3-[[1,1-bis(oxidanylidene)thian-4-yl]methoxy]piperidin-4-yl]amino]-3-methyl-1H-1,7-naphthyridin-2-one", 26145 },
	{ "YEN", "", "", ResidueType::PEPTIDE_LIKE, false, "N-{(2S)-4-(methylamino)-4-oxo-2-[4-(phosphonooxy)benzyl]butanoyl}-L-alpha-glutamyl-L-aspartamide", 26146 },
	{ "YES", "", "", ResidueType::NON_POLYMER, false, "3-(2-hydroxyethyl)-2,2-bis(hydroxymethyl)pentane-1,5-diol", 26147 },
	{ "YET", "", "", ResidueType::NON_POLYMER, false, "1-cyano-2-(2-methyl-1-benzofuran-5-yl)-3-[(3S)-2-oxo-1-(2-oxo-2-pyrrolidin-1-ylethyl)azepan-3-yl]guanidine", 26148 },
	{ "YEX", "", "", ResidueType::NON_POLYMER, false, "5-METHYL-8-(1H-PYRROL-2-YL)[1,2,4]TRIAZOLO[4,3-A]QUINOLIN-1(2H)-ONE", 26149 },
	{ "YF1", "", "PYD", ResidueType::NON_POLYMER, true, "2,5-DIMETHYLPYRIMIDIN-4-AMINE", 26150 },
	{ "YF3", "", "", ResidueType::NON_POLYMER, false, "2-{[(4-AMINO-2-METHYLPYRIMIDIN-5-YL)METHYL]AMINO}PROPANE-1-THIOL", 26151 },
	{ "YF4", "", "", ResidueType::NON_POLYMER, false, "5-{[ETHYL(METHYL)AMINO]METHYL}-2-METHYL-5,6-DIHYDROPYRIMIDIN-4-AMINE", 26152 },
	{ "YFB", "", "", ResidueType::NON_POLYMER, false, "AMORFRUTIN B", 26153 },
	{ "YFD", "", "", ResidueType::NON_POLYMER, false, "AMORFRUTIN 2", 26154 },
	{ "YFE", "", "", ResidueType::NON_POLYMER, false, "Amorfrutin 1", 26155 },
	{ "YFF", "", "", ResidueType::NON_POLYMER, false, "2-{[(2S)-1-amino-5-{[(1Z)-2-fluoroethanimidoyl]amino}-1-oxopentan-2-yl]carbamoyl}benzoic acid", 26156 },
	{ "YG", "", "", ResidueType::RNA_LINKING, false, "WYBUTOSINE", 26157 },
	{ "YGL", "", "", ResidueType::NON_POLYMER, false, "2-amino-5,6-diphenyl-3H-pyrrolo[2,3-d]pyrimidin-4(7H)-one", 26158 },
	{ "YGP", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-[(3,6-dimethyl-2-oxo-1,2-dihydropyridin-4-yl)oxy](hydroxy)phosphoryl]guanosine", 26159 },
	{ "YH", "", "", ResidueType::NON_POLYMER, true, "YTTRIUM ION, 1 WATER COORDINATED", 26160 },
	{ "YH1", "", "", ResidueType::NON_POLYMER, false, "2-amino-8-[(2-oxo-2-phenylethyl)sulfanyl]-1,9-dihydro-6H-purin-6-one", 26161 },
	{ "YH2", "", "", ResidueType::NON_POLYMER, false, "4-{[(2-amino-6-oxo-6,9-dihydro-1H-purin-8-yl)sulfanyl]methyl}benzonitrile", 26162 },
	{ "YH3", "", "", ResidueType::NON_POLYMER, false, "2-amino-8-{[2-(3-methylphenyl)-2-oxoethyl]sulfanyl}-1,9-dihydro-6H-purin-6-one", 26163 },
	{ "YH4", "", "", ResidueType::NON_POLYMER, false, "2-amino-8-{[2-(2-methylphenyl)-2-oxoethyl]sulfanyl}-1,7-dihydro-6H-purin-6-one", 26164 },
	{ "YH5", "", "", ResidueType::NON_POLYMER, false, "2-amino-8-{[2-(4-methoxyphenyl)-2-oxoethyl]sulfanyl}-1,9-dihydro-6H-purin-6-one", 26165 },
	{ "YH6", "", "", ResidueType::NON_POLYMER, false, "2-amino-8-{[2-(4-methylphenyl)-2-oxoethyl]sulfanyl}-1,7-dihydro-6H-purin-6-one", 26166 },
	{ "YH7", "", "", ResidueType::NON_POLYMER, false, "6-amino-1,9-dihydro-2H-purine-2-thione", 26167 },
	{ "YHO", "", "", ResidueType::NON_POLYMER, false, "(1S,2S,3R,4R)-4-aminocyclopentane-1,2,3-triol", 26168 },
	{ "YHX", "", "", ResidueType::NON_POLYMER, false, "4-NITROQUINOLINE 1-OXIDE", 26169 },
	{ "YI0", "", "", ResidueType::NON_POLYMER, false, "4-CHLORO-6-[5-(4-METHOXYPHENYL)-1,2,3-THIADIAZOL-4-YL]BENZENE-1,3-DIOL", 26170 },
	{ "YI1", "", "", ResidueType::NON_POLYMER, false, "[4-[3-(DIFLUORO-PHOSPHONO-METHYL)PHENYL]PHENYL]METHOXYAZANIUM", 26171 },
	{ "YI2", "", "", ResidueType::NON_POLYMER, false, "(1R,2E,3R,5Z,7E)-17-{(1S)-1-[(2-ethyl-2-hydroxybutyl)sulfanyl]ethyl}-2-(2-hydroxyethylidene)-9,10-secoestra-5,7,16-triene-1,3-diol", 26172 },
	{ "YI3", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,7E,9beta,17beta)-9-butyl-17-[(2R)-6-hydroxy-6-methylheptan-2-yl]-9,10-secoestra-5,7-diene-1,3-diol", 26173 },
	{ "YI4", "", "", ResidueType::NON_POLYMER, false, "(1R,2Z,3R,5E,7E,9beta,17beta)-2-(2-hydroxyethylidene)-17-[(2R)-6-hydroxy-6-methylheptan-2-yl]-9-(prop-2-en-1-yl)-9,10-secoestra-5,7-diene-1,3-diol", 26174 },
	{ "YI5", "", "", ResidueType::NON_POLYMER, false, "4-CHLORO-6-[5-(3,4-DIMETHOXYPHENYL)-1,2,3-THIADIAZOL-4-YL]BENZENE-1,3-DIOL", 26175 },
	{ "YI6", "", "", ResidueType::NON_POLYMER, false, "2-(4-ethoxyphenyl)ethanoic acid", 26176 },
	{ "YIE", "", "", ResidueType::NON_POLYMER, false, "5-[(4-chlorophenyl)methyl]-1,2,3-triaza-4-azanidacyclopenta-2,5-diene", 26177 },
	{ "YIH", "", "", ResidueType::NON_POLYMER, false, "5-[[3,4-bis(chloranyl)phenoxy]methyl]-1,2,4-triaza-3-azanidacyclopenta-1,4-diene", 26178 },
	{ "YIN", "", "", ResidueType::NON_POLYMER, false, "(6R,7S)-6,7-bis(4-bromophenyl)-7,11-dihydro-6H-chromeno[4,3-d][1,2,4]triazolo[1,5-a]pyrimidine", 26179 },
	{ "YIO", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S,5R,6S)-2-(HYDROXYMETHYL)-6-SULFANYL-OXANE-3,4,5-TRIOL", 26180 },
	{ "YIP", "", "", ResidueType::NON_POLYMER, false, "5-[(3-chloranylphenoxy)methyl]-1,2,4-triaza-3-azanidacyclopenta-1,4-diene", 26181 },
	{ "YIQ", "", "", ResidueType::NON_POLYMER, false, "(E)-5-(1-(2-CARBAMIMIDOYLHYDRAZONO)ETHYL)-N-(1H-INDOL-6-YL)-1H-INDOLE-2-CARBOXAMIDE", 26182 },
	{ "YIR", "", "", ResidueType::NON_POLYMER, false, "(E)-N-(5-(2-CARBAMIMIDOYLHYDRAZONO)-5,6,7,8-TETRAHYDRONAPHTHALEN-2-YL)-7-NITRO-1H-INDOLE-2-CARBOXAMIDE", 26183 },
	{ "YIS", "", "", ResidueType::NON_POLYMER, false, "1-[3-tert-butyl-1-(3-chloro-4-hydroxyphenyl)-1H-pyrazol-5-yl]-3-{2-[(3-{2-[(2-hydroxyethyl)sulfanyl]phenyl}[1,2,4]triazolo[4,3-a]pyridin-6-yl)sulfanyl]benzyl}urea", 26184 },
	{ "YIT", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(1E)-N-carbamimidoylbutanehydrazonoyl]phenyl}-5-methoxy-1H-indole-2-carboxamide", 26185 },
	{ "YIV", "", "", ResidueType::NON_POLYMER, false, "N-butylformamide", 26186 },
	{ "YIW", "", "", ResidueType::NON_POLYMER, false, "1-(3-tert-butyl-1-phenyl-1H-pyrazol-5-yl)-3-(2-{[3-(1-methylethyl)[1,2,4]triazolo[4,3-a]pyridin-6-yl]sulfanyl}benzyl)urea", 26187 },
	{ "YIX", "", "", ResidueType::NON_POLYMER, false, "1-ethyl-3-(2-{[3-(1-methylethyl)[1,2,4]triazolo[4,3-a]pyridin-6-yl]sulfanyl}benzyl)urea", 26188 },
	{ "YIY", "", "", ResidueType::NON_POLYMER, false, "(1E)-1-[5-TERT-BUTYL-2-(3-FLUOROPHENYL)-1H-PYRAZOL-3-YLIDENE]-3-(4-PYRIDIN-3-YLOXYPHENYL)UREA", 26189 },
	{ "YJ2", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-1-[1-(4-BROMOPHENYL)CYCLOPROPYL]CARBONYL-4-(2-CHLOROPHENYL)SULFONYL-N-[1-(IMINOMETHYL)CYCLOPROPYL]PYRROLIDINE-2-CARBOXAMIDE", 26190 },
	{ "YJ8", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-4-(2-chlorophenyl)sulfonyl-N-[1-(iminomethyl)cyclopropyl]-1-[1-(4-iodophenyl)cyclopropyl]carbonyl-pyrrolidine-2-carboxamide", 26191 },
	{ "YJ9", "", "", ResidueType::NON_POLYMER, false, "(2S,4R)-4-(2-chlorophenyl)sulfonyl-N-[1-(iminomethyl)cyclopropyl]-1-[1-[4-(trifluoromethyl)phenyl]cyclopropyl]carbonyl-pyrrolidine-2-carboxamide", 26192 },
	{ "YJA", "", "", ResidueType::NON_POLYMER, false, "2-[5-[[7-[3-[ethyl(2-hydroxyethyl)amino]propoxy]quinazolin-4-yl]amino]-1H-pyrazol-3-yl]-N-(3-fluorophenyl)ethanamide", 26193 },
	{ "YJC", "", "424", ResidueType::NON_POLYMER, true, "(4R)-1-{[1-(4-chlorophenyl)cyclopropyl]carbonyl}-4-[(2-chlorophenyl)sulfonyl]-N-{1-[(E)-iminomethyl]cyclopropyl}-L-prolinamide", 26194 },
	{ "YJD", "", "", ResidueType::NON_POLYMER, false, "4-(2-PROPAN-2-YLOXYBENZIMIDAZOL-1-YL)PHENOL", 26195 },
	{ "YJM", "", "", ResidueType::NON_POLYMER, false, "2-deoxy-6-O-sulfo-2-(sulfoamino)-alpha-D-glucopyranose", 26196 },
	{ "YJW", "", "", ResidueType::NON_POLYMER, false, "4-(5-METHYL-4-PHENYLISOXAZOL-3-YL)BENZENE-1,3-DIOL", 26197 },
	{ "YJX", "", "", ResidueType::NON_POLYMER, false, "1-(3H-imidazo[4,5-c]pyridin-2-yl)-3,4-dihydropyrido[2,1-a]isoindol-6(2H)-one", 26198 },
	{ "YK9", "", "", ResidueType::NON_POLYMER, false, "4-(1H-IMIDAZO[4,5-C]PYRIDIN-2-YL)FLUOREN-9-ONE", 26199 },
	{ "YKB", "", "", ResidueType::NON_POLYMER, false, "N-[4-(3H-IMIDAZO[4,5-C]PYRIDIN-2-YL)-9H-FLUOREN-9-YL]-SUCCINAMIDE", 26200 },
	{ "YKC", "", "", ResidueType::NON_POLYMER, false, "N-[4-(3H-IMIDAZO[4,5-C]PYRIDIN-2-YL)-9H-FLUOREN-9-YL-ISONICOTINAMIDE", 26201 },
	{ "YKE", "", "", ResidueType::NON_POLYMER, false, "N-[(4R)-4-(3H-imidazo[4,5-c]pyridin-2-yl)-4H-fluoren-9-yl]quinoline-5-carboxamide", 26202 },
	{ "YKI", "", "", ResidueType::NON_POLYMER, false, "1-H-PYRROLO[2,3-B]PYRIDINE-4-CARBOXYLIC ACID [4-(3H-IMIDAZO[4,5-C]PYRIDIN-2-YL)-9H-FLUOREN-9-YL]-AMIDE", 26203 },
	{ "YKJ", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-N-[4-(3H-IMIDAZO[4,5-C]PYRIDIN-2-YL)--9H-FLUOREN-9-YL]-ISONICOTINAMIDE", 26204 },
	{ "YKN", "", "", ResidueType::NON_POLYMER, false, "2-[DIFLUORO-[(4-METHYL-PYRIMIDINYL)-THIO]METHYL]-BENZOXAZOLE", 26205 },
	{ "YKR", "", "", ResidueType::NON_POLYMER, false, "2-amino-4-O-benzyl-2-deoxy-alpha-D-glucopyranose", 26206 },
	{ "YL2", "", "", ResidueType::NON_POLYMER, false, "({[6-(4-cyclopropylphenyl)thieno[2,3-d]pyrimidin-4-yl]amino}methanediyl)bis(phosphonic acid)", 26207 },
	{ "YL3", "", "", ResidueType::NON_POLYMER, false, "({[6-(4-methylphenyl)thieno[2,3-d]pyrimidin-4-yl]amino}methyl)phosphonic acid", 26208 },
	{ "YL4", "", "", ResidueType::NON_POLYMER, false, "[(R)-(2,3-dihydro-1-benzofuran-5-yl){[6-(4-methylphenyl)thieno[2,3-d]pyrimidin-4-yl]amino}methyl]phosphonic acid", 26209 },
	{ "YL5", "", "", ResidueType::NON_POLYMER, false, "[(1R)-2-(3-fluorophenyl)-1-{[6-(4-methylphenyl)thieno[2,3-d]pyrimidin-4-yl]amino}ethyl]phosphonic acid", 26210 },
	{ "YL6", "", "", ResidueType::NON_POLYMER, false, "[(1R)-1-{[6-(3-chloro-4-methylphenyl)thieno[2,3-d]pyrimidin-4-yl]amino}-2-(3-fluorophenyl)ethyl]phosphonic acid", 26211 },
	{ "YLA", "", "", ResidueType::NON_POLYMER, false, " (S)-2-amino-6-(((prop-2-yn-1-yloxy)carbonyl)amino)hexanoic (((2R,3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl)methyl phosphoric)anhydride", 26212 },
	{ "YLB", "", "", ResidueType::NON_POLYMER, false, "5'-O-({[(2R)-2-amino-6-(butanoylamino)hexanoyl]oxy}phosphinato)adenosine", 26213 },
	{ "YLC", "", "", ResidueType::NON_POLYMER, false, "5'-O-[({(2R)-2-amino-6-[(2E)-but-2-enoylamino]hexanoyl}oxy)phosphinato]adenosine", 26214 },
	{ "YLG", "", "", ResidueType::NON_POLYMER, false, "(1R)-1-methyl-1,2,3,4-tetrahydroisoquinoline", 26215 },
	{ "YLL", "", "", ResidueType::NON_POLYMER, false, "(1R,2S,3S,4S,5R,6R)-6-(HYDROXYMETHYL)CYCLOHEXANE-1,2,3,4,5-PENTOL", 26216 },
	{ "YLO", "", "", ResidueType::NON_POLYMER, false, "1-[2-(4-METHYLPHENOXY)ETHYL]-2-(2-PHENOXYETHYLSULFANYL)BENZIMIDAZOLE", 26217 },
	{ "YLP", "", "", ResidueType::NON_POLYMER, false, "(S)-2-amino-6-propionamidohexanoic(((2R,3S,4R,5R)-5-(6-amino-9H-purin-9-yl)-3,4-dihydroxytetrahydrofuran-2-yl)methyl phosphoric) anhydride", 26218 },
	{ "YLQ", "", "", ResidueType::NON_POLYMER, false, "3-[1-[2-(4-METHYLPHENOXY)ETHYL]BENZIMIDAZOL-2-YL]SULFANYLPROPANOIC ACID", 26219 },
	{ "YLY", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-AMINO-6-({[(2S,3R)-3-METHYLPYRROLIDIN-2-YL]CARBONYL}AMINO)HEXANOYL [(2S,3R,4R,5R)-5-(6-AMINO-9H-PURIN-9-YL)-3,4-DIHYDROXYTETRAHYDROFURAN-2-YL]METHYL HYDROGEN (R)-PHOSPHATE", 26220 },
	{ "YM2", "", "", ResidueType::NON_POLYMER, false, "1-[(3S)-5-[4-[(E)-ETHOXYIMINOMETHYL]PHENOXY]-3-METHYL-PENTYL]-3-PYRIDIN-4-YL-IMIDAZOLIDIN-2-ONE", 26221 },
	{ "YM3", "", "", ResidueType::NON_POLYMER, false, "ETHYL 4-(2-(AMINOMETHYL)MORPHOLINO)-1H-PYRAZOLO[3,4-B]PYRIDINE-5-CARBOXYLATE", 26222 },
	{ "YM4", "", "", ResidueType::NON_POLYMER, false, "6-BROMO-7-{4-[(5-METHYLISOXAZOL-3-YL)METHYL]PIPERAZIN-1-YL}-2-[4-(4-METHYLPIPERAZIN-1-YL)PHENYL]-1H-IMIDAZO[4,5-B]PYRIDINE", 26223 },
	{ "YM5", "", "", ResidueType::NON_POLYMER, false, "(3-{4-[(2S)-2-(AMINOMETHYL)MORPHOLIN-4-YL]-7H-PYRROLO[2,3-D]PYRIMIDIN-5-YL}PHENYL)METHANOL", 26224 },
	{ "YM6", "", "", ResidueType::NON_POLYMER, false, "1-[(2R)-4-(9H-pyrido[4',3':4,5]pyrrolo[2,3-d]pyrimidin-4-yl)morpholin-2-yl]methanamine", 26225 },
	{ "YM7", "", "", ResidueType::NON_POLYMER, false, "5-({6-[(piperidin-4-ylmethyl)amino]pyrimidin-4-yl}amino)pyrazine-2-carbonitrile", 26226 },
	{ "YM8", "", "", ResidueType::NON_POLYMER, false, "(R)-5-(8-CHLOROISOQUINOLIN-3-YLAMINO)-3-(1-(DIMETHYLAMINO)PROPAN-2-YLOXY)PYRAZINE-2-CARBONITRILE", 26227 },
	{ "YMA", "", "", ResidueType::NON_POLYMER, false, "7,10,13-TRI(CARBOXYMETHYL)-5,15-DIOXO-4,7,10,13,16-PENTAAZA-1,19-DITHIANONADECANE", 26228 },
	{ "YML", "", "", ResidueType::NON_POLYMER, false, "[(3R,4S,5S,7R)-4,8-DIHYDROXY-3,5,7-TRIMETHYL-2-OXOOCTYL]PHOSPHONIC ACID", 26229 },
	{ "YMP", "", "", ResidueType::NON_POLYMER, false, "O-(ADENOSINE-5'-O-YL)-N-(L-TYROSYL)PHOSPHORAMIDATE", 26230 },
	{ "YMX", "", "", ResidueType::NON_POLYMER, false, "Entrectinib", 26231 },
	{ "YMZ", "", "", ResidueType::NON_POLYMER, false, "Mefloquine", 26232 },
	{ "YN4", "", "", ResidueType::NON_POLYMER, false, "ETHYL 4-[(2-CYANOETHYL)SULFANYL]-6-{[6-(PIPERAZIN-1-YL)", 26233 },
	{ "YNC", "", "", ResidueType::NON_POLYMER, false, "TETRADEC-13-YNOIC ACID - COA THIOESTER", 26234 },
	{ "YNE", "", "", ResidueType::NON_POLYMER, false, "2-(3-piperidin-4-yloxy-1-benzothiophen-2-yl)-5-[(1,3,5-trimethylpyrazol-4-yl)methyl]-1,3,4-oxadiazole", 26235 },
	{ "YNM", "", "", ResidueType::PEPTIDE_LINKING, false, "N-METHYL-L-TYROSINE", 26236 },
	{ "YNU", "", "", ResidueType::NON_POLYMER, false, "eplerenone", 26237 },
	{ "YO5", "", "", ResidueType::SACCHARIDE, false, "Beta-1 phosphonomethylene-D-glucopyranose", 26238 },
	{ "YOF", "", "", ResidueType::PEPTIDE_LINKING, false, "3-FLUOROTYROSINE", 26239 },
	{ "YOK", "", "", ResidueType::NON_POLYMER, false, "[[2,2'-[4-CARBOXYETHYL-1,2-PHENYLENEBIS(NITRILOMETHYLIDYNE)]BIS[PHENOLATO]](2-)-N,N',O,O']-IRON", 26240 },
	{ "YOL", "", "", ResidueType::NON_POLYMER, false, "[[2,2'-[4-CARBOXY-1,2-PHENYLENEBIS(NITRILOMETHYLIDYNE)]BIS[PHENOLATO]](2-)-N,N',O,O']-IRON", 26241 },
	{ "YOM", "", "", ResidueType::NON_POLYMER, false, "2,2'-[1,2-PHENYLENEBIS(NITRILOMETHYLIDYNE)]BIS[PHENOLATO]](2-)-N,N',O,O']-IRON", 26242 },
	{ "YP6", "", "", ResidueType::NON_POLYMER, false, "2-(3-fluoranylphenoxy)-~{N}-(4-pyridin-2-yl-1,3-thiazol-2-yl)ethanamide", 26243 },
	{ "YPA", "", "", ResidueType::NON_POLYMER, false, "(S)-3-(4-(2-CARBAZOL-9-YL-ETHOXY)-PHENYL)-2-ETHOXY-PROPIONIC ACID", 26244 },
	{ "YPE", "", "", ResidueType::NON_POLYMER, false, "4-[8-(4-hydroxybut-1-yn-1-yl)pyren-1-yl]but-3-yn-1-yl dihydrogen phosphate", 26245 },
	{ "YPF", "", "", ResidueType::NON_POLYMER, false, "4-[6-(4-oxidanylbut-1-ynyl)phenanthren-3-yl]but-3-ynyl dihydrogen phosphate", 26246 },
	{ "YPG", "", "", ResidueType::NON_POLYMER, false, "[3-[(3~{R},4~{R})-3-(2-azanyl-6-oxidanylidene-1~{H}-purin-9-yl)-4-[(2~{S})-2-oxidanyl-2-phosphono-ethoxy]pyrrolidin-1-yl]-3-oxidanylidene-propyl]phosphonic acid", 26247 },
	{ "YPH", "", "", ResidueType::NON_POLYMER, false, "1-(4-{2-[(6-{4-[2-(4-hydroxypiperidin-1-yl)ethoxy]phenyl}furo[2,3-d]pyrimidin-4-yl)amino]ethyl}phenyl)-3-phenylurea", 26248 },
	{ "YPN", "", "", ResidueType::NON_POLYMER, false, "2-[(5-CHLORO-2-PYRIDYL)SULFANYL]ETHANOL", 26249 },
	{ "YPP", "", "", ResidueType::NON_POLYMER, false, "Hydrolyzed piperacillin", 26250 },
	{ "YPR", "", "", ResidueType::PEPTIDE_LINKING, false, "(4R)-4-[(7-methoxy-2-phenylquinolin-4-yl)oxy]-L-proline", 26251 },
	{ "YPT", "", "", ResidueType::NON_POLYMER, false, "cis-diamino(diiodo)platinum", 26252 },
	{ "YPW", "", "", ResidueType::NON_POLYMER, false, "2-[(1R)-1-{[3-amino-6-(2-methoxypyridin-3-yl)pyrazin-2-yl]oxy}ethyl]-4-fluoro-N-methylbenzamide", 26253 },
	{ "YPZ", "", "", ResidueType::PEPTIDE_LINKING, false, "3-[(3Z)-4-hydroxy-6-oxo-3-(2-phenylhydrazinylidene)cyclohexa-1,4-dien-1-yl]-L-alanine", 26254 },
	{ "YQA", "", "", ResidueType::NON_POLYMER, false, "5-hydroxy,-4,5-dihydroquinolinate", 26255 },
	{ "YQY", "", "", ResidueType::NON_POLYMER, false, "[3-(AMINOMETHYL)-3-OXIDANYL-AZETIDIN-1-YL]-[3,4-BIS(FLUORANYL)-2-[(2-FLUORANYL-4-IODANYL-PHENYL)AMINO]PHENYL]METHANONE", 26256 },
	{ "YR1", "", "", ResidueType::NON_POLYMER, false, "2-hydroxy-5-[(5S)-3-hydroxy-5-(4-nitrophenyl)-2-oxo-4-(phenylcarbonyl)-2,5-dihydro-1H-pyrrol-1-yl]benzoic acid", 26257 },
	{ "YR3", "", "", ResidueType::NON_POLYMER, false, "(2S)-3-{4-[1-ethyl-1-(4-{[(2R)-2-hydroxy-3,3-dimethylbutyl]oxy}-3-methylphenyl)propyl]-2-methylphenoxy}propane-1,2-diol", 26258 },
	{ "YR4", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-{4-[3-(4-{[(2R)-2-hydroxy-3,3-dimethylbutyl]oxy}-3-methylphenyl)pentan-3-yl]-2-methylphenoxy}butane-1,4-diol", 26259 },
	{ "YRA", "", "", ResidueType::NON_POLYMER, false, "3-[(3-chloranyl-4-phenyl-phenyl)methylamino]propanamide", 26260 },
	{ "YRG", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(4-chlorophenoxy)-3-phenylpropanoic acid", 26261 },
	{ "YRL", "", "", ResidueType::NON_POLYMER, false, "4-(2-hydroxyethyl)phenol", 26262 },
	{ "YRO", "", "", ResidueType::NON_POLYMER, false, "5-(3,3-dimethylbutyl)-2,6-dioxo-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 26263 },
	{ "YRR", "", "", ResidueType::DNA_LINKING, false, "3-HYDROXY-PYRROLIDIN-2-YLMETHYL-MONOPHOSPHATE GROUP", 26264 },
	{ "YRZ", "", "", ResidueType::NON_POLYMER, false, "N-[(3S)-piperidin-3-yl]-7,8-dihydro-6H-pyrazolo[1,5-a]pyrrolo[3,2-e]pyrimidin-5-amine", 26265 },
	{ "YS1", "", "", ResidueType::NON_POLYMER, false, "[({4-[4-(cyclopropyloxy)phenyl]pyridin-2-yl}amino)methanediyl]bis(phosphonic acid)", 26266 },
	{ "YS2", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,7E,17beta)-17-[(2R)-5-hydroxypentan-2-yl]-2-methylidene-9,10-secoestra-5,7-diene-1,3-diol", 26267 },
	{ "YS3", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,7E,17beta)-17-[(2R)-5-hydroxy-5-methylhexan-2-yl]-2-methylidene-9,10-secoestra-5,7-diene-1,3-diol", 26268 },
	{ "YS4", "", "", ResidueType::NON_POLYMER, false, "[({4-[4-(propan-2-yloxy)phenyl]pyridin-2-yl}amino)methanediyl]bis(phosphonic acid)", 26269 },
	{ "YS5", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,7E,17beta)-17-[(2R,3S)-3-butyl-5-ethyl-5-hydroxyheptan-2-yl]-2-methylidene-9,10-secoestra-5,7-diene-1,3-diol", 26270 },
	{ "YS6", "", "", ResidueType::NON_POLYMER, false, "1-pyridin-4-ylthiourea", 26271 },
	{ "YS9", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,7E,17beta)-17-[(2R,3S)-3-butyl-6-hydroxy-6-methylheptan-2-yl]-2-methylidene-9,10-secoestra-5,7-diene-1,3-diol", 26272 },
	{ "YSA", "", "", ResidueType::NON_POLYMER, false, "5'-O-[N-(L-TYROSYL)SULFAMOYL]ADENOSINE", 26273 },
	{ "YSD", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,7E,17beta)-17-[(2R)-5-ethyl-5-hydroxyheptan-2-yl]-2-methylidene-9,10-secoestra-5,7-diene-1,3-diol", 26274 },
	{ "YSE", "", "", ResidueType::NON_POLYMER, false, "(1R,3R)-5-[(2E)-2-[(1R,3aS,7aR)-1-[(2R,3S)-3-ethyl-5-oxidanyl-pentan-2-yl]-7a-methyl-2,3,3a,5,6,7-hexahydro-1H-inden-4-ylidene]ethylidene]-2-methylidene-cyclohexane-1,3-diol", 26275 },
	{ "YSH", "", "", ResidueType::NON_POLYMER, false, "1-[3-CYANO-4-(NEOPENTYLOXY)PHENYL]-1H-PYRAZOLE-4-CARBOXYLIC ACID", 26276 },
	{ "YSL", "", "", ResidueType::NON_POLYMER, false, "(1R,3R)-5-[(2E)-2-[(1R,3aS,7aR)-1-[(2R,3S)-3-(2-hydroxyethyl)nonan-2-yl]-7a-methyl-2,3,3a,5,6,7-hexahydro-1H-inden-4-ylidene]ethylidene]-2-methylidene-cyclohexane-1,3-diol", 26277 },
	{ "YSO", "", "", ResidueType::NON_POLYMER, false, "3-AMINO-1H-INDAZOLE-4-CARBONITRILE", 26278 },
	{ "YSV", "", "", ResidueType::NON_POLYMER, false, "(1R,3R)-5-(2-((1R,3aS,7aR,E)-1-((R)-6-hydroxy-6-methylheptan-2-yl)-7a-methyloctahydro-4H-inden-4-ylidene)ethylidene)-2-methylenecyclohexane-1,3-diol", 26279 },
	{ "YT3", "", "", ResidueType::NON_POLYMER, false, "YTTRIUM (III) ION", 26280 },
	{ "YT5", "", "", ResidueType::NON_POLYMER, false, "Moiramide B", 26281 },
	{ "YTA", "", "", ResidueType::NON_POLYMER, false, "yatakemycin-adenine nucleobase adduct", 26282 },
	{ "YTB", "", "", ResidueType::NON_POLYMER, false, "(1R,2R,3S,4R,5R)-5-aminocyclopentane-1,2,3,4-tetrol", 26283 },
	{ "YTH", "", "", ResidueType::PEPTIDE_LINKING, false, "O-phosphono-L-allothreonine", 26284 },
	{ "YTP", "", "", ResidueType::NON_POLYMER, false, "1-(4-hydroxy-3-methylphenyl)ethanone", 26285 },
	{ "YTR", "", "", ResidueType::NON_POLYMER, false, "7,8-dimethoxy-1,4-dimethylquinolin-2(1H)-one", 26286 },
	{ "YTT", "", "", ResidueType::NON_POLYMER, false, "(3S,6S)-3,6-bis(4-hydroxybenzyl)piperazine-2,5-dione", 26287 },
	{ "YTX", "", "", ResidueType::NON_POLYMER, false, "2-(3-methoxy-4-oxidanyl-phenyl)ethanoic acid", 26288 },
	{ "YTZ", "", "", ResidueType::NON_POLYMER, false, "4-amino-N-(1,3-thiazol-2-yl)benzenesulfonamide", 26289 },
	{ "YU7", "", "", ResidueType::NON_POLYMER, false, "1-[(2-chlorophenyl)methyl]-N-hydroxy-4-phenyl-1H-pyrrole-3-carboxamide", 26290 },
	{ "YUG", "", "", ResidueType::NON_POLYMER, false, "2,6-dibromo-3-(2,4-dibromophenoxy)phenol", 26291 },
	{ "YUI", "", "", ResidueType::NON_POLYMER, false, "1-[1-[[4-(3-chloranylphenoxy)quinolin-2-yl]methyl]piperidin-4-yl]-5-methyl-pyrimidine-2,4-dione", 26292 },
	{ "YUK", "", "", ResidueType::NON_POLYMER, false, "2-[(trans-4-hydroxycyclohexyl)amino]-4-[5-(4-phenyl-1H-imidazol-1-yl)isoquinolin-1-yl]benzamide", 26293 },
	{ "YUN", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(3-bromophenyl)amino]quinazolin-6-yl}propanamide", 26294 },
	{ "YVN", "", "", ResidueType::NON_POLYMER, false, "N-({(1R,2R,3S)-2-(methylcarbamoyl)-3-[4-(phosphonooxy)phenyl]cyclopropyl}carbonyl)-L-valyl-L-aspartamide", 26295 },
	{ "YVQ", "", "", ResidueType::NON_POLYMER, false, "3-(1H-INDOL-3-YL)-6-(1H-PYRAZOL-4-YL)IMIDAZO[1,2-A]PYRAZINE", 26296 },
	{ "YVR", "", "", ResidueType::NON_POLYMER, false, "gamma-Valerolactone", 26297 },
	{ "YW2", "", "", ResidueType::NON_POLYMER, false, "(1R,3R,7E,17beta)-17-{(5S)-5-hydroxy-5-[(3R,5R,7R)-tricyclo[3.3.1.1~3,7~]dec-1-yl]penta-1,3-diyn-1-yl}-2-methylidene-9,10-secoestra-5,7-diene-1,3-diol", 26298 },
	{ "YWN", "", "", ResidueType::NON_POLYMER, false, "2-[(2R,3S,4R,5R)-5-(hydroxymethyl)-3,4-bis(oxidanyl)-1-pentyl-pyrrolidin-2-yl]-N-methyl-ethanamide", 26299 },
	{ "YWO", "", "", ResidueType::NON_POLYMER, false, "O-(5-methyl-2-nitrophenyl)-D-tyrosinamide", 26300 },
	{ "YWZ", "", "", ResidueType::NON_POLYMER, false, "", 26301 },
	{ "YX0", "", "", ResidueType::NON_POLYMER, false, "[(3E)-3-(1-hydroxyethylidene)-2,3-dihydroisoxazol-5-yl]methyl 6-deoxy-alpha-L-galactopyranoside", 26302 },
	{ "YX1", "", "", ResidueType::NON_POLYMER, false, "2-deoxy-2-{[(2-hydroxy-1-methylhydrazino)carbonyl]amino}-beta-D-glucopyranose", 26303 },
	{ "YXX", "", "", ResidueType::NON_POLYMER, false, "chloro(1-{5-[di(pyridin-2-yl-kappaN)amino]pentyl}pyrrolidine-2,5-dione)ruthenium", 26304 },
	{ "YXZ", "", "", ResidueType::NON_POLYMER, false, "chloro[N,N-di(pyridin-2-yl-kappaN)pentane-1,5-diamine]ruthenium", 26305 },
	{ "YY1", "", "", ResidueType::NON_POLYMER, false, "5-methyl-4H-1,2,4-triazole-3-thiol", 26306 },
	{ "YY2", "", "", ResidueType::NON_POLYMER, false, "2-[4-(aminomethyl)-2-chloro-6-methoxyphenoxy]-N-tert-butylacetamide", 26307 },
	{ "YY3", "", "", ResidueType::NON_POLYMER, false, "N-(2-{[2-(dimethylamino)ethyl](methyl)amino}-4-methoxy-5-{[4-(1-methyl-1H-indol-3-yl)pyrimidin-2-yl]amino}phenyl)prop-2-enamide", 26308 },
	{ "YY9", "", "", ResidueType::NON_POLYMER, false, "3-(2,6-dichloro-3,5-dimethoxyphenyl)-1-{1-[4-(dimethylamino)but-2-enoyl]piperidin-4-yl}-7-(phenylamino)-3,4-dihydropyrimido[4,5-d]pyrimidin-2(1H)-one", 26309 },
	{ "YYA", "", "", ResidueType::PEPTIDE_LINKING, false, "2,4,5-trideoxy-2-(methylamino)-4-[(2Z)-penta-2,4-dien-1-yl]-L-xylonic acid", 26310 },
	{ "YYG", "", "", ResidueType::RNA_LINKING, false, "4-(3-[5-O-PHOSPHONORIBOFURANOSYL]-4,6-DIMETHYL-8-OXO-4,8-DIHYDRO-3H-1,3,4,5,7A-PENTAAZA-S-INDACEN-YLAMINO-BUTYRIC ACID METHYL ESTER", 26311 },
	{ "YYY", "", "", ResidueType::NON_POLYMER, false, "DEOXYCYTIDINE DIPHOSPHATE", 26312 },
	{ "YZ6", "", "", ResidueType::NON_POLYMER, false, "(E,2R,3R,4S,5R)-N-[(3R)-3-(furan-2-yl)-3-phenyl-propyl]-2-methoxy-8,8-dimethyl-3,4,5-tris(oxidanyl)non-6-enamide", 26313 },
	{ "YZ9", "", "", ResidueType::NON_POLYMER, false, "7-HYDROXY-2-OXO-CHROMENE-3-CARBOXYLIC ACID ETHYL ESTER", 26314 },
	{ "YZE", "", "", ResidueType::NON_POLYMER, false, "N~2~-{[(1S)-1-carboxybut-3-en-1-yl]carbamoyl}-N~6~-[(4-iodophenyl)carbonyl]-L-lysine", 26315 },
	{ "YZY", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(hexadecanoyloxy)-3-hydroxypropyl (9Z)-octadec-9-enoate", 26316 },
	{ "Z", "", "", ResidueType::DNA_LINKING, false, "1-(2-DEOXY-5-O-PHOSPHONO-BETA-D-ERYTHRO-PENTOFURANOSYL)PYRIMIDIN-2(1H)-ONE", 26317 },
	{ "Z00", "", "", ResidueType::NON_POLYMER, false, "4-[2-[[3-CHLORO-5-(TRIFLUOROMETHYL)PYRIDIN-2-YL]AMINO]ETHYL]-N-(5-PROPAN-2-YL-1,3,4-THIADIAZOL-2-YL)BENZENESULFONAMIDE", 26318 },
	{ "Z01", "", "", ResidueType::PEPTIDE_LINKING, false, "3-[(2,2-dimethylpropanoyl)amino]-L-alanine", 26319 },
	{ "Z02", "", "", ResidueType::NON_POLYMER, false, "5-nitro-2-[(pyridin-2-ylmethyl)amino]benzamide", 26320 },
	{ "Z04", "", "", ResidueType::NON_POLYMER, false, "2-{[(2-aminopyrimidin-5-yl)methyl]amino}-4-(morpholin-4-yl)-5-nitrobenzamide", 26321 },
	{ "Z06", "", "", ResidueType::NON_POLYMER, false, "(3-acetamido-5-carboxy-phenyl)-trihydroxy-boron", 26322 },
	{ "Z0A", "", "", ResidueType::NON_POLYMER, false, "(3S)-3-[(2R)-2-amino-5-oxohexyl]pyrrolidin-2-one", 26323 },
	{ "Z0B", "", "", ResidueType::NON_POLYMER, false, "thieno[2,3-c][2,6]naphthyridine", 26324 },
	{ "Z0M", "", "", ResidueType::NON_POLYMER, false, "N-[(5R,6R,7R,8S)-6,7-DIHYDROXY-5-(HYDROXYMETHYL)-2-(2-PHENYLETHYL)-5,6,7,8-TETRAHYDROIMIDAZO[1,2-A]PYRIDIN-8-YL]-3-SULFANYLPROPANAMIDE", 26325 },
	{ "Z0O", "", "", ResidueType::NON_POLYMER, false, "1-(TERT-BUTYL)-3-(QUINOXALIN-6-YL)UREA", 26326 },
	{ "Z0P", "", "", ResidueType::NON_POLYMER, false, "(2S)-1-(hexadecanoyloxy)-3-hydroxypropan-2-yl (11Z)-octadec-11-enoate", 26327 },
	{ "Z0W", "", "", ResidueType::NON_POLYMER, false, "5H-pyrimido[5,4-b]indole", 26328 },
	{ "Z10", "", "", ResidueType::NON_POLYMER, false, "[(1S)-1-[(2-fluoro-6-phenyl-phenyl)carbonylamino]ethyl]-trihydroxy-boron", 26329 },
	{ "Z12", "", "", ResidueType::NON_POLYMER, false, "2,4-dichloro-N-[3,5-dichloro-4-(quinolin-3-yloxy)phenyl]benzenesulfonamide", 26330 },
	{ "Z13", "", "", ResidueType::NON_POLYMER, false, "(E)-N-[4-(trifluoromethyl)benzyl]-1-[4-(trifluoromethyl)phenyl]methanimine", 26331 },
	{ "Z14", "", "", ResidueType::NON_POLYMER, false, "4-(4-aminopiperidin-1-yl)-2-{[(2-aminopyrimidin-5-yl)methyl]amino}-5-nitrobenzamide", 26332 },
	{ "Z15", "", "", ResidueType::NON_POLYMER, false, "(1S)-1,5-anhydro-1-(4-chloro-2,5-dihydroxyphenyl)-D-glucitol", 26333 },
	{ "Z16", "", "", ResidueType::NON_POLYMER, false, "(1S)-1,5-anhydro-1-(3-chloro-2,5-dihydroxyphenyl)-D-glucitol", 26334 },
	{ "Z17", "", "", ResidueType::NON_POLYMER, false, "(3R)-3-(7-amino-1-methyl-4,5-dioxo-1,4,5,6-tetrahydropyrimido[4,5-c]pyridazin-3-yl)butanoic acid", 26335 },
	{ "Z18", "", "", ResidueType::NON_POLYMER, false, "(3R,4S,5S,7R,9E,11R,12R)-12-ethyl-3,5,7,11-tetramethyl-2,8-dioxooxacyclododec-9-en-4-yl N,N-dimethylglycinate", 26336 },
	{ "Z19", "", "", ResidueType::NON_POLYMER, false, "1H-indazole-3-carbohydrazide", 26337 },
	{ "Z1B", "", "", ResidueType::NON_POLYMER, false, "N-(tert-butoxycarbonyl)-3-methyl-L-valyl-(4R)-N-{(2S)-1-[(cyclopropylsulfonyl)amino]-4,4-difluoro-1-oxobutan-2-yl}-4-[(7-methoxy-2-phenylquinolin-4-yl)oxy]-L-prolinamide", 26338 },
	{ "Z1E", "", "", ResidueType::NON_POLYMER, false, "N-(tert-butoxycarbonyl)-3-methyl-L-valyl-(4R)-4-[(7-chloro-4-methoxyisoquinolin-1-yl)oxy]-N-[(1R,2R)-1-[(cyclopropylsulfonyl)carbamoyl]-2-(difluoromethyl)cyclopropyl]-L-prolinamide", 26339 },
	{ "Z20", "", "", ResidueType::NON_POLYMER, false, "(2Z,5Z)-2-[(2-chlorophenyl)imino]-5-(4-hydroxy-3-nitrobenzylidene)-1,3-thiazolidin-4-one", 26340 },
	{ "Z21", "", "", ResidueType::NON_POLYMER, false, "4-(6-bromo-1-ethyl-1H-imidazo[4,5-c]pyridin-2-yl)-1,2,5-oxadiazol-3-amine", 26341 },
	{ "Z22", "", "", ResidueType::NON_POLYMER, false, "S-methyl methanesulfonothioate", 26342 },
	{ "Z23", "", "", ResidueType::NON_POLYMER, false, "DI[BENZAMIDIN-3-YLOXY]-3,5-DIFLUORO-4-METHYL-PYRIDINE", 26343 },
	{ "Z24", "", "", ResidueType::NON_POLYMER, false, "(3~{R},5~{R})-1-[2,4-bis(fluoranyl)phenyl]-5-oxidanyl-pyrrolidine-3-carboxylic acid", 26344 },
	{ "Z25", "", "", ResidueType::NON_POLYMER, false, "3-(7-amino-4,5-dioxo-1,4,5,6-tetrahydropyrimido[4,5-c]pyridazin-3-yl)propanoic acid", 26345 },
	{ "Z27", "", "", ResidueType::NON_POLYMER, false, "2-chloro-N-{3-chloro-4-[(5-chloro-1,3-benzothiazol-2-yl)sulfanyl]phenyl}-4-(trifluoromethyl)benzenesulfonamide", 26346 },
	{ "Z2M", "", "", ResidueType::NON_POLYMER, false, "3-cyclopropyl-4-(furan-2-yl)-1H-pyrazolo[3,4-b]pyridine", 26347 },
	{ "Z2T", "", "", ResidueType::NON_POLYMER, false, "(1S)-1,5-anhydro-1-(3-chloro-2-hydroxy-5-methoxyphenyl)-D-glucitol", 26348 },
	{ "Z30", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-tert-butyl-4,5,6,7-tetrahydro-1H-indazole-3-carbohydrazide", 26349 },
	{ "Z31", "", "", ResidueType::NON_POLYMER, false, "[4-amino-2-(prop-2-en-1-ylamino)-1,3-thiazol-5-yl](naphthalen-2-yl)methanone", 26350 },
	{ "Z34", "", "", ResidueType::NON_POLYMER, false, "N-[2-[5-[AMINO(IMINO)METHYL]-2-HYDROXYPHENOXY]-3,5-DIFLUORO-6-[3-(4,5-DIHYDRO-1-METHYL-1H-IMIDAZOL-2-YL)PHENOXY]PYRIDIN-4-YL]-N-METHYLGLYCINE", 26351 },
	{ "Z3E", "", "", ResidueType::PEPTIDE_LINKING, false, "O-benzyl-L-threonine", 26352 },
	{ "Z3Q", "", "", ResidueType::SACCHARIDE, false, "2-azidoethyl 2-(acetylamino)-2-deoxy-beta-D-glucopyranoside", 26353 },
	{ "Z3R", "", "", ResidueType::NON_POLYMER, false, "4-(1,3-benzothiazol-2-yl)thiophene-2-sulfonamide", 26354 },
	{ "Z46", "", "", ResidueType::NON_POLYMER, false, "(5R)-5-propyl-4,5,6,7-tetrahydro-1H-indazole-3-carbohydrazide", 26355 },
	{ "Z47", "", "", ResidueType::NON_POLYMER, false, "(2R,3S,4R,5S,6R)-2-(HYDROXYMETHYL)-6-[3-(NAPHTHALEN-1-YL)PROPYL]OXANE-3,4,5-TRIOL", 26356 },
	{ "Z48", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-2-hydroxy-1-phenylethyl]-4-[5-methyl-2-(phenylamino)pyrimidin-4-yl]-1H-pyrrole-2-carboxamide", 26357 },
	{ "Z4K", "", "", ResidueType::SACCHARIDE, false, "2-O-sulfo-alpha-D-glucopyranose", 26358 },
	{ "Z4S", "", "", ResidueType::SACCHARIDE, false, "N-[(1R,2S,3R,4R,5R)-2,3-bis(oxidanyl)-6,8-dioxabicyclo[3.2.1]octan-4-yl]ethanamide", 26359 },
	{ "Z57", "", "", ResidueType::NON_POLYMER, false, "(1S)-1,5-anhydro-1-(4-bromo-2,5-dihydroxyphenyl)-D-glucitol", 26360 },
	{ "Z59", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-2,3-dihydroxy-4-oxo-4-[(2R)-2-phenylpyrrolidin-1-yl]-N-(thiophen-2-ylmethyl)butanamide", 26361 },
	{ "Z5A", "", "", ResidueType::NON_POLYMER, false, "P1-(5'-ADENOSYL)P5-(5'-(3'AZIDO-3'-DEOXYTHYMIDYL))PENTAPHOSPHATE", 26362 },
	{ "Z5K", "", "", ResidueType::NON_POLYMER, false, "N-[2-(diethylamino)ethyl]-3-(trifluoromethyl)benzenesulfonamide", 26363 },
	{ "Z5P", "", "", ResidueType::NON_POLYMER, false, "1-[2-(1H-pyrazol-1-yl)phenyl]methanamine", 26364 },
	{ "Z60", "", "", ResidueType::NON_POLYMER, false, "[4-amino-2-(prop-2-en-1-ylamino)-1,3-thiazol-5-yl](5-chlorothiophen-2-yl)methanone", 26365 },
	{ "Z62", "", "", ResidueType::NON_POLYMER, false, "[4-amino-2-(prop-2-en-1-ylamino)-1,3-thiazol-5-yl](3-nitrophenyl)methanone", 26366 },
	{ "Z63", "", "", ResidueType::NON_POLYMER, false, "[4-amino-2-(prop-2-en-1-ylamino)-1,3-thiazol-5-yl](pyridin-4-yl)methanone", 26367 },
	{ "Z64", "", "", ResidueType::NON_POLYMER, false, "N-[4-(5-furan-2-yl-3-methyl-1H-pyrazol-4-yl)butyl]-N-methyl-7H-purin-6-amine", 26368 },
	{ "Z67", "", "", ResidueType::NON_POLYMER, false, "4-amino-N-(2,6-difluorophenyl)-2-[(4-sulfamoylphenyl)amino]-1,3-thiazole-5-carboxamide", 26369 },
	{ "Z68", "", "", ResidueType::NON_POLYMER, false, "[4-amino-2-(cyclohexylamino)-1,3-thiazol-5-yl](3-nitrophenyl)methanone", 26370 },
	{ "Z69", "", "", ResidueType::NON_POLYMER, false, "", 26371 },
	{ "Z6J", "", "", ResidueType::SACCHARIDE, false, "alpha-L-ribofuranose", 26372 },
	{ "Z6X", "", "", ResidueType::NON_POLYMER, false, "3-oxotetradecanoic acid", 26373 },
	{ "Z70", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S)-2-amino-4-(2-amino-1H-imidazol-5-yl)butanoic acid", 26374 },
	{ "Z71", "", "", ResidueType::NON_POLYMER, false, "4-amino-N-(3,5-difluorophenyl)-2-[(4-sulfamoylphenyl)amino]-1,3-thiazole-5-carboxamide", 26375 },
	{ "Z72", "", "", ResidueType::NON_POLYMER, false, "8-(cyclopentyloxy)-4-[(3,5-dichloropyridin-4-yl)amino]-7-methoxy-2H-chromen-2-one", 26376 },
	{ "Z73", "", "", ResidueType::NON_POLYMER, false, "2-methoxy-6,7-dimethyl-9-propylimidazo[1,5-a]pyrido[3,2-e]pyrazine", 26377 },
	{ "Z74", "", "", ResidueType::NON_POLYMER, false, "N'-{(1S,2S)-1-(3,5-difluorobenzyl)-2-hydroxy-2-[(2R)-4-(phenylsulfonyl)piperazin-2-yl]ethyl}-5-methyl-N,N-dipropylbenzene-1,3-dicarboxamide", 26378 },
	{ "Z75", "", "", ResidueType::NON_POLYMER, false, "N'-[(1S,2S)-2-[(2R)-4-benzylpiperazin-2-yl]-1-(3,5-difluorobenzyl)-2-hydroxyethyl]-5-methyl-N,N-dipropylbenzene-1,3-dicarboxamide", 26379 },
	{ "Z76", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2S)-1-(3,5-difluorobenzyl)-2-hydroxy-2-{(2R)-4-[(3-methylphenyl)sulfonyl]piperazin-2-yl}ethyl]-3-{[(2R)-2-(methoxymethyl)pyrrolidin-1-yl]carbonyl}-5-methylbenzamide", 26380 },
	{ "Z77", "", "", ResidueType::NON_POLYMER, false, "1-[(6,7-dimethyl-2-oxo-1,2-dihydroquinolin-3-yl)methyl]-1-(2-hydroxyethyl)-3-(3-methoxyphenyl)thiourea", 26381 },
	{ "Z78", "", "", ResidueType::NON_POLYMER, false, "3-(2-fluorophenyl)-1-(2-hydroxyethyl)-1-[(6-methyl-2-oxo-1,2-dihydroquinolin-3-yl)methyl]urea", 26382 },
	{ "Z79", "", "", ResidueType::NON_POLYMER, false, "N-hydroxy-N~2~-[(4-methoxyphenyl)sulfonyl]glycinamide", 26383 },
	{ "Z80", "", "", ResidueType::NON_POLYMER, false, "3-(2-chloro-10H-phenothiazin-10-yl)-N,N-dimethylpropan-1-amine", 26384 },
	{ "Z81", "", "", ResidueType::NON_POLYMER, false, "(5S)-2-amino-5-(2',5'-difluorobiphenyl-3-yl)-3-methyl-5-pyridin-4-yl-3,5-dihydro-4H-imidazol-4-one", 26385 },
	{ "Z82", "", "", ResidueType::NON_POLYMER, false, "4-bromobenzoic acid", 26386 },
	{ "Z83", "", "", ResidueType::NON_POLYMER, false, "(4-{3-tert-butyl-5-[(1,3-thiazol-2-ylcarbamoyl)amino]-1H-pyrazol-1-yl}phenyl)acetic acid", 26387 },
	{ "Z84", "", "", ResidueType::NON_POLYMER, false, "1-[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]-3-{4-[2-(pyridin-4-ylmethoxy)ethyl]-1,3-thiazol-2-yl}urea", 26388 },
	{ "Z85", "", "", ResidueType::NON_POLYMER, false, "1-{4-[2-(benzyloxy)ethyl]-1,3-thiazol-2-yl}-3-[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]urea", 26389 },
	{ "Z86", "", "", ResidueType::NON_POLYMER, false, "(4-{5-[({4-[2-(benzyloxy)ethyl]-1,3-thiazol-2-yl}carbamoyl)amino]-3-tert-butyl-1H-pyrazol-1-yl}phenyl)acetic acid", 26390 },
	{ "Z87", "", "", ResidueType::NON_POLYMER, false, "1-[3-tert-butyl-1-(4-methylphenyl)-1H-pyrazol-5-yl]-3-(1,3-thiazol-2-yl)urea", 26391 },
	{ "Z88", "", "", ResidueType::NON_POLYMER, false, "N-[(4-bromophenyl)sulfonyl]acetamide", 26392 },
	{ "Z89", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-[(5Z)-5-(5-bromo-2-oxo-1,2-dihydro-3H-indol-3-ylidene)-4-oxo-2-thioxo-1,3-thiazolidin-3-yl]butanedioic acid", 26393 },
	{ "Z8B", "", "", ResidueType::NON_POLYMER, false, "5'-azido-8-bromo-5'-deoxyadenosine", 26394 },
	{ "Z8R", "", "", ResidueType::NON_POLYMER, false, "3-[4-(methylsulfonylaminomethyl)phenyl]benzoic acid", 26395 },
	{ "Z8Z", "", "", ResidueType::NON_POLYMER, false, "N~2~-(methyl{[2-(propan-2-yl)-1,3-thiazol-4-yl]methyl}carbamoyl)-N-[(2R,5R)-5-{[(1,3-oxazol-5-ylmethoxy)carbonyl]amino}-1,6-diphenylhexan-2-yl]-L-valinamide", 26396 },
	{ "Z90", "", "", ResidueType::NON_POLYMER, false, "4-({(4-carboxybutyl)[2-(2-{[4-(2-phenylethyl)benzyl]oxy}phenyl)ethyl]amino}methyl)benzoic acid", 26397 },
	{ "Z92", "", "", ResidueType::NON_POLYMER, false, "(4E)-4-[(4-chlorophenyl)hydrazono]-5-(3,4-dimethoxyphenyl)-2,4-dihydro-3H-pyrazol-3-one", 26398 },
	{ "Z93", "", "", ResidueType::NON_POLYMER, false, "2-{[(4R)-2,5-dioxo-4-(4-pyridin-3-ylphenyl)imidazolidin-4-yl]methyl}-6-methoxy-1-oxo-1H-isoindolium", 26399 },
	{ "Z94", "", "", ResidueType::NON_POLYMER, false, "N-{4-[(4S)-2,5-dioxoimidazolidin-4-yl]phenyl}acetamide", 26400 },
	{ "Z96", "", "", ResidueType::NON_POLYMER, false, "tert-butyl 4-{(11S)-8-chloro-6-[(R)-hydroxy(1-methyl-1H-imidazol-5-yl)methyl]-11H-benzo[5,6]cyclohepta[1,2-b]pyridin-11-yl}piperazine-1-carboxylate", 26401 },
	{ "Z97", "", "", ResidueType::NON_POLYMER, false, "(E)-N~5~-({3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methylidene)-L-ornithine", 26402 },
	{ "Z98", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-4-{[(1Z)-{3-hydroxy-2-methyl-5-[(phosphonooxy)methyl]pyridin-4-yl}methylidene]amino}butanoic acid", 26403 },
	{ "Z99", "", "", ResidueType::NON_POLYMER, false, "2-[(1S,2S)-2-carboxycyclopropyl]-3-(9H-xanthen-9-yl)-D-alanine", 26404 },
	{ "Z9M", "", "", ResidueType::SACCHARIDE, false, "2-amino-2-deoxy-4-O-phosphono-beta-D-glucopyranose", 26405 },
	{ "Z9Z", "", "", ResidueType::NON_POLYMER, false, "pyridin-3-ylmethyl [(2R,5S)-5-{[N-(methyl{[2-(propan-2-yl)-1,3-thiazol-4-yl]methyl}carbamoyl)-D-valyl]amino}-1,6-diphenylhexan-2-yl]carbamate", 26406 },
	{ "ZA2", "", "", ResidueType::NON_POLYMER, false, "[(2-CHLOROPHENYL)CARBONYLAMINO]METHYL-TRIHYDROXY-BORON", 26407 },
	{ "ZA3", "", "", ResidueType::NON_POLYMER, false, "TRIHYDROXY-[[(2-NITROPHENYL)CARBONYLAMINO]METHYL]BORON", 26408 },
	{ "ZA4", "", "", ResidueType::NON_POLYMER, false, "[(2-FLUOROPHENYL)CARBONYLAMINO]METHYL-TRIHYDROXY-BORON", 26409 },
	{ "ZA5", "", "", ResidueType::NON_POLYMER, false, "[(2,6-DIFLUOROPHENYL)CARBONYLAMINO]METHYL-TRIHYDROXY-BORON", 26410 },
	{ "ZAA", "", "", ResidueType::NON_POLYMER, false, "(5-{3-[2-(5-methyl-2-phenyl-1,3-oxazol-4-yl)ethoxy]benzyl}-2-phenyl-2H-1,2,3-triazol-4-yl)acetic acid", 26411 },
	{ "ZAB", "", "", ResidueType::NON_POLYMER, false, "(3-{(Z)-[3-(AMINOMETHYL)PHENYL]DIAZENYL}PHENYL)ACETIC ACID", 26412 },
	{ "ZAD", "", "", ResidueType::RNA_LINKING, false, "(S)-1'-(2',3'-DIHYDROXYPROPYL)-ADENINE", 26413 },
	{ "ZAE", "", "", ResidueType::PEPTIDE_LINKING, false, "N-methyl-D-phenylalanine", 26414 },
	{ "ZAF", "", "", ResidueType::NON_POLYMER, false, "O-(((1R)-((N-PHENYLMETHOXYCARBONYL-L-ALANYL)AMINO)ETHYL)HYDROXYPHOSPHONO)-L-BENZYLACETIC ACID", 26415 },
	{ "ZAH", "", "", ResidueType::NON_POLYMER, false, "N-[(BENZYLOXY)CARBONYL]-L-ALANYL-L-PROLINE", 26416 },
	{ "ZAL", "", "", ResidueType::PEPTIDE_LINKING, false, "3-cyclohexyl-D-alanine", 26417 },
	{ "ZAM", "", "", ResidueType::NON_POLYMER, false, "3-[(ACETYL-METHYL-AMINO)-METHYL]-4-AMINO-N-METHYL-N-(1-METHYL-1H-INDOL-2-YLMETHYL)-BENZAMIDE", 26418 },
	{ "ZAN", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-hydroxy{[(S)-hydroxy(phosphonooxy)phosphoryl]amino}phosphoryl]adenosine", 26419 },
	{ "ZAP", "", "", ResidueType::NON_POLYMER, false, "[N-(BENZYLOXYCARBONYL)AMINO](4-AMIDINOPHENYL)METHANE-PHOSPHONATE", 26420 },
	{ "ZAR", "", "", ResidueType::NON_POLYMER, false, "6-(4-DIFLUOROMETHOXY-3-METHOXY-PHENYL)-2H-PYRIDAZIN-3-ONE", 26421 },
	{ "ZAS", "", "", ResidueType::NON_POLYMER, false, "5'-azido-5'-deoxyadenosine", 26422 },
	{ "ZAT", "", "", ResidueType::NON_POLYMER, false, "4,4'-DIACETYLDIPHENYLUREA-BIS(GUANYLHYDRAZONE)", 26423 },
	{ "ZAW", "", "", ResidueType::NON_POLYMER, false, "di(pyridin-3-yl)methanone", 26424 },
	{ "ZAZ", "", "", ResidueType::NON_POLYMER, false, "5-cyclohexylpentan-1-ol", 26425 },
	{ "ZB6", "", "", ResidueType::NON_POLYMER, false, "(2R,6R)-6-methyl-1-(3-sulfanylpropanoyl)piperidine-2-carboxylic acid", 26426 },
	{ "ZBA", "", "", ResidueType::NON_POLYMER, false, "12,13-Epoxytrichothec-9-ene-3,4,8,15-tetrol-4,15-diacetate-8-isovalerate", 26427 },
	{ "ZBC", "", "", ResidueType::RNA_LINKING, false, "(2S)-3-(4-AMINO-5-BROMO-2-OXOPYRIMIDIN-1(2H)-YL)-2-HYDROXYPROPYL DIHYDROGEN PHOSPHATE", 26428 },
	{ "ZBD", "", "", ResidueType::NON_POLYMER, false, "4-{3-[4-(1,1,1,3,3,3-hexafluoro-2-hydroxypropan-2-yl)benzyl]-2,2-dioxido-2,1,3-benzothiadiazol-1(3H)-yl}-N-[(2R)-4-hydroxybutan-2-yl]-N-methylbutanamide", 26429 },
	{ "ZBF", "", "", ResidueType::NON_POLYMER, false, "L-gamma-glutamyl-N-(3-ethynylphenyl)-N-hydroxy-L-glutaminylglycine", 26430 },
	{ "ZBR", "", "", ResidueType::NON_POLYMER, false, "1,3,5-tris(bromomethyl)benzene", 26431 },
	{ "ZBS", "", "", ResidueType::NON_POLYMER, false, "2-phenyl-~{N}-[5-[(1~{S},3~{S})-3-[5-(2-phenylethanoylamino)-1,3,4-thiadiazol-2-yl]cyclohexyl]-1,3,4-thiadiazol-2-yl]ethanamide", 26432 },
	{ "ZBT", "", "", ResidueType::NON_POLYMER, false, "2-[(1S)-1-methylpropyl]-4,5-dihydro-1,3-thiazole", 26433 },
	{ "ZBU", "", "", ResidueType::RNA_LINKING, false, "(S)-1'-(2',3'-DIHYDROXYPROPYL)-5-BROMO-URACIL", 26434 },
	{ "ZBZ", "", "", ResidueType::PEPTIDE_LINKING, false, "S-(phenylcarbonyl)-L-cysteine", 26435 },
	{ "ZC3", "", "", ResidueType::NON_POLYMER, false, "N-(5-FLUORANYL-1,3-BENZOTHIAZOL-2-YL)ETHANAMIDE", 26436 },
	{ "ZCL", "", "", ResidueType::PEPTIDE_LINKING, false, "3,4-dichloro-L-phenylalanine", 26437 },
	{ "ZCM", "", "", ResidueType::NON_POLYMER, false, "CURIUM ION", 26438 },
	{ "ZCT", "", "", ResidueType::NON_POLYMER, false, "", 26439 },
	{ "ZCW", "", "", ResidueType::NON_POLYMER, false, "2-(1H-indol-3-yl)ethanol", 26440 },
	{ "ZCY", "", "", ResidueType::RNA_LINKING, false, "(S)-1'-(2',3'-DIHYDROXYPROPYL)-CYTOSINE", 26441 },
	{ "ZD2", "", "", ResidueType::NON_POLYMER, false, "(2S)-4-(6-amino-9H-purin-9-yl)-2-hydroxybutanoic acid", 26442 },
	{ "?", "", "", ResidueType::NON_POLYMER, false, "Vandetanib", 26443 },
	{ "ZD7", "", "", ResidueType::NON_POLYMER, false, "5,7-diethyl-1-{[2'-(1H-tetrazol-5-yl)biphenyl-4-yl]methyl}-3,4-dihydro-1,6-naphthyridin-2(1H)-one", 26444 },
	{ "ZD9", "", "", ResidueType::NON_POLYMER, false, "2,7-dimethyl-6-[(prop-1-yn-1-ylamino)methyl]quinazolin-4(3H)-one", 26445 },
	{ "ZDA", "", "", ResidueType::NON_POLYMER, false, "", 26446 },
	{ "ZDC", "", "", ResidueType::SACCHARIDE, false, "3,7-anhydro-2,8-dideoxy-L-glycero-D-gluco-octonic acid", 26447 },
	{ "ZDG", "", "", ResidueType::NON_POLYMER, false, "4-[4-[2-(2,4-dichlorophenyl)-4-methyl-5-(piperidin-1-ylcarbamoyl)pyrazol-3-yl]phenyl]but-3-ynyl nitrate", 26448 },
	{ "ZDM", "", "", ResidueType::SACCHARIDE, false, "nonyl 4-O-alpha-D-glucopyranosyl-beta-D-glucopyranoside", 26449 },
	{ "ZDP", "", "", ResidueType::NON_POLYMER, false, "(2S,6S)-2,6-DIAMINO-2-METHYLHEPTANEDIOIC ACID", 26450 },
	{ "ZDR", "", "", ResidueType::NON_POLYMER, false, "(2R,6S)-2,6-DIAMINO-2-METHYLHEPTANEDIOIC ACID", 26451 },
	{ "ZDU", "", "", ResidueType::DNA_LINKING, false, "5-(3-AMINOPROPYL)-2'-DEOXYURIDINE-5'-MONOPHOSPHATE", 26452 },
	{ "ZDV", "", "", ResidueType::NON_POLYMER, false, "1-(3-fluorophenyl)methanamine", 26453 },
	{ "ZE7", "", "", ResidueType::NON_POLYMER, false, "6-cyclohexylhexan-1-ol", 26454 },
	{ "ZE8", "", "", ResidueType::NON_POLYMER, false, "Zebularine", 26455 },
	{ "ZEA", "", "", ResidueType::NON_POLYMER, false, "(2E)-2-methyl-4-(9H-purin-6-ylamino)but-2-en-1-ol", 26456 },
	{ "ZEB", "", "", ResidueType::NON_POLYMER, false, "4-HYDROXY-3,4-DIHYDRO-ZEBULARINE", 26457 },
	{ "ZEC", "", "", ResidueType::NON_POLYMER, false, "6-HYDROXY-1,3-BENZOTHIAZOLE-2-SULFONAMIDE", 26458 },
	{ "ZED", "", "", ResidueType::NON_POLYMER, false, "L-PROLINE, 1-[(2S)-3-MERCAPTO-2-METHYL-1-OXOPROPYL]-4-(PHENYLTHIO)-, 4S", 26459 },
	{ "ZEM", "", "", ResidueType::NON_POLYMER, false, "20-OXO-PROTOPORPHYRIN IX CONTAINING ZN(II)", 26460 },
	{ "ZEN", "", "", ResidueType::NON_POLYMER, false, "", 26461 },
	{ "ZER", "", "", ResidueType::NON_POLYMER, false, "(3S,11E)-14,16-dihydroxy-3-methyl-3,4,5,6,9,10-hexahydro-1H-2-benzoxacyclotetradecine-1,7(8H)-dione", 26462 },
	{ "ZES", "", "", ResidueType::NON_POLYMER, false, "[3-(4-BROMO-2-FLUORO-BENZYL)-7-CHLORO-2,4-DIOXO-3,4-DIHYDRO-2H-QUINAZOLIN-1-YL]-ACETIC ACID", 26463 },
	{ "ZEX", "", "", ResidueType::NON_POLYMER, false, "(1R,2S)-4-{(1E,3E,5E,7E,9E,11E,13E,15E,17E)-18-[(4S)-4-hydroxy-2,6,6-trimethylcyclohex-1-en-1-yl]-3,7,12,16-tetramethyloctadeca-1,3,5,7,9,11,13,15,17-nonaen-1-yl}-2,5,5-trimethylcyclohex-3-en-1-ol", 26464 },
	{ "ZEZ", "", "", ResidueType::NON_POLYMER, false, "(2Z)-2-methyl-4-(9H-purin-6-ylamino)but-2-en-1-ol", 26465 },
	{ "ZF0", "", "", ResidueType::NON_POLYMER, false, "1-(3-methylphenyl)methanamine", 26466 },
	{ "ZFB", "", "", ResidueType::PEPTIDE_LINKING, false, "(3R)-3-{[(BENZYLOXY)CARBONYL]AMINO}-2-OXO-4-PHENYLBUTANE-1-DIAZONIUM", 26467 },
	{ "ZFR", "", "", ResidueType::NON_POLYMER, false, "(1E,10S)-1-(3,5-dihydroxyphenyl)-10-hydroxyundec-1-en-6-one", 26468 },
	{ "ZG1", "", "", ResidueType::NON_POLYMER, false, "1-ethyl-5-[3-(2-oxo-2-pyrrolidin-1-ylethyl)-1,2,4-oxadiazol-5-yl]-N-(tetrahydro-2H-pyran-4-yl)-1H-pyrazolo[3,4-b]pyridin-4-amine", 26469 },
	{ "ZG2", "", "", ResidueType::NON_POLYMER, false, "5-[5-benzyl-4-(2-oxo-2-pyrrolidin-1-ylethyl)-1,3-oxazol-2-yl]-1-ethyl-N-(tetrahydro-2H-pyran-4-yl)-1H-pyrazolo[3,4-b]pyridin-4-amine", 26470 },
	{ "ZGA", "", "", ResidueType::NON_POLYMER, false, "Zaragozic acid A", 26471 },
	{ "ZGB", "", "", ResidueType::NON_POLYMER, false, "3-(4-methoxy-3-methylphenyl)propanoic acid", 26472 },
	{ "ZGC", "", "", ResidueType::NON_POLYMER, false, "3-(4-methoxyphenyl)propanoic acid", 26473 },
	{ "ZGE", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4R)-3-acetamido-4-carbamimidamido-5-fluoranyl-2-[(1R,2R)-1,2,3-tris(oxidanyl)propyl]-3,4-dihydro-2H-pyran-6-carboxylic acid", 26474 },
	{ "ZGL", "", "", ResidueType::PEPTIDE_LINKING, false, "D-alpha-glutamine", 26475 },
	{ "ZGP", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(R)-hydroxy{[2-hydroxy-3,5-dimethyl-6-(2-oxo-2-sulfanylethyl)pyridin-4-yl]oxy}phosphoryl]guanosine", 26476 },
	{ "ZGR", "", "", ResidueType::NON_POLYMER, false, "2,4-dihydroxy-6-[(1E,10S)-10-hydroxy-6-oxoundec-1-en-1-yl]benzoic acid", 26477 },
	{ "ZGU", "", "", ResidueType::RNA_LINKING, false, "(S)-1'-(2',3'-DIHYDROXYPROPYL)-GUANINE", 26478 },
	{ "ZH1", "", "", ResidueType::NON_POLYMER, false, "", 26479 },
	{ "ZH2", "", "", ResidueType::NON_POLYMER, false, "4-[4-(4-aminophenyl)buta-1,3-diyn-1-yl]-N-[(2S,3R)-3-hydroxy-1-(hydroxyamino)-1-oxobutan-2-yl]benzamide", 26480 },
	{ "ZH3", "", "", ResidueType::NON_POLYMER, true, "ZINC TRIHYDROXIDE", 26481 },
	{ "ZH4", "", "", ResidueType::NON_POLYMER, false, "4-[4-(3-aminophenyl)buta-1,3-diyn-1-yl]-N-[(2S,3R)-3-hydroxy-1-nitroso-1-oxobutan-2-yl]benzamide", 26482 },
	{ "ZHA", "", "", ResidueType::NON_POLYMER, false, "~{N}-(5-oxidanylidene-7,8-dihydro-6~{H}-naphthalen-2-yl)ethanamide", 26483 },
	{ "ZHB", "", "", ResidueType::NON_POLYMER, false, "(3S,7S,11E)-7,14,16-trihydroxy-3-methyl-3,4,5,6,7,8,9,10-octahydro-1H-2-benzoxacyclotetradecin-1-one", 26484 },
	{ "ZHH", "", "", ResidueType::NON_POLYMER, false, "2-(4-METHOXYPHENYL)ETHANAMINE", 26485 },
	{ "ZHK", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-{[5-cyano-4-(3,4-dichlorophenyl)-6-oxo-1,6-dihydropyrimidin-2-yl]sulfanyl}-N-(4-sulfamoylphenyl)propanamide", 26486 },
	{ "ZHN", "", "", ResidueType::NON_POLYMER, false, "pentyl (3,5-dihydroxy-2-nonanoylphenyl)acetate", 26487 },
	{ "ZHP", "", "", ResidueType::RNA_LINKING, false, "(S)-1'-(2',3'-DIHYDROXYPROPYL)-HYDROXYPYRIDONE", 26488 },
	{ "ZHZ", "", "", ResidueType::NON_POLYMER, false, "2-(4-METHOXYPHENYL)ACETAMIDE", 26489 },
	{ "ZI6", "", "", ResidueType::NON_POLYMER, false, "3-[[5-bromanyl-4-[4-(trifluoromethyl)phenyl]-1,3-oxazol-2-yl]methoxy]-2,6-bis(fluoranyl)benzamide", 26490 },
	{ "ZI7", "", "", ResidueType::NON_POLYMER, false, "2,6-bis(fluoranyl)-3-[[6-(trifluoromethyl)-[1,3]thiazolo[5,4-b]pyridin-2-yl]methoxy]benzamide", 26491 },
	{ "ZID", "", "", ResidueType::NON_POLYMER, false, "ISONICOTINIC-ACETYL-NICOTINAMIDE-ADENINE DINUCLEOTIDE", 26492 },
	{ "ZIG", "", "", ResidueType::NON_POLYMER, false, "2,4-difluoro-N-[2-methoxy-5-(4-pyridazin-4-ylquinolin-6-yl)pyridin-3-yl]benzenesulfonamide", 26493 },
	{ "ZIL", "", "", ResidueType::NON_POLYMER, false, "N-[(benzyloxy)carbonyl]-L-isoleucyl-L-leucine", 26494 },
	{ "ZIN", "", "", ResidueType::NON_POLYMER, false, "7-(pyridin-2-ylmethyl)quinolin-8-ol", 26495 },
	{ "ZIO", "", "", ResidueType::NON_POLYMER, false, "", 26496 },
	{ "ZIP", "", "", ResidueType::NON_POLYMER, false, "N-(3-METHYLBUT-2-EN-1-YL)-9H-PURIN-6-AMINE", 26497 },
	{ "ZIR", "", "", ResidueType::NON_POLYMER, false, "N-(3-methylbut-2-en-1-yl)adenosine", 26498 },
	{ "ZIT", "", "", ResidueType::NON_POLYMER, false, "AZITHROMYCIN", 26499 },
	{ "ZJ0", "", "", ResidueType::NON_POLYMER, false, "1-(3,5-dimethoxyphenyl)decan-1-one", 26500 },
	{ "ZJB", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4S,5R)-2-(3-AMINO-5-METHYL-1,4,5,6,8-PENTAAZAACENAPHTHYLEN-1(5H)-YL)-5-(HYDROXYMETHYL)TETRAHYDROFURAN-3,4-DIOL", 26501 },
	{ "ZK1", "", "", ResidueType::NON_POLYMER, false, "{[7-morpholin-4-yl-2,3-dioxo-6-(trifluoromethyl)-3,4-dihydroquinoxalin-1(2H)-yl]methyl}phosphonic acid", 26502 },
	{ "ZK5", "", "", ResidueType::NON_POLYMER, false, "9ALPHA-FLUOROCORTISOL", 26503 },
	{ "ZK9", "", "", ResidueType::NON_POLYMER, false, "[3-AMINOMETHYLPHENYL-OXY-]-[BENZAMIDIN-3-YLOXY]-3,5-DIFLUORO-4-METHYL-PYRIDINE", 26504 },
	{ "ZKD", "", "", ResidueType::NON_POLYMER, false, "URIDINE-DIPHOSPHATE-1-DEOXY-1-THIO-N-ACETYLGLUCOSAMINE", 26505 },
	{ "ZKG", "", "", ResidueType::NON_POLYMER, false, "ZIRCONIUM(IV) PHOSPHOTUNGSTATE KEGGIN", 26506 },
	{ "ZKW", "", "", ResidueType::NON_POLYMER, false, "1-[(2,4-dichlorophenyl)methyl]pyrazole-3,5-dicarboxylic acid", 26507 },
	{ "ZLD", "", "", ResidueType::NON_POLYMER, false, "N-{[(5S)-3-(3-fluoro-4-morpholin-4-ylphenyl)-2-oxo-1,3-oxazolidin-5-yl]methyl}acetamide", 26508 },
	{ "ZLP", "", "", ResidueType::NON_POLYMER, false, "(3R,3aS,4R,6aR)-4-(2-methoxyethoxy)hexahydrofuro[2,3-b]furan-3-yl {(2S,3R)-3-hydroxy-4-[{[(2Z)-2-(methylimino)-2,3-dihydro-1,3-benzoxazol-6-yl]sulfonyl}(2-methylpropyl)amino]-1-phenylbutan-2-yl}carbamate", 26509 },
	{ "ZM3", "", "", ResidueType::NON_POLYMER, false, "MYCINAMICIN III", 26510 },
	{ "ZMA", "", "", ResidueType::NON_POLYMER, false, "4-{2-[(7-amino-2-furan-2-yl[1,2,4]triazolo[1,5-a][1,3,5]triazin-5-yl)amino]ethyl}phenol", 26511 },
	{ "ZME", "", "", ResidueType::NON_POLYMER, false, "6-(3-methyl-1H-pyrrol-1-yl)-9H-purine", 26512 },
	{ "ZMG", "", "", ResidueType::NON_POLYMER, false, "(5R)-2-[(2-fluorophenyl)amino]-5-(1-methylethyl)-1,3-thiazol-4(5H)-one", 26513 },
	{ "ZMK", "", "", ResidueType::NON_POLYMER, false, "methyl 7-{[2-({N-[(2S)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alanyl}amino)ethyl]sulfanyl}-7-oxoheptanoate", 26514 },
	{ "ZMO", "", "", ResidueType::NON_POLYMER, false, "S-[2-({N-[(2S)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alanyl}amino)ethyl] (9Z)-octadec-9-enethioate", 26515 },
	{ "ZMP", "", "", ResidueType::NON_POLYMER, false, "S-[2-({N-[(2S)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alanyl}amino)ethyl] tetradecanethioate", 26516 },
	{ "ZMQ", "", "", ResidueType::NON_POLYMER, false, "S-[2-({N-[(2S)-2-hydroxy-3,3-dimethyl-4-(phosphonooxy)butanoyl]-beta-alanyl}amino)ethyl] (9Z)-hexadec-9-enethioate", 26517 },
	{ "ZMR", "", "", ResidueType::NON_POLYMER, false, "ZANAMIVIR", 26518 },
	{ "ZN", "", "", ResidueType::NON_POLYMER, false, "ZINC ION", 26519 },
	{ "ZN0", "", "", ResidueType::NON_POLYMER, false, "Triethyltin chloride", 26520 },
	{ "ZN2", "", "ZN", ResidueType::NON_POLYMER, true, "ZINC ION ON 3-FOLD CRYSTAL AXIS", 26521 },
	{ "ZN3", "", "", ResidueType::NON_POLYMER, true, "ZINC ION, 1 WATER COORDINATED", 26522 },
	{ "ZN4", "", "", ResidueType::NON_POLYMER, false, "1-(4-chlorophenyl)-N-[2-(diethylamino)ethyl]methanesulfonamide", 26523 },
	{ "ZN5", "", "", ResidueType::NON_POLYMER, false, "Dimethyltin dibromide", 26524 },
	{ "ZN6", "", "", ResidueType::NON_POLYMER, false, "Diethyltin dichloride", 26525 },
	{ "ZN7", "", "", ResidueType::NON_POLYMER, false, "DIETHYLLEAD DIBROMIDE", 26526 },
	{ "ZN8", "", "", ResidueType::NON_POLYMER, false, "Trimethyltin chloride", 26527 },
	{ "ZN9", "", "", ResidueType::NON_POLYMER, false, "Trimethyllead bromide", 26528 },
	{ "ZNB", "", "", ResidueType::NON_POLYMER, false, "", 26529 },
	{ "ZND", "", "", ResidueType::NON_POLYMER, false, "Zinc (II) Deuteroporphyrin IX", 26530 },
	{ "ZNE", "", "", ResidueType::NON_POLYMER, false, "(1R,3S,5Z)-5-[(2E)-2-{(1R,3aS,7aR)-1-[(1R,5S)-5-hydroxy-1-methyl-5-(1,3-thiazol-2-yl)pentyl]-7a-methyloctahydro-4H-inden-4-ylidene}ethylidene]-4-methylidenecyclohexane-1,3-diol", 26531 },
	{ "ZNH", "", "", ResidueType::NON_POLYMER, false, "PROTOPORPHYRIN IX CONTAINING ZN", 26532 },
	{ "ZNN", "", "", ResidueType::NON_POLYMER, false, "N-(4-aminobutyl)-2-azidoacetamide", 26533 },
	{ "ZNO", "", "", ResidueType::NON_POLYMER, true, "ZINC ION, 2 WATERS COORDINATED", 26534 },
	{ "ZNP", "", "", ResidueType::NON_POLYMER, false, "(2R)-2-benzyl-3-nitropropanamide", 26535 },
	{ "ZO0", "", "", ResidueType::NON_POLYMER, false, "4-(4-METHYL-1,4-DIAZEPAN-1-YL)-2-(TRIFLUOROMETHYL)QUINAZOLINE", 26536 },
	{ "ZO3", "", "", ResidueType::NON_POLYMER, true, "ZINC ION, 3 WATERS COORDINATED", 26537 },
	{ "ZO6", "", "", ResidueType::NON_POLYMER, false, "thieno[3,2-c][2,6]naphthyridine", 26538 },
	{ "ZO8", "", "", ResidueType::NON_POLYMER, false, "thieno[2,3-c][2,7]naphthyridine", 26539 },
	{ "ZO9", "", "", ResidueType::NON_POLYMER, false, "4-[1-(cyclopropylmethyl)-1H-benzimidazol-2-yl]-1,2,5-oxadiazol-3-amine", 26540 },
	{ "ZOD", "", "", ResidueType::NON_POLYMER, false, "[(2R,3R,4R,5R)-5-[[[[(2R,3S,4R,5R)-5-(6-aminopurin-9-yl)-3,4-bis(oxidanyl)oxolan-2-yl]methoxy-oxidanyl-phosphoryl]oxy-oxidanyl-phosphoryl]oxymethyl]-2,4-bis(oxidanyl)oxolan-3-yl] ethanoate", 26541 },
	{ "ZOE", "", "", ResidueType::NON_POLYMER, false, "6-({5-[(3aS,4S,5S,6aR)-5-oxido-2-oxohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoyl}amino)hexanoic acid", 26542 },
	{ "ZOF", "", "", ResidueType::NON_POLYMER, false, "6-({5-[(2E,3aS,4S,6aR)-2-iminohexahydro-1H-thieno[3,4-d]imidazol-4-yl]pentanoyl}amino)hexanoic acid", 26543 },
	{ "ZOL", "", "", ResidueType::NON_POLYMER, false, "ZOLEDRONIC ACID", 26544 },
	{ "ZOM", "", "", ResidueType::NON_POLYMER, false, "[5-(4-chlorobenzoyl)-1,4-dimethyl-1H-pyrrol-2-yl]acetic acid", 26545 },
	{ "ZON", "", "", ResidueType::NON_POLYMER, false, "1-(1,2-benzoxazol-3-yl)methanesulfonamide", 26546 },
	{ "ZOO", "", "", ResidueType::NON_POLYMER, false, "(5R)-2-amino-5-[4-(difluoromethoxy)phenyl]-5-[4-fluoro-3-(5-fluoropent-1-yn-1-yl)phenyl]-3-methyl-3,5-dihydro-4H-imidazol-4-one", 26547 },
	{ "ZOP", "", "", ResidueType::NON_POLYMER, false, "(3Z)-N-ETHYL-N-METHYL-2-OXO-3-(PHENYL{[4-(PIPERIDIN-1-YLMETHYL)PHENYL]AMINO}METHYLIDENE)-2,3-DIHYDRO-1H-INDOLE-6-CARBOXAMIDE", 26548 },
	{ "ZOZ", "", "", ResidueType::NON_POLYMER, false, "3-KETO-DECANOYL-COA", 26549 },
	{ "ZP4", "", "", ResidueType::NON_POLYMER, false, "", 26550 },
	{ "ZPA", "", "", ResidueType::NON_POLYMER, false, "4-(N-benzylsuccinimide-3-sulfanyl)-N-(6-O-beta-D-xylopyranosyl-beta-D-glucopyranosyl)butylamidine", 26551 },
	{ "ZPC", "", "", ResidueType::NON_POLYMER, false, "(5R)-6-(5-chloropyridin-2-yl)-7-oxo-6,7-dihydro-5H-pyrrolo[3,4-b]pyrazin-5-yl 4-methylpiperazine-1-carboxylate", 26552 },
	{ "ZPE", "", "", ResidueType::NON_POLYMER, false, "(2R)-3-{[(S)-(2-aminoethoxy)(hydroxy)phosphoryl]oxy}-2-(tetradec-5-enoyloxy)propyl (11Z)-octadec-11-enoate", 26553 },
	{ "ZPF", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R,3R,4R,5S)-2,3-dihydroxy-1-(hydroxymethyl)-6,8-dioxabicyclo[3.2.1]octan-4-yl]acetamide", 26554 },
	{ "ZPG", "", "", ResidueType::NON_POLYMER, false, "(2S,5R,8R,11S,14S,17S,21R)-5,8,11,14,17-PENTAMETHYL-4,7,10,13,16,19-HEXAOXADOCOSANE-2,21-DIOL", 26555 },
	{ "ZPH", "", "", ResidueType::PEPTIDE_LIKE, false, "methyl (2S)-2-{[(R)-[(1R)-1-amino-3-methylbutyl](hydroxy)phosphoryl]oxy}-3-phenylpropanoate", 26556 },
	{ "ZPN", "", "", ResidueType::NON_POLYMER, false, "(2Z,4E)-N-[(S)-[(1S,2E,5S,8E,10Z,17S)-3,11-dimethyl-19-methylidene-7,13-dioxo-6,21-dioxabicyclo[15.3.1]henicosa-2,8,10-trien-5-yl](hydroxy)methyl]hexa-2,4-dienamide", 26557 },
	{ "ZPQ", "", "", ResidueType::NON_POLYMER, false, "N~2~-[(2R,4S,5S)-5-{[N-{[(3,5-DIMETHYL-1H-PYRAZOL-1-YL)METHOXY]CARBONYL}-3-(METHYLSULFONYL)-L-ALANYL]AMINO}-4-HYDROXY-2,7-DIMETHYLOCTANOYL]-N-ISOBUTYL-L-VALINAMIDE", 26558 },
	{ "ZPR", "", "", ResidueType::PEPTIDE_LIKE, false, "N-BENZYLOXYCARBONYL-L-PROLYL-L-PROLINAL", 26559 },
	{ "ZPT", "", "", ResidueType::NON_POLYMER, false, "Trichloro(ethene)platinate(II)", 26560 },
	{ "ZPX", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-1-(4-fluorophenyl)ethyl]-N'-[(2S,3S)-3-hydroxy-1-phenyl-4-(1H-pyrazol-1-yl)butan-2-yl]-5-[methyl(methylsulfonyl)amino]benzene-1,3-dicarboxamide", 26561 },
	{ "ZPY", "", "", ResidueType::NON_POLYMER, false, "ethyl 1-{(2S,3S)-3-[(3-{[(1R)-1-(4-fluorophenyl)ethyl]carbamoyl}-5-[methyl(methylsulfonyl)amino]benzoyl)amino]-2-hydroxy-4-phenylbutyl}-1H-pyrazole-4-carboxylate", 26562 },
	{ "ZPZ", "", "", ResidueType::NON_POLYMER, false, "N-[(1R)-1-(4-fluorophenyl)ethyl]-N'-[(2S,3S)-3-hydroxy-4-{4-[(1S)-1-hydroxyethyl]-1H-1,2,3-triazol-1-yl}-1-phenylbutan-2-yl]-5-[methyl(methylsulfonyl)amino]benzene-1,3-dicarboxamide", 26563 },
	{ "ZQC", "", "", ResidueType::NON_POLYMER, false, "4-methylsulfanyl-~{N}-(4-pyridin-2-yl-1,3-thiazol-2-yl)benzamide", 26564 },
	{ "ZQU", "", "", ResidueType::NON_POLYMER, false, "Zosuquidar", 26565 },
	{ "ZR", "", "", ResidueType::NON_POLYMER, false, "ZIRCONIUM ION", 26566 },
	{ "ZRA", "", "", ResidueType::PEPTIDE_LIKE, false, "BENZOYL-ARGININE-ALANINE-FLUORO-METHYL KETONE", 26567 },
	{ "ZRC", "", "", ResidueType::NON_POLYMER, false, "OXO ZIRCONIUM(IV) CLUSTER", 26568 },
	{ "ZRG", "", "", ResidueType::PEPTIDE_LIKE, false, "(2S)-2-acetamido-N-methyl-5-[[N-(methylcarbamoyl)carbamimidoyl]amino]pentanamide", 26569 },
	{ "ZRK", "", "", ResidueType::NON_POLYMER, false, "2-(4-PYRIDINYL)FURO[3,2-C]PYRIDIN-4(5H)-ONE", 26570 },
	{ "ZRL", "", "", ResidueType::NON_POLYMER, false, "7-BROMO-2-PYRIDIN-4-YL-5H-THIENO[3,2-C]PYRIDIN-4-ONE", 26571 },
	{ "ZRM", "", "", ResidueType::NON_POLYMER, false, "7-(4-HYDROXYPHENYL)-2-PYRIDIN-4-YL-5H-THIENO[3,2-C]PYRIDIN-4-ONE", 26572 },
	{ "ZRO", "", "", ResidueType::NON_POLYMER, false, "2,6-dioxo-5-{2-[4-(trifluoromethyl)phenyl]ethyl}-1,2,3,6-tetrahydropyrimidine-4-carboxylic acid", 26573 },
	{ "ZS0", "", "", ResidueType::NON_POLYMER, false, "3-(4-FLUOROBENZYL)-2-THIOXO-1,2,3,7-TETRAHYDRO-6H-PURIN-6-ONE", 26574 },
	{ "ZS2", "", "", ResidueType::NON_POLYMER, false, "(4~{S})-4-[4-fluoranyl-3-(isoquinolin-1-ylmethylcarbamoyl)phenyl]-~{N}-(1~{H}-indazol-5-yl)-6-methyl-2-oxidanylidene-3,4-dihydro-1~{H}-pyrimidine-5-carboxamide", 26575 },
	{ "ZS4", "", "", ResidueType::NON_POLYMER, false, "2-(difluoromethyl)-1-(4,6-dimorpholin-4-yl-1,3,5-triazin-2-yl)-1H-benzimidazole", 26576 },
	{ "ZS8", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-amino-2-methyldec-8-ynoic acid", 26577 },
	{ "ZSC", "", "", ResidueType::NON_POLYMER, false, "5-[methyl(methylsulfonyl)amino]benzene-1,3-dicarboxylic acid", 26578 },
	{ "ZSN", "", "", ResidueType::PEPTIDE_LIKE, false, "1-(2-amino-2-oxoethyl)hydrazinecarboxylic acid", 26579 },
	{ "ZSO", "", "", ResidueType::NON_POLYMER, false, "5-{[(3S,4R)-4-(4-fluorophenyl)piperidin-3-yl]methoxy}-2H-indazole", 26580 },
	{ "ZSP", "", "", ResidueType::NON_POLYMER, false, "2-amino-6-[(1Z)-1,2-dihydroxyprop-1-en-1-yl]-7,8-dihydropteridin-4(3H)-one", 26581 },
	{ "ZST", "", "", ResidueType::NON_POLYMER, false, "3,4-DIHYDRO-4-OXO-3-((5-TRIFLUOROMETHYL-2-BENZOTHIAZOLYL)METHYL)-1-PHTHALAZINE ACETIC ACID", 26582 },
	{ "ZSV", "", "", ResidueType::NON_POLYMER, false, "(R)-[(2S)-5-carboxy-2-(2-carboxyethyl)-2,3-dihydro-1,4-benzodioxin-6-yl]methyl-[[2-[(4-methoxyphenyl)methylcarbamoyl]phenyl]methyl]-prop-2-enyl-azanium", 26583 },
	{ "ZSW", "", "", ResidueType::NON_POLYMER, false, "(R)-[2-[[(2R)-butan-2-yl]carbamoyl]phenyl]methyl-[[(2S)-5-carboxy-2-(2-carboxyethyl)-2,3-dihydro-1,4-benzodioxin-6-yl]methyl]-prop-2-enyl-azanium", 26584 },
	{ "ZT0", "", "", ResidueType::NON_POLYMER, false, "(4-CARBOXY-1,3-BENZODIOXOL-5-YL)-N-{2-[(4-METHOXYBENZYL)CARBAMOYL]BENZYL}-N-METHYLMETHANAMINIUM", 26585 },
	{ "ZT2", "", "", ResidueType::NON_POLYMER, false, "5-[(E)-(2-OXO-2,3-DIHYDRO-1H-INDEN-1-YLIDENE)METHYL]-1,3-BENZODIOXOLE-4-CARBOXYLIC ACID", 26586 },
	{ "ZT4", "", "", ResidueType::NON_POLYMER, false, "5-{(E)-[(2R)-2-HYDROXY-2,3-DIHYDRO-1H-INDEN-1-YLIDENE]METHYL}-1,3-BENZODIOXOLE-4-CARBOXYLIC ACID", 26587 },
	{ "ZTD", "", "", ResidueType::NON_POLYMER, false, "METHYL 4-[({(4R)-4-HYDROXY-1-[(3-METHYLISOXAZOL-5-YL)ACETYL]-L-PROLYL}AMINO)METHYL]BENZOATE", 26588 },
	{ "ZTH", "", "", ResidueType::RNA_LINKING, false, "(S)-1'-(2',3'-DIHYDROXYPROPYL)-THYMINE", 26589 },
	{ "ZTN", "", "", ResidueType::NON_POLYMER, false, "2,3-bis(fluoranyl)phenol", 26590 },
	{ "ZTP", "", "", ResidueType::NON_POLYMER, false, "(2Z,6Z,10Z,14Z,18Z,22Z,26Z)-3,7,11,15,19,23,27,31-octamethyldotriaconta-2,6,10,14,18,22,26,30-octaen-1-yl trihydrogen diphosphate", 26591 },
	{ "ZTW", "", "", ResidueType::NON_POLYMER, false, "RALOXIFENE CORE", 26592 },
	{ "ZTX", "", "", ResidueType::NON_POLYMER, false, "2-((4-(4-HYDROXYPIPERIDIN-1-YL)PHENYL)AMINO)-5,11-DIMETHYL-5H-BENZO[E]PYRIMIDO [5,4-B][1,4]DIAZEPIN-6(11H)-ONE", 26593 },
	{ "ZU0", "", "", ResidueType::PEPTIDE_LINKING, false, "O-tert-butyl-L-threonine", 26594 },
	{ "ZU3", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(benzyloxy)carbonyl]-3-[(2,2-dimethylpropanoyl)amino]-L-alanyl-N-[(1R)-4-oxo-1-{[(3S)-2-oxopyrrolidin-3-yl]methyl}pentyl]-L-leucinamide", 26595 },
	{ "ZU4", "", "", ResidueType::NON_POLYMER, false, "1-(2-CHLOROBENZYL)-4-HEXYLPYRIDIN-2(1H)-ONE", 26596 },
	{ "ZU5", "", "", ResidueType::PEPTIDE_LIKE, false, "N-[(benzyloxy)carbonyl]-O-tert-butyl-L-threonyl-N-[(1R)-4-cyclopropyl-4-oxo-1-{[(3S)-2-oxopyrrolidin-3-yl]methyl}butyl]-L-leucinamide", 26597 },
	{ "ZUF", "", "", ResidueType::NON_POLYMER, false, "~{N}-(5-chloranylpyridin-2-yl)-4-pyridin-2-yl-1,3-thiazol-2-amine", 26598 },
	{ "ZUK", "", "", ResidueType::PEPTIDE_LINKING, false, "5-pyrimidin-2-yl-D-norvaline", 26599 },
	{ "ZUN", "", "", ResidueType::NON_POLYMER, false, "(4R)-N-[4-(DIHYDROXYAMINO)BENZYL]-4-HYDROXY-1-[(3-METHYLISOXAZOL-5-YL)ACETYL]-L-PROLINAMIDE", 26600 },
	{ "ZUQ", "", "", ResidueType::NON_POLYMER, false, "N-[4-[(6-chloro-[1,3]dioxolo[4,5-b]pyridin-7-yl)amino]-2-pyridyl]cyclopropanecarboxamide", 26601 },
	{ "ZVO", "", "", ResidueType::NON_POLYMER, false, "5-methyl-1,5-dihydro-1,4,5,6,8-pentaazaacenaphthylen-3-amine", 26602 },
	{ "ZVS", "", "", ResidueType::NON_POLYMER, false, "N-[1-(5-{[2-(4-FLUOROPHENOXY)ETHYL]SULFANYL}-4-METHYL-4H-1,2,4-TRIAZOL-3-YL)ETHYL]-2-(TRIFLUOROMETHYL)BENZAMIDE", 26603 },
	{ "ZVT", "", "", ResidueType::NON_POLYMER, false, "2-chloro-N-[1-(5-{[2-(4-fluorophenoxy)ethyl]sulfanyl}-4-methyl-4H-1,2,4-triazol-3-yl)ethyl]benzamide", 26604 },
	{ "ZVU", "", "", ResidueType::NON_POLYMER, false, "N-[1-(5-{[(4-fluorophenyl)methyl]sulfanyl}-4-methyl-4H-1,2,4-triazol-3-yl)ethyl]-2-(trifluoromethyl)benzamide", 26605 },
	{ "ZVV", "", "", ResidueType::NON_POLYMER, false, "N-[1-(4-methyl-5-{[2-(2-methylphenoxy)ethyl]sulfanyl}-4H-1,2,4-triazol-3-yl)ethyl]-2-(trifluoromethyl)benzamide", 26606 },
	{ "ZVW", "", "", ResidueType::NON_POLYMER, false, "N-[1-(5-{[2-(4-fluorophenoxy)ethyl]sulfanyl}-4-[(4-fluorophenyl)methyl]-4H-1,2,4-triazol-3-yl)ethyl]-2-(trifluoromethyl)benzamide", 26607 },
	{ "ZVX", "", "", ResidueType::NON_POLYMER, false, "2,6-difluoro-N-[1-(5-{[2-(4-fluorophenoxy)ethyl]sulfanyl}-4-methyl-4H-1,2,4-triazol-3-yl)ethyl]benzamide", 26608 },
	{ "ZVY", "", "", ResidueType::NON_POLYMER, false, "2-[4-(4-cyanophenyl)-3-[(4-pyridin-2-ylpiperazin-1-yl)methyl]phenoxy]acetic acid", 26609 },
	{ "ZVZ", "", "", ResidueType::NON_POLYMER, false, "2-[4-(4-CYANOPHENYL)-3-{[4-(PYRIDIN-2-YL)PIPERAZIN-1-YL]METHYL}PHENOXY]-N-METHYLACETAMIDE", 26610 },
	{ "ZW3", "", "", ResidueType::NON_POLYMER, false, "N-{6-[(Z)-(2,4-dioxo-1,3-thiazolidin-5-ylidene)methyl]imidazo[1,2-a]pyridin-2-yl}acetamide", 26611 },
	{ "ZWI", "", "", ResidueType::NON_POLYMER, false, "3-[decyl(dimethyl)ammonio]propane-1-sulfonate", 26612 },
	{ "ZWZ", "", "", ResidueType::NON_POLYMER, false, "(2R,3R,4R,5R,6S)-2-(aminomethyl)-6-methylpiperidine-3,4,5-triol", 26613 },
	{ "ZX0", "", "", ResidueType::NON_POLYMER, false, "(3R)-1-[(4S)-azepan-4-ylcarbamoyl]-3-(sulfoamino)-L-proline", 26614 },
	{ "ZX1", "", "", ResidueType::NON_POLYMER, false, "(3R)-1-[(4R)-AZEPAN-4-YLCARBAMOYL]-3-(SULFOAMINO)-L-PROLINE", 26615 },
	{ "ZX5", "", "", ResidueType::NON_POLYMER, false, "3-(1H-indol-3-yl)-N-{[(2R,3R,4R,5R,6S)-3,4,5-trihydroxy-6-methylpiperidin-2-yl]methyl}propanamide", 26616 },
	{ "ZX6", "", "", ResidueType::NON_POLYMER, false, "2-(1H-indol-3-yl)-N-{[(2R,3R,4R,5R,6S)-3,4,5-trihydroxy-6-methylpiperidin-2-yl]methyl}acetamide", 26617 },
	{ "ZX7", "", "", ResidueType::NON_POLYMER, false, "N-{[(2R,3R,4R,5R,6S)-3,4,5-trihydroxy-6-methylpiperidin-2-yl]methyl}-1H-indole-2-carboxamide", 26618 },
	{ "ZX8", "", "", ResidueType::NON_POLYMER, false, "N-{[(2R,3R,4R,5R,6S)-3,4,5-trihydroxy-6-methylpiperidin-2-yl]methyl}-1-benzofuran-2-carboxamide", 26619 },
	{ "ZX9", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-cyclopentyl-2-phenyl-N-{[(2R,3R,4R,5R,6S)-3,4,5-trihydroxy-6-methylpiperidin-2-yl]methyl}ethanamide", 26620 },
	{ "ZXA", "", "", ResidueType::NON_POLYMER, false, "N-{[(2R,3R,4R,5R,6S)-3,4,5-trihydroxy-6-methylpiperidin-2-yl]methyl}acetamide", 26621 },
	{ "ZXB", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4S,5R)-2-benzylpiperidine-3,4,5-triol", 26622 },
	{ "ZXC", "", "", ResidueType::NON_POLYMER, false, "N-(9H-purin-6-yl)thiophene-2-carboxamide", 26623 },
	{ "ZXD", "", "", ResidueType::NON_POLYMER, false, "(2S,3R,4S,5R)-2-(1-methylethyl)piperidine-3,4,5-triol", 26624 },
	{ "ZXG", "", "", ResidueType::NON_POLYMER, false, "2,6-dibromo-4-[2-(3,5-dibromo-4-hydroxyphenyl)propan-2-yl]phenyl hydrogen sulfate", 26625 },
	{ "ZXM", "", "", ResidueType::NON_POLYMER, false, "1-{(2R)-2-(dihydroxyboranyl)-2-[(thiophen-2-ylacetyl)amino]ethyl}-1H-1,2,3-triazole-4-carboxylic acid", 26626 },
	{ "ZXZ", "", "", ResidueType::NON_POLYMER, false, "1,4-dimethylquinolin-2(1H)-one", 26627 },
	{ "ZY0", "", "", ResidueType::NON_POLYMER, false, "N-[(1S,2R)-1-BENZYL-2-HYDROXY-3-{[3-(TRIFLUOROMETHYL)BENZYL]AMINO}PROPYL]-4-ETHYL-8-(2-OXOPYRROLIDIN-1-YL)QUINOLINE-6-CARBOXAMIDE", 26628 },
	{ "ZY1", "", "", ResidueType::NON_POLYMER, false, "N-{(1S,2R)-1-benzyl-2-hydroxy-3-[(3-methoxybenzyl)amino]propyl}-7-ethyl-1-methyl-3,4-dihydro-1H-[1,2,5]thiadiazepino[3,4,5-hi]indole-9-carboxamide 2,2-dioxide", 26629 },
	{ "ZY2", "", "", ResidueType::NON_POLYMER, false, "N-{(1S,2R)-1-BENZYL-2-HYDROXY-3-[(3-METHOXYBENZYL)AMINO]PROPYL}-8-ETHYL-1-METHYL-3,4,7,8-TETRAHYDRO-1H,6H-[1,2,5]THIADIAZEPINO[5,4,3-DE]QUINOXALINE-10-CARBOXAMIDE 2,2-DIOXIDE", 26630 },
	{ "ZY3", "", "", ResidueType::NON_POLYMER, false, "N-{(1S,2R)-1-BENZYL-2-HYDROXY-3-[(3-METHOXYBENZYL)AMINO]PROPYL}-6-(ETHYLAMINO)-1-METHYL-1,3,4,5-TETRAHYDRO-2,1-BENZOTHIAZEPINE-8-CARBOXAMIDE 2,2-DIOXIDE", 26631 },
	{ "ZY4", "", "", ResidueType::NON_POLYMER, false, "N-[(1S)-1-BENZYL-2,2-DIHYDROXY-3-(TETRAHYDRO-2H-PYRAN-4-YLAMINO)PROPYL]-6-ETHYL-1-METHYL-1,3,4,6-TETRAHYDRO[1,2]THIAZEPINO[5,4,3-CD]INDOLE-8-CARBOXAMIDE 2,2-DIOXIDE", 26632 },
	{ "ZY5", "", "", ResidueType::NON_POLYMER, false, "4-[(E)-5,6-DIHYDRO-2,3'-BIPYRIDIN-3(4H)-YLIDENEMETHYL]-3-METHOXYPHENOL", 26633 },
	{ "ZY6", "", "", ResidueType::NON_POLYMER, false, "1-[(2S)-4-(5-phenyl-1H-pyrazolo[3,4-b]pyridin-4-yl)morpholin-2-yl]methanamine", 26634 },
	{ "ZY7", "", "", ResidueType::NON_POLYMER, false, "(3E)-3-[(2,4-DIMETHOXYPHENYL)METHYLIDENE]-3,4,5,6-TETRAHYDRO-2,3'-BIPYRIDINE", 26635 },
	{ "ZYA", "", "", ResidueType::PEPTIDE_LIKE, false, "BENZOYL-TYROSINE-ALANINE-FLUORO-METHYL KETONE", 26636 },
	{ "ZYB", "", "", ResidueType::NON_POLYMER, false, "4-Fluorobenzamidoxime", 26637 },
	{ "ZYC", "", "", ResidueType::NON_POLYMER, false, "ethyl (2E)-3-(4-hydroxy-3-methoxyphenyl)prop-2-enoate", 26638 },
	{ "ZYD", "", "", ResidueType::NON_POLYMER, false, "(1R,3S,5Z)-5-{(2E)-2-[(3aR,7aS)-7a-(7-hydroxy-7-methyloctyl)octahydro-4H-inden-4-ylidene]ethylidene}-4-methylidenecyclohexane-1,3-diol", 26639 },
	{ "ZYE", "", "", ResidueType::NON_POLYMER, false, "N-{(1S,2R)-1-BENZYL-2-HYDROXY-3-[(3-METHOXYBENZYL)AMINO]PROPYL}-1-ETHYL-4-(2-OXOPYRROLIDIN-1-YL)-1H-INDOLE-6-CARBOXAMIDE", 26640 },
	{ "ZYF", "", "", ResidueType::NON_POLYMER, false, "", 26641 },
	{ "ZYG", "", "", ResidueType::NON_POLYMER, false, "", 26642 },
	{ "ZYH", "", "", ResidueType::NON_POLYMER, false, "(2-cyclohexyl-1,3-benzoxazol-6-yl){3-[4-(pyrimidin-2-yl)piperazin-1-yl]azetidin-1-yl}methanone", 26643 },
	{ "ZYI", "", "", ResidueType::NON_POLYMER, false, "N-(5-chloro-1,3-benzoxazol-2-yl)-2-cyclopentylacetamide", 26644 },
	{ "ZYJ", "", "", ResidueType::PEPTIDE_LINKING, false, "(4R)-4-({[(1E)-(3,4-dimethoxyphenyl)methylidene]amino}oxy)-L-proline", 26645 },
	{ "ZYK", "", "", ResidueType::PEPTIDE_LINKING, false, "(4R)-4-({[(3,4-dimethoxyphenyl)carbonyl]amino}oxy)-L-proline", 26646 },
	{ "ZYL", "", "", ResidueType::NON_POLYMER, false, "1-[3-(hexyloxy)benzyl]-4-hydroxy-2-oxo-1,2-dihydropyridine-3-carboxylic acid", 26647 },
	{ "ZYM", "", "", ResidueType::NON_POLYMER, false, "2,4-dioxo-4-{[3-(3-phenoxyphenyl)propyl]amino}butanoic acid", 26648 },
	{ "ZYN", "", "", ResidueType::NON_POLYMER, false, "6-(3-chloro-4-fluorobenzyl)-4-hydroxy-N,N-dimethyl-2-(1-methylethyl)-3,5-dioxo-2,3,5,6,7,8-hexahydro-2,6-naphthyridine-1-carboxamide", 26649 },
	{ "ZYO", "", "", ResidueType::NON_POLYMER, false, "(6S)-2-(3-chloro-4-fluorobenzyl)-8-ethyl-10-hydroxy-6-methyl-4-(5-methyl-1,1-dioxido-1,2,5-thiadiazolidin-2-yl)-7,8-dihydropyrazino[1',2':1,5]pyrrolo[2,3-d]pyridazine-1,9(2H,6H)-dione", 26650 },
	{ "ZYP", "", "", ResidueType::NON_POLYMER, false, "5-(1,1-dioxido-1,2-thiazinan-2-yl)-N-(4-fluorobenzyl)-8-hydroxy-1,6-naphthyridine-7-carboxamide", 26651 },
	{ "ZYQ", "", "", ResidueType::NON_POLYMER, false, "N-(4-OXO-5,6,7,8-TETRAHYDRO-4H-[1,3]THIAZOLO[5,4-C]AZEPIN-2-YL)ACETAMIDE", 26652 },
	{ "ZYR", "", "", ResidueType::NON_POLYMER, false, "5,6,7,8-TETRAHYDRO[1]BENZOTHIENO[2,3-D]PYRIMIDIN-4(3H)-ONE", 26653 },
	{ "ZYS", "", "", ResidueType::NON_POLYMER, false, "[4-amino-2-(tert-butylamino)-1,3-thiazol-5-yl](phenyl)methanone", 26654 },
	{ "ZYT", "", "", ResidueType::NON_POLYMER, false, "2-(methylsulfanyl)-5-(thiophen-2-ylmethyl)-1H-imidazol-4-ol", 26655 },
	{ "ZYU", "", "", ResidueType::NON_POLYMER, false, "6-MORPHOLIN-4-YL-9H-PURINE", 26656 },
	{ "ZYV", "", "", ResidueType::NON_POLYMER, false, "1-[(2S)-4-(7H-PURIN-6-YL)MORPHOLIN-2-YL]METHANAMINE", 26657 },
	{ "ZYW", "", "", ResidueType::NON_POLYMER, false, "1-[(2S)-4-(5-BROMO-1H-PYRAZOLO[3,4-B]PYRIDIN-4-YL)MORPHOLIN-2-YL]METHANAMINE", 26658 },
	{ "ZYX", "", "", ResidueType::NON_POLYMER, false, "4-(2-AMINOETHYL)BENZENESULFONAMIDE", 26659 },
	{ "ZYY", "", "", ResidueType::NON_POLYMER, false, "N-[(6S)-2-(4-fluorobenzyl)-10-hydroxy-6-methyl-8-(1-methylethyl)-1,9-dioxo-1,2,6,7,8,9-hexahydropyrazino[1',2':1,5]pyrrolo[2,3-d]pyridazin-4-yl]-N-methylmethanesulfonamide", 26660 },
	{ "ZYZ", "", "", ResidueType::NON_POLYMER, false, "(4-{(2S)-2-[(tert-butoxycarbonyl)amino]-3-methoxy-3-oxopropyl}phenyl)methaneseleninic acid", 26661 },
	{ "ZZ0", "", "", ResidueType::NON_POLYMER, false, "2-(4-CHLORO-PHENYLAMINO)-NICOTINIC ACID", 26662 },
	{ "ZZ1", "", "", ResidueType::NON_POLYMER, false, "4-METHYL-2H-CHROMEN-2-ONE", 26663 },
	{ "ZZ2", "", "", ResidueType::NON_POLYMER, false, "4-(2-methoxyethoxy)-6-methylpyrimidin-2-amine", 26664 },
	{ "ZZ3", "", "", ResidueType::NON_POLYMER, false, "4-METHYL-6-(METHYLSULFANYL)-1,3,5-TRIAZIN-2-AMINE", 26665 },
	{ "ZZ4", "", "", ResidueType::NON_POLYMER, false, "4-(2,4-dichlorophenyl)-5-phenyldiazenyl-pyrimidin-2-amine", 26666 },
	{ "ZZ5", "", "", ResidueType::NON_POLYMER, false, "3,6-DIAMINO-5-CYANO-4-(4-ETHOXYPHENYL)THIENO[2,3-B]PYRIDINE-2-CARBOXAMIDE", 26667 },
	{ "ZZ6", "", "", ResidueType::NON_POLYMER, false, "2-AMINO-4-(2,4-DICHLOROPHENYL)-N-ETHYLTHIENO[2,3-D]PYRIMIDINE-6-CARBOXAMIDE", 26668 },
	{ "ZZ7", "", "", ResidueType::NON_POLYMER, false, "(2R,4S)-2-[(R)-{[(2R)-2-amino-2-phenylacetyl]amino}(carboxy)methyl]-5,5-dimethyl-1,3-thiazolidine-4-carboxylic acid", 26669 },
	{ "ZZ8", "", "", ResidueType::NON_POLYMER, false, "2-(ACETYLAMINO)BENZOIC ACID", 26670 },
	{ "ZZ9", "", "", ResidueType::NON_POLYMER, false, "5'-O-[(S)-hydroxy{[(1R)-1-hydroxyundecyl]oxy}phosphoryl]adenosine", 26671 },
	{ "ZZA", "", "", ResidueType::NON_POLYMER, false, "1-PHENYL-1H-PYRAZOLE-4-CARBOXYLIC ACID", 26672 },
	{ "ZZB", "", "", ResidueType::NON_POLYMER, false, "", 26673 },
	{ "ZZC", "", "", ResidueType::NON_POLYMER, false, "[(2R,3S,4R,5R)-5-(6-AMINOPURIN-9-YL)-3,4-DIHYDROXY-OXOLAN-2-YL]METHYL [[(2R,3R)-2,3-DIHYDROXY-4-OXO-PENTOXY]-OXIDO-PHOSPHORYL] PHOSPHATE", 26674 },
	{ "ZZD", "", "", ResidueType::PEPTIDE_LINKING, false, "S-TRITYL-L-CYSTEINE", 26675 },
	{ "ZZE", "", "", ResidueType::NON_POLYMER, false, "5-{[3,5-diethyl-1-(2-hydroxyethyl)-1H-pyrazol-4-yl]oxy}benzene-1,3-dicarbonitrile ", 26676 },
	{ "ZZF", "", "", ResidueType::NON_POLYMER, false, "4-({4-[(2,6-DIMETHYLPYRIDIN-3-YL)OXY]PYRIDIN-2-YL}AMINO)BENZENESULFONAMIDE", 26677 },
	{ "ZZG", "", "", ResidueType::NON_POLYMER, false, "4-[(5,6-DIMETHYL-2,2'-BIPYRIDIN-3-YL)OXY]-N-(3,4,5-TRIMETHOXYPHENYL)PYRIDIN-2-AMINE", 26678 },
	{ "ZZH", "", "", ResidueType::NON_POLYMER, false, "(2S)-2-(4-benzylphenoxy)-3-phenylpropanoic acid", 26679 },
	{ "ZZI", "", "", ResidueType::NON_POLYMER, false, "(2R,3R)-2,3,4-TRIHYDROXY-N,N-DIPROPYLBUTANAMIDE", 26680 },
	{ "ZZJ", "", "", ResidueType::PEPTIDE_LINKING, false, "N^2^-methyl-L-alaninamide", 26681 },
	{ "ZZK", "", "", ResidueType::NON_POLYMER, false, "4-[2-AMINO-5-(1,3-BENZODIOXOL-4-YL)PYRIDIN-3-YL]BENZAMIDE", 26682 },
	{ "ZZL", "", "", ResidueType::NON_POLYMER, false, "4-{[9-CHLORO-7-(2,6-DIFLUOROPHENYL)-5H-PYRIMIDO[5,4-D][2]BENZAZEPIN-2-YL]AMINO}BENZOIC ACID", 26683 },
	{ "ZZM", "", "", ResidueType::NON_POLYMER, false, "1-(1-METHYLETHYL)-3-(PYRIDIN-3-YLETHYNYL)-1H-PYRAZOLO[3,4-D]PYRIMIDIN-4-AMINE", 26684 },
	{ "ZZN", "", "", ResidueType::NON_POLYMER, false, "2-{[4-amino-3-(3-fluoro-5-hydroxyphenyl)-1H-pyrazolo[3,4-d]pyrimidin-1-yl]methyl}-5-methyl-3-(2-methylphenyl)quinazolin-4(3H)-one", 26685 },
	{ "ZZO", "", "", ResidueType::NON_POLYMER, false, "2-{[4-amino-3-(3-fluoro-4-hydroxyphenyl)-1H-pyrazolo[3,4-d]pyrimidin-1-yl]methyl}-5-methyl-3-(2-methylphenyl)quinazolin-4(3H)-one", 26686 },
	{ "ZZP", "", "", ResidueType::NON_POLYMER, false, "N-(3-{[(1Z)-3,5-DIMETHOXYCYCLOHEXA-2,4-DIEN-1-YLIDENE]AMINO}QUINOXALIN-2-YL)-4-FLUOROBENZENESULFONAMIDE", 26687 },
	{ "ZZQ", "", "", ResidueType::NON_POLYMER, false, "2-{[3-(2-METHOXYPHENYL)-4-OXO-3,4,5,6,7,8-HEXAHYDROQUINAZOLIN-2-YL]SULFANYL}-N-QUINOXALIN-6-YLACETAMIDE", 26688 },
	{ "ZZR", "", "", ResidueType::NON_POLYMER, false, "3,6-diamino-1,5-dihydro[1,2,4]triazolo[4,3-b][1,2,4]triazol-4-ium", 26689 },
	{ "ZZS", "", "", ResidueType::NON_POLYMER, false, "1,3,5-TRIAZINE-2,4-DIAMINE", 26690 },
	{ "ZZT", "", "", ResidueType::NON_POLYMER, false, "2-METHOXY-5-METHYLANILINE", 26691 },
	{ "ZZU", "", "", ResidueType::PEPTIDE_LINKING, false, "(2S,3S)-3-HYDROXYARGININE", 26692 },
	{ "ZZV", "", "", ResidueType::NON_POLYMER, false, "N-[7-(4-fluorobenzyl)-9-hydroxy-8-oxo-7,8-dihydro-6H-pyrrolo[3,4-g]quinolin-5-yl]-N-methylmethanesulfonamide", 26693 },
	{ "ZZW", "", "", ResidueType::NON_POLYMER, false, "9-(4-fluorobenzyl)-N-hydroxy-9H-beta-carboline-3-carboxamide", 26694 },
	{ "ZZX", "", "", ResidueType::NON_POLYMER, false, "(6S)-2-(3-chloro-4-fluorobenzyl)-8-ethyl-10-hydroxy-N,6-dimethyl-1,9-dioxo-1,2,6,7,8,9-hexahydropyrazino[1',2':1,5]pyrrolo[2,3-d]pyridazine-4-carboxamide", 26695 },
	{ "ZZY", "", "", ResidueType::NON_POLYMER, false, "1-[(2-NITROPHENYL)SULFONYL]-1H-PYRROLO[3,2-B]PYRIDINE-6-CARBOXAMIDE", 26696 },
	{ "ZZZ", "", "", ResidueType::NON_POLYMER, false, "6-FORMYLTETRAHYDROPTERIN", 26697 },
};

// clang-format on
